/*===- TableGen'erated file -------------------------------------*- C++ -*-===*\
|*                                                                            *|
|* DAG Instruction Selector for the WebAssembly target                        *|
|*                                                                            *|
|* Automatically generated file, do not edit!                                 *|
|*                                                                            *|
\*===----------------------------------------------------------------------===*/

// *** NOTE: This file is #included into the middle of the target
// *** instruction selector class.  These functions are really methods.

// If GET_DAGISEL_DECL is #defined with any value, only function
// declarations will be included when this file is included.
// If GET_DAGISEL_BODY is #defined, its value should be the name of
// the instruction selector class. Function bodies will be emitted
// and each function's name will be qualified with the name of the
// class.
//
// When neither of the GET_DAGISEL* macros is defined, the functions
// are emitted inline.

#if defined(GET_DAGISEL_DECL) && defined(GET_DAGISEL_BODY)
#error GET_DAGISEL_DECL and GET_DAGISEL_BODY cannot be both defined, undef both for inline definitions
#endif

#ifdef GET_DAGISEL_BODY
#define LOCAL_DAGISEL_STRINGIZE(X) LOCAL_DAGISEL_STRINGIZE_(X)
#define LOCAL_DAGISEL_STRINGIZE_(X) #X
static_assert(sizeof(LOCAL_DAGISEL_STRINGIZE(GET_DAGISEL_BODY)) > 1,
   "GET_DAGISEL_BODY is empty: it should be defined with the class name");
#undef LOCAL_DAGISEL_STRINGIZE_
#undef LOCAL_DAGISEL_STRINGIZE
#endif

#if !defined(GET_DAGISEL_DECL) && !defined(GET_DAGISEL_BODY)
#define DAGISEL_INLINE 1
#else
#define DAGISEL_INLINE 0
#endif

#if !DAGISEL_INLINE
#define DAGISEL_CLASS_COLONCOLON GET_DAGISEL_BODY ::
#else
#define DAGISEL_CLASS_COLONCOLON
#endif

#ifdef GET_DAGISEL_DECL
void SelectCode(SDNode *N);
#endif
#if defined(GET_DAGISEL_BODY) || DAGISEL_INLINE
void DAGISEL_CLASS_COLONCOLON SelectCode(SDNode *N)
{
  // Some target values are emitted as 2 bytes, TARGET_VAL handles
  // this. Coverage indexes are emitted as 4 bytes,
  // COVERAGE_IDX_VAL handles this.
  #define TARGET_VAL(X) X & 255, unsigned(X) >> 8
  #define COVERAGE_IDX_VAL(X) X & 255, (unsigned(X) >> 8) & 255, (unsigned(X) >> 16) & 255, (unsigned(X) >> 24) & 255
  static const unsigned char MatcherTable[] = {
/*     0*/ OPC_SwitchOpcode /*123 cases */, 9|128,10/*1289*/, TARGET_VAL(ISD::ZERO_EXTEND),// ->1294
/*     5*/  OPC_Scope, 125|128,9/*1277*/, /*->1285*/ // 2 children in Scope
/*     8*/   OPC_MoveChild0,
/*     9*/   OPC_SwitchOpcode /*9 cases */, 124, TARGET_VAL(ISD::AssertZext),// ->137
/*    13*/    OPC_MoveChild0,
/*    14*/    OPC_CheckOpcode, TARGET_VAL(ISD::ATOMIC_CMP_SWAP),
/*    17*/    OPC_RecordMemRef,
/*    18*/    OPC_RecordNode, // #0 = 'atomic_cmp_swap' chained node
/*    19*/    OPC_CheckFoldableChainNode,
/*    20*/    OPC_RecordChild1, // #1 = $AddrOps32:offset:addr
/*    21*/    OPC_Scope, 56, /*->79*/ // 2 children in Scope
/*    23*/     OPC_CheckChild1TypeI32,
/*    24*/     OPC_MoveChild2,
/*    25*/     OPC_CheckOpcode, TARGET_VAL(ISD::TRUNCATE),
/*    28*/     OPC_RecordChild0, // #2 = $exp
/*    29*/     OPC_MoveSibling3,
/*    30*/     OPC_CheckOpcode, TARGET_VAL(ISD::TRUNCATE),
/*    33*/     OPC_RecordChild0, // #3 = $new
/*    34*/     OPC_MoveParent,
/*    35*/     OPC_Scope, 20, /*->57*/ // 2 children in Scope
/*    37*/      OPC_CheckPredicate1,  // Predicate_atomic_cmp_swap_i8
/*    38*/      OPC_MoveParent,
/*    39*/      OPC_MoveParent,
/*    40*/      OPC_CheckPatternPredicate3, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*    41*/      OPC_CheckComplexPat0, /*#*/1, // SelectAddrOperands32:$ #4 #5
/*    43*/      OPC_EmitMergeInputChains1_0,
/*    44*/      OPC_EmitInteger32, 0,  // 0 #6
/*    46*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_CMPXCHG_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    /*MVT::i64*/8, 5/*#Ops*/, 6, 4, 5, 2, 3, 
                // Src: (zext:{ *:[i64] } (assertzext:{ *:[i32] } (atomic_cmp_swap:{ *:[i32] } (AddrOps32:{ *:[i32] } offset32_op:{ *:[i32] }:$offset, I32:{ *:[i32] }:$addr), (trunc:{ *:[i32] } i64:{ *:[i64] }:$exp), (trunc:{ *:[i32] } i64:{ *:[i64] }:$new))<<P:Predicate_atomic_cmp_swap_i8>>)) - Complexity = 25
                // Dst: (ATOMIC_RMW8_U_CMPXCHG_I64_A32:{ *:[i64] } 0:{ *:[i32] }, ?:{ *:[i32] }:$offset, ?:{ *:[i32] }:$addr, ?:{ *:[i64] }:$exp, ?:{ *:[i64] }:$new)
/*    57*/     /*Scope*/ 20, /*->78*/
/*    58*/      OPC_CheckPredicate2,  // Predicate_atomic_cmp_swap_i16
/*    59*/      OPC_MoveParent,
/*    60*/      OPC_MoveParent,
/*    61*/      OPC_CheckPatternPredicate3, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*    62*/      OPC_CheckComplexPat0, /*#*/1, // SelectAddrOperands32:$ #4 #5
/*    64*/      OPC_EmitMergeInputChains1_0,
/*    65*/      OPC_EmitInteger32, 0,  // 0 #6
/*    67*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_CMPXCHG_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    /*MVT::i64*/8, 5/*#Ops*/, 6, 4, 5, 2, 3, 
                // Src: (zext:{ *:[i64] } (assertzext:{ *:[i32] } (atomic_cmp_swap:{ *:[i32] } (AddrOps32:{ *:[i32] } offset32_op:{ *:[i32] }:$offset, I32:{ *:[i32] }:$addr), (trunc:{ *:[i32] } i64:{ *:[i64] }:$exp), (trunc:{ *:[i32] } i64:{ *:[i64] }:$new))<<P:Predicate_atomic_cmp_swap_i16>>)) - Complexity = 25
                // Dst: (ATOMIC_RMW16_U_CMPXCHG_I64_A32:{ *:[i64] } 0:{ *:[i32] }, ?:{ *:[i32] }:$offset, ?:{ *:[i32] }:$addr, ?:{ *:[i64] }:$exp, ?:{ *:[i64] }:$new)
/*    78*/     0, /*End of Scope*/
/*    79*/    /*Scope*/ 56, /*->136*/
/*    80*/     OPC_CheckChild1TypeI64,
/*    81*/     OPC_MoveChild2,
/*    82*/     OPC_CheckOpcode, TARGET_VAL(ISD::TRUNCATE),
/*    85*/     OPC_RecordChild0, // #2 = $exp
/*    86*/     OPC_MoveSibling3,
/*    87*/     OPC_CheckOpcode, TARGET_VAL(ISD::TRUNCATE),
/*    90*/     OPC_RecordChild0, // #3 = $new
/*    91*/     OPC_MoveParent,
/*    92*/     OPC_Scope, 20, /*->114*/ // 2 children in Scope
/*    94*/      OPC_CheckPredicate1,  // Predicate_atomic_cmp_swap_i8
/*    95*/      OPC_MoveParent,
/*    96*/      OPC_MoveParent,
/*    97*/      OPC_CheckPatternPredicate4, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*    98*/      OPC_CheckComplexPat1, /*#*/1, // SelectAddrOperands64:$ #4 #5
/*   100*/      OPC_EmitMergeInputChains1_0,
/*   101*/      OPC_EmitInteger32, 0,  // 0 #6
/*   103*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_CMPXCHG_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    /*MVT::i64*/8, 5/*#Ops*/, 6, 4, 5, 2, 3, 
                // Src: (zext:{ *:[i64] } (assertzext:{ *:[i32] } (atomic_cmp_swap:{ *:[i32] } (AddrOps64:{ *:[i64] } offset64_op:{ *:[i64] }:$offset, I64:{ *:[i64] }:$addr), (trunc:{ *:[i32] } i64:{ *:[i64] }:$exp), (trunc:{ *:[i32] } i64:{ *:[i64] }:$new))<<P:Predicate_atomic_cmp_swap_i8>>)) - Complexity = 25
                // Dst: (ATOMIC_RMW8_U_CMPXCHG_I64_A64:{ *:[i64] } 0:{ *:[i32] }, ?:{ *:[i64] }:$offset, ?:{ *:[i64] }:$addr, ?:{ *:[i64] }:$exp, ?:{ *:[i64] }:$new)
/*   114*/     /*Scope*/ 20, /*->135*/
/*   115*/      OPC_CheckPredicate2,  // Predicate_atomic_cmp_swap_i16
/*   116*/      OPC_MoveParent,
/*   117*/      OPC_MoveParent,
/*   118*/      OPC_CheckPatternPredicate4, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*   119*/      OPC_CheckComplexPat1, /*#*/1, // SelectAddrOperands64:$ #4 #5
/*   121*/      OPC_EmitMergeInputChains1_0,
/*   122*/      OPC_EmitInteger32, 0,  // 0 #6
/*   124*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_CMPXCHG_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    /*MVT::i64*/8, 5/*#Ops*/, 6, 4, 5, 2, 3, 
                // Src: (zext:{ *:[i64] } (assertzext:{ *:[i32] } (atomic_cmp_swap:{ *:[i32] } (AddrOps64:{ *:[i64] } offset64_op:{ *:[i64] }:$offset, I64:{ *:[i64] }:$addr), (trunc:{ *:[i32] } i64:{ *:[i64] }:$exp), (trunc:{ *:[i32] } i64:{ *:[i64] }:$new))<<P:Predicate_atomic_cmp_swap_i16>>)) - Complexity = 25
                // Dst: (ATOMIC_RMW16_U_CMPXCHG_I64_A64:{ *:[i64] } 0:{ *:[i32] }, ?:{ *:[i64] }:$offset, ?:{ *:[i64] }:$addr, ?:{ *:[i64] }:$exp, ?:{ *:[i64] }:$new)
/*   135*/     0, /*End of Scope*/
/*   136*/    0, /*End of Scope*/
/*   137*/   /*SwitchOpcode*/ 69, TARGET_VAL(ISD::ATOMIC_CMP_SWAP),// ->209
/*   140*/    OPC_RecordMemRef,
/*   141*/    OPC_RecordNode, // #0 = 'atomic_cmp_swap' chained node
/*   142*/    OPC_RecordChild1, // #1 = $AddrOps32:offset:addr
/*   143*/    OPC_Scope, 31, /*->176*/ // 2 children in Scope
/*   145*/     OPC_CheckChild1TypeI32,
/*   146*/     OPC_MoveChild2,
/*   147*/     OPC_CheckOpcode, TARGET_VAL(ISD::TRUNCATE),
/*   150*/     OPC_RecordChild0, // #2 = $exp
/*   151*/     OPC_MoveSibling3,
/*   152*/     OPC_CheckOpcode, TARGET_VAL(ISD::TRUNCATE),
/*   155*/     OPC_RecordChild0, // #3 = $new
/*   156*/     OPC_MoveParent,
/*   157*/     OPC_CheckPredicate3,  // Predicate_atomic_cmp_swap_i32
/*   158*/     OPC_MoveParent,
/*   159*/     OPC_CheckPatternPredicate3, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*   160*/     OPC_CheckComplexPat0, /*#*/1, // SelectAddrOperands32:$ #4 #5
/*   162*/     OPC_EmitMergeInputChains1_0,
/*   163*/     OPC_EmitInteger32, 0,  // 0 #6
/*   165*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW32_U_CMPXCHG_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                   /*MVT::i64*/8, 5/*#Ops*/, 6, 4, 5, 2, 3, 
               // Src: (zext:{ *:[i64] } (atomic_cmp_swap:{ *:[i32] } (AddrOps32:{ *:[i32] } offset32_op:{ *:[i32] }:$offset, I32:{ *:[i32] }:$addr), (trunc:{ *:[i32] } i64:{ *:[i64] }:$exp), (trunc:{ *:[i32] } i64:{ *:[i64] }:$new))<<P:Predicate_atomic_cmp_swap_i32>>) - Complexity = 22
               // Dst: (ATOMIC_RMW32_U_CMPXCHG_I64_A32:{ *:[i64] } 0:{ *:[i32] }, ?:{ *:[i32] }:$offset, ?:{ *:[i32] }:$addr, ?:{ *:[i64] }:$exp, ?:{ *:[i64] }:$new)
/*   176*/    /*Scope*/ 31, /*->208*/
/*   177*/     OPC_CheckChild1TypeI64,
/*   178*/     OPC_MoveChild2,
/*   179*/     OPC_CheckOpcode, TARGET_VAL(ISD::TRUNCATE),
/*   182*/     OPC_RecordChild0, // #2 = $exp
/*   183*/     OPC_MoveSibling3,
/*   184*/     OPC_CheckOpcode, TARGET_VAL(ISD::TRUNCATE),
/*   187*/     OPC_RecordChild0, // #3 = $new
/*   188*/     OPC_MoveParent,
/*   189*/     OPC_CheckPredicate3,  // Predicate_atomic_cmp_swap_i32
/*   190*/     OPC_MoveParent,
/*   191*/     OPC_CheckPatternPredicate4, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*   192*/     OPC_CheckComplexPat1, /*#*/1, // SelectAddrOperands64:$ #4 #5
/*   194*/     OPC_EmitMergeInputChains1_0,
/*   195*/     OPC_EmitInteger32, 0,  // 0 #6
/*   197*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW32_U_CMPXCHG_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                   /*MVT::i64*/8, 5/*#Ops*/, 6, 4, 5, 2, 3, 
               // Src: (zext:{ *:[i64] } (atomic_cmp_swap:{ *:[i32] } (AddrOps64:{ *:[i64] } offset64_op:{ *:[i64] }:$offset, I64:{ *:[i64] }:$addr), (trunc:{ *:[i32] } i64:{ *:[i64] }:$exp), (trunc:{ *:[i32] } i64:{ *:[i64] }:$new))<<P:Predicate_atomic_cmp_swap_i32>>) - Complexity = 22
               // Dst: (ATOMIC_RMW32_U_CMPXCHG_I64_A64:{ *:[i64] } 0:{ *:[i32] }, ?:{ *:[i64] }:$offset, ?:{ *:[i64] }:$addr, ?:{ *:[i64] }:$exp, ?:{ *:[i64] }:$new)
/*   208*/    0, /*End of Scope*/
/*   209*/   /*SwitchOpcode*/ 11|128,1/*139*/, TARGET_VAL(ISD::ATOMIC_LOAD_ADD),// ->352
/*   213*/    OPC_RecordMemRef,
/*   214*/    OPC_RecordNode, // #0 = 'atomic_load_add' chained node
/*   215*/    OPC_RecordChild1, // #1 = $AddrOps32:offset:addr
/*   216*/    OPC_Scope, 66, /*->284*/ // 2 children in Scope
/*   218*/     OPC_CheckChild1TypeI32,
/*   219*/     OPC_MoveChild2,
/*   220*/     OPC_CheckOpcode, TARGET_VAL(ISD::TRUNCATE),
/*   223*/     OPC_RecordChild0, // #2 = $val
/*   224*/     OPC_MoveParent,
/*   225*/     OPC_Scope, 18, /*->245*/ // 3 children in Scope
/*   227*/      OPC_CheckPredicate1,  // Predicate_atomic_load_add_i8
/*   228*/      OPC_MoveParent,
/*   229*/      OPC_CheckPatternPredicate3, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*   230*/      OPC_CheckComplexPat0, /*#*/1, // SelectAddrOperands32:$ #3 #4
/*   232*/      OPC_EmitMergeInputChains1_0,
/*   233*/      OPC_EmitInteger32, 0,  // 0 #5
/*   235*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_ADD_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    /*MVT::i64*/8, 4/*#Ops*/, 5, 3, 4, 2, 
                // Src: (zext:{ *:[i64] } (atomic_load_add:{ *:[i32] } (AddrOps32:{ *:[i32] } offset32_op:{ *:[i32] }:$offset, I32:{ *:[i32] }:$addr), (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_add_i8>>) - Complexity = 19
                // Dst: (ATOMIC_RMW8_U_ADD_I64_A32:{ *:[i64] } 0:{ *:[i32] }, ?:{ *:[i32] }:$offset, ?:{ *:[i32] }:$addr, ?:{ *:[i64] }:$val)
/*   245*/     /*Scope*/ 18, /*->264*/
/*   246*/      OPC_CheckPredicate2,  // Predicate_atomic_load_add_i16
/*   247*/      OPC_MoveParent,
/*   248*/      OPC_CheckPatternPredicate3, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*   249*/      OPC_CheckComplexPat0, /*#*/1, // SelectAddrOperands32:$ #3 #4
/*   251*/      OPC_EmitMergeInputChains1_0,
/*   252*/      OPC_EmitInteger32, 0,  // 0 #5
/*   254*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_ADD_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    /*MVT::i64*/8, 4/*#Ops*/, 5, 3, 4, 2, 
                // Src: (zext:{ *:[i64] } (atomic_load_add:{ *:[i32] } (AddrOps32:{ *:[i32] } offset32_op:{ *:[i32] }:$offset, I32:{ *:[i32] }:$addr), (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_add_i16>>) - Complexity = 19
                // Dst: (ATOMIC_RMW16_U_ADD_I64_A32:{ *:[i64] } 0:{ *:[i32] }, ?:{ *:[i32] }:$offset, ?:{ *:[i32] }:$addr, ?:{ *:[i64] }:$val)
/*   264*/     /*Scope*/ 18, /*->283*/
/*   265*/      OPC_CheckPredicate3,  // Predicate_atomic_load_add_i32
/*   266*/      OPC_MoveParent,
/*   267*/      OPC_CheckPatternPredicate3, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*   268*/      OPC_CheckComplexPat0, /*#*/1, // SelectAddrOperands32:$ #3 #4
/*   270*/      OPC_EmitMergeInputChains1_0,
/*   271*/      OPC_EmitInteger32, 0,  // 0 #5
/*   273*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW32_U_ADD_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    /*MVT::i64*/8, 4/*#Ops*/, 5, 3, 4, 2, 
                // Src: (zext:{ *:[i64] } (atomic_load_add:{ *:[i32] } (AddrOps32:{ *:[i32] } offset32_op:{ *:[i32] }:$offset, I32:{ *:[i32] }:$addr), (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_add_i32>>) - Complexity = 19
                // Dst: (ATOMIC_RMW32_U_ADD_I64_A32:{ *:[i64] } 0:{ *:[i32] }, ?:{ *:[i32] }:$offset, ?:{ *:[i32] }:$addr, ?:{ *:[i64] }:$val)
/*   283*/     0, /*End of Scope*/
/*   284*/    /*Scope*/ 66, /*->351*/
/*   285*/     OPC_CheckChild1TypeI64,
/*   286*/     OPC_MoveChild2,
/*   287*/     OPC_CheckOpcode, TARGET_VAL(ISD::TRUNCATE),
/*   290*/     OPC_RecordChild0, // #2 = $val
/*   291*/     OPC_MoveParent,
/*   292*/     OPC_Scope, 18, /*->312*/ // 3 children in Scope
/*   294*/      OPC_CheckPredicate1,  // Predicate_atomic_load_add_i8
/*   295*/      OPC_MoveParent,
/*   296*/      OPC_CheckPatternPredicate4, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*   297*/      OPC_CheckComplexPat1, /*#*/1, // SelectAddrOperands64:$ #3 #4
/*   299*/      OPC_EmitMergeInputChains1_0,
/*   300*/      OPC_EmitInteger32, 0,  // 0 #5
/*   302*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_ADD_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    /*MVT::i64*/8, 4/*#Ops*/, 5, 3, 4, 2, 
                // Src: (zext:{ *:[i64] } (atomic_load_add:{ *:[i32] } (AddrOps64:{ *:[i64] } offset64_op:{ *:[i64] }:$offset, I64:{ *:[i64] }:$addr), (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_add_i8>>) - Complexity = 19
                // Dst: (ATOMIC_RMW8_U_ADD_I64_A64:{ *:[i64] } 0:{ *:[i32] }, ?:{ *:[i64] }:$offset, ?:{ *:[i64] }:$addr, ?:{ *:[i64] }:$val)
/*   312*/     /*Scope*/ 18, /*->331*/
/*   313*/      OPC_CheckPredicate2,  // Predicate_atomic_load_add_i16
/*   314*/      OPC_MoveParent,
/*   315*/      OPC_CheckPatternPredicate4, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*   316*/      OPC_CheckComplexPat1, /*#*/1, // SelectAddrOperands64:$ #3 #4
/*   318*/      OPC_EmitMergeInputChains1_0,
/*   319*/      OPC_EmitInteger32, 0,  // 0 #5
/*   321*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_ADD_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    /*MVT::i64*/8, 4/*#Ops*/, 5, 3, 4, 2, 
                // Src: (zext:{ *:[i64] } (atomic_load_add:{ *:[i32] } (AddrOps64:{ *:[i64] } offset64_op:{ *:[i64] }:$offset, I64:{ *:[i64] }:$addr), (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_add_i16>>) - Complexity = 19
                // Dst: (ATOMIC_RMW16_U_ADD_I64_A64:{ *:[i64] } 0:{ *:[i32] }, ?:{ *:[i64] }:$offset, ?:{ *:[i64] }:$addr, ?:{ *:[i64] }:$val)
/*   331*/     /*Scope*/ 18, /*->350*/
/*   332*/      OPC_CheckPredicate3,  // Predicate_atomic_load_add_i32
/*   333*/      OPC_MoveParent,
/*   334*/      OPC_CheckPatternPredicate4, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*   335*/      OPC_CheckComplexPat1, /*#*/1, // SelectAddrOperands64:$ #3 #4
/*   337*/      OPC_EmitMergeInputChains1_0,
/*   338*/      OPC_EmitInteger32, 0,  // 0 #5
/*   340*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW32_U_ADD_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    /*MVT::i64*/8, 4/*#Ops*/, 5, 3, 4, 2, 
                // Src: (zext:{ *:[i64] } (atomic_load_add:{ *:[i32] } (AddrOps64:{ *:[i64] } offset64_op:{ *:[i64] }:$offset, I64:{ *:[i64] }:$addr), (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_add_i32>>) - Complexity = 19
                // Dst: (ATOMIC_RMW32_U_ADD_I64_A64:{ *:[i64] } 0:{ *:[i32] }, ?:{ *:[i64] }:$offset, ?:{ *:[i64] }:$addr, ?:{ *:[i64] }:$val)
/*   350*/     0, /*End of Scope*/
/*   351*/    0, /*End of Scope*/
/*   352*/   /*SwitchOpcode*/ 11|128,1/*139*/, TARGET_VAL(ISD::ATOMIC_LOAD_SUB),// ->495
/*   356*/    OPC_RecordMemRef,
/*   357*/    OPC_RecordNode, // #0 = 'atomic_load_sub' chained node
/*   358*/    OPC_RecordChild1, // #1 = $AddrOps32:offset:addr
/*   359*/    OPC_Scope, 66, /*->427*/ // 2 children in Scope
/*   361*/     OPC_CheckChild1TypeI32,
/*   362*/     OPC_MoveChild2,
/*   363*/     OPC_CheckOpcode, TARGET_VAL(ISD::TRUNCATE),
/*   366*/     OPC_RecordChild0, // #2 = $val
/*   367*/     OPC_MoveParent,
/*   368*/     OPC_Scope, 18, /*->388*/ // 3 children in Scope
/*   370*/      OPC_CheckPredicate1,  // Predicate_atomic_load_sub_i8
/*   371*/      OPC_MoveParent,
/*   372*/      OPC_CheckPatternPredicate3, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*   373*/      OPC_CheckComplexPat0, /*#*/1, // SelectAddrOperands32:$ #3 #4
/*   375*/      OPC_EmitMergeInputChains1_0,
/*   376*/      OPC_EmitInteger32, 0,  // 0 #5
/*   378*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_SUB_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    /*MVT::i64*/8, 4/*#Ops*/, 5, 3, 4, 2, 
                // Src: (zext:{ *:[i64] } (atomic_load_sub:{ *:[i32] } (AddrOps32:{ *:[i32] } offset32_op:{ *:[i32] }:$offset, I32:{ *:[i32] }:$addr), (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_sub_i8>>) - Complexity = 19
                // Dst: (ATOMIC_RMW8_U_SUB_I64_A32:{ *:[i64] } 0:{ *:[i32] }, ?:{ *:[i32] }:$offset, ?:{ *:[i32] }:$addr, ?:{ *:[i64] }:$val)
/*   388*/     /*Scope*/ 18, /*->407*/
/*   389*/      OPC_CheckPredicate2,  // Predicate_atomic_load_sub_i16
/*   390*/      OPC_MoveParent,
/*   391*/      OPC_CheckPatternPredicate3, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*   392*/      OPC_CheckComplexPat0, /*#*/1, // SelectAddrOperands32:$ #3 #4
/*   394*/      OPC_EmitMergeInputChains1_0,
/*   395*/      OPC_EmitInteger32, 0,  // 0 #5
/*   397*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_SUB_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    /*MVT::i64*/8, 4/*#Ops*/, 5, 3, 4, 2, 
                // Src: (zext:{ *:[i64] } (atomic_load_sub:{ *:[i32] } (AddrOps32:{ *:[i32] } offset32_op:{ *:[i32] }:$offset, I32:{ *:[i32] }:$addr), (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_sub_i16>>) - Complexity = 19
                // Dst: (ATOMIC_RMW16_U_SUB_I64_A32:{ *:[i64] } 0:{ *:[i32] }, ?:{ *:[i32] }:$offset, ?:{ *:[i32] }:$addr, ?:{ *:[i64] }:$val)
/*   407*/     /*Scope*/ 18, /*->426*/
/*   408*/      OPC_CheckPredicate3,  // Predicate_atomic_load_sub_i32
/*   409*/      OPC_MoveParent,
/*   410*/      OPC_CheckPatternPredicate3, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*   411*/      OPC_CheckComplexPat0, /*#*/1, // SelectAddrOperands32:$ #3 #4
/*   413*/      OPC_EmitMergeInputChains1_0,
/*   414*/      OPC_EmitInteger32, 0,  // 0 #5
/*   416*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW32_U_SUB_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    /*MVT::i64*/8, 4/*#Ops*/, 5, 3, 4, 2, 
                // Src: (zext:{ *:[i64] } (atomic_load_sub:{ *:[i32] } (AddrOps32:{ *:[i32] } offset32_op:{ *:[i32] }:$offset, I32:{ *:[i32] }:$addr), (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_sub_i32>>) - Complexity = 19
                // Dst: (ATOMIC_RMW32_U_SUB_I64_A32:{ *:[i64] } 0:{ *:[i32] }, ?:{ *:[i32] }:$offset, ?:{ *:[i32] }:$addr, ?:{ *:[i64] }:$val)
/*   426*/     0, /*End of Scope*/
/*   427*/    /*Scope*/ 66, /*->494*/
/*   428*/     OPC_CheckChild1TypeI64,
/*   429*/     OPC_MoveChild2,
/*   430*/     OPC_CheckOpcode, TARGET_VAL(ISD::TRUNCATE),
/*   433*/     OPC_RecordChild0, // #2 = $val
/*   434*/     OPC_MoveParent,
/*   435*/     OPC_Scope, 18, /*->455*/ // 3 children in Scope
/*   437*/      OPC_CheckPredicate1,  // Predicate_atomic_load_sub_i8
/*   438*/      OPC_MoveParent,
/*   439*/      OPC_CheckPatternPredicate4, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*   440*/      OPC_CheckComplexPat1, /*#*/1, // SelectAddrOperands64:$ #3 #4
/*   442*/      OPC_EmitMergeInputChains1_0,
/*   443*/      OPC_EmitInteger32, 0,  // 0 #5
/*   445*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_SUB_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    /*MVT::i64*/8, 4/*#Ops*/, 5, 3, 4, 2, 
                // Src: (zext:{ *:[i64] } (atomic_load_sub:{ *:[i32] } (AddrOps64:{ *:[i64] } offset64_op:{ *:[i64] }:$offset, I64:{ *:[i64] }:$addr), (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_sub_i8>>) - Complexity = 19
                // Dst: (ATOMIC_RMW8_U_SUB_I64_A64:{ *:[i64] } 0:{ *:[i32] }, ?:{ *:[i64] }:$offset, ?:{ *:[i64] }:$addr, ?:{ *:[i64] }:$val)
/*   455*/     /*Scope*/ 18, /*->474*/
/*   456*/      OPC_CheckPredicate2,  // Predicate_atomic_load_sub_i16
/*   457*/      OPC_MoveParent,
/*   458*/      OPC_CheckPatternPredicate4, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*   459*/      OPC_CheckComplexPat1, /*#*/1, // SelectAddrOperands64:$ #3 #4
/*   461*/      OPC_EmitMergeInputChains1_0,
/*   462*/      OPC_EmitInteger32, 0,  // 0 #5
/*   464*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_SUB_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    /*MVT::i64*/8, 4/*#Ops*/, 5, 3, 4, 2, 
                // Src: (zext:{ *:[i64] } (atomic_load_sub:{ *:[i32] } (AddrOps64:{ *:[i64] } offset64_op:{ *:[i64] }:$offset, I64:{ *:[i64] }:$addr), (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_sub_i16>>) - Complexity = 19
                // Dst: (ATOMIC_RMW16_U_SUB_I64_A64:{ *:[i64] } 0:{ *:[i32] }, ?:{ *:[i64] }:$offset, ?:{ *:[i64] }:$addr, ?:{ *:[i64] }:$val)
/*   474*/     /*Scope*/ 18, /*->493*/
/*   475*/      OPC_CheckPredicate3,  // Predicate_atomic_load_sub_i32
/*   476*/      OPC_MoveParent,
/*   477*/      OPC_CheckPatternPredicate4, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*   478*/      OPC_CheckComplexPat1, /*#*/1, // SelectAddrOperands64:$ #3 #4
/*   480*/      OPC_EmitMergeInputChains1_0,
/*   481*/      OPC_EmitInteger32, 0,  // 0 #5
/*   483*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW32_U_SUB_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    /*MVT::i64*/8, 4/*#Ops*/, 5, 3, 4, 2, 
                // Src: (zext:{ *:[i64] } (atomic_load_sub:{ *:[i32] } (AddrOps64:{ *:[i64] } offset64_op:{ *:[i64] }:$offset, I64:{ *:[i64] }:$addr), (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_sub_i32>>) - Complexity = 19
                // Dst: (ATOMIC_RMW32_U_SUB_I64_A64:{ *:[i64] } 0:{ *:[i32] }, ?:{ *:[i64] }:$offset, ?:{ *:[i64] }:$addr, ?:{ *:[i64] }:$val)
/*   493*/     0, /*End of Scope*/
/*   494*/    0, /*End of Scope*/
/*   495*/   /*SwitchOpcode*/ 11|128,1/*139*/, TARGET_VAL(ISD::ATOMIC_LOAD_AND),// ->638
/*   499*/    OPC_RecordMemRef,
/*   500*/    OPC_RecordNode, // #0 = 'atomic_load_and' chained node
/*   501*/    OPC_RecordChild1, // #1 = $AddrOps32:offset:addr
/*   502*/    OPC_Scope, 66, /*->570*/ // 2 children in Scope
/*   504*/     OPC_CheckChild1TypeI32,
/*   505*/     OPC_MoveChild2,
/*   506*/     OPC_CheckOpcode, TARGET_VAL(ISD::TRUNCATE),
/*   509*/     OPC_RecordChild0, // #2 = $val
/*   510*/     OPC_MoveParent,
/*   511*/     OPC_Scope, 18, /*->531*/ // 3 children in Scope
/*   513*/      OPC_CheckPredicate1,  // Predicate_atomic_load_and_i8
/*   514*/      OPC_MoveParent,
/*   515*/      OPC_CheckPatternPredicate3, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*   516*/      OPC_CheckComplexPat0, /*#*/1, // SelectAddrOperands32:$ #3 #4
/*   518*/      OPC_EmitMergeInputChains1_0,
/*   519*/      OPC_EmitInteger32, 0,  // 0 #5
/*   521*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_AND_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    /*MVT::i64*/8, 4/*#Ops*/, 5, 3, 4, 2, 
                // Src: (zext:{ *:[i64] } (atomic_load_and:{ *:[i32] } (AddrOps32:{ *:[i32] } offset32_op:{ *:[i32] }:$offset, I32:{ *:[i32] }:$addr), (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_and_i8>>) - Complexity = 19
                // Dst: (ATOMIC_RMW8_U_AND_I64_A32:{ *:[i64] } 0:{ *:[i32] }, ?:{ *:[i32] }:$offset, ?:{ *:[i32] }:$addr, ?:{ *:[i64] }:$val)
/*   531*/     /*Scope*/ 18, /*->550*/
/*   532*/      OPC_CheckPredicate2,  // Predicate_atomic_load_and_i16
/*   533*/      OPC_MoveParent,
/*   534*/      OPC_CheckPatternPredicate3, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*   535*/      OPC_CheckComplexPat0, /*#*/1, // SelectAddrOperands32:$ #3 #4
/*   537*/      OPC_EmitMergeInputChains1_0,
/*   538*/      OPC_EmitInteger32, 0,  // 0 #5
/*   540*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_AND_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    /*MVT::i64*/8, 4/*#Ops*/, 5, 3, 4, 2, 
                // Src: (zext:{ *:[i64] } (atomic_load_and:{ *:[i32] } (AddrOps32:{ *:[i32] } offset32_op:{ *:[i32] }:$offset, I32:{ *:[i32] }:$addr), (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_and_i16>>) - Complexity = 19
                // Dst: (ATOMIC_RMW16_U_AND_I64_A32:{ *:[i64] } 0:{ *:[i32] }, ?:{ *:[i32] }:$offset, ?:{ *:[i32] }:$addr, ?:{ *:[i64] }:$val)
/*   550*/     /*Scope*/ 18, /*->569*/
/*   551*/      OPC_CheckPredicate3,  // Predicate_atomic_load_and_i32
/*   552*/      OPC_MoveParent,
/*   553*/      OPC_CheckPatternPredicate3, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*   554*/      OPC_CheckComplexPat0, /*#*/1, // SelectAddrOperands32:$ #3 #4
/*   556*/      OPC_EmitMergeInputChains1_0,
/*   557*/      OPC_EmitInteger32, 0,  // 0 #5
/*   559*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW32_U_AND_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    /*MVT::i64*/8, 4/*#Ops*/, 5, 3, 4, 2, 
                // Src: (zext:{ *:[i64] } (atomic_load_and:{ *:[i32] } (AddrOps32:{ *:[i32] } offset32_op:{ *:[i32] }:$offset, I32:{ *:[i32] }:$addr), (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_and_i32>>) - Complexity = 19
                // Dst: (ATOMIC_RMW32_U_AND_I64_A32:{ *:[i64] } 0:{ *:[i32] }, ?:{ *:[i32] }:$offset, ?:{ *:[i32] }:$addr, ?:{ *:[i64] }:$val)
/*   569*/     0, /*End of Scope*/
/*   570*/    /*Scope*/ 66, /*->637*/
/*   571*/     OPC_CheckChild1TypeI64,
/*   572*/     OPC_MoveChild2,
/*   573*/     OPC_CheckOpcode, TARGET_VAL(ISD::TRUNCATE),
/*   576*/     OPC_RecordChild0, // #2 = $val
/*   577*/     OPC_MoveParent,
/*   578*/     OPC_Scope, 18, /*->598*/ // 3 children in Scope
/*   580*/      OPC_CheckPredicate1,  // Predicate_atomic_load_and_i8
/*   581*/      OPC_MoveParent,
/*   582*/      OPC_CheckPatternPredicate4, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*   583*/      OPC_CheckComplexPat1, /*#*/1, // SelectAddrOperands64:$ #3 #4
/*   585*/      OPC_EmitMergeInputChains1_0,
/*   586*/      OPC_EmitInteger32, 0,  // 0 #5
/*   588*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_AND_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    /*MVT::i64*/8, 4/*#Ops*/, 5, 3, 4, 2, 
                // Src: (zext:{ *:[i64] } (atomic_load_and:{ *:[i32] } (AddrOps64:{ *:[i64] } offset64_op:{ *:[i64] }:$offset, I64:{ *:[i64] }:$addr), (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_and_i8>>) - Complexity = 19
                // Dst: (ATOMIC_RMW8_U_AND_I64_A64:{ *:[i64] } 0:{ *:[i32] }, ?:{ *:[i64] }:$offset, ?:{ *:[i64] }:$addr, ?:{ *:[i64] }:$val)
/*   598*/     /*Scope*/ 18, /*->617*/
/*   599*/      OPC_CheckPredicate2,  // Predicate_atomic_load_and_i16
/*   600*/      OPC_MoveParent,
/*   601*/      OPC_CheckPatternPredicate4, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*   602*/      OPC_CheckComplexPat1, /*#*/1, // SelectAddrOperands64:$ #3 #4
/*   604*/      OPC_EmitMergeInputChains1_0,
/*   605*/      OPC_EmitInteger32, 0,  // 0 #5
/*   607*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_AND_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    /*MVT::i64*/8, 4/*#Ops*/, 5, 3, 4, 2, 
                // Src: (zext:{ *:[i64] } (atomic_load_and:{ *:[i32] } (AddrOps64:{ *:[i64] } offset64_op:{ *:[i64] }:$offset, I64:{ *:[i64] }:$addr), (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_and_i16>>) - Complexity = 19
                // Dst: (ATOMIC_RMW16_U_AND_I64_A64:{ *:[i64] } 0:{ *:[i32] }, ?:{ *:[i64] }:$offset, ?:{ *:[i64] }:$addr, ?:{ *:[i64] }:$val)
/*   617*/     /*Scope*/ 18, /*->636*/
/*   618*/      OPC_CheckPredicate3,  // Predicate_atomic_load_and_i32
/*   619*/      OPC_MoveParent,
/*   620*/      OPC_CheckPatternPredicate4, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*   621*/      OPC_CheckComplexPat1, /*#*/1, // SelectAddrOperands64:$ #3 #4
/*   623*/      OPC_EmitMergeInputChains1_0,
/*   624*/      OPC_EmitInteger32, 0,  // 0 #5
/*   626*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW32_U_AND_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    /*MVT::i64*/8, 4/*#Ops*/, 5, 3, 4, 2, 
                // Src: (zext:{ *:[i64] } (atomic_load_and:{ *:[i32] } (AddrOps64:{ *:[i64] } offset64_op:{ *:[i64] }:$offset, I64:{ *:[i64] }:$addr), (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_and_i32>>) - Complexity = 19
                // Dst: (ATOMIC_RMW32_U_AND_I64_A64:{ *:[i64] } 0:{ *:[i32] }, ?:{ *:[i64] }:$offset, ?:{ *:[i64] }:$addr, ?:{ *:[i64] }:$val)
/*   636*/     0, /*End of Scope*/
/*   637*/    0, /*End of Scope*/
/*   638*/   /*SwitchOpcode*/ 11|128,1/*139*/, TARGET_VAL(ISD::ATOMIC_LOAD_OR),// ->781
/*   642*/    OPC_RecordMemRef,
/*   643*/    OPC_RecordNode, // #0 = 'atomic_load_or' chained node
/*   644*/    OPC_RecordChild1, // #1 = $AddrOps32:offset:addr
/*   645*/    OPC_Scope, 66, /*->713*/ // 2 children in Scope
/*   647*/     OPC_CheckChild1TypeI32,
/*   648*/     OPC_MoveChild2,
/*   649*/     OPC_CheckOpcode, TARGET_VAL(ISD::TRUNCATE),
/*   652*/     OPC_RecordChild0, // #2 = $val
/*   653*/     OPC_MoveParent,
/*   654*/     OPC_Scope, 18, /*->674*/ // 3 children in Scope
/*   656*/      OPC_CheckPredicate1,  // Predicate_atomic_load_or_i8
/*   657*/      OPC_MoveParent,
/*   658*/      OPC_CheckPatternPredicate3, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*   659*/      OPC_CheckComplexPat0, /*#*/1, // SelectAddrOperands32:$ #3 #4
/*   661*/      OPC_EmitMergeInputChains1_0,
/*   662*/      OPC_EmitInteger32, 0,  // 0 #5
/*   664*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_OR_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    /*MVT::i64*/8, 4/*#Ops*/, 5, 3, 4, 2, 
                // Src: (zext:{ *:[i64] } (atomic_load_or:{ *:[i32] } (AddrOps32:{ *:[i32] } offset32_op:{ *:[i32] }:$offset, I32:{ *:[i32] }:$addr), (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_or_i8>>) - Complexity = 19
                // Dst: (ATOMIC_RMW8_U_OR_I64_A32:{ *:[i64] } 0:{ *:[i32] }, ?:{ *:[i32] }:$offset, ?:{ *:[i32] }:$addr, ?:{ *:[i64] }:$val)
/*   674*/     /*Scope*/ 18, /*->693*/
/*   675*/      OPC_CheckPredicate2,  // Predicate_atomic_load_or_i16
/*   676*/      OPC_MoveParent,
/*   677*/      OPC_CheckPatternPredicate3, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*   678*/      OPC_CheckComplexPat0, /*#*/1, // SelectAddrOperands32:$ #3 #4
/*   680*/      OPC_EmitMergeInputChains1_0,
/*   681*/      OPC_EmitInteger32, 0,  // 0 #5
/*   683*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_OR_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    /*MVT::i64*/8, 4/*#Ops*/, 5, 3, 4, 2, 
                // Src: (zext:{ *:[i64] } (atomic_load_or:{ *:[i32] } (AddrOps32:{ *:[i32] } offset32_op:{ *:[i32] }:$offset, I32:{ *:[i32] }:$addr), (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_or_i16>>) - Complexity = 19
                // Dst: (ATOMIC_RMW16_U_OR_I64_A32:{ *:[i64] } 0:{ *:[i32] }, ?:{ *:[i32] }:$offset, ?:{ *:[i32] }:$addr, ?:{ *:[i64] }:$val)
/*   693*/     /*Scope*/ 18, /*->712*/
/*   694*/      OPC_CheckPredicate3,  // Predicate_atomic_load_or_i32
/*   695*/      OPC_MoveParent,
/*   696*/      OPC_CheckPatternPredicate3, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*   697*/      OPC_CheckComplexPat0, /*#*/1, // SelectAddrOperands32:$ #3 #4
/*   699*/      OPC_EmitMergeInputChains1_0,
/*   700*/      OPC_EmitInteger32, 0,  // 0 #5
/*   702*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW32_U_OR_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    /*MVT::i64*/8, 4/*#Ops*/, 5, 3, 4, 2, 
                // Src: (zext:{ *:[i64] } (atomic_load_or:{ *:[i32] } (AddrOps32:{ *:[i32] } offset32_op:{ *:[i32] }:$offset, I32:{ *:[i32] }:$addr), (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_or_i32>>) - Complexity = 19
                // Dst: (ATOMIC_RMW32_U_OR_I64_A32:{ *:[i64] } 0:{ *:[i32] }, ?:{ *:[i32] }:$offset, ?:{ *:[i32] }:$addr, ?:{ *:[i64] }:$val)
/*   712*/     0, /*End of Scope*/
/*   713*/    /*Scope*/ 66, /*->780*/
/*   714*/     OPC_CheckChild1TypeI64,
/*   715*/     OPC_MoveChild2,
/*   716*/     OPC_CheckOpcode, TARGET_VAL(ISD::TRUNCATE),
/*   719*/     OPC_RecordChild0, // #2 = $val
/*   720*/     OPC_MoveParent,
/*   721*/     OPC_Scope, 18, /*->741*/ // 3 children in Scope
/*   723*/      OPC_CheckPredicate1,  // Predicate_atomic_load_or_i8
/*   724*/      OPC_MoveParent,
/*   725*/      OPC_CheckPatternPredicate4, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*   726*/      OPC_CheckComplexPat1, /*#*/1, // SelectAddrOperands64:$ #3 #4
/*   728*/      OPC_EmitMergeInputChains1_0,
/*   729*/      OPC_EmitInteger32, 0,  // 0 #5
/*   731*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_OR_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    /*MVT::i64*/8, 4/*#Ops*/, 5, 3, 4, 2, 
                // Src: (zext:{ *:[i64] } (atomic_load_or:{ *:[i32] } (AddrOps64:{ *:[i64] } offset64_op:{ *:[i64] }:$offset, I64:{ *:[i64] }:$addr), (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_or_i8>>) - Complexity = 19
                // Dst: (ATOMIC_RMW8_U_OR_I64_A64:{ *:[i64] } 0:{ *:[i32] }, ?:{ *:[i64] }:$offset, ?:{ *:[i64] }:$addr, ?:{ *:[i64] }:$val)
/*   741*/     /*Scope*/ 18, /*->760*/
/*   742*/      OPC_CheckPredicate2,  // Predicate_atomic_load_or_i16
/*   743*/      OPC_MoveParent,
/*   744*/      OPC_CheckPatternPredicate4, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*   745*/      OPC_CheckComplexPat1, /*#*/1, // SelectAddrOperands64:$ #3 #4
/*   747*/      OPC_EmitMergeInputChains1_0,
/*   748*/      OPC_EmitInteger32, 0,  // 0 #5
/*   750*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_OR_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    /*MVT::i64*/8, 4/*#Ops*/, 5, 3, 4, 2, 
                // Src: (zext:{ *:[i64] } (atomic_load_or:{ *:[i32] } (AddrOps64:{ *:[i64] } offset64_op:{ *:[i64] }:$offset, I64:{ *:[i64] }:$addr), (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_or_i16>>) - Complexity = 19
                // Dst: (ATOMIC_RMW16_U_OR_I64_A64:{ *:[i64] } 0:{ *:[i32] }, ?:{ *:[i64] }:$offset, ?:{ *:[i64] }:$addr, ?:{ *:[i64] }:$val)
/*   760*/     /*Scope*/ 18, /*->779*/
/*   761*/      OPC_CheckPredicate3,  // Predicate_atomic_load_or_i32
/*   762*/      OPC_MoveParent,
/*   763*/      OPC_CheckPatternPredicate4, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*   764*/      OPC_CheckComplexPat1, /*#*/1, // SelectAddrOperands64:$ #3 #4
/*   766*/      OPC_EmitMergeInputChains1_0,
/*   767*/      OPC_EmitInteger32, 0,  // 0 #5
/*   769*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW32_U_OR_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    /*MVT::i64*/8, 4/*#Ops*/, 5, 3, 4, 2, 
                // Src: (zext:{ *:[i64] } (atomic_load_or:{ *:[i32] } (AddrOps64:{ *:[i64] } offset64_op:{ *:[i64] }:$offset, I64:{ *:[i64] }:$addr), (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_or_i32>>) - Complexity = 19
                // Dst: (ATOMIC_RMW32_U_OR_I64_A64:{ *:[i64] } 0:{ *:[i32] }, ?:{ *:[i64] }:$offset, ?:{ *:[i64] }:$addr, ?:{ *:[i64] }:$val)
/*   779*/     0, /*End of Scope*/
/*   780*/    0, /*End of Scope*/
/*   781*/   /*SwitchOpcode*/ 11|128,1/*139*/, TARGET_VAL(ISD::ATOMIC_LOAD_XOR),// ->924
/*   785*/    OPC_RecordMemRef,
/*   786*/    OPC_RecordNode, // #0 = 'atomic_load_xor' chained node
/*   787*/    OPC_RecordChild1, // #1 = $AddrOps32:offset:addr
/*   788*/    OPC_Scope, 66, /*->856*/ // 2 children in Scope
/*   790*/     OPC_CheckChild1TypeI32,
/*   791*/     OPC_MoveChild2,
/*   792*/     OPC_CheckOpcode, TARGET_VAL(ISD::TRUNCATE),
/*   795*/     OPC_RecordChild0, // #2 = $val
/*   796*/     OPC_MoveParent,
/*   797*/     OPC_Scope, 18, /*->817*/ // 3 children in Scope
/*   799*/      OPC_CheckPredicate1,  // Predicate_atomic_load_xor_i8
/*   800*/      OPC_MoveParent,
/*   801*/      OPC_CheckPatternPredicate3, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*   802*/      OPC_CheckComplexPat0, /*#*/1, // SelectAddrOperands32:$ #3 #4
/*   804*/      OPC_EmitMergeInputChains1_0,
/*   805*/      OPC_EmitInteger32, 0,  // 0 #5
/*   807*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_XOR_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    /*MVT::i64*/8, 4/*#Ops*/, 5, 3, 4, 2, 
                // Src: (zext:{ *:[i64] } (atomic_load_xor:{ *:[i32] } (AddrOps32:{ *:[i32] } offset32_op:{ *:[i32] }:$offset, I32:{ *:[i32] }:$addr), (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_xor_i8>>) - Complexity = 19
                // Dst: (ATOMIC_RMW8_U_XOR_I64_A32:{ *:[i64] } 0:{ *:[i32] }, ?:{ *:[i32] }:$offset, ?:{ *:[i32] }:$addr, ?:{ *:[i64] }:$val)
/*   817*/     /*Scope*/ 18, /*->836*/
/*   818*/      OPC_CheckPredicate2,  // Predicate_atomic_load_xor_i16
/*   819*/      OPC_MoveParent,
/*   820*/      OPC_CheckPatternPredicate3, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*   821*/      OPC_CheckComplexPat0, /*#*/1, // SelectAddrOperands32:$ #3 #4
/*   823*/      OPC_EmitMergeInputChains1_0,
/*   824*/      OPC_EmitInteger32, 0,  // 0 #5
/*   826*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_XOR_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    /*MVT::i64*/8, 4/*#Ops*/, 5, 3, 4, 2, 
                // Src: (zext:{ *:[i64] } (atomic_load_xor:{ *:[i32] } (AddrOps32:{ *:[i32] } offset32_op:{ *:[i32] }:$offset, I32:{ *:[i32] }:$addr), (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_xor_i16>>) - Complexity = 19
                // Dst: (ATOMIC_RMW16_U_XOR_I64_A32:{ *:[i64] } 0:{ *:[i32] }, ?:{ *:[i32] }:$offset, ?:{ *:[i32] }:$addr, ?:{ *:[i64] }:$val)
/*   836*/     /*Scope*/ 18, /*->855*/
/*   837*/      OPC_CheckPredicate3,  // Predicate_atomic_load_xor_i32
/*   838*/      OPC_MoveParent,
/*   839*/      OPC_CheckPatternPredicate3, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*   840*/      OPC_CheckComplexPat0, /*#*/1, // SelectAddrOperands32:$ #3 #4
/*   842*/      OPC_EmitMergeInputChains1_0,
/*   843*/      OPC_EmitInteger32, 0,  // 0 #5
/*   845*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW32_U_XOR_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    /*MVT::i64*/8, 4/*#Ops*/, 5, 3, 4, 2, 
                // Src: (zext:{ *:[i64] } (atomic_load_xor:{ *:[i32] } (AddrOps32:{ *:[i32] } offset32_op:{ *:[i32] }:$offset, I32:{ *:[i32] }:$addr), (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_xor_i32>>) - Complexity = 19
                // Dst: (ATOMIC_RMW32_U_XOR_I64_A32:{ *:[i64] } 0:{ *:[i32] }, ?:{ *:[i32] }:$offset, ?:{ *:[i32] }:$addr, ?:{ *:[i64] }:$val)
/*   855*/     0, /*End of Scope*/
/*   856*/    /*Scope*/ 66, /*->923*/
/*   857*/     OPC_CheckChild1TypeI64,
/*   858*/     OPC_MoveChild2,
/*   859*/     OPC_CheckOpcode, TARGET_VAL(ISD::TRUNCATE),
/*   862*/     OPC_RecordChild0, // #2 = $val
/*   863*/     OPC_MoveParent,
/*   864*/     OPC_Scope, 18, /*->884*/ // 3 children in Scope
/*   866*/      OPC_CheckPredicate1,  // Predicate_atomic_load_xor_i8
/*   867*/      OPC_MoveParent,
/*   868*/      OPC_CheckPatternPredicate4, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*   869*/      OPC_CheckComplexPat1, /*#*/1, // SelectAddrOperands64:$ #3 #4
/*   871*/      OPC_EmitMergeInputChains1_0,
/*   872*/      OPC_EmitInteger32, 0,  // 0 #5
/*   874*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_XOR_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    /*MVT::i64*/8, 4/*#Ops*/, 5, 3, 4, 2, 
                // Src: (zext:{ *:[i64] } (atomic_load_xor:{ *:[i32] } (AddrOps64:{ *:[i64] } offset64_op:{ *:[i64] }:$offset, I64:{ *:[i64] }:$addr), (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_xor_i8>>) - Complexity = 19
                // Dst: (ATOMIC_RMW8_U_XOR_I64_A64:{ *:[i64] } 0:{ *:[i32] }, ?:{ *:[i64] }:$offset, ?:{ *:[i64] }:$addr, ?:{ *:[i64] }:$val)
/*   884*/     /*Scope*/ 18, /*->903*/
/*   885*/      OPC_CheckPredicate2,  // Predicate_atomic_load_xor_i16
/*   886*/      OPC_MoveParent,
/*   887*/      OPC_CheckPatternPredicate4, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*   888*/      OPC_CheckComplexPat1, /*#*/1, // SelectAddrOperands64:$ #3 #4
/*   890*/      OPC_EmitMergeInputChains1_0,
/*   891*/      OPC_EmitInteger32, 0,  // 0 #5
/*   893*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_XOR_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    /*MVT::i64*/8, 4/*#Ops*/, 5, 3, 4, 2, 
                // Src: (zext:{ *:[i64] } (atomic_load_xor:{ *:[i32] } (AddrOps64:{ *:[i64] } offset64_op:{ *:[i64] }:$offset, I64:{ *:[i64] }:$addr), (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_xor_i16>>) - Complexity = 19
                // Dst: (ATOMIC_RMW16_U_XOR_I64_A64:{ *:[i64] } 0:{ *:[i32] }, ?:{ *:[i64] }:$offset, ?:{ *:[i64] }:$addr, ?:{ *:[i64] }:$val)
/*   903*/     /*Scope*/ 18, /*->922*/
/*   904*/      OPC_CheckPredicate3,  // Predicate_atomic_load_xor_i32
/*   905*/      OPC_MoveParent,
/*   906*/      OPC_CheckPatternPredicate4, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*   907*/      OPC_CheckComplexPat1, /*#*/1, // SelectAddrOperands64:$ #3 #4
/*   909*/      OPC_EmitMergeInputChains1_0,
/*   910*/      OPC_EmitInteger32, 0,  // 0 #5
/*   912*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW32_U_XOR_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    /*MVT::i64*/8, 4/*#Ops*/, 5, 3, 4, 2, 
                // Src: (zext:{ *:[i64] } (atomic_load_xor:{ *:[i32] } (AddrOps64:{ *:[i64] } offset64_op:{ *:[i64] }:$offset, I64:{ *:[i64] }:$addr), (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_xor_i32>>) - Complexity = 19
                // Dst: (ATOMIC_RMW32_U_XOR_I64_A64:{ *:[i64] } 0:{ *:[i32] }, ?:{ *:[i64] }:$offset, ?:{ *:[i64] }:$addr, ?:{ *:[i64] }:$val)
/*   922*/     0, /*End of Scope*/
/*   923*/    0, /*End of Scope*/
/*   924*/   /*SwitchOpcode*/ 11|128,1/*139*/, TARGET_VAL(ISD::ATOMIC_SWAP),// ->1067
/*   928*/    OPC_RecordMemRef,
/*   929*/    OPC_RecordNode, // #0 = 'atomic_swap' chained node
/*   930*/    OPC_RecordChild1, // #1 = $AddrOps32:offset:addr
/*   931*/    OPC_Scope, 66, /*->999*/ // 2 children in Scope
/*   933*/     OPC_CheckChild1TypeI32,
/*   934*/     OPC_MoveChild2,
/*   935*/     OPC_CheckOpcode, TARGET_VAL(ISD::TRUNCATE),
/*   938*/     OPC_RecordChild0, // #2 = $val
/*   939*/     OPC_MoveParent,
/*   940*/     OPC_Scope, 18, /*->960*/ // 3 children in Scope
/*   942*/      OPC_CheckPredicate1,  // Predicate_atomic_swap_i8
/*   943*/      OPC_MoveParent,
/*   944*/      OPC_CheckPatternPredicate3, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*   945*/      OPC_CheckComplexPat0, /*#*/1, // SelectAddrOperands32:$ #3 #4
/*   947*/      OPC_EmitMergeInputChains1_0,
/*   948*/      OPC_EmitInteger32, 0,  // 0 #5
/*   950*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_XCHG_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    /*MVT::i64*/8, 4/*#Ops*/, 5, 3, 4, 2, 
                // Src: (zext:{ *:[i64] } (atomic_swap:{ *:[i32] } (AddrOps32:{ *:[i32] } offset32_op:{ *:[i32] }:$offset, I32:{ *:[i32] }:$addr), (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_swap_i8>>) - Complexity = 19
                // Dst: (ATOMIC_RMW8_U_XCHG_I64_A32:{ *:[i64] } 0:{ *:[i32] }, ?:{ *:[i32] }:$offset, ?:{ *:[i32] }:$addr, ?:{ *:[i64] }:$val)
/*   960*/     /*Scope*/ 18, /*->979*/
/*   961*/      OPC_CheckPredicate2,  // Predicate_atomic_swap_i16
/*   962*/      OPC_MoveParent,
/*   963*/      OPC_CheckPatternPredicate3, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*   964*/      OPC_CheckComplexPat0, /*#*/1, // SelectAddrOperands32:$ #3 #4
/*   966*/      OPC_EmitMergeInputChains1_0,
/*   967*/      OPC_EmitInteger32, 0,  // 0 #5
/*   969*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_XCHG_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    /*MVT::i64*/8, 4/*#Ops*/, 5, 3, 4, 2, 
                // Src: (zext:{ *:[i64] } (atomic_swap:{ *:[i32] } (AddrOps32:{ *:[i32] } offset32_op:{ *:[i32] }:$offset, I32:{ *:[i32] }:$addr), (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_swap_i16>>) - Complexity = 19
                // Dst: (ATOMIC_RMW16_U_XCHG_I64_A32:{ *:[i64] } 0:{ *:[i32] }, ?:{ *:[i32] }:$offset, ?:{ *:[i32] }:$addr, ?:{ *:[i64] }:$val)
/*   979*/     /*Scope*/ 18, /*->998*/
/*   980*/      OPC_CheckPredicate3,  // Predicate_atomic_swap_i32
/*   981*/      OPC_MoveParent,
/*   982*/      OPC_CheckPatternPredicate3, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*   983*/      OPC_CheckComplexPat0, /*#*/1, // SelectAddrOperands32:$ #3 #4
/*   985*/      OPC_EmitMergeInputChains1_0,
/*   986*/      OPC_EmitInteger32, 0,  // 0 #5
/*   988*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW32_U_XCHG_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    /*MVT::i64*/8, 4/*#Ops*/, 5, 3, 4, 2, 
                // Src: (zext:{ *:[i64] } (atomic_swap:{ *:[i32] } (AddrOps32:{ *:[i32] } offset32_op:{ *:[i32] }:$offset, I32:{ *:[i32] }:$addr), (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_swap_i32>>) - Complexity = 19
                // Dst: (ATOMIC_RMW32_U_XCHG_I64_A32:{ *:[i64] } 0:{ *:[i32] }, ?:{ *:[i32] }:$offset, ?:{ *:[i32] }:$addr, ?:{ *:[i64] }:$val)
/*   998*/     0, /*End of Scope*/
/*   999*/    /*Scope*/ 66, /*->1066*/
/*  1000*/     OPC_CheckChild1TypeI64,
/*  1001*/     OPC_MoveChild2,
/*  1002*/     OPC_CheckOpcode, TARGET_VAL(ISD::TRUNCATE),
/*  1005*/     OPC_RecordChild0, // #2 = $val
/*  1006*/     OPC_MoveParent,
/*  1007*/     OPC_Scope, 18, /*->1027*/ // 3 children in Scope
/*  1009*/      OPC_CheckPredicate1,  // Predicate_atomic_swap_i8
/*  1010*/      OPC_MoveParent,
/*  1011*/      OPC_CheckPatternPredicate4, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  1012*/      OPC_CheckComplexPat1, /*#*/1, // SelectAddrOperands64:$ #3 #4
/*  1014*/      OPC_EmitMergeInputChains1_0,
/*  1015*/      OPC_EmitInteger32, 0,  // 0 #5
/*  1017*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_XCHG_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    /*MVT::i64*/8, 4/*#Ops*/, 5, 3, 4, 2, 
                // Src: (zext:{ *:[i64] } (atomic_swap:{ *:[i32] } (AddrOps64:{ *:[i64] } offset64_op:{ *:[i64] }:$offset, I64:{ *:[i64] }:$addr), (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_swap_i8>>) - Complexity = 19
                // Dst: (ATOMIC_RMW8_U_XCHG_I64_A64:{ *:[i64] } 0:{ *:[i32] }, ?:{ *:[i64] }:$offset, ?:{ *:[i64] }:$addr, ?:{ *:[i64] }:$val)
/*  1027*/     /*Scope*/ 18, /*->1046*/
/*  1028*/      OPC_CheckPredicate2,  // Predicate_atomic_swap_i16
/*  1029*/      OPC_MoveParent,
/*  1030*/      OPC_CheckPatternPredicate4, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  1031*/      OPC_CheckComplexPat1, /*#*/1, // SelectAddrOperands64:$ #3 #4
/*  1033*/      OPC_EmitMergeInputChains1_0,
/*  1034*/      OPC_EmitInteger32, 0,  // 0 #5
/*  1036*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_XCHG_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    /*MVT::i64*/8, 4/*#Ops*/, 5, 3, 4, 2, 
                // Src: (zext:{ *:[i64] } (atomic_swap:{ *:[i32] } (AddrOps64:{ *:[i64] } offset64_op:{ *:[i64] }:$offset, I64:{ *:[i64] }:$addr), (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_swap_i16>>) - Complexity = 19
                // Dst: (ATOMIC_RMW16_U_XCHG_I64_A64:{ *:[i64] } 0:{ *:[i32] }, ?:{ *:[i64] }:$offset, ?:{ *:[i64] }:$addr, ?:{ *:[i64] }:$val)
/*  1046*/     /*Scope*/ 18, /*->1065*/
/*  1047*/      OPC_CheckPredicate3,  // Predicate_atomic_swap_i32
/*  1048*/      OPC_MoveParent,
/*  1049*/      OPC_CheckPatternPredicate4, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  1050*/      OPC_CheckComplexPat1, /*#*/1, // SelectAddrOperands64:$ #3 #4
/*  1052*/      OPC_EmitMergeInputChains1_0,
/*  1053*/      OPC_EmitInteger32, 0,  // 0 #5
/*  1055*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW32_U_XCHG_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    /*MVT::i64*/8, 4/*#Ops*/, 5, 3, 4, 2, 
                // Src: (zext:{ *:[i64] } (atomic_swap:{ *:[i32] } (AddrOps64:{ *:[i64] } offset64_op:{ *:[i64] }:$offset, I64:{ *:[i64] }:$addr), (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_swap_i32>>) - Complexity = 19
                // Dst: (ATOMIC_RMW32_U_XCHG_I64_A64:{ *:[i64] } 0:{ *:[i32] }, ?:{ *:[i64] }:$offset, ?:{ *:[i64] }:$addr, ?:{ *:[i64] }:$val)
/*  1065*/     0, /*End of Scope*/
/*  1066*/    0, /*End of Scope*/
/*  1067*/   /*SwitchOpcode*/ 85|128,1/*213*/, TARGET_VAL(ISD::ATOMIC_LOAD),// ->1284
/*  1071*/    OPC_RecordMemRef,
/*  1072*/    OPC_RecordNode, // #0 = 'atomic_load' chained node
/*  1073*/    OPC_RecordChild1, // #1 = $AddrOps32:offset:addr
/*  1074*/    OPC_Scope, 103, /*->1179*/ // 2 children in Scope
/*  1076*/     OPC_CheckChild1TypeI32,
/*  1077*/     OPC_Scope, 19, /*->1098*/ // 5 children in Scope
/*  1079*/      OPC_CheckPredicate, 15, // Predicate_atomic_load_aext
/*  1081*/      OPC_CheckPredicate1,  // Predicate_atomic_load_aext_8
/*  1082*/      OPC_MoveParent,
/*  1083*/      OPC_CheckPatternPredicate1, // (!Subtarget->hasAddr64())
/*  1084*/      OPC_CheckComplexPat0, /*#*/1, // SelectAddrOperands32:$ #2 #3
/*  1086*/      OPC_EmitMergeInputChains1_0,
/*  1087*/      OPC_EmitInteger32, 0,  // 0 #4
/*  1089*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_LOAD8_U_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    /*MVT::i64*/8, 3/*#Ops*/, 4, 2, 3, 
                // Src: (zext:{ *:[i64] } (atomic_load:{ *:[i32] } (AddrOps32:{ *:[i32] } offset32_op:{ *:[i32] }:$offset, I32:{ *:[i32] }:$addr))<<P:Predicate_atomic_load_aext>><<P:Predicate_atomic_load_aext_8>>) - Complexity = 16
                // Dst: (ATOMIC_LOAD8_U_I64_A32:{ *:[i64] } 0:{ *:[i32] }, offset32_op:{ *:[i32] }:$offset, I32:{ *:[i32] }:$addr)
/*  1098*/     /*Scope*/ 19, /*->1118*/
/*  1099*/      OPC_CheckPredicate, 13, // Predicate_atomic_load_zext
/*  1101*/      OPC_CheckPredicate1,  // Predicate_atomic_load_zext_8
/*  1102*/      OPC_MoveParent,
/*  1103*/      OPC_CheckPatternPredicate1, // (!Subtarget->hasAddr64())
/*  1104*/      OPC_CheckComplexPat0, /*#*/1, // SelectAddrOperands32:$ #2 #3
/*  1106*/      OPC_EmitMergeInputChains1_0,
/*  1107*/      OPC_EmitInteger32, 0,  // 0 #4
/*  1109*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_LOAD8_U_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    /*MVT::i64*/8, 3/*#Ops*/, 4, 2, 3, 
                // Src: (zext:{ *:[i64] } (atomic_load:{ *:[i32] } (AddrOps32:{ *:[i32] } offset32_op:{ *:[i32] }:$offset, I32:{ *:[i32] }:$addr))<<P:Predicate_atomic_load_zext>><<P:Predicate_atomic_load_zext_8>>) - Complexity = 16
                // Dst: (ATOMIC_LOAD8_U_I64_A32:{ *:[i64] } 0:{ *:[i32] }, offset32_op:{ *:[i32] }:$offset, I32:{ *:[i32] }:$addr)
/*  1118*/     /*Scope*/ 19, /*->1138*/
/*  1119*/      OPC_CheckPredicate, 15, // Predicate_atomic_load_aext
/*  1121*/      OPC_CheckPredicate2,  // Predicate_atomic_load_aext_16
/*  1122*/      OPC_MoveParent,
/*  1123*/      OPC_CheckPatternPredicate1, // (!Subtarget->hasAddr64())
/*  1124*/      OPC_CheckComplexPat0, /*#*/1, // SelectAddrOperands32:$ #2 #3
/*  1126*/      OPC_EmitMergeInputChains1_0,
/*  1127*/      OPC_EmitInteger32, 0,  // 0 #4
/*  1129*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_LOAD16_U_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    /*MVT::i64*/8, 3/*#Ops*/, 4, 2, 3, 
                // Src: (zext:{ *:[i64] } (atomic_load:{ *:[i32] } (AddrOps32:{ *:[i32] } offset32_op:{ *:[i32] }:$offset, I32:{ *:[i32] }:$addr))<<P:Predicate_atomic_load_aext>><<P:Predicate_atomic_load_aext_16>>) - Complexity = 16
                // Dst: (ATOMIC_LOAD16_U_I64_A32:{ *:[i64] } 0:{ *:[i32] }, offset32_op:{ *:[i32] }:$offset, I32:{ *:[i32] }:$addr)
/*  1138*/     /*Scope*/ 19, /*->1158*/
/*  1139*/      OPC_CheckPredicate, 13, // Predicate_atomic_load_zext
/*  1141*/      OPC_CheckPredicate2,  // Predicate_atomic_load_zext_16
/*  1142*/      OPC_MoveParent,
/*  1143*/      OPC_CheckPatternPredicate1, // (!Subtarget->hasAddr64())
/*  1144*/      OPC_CheckComplexPat0, /*#*/1, // SelectAddrOperands32:$ #2 #3
/*  1146*/      OPC_EmitMergeInputChains1_0,
/*  1147*/      OPC_EmitInteger32, 0,  // 0 #4
/*  1149*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_LOAD16_U_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    /*MVT::i64*/8, 3/*#Ops*/, 4, 2, 3, 
                // Src: (zext:{ *:[i64] } (atomic_load:{ *:[i32] } (AddrOps32:{ *:[i32] } offset32_op:{ *:[i32] }:$offset, I32:{ *:[i32] }:$addr))<<P:Predicate_atomic_load_zext>><<P:Predicate_atomic_load_zext_16>>) - Complexity = 16
                // Dst: (ATOMIC_LOAD16_U_I64_A32:{ *:[i64] } 0:{ *:[i32] }, offset32_op:{ *:[i32] }:$offset, I32:{ *:[i32] }:$addr)
/*  1158*/     /*Scope*/ 19, /*->1178*/
/*  1159*/      OPC_CheckPredicate, 24, // Predicate_atomic_load_nonext
/*  1161*/      OPC_CheckPredicate3,  // Predicate_atomic_load_nonext_32
/*  1162*/      OPC_MoveParent,
/*  1163*/      OPC_CheckPatternPredicate1, // (!Subtarget->hasAddr64())
/*  1164*/      OPC_CheckComplexPat0, /*#*/1, // SelectAddrOperands32:$ #2 #3
/*  1166*/      OPC_EmitMergeInputChains1_0,
/*  1167*/      OPC_EmitInteger32, 0,  // 0 #4
/*  1169*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_LOAD32_U_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    /*MVT::i64*/8, 3/*#Ops*/, 4, 2, 3, 
                // Src: (zext:{ *:[i64] } (atomic_load:{ *:[i32] } (AddrOps32:{ *:[i32] } offset32_op:{ *:[i32] }:$offset, I32:{ *:[i32] }:$addr))<<P:Predicate_atomic_load_nonext>><<P:Predicate_atomic_load_nonext_32>>) - Complexity = 16
                // Dst: (ATOMIC_LOAD32_U_I64_A32:{ *:[i64] } 0:{ *:[i32] }, offset32_op:{ *:[i32] }:$offset, I32:{ *:[i32] }:$addr)
/*  1178*/     0, /*End of Scope*/
/*  1179*/    /*Scope*/ 103, /*->1283*/
/*  1180*/     OPC_CheckChild1TypeI64,
/*  1181*/     OPC_Scope, 19, /*->1202*/ // 5 children in Scope
/*  1183*/      OPC_CheckPredicate, 15, // Predicate_atomic_load_aext
/*  1185*/      OPC_CheckPredicate1,  // Predicate_atomic_load_aext_8
/*  1186*/      OPC_MoveParent,
/*  1187*/      OPC_CheckPatternPredicate2, // (Subtarget->hasAddr64())
/*  1188*/      OPC_CheckComplexPat1, /*#*/1, // SelectAddrOperands64:$ #2 #3
/*  1190*/      OPC_EmitMergeInputChains1_0,
/*  1191*/      OPC_EmitInteger32, 0,  // 0 #4
/*  1193*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_LOAD8_U_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    /*MVT::i64*/8, 3/*#Ops*/, 4, 2, 3, 
                // Src: (zext:{ *:[i64] } (atomic_load:{ *:[i32] } (AddrOps64:{ *:[i64] } offset64_op:{ *:[i64] }:$offset, I64:{ *:[i64] }:$addr))<<P:Predicate_atomic_load_aext>><<P:Predicate_atomic_load_aext_8>>) - Complexity = 16
                // Dst: (ATOMIC_LOAD8_U_I64_A64:{ *:[i64] } 0:{ *:[i32] }, offset64_op:{ *:[i64] }:$offset, I64:{ *:[i64] }:$addr)
/*  1202*/     /*Scope*/ 19, /*->1222*/
/*  1203*/      OPC_CheckPredicate, 13, // Predicate_atomic_load_zext
/*  1205*/      OPC_CheckPredicate1,  // Predicate_atomic_load_zext_8
/*  1206*/      OPC_MoveParent,
/*  1207*/      OPC_CheckPatternPredicate2, // (Subtarget->hasAddr64())
/*  1208*/      OPC_CheckComplexPat1, /*#*/1, // SelectAddrOperands64:$ #2 #3
/*  1210*/      OPC_EmitMergeInputChains1_0,
/*  1211*/      OPC_EmitInteger32, 0,  // 0 #4
/*  1213*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_LOAD8_U_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    /*MVT::i64*/8, 3/*#Ops*/, 4, 2, 3, 
                // Src: (zext:{ *:[i64] } (atomic_load:{ *:[i32] } (AddrOps64:{ *:[i64] } offset64_op:{ *:[i64] }:$offset, I64:{ *:[i64] }:$addr))<<P:Predicate_atomic_load_zext>><<P:Predicate_atomic_load_zext_8>>) - Complexity = 16
                // Dst: (ATOMIC_LOAD8_U_I64_A64:{ *:[i64] } 0:{ *:[i32] }, offset64_op:{ *:[i64] }:$offset, I64:{ *:[i64] }:$addr)
/*  1222*/     /*Scope*/ 19, /*->1242*/
/*  1223*/      OPC_CheckPredicate, 15, // Predicate_atomic_load_aext
/*  1225*/      OPC_CheckPredicate2,  // Predicate_atomic_load_aext_16
/*  1226*/      OPC_MoveParent,
/*  1227*/      OPC_CheckPatternPredicate2, // (Subtarget->hasAddr64())
/*  1228*/      OPC_CheckComplexPat1, /*#*/1, // SelectAddrOperands64:$ #2 #3
/*  1230*/      OPC_EmitMergeInputChains1_0,
/*  1231*/      OPC_EmitInteger32, 0,  // 0 #4
/*  1233*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_LOAD16_U_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    /*MVT::i64*/8, 3/*#Ops*/, 4, 2, 3, 
                // Src: (zext:{ *:[i64] } (atomic_load:{ *:[i32] } (AddrOps64:{ *:[i64] } offset64_op:{ *:[i64] }:$offset, I64:{ *:[i64] }:$addr))<<P:Predicate_atomic_load_aext>><<P:Predicate_atomic_load_aext_16>>) - Complexity = 16
                // Dst: (ATOMIC_LOAD16_U_I64_A64:{ *:[i64] } 0:{ *:[i32] }, offset64_op:{ *:[i64] }:$offset, I64:{ *:[i64] }:$addr)
/*  1242*/     /*Scope*/ 19, /*->1262*/
/*  1243*/      OPC_CheckPredicate, 13, // Predicate_atomic_load_zext
/*  1245*/      OPC_CheckPredicate2,  // Predicate_atomic_load_zext_16
/*  1246*/      OPC_MoveParent,
/*  1247*/      OPC_CheckPatternPredicate2, // (Subtarget->hasAddr64())
/*  1248*/      OPC_CheckComplexPat1, /*#*/1, // SelectAddrOperands64:$ #2 #3
/*  1250*/      OPC_EmitMergeInputChains1_0,
/*  1251*/      OPC_EmitInteger32, 0,  // 0 #4
/*  1253*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_LOAD16_U_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    /*MVT::i64*/8, 3/*#Ops*/, 4, 2, 3, 
                // Src: (zext:{ *:[i64] } (atomic_load:{ *:[i32] } (AddrOps64:{ *:[i64] } offset64_op:{ *:[i64] }:$offset, I64:{ *:[i64] }:$addr))<<P:Predicate_atomic_load_zext>><<P:Predicate_atomic_load_zext_16>>) - Complexity = 16
                // Dst: (ATOMIC_LOAD16_U_I64_A64:{ *:[i64] } 0:{ *:[i32] }, offset64_op:{ *:[i64] }:$offset, I64:{ *:[i64] }:$addr)
/*  1262*/     /*Scope*/ 19, /*->1282*/
/*  1263*/      OPC_CheckPredicate, 24, // Predicate_atomic_load_nonext
/*  1265*/      OPC_CheckPredicate3,  // Predicate_atomic_load_nonext_32
/*  1266*/      OPC_MoveParent,
/*  1267*/      OPC_CheckPatternPredicate2, // (Subtarget->hasAddr64())
/*  1268*/      OPC_CheckComplexPat1, /*#*/1, // SelectAddrOperands64:$ #2 #3
/*  1270*/      OPC_EmitMergeInputChains1_0,
/*  1271*/      OPC_EmitInteger32, 0,  // 0 #4
/*  1273*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_LOAD32_U_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    /*MVT::i64*/8, 3/*#Ops*/, 4, 2, 3, 
                // Src: (zext:{ *:[i64] } (atomic_load:{ *:[i32] } (AddrOps64:{ *:[i64] } offset64_op:{ *:[i64] }:$offset, I64:{ *:[i64] }:$addr))<<P:Predicate_atomic_load_nonext>><<P:Predicate_atomic_load_nonext_32>>) - Complexity = 16
                // Dst: (ATOMIC_LOAD32_U_I64_A64:{ *:[i64] } 0:{ *:[i32] }, offset64_op:{ *:[i64] }:$offset, I64:{ *:[i64] }:$addr)
/*  1282*/     0, /*End of Scope*/
/*  1283*/    0, /*End of Scope*/
/*  1284*/   0, // EndSwitchOpcode
/*  1285*/  /*Scope*/ 7, /*->1293*/
/*  1286*/   OPC_RecordChild0, // #0 = $src
/*  1287*/   OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::I64_EXTEND_U_I32),
                 /*MVT::i64*/8, 1/*#Ops*/, 0, 
             // Src: (zext:{ *:[i64] } I32:{ *:[i32] }:$src) - Complexity = 3
             // Dst: (I64_EXTEND_U_I32:{ *:[i64] } I32:{ *:[i32] }:$src)
/*  1293*/  0, /*End of Scope*/
/*  1294*/ /*SwitchOpcode*/ 47|128,7/*943*/, TARGET_VAL(ISD::ANY_EXTEND),// ->2241
/*  1298*/  OPC_Scope, 35|128,7/*931*/, /*->2232*/ // 2 children in Scope
/*  1301*/   OPC_MoveChild0,
/*  1302*/   OPC_SwitchOpcode /*8 cases */, 124, TARGET_VAL(ISD::AssertZext),// ->1430
/*  1306*/    OPC_MoveChild0,
/*  1307*/    OPC_CheckOpcode, TARGET_VAL(ISD::ATOMIC_CMP_SWAP),
/*  1310*/    OPC_RecordMemRef,
/*  1311*/    OPC_RecordNode, // #0 = 'atomic_cmp_swap' chained node
/*  1312*/    OPC_CheckFoldableChainNode,
/*  1313*/    OPC_RecordChild1, // #1 = $AddrOps32:offset:addr
/*  1314*/    OPC_Scope, 56, /*->1372*/ // 2 children in Scope
/*  1316*/     OPC_CheckChild1TypeI32,
/*  1317*/     OPC_MoveChild2,
/*  1318*/     OPC_CheckOpcode, TARGET_VAL(ISD::TRUNCATE),
/*  1321*/     OPC_RecordChild0, // #2 = $exp
/*  1322*/     OPC_MoveSibling3,
/*  1323*/     OPC_CheckOpcode, TARGET_VAL(ISD::TRUNCATE),
/*  1326*/     OPC_RecordChild0, // #3 = $new
/*  1327*/     OPC_MoveParent,
/*  1328*/     OPC_Scope, 20, /*->1350*/ // 2 children in Scope
/*  1330*/      OPC_CheckPredicate1,  // Predicate_atomic_cmp_swap_i8
/*  1331*/      OPC_MoveParent,
/*  1332*/      OPC_MoveParent,
/*  1333*/      OPC_CheckPatternPredicate3, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  1334*/      OPC_CheckComplexPat0, /*#*/1, // SelectAddrOperands32:$ #4 #5
/*  1336*/      OPC_EmitMergeInputChains1_0,
/*  1337*/      OPC_EmitInteger32, 0,  // 0 #6
/*  1339*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_CMPXCHG_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    /*MVT::i64*/8, 5/*#Ops*/, 6, 4, 5, 2, 3, 
                // Src: (anyext:{ *:[i64] } (assertzext:{ *:[i32] } (atomic_cmp_swap:{ *:[i32] } (AddrOps32:{ *:[i32] } offset32_op:{ *:[i32] }:$offset, I32:{ *:[i32] }:$addr), (trunc:{ *:[i32] } i64:{ *:[i64] }:$exp), (trunc:{ *:[i32] } i64:{ *:[i64] }:$new))<<P:Predicate_atomic_cmp_swap_i8>>)) - Complexity = 25
                // Dst: (ATOMIC_RMW8_U_CMPXCHG_I64_A32:{ *:[i64] } 0:{ *:[i32] }, ?:{ *:[i32] }:$offset, ?:{ *:[i32] }:$addr, ?:{ *:[i64] }:$exp, ?:{ *:[i64] }:$new)
/*  1350*/     /*Scope*/ 20, /*->1371*/
/*  1351*/      OPC_CheckPredicate2,  // Predicate_atomic_cmp_swap_i16
/*  1352*/      OPC_MoveParent,
/*  1353*/      OPC_MoveParent,
/*  1354*/      OPC_CheckPatternPredicate3, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  1355*/      OPC_CheckComplexPat0, /*#*/1, // SelectAddrOperands32:$ #4 #5
/*  1357*/      OPC_EmitMergeInputChains1_0,
/*  1358*/      OPC_EmitInteger32, 0,  // 0 #6
/*  1360*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_CMPXCHG_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    /*MVT::i64*/8, 5/*#Ops*/, 6, 4, 5, 2, 3, 
                // Src: (anyext:{ *:[i64] } (assertzext:{ *:[i32] } (atomic_cmp_swap:{ *:[i32] } (AddrOps32:{ *:[i32] } offset32_op:{ *:[i32] }:$offset, I32:{ *:[i32] }:$addr), (trunc:{ *:[i32] } i64:{ *:[i64] }:$exp), (trunc:{ *:[i32] } i64:{ *:[i64] }:$new))<<P:Predicate_atomic_cmp_swap_i16>>)) - Complexity = 25
                // Dst: (ATOMIC_RMW16_U_CMPXCHG_I64_A32:{ *:[i64] } 0:{ *:[i32] }, ?:{ *:[i32] }:$offset, ?:{ *:[i32] }:$addr, ?:{ *:[i64] }:$exp, ?:{ *:[i64] }:$new)
/*  1371*/     0, /*End of Scope*/
/*  1372*/    /*Scope*/ 56, /*->1429*/
/*  1373*/     OPC_CheckChild1TypeI64,
/*  1374*/     OPC_MoveChild2,
/*  1375*/     OPC_CheckOpcode, TARGET_VAL(ISD::TRUNCATE),
/*  1378*/     OPC_RecordChild0, // #2 = $exp
/*  1379*/     OPC_MoveSibling3,
/*  1380*/     OPC_CheckOpcode, TARGET_VAL(ISD::TRUNCATE),
/*  1383*/     OPC_RecordChild0, // #3 = $new
/*  1384*/     OPC_MoveParent,
/*  1385*/     OPC_Scope, 20, /*->1407*/ // 2 children in Scope
/*  1387*/      OPC_CheckPredicate1,  // Predicate_atomic_cmp_swap_i8
/*  1388*/      OPC_MoveParent,
/*  1389*/      OPC_MoveParent,
/*  1390*/      OPC_CheckPatternPredicate4, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  1391*/      OPC_CheckComplexPat1, /*#*/1, // SelectAddrOperands64:$ #4 #5
/*  1393*/      OPC_EmitMergeInputChains1_0,
/*  1394*/      OPC_EmitInteger32, 0,  // 0 #6
/*  1396*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_CMPXCHG_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    /*MVT::i64*/8, 5/*#Ops*/, 6, 4, 5, 2, 3, 
                // Src: (anyext:{ *:[i64] } (assertzext:{ *:[i32] } (atomic_cmp_swap:{ *:[i32] } (AddrOps64:{ *:[i64] } offset64_op:{ *:[i64] }:$offset, I64:{ *:[i64] }:$addr), (trunc:{ *:[i32] } i64:{ *:[i64] }:$exp), (trunc:{ *:[i32] } i64:{ *:[i64] }:$new))<<P:Predicate_atomic_cmp_swap_i8>>)) - Complexity = 25
                // Dst: (ATOMIC_RMW8_U_CMPXCHG_I64_A64:{ *:[i64] } 0:{ *:[i32] }, ?:{ *:[i64] }:$offset, ?:{ *:[i64] }:$addr, ?:{ *:[i64] }:$exp, ?:{ *:[i64] }:$new)
/*  1407*/     /*Scope*/ 20, /*->1428*/
/*  1408*/      OPC_CheckPredicate2,  // Predicate_atomic_cmp_swap_i16
/*  1409*/      OPC_MoveParent,
/*  1410*/      OPC_MoveParent,
/*  1411*/      OPC_CheckPatternPredicate4, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  1412*/      OPC_CheckComplexPat1, /*#*/1, // SelectAddrOperands64:$ #4 #5
/*  1414*/      OPC_EmitMergeInputChains1_0,
/*  1415*/      OPC_EmitInteger32, 0,  // 0 #6
/*  1417*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_CMPXCHG_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    /*MVT::i64*/8, 5/*#Ops*/, 6, 4, 5, 2, 3, 
                // Src: (anyext:{ *:[i64] } (assertzext:{ *:[i32] } (atomic_cmp_swap:{ *:[i32] } (AddrOps64:{ *:[i64] } offset64_op:{ *:[i64] }:$offset, I64:{ *:[i64] }:$addr), (trunc:{ *:[i32] } i64:{ *:[i64] }:$exp), (trunc:{ *:[i32] } i64:{ *:[i64] }:$new))<<P:Predicate_atomic_cmp_swap_i16>>)) - Complexity = 25
                // Dst: (ATOMIC_RMW16_U_CMPXCHG_I64_A64:{ *:[i64] } 0:{ *:[i32] }, ?:{ *:[i64] }:$offset, ?:{ *:[i64] }:$addr, ?:{ *:[i64] }:$exp, ?:{ *:[i64] }:$new)
/*  1428*/     0, /*End of Scope*/
/*  1429*/    0, /*End of Scope*/
/*  1430*/   /*SwitchOpcode*/ 101, TARGET_VAL(ISD::ATOMIC_LOAD_ADD),// ->1534
/*  1433*/    OPC_RecordMemRef,
/*  1434*/    OPC_RecordNode, // #0 = 'atomic_load_add' chained node
/*  1435*/    OPC_RecordChild1, // #1 = $AddrOps32:offset:addr
/*  1436*/    OPC_Scope, 47, /*->1485*/ // 2 children in Scope
/*  1438*/     OPC_CheckChild1TypeI32,
/*  1439*/     OPC_MoveChild2,
/*  1440*/     OPC_CheckOpcode, TARGET_VAL(ISD::TRUNCATE),
/*  1443*/     OPC_RecordChild0, // #2 = $val
/*  1444*/     OPC_MoveParent,
/*  1445*/     OPC_Scope, 18, /*->1465*/ // 2 children in Scope
/*  1447*/      OPC_CheckPredicate1,  // Predicate_atomic_load_add_i8
/*  1448*/      OPC_MoveParent,
/*  1449*/      OPC_CheckPatternPredicate3, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  1450*/      OPC_CheckComplexPat0, /*#*/1, // SelectAddrOperands32:$ #3 #4
/*  1452*/      OPC_EmitMergeInputChains1_0,
/*  1453*/      OPC_EmitInteger32, 0,  // 0 #5
/*  1455*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_ADD_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    /*MVT::i64*/8, 4/*#Ops*/, 5, 3, 4, 2, 
                // Src: (anyext:{ *:[i64] } (atomic_load_add:{ *:[i32] } (AddrOps32:{ *:[i32] } offset32_op:{ *:[i32] }:$offset, I32:{ *:[i32] }:$addr), (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_add_i8>>) - Complexity = 19
                // Dst: (ATOMIC_RMW8_U_ADD_I64_A32:{ *:[i64] } 0:{ *:[i32] }, ?:{ *:[i32] }:$offset, ?:{ *:[i32] }:$addr, ?:{ *:[i64] }:$val)
/*  1465*/     /*Scope*/ 18, /*->1484*/
/*  1466*/      OPC_CheckPredicate2,  // Predicate_atomic_load_add_i16
/*  1467*/      OPC_MoveParent,
/*  1468*/      OPC_CheckPatternPredicate3, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  1469*/      OPC_CheckComplexPat0, /*#*/1, // SelectAddrOperands32:$ #3 #4
/*  1471*/      OPC_EmitMergeInputChains1_0,
/*  1472*/      OPC_EmitInteger32, 0,  // 0 #5
/*  1474*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_ADD_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    /*MVT::i64*/8, 4/*#Ops*/, 5, 3, 4, 2, 
                // Src: (anyext:{ *:[i64] } (atomic_load_add:{ *:[i32] } (AddrOps32:{ *:[i32] } offset32_op:{ *:[i32] }:$offset, I32:{ *:[i32] }:$addr), (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_add_i16>>) - Complexity = 19
                // Dst: (ATOMIC_RMW16_U_ADD_I64_A32:{ *:[i64] } 0:{ *:[i32] }, ?:{ *:[i32] }:$offset, ?:{ *:[i32] }:$addr, ?:{ *:[i64] }:$val)
/*  1484*/     0, /*End of Scope*/
/*  1485*/    /*Scope*/ 47, /*->1533*/
/*  1486*/     OPC_CheckChild1TypeI64,
/*  1487*/     OPC_MoveChild2,
/*  1488*/     OPC_CheckOpcode, TARGET_VAL(ISD::TRUNCATE),
/*  1491*/     OPC_RecordChild0, // #2 = $val
/*  1492*/     OPC_MoveParent,
/*  1493*/     OPC_Scope, 18, /*->1513*/ // 2 children in Scope
/*  1495*/      OPC_CheckPredicate1,  // Predicate_atomic_load_add_i8
/*  1496*/      OPC_MoveParent,
/*  1497*/      OPC_CheckPatternPredicate4, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  1498*/      OPC_CheckComplexPat1, /*#*/1, // SelectAddrOperands64:$ #3 #4
/*  1500*/      OPC_EmitMergeInputChains1_0,
/*  1501*/      OPC_EmitInteger32, 0,  // 0 #5
/*  1503*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_ADD_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    /*MVT::i64*/8, 4/*#Ops*/, 5, 3, 4, 2, 
                // Src: (anyext:{ *:[i64] } (atomic_load_add:{ *:[i32] } (AddrOps64:{ *:[i64] } offset64_op:{ *:[i64] }:$offset, I64:{ *:[i64] }:$addr), (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_add_i8>>) - Complexity = 19
                // Dst: (ATOMIC_RMW8_U_ADD_I64_A64:{ *:[i64] } 0:{ *:[i32] }, ?:{ *:[i64] }:$offset, ?:{ *:[i64] }:$addr, ?:{ *:[i64] }:$val)
/*  1513*/     /*Scope*/ 18, /*->1532*/
/*  1514*/      OPC_CheckPredicate2,  // Predicate_atomic_load_add_i16
/*  1515*/      OPC_MoveParent,
/*  1516*/      OPC_CheckPatternPredicate4, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  1517*/      OPC_CheckComplexPat1, /*#*/1, // SelectAddrOperands64:$ #3 #4
/*  1519*/      OPC_EmitMergeInputChains1_0,
/*  1520*/      OPC_EmitInteger32, 0,  // 0 #5
/*  1522*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_ADD_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    /*MVT::i64*/8, 4/*#Ops*/, 5, 3, 4, 2, 
                // Src: (anyext:{ *:[i64] } (atomic_load_add:{ *:[i32] } (AddrOps64:{ *:[i64] } offset64_op:{ *:[i64] }:$offset, I64:{ *:[i64] }:$addr), (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_add_i16>>) - Complexity = 19
                // Dst: (ATOMIC_RMW16_U_ADD_I64_A64:{ *:[i64] } 0:{ *:[i32] }, ?:{ *:[i64] }:$offset, ?:{ *:[i64] }:$addr, ?:{ *:[i64] }:$val)
/*  1532*/     0, /*End of Scope*/
/*  1533*/    0, /*End of Scope*/
/*  1534*/   /*SwitchOpcode*/ 101, TARGET_VAL(ISD::ATOMIC_LOAD_SUB),// ->1638
/*  1537*/    OPC_RecordMemRef,
/*  1538*/    OPC_RecordNode, // #0 = 'atomic_load_sub' chained node
/*  1539*/    OPC_RecordChild1, // #1 = $AddrOps32:offset:addr
/*  1540*/    OPC_Scope, 47, /*->1589*/ // 2 children in Scope
/*  1542*/     OPC_CheckChild1TypeI32,
/*  1543*/     OPC_MoveChild2,
/*  1544*/     OPC_CheckOpcode, TARGET_VAL(ISD::TRUNCATE),
/*  1547*/     OPC_RecordChild0, // #2 = $val
/*  1548*/     OPC_MoveParent,
/*  1549*/     OPC_Scope, 18, /*->1569*/ // 2 children in Scope
/*  1551*/      OPC_CheckPredicate1,  // Predicate_atomic_load_sub_i8
/*  1552*/      OPC_MoveParent,
/*  1553*/      OPC_CheckPatternPredicate3, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  1554*/      OPC_CheckComplexPat0, /*#*/1, // SelectAddrOperands32:$ #3 #4
/*  1556*/      OPC_EmitMergeInputChains1_0,
/*  1557*/      OPC_EmitInteger32, 0,  // 0 #5
/*  1559*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_SUB_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    /*MVT::i64*/8, 4/*#Ops*/, 5, 3, 4, 2, 
                // Src: (anyext:{ *:[i64] } (atomic_load_sub:{ *:[i32] } (AddrOps32:{ *:[i32] } offset32_op:{ *:[i32] }:$offset, I32:{ *:[i32] }:$addr), (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_sub_i8>>) - Complexity = 19
                // Dst: (ATOMIC_RMW8_U_SUB_I64_A32:{ *:[i64] } 0:{ *:[i32] }, ?:{ *:[i32] }:$offset, ?:{ *:[i32] }:$addr, ?:{ *:[i64] }:$val)
/*  1569*/     /*Scope*/ 18, /*->1588*/
/*  1570*/      OPC_CheckPredicate2,  // Predicate_atomic_load_sub_i16
/*  1571*/      OPC_MoveParent,
/*  1572*/      OPC_CheckPatternPredicate3, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  1573*/      OPC_CheckComplexPat0, /*#*/1, // SelectAddrOperands32:$ #3 #4
/*  1575*/      OPC_EmitMergeInputChains1_0,
/*  1576*/      OPC_EmitInteger32, 0,  // 0 #5
/*  1578*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_SUB_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    /*MVT::i64*/8, 4/*#Ops*/, 5, 3, 4, 2, 
                // Src: (anyext:{ *:[i64] } (atomic_load_sub:{ *:[i32] } (AddrOps32:{ *:[i32] } offset32_op:{ *:[i32] }:$offset, I32:{ *:[i32] }:$addr), (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_sub_i16>>) - Complexity = 19
                // Dst: (ATOMIC_RMW16_U_SUB_I64_A32:{ *:[i64] } 0:{ *:[i32] }, ?:{ *:[i32] }:$offset, ?:{ *:[i32] }:$addr, ?:{ *:[i64] }:$val)
/*  1588*/     0, /*End of Scope*/
/*  1589*/    /*Scope*/ 47, /*->1637*/
/*  1590*/     OPC_CheckChild1TypeI64,
/*  1591*/     OPC_MoveChild2,
/*  1592*/     OPC_CheckOpcode, TARGET_VAL(ISD::TRUNCATE),
/*  1595*/     OPC_RecordChild0, // #2 = $val
/*  1596*/     OPC_MoveParent,
/*  1597*/     OPC_Scope, 18, /*->1617*/ // 2 children in Scope
/*  1599*/      OPC_CheckPredicate1,  // Predicate_atomic_load_sub_i8
/*  1600*/      OPC_MoveParent,
/*  1601*/      OPC_CheckPatternPredicate4, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  1602*/      OPC_CheckComplexPat1, /*#*/1, // SelectAddrOperands64:$ #3 #4
/*  1604*/      OPC_EmitMergeInputChains1_0,
/*  1605*/      OPC_EmitInteger32, 0,  // 0 #5
/*  1607*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_SUB_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    /*MVT::i64*/8, 4/*#Ops*/, 5, 3, 4, 2, 
                // Src: (anyext:{ *:[i64] } (atomic_load_sub:{ *:[i32] } (AddrOps64:{ *:[i64] } offset64_op:{ *:[i64] }:$offset, I64:{ *:[i64] }:$addr), (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_sub_i8>>) - Complexity = 19
                // Dst: (ATOMIC_RMW8_U_SUB_I64_A64:{ *:[i64] } 0:{ *:[i32] }, ?:{ *:[i64] }:$offset, ?:{ *:[i64] }:$addr, ?:{ *:[i64] }:$val)
/*  1617*/     /*Scope*/ 18, /*->1636*/
/*  1618*/      OPC_CheckPredicate2,  // Predicate_atomic_load_sub_i16
/*  1619*/      OPC_MoveParent,
/*  1620*/      OPC_CheckPatternPredicate4, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  1621*/      OPC_CheckComplexPat1, /*#*/1, // SelectAddrOperands64:$ #3 #4
/*  1623*/      OPC_EmitMergeInputChains1_0,
/*  1624*/      OPC_EmitInteger32, 0,  // 0 #5
/*  1626*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_SUB_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    /*MVT::i64*/8, 4/*#Ops*/, 5, 3, 4, 2, 
                // Src: (anyext:{ *:[i64] } (atomic_load_sub:{ *:[i32] } (AddrOps64:{ *:[i64] } offset64_op:{ *:[i64] }:$offset, I64:{ *:[i64] }:$addr), (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_sub_i16>>) - Complexity = 19
                // Dst: (ATOMIC_RMW16_U_SUB_I64_A64:{ *:[i64] } 0:{ *:[i32] }, ?:{ *:[i64] }:$offset, ?:{ *:[i64] }:$addr, ?:{ *:[i64] }:$val)
/*  1636*/     0, /*End of Scope*/
/*  1637*/    0, /*End of Scope*/
/*  1638*/   /*SwitchOpcode*/ 101, TARGET_VAL(ISD::ATOMIC_LOAD_AND),// ->1742
/*  1641*/    OPC_RecordMemRef,
/*  1642*/    OPC_RecordNode, // #0 = 'atomic_load_and' chained node
/*  1643*/    OPC_RecordChild1, // #1 = $AddrOps32:offset:addr
/*  1644*/    OPC_Scope, 47, /*->1693*/ // 2 children in Scope
/*  1646*/     OPC_CheckChild1TypeI32,
/*  1647*/     OPC_MoveChild2,
/*  1648*/     OPC_CheckOpcode, TARGET_VAL(ISD::TRUNCATE),
/*  1651*/     OPC_RecordChild0, // #2 = $val
/*  1652*/     OPC_MoveParent,
/*  1653*/     OPC_Scope, 18, /*->1673*/ // 2 children in Scope
/*  1655*/      OPC_CheckPredicate1,  // Predicate_atomic_load_and_i8
/*  1656*/      OPC_MoveParent,
/*  1657*/      OPC_CheckPatternPredicate3, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  1658*/      OPC_CheckComplexPat0, /*#*/1, // SelectAddrOperands32:$ #3 #4
/*  1660*/      OPC_EmitMergeInputChains1_0,
/*  1661*/      OPC_EmitInteger32, 0,  // 0 #5
/*  1663*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_AND_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    /*MVT::i64*/8, 4/*#Ops*/, 5, 3, 4, 2, 
                // Src: (anyext:{ *:[i64] } (atomic_load_and:{ *:[i32] } (AddrOps32:{ *:[i32] } offset32_op:{ *:[i32] }:$offset, I32:{ *:[i32] }:$addr), (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_and_i8>>) - Complexity = 19
                // Dst: (ATOMIC_RMW8_U_AND_I64_A32:{ *:[i64] } 0:{ *:[i32] }, ?:{ *:[i32] }:$offset, ?:{ *:[i32] }:$addr, ?:{ *:[i64] }:$val)
/*  1673*/     /*Scope*/ 18, /*->1692*/
/*  1674*/      OPC_CheckPredicate2,  // Predicate_atomic_load_and_i16
/*  1675*/      OPC_MoveParent,
/*  1676*/      OPC_CheckPatternPredicate3, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  1677*/      OPC_CheckComplexPat0, /*#*/1, // SelectAddrOperands32:$ #3 #4
/*  1679*/      OPC_EmitMergeInputChains1_0,
/*  1680*/      OPC_EmitInteger32, 0,  // 0 #5
/*  1682*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_AND_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    /*MVT::i64*/8, 4/*#Ops*/, 5, 3, 4, 2, 
                // Src: (anyext:{ *:[i64] } (atomic_load_and:{ *:[i32] } (AddrOps32:{ *:[i32] } offset32_op:{ *:[i32] }:$offset, I32:{ *:[i32] }:$addr), (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_and_i16>>) - Complexity = 19
                // Dst: (ATOMIC_RMW16_U_AND_I64_A32:{ *:[i64] } 0:{ *:[i32] }, ?:{ *:[i32] }:$offset, ?:{ *:[i32] }:$addr, ?:{ *:[i64] }:$val)
/*  1692*/     0, /*End of Scope*/
/*  1693*/    /*Scope*/ 47, /*->1741*/
/*  1694*/     OPC_CheckChild1TypeI64,
/*  1695*/     OPC_MoveChild2,
/*  1696*/     OPC_CheckOpcode, TARGET_VAL(ISD::TRUNCATE),
/*  1699*/     OPC_RecordChild0, // #2 = $val
/*  1700*/     OPC_MoveParent,
/*  1701*/     OPC_Scope, 18, /*->1721*/ // 2 children in Scope
/*  1703*/      OPC_CheckPredicate1,  // Predicate_atomic_load_and_i8
/*  1704*/      OPC_MoveParent,
/*  1705*/      OPC_CheckPatternPredicate4, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  1706*/      OPC_CheckComplexPat1, /*#*/1, // SelectAddrOperands64:$ #3 #4
/*  1708*/      OPC_EmitMergeInputChains1_0,
/*  1709*/      OPC_EmitInteger32, 0,  // 0 #5
/*  1711*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_AND_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    /*MVT::i64*/8, 4/*#Ops*/, 5, 3, 4, 2, 
                // Src: (anyext:{ *:[i64] } (atomic_load_and:{ *:[i32] } (AddrOps64:{ *:[i64] } offset64_op:{ *:[i64] }:$offset, I64:{ *:[i64] }:$addr), (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_and_i8>>) - Complexity = 19
                // Dst: (ATOMIC_RMW8_U_AND_I64_A64:{ *:[i64] } 0:{ *:[i32] }, ?:{ *:[i64] }:$offset, ?:{ *:[i64] }:$addr, ?:{ *:[i64] }:$val)
/*  1721*/     /*Scope*/ 18, /*->1740*/
/*  1722*/      OPC_CheckPredicate2,  // Predicate_atomic_load_and_i16
/*  1723*/      OPC_MoveParent,
/*  1724*/      OPC_CheckPatternPredicate4, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  1725*/      OPC_CheckComplexPat1, /*#*/1, // SelectAddrOperands64:$ #3 #4
/*  1727*/      OPC_EmitMergeInputChains1_0,
/*  1728*/      OPC_EmitInteger32, 0,  // 0 #5
/*  1730*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_AND_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    /*MVT::i64*/8, 4/*#Ops*/, 5, 3, 4, 2, 
                // Src: (anyext:{ *:[i64] } (atomic_load_and:{ *:[i32] } (AddrOps64:{ *:[i64] } offset64_op:{ *:[i64] }:$offset, I64:{ *:[i64] }:$addr), (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_and_i16>>) - Complexity = 19
                // Dst: (ATOMIC_RMW16_U_AND_I64_A64:{ *:[i64] } 0:{ *:[i32] }, ?:{ *:[i64] }:$offset, ?:{ *:[i64] }:$addr, ?:{ *:[i64] }:$val)
/*  1740*/     0, /*End of Scope*/
/*  1741*/    0, /*End of Scope*/
/*  1742*/   /*SwitchOpcode*/ 101, TARGET_VAL(ISD::ATOMIC_LOAD_OR),// ->1846
/*  1745*/    OPC_RecordMemRef,
/*  1746*/    OPC_RecordNode, // #0 = 'atomic_load_or' chained node
/*  1747*/    OPC_RecordChild1, // #1 = $AddrOps32:offset:addr
/*  1748*/    OPC_Scope, 47, /*->1797*/ // 2 children in Scope
/*  1750*/     OPC_CheckChild1TypeI32,
/*  1751*/     OPC_MoveChild2,
/*  1752*/     OPC_CheckOpcode, TARGET_VAL(ISD::TRUNCATE),
/*  1755*/     OPC_RecordChild0, // #2 = $val
/*  1756*/     OPC_MoveParent,
/*  1757*/     OPC_Scope, 18, /*->1777*/ // 2 children in Scope
/*  1759*/      OPC_CheckPredicate1,  // Predicate_atomic_load_or_i8
/*  1760*/      OPC_MoveParent,
/*  1761*/      OPC_CheckPatternPredicate3, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  1762*/      OPC_CheckComplexPat0, /*#*/1, // SelectAddrOperands32:$ #3 #4
/*  1764*/      OPC_EmitMergeInputChains1_0,
/*  1765*/      OPC_EmitInteger32, 0,  // 0 #5
/*  1767*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_OR_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    /*MVT::i64*/8, 4/*#Ops*/, 5, 3, 4, 2, 
                // Src: (anyext:{ *:[i64] } (atomic_load_or:{ *:[i32] } (AddrOps32:{ *:[i32] } offset32_op:{ *:[i32] }:$offset, I32:{ *:[i32] }:$addr), (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_or_i8>>) - Complexity = 19
                // Dst: (ATOMIC_RMW8_U_OR_I64_A32:{ *:[i64] } 0:{ *:[i32] }, ?:{ *:[i32] }:$offset, ?:{ *:[i32] }:$addr, ?:{ *:[i64] }:$val)
/*  1777*/     /*Scope*/ 18, /*->1796*/
/*  1778*/      OPC_CheckPredicate2,  // Predicate_atomic_load_or_i16
/*  1779*/      OPC_MoveParent,
/*  1780*/      OPC_CheckPatternPredicate3, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  1781*/      OPC_CheckComplexPat0, /*#*/1, // SelectAddrOperands32:$ #3 #4
/*  1783*/      OPC_EmitMergeInputChains1_0,
/*  1784*/      OPC_EmitInteger32, 0,  // 0 #5
/*  1786*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_OR_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    /*MVT::i64*/8, 4/*#Ops*/, 5, 3, 4, 2, 
                // Src: (anyext:{ *:[i64] } (atomic_load_or:{ *:[i32] } (AddrOps32:{ *:[i32] } offset32_op:{ *:[i32] }:$offset, I32:{ *:[i32] }:$addr), (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_or_i16>>) - Complexity = 19
                // Dst: (ATOMIC_RMW16_U_OR_I64_A32:{ *:[i64] } 0:{ *:[i32] }, ?:{ *:[i32] }:$offset, ?:{ *:[i32] }:$addr, ?:{ *:[i64] }:$val)
/*  1796*/     0, /*End of Scope*/
/*  1797*/    /*Scope*/ 47, /*->1845*/
/*  1798*/     OPC_CheckChild1TypeI64,
/*  1799*/     OPC_MoveChild2,
/*  1800*/     OPC_CheckOpcode, TARGET_VAL(ISD::TRUNCATE),
/*  1803*/     OPC_RecordChild0, // #2 = $val
/*  1804*/     OPC_MoveParent,
/*  1805*/     OPC_Scope, 18, /*->1825*/ // 2 children in Scope
/*  1807*/      OPC_CheckPredicate1,  // Predicate_atomic_load_or_i8
/*  1808*/      OPC_MoveParent,
/*  1809*/      OPC_CheckPatternPredicate4, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  1810*/      OPC_CheckComplexPat1, /*#*/1, // SelectAddrOperands64:$ #3 #4
/*  1812*/      OPC_EmitMergeInputChains1_0,
/*  1813*/      OPC_EmitInteger32, 0,  // 0 #5
/*  1815*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_OR_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    /*MVT::i64*/8, 4/*#Ops*/, 5, 3, 4, 2, 
                // Src: (anyext:{ *:[i64] } (atomic_load_or:{ *:[i32] } (AddrOps64:{ *:[i64] } offset64_op:{ *:[i64] }:$offset, I64:{ *:[i64] }:$addr), (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_or_i8>>) - Complexity = 19
                // Dst: (ATOMIC_RMW8_U_OR_I64_A64:{ *:[i64] } 0:{ *:[i32] }, ?:{ *:[i64] }:$offset, ?:{ *:[i64] }:$addr, ?:{ *:[i64] }:$val)
/*  1825*/     /*Scope*/ 18, /*->1844*/
/*  1826*/      OPC_CheckPredicate2,  // Predicate_atomic_load_or_i16
/*  1827*/      OPC_MoveParent,
/*  1828*/      OPC_CheckPatternPredicate4, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  1829*/      OPC_CheckComplexPat1, /*#*/1, // SelectAddrOperands64:$ #3 #4
/*  1831*/      OPC_EmitMergeInputChains1_0,
/*  1832*/      OPC_EmitInteger32, 0,  // 0 #5
/*  1834*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_OR_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    /*MVT::i64*/8, 4/*#Ops*/, 5, 3, 4, 2, 
                // Src: (anyext:{ *:[i64] } (atomic_load_or:{ *:[i32] } (AddrOps64:{ *:[i64] } offset64_op:{ *:[i64] }:$offset, I64:{ *:[i64] }:$addr), (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_or_i16>>) - Complexity = 19
                // Dst: (ATOMIC_RMW16_U_OR_I64_A64:{ *:[i64] } 0:{ *:[i32] }, ?:{ *:[i64] }:$offset, ?:{ *:[i64] }:$addr, ?:{ *:[i64] }:$val)
/*  1844*/     0, /*End of Scope*/
/*  1845*/    0, /*End of Scope*/
/*  1846*/   /*SwitchOpcode*/ 101, TARGET_VAL(ISD::ATOMIC_LOAD_XOR),// ->1950
/*  1849*/    OPC_RecordMemRef,
/*  1850*/    OPC_RecordNode, // #0 = 'atomic_load_xor' chained node
/*  1851*/    OPC_RecordChild1, // #1 = $AddrOps32:offset:addr
/*  1852*/    OPC_Scope, 47, /*->1901*/ // 2 children in Scope
/*  1854*/     OPC_CheckChild1TypeI32,
/*  1855*/     OPC_MoveChild2,
/*  1856*/     OPC_CheckOpcode, TARGET_VAL(ISD::TRUNCATE),
/*  1859*/     OPC_RecordChild0, // #2 = $val
/*  1860*/     OPC_MoveParent,
/*  1861*/     OPC_Scope, 18, /*->1881*/ // 2 children in Scope
/*  1863*/      OPC_CheckPredicate1,  // Predicate_atomic_load_xor_i8
/*  1864*/      OPC_MoveParent,
/*  1865*/      OPC_CheckPatternPredicate3, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  1866*/      OPC_CheckComplexPat0, /*#*/1, // SelectAddrOperands32:$ #3 #4
/*  1868*/      OPC_EmitMergeInputChains1_0,
/*  1869*/      OPC_EmitInteger32, 0,  // 0 #5
/*  1871*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_XOR_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    /*MVT::i64*/8, 4/*#Ops*/, 5, 3, 4, 2, 
                // Src: (anyext:{ *:[i64] } (atomic_load_xor:{ *:[i32] } (AddrOps32:{ *:[i32] } offset32_op:{ *:[i32] }:$offset, I32:{ *:[i32] }:$addr), (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_xor_i8>>) - Complexity = 19
                // Dst: (ATOMIC_RMW8_U_XOR_I64_A32:{ *:[i64] } 0:{ *:[i32] }, ?:{ *:[i32] }:$offset, ?:{ *:[i32] }:$addr, ?:{ *:[i64] }:$val)
/*  1881*/     /*Scope*/ 18, /*->1900*/
/*  1882*/      OPC_CheckPredicate2,  // Predicate_atomic_load_xor_i16
/*  1883*/      OPC_MoveParent,
/*  1884*/      OPC_CheckPatternPredicate3, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  1885*/      OPC_CheckComplexPat0, /*#*/1, // SelectAddrOperands32:$ #3 #4
/*  1887*/      OPC_EmitMergeInputChains1_0,
/*  1888*/      OPC_EmitInteger32, 0,  // 0 #5
/*  1890*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_XOR_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    /*MVT::i64*/8, 4/*#Ops*/, 5, 3, 4, 2, 
                // Src: (anyext:{ *:[i64] } (atomic_load_xor:{ *:[i32] } (AddrOps32:{ *:[i32] } offset32_op:{ *:[i32] }:$offset, I32:{ *:[i32] }:$addr), (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_xor_i16>>) - Complexity = 19
                // Dst: (ATOMIC_RMW16_U_XOR_I64_A32:{ *:[i64] } 0:{ *:[i32] }, ?:{ *:[i32] }:$offset, ?:{ *:[i32] }:$addr, ?:{ *:[i64] }:$val)
/*  1900*/     0, /*End of Scope*/
/*  1901*/    /*Scope*/ 47, /*->1949*/
/*  1902*/     OPC_CheckChild1TypeI64,
/*  1903*/     OPC_MoveChild2,
/*  1904*/     OPC_CheckOpcode, TARGET_VAL(ISD::TRUNCATE),
/*  1907*/     OPC_RecordChild0, // #2 = $val
/*  1908*/     OPC_MoveParent,
/*  1909*/     OPC_Scope, 18, /*->1929*/ // 2 children in Scope
/*  1911*/      OPC_CheckPredicate1,  // Predicate_atomic_load_xor_i8
/*  1912*/      OPC_MoveParent,
/*  1913*/      OPC_CheckPatternPredicate4, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  1914*/      OPC_CheckComplexPat1, /*#*/1, // SelectAddrOperands64:$ #3 #4
/*  1916*/      OPC_EmitMergeInputChains1_0,
/*  1917*/      OPC_EmitInteger32, 0,  // 0 #5
/*  1919*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_XOR_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    /*MVT::i64*/8, 4/*#Ops*/, 5, 3, 4, 2, 
                // Src: (anyext:{ *:[i64] } (atomic_load_xor:{ *:[i32] } (AddrOps64:{ *:[i64] } offset64_op:{ *:[i64] }:$offset, I64:{ *:[i64] }:$addr), (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_xor_i8>>) - Complexity = 19
                // Dst: (ATOMIC_RMW8_U_XOR_I64_A64:{ *:[i64] } 0:{ *:[i32] }, ?:{ *:[i64] }:$offset, ?:{ *:[i64] }:$addr, ?:{ *:[i64] }:$val)
/*  1929*/     /*Scope*/ 18, /*->1948*/
/*  1930*/      OPC_CheckPredicate2,  // Predicate_atomic_load_xor_i16
/*  1931*/      OPC_MoveParent,
/*  1932*/      OPC_CheckPatternPredicate4, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  1933*/      OPC_CheckComplexPat1, /*#*/1, // SelectAddrOperands64:$ #3 #4
/*  1935*/      OPC_EmitMergeInputChains1_0,
/*  1936*/      OPC_EmitInteger32, 0,  // 0 #5
/*  1938*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_XOR_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    /*MVT::i64*/8, 4/*#Ops*/, 5, 3, 4, 2, 
                // Src: (anyext:{ *:[i64] } (atomic_load_xor:{ *:[i32] } (AddrOps64:{ *:[i64] } offset64_op:{ *:[i64] }:$offset, I64:{ *:[i64] }:$addr), (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_xor_i16>>) - Complexity = 19
                // Dst: (ATOMIC_RMW16_U_XOR_I64_A64:{ *:[i64] } 0:{ *:[i32] }, ?:{ *:[i64] }:$offset, ?:{ *:[i64] }:$addr, ?:{ *:[i64] }:$val)
/*  1948*/     0, /*End of Scope*/
/*  1949*/    0, /*End of Scope*/
/*  1950*/   /*SwitchOpcode*/ 101, TARGET_VAL(ISD::ATOMIC_SWAP),// ->2054
/*  1953*/    OPC_RecordMemRef,
/*  1954*/    OPC_RecordNode, // #0 = 'atomic_swap' chained node
/*  1955*/    OPC_RecordChild1, // #1 = $AddrOps32:offset:addr
/*  1956*/    OPC_Scope, 47, /*->2005*/ // 2 children in Scope
/*  1958*/     OPC_CheckChild1TypeI32,
/*  1959*/     OPC_MoveChild2,
/*  1960*/     OPC_CheckOpcode, TARGET_VAL(ISD::TRUNCATE),
/*  1963*/     OPC_RecordChild0, // #2 = $val
/*  1964*/     OPC_MoveParent,
/*  1965*/     OPC_Scope, 18, /*->1985*/ // 2 children in Scope
/*  1967*/      OPC_CheckPredicate1,  // Predicate_atomic_swap_i8
/*  1968*/      OPC_MoveParent,
/*  1969*/      OPC_CheckPatternPredicate3, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  1970*/      OPC_CheckComplexPat0, /*#*/1, // SelectAddrOperands32:$ #3 #4
/*  1972*/      OPC_EmitMergeInputChains1_0,
/*  1973*/      OPC_EmitInteger32, 0,  // 0 #5
/*  1975*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_XCHG_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    /*MVT::i64*/8, 4/*#Ops*/, 5, 3, 4, 2, 
                // Src: (anyext:{ *:[i64] } (atomic_swap:{ *:[i32] } (AddrOps32:{ *:[i32] } offset32_op:{ *:[i32] }:$offset, I32:{ *:[i32] }:$addr), (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_swap_i8>>) - Complexity = 19
                // Dst: (ATOMIC_RMW8_U_XCHG_I64_A32:{ *:[i64] } 0:{ *:[i32] }, ?:{ *:[i32] }:$offset, ?:{ *:[i32] }:$addr, ?:{ *:[i64] }:$val)
/*  1985*/     /*Scope*/ 18, /*->2004*/
/*  1986*/      OPC_CheckPredicate2,  // Predicate_atomic_swap_i16
/*  1987*/      OPC_MoveParent,
/*  1988*/      OPC_CheckPatternPredicate3, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  1989*/      OPC_CheckComplexPat0, /*#*/1, // SelectAddrOperands32:$ #3 #4
/*  1991*/      OPC_EmitMergeInputChains1_0,
/*  1992*/      OPC_EmitInteger32, 0,  // 0 #5
/*  1994*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_XCHG_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    /*MVT::i64*/8, 4/*#Ops*/, 5, 3, 4, 2, 
                // Src: (anyext:{ *:[i64] } (atomic_swap:{ *:[i32] } (AddrOps32:{ *:[i32] } offset32_op:{ *:[i32] }:$offset, I32:{ *:[i32] }:$addr), (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_swap_i16>>) - Complexity = 19
                // Dst: (ATOMIC_RMW16_U_XCHG_I64_A32:{ *:[i64] } 0:{ *:[i32] }, ?:{ *:[i32] }:$offset, ?:{ *:[i32] }:$addr, ?:{ *:[i64] }:$val)
/*  2004*/     0, /*End of Scope*/
/*  2005*/    /*Scope*/ 47, /*->2053*/
/*  2006*/     OPC_CheckChild1TypeI64,
/*  2007*/     OPC_MoveChild2,
/*  2008*/     OPC_CheckOpcode, TARGET_VAL(ISD::TRUNCATE),
/*  2011*/     OPC_RecordChild0, // #2 = $val
/*  2012*/     OPC_MoveParent,
/*  2013*/     OPC_Scope, 18, /*->2033*/ // 2 children in Scope
/*  2015*/      OPC_CheckPredicate1,  // Predicate_atomic_swap_i8
/*  2016*/      OPC_MoveParent,
/*  2017*/      OPC_CheckPatternPredicate4, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  2018*/      OPC_CheckComplexPat1, /*#*/1, // SelectAddrOperands64:$ #3 #4
/*  2020*/      OPC_EmitMergeInputChains1_0,
/*  2021*/      OPC_EmitInteger32, 0,  // 0 #5
/*  2023*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_XCHG_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    /*MVT::i64*/8, 4/*#Ops*/, 5, 3, 4, 2, 
                // Src: (anyext:{ *:[i64] } (atomic_swap:{ *:[i32] } (AddrOps64:{ *:[i64] } offset64_op:{ *:[i64] }:$offset, I64:{ *:[i64] }:$addr), (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_swap_i8>>) - Complexity = 19
                // Dst: (ATOMIC_RMW8_U_XCHG_I64_A64:{ *:[i64] } 0:{ *:[i32] }, ?:{ *:[i64] }:$offset, ?:{ *:[i64] }:$addr, ?:{ *:[i64] }:$val)
/*  2033*/     /*Scope*/ 18, /*->2052*/
/*  2034*/      OPC_CheckPredicate2,  // Predicate_atomic_swap_i16
/*  2035*/      OPC_MoveParent,
/*  2036*/      OPC_CheckPatternPredicate4, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  2037*/      OPC_CheckComplexPat1, /*#*/1, // SelectAddrOperands64:$ #3 #4
/*  2039*/      OPC_EmitMergeInputChains1_0,
/*  2040*/      OPC_EmitInteger32, 0,  // 0 #5
/*  2042*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_XCHG_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    /*MVT::i64*/8, 4/*#Ops*/, 5, 3, 4, 2, 
                // Src: (anyext:{ *:[i64] } (atomic_swap:{ *:[i32] } (AddrOps64:{ *:[i64] } offset64_op:{ *:[i64] }:$offset, I64:{ *:[i64] }:$addr), (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_swap_i16>>) - Complexity = 19
                // Dst: (ATOMIC_RMW16_U_XCHG_I64_A64:{ *:[i64] } 0:{ *:[i32] }, ?:{ *:[i64] }:$offset, ?:{ *:[i64] }:$addr, ?:{ *:[i64] }:$val)
/*  2052*/     0, /*End of Scope*/
/*  2053*/    0, /*End of Scope*/
/*  2054*/   /*SwitchOpcode*/ 45|128,1/*173*/, TARGET_VAL(ISD::ATOMIC_LOAD),// ->2231
/*  2058*/    OPC_RecordMemRef,
/*  2059*/    OPC_RecordNode, // #0 = 'atomic_load' chained node
/*  2060*/    OPC_RecordChild1, // #1 = $AddrOps32:offset:addr
/*  2061*/    OPC_Scope, 83, /*->2146*/ // 2 children in Scope
/*  2063*/     OPC_CheckChild1TypeI32,
/*  2064*/     OPC_Scope, 19, /*->2085*/ // 4 children in Scope
/*  2066*/      OPC_CheckPredicate, 15, // Predicate_atomic_load_aext
/*  2068*/      OPC_CheckPredicate1,  // Predicate_atomic_load_aext_8
/*  2069*/      OPC_MoveParent,
/*  2070*/      OPC_CheckPatternPredicate1, // (!Subtarget->hasAddr64())
/*  2071*/      OPC_CheckComplexPat0, /*#*/1, // SelectAddrOperands32:$ #2 #3
/*  2073*/      OPC_EmitMergeInputChains1_0,
/*  2074*/      OPC_EmitInteger32, 0,  // 0 #4
/*  2076*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_LOAD8_U_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    /*MVT::i64*/8, 3/*#Ops*/, 4, 2, 3, 
                // Src: (anyext:{ *:[i64] } (atomic_load:{ *:[i32] } (AddrOps32:{ *:[i32] } offset32_op:{ *:[i32] }:$offset, I32:{ *:[i32] }:$addr))<<P:Predicate_atomic_load_aext>><<P:Predicate_atomic_load_aext_8>>) - Complexity = 16
                // Dst: (ATOMIC_LOAD8_U_I64_A32:{ *:[i64] } 0:{ *:[i32] }, offset32_op:{ *:[i32] }:$offset, I32:{ *:[i32] }:$addr)
/*  2085*/     /*Scope*/ 19, /*->2105*/
/*  2086*/      OPC_CheckPredicate, 13, // Predicate_atomic_load_zext
/*  2088*/      OPC_CheckPredicate1,  // Predicate_atomic_load_zext_8
/*  2089*/      OPC_MoveParent,
/*  2090*/      OPC_CheckPatternPredicate1, // (!Subtarget->hasAddr64())
/*  2091*/      OPC_CheckComplexPat0, /*#*/1, // SelectAddrOperands32:$ #2 #3
/*  2093*/      OPC_EmitMergeInputChains1_0,
/*  2094*/      OPC_EmitInteger32, 0,  // 0 #4
/*  2096*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_LOAD8_U_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    /*MVT::i64*/8, 3/*#Ops*/, 4, 2, 3, 
                // Src: (anyext:{ *:[i64] } (atomic_load:{ *:[i32] } (AddrOps32:{ *:[i32] } offset32_op:{ *:[i32] }:$offset, I32:{ *:[i32] }:$addr))<<P:Predicate_atomic_load_zext>><<P:Predicate_atomic_load_zext_8>>) - Complexity = 16
                // Dst: (ATOMIC_LOAD8_U_I64_A32:{ *:[i64] } 0:{ *:[i32] }, offset32_op:{ *:[i32] }:$offset, I32:{ *:[i32] }:$addr)
/*  2105*/     /*Scope*/ 19, /*->2125*/
/*  2106*/      OPC_CheckPredicate, 15, // Predicate_atomic_load_aext
/*  2108*/      OPC_CheckPredicate2,  // Predicate_atomic_load_aext_16
/*  2109*/      OPC_MoveParent,
/*  2110*/      OPC_CheckPatternPredicate1, // (!Subtarget->hasAddr64())
/*  2111*/      OPC_CheckComplexPat0, /*#*/1, // SelectAddrOperands32:$ #2 #3
/*  2113*/      OPC_EmitMergeInputChains1_0,
/*  2114*/      OPC_EmitInteger32, 0,  // 0 #4
/*  2116*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_LOAD16_U_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    /*MVT::i64*/8, 3/*#Ops*/, 4, 2, 3, 
                // Src: (anyext:{ *:[i64] } (atomic_load:{ *:[i32] } (AddrOps32:{ *:[i32] } offset32_op:{ *:[i32] }:$offset, I32:{ *:[i32] }:$addr))<<P:Predicate_atomic_load_aext>><<P:Predicate_atomic_load_aext_16>>) - Complexity = 16
                // Dst: (ATOMIC_LOAD16_U_I64_A32:{ *:[i64] } 0:{ *:[i32] }, offset32_op:{ *:[i32] }:$offset, I32:{ *:[i32] }:$addr)
/*  2125*/     /*Scope*/ 19, /*->2145*/
/*  2126*/      OPC_CheckPredicate, 13, // Predicate_atomic_load_zext
/*  2128*/      OPC_CheckPredicate2,  // Predicate_atomic_load_zext_16
/*  2129*/      OPC_MoveParent,
/*  2130*/      OPC_CheckPatternPredicate1, // (!Subtarget->hasAddr64())
/*  2131*/      OPC_CheckComplexPat0, /*#*/1, // SelectAddrOperands32:$ #2 #3
/*  2133*/      OPC_EmitMergeInputChains1_0,
/*  2134*/      OPC_EmitInteger32, 0,  // 0 #4
/*  2136*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_LOAD16_U_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    /*MVT::i64*/8, 3/*#Ops*/, 4, 2, 3, 
                // Src: (anyext:{ *:[i64] } (atomic_load:{ *:[i32] } (AddrOps32:{ *:[i32] } offset32_op:{ *:[i32] }:$offset, I32:{ *:[i32] }:$addr))<<P:Predicate_atomic_load_zext>><<P:Predicate_atomic_load_zext_16>>) - Complexity = 16
                // Dst: (ATOMIC_LOAD16_U_I64_A32:{ *:[i64] } 0:{ *:[i32] }, offset32_op:{ *:[i32] }:$offset, I32:{ *:[i32] }:$addr)
/*  2145*/     0, /*End of Scope*/
/*  2146*/    /*Scope*/ 83, /*->2230*/
/*  2147*/     OPC_CheckChild1TypeI64,
/*  2148*/     OPC_Scope, 19, /*->2169*/ // 4 children in Scope
/*  2150*/      OPC_CheckPredicate, 15, // Predicate_atomic_load_aext
/*  2152*/      OPC_CheckPredicate1,  // Predicate_atomic_load_aext_8
/*  2153*/      OPC_MoveParent,
/*  2154*/      OPC_CheckPatternPredicate2, // (Subtarget->hasAddr64())
/*  2155*/      OPC_CheckComplexPat1, /*#*/1, // SelectAddrOperands64:$ #2 #3
/*  2157*/      OPC_EmitMergeInputChains1_0,
/*  2158*/      OPC_EmitInteger32, 0,  // 0 #4
/*  2160*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_LOAD8_U_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    /*MVT::i64*/8, 3/*#Ops*/, 4, 2, 3, 
                // Src: (anyext:{ *:[i64] } (atomic_load:{ *:[i32] } (AddrOps64:{ *:[i64] } offset64_op:{ *:[i64] }:$offset, I64:{ *:[i64] }:$addr))<<P:Predicate_atomic_load_aext>><<P:Predicate_atomic_load_aext_8>>) - Complexity = 16
                // Dst: (ATOMIC_LOAD8_U_I64_A64:{ *:[i64] } 0:{ *:[i32] }, offset64_op:{ *:[i64] }:$offset, I64:{ *:[i64] }:$addr)
/*  2169*/     /*Scope*/ 19, /*->2189*/
/*  2170*/      OPC_CheckPredicate, 13, // Predicate_atomic_load_zext
/*  2172*/      OPC_CheckPredicate1,  // Predicate_atomic_load_zext_8
/*  2173*/      OPC_MoveParent,
/*  2174*/      OPC_CheckPatternPredicate2, // (Subtarget->hasAddr64())
/*  2175*/      OPC_CheckComplexPat1, /*#*/1, // SelectAddrOperands64:$ #2 #3
/*  2177*/      OPC_EmitMergeInputChains1_0,
/*  2178*/      OPC_EmitInteger32, 0,  // 0 #4
/*  2180*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_LOAD8_U_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    /*MVT::i64*/8, 3/*#Ops*/, 4, 2, 3, 
                // Src: (anyext:{ *:[i64] } (atomic_load:{ *:[i32] } (AddrOps64:{ *:[i64] } offset64_op:{ *:[i64] }:$offset, I64:{ *:[i64] }:$addr))<<P:Predicate_atomic_load_zext>><<P:Predicate_atomic_load_zext_8>>) - Complexity = 16
                // Dst: (ATOMIC_LOAD8_U_I64_A64:{ *:[i64] } 0:{ *:[i32] }, offset64_op:{ *:[i64] }:$offset, I64:{ *:[i64] }:$addr)
/*  2189*/     /*Scope*/ 19, /*->2209*/
/*  2190*/      OPC_CheckPredicate, 15, // Predicate_atomic_load_aext
/*  2192*/      OPC_CheckPredicate2,  // Predicate_atomic_load_aext_16
/*  2193*/      OPC_MoveParent,
/*  2194*/      OPC_CheckPatternPredicate2, // (Subtarget->hasAddr64())
/*  2195*/      OPC_CheckComplexPat1, /*#*/1, // SelectAddrOperands64:$ #2 #3
/*  2197*/      OPC_EmitMergeInputChains1_0,
/*  2198*/      OPC_EmitInteger32, 0,  // 0 #4
/*  2200*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_LOAD16_U_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    /*MVT::i64*/8, 3/*#Ops*/, 4, 2, 3, 
                // Src: (anyext:{ *:[i64] } (atomic_load:{ *:[i32] } (AddrOps64:{ *:[i64] } offset64_op:{ *:[i64] }:$offset, I64:{ *:[i64] }:$addr))<<P:Predicate_atomic_load_aext>><<P:Predicate_atomic_load_aext_16>>) - Complexity = 16
                // Dst: (ATOMIC_LOAD16_U_I64_A64:{ *:[i64] } 0:{ *:[i32] }, offset64_op:{ *:[i64] }:$offset, I64:{ *:[i64] }:$addr)
/*  2209*/     /*Scope*/ 19, /*->2229*/
/*  2210*/      OPC_CheckPredicate, 13, // Predicate_atomic_load_zext
/*  2212*/      OPC_CheckPredicate2,  // Predicate_atomic_load_zext_16
/*  2213*/      OPC_MoveParent,
/*  2214*/      OPC_CheckPatternPredicate2, // (Subtarget->hasAddr64())
/*  2215*/      OPC_CheckComplexPat1, /*#*/1, // SelectAddrOperands64:$ #2 #3
/*  2217*/      OPC_EmitMergeInputChains1_0,
/*  2218*/      OPC_EmitInteger32, 0,  // 0 #4
/*  2220*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_LOAD16_U_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    /*MVT::i64*/8, 3/*#Ops*/, 4, 2, 3, 
                // Src: (anyext:{ *:[i64] } (atomic_load:{ *:[i32] } (AddrOps64:{ *:[i64] } offset64_op:{ *:[i64] }:$offset, I64:{ *:[i64] }:$addr))<<P:Predicate_atomic_load_zext>><<P:Predicate_atomic_load_zext_16>>) - Complexity = 16
                // Dst: (ATOMIC_LOAD16_U_I64_A64:{ *:[i64] } 0:{ *:[i32] }, offset64_op:{ *:[i64] }:$offset, I64:{ *:[i64] }:$addr)
/*  2229*/     0, /*End of Scope*/
/*  2230*/    0, /*End of Scope*/
/*  2231*/   0, // EndSwitchOpcode
/*  2232*/  /*Scope*/ 7, /*->2240*/
/*  2233*/   OPC_RecordChild0, // #0 = $src
/*  2234*/   OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::I64_EXTEND_U_I32),
                 /*MVT::i64*/8, 1/*#Ops*/, 0, 
             // Src: (anyext:{ *:[i64] } I32:{ *:[i32] }:$src) - Complexity = 3
             // Dst: (I64_EXTEND_U_I32:{ *:[i64] } I32:{ *:[i32] }:$src)
/*  2240*/  0, /*End of Scope*/
/*  2241*/ /*SwitchOpcode*/ 52|128,7/*948*/, TARGET_VAL(ISD::STORE),// ->3193
/*  2245*/  OPC_RecordMemRef,
/*  2246*/  OPC_RecordNode, // #0 = 'st' chained node
/*  2247*/  OPC_Scope, 123|128,1/*251*/, /*->2501*/ // 2 children in Scope
/*  2250*/   OPC_MoveChild1,
/*  2251*/   OPC_CheckOpcode, TARGET_VAL(ISD::EXTRACT_VECTOR_ELT),
/*  2254*/   OPC_RecordChild0, // #1 = $vec
/*  2255*/   OPC_Scope, 62, /*->2319*/ // 4 children in Scope
/*  2257*/    OPC_CheckChild0Type, /*MVT::v16i8*/40, 
/*  2259*/    OPC_RecordChild1, // #2 = $idx
/*  2260*/    OPC_MoveChild1,
/*  2261*/    OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/*  2264*/    OPC_CheckPredicate, 20, // Predicate_LaneIdx16
/*  2266*/    OPC_CheckTypeI32,
/*  2267*/    OPC_MoveParent,
/*  2268*/    OPC_CheckTypeI32,
/*  2269*/    OPC_MoveParent,
/*  2270*/    OPC_RecordChild2, // #3 = $AddrOps32:offset:addr
/*  2271*/    OPC_Scope, 22, /*->2295*/ // 2 children in Scope
/*  2273*/     OPC_CheckChild2TypeI32,
/*  2274*/     OPC_CheckPredicate4,  // Predicate_unindexedstore
/*  2275*/     OPC_CheckPredicate, 16, // Predicate_truncstore
/*  2277*/     OPC_CheckPredicate1,  // Predicate_truncstorei8
/*  2278*/     OPC_CheckPatternPredicate1, // (!Subtarget->hasAddr64())
/*  2279*/     OPC_CheckComplexPat0, /*#*/3, // SelectAddrOperands32:$ #4 #5
/*  2281*/     OPC_EmitMergeInputChains1_0,
/*  2282*/     OPC_EmitInteger32, 0,  // 0 #6
/*  2284*/     OPC_EmitConvertToTarget2, // #7
/*  2285*/     OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::STORE_LANE_I8x16_A32), 0|OPFL_Chain|OPFL_MemRefs,
                   5/*#Ops*/, 6, 4, 7, 5, 1, 
               // Src: (st (vector_extract:{ *:[i32] } V128:{ *:[v16i8] }:$vec, (imm:{ *:[i32] })<<P:Predicate_LaneIdx16>>:$idx), (AddrOps32:{ *:[i32] } offset32_op:{ *:[i32] }:$offset, I32:{ *:[i32] }:$addr))<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei8>> - Complexity = 21
               // Dst: (STORE_LANE_I8x16_A32 0:{ *:[i32] }, ?:{ *:[i32] }:$offset, (imm:{ *:[i32] }):$idx, ?:{ *:[i32] }:$addr, ?:{ *:[v16i8] }:$vec)
/*  2295*/    /*Scope*/ 22, /*->2318*/
/*  2296*/     OPC_CheckChild2TypeI64,
/*  2297*/     OPC_CheckPredicate4,  // Predicate_unindexedstore
/*  2298*/     OPC_CheckPredicate, 16, // Predicate_truncstore
/*  2300*/     OPC_CheckPredicate1,  // Predicate_truncstorei8
/*  2301*/     OPC_CheckPatternPredicate2, // (Subtarget->hasAddr64())
/*  2302*/     OPC_CheckComplexPat1, /*#*/3, // SelectAddrOperands64:$ #4 #5
/*  2304*/     OPC_EmitMergeInputChains1_0,
/*  2305*/     OPC_EmitInteger32, 0,  // 0 #6
/*  2307*/     OPC_EmitConvertToTarget2, // #7
/*  2308*/     OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::STORE_LANE_I8x16_A64), 0|OPFL_Chain|OPFL_MemRefs,
                   5/*#Ops*/, 6, 4, 7, 5, 1, 
               // Src: (st (vector_extract:{ *:[i32] } V128:{ *:[v16i8] }:$vec, (imm:{ *:[i32] })<<P:Predicate_LaneIdx16>>:$idx), (AddrOps64:{ *:[i64] } offset64_op:{ *:[i64] }:$offset, I64:{ *:[i64] }:$addr))<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei8>> - Complexity = 21
               // Dst: (STORE_LANE_I8x16_A64 0:{ *:[i32] }, ?:{ *:[i64] }:$offset, (imm:{ *:[i32] }):$idx, ?:{ *:[i64] }:$addr, ?:{ *:[v16i8] }:$vec)
/*  2318*/    0, /*End of Scope*/
/*  2319*/   /*Scope*/ 62, /*->2382*/
/*  2320*/    OPC_CheckChild0Type, /*MVT::v8i16*/51, 
/*  2322*/    OPC_RecordChild1, // #2 = $idx
/*  2323*/    OPC_MoveChild1,
/*  2324*/    OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/*  2327*/    OPC_CheckPredicate, 14, // Predicate_LaneIdx8
/*  2329*/    OPC_CheckTypeI32,
/*  2330*/    OPC_MoveParent,
/*  2331*/    OPC_CheckTypeI32,
/*  2332*/    OPC_MoveParent,
/*  2333*/    OPC_RecordChild2, // #3 = $AddrOps32:offset:addr
/*  2334*/    OPC_Scope, 22, /*->2358*/ // 2 children in Scope
/*  2336*/     OPC_CheckChild2TypeI32,
/*  2337*/     OPC_CheckPredicate4,  // Predicate_unindexedstore
/*  2338*/     OPC_CheckPredicate, 16, // Predicate_truncstore
/*  2340*/     OPC_CheckPredicate2,  // Predicate_truncstorei16
/*  2341*/     OPC_CheckPatternPredicate1, // (!Subtarget->hasAddr64())
/*  2342*/     OPC_CheckComplexPat0, /*#*/3, // SelectAddrOperands32:$ #4 #5
/*  2344*/     OPC_EmitMergeInputChains1_0,
/*  2345*/     OPC_EmitInteger32, 0,  // 0 #6
/*  2347*/     OPC_EmitConvertToTarget2, // #7
/*  2348*/     OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::STORE_LANE_I16x8_A32), 0|OPFL_Chain|OPFL_MemRefs,
                   5/*#Ops*/, 6, 4, 7, 5, 1, 
               // Src: (st (vector_extract:{ *:[i32] } V128:{ *:[v8i16] }:$vec, (imm:{ *:[i32] })<<P:Predicate_LaneIdx8>>:$idx), (AddrOps32:{ *:[i32] } offset32_op:{ *:[i32] }:$offset, I32:{ *:[i32] }:$addr))<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei16>> - Complexity = 21
               // Dst: (STORE_LANE_I16x8_A32 0:{ *:[i32] }, ?:{ *:[i32] }:$offset, (imm:{ *:[i32] }):$idx, ?:{ *:[i32] }:$addr, ?:{ *:[v8i16] }:$vec)
/*  2358*/    /*Scope*/ 22, /*->2381*/
/*  2359*/     OPC_CheckChild2TypeI64,
/*  2360*/     OPC_CheckPredicate4,  // Predicate_unindexedstore
/*  2361*/     OPC_CheckPredicate, 16, // Predicate_truncstore
/*  2363*/     OPC_CheckPredicate2,  // Predicate_truncstorei16
/*  2364*/     OPC_CheckPatternPredicate2, // (Subtarget->hasAddr64())
/*  2365*/     OPC_CheckComplexPat1, /*#*/3, // SelectAddrOperands64:$ #4 #5
/*  2367*/     OPC_EmitMergeInputChains1_0,
/*  2368*/     OPC_EmitInteger32, 0,  // 0 #6
/*  2370*/     OPC_EmitConvertToTarget2, // #7
/*  2371*/     OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::STORE_LANE_I16x8_A64), 0|OPFL_Chain|OPFL_MemRefs,
                   5/*#Ops*/, 6, 4, 7, 5, 1, 
               // Src: (st (vector_extract:{ *:[i32] } V128:{ *:[v8i16] }:$vec, (imm:{ *:[i32] })<<P:Predicate_LaneIdx8>>:$idx), (AddrOps64:{ *:[i64] } offset64_op:{ *:[i64] }:$offset, I64:{ *:[i64] }:$addr))<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei16>> - Complexity = 21
               // Dst: (STORE_LANE_I16x8_A64 0:{ *:[i32] }, ?:{ *:[i64] }:$offset, (imm:{ *:[i32] }):$idx, ?:{ *:[i64] }:$addr, ?:{ *:[v8i16] }:$vec)
/*  2381*/    0, /*End of Scope*/
/*  2382*/   /*Scope*/ 58, /*->2441*/
/*  2383*/    OPC_CheckChild0Type, /*MVT::v4i32*/62, 
/*  2385*/    OPC_RecordChild1, // #2 = $idx
/*  2386*/    OPC_MoveChild1,
/*  2387*/    OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/*  2390*/    OPC_CheckPredicate, 11, // Predicate_LaneIdx4
/*  2392*/    OPC_CheckTypeI32,
/*  2393*/    OPC_MoveParent,
/*  2394*/    OPC_CheckTypeI32,
/*  2395*/    OPC_MoveParent,
/*  2396*/    OPC_RecordChild2, // #3 = $AddrOps32:offset:addr
/*  2397*/    OPC_Scope, 20, /*->2419*/ // 2 children in Scope
/*  2399*/     OPC_CheckChild2TypeI32,
/*  2400*/     OPC_CheckPredicate4,  // Predicate_unindexedstore
/*  2401*/     OPC_CheckPredicate5,  // Predicate_store
/*  2402*/     OPC_CheckPatternPredicate1, // (!Subtarget->hasAddr64())
/*  2403*/     OPC_CheckComplexPat0, /*#*/3, // SelectAddrOperands32:$ #4 #5
/*  2405*/     OPC_EmitMergeInputChains1_0,
/*  2406*/     OPC_EmitInteger32, 0,  // 0 #6
/*  2408*/     OPC_EmitConvertToTarget2, // #7
/*  2409*/     OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::STORE_LANE_I32x4_A32), 0|OPFL_Chain|OPFL_MemRefs,
                   5/*#Ops*/, 6, 4, 7, 5, 1, 
               // Src: (st (vector_extract:{ *:[i32] } V128:{ *:[v4i32] }:$vec, (imm:{ *:[i32] })<<P:Predicate_LaneIdx4>>:$idx), (AddrOps32:{ *:[i32] } offset32_op:{ *:[i32] }:$offset, I32:{ *:[i32] }:$addr))<<P:Predicate_unindexedstore>><<P:Predicate_store>> - Complexity = 21
               // Dst: (STORE_LANE_I32x4_A32 0:{ *:[i32] }, ?:{ *:[i32] }:$offset, (imm:{ *:[i32] }):$idx, ?:{ *:[i32] }:$addr, ?:{ *:[v4i32] }:$vec)
/*  2419*/    /*Scope*/ 20, /*->2440*/
/*  2420*/     OPC_CheckChild2TypeI64,
/*  2421*/     OPC_CheckPredicate4,  // Predicate_unindexedstore
/*  2422*/     OPC_CheckPredicate5,  // Predicate_store
/*  2423*/     OPC_CheckPatternPredicate2, // (Subtarget->hasAddr64())
/*  2424*/     OPC_CheckComplexPat1, /*#*/3, // SelectAddrOperands64:$ #4 #5
/*  2426*/     OPC_EmitMergeInputChains1_0,
/*  2427*/     OPC_EmitInteger32, 0,  // 0 #6
/*  2429*/     OPC_EmitConvertToTarget2, // #7
/*  2430*/     OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::STORE_LANE_I32x4_A64), 0|OPFL_Chain|OPFL_MemRefs,
                   5/*#Ops*/, 6, 4, 7, 5, 1, 
               // Src: (st (vector_extract:{ *:[i32] } V128:{ *:[v4i32] }:$vec, (imm:{ *:[i32] })<<P:Predicate_LaneIdx4>>:$idx), (AddrOps64:{ *:[i64] } offset64_op:{ *:[i64] }:$offset, I64:{ *:[i64] }:$addr))<<P:Predicate_unindexedstore>><<P:Predicate_store>> - Complexity = 21
               // Dst: (STORE_LANE_I32x4_A64 0:{ *:[i32] }, ?:{ *:[i64] }:$offset, (imm:{ *:[i32] }):$idx, ?:{ *:[i64] }:$addr, ?:{ *:[v4i32] }:$vec)
/*  2440*/    0, /*End of Scope*/
/*  2441*/   /*Scope*/ 58, /*->2500*/
/*  2442*/    OPC_CheckChild0Type, /*MVT::v2i64*/81, 
/*  2444*/    OPC_RecordChild1, // #2 = $idx
/*  2445*/    OPC_MoveChild1,
/*  2446*/    OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/*  2449*/    OPC_CheckPredicate, 12, // Predicate_LaneIdx2
/*  2451*/    OPC_CheckTypeI32,
/*  2452*/    OPC_MoveParent,
/*  2453*/    OPC_CheckTypeI64,
/*  2454*/    OPC_MoveParent,
/*  2455*/    OPC_RecordChild2, // #3 = $AddrOps32:offset:addr
/*  2456*/    OPC_Scope, 20, /*->2478*/ // 2 children in Scope
/*  2458*/     OPC_CheckChild2TypeI32,
/*  2459*/     OPC_CheckPredicate4,  // Predicate_unindexedstore
/*  2460*/     OPC_CheckPredicate5,  // Predicate_store
/*  2461*/     OPC_CheckPatternPredicate1, // (!Subtarget->hasAddr64())
/*  2462*/     OPC_CheckComplexPat0, /*#*/3, // SelectAddrOperands32:$ #4 #5
/*  2464*/     OPC_EmitMergeInputChains1_0,
/*  2465*/     OPC_EmitInteger32, 0,  // 0 #6
/*  2467*/     OPC_EmitConvertToTarget2, // #7
/*  2468*/     OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::STORE_LANE_I64x2_A32), 0|OPFL_Chain|OPFL_MemRefs,
                   5/*#Ops*/, 6, 4, 7, 5, 1, 
               // Src: (st (vector_extract:{ *:[i64] } V128:{ *:[v2i64] }:$vec, (imm:{ *:[i32] })<<P:Predicate_LaneIdx2>>:$idx), (AddrOps32:{ *:[i32] } offset32_op:{ *:[i32] }:$offset, I32:{ *:[i32] }:$addr))<<P:Predicate_unindexedstore>><<P:Predicate_store>> - Complexity = 21
               // Dst: (STORE_LANE_I64x2_A32 0:{ *:[i32] }, ?:{ *:[i32] }:$offset, (imm:{ *:[i32] }):$idx, ?:{ *:[i32] }:$addr, ?:{ *:[v2i64] }:$vec)
/*  2478*/    /*Scope*/ 20, /*->2499*/
/*  2479*/     OPC_CheckChild2TypeI64,
/*  2480*/     OPC_CheckPredicate4,  // Predicate_unindexedstore
/*  2481*/     OPC_CheckPredicate5,  // Predicate_store
/*  2482*/     OPC_CheckPatternPredicate2, // (Subtarget->hasAddr64())
/*  2483*/     OPC_CheckComplexPat1, /*#*/3, // SelectAddrOperands64:$ #4 #5
/*  2485*/     OPC_EmitMergeInputChains1_0,
/*  2486*/     OPC_EmitInteger32, 0,  // 0 #6
/*  2488*/     OPC_EmitConvertToTarget2, // #7
/*  2489*/     OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::STORE_LANE_I64x2_A64), 0|OPFL_Chain|OPFL_MemRefs,
                   5/*#Ops*/, 6, 4, 7, 5, 1, 
               // Src: (st (vector_extract:{ *:[i64] } V128:{ *:[v2i64] }:$vec, (imm:{ *:[i32] })<<P:Predicate_LaneIdx2>>:$idx), (AddrOps64:{ *:[i64] } offset64_op:{ *:[i64] }:$offset, I64:{ *:[i64] }:$addr))<<P:Predicate_unindexedstore>><<P:Predicate_store>> - Complexity = 21
               // Dst: (STORE_LANE_I64x2_A64 0:{ *:[i32] }, ?:{ *:[i64] }:$offset, (imm:{ *:[i32] }):$idx, ?:{ *:[i64] }:$addr, ?:{ *:[v2i64] }:$vec)
/*  2499*/    0, /*End of Scope*/
/*  2500*/   0, /*End of Scope*/
/*  2501*/  /*Scope*/ 49|128,5/*689*/, /*->3192*/
/*  2503*/   OPC_RecordChild1, // #1 = $val
/*  2504*/   OPC_Scope, 126, /*->2632*/ // 11 children in Scope
/*  2506*/    OPC_CheckChild1TypeI32,
/*  2507*/    OPC_RecordChild2, // #2 = $AddrOps32:offset:addr
/*  2508*/    OPC_Scope, 60, /*->2570*/ // 2 children in Scope
/*  2510*/     OPC_CheckChild2TypeI32,
/*  2511*/     OPC_CheckPredicate4,  // Predicate_unindexedstore
/*  2512*/     OPC_Scope, 16, /*->2530*/ // 2 children in Scope
/*  2514*/      OPC_CheckPredicate5,  // Predicate_store
/*  2515*/      OPC_CheckPatternPredicate1, // (!Subtarget->hasAddr64())
/*  2516*/      OPC_CheckComplexPat0, /*#*/2, // SelectAddrOperands32:$ #3 #4
/*  2518*/      OPC_EmitMergeInputChains1_0,
/*  2519*/      OPC_EmitInteger32, 0,  // 0 #5
/*  2521*/      OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::STORE_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    4/*#Ops*/, 5, 3, 4, 1, 
                // Src: (st i32:{ *:[i32] }:$val, (AddrOps32:{ *:[i32] } offset32_op:{ *:[i32] }:$offset, I32:{ *:[i32] }:$addr))<<P:Predicate_unindexedstore>><<P:Predicate_store>> - Complexity = 13
                // Dst: (STORE_I32_A32 0:{ *:[i32] }, offset32_op:{ *:[i32] }:$offset, I32:{ *:[i32] }:$addr, i32:{ *:[i32] }:$val)
/*  2530*/     /*Scope*/ 38, /*->2569*/
/*  2531*/      OPC_CheckPredicate, 16, // Predicate_truncstore
/*  2533*/      OPC_Scope, 16, /*->2551*/ // 2 children in Scope
/*  2535*/       OPC_CheckPredicate1,  // Predicate_truncstorei8
/*  2536*/       OPC_CheckPatternPredicate1, // (!Subtarget->hasAddr64())
/*  2537*/       OPC_CheckComplexPat0, /*#*/2, // SelectAddrOperands32:$ #3 #4
/*  2539*/       OPC_EmitMergeInputChains1_0,
/*  2540*/       OPC_EmitInteger32, 0,  // 0 #5
/*  2542*/       OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::STORE8_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     4/*#Ops*/, 5, 3, 4, 1, 
                 // Src: (st i32:{ *:[i32] }:$val, (AddrOps32:{ *:[i32] } offset32_op:{ *:[i32] }:$offset, I32:{ *:[i32] }:$addr))<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei8>> - Complexity = 13
                 // Dst: (STORE8_I32_A32 0:{ *:[i32] }, offset32_op:{ *:[i32] }:$offset, I32:{ *:[i32] }:$addr, i32:{ *:[i32] }:$val)
/*  2551*/      /*Scope*/ 16, /*->2568*/
/*  2552*/       OPC_CheckPredicate2,  // Predicate_truncstorei16
/*  2553*/       OPC_CheckPatternPredicate1, // (!Subtarget->hasAddr64())
/*  2554*/       OPC_CheckComplexPat0, /*#*/2, // SelectAddrOperands32:$ #3 #4
/*  2556*/       OPC_EmitMergeInputChains1_0,
/*  2557*/       OPC_EmitInteger32, 0,  // 0 #5
/*  2559*/       OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::STORE16_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     4/*#Ops*/, 5, 3, 4, 1, 
                 // Src: (st i32:{ *:[i32] }:$val, (AddrOps32:{ *:[i32] } offset32_op:{ *:[i32] }:$offset, I32:{ *:[i32] }:$addr))<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei16>> - Complexity = 13
                 // Dst: (STORE16_I32_A32 0:{ *:[i32] }, offset32_op:{ *:[i32] }:$offset, I32:{ *:[i32] }:$addr, i32:{ *:[i32] }:$val)
/*  2568*/      0, /*End of Scope*/
/*  2569*/     0, /*End of Scope*/
/*  2570*/    /*Scope*/ 60, /*->2631*/
/*  2571*/     OPC_CheckChild2TypeI64,
/*  2572*/     OPC_CheckPredicate4,  // Predicate_unindexedstore
/*  2573*/     OPC_Scope, 16, /*->2591*/ // 2 children in Scope
/*  2575*/      OPC_CheckPredicate5,  // Predicate_store
/*  2576*/      OPC_CheckPatternPredicate2, // (Subtarget->hasAddr64())
/*  2577*/      OPC_CheckComplexPat1, /*#*/2, // SelectAddrOperands64:$ #3 #4
/*  2579*/      OPC_EmitMergeInputChains1_0,
/*  2580*/      OPC_EmitInteger32, 0,  // 0 #5
/*  2582*/      OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::STORE_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    4/*#Ops*/, 5, 3, 4, 1, 
                // Src: (st i32:{ *:[i32] }:$val, (AddrOps64:{ *:[i64] } offset64_op:{ *:[i64] }:$offset, I64:{ *:[i64] }:$addr))<<P:Predicate_unindexedstore>><<P:Predicate_store>> - Complexity = 13
                // Dst: (STORE_I32_A64 0:{ *:[i32] }, offset64_op:{ *:[i64] }:$offset, I64:{ *:[i64] }:$addr, i32:{ *:[i32] }:$val)
/*  2591*/     /*Scope*/ 38, /*->2630*/
/*  2592*/      OPC_CheckPredicate, 16, // Predicate_truncstore
/*  2594*/      OPC_Scope, 16, /*->2612*/ // 2 children in Scope
/*  2596*/       OPC_CheckPredicate1,  // Predicate_truncstorei8
/*  2597*/       OPC_CheckPatternPredicate2, // (Subtarget->hasAddr64())
/*  2598*/       OPC_CheckComplexPat1, /*#*/2, // SelectAddrOperands64:$ #3 #4
/*  2600*/       OPC_EmitMergeInputChains1_0,
/*  2601*/       OPC_EmitInteger32, 0,  // 0 #5
/*  2603*/       OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::STORE8_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     4/*#Ops*/, 5, 3, 4, 1, 
                 // Src: (st i32:{ *:[i32] }:$val, (AddrOps64:{ *:[i64] } offset64_op:{ *:[i64] }:$offset, I64:{ *:[i64] }:$addr))<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei8>> - Complexity = 13
                 // Dst: (STORE8_I32_A64 0:{ *:[i32] }, offset64_op:{ *:[i64] }:$offset, I64:{ *:[i64] }:$addr, i32:{ *:[i32] }:$val)
/*  2612*/      /*Scope*/ 16, /*->2629*/
/*  2613*/       OPC_CheckPredicate2,  // Predicate_truncstorei16
/*  2614*/       OPC_CheckPatternPredicate2, // (Subtarget->hasAddr64())
/*  2615*/       OPC_CheckComplexPat1, /*#*/2, // SelectAddrOperands64:$ #3 #4
/*  2617*/       OPC_EmitMergeInputChains1_0,
/*  2618*/       OPC_EmitInteger32, 0,  // 0 #5
/*  2620*/       OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::STORE16_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     4/*#Ops*/, 5, 3, 4, 1, 
                 // Src: (st i32:{ *:[i32] }:$val, (AddrOps64:{ *:[i64] } offset64_op:{ *:[i64] }:$offset, I64:{ *:[i64] }:$addr))<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei16>> - Complexity = 13
                 // Dst: (STORE16_I32_A64 0:{ *:[i32] }, offset64_op:{ *:[i64] }:$offset, I64:{ *:[i64] }:$addr, i32:{ *:[i32] }:$val)
/*  2629*/      0, /*End of Scope*/
/*  2630*/     0, /*End of Scope*/
/*  2631*/    0, /*End of Scope*/
/*  2632*/   /*Scope*/ 32|128,1/*160*/, /*->2794*/
/*  2634*/    OPC_CheckChild1TypeI64,
/*  2635*/    OPC_RecordChild2, // #2 = $AddrOps32:offset:addr
/*  2636*/    OPC_Scope, 77, /*->2715*/ // 2 children in Scope
/*  2638*/     OPC_CheckChild2TypeI32,
/*  2639*/     OPC_CheckPredicate4,  // Predicate_unindexedstore
/*  2640*/     OPC_Scope, 16, /*->2658*/ // 2 children in Scope
/*  2642*/      OPC_CheckPredicate5,  // Predicate_store
/*  2643*/      OPC_CheckPatternPredicate1, // (!Subtarget->hasAddr64())
/*  2644*/      OPC_CheckComplexPat0, /*#*/2, // SelectAddrOperands32:$ #3 #4
/*  2646*/      OPC_EmitMergeInputChains1_0,
/*  2647*/      OPC_EmitInteger32, 0,  // 0 #5
/*  2649*/      OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::STORE_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    4/*#Ops*/, 5, 3, 4, 1, 
                // Src: (st i64:{ *:[i64] }:$val, (AddrOps32:{ *:[i32] } offset32_op:{ *:[i32] }:$offset, I32:{ *:[i32] }:$addr))<<P:Predicate_unindexedstore>><<P:Predicate_store>> - Complexity = 13
                // Dst: (STORE_I64_A32 0:{ *:[i32] }, offset32_op:{ *:[i32] }:$offset, I32:{ *:[i32] }:$addr, i64:{ *:[i64] }:$val)
/*  2658*/     /*Scope*/ 55, /*->2714*/
/*  2659*/      OPC_CheckPredicate, 16, // Predicate_truncstore
/*  2661*/      OPC_Scope, 16, /*->2679*/ // 3 children in Scope
/*  2663*/       OPC_CheckPredicate1,  // Predicate_truncstorei8
/*  2664*/       OPC_CheckPatternPredicate1, // (!Subtarget->hasAddr64())
/*  2665*/       OPC_CheckComplexPat0, /*#*/2, // SelectAddrOperands32:$ #3 #4
/*  2667*/       OPC_EmitMergeInputChains1_0,
/*  2668*/       OPC_EmitInteger32, 0,  // 0 #5
/*  2670*/       OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::STORE8_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     4/*#Ops*/, 5, 3, 4, 1, 
                 // Src: (st i64:{ *:[i64] }:$val, (AddrOps32:{ *:[i32] } offset32_op:{ *:[i32] }:$offset, I32:{ *:[i32] }:$addr))<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei8>> - Complexity = 13
                 // Dst: (STORE8_I64_A32 0:{ *:[i32] }, offset32_op:{ *:[i32] }:$offset, I32:{ *:[i32] }:$addr, i64:{ *:[i64] }:$val)
/*  2679*/      /*Scope*/ 16, /*->2696*/
/*  2680*/       OPC_CheckPredicate2,  // Predicate_truncstorei16
/*  2681*/       OPC_CheckPatternPredicate1, // (!Subtarget->hasAddr64())
/*  2682*/       OPC_CheckComplexPat0, /*#*/2, // SelectAddrOperands32:$ #3 #4
/*  2684*/       OPC_EmitMergeInputChains1_0,
/*  2685*/       OPC_EmitInteger32, 0,  // 0 #5
/*  2687*/       OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::STORE16_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     4/*#Ops*/, 5, 3, 4, 1, 
                 // Src: (st i64:{ *:[i64] }:$val, (AddrOps32:{ *:[i32] } offset32_op:{ *:[i32] }:$offset, I32:{ *:[i32] }:$addr))<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei16>> - Complexity = 13
                 // Dst: (STORE16_I64_A32 0:{ *:[i32] }, offset32_op:{ *:[i32] }:$offset, I32:{ *:[i32] }:$addr, i64:{ *:[i64] }:$val)
/*  2696*/      /*Scope*/ 16, /*->2713*/
/*  2697*/       OPC_CheckPredicate3,  // Predicate_truncstorei32
/*  2698*/       OPC_CheckPatternPredicate1, // (!Subtarget->hasAddr64())
/*  2699*/       OPC_CheckComplexPat0, /*#*/2, // SelectAddrOperands32:$ #3 #4
/*  2701*/       OPC_EmitMergeInputChains1_0,
/*  2702*/       OPC_EmitInteger32, 0,  // 0 #5
/*  2704*/       OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::STORE32_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     4/*#Ops*/, 5, 3, 4, 1, 
                 // Src: (st i64:{ *:[i64] }:$val, (AddrOps32:{ *:[i32] } offset32_op:{ *:[i32] }:$offset, I32:{ *:[i32] }:$addr))<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei32>> - Complexity = 13
                 // Dst: (STORE32_I64_A32 0:{ *:[i32] }, offset32_op:{ *:[i32] }:$offset, I32:{ *:[i32] }:$addr, i64:{ *:[i64] }:$val)
/*  2713*/      0, /*End of Scope*/
/*  2714*/     0, /*End of Scope*/
/*  2715*/    /*Scope*/ 77, /*->2793*/
/*  2716*/     OPC_CheckChild2TypeI64,
/*  2717*/     OPC_CheckPredicate4,  // Predicate_unindexedstore
/*  2718*/     OPC_Scope, 16, /*->2736*/ // 2 children in Scope
/*  2720*/      OPC_CheckPredicate5,  // Predicate_store
/*  2721*/      OPC_CheckPatternPredicate2, // (Subtarget->hasAddr64())
/*  2722*/      OPC_CheckComplexPat1, /*#*/2, // SelectAddrOperands64:$ #3 #4
/*  2724*/      OPC_EmitMergeInputChains1_0,
/*  2725*/      OPC_EmitInteger32, 0,  // 0 #5
/*  2727*/      OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::STORE_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    4/*#Ops*/, 5, 3, 4, 1, 
                // Src: (st i64:{ *:[i64] }:$val, (AddrOps64:{ *:[i64] } offset64_op:{ *:[i64] }:$offset, I64:{ *:[i64] }:$addr))<<P:Predicate_unindexedstore>><<P:Predicate_store>> - Complexity = 13
                // Dst: (STORE_I64_A64 0:{ *:[i32] }, offset64_op:{ *:[i64] }:$offset, I64:{ *:[i64] }:$addr, i64:{ *:[i64] }:$val)
/*  2736*/     /*Scope*/ 55, /*->2792*/
/*  2737*/      OPC_CheckPredicate, 16, // Predicate_truncstore
/*  2739*/      OPC_Scope, 16, /*->2757*/ // 3 children in Scope
/*  2741*/       OPC_CheckPredicate1,  // Predicate_truncstorei8
/*  2742*/       OPC_CheckPatternPredicate2, // (Subtarget->hasAddr64())
/*  2743*/       OPC_CheckComplexPat1, /*#*/2, // SelectAddrOperands64:$ #3 #4
/*  2745*/       OPC_EmitMergeInputChains1_0,
/*  2746*/       OPC_EmitInteger32, 0,  // 0 #5
/*  2748*/       OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::STORE8_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     4/*#Ops*/, 5, 3, 4, 1, 
                 // Src: (st i64:{ *:[i64] }:$val, (AddrOps64:{ *:[i64] } offset64_op:{ *:[i64] }:$offset, I64:{ *:[i64] }:$addr))<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei8>> - Complexity = 13
                 // Dst: (STORE8_I64_A64 0:{ *:[i32] }, offset64_op:{ *:[i64] }:$offset, I64:{ *:[i64] }:$addr, i64:{ *:[i64] }:$val)
/*  2757*/      /*Scope*/ 16, /*->2774*/
/*  2758*/       OPC_CheckPredicate2,  // Predicate_truncstorei16
/*  2759*/       OPC_CheckPatternPredicate2, // (Subtarget->hasAddr64())
/*  2760*/       OPC_CheckComplexPat1, /*#*/2, // SelectAddrOperands64:$ #3 #4
/*  2762*/       OPC_EmitMergeInputChains1_0,
/*  2763*/       OPC_EmitInteger32, 0,  // 0 #5
/*  2765*/       OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::STORE16_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     4/*#Ops*/, 5, 3, 4, 1, 
                 // Src: (st i64:{ *:[i64] }:$val, (AddrOps64:{ *:[i64] } offset64_op:{ *:[i64] }:$offset, I64:{ *:[i64] }:$addr))<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei16>> - Complexity = 13
                 // Dst: (STORE16_I64_A64 0:{ *:[i32] }, offset64_op:{ *:[i64] }:$offset, I64:{ *:[i64] }:$addr, i64:{ *:[i64] }:$val)
/*  2774*/      /*Scope*/ 16, /*->2791*/
/*  2775*/       OPC_CheckPredicate3,  // Predicate_truncstorei32
/*  2776*/       OPC_CheckPatternPredicate2, // (Subtarget->hasAddr64())
/*  2777*/       OPC_CheckComplexPat1, /*#*/2, // SelectAddrOperands64:$ #3 #4
/*  2779*/       OPC_EmitMergeInputChains1_0,
/*  2780*/       OPC_EmitInteger32, 0,  // 0 #5
/*  2782*/       OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::STORE32_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     4/*#Ops*/, 5, 3, 4, 1, 
                 // Src: (st i64:{ *:[i64] }:$val, (AddrOps64:{ *:[i64] } offset64_op:{ *:[i64] }:$offset, I64:{ *:[i64] }:$addr))<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei32>> - Complexity = 13
                 // Dst: (STORE32_I64_A64 0:{ *:[i32] }, offset64_op:{ *:[i64] }:$offset, I64:{ *:[i64] }:$addr, i64:{ *:[i64] }:$val)
/*  2791*/      0, /*End of Scope*/
/*  2792*/     0, /*End of Scope*/
/*  2793*/    0, /*End of Scope*/
/*  2794*/   /*Scope*/ 43, /*->2838*/
/*  2795*/    OPC_CheckChild1Type, /*MVT::f32*/12, 
/*  2797*/    OPC_RecordChild2, // #2 = $AddrOps32:offset:addr
/*  2798*/    OPC_Scope, 18, /*->2818*/ // 2 children in Scope
/*  2800*/     OPC_CheckChild2TypeI32,
/*  2801*/     OPC_CheckPredicate4,  // Predicate_unindexedstore
/*  2802*/     OPC_CheckPredicate5,  // Predicate_store
/*  2803*/     OPC_CheckPatternPredicate1, // (!Subtarget->hasAddr64())
/*  2804*/     OPC_CheckComplexPat0, /*#*/2, // SelectAddrOperands32:$ #3 #4
/*  2806*/     OPC_EmitMergeInputChains1_0,
/*  2807*/     OPC_EmitInteger32, 0,  // 0 #5
/*  2809*/     OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::STORE_F32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                   4/*#Ops*/, 5, 3, 4, 1, 
               // Src: (st f32:{ *:[f32] }:$val, (AddrOps32:{ *:[i32] } offset32_op:{ *:[i32] }:$offset, I32:{ *:[i32] }:$addr))<<P:Predicate_unindexedstore>><<P:Predicate_store>> - Complexity = 13
               // Dst: (STORE_F32_A32 0:{ *:[i32] }, offset32_op:{ *:[i32] }:$offset, I32:{ *:[i32] }:$addr, f32:{ *:[f32] }:$val)
/*  2818*/    /*Scope*/ 18, /*->2837*/
/*  2819*/     OPC_CheckChild2TypeI64,
/*  2820*/     OPC_CheckPredicate4,  // Predicate_unindexedstore
/*  2821*/     OPC_CheckPredicate5,  // Predicate_store
/*  2822*/     OPC_CheckPatternPredicate2, // (Subtarget->hasAddr64())
/*  2823*/     OPC_CheckComplexPat1, /*#*/2, // SelectAddrOperands64:$ #3 #4
/*  2825*/     OPC_EmitMergeInputChains1_0,
/*  2826*/     OPC_EmitInteger32, 0,  // 0 #5
/*  2828*/     OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::STORE_F32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                   4/*#Ops*/, 5, 3, 4, 1, 
               // Src: (st f32:{ *:[f32] }:$val, (AddrOps64:{ *:[i64] } offset64_op:{ *:[i64] }:$offset, I64:{ *:[i64] }:$addr))<<P:Predicate_unindexedstore>><<P:Predicate_store>> - Complexity = 13
               // Dst: (STORE_F32_A64 0:{ *:[i32] }, offset64_op:{ *:[i64] }:$offset, I64:{ *:[i64] }:$addr, f32:{ *:[f32] }:$val)
/*  2837*/    0, /*End of Scope*/
/*  2838*/   /*Scope*/ 43, /*->2882*/
/*  2839*/    OPC_CheckChild1Type, /*MVT::f64*/13, 
/*  2841*/    OPC_RecordChild2, // #2 = $AddrOps32:offset:addr
/*  2842*/    OPC_Scope, 18, /*->2862*/ // 2 children in Scope
/*  2844*/     OPC_CheckChild2TypeI32,
/*  2845*/     OPC_CheckPredicate4,  // Predicate_unindexedstore
/*  2846*/     OPC_CheckPredicate5,  // Predicate_store
/*  2847*/     OPC_CheckPatternPredicate1, // (!Subtarget->hasAddr64())
/*  2848*/     OPC_CheckComplexPat0, /*#*/2, // SelectAddrOperands32:$ #3 #4
/*  2850*/     OPC_EmitMergeInputChains1_0,
/*  2851*/     OPC_EmitInteger32, 0,  // 0 #5
/*  2853*/     OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::STORE_F64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                   4/*#Ops*/, 5, 3, 4, 1, 
               // Src: (st f64:{ *:[f64] }:$val, (AddrOps32:{ *:[i32] } offset32_op:{ *:[i32] }:$offset, I32:{ *:[i32] }:$addr))<<P:Predicate_unindexedstore>><<P:Predicate_store>> - Complexity = 13
               // Dst: (STORE_F64_A32 0:{ *:[i32] }, offset32_op:{ *:[i32] }:$offset, I32:{ *:[i32] }:$addr, f64:{ *:[f64] }:$val)
/*  2862*/    /*Scope*/ 18, /*->2881*/
/*  2863*/     OPC_CheckChild2TypeI64,
/*  2864*/     OPC_CheckPredicate4,  // Predicate_unindexedstore
/*  2865*/     OPC_CheckPredicate5,  // Predicate_store
/*  2866*/     OPC_CheckPatternPredicate2, // (Subtarget->hasAddr64())
/*  2867*/     OPC_CheckComplexPat1, /*#*/2, // SelectAddrOperands64:$ #3 #4
/*  2869*/     OPC_EmitMergeInputChains1_0,
/*  2870*/     OPC_EmitInteger32, 0,  // 0 #5
/*  2872*/     OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::STORE_F64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                   4/*#Ops*/, 5, 3, 4, 1, 
               // Src: (st f64:{ *:[f64] }:$val, (AddrOps64:{ *:[i64] } offset64_op:{ *:[i64] }:$offset, I64:{ *:[i64] }:$addr))<<P:Predicate_unindexedstore>><<P:Predicate_store>> - Complexity = 13
               // Dst: (STORE_F64_A64 0:{ *:[i32] }, offset64_op:{ *:[i64] }:$offset, I64:{ *:[i64] }:$addr, f64:{ *:[f64] }:$val)
/*  2881*/    0, /*End of Scope*/
/*  2882*/   /*Scope*/ 43, /*->2926*/
/*  2883*/    OPC_CheckChild1Type, /*MVT::v16i8*/40, 
/*  2885*/    OPC_RecordChild2, // #2 = $AddrOps32:offset:addr
/*  2886*/    OPC_Scope, 18, /*->2906*/ // 2 children in Scope
/*  2888*/     OPC_CheckChild2TypeI32,
/*  2889*/     OPC_CheckPredicate4,  // Predicate_unindexedstore
/*  2890*/     OPC_CheckPredicate5,  // Predicate_store
/*  2891*/     OPC_CheckPatternPredicate1, // (!Subtarget->hasAddr64())
/*  2892*/     OPC_CheckComplexPat0, /*#*/2, // SelectAddrOperands32:$ #3 #4
/*  2894*/     OPC_EmitMergeInputChains1_0,
/*  2895*/     OPC_EmitInteger32, 0,  // 0 #5
/*  2897*/     OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::STORE_V128_A32), 0|OPFL_Chain|OPFL_MemRefs,
                   4/*#Ops*/, 5, 3, 4, 1, 
               // Src: (st v16i8:{ *:[v16i8] }:$val, (AddrOps32:{ *:[i32] } offset32_op:{ *:[i32] }:$offset, I32:{ *:[i32] }:$addr))<<P:Predicate_unindexedstore>><<P:Predicate_store>> - Complexity = 13
               // Dst: (STORE_V128_A32 0:{ *:[i32] }, offset32_op:{ *:[i32] }:$offset, I32:{ *:[i32] }:$addr, v16i8:{ *:[v16i8] }:$val)
/*  2906*/    /*Scope*/ 18, /*->2925*/
/*  2907*/     OPC_CheckChild2TypeI64,
/*  2908*/     OPC_CheckPredicate4,  // Predicate_unindexedstore
/*  2909*/     OPC_CheckPredicate5,  // Predicate_store
/*  2910*/     OPC_CheckPatternPredicate2, // (Subtarget->hasAddr64())
/*  2911*/     OPC_CheckComplexPat1, /*#*/2, // SelectAddrOperands64:$ #3 #4
/*  2913*/     OPC_EmitMergeInputChains1_0,
/*  2914*/     OPC_EmitInteger32, 0,  // 0 #5
/*  2916*/     OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::STORE_V128_A64), 0|OPFL_Chain|OPFL_MemRefs,
                   4/*#Ops*/, 5, 3, 4, 1, 
               // Src: (st v16i8:{ *:[v16i8] }:$val, (AddrOps64:{ *:[i64] } offset64_op:{ *:[i64] }:$offset, I64:{ *:[i64] }:$addr))<<P:Predicate_unindexedstore>><<P:Predicate_store>> - Complexity = 13
               // Dst: (STORE_V128_A64 0:{ *:[i32] }, offset64_op:{ *:[i64] }:$offset, I64:{ *:[i64] }:$addr, v16i8:{ *:[v16i8] }:$val)
/*  2925*/    0, /*End of Scope*/
/*  2926*/   /*Scope*/ 43, /*->2970*/
/*  2927*/    OPC_CheckChild1Type, /*MVT::v8i16*/51, 
/*  2929*/    OPC_RecordChild2, // #2 = $AddrOps32:offset:addr
/*  2930*/    OPC_Scope, 18, /*->2950*/ // 2 children in Scope
/*  2932*/     OPC_CheckChild2TypeI32,
/*  2933*/     OPC_CheckPredicate4,  // Predicate_unindexedstore
/*  2934*/     OPC_CheckPredicate5,  // Predicate_store
/*  2935*/     OPC_CheckPatternPredicate1, // (!Subtarget->hasAddr64())
/*  2936*/     OPC_CheckComplexPat0, /*#*/2, // SelectAddrOperands32:$ #3 #4
/*  2938*/     OPC_EmitMergeInputChains1_0,
/*  2939*/     OPC_EmitInteger32, 0,  // 0 #5
/*  2941*/     OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::STORE_V128_A32), 0|OPFL_Chain|OPFL_MemRefs,
                   4/*#Ops*/, 5, 3, 4, 1, 
               // Src: (st v8i16:{ *:[v8i16] }:$val, (AddrOps32:{ *:[i32] } offset32_op:{ *:[i32] }:$offset, I32:{ *:[i32] }:$addr))<<P:Predicate_unindexedstore>><<P:Predicate_store>> - Complexity = 13
               // Dst: (STORE_V128_A32 0:{ *:[i32] }, offset32_op:{ *:[i32] }:$offset, I32:{ *:[i32] }:$addr, v8i16:{ *:[v8i16] }:$val)
/*  2950*/    /*Scope*/ 18, /*->2969*/
/*  2951*/     OPC_CheckChild2TypeI64,
/*  2952*/     OPC_CheckPredicate4,  // Predicate_unindexedstore
/*  2953*/     OPC_CheckPredicate5,  // Predicate_store
/*  2954*/     OPC_CheckPatternPredicate2, // (Subtarget->hasAddr64())
/*  2955*/     OPC_CheckComplexPat1, /*#*/2, // SelectAddrOperands64:$ #3 #4
/*  2957*/     OPC_EmitMergeInputChains1_0,
/*  2958*/     OPC_EmitInteger32, 0,  // 0 #5
/*  2960*/     OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::STORE_V128_A64), 0|OPFL_Chain|OPFL_MemRefs,
                   4/*#Ops*/, 5, 3, 4, 1, 
               // Src: (st v8i16:{ *:[v8i16] }:$val, (AddrOps64:{ *:[i64] } offset64_op:{ *:[i64] }:$offset, I64:{ *:[i64] }:$addr))<<P:Predicate_unindexedstore>><<P:Predicate_store>> - Complexity = 13
               // Dst: (STORE_V128_A64 0:{ *:[i32] }, offset64_op:{ *:[i64] }:$offset, I64:{ *:[i64] }:$addr, v8i16:{ *:[v8i16] }:$val)
/*  2969*/    0, /*End of Scope*/
/*  2970*/   /*Scope*/ 43, /*->3014*/
/*  2971*/    OPC_CheckChild1Type, /*MVT::v4i32*/62, 
/*  2973*/    OPC_RecordChild2, // #2 = $AddrOps32:offset:addr
/*  2974*/    OPC_Scope, 18, /*->2994*/ // 2 children in Scope
/*  2976*/     OPC_CheckChild2TypeI32,
/*  2977*/     OPC_CheckPredicate4,  // Predicate_unindexedstore
/*  2978*/     OPC_CheckPredicate5,  // Predicate_store
/*  2979*/     OPC_CheckPatternPredicate1, // (!Subtarget->hasAddr64())
/*  2980*/     OPC_CheckComplexPat0, /*#*/2, // SelectAddrOperands32:$ #3 #4
/*  2982*/     OPC_EmitMergeInputChains1_0,
/*  2983*/     OPC_EmitInteger32, 0,  // 0 #5
/*  2985*/     OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::STORE_V128_A32), 0|OPFL_Chain|OPFL_MemRefs,
                   4/*#Ops*/, 5, 3, 4, 1, 
               // Src: (st v4i32:{ *:[v4i32] }:$val, (AddrOps32:{ *:[i32] } offset32_op:{ *:[i32] }:$offset, I32:{ *:[i32] }:$addr))<<P:Predicate_unindexedstore>><<P:Predicate_store>> - Complexity = 13
               // Dst: (STORE_V128_A32 0:{ *:[i32] }, offset32_op:{ *:[i32] }:$offset, I32:{ *:[i32] }:$addr, v4i32:{ *:[v4i32] }:$val)
/*  2994*/    /*Scope*/ 18, /*->3013*/
/*  2995*/     OPC_CheckChild2TypeI64,
/*  2996*/     OPC_CheckPredicate4,  // Predicate_unindexedstore
/*  2997*/     OPC_CheckPredicate5,  // Predicate_store
/*  2998*/     OPC_CheckPatternPredicate2, // (Subtarget->hasAddr64())
/*  2999*/     OPC_CheckComplexPat1, /*#*/2, // SelectAddrOperands64:$ #3 #4
/*  3001*/     OPC_EmitMergeInputChains1_0,
/*  3002*/     OPC_EmitInteger32, 0,  // 0 #5
/*  3004*/     OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::STORE_V128_A64), 0|OPFL_Chain|OPFL_MemRefs,
                   4/*#Ops*/, 5, 3, 4, 1, 
               // Src: (st v4i32:{ *:[v4i32] }:$val, (AddrOps64:{ *:[i64] } offset64_op:{ *:[i64] }:$offset, I64:{ *:[i64] }:$addr))<<P:Predicate_unindexedstore>><<P:Predicate_store>> - Complexity = 13
               // Dst: (STORE_V128_A64 0:{ *:[i32] }, offset64_op:{ *:[i64] }:$offset, I64:{ *:[i64] }:$addr, v4i32:{ *:[v4i32] }:$val)
/*  3013*/    0, /*End of Scope*/
/*  3014*/   /*Scope*/ 43, /*->3058*/
/*  3015*/    OPC_CheckChild1Type, /*MVT::v2i64*/81, 
/*  3017*/    OPC_RecordChild2, // #2 = $AddrOps32:offset:addr
/*  3018*/    OPC_Scope, 18, /*->3038*/ // 2 children in Scope
/*  3020*/     OPC_CheckChild2TypeI32,
/*  3021*/     OPC_CheckPredicate4,  // Predicate_unindexedstore
/*  3022*/     OPC_CheckPredicate5,  // Predicate_store
/*  3023*/     OPC_CheckPatternPredicate1, // (!Subtarget->hasAddr64())
/*  3024*/     OPC_CheckComplexPat0, /*#*/2, // SelectAddrOperands32:$ #3 #4
/*  3026*/     OPC_EmitMergeInputChains1_0,
/*  3027*/     OPC_EmitInteger32, 0,  // 0 #5
/*  3029*/     OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::STORE_V128_A32), 0|OPFL_Chain|OPFL_MemRefs,
                   4/*#Ops*/, 5, 3, 4, 1, 
               // Src: (st v2i64:{ *:[v2i64] }:$val, (AddrOps32:{ *:[i32] } offset32_op:{ *:[i32] }:$offset, I32:{ *:[i32] }:$addr))<<P:Predicate_unindexedstore>><<P:Predicate_store>> - Complexity = 13
               // Dst: (STORE_V128_A32 0:{ *:[i32] }, offset32_op:{ *:[i32] }:$offset, I32:{ *:[i32] }:$addr, v2i64:{ *:[v2i64] }:$val)
/*  3038*/    /*Scope*/ 18, /*->3057*/
/*  3039*/     OPC_CheckChild2TypeI64,
/*  3040*/     OPC_CheckPredicate4,  // Predicate_unindexedstore
/*  3041*/     OPC_CheckPredicate5,  // Predicate_store
/*  3042*/     OPC_CheckPatternPredicate2, // (Subtarget->hasAddr64())
/*  3043*/     OPC_CheckComplexPat1, /*#*/2, // SelectAddrOperands64:$ #3 #4
/*  3045*/     OPC_EmitMergeInputChains1_0,
/*  3046*/     OPC_EmitInteger32, 0,  // 0 #5
/*  3048*/     OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::STORE_V128_A64), 0|OPFL_Chain|OPFL_MemRefs,
                   4/*#Ops*/, 5, 3, 4, 1, 
               // Src: (st v2i64:{ *:[v2i64] }:$val, (AddrOps64:{ *:[i64] } offset64_op:{ *:[i64] }:$offset, I64:{ *:[i64] }:$addr))<<P:Predicate_unindexedstore>><<P:Predicate_store>> - Complexity = 13
               // Dst: (STORE_V128_A64 0:{ *:[i32] }, offset64_op:{ *:[i64] }:$offset, I64:{ *:[i64] }:$addr, v2i64:{ *:[v2i64] }:$val)
/*  3057*/    0, /*End of Scope*/
/*  3058*/   /*Scope*/ 43, /*->3102*/
/*  3059*/    OPC_CheckChild1Type, /*MVT::v4f32*/116, 
/*  3061*/    OPC_RecordChild2, // #2 = $AddrOps32:offset:addr
/*  3062*/    OPC_Scope, 18, /*->3082*/ // 2 children in Scope
/*  3064*/     OPC_CheckChild2TypeI32,
/*  3065*/     OPC_CheckPredicate4,  // Predicate_unindexedstore
/*  3066*/     OPC_CheckPredicate5,  // Predicate_store
/*  3067*/     OPC_CheckPatternPredicate1, // (!Subtarget->hasAddr64())
/*  3068*/     OPC_CheckComplexPat0, /*#*/2, // SelectAddrOperands32:$ #3 #4
/*  3070*/     OPC_EmitMergeInputChains1_0,
/*  3071*/     OPC_EmitInteger32, 0,  // 0 #5
/*  3073*/     OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::STORE_V128_A32), 0|OPFL_Chain|OPFL_MemRefs,
                   4/*#Ops*/, 5, 3, 4, 1, 
               // Src: (st v4f32:{ *:[v4f32] }:$val, (AddrOps32:{ *:[i32] } offset32_op:{ *:[i32] }:$offset, I32:{ *:[i32] }:$addr))<<P:Predicate_unindexedstore>><<P:Predicate_store>> - Complexity = 13
               // Dst: (STORE_V128_A32 0:{ *:[i32] }, offset32_op:{ *:[i32] }:$offset, I32:{ *:[i32] }:$addr, v4f32:{ *:[v4f32] }:$val)
/*  3082*/    /*Scope*/ 18, /*->3101*/
/*  3083*/     OPC_CheckChild2TypeI64,
/*  3084*/     OPC_CheckPredicate4,  // Predicate_unindexedstore
/*  3085*/     OPC_CheckPredicate5,  // Predicate_store
/*  3086*/     OPC_CheckPatternPredicate2, // (Subtarget->hasAddr64())
/*  3087*/     OPC_CheckComplexPat1, /*#*/2, // SelectAddrOperands64:$ #3 #4
/*  3089*/     OPC_EmitMergeInputChains1_0,
/*  3090*/     OPC_EmitInteger32, 0,  // 0 #5
/*  3092*/     OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::STORE_V128_A64), 0|OPFL_Chain|OPFL_MemRefs,
                   4/*#Ops*/, 5, 3, 4, 1, 
               // Src: (st v4f32:{ *:[v4f32] }:$val, (AddrOps64:{ *:[i64] } offset64_op:{ *:[i64] }:$offset, I64:{ *:[i64] }:$addr))<<P:Predicate_unindexedstore>><<P:Predicate_store>> - Complexity = 13
               // Dst: (STORE_V128_A64 0:{ *:[i32] }, offset64_op:{ *:[i64] }:$offset, I64:{ *:[i64] }:$addr, v4f32:{ *:[v4f32] }:$val)
/*  3101*/    0, /*End of Scope*/
/*  3102*/   /*Scope*/ 44, /*->3147*/
/*  3103*/    OPC_CheckChild1Type, /*MVT::v2f64*/6|128,1/*134*/, 
/*  3106*/    OPC_RecordChild2, // #2 = $AddrOps32:offset:addr
/*  3107*/    OPC_Scope, 18, /*->3127*/ // 2 children in Scope
/*  3109*/     OPC_CheckChild2TypeI32,
/*  3110*/     OPC_CheckPredicate4,  // Predicate_unindexedstore
/*  3111*/     OPC_CheckPredicate5,  // Predicate_store
/*  3112*/     OPC_CheckPatternPredicate1, // (!Subtarget->hasAddr64())
/*  3113*/     OPC_CheckComplexPat0, /*#*/2, // SelectAddrOperands32:$ #3 #4
/*  3115*/     OPC_EmitMergeInputChains1_0,
/*  3116*/     OPC_EmitInteger32, 0,  // 0 #5
/*  3118*/     OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::STORE_V128_A32), 0|OPFL_Chain|OPFL_MemRefs,
                   4/*#Ops*/, 5, 3, 4, 1, 
               // Src: (st v2f64:{ *:[v2f64] }:$val, (AddrOps32:{ *:[i32] } offset32_op:{ *:[i32] }:$offset, I32:{ *:[i32] }:$addr))<<P:Predicate_unindexedstore>><<P:Predicate_store>> - Complexity = 13
               // Dst: (STORE_V128_A32 0:{ *:[i32] }, offset32_op:{ *:[i32] }:$offset, I32:{ *:[i32] }:$addr, v2f64:{ *:[v2f64] }:$val)
/*  3127*/    /*Scope*/ 18, /*->3146*/
/*  3128*/     OPC_CheckChild2TypeI64,
/*  3129*/     OPC_CheckPredicate4,  // Predicate_unindexedstore
/*  3130*/     OPC_CheckPredicate5,  // Predicate_store
/*  3131*/     OPC_CheckPatternPredicate2, // (Subtarget->hasAddr64())
/*  3132*/     OPC_CheckComplexPat1, /*#*/2, // SelectAddrOperands64:$ #3 #4
/*  3134*/     OPC_EmitMergeInputChains1_0,
/*  3135*/     OPC_EmitInteger32, 0,  // 0 #5
/*  3137*/     OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::STORE_V128_A64), 0|OPFL_Chain|OPFL_MemRefs,
                   4/*#Ops*/, 5, 3, 4, 1, 
               // Src: (st v2f64:{ *:[v2f64] }:$val, (AddrOps64:{ *:[i64] } offset64_op:{ *:[i64] }:$offset, I64:{ *:[i64] }:$addr))<<P:Predicate_unindexedstore>><<P:Predicate_store>> - Complexity = 13
               // Dst: (STORE_V128_A64 0:{ *:[i32] }, offset64_op:{ *:[i64] }:$offset, I64:{ *:[i64] }:$addr, v2f64:{ *:[v2f64] }:$val)
/*  3146*/    0, /*End of Scope*/
/*  3147*/   /*Scope*/ 43, /*->3191*/
/*  3148*/    OPC_CheckChild1Type, /*MVT::v8f16*/95, 
/*  3150*/    OPC_RecordChild2, // #2 = $AddrOps32:offset:addr
/*  3151*/    OPC_Scope, 18, /*->3171*/ // 2 children in Scope
/*  3153*/     OPC_CheckChild2TypeI32,
/*  3154*/     OPC_CheckPredicate4,  // Predicate_unindexedstore
/*  3155*/     OPC_CheckPredicate5,  // Predicate_store
/*  3156*/     OPC_CheckPatternPredicate1, // (!Subtarget->hasAddr64())
/*  3157*/     OPC_CheckComplexPat0, /*#*/2, // SelectAddrOperands32:$ #3 #4
/*  3159*/     OPC_EmitMergeInputChains1_0,
/*  3160*/     OPC_EmitInteger32, 0,  // 0 #5
/*  3162*/     OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::STORE_V128_A32), 0|OPFL_Chain|OPFL_MemRefs,
                   4/*#Ops*/, 5, 3, 4, 1, 
               // Src: (st v8f16:{ *:[v8f16] }:$val, (AddrOps32:{ *:[i32] } offset32_op:{ *:[i32] }:$offset, I32:{ *:[i32] }:$addr))<<P:Predicate_unindexedstore>><<P:Predicate_store>> - Complexity = 13
               // Dst: (STORE_V128_A32 0:{ *:[i32] }, offset32_op:{ *:[i32] }:$offset, I32:{ *:[i32] }:$addr, v8f16:{ *:[v8f16] }:$val)
/*  3171*/    /*Scope*/ 18, /*->3190*/
/*  3172*/     OPC_CheckChild2TypeI64,
/*  3173*/     OPC_CheckPredicate4,  // Predicate_unindexedstore
/*  3174*/     OPC_CheckPredicate5,  // Predicate_store
/*  3175*/     OPC_CheckPatternPredicate2, // (Subtarget->hasAddr64())
/*  3176*/     OPC_CheckComplexPat1, /*#*/2, // SelectAddrOperands64:$ #3 #4
/*  3178*/     OPC_EmitMergeInputChains1_0,
/*  3179*/     OPC_EmitInteger32, 0,  // 0 #5
/*  3181*/     OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::STORE_V128_A64), 0|OPFL_Chain|OPFL_MemRefs,
                   4/*#Ops*/, 5, 3, 4, 1, 
               // Src: (st v8f16:{ *:[v8f16] }:$val, (AddrOps64:{ *:[i64] } offset64_op:{ *:[i64] }:$offset, I64:{ *:[i64] }:$addr))<<P:Predicate_unindexedstore>><<P:Predicate_store>> - Complexity = 13
               // Dst: (STORE_V128_A64 0:{ *:[i32] }, offset64_op:{ *:[i64] }:$offset, I64:{ *:[i64] }:$addr, v8f16:{ *:[v8f16] }:$val)
/*  3190*/    0, /*End of Scope*/
/*  3191*/   0, /*End of Scope*/
/*  3192*/  0, /*End of Scope*/
/*  3193*/ /*SwitchOpcode*/ 7|128,2/*263*/, TARGET_VAL(ISD::INTRINSIC_VOID),// ->3460
/*  3197*/  OPC_Scope, 40, /*->3239*/ // 3 children in Scope
/*  3199*/   OPC_RecordNode, // #0 = 'intrinsic_void' chained node
/*  3200*/   OPC_CheckChild1Integer, 100|128,80|128,1/*26724*/, 
/*  3204*/   OPC_MoveChild2,
/*  3205*/   OPC_CheckOpcode, TARGET_VAL(WebAssemblyISD::Wrapper),
/*  3208*/   OPC_RecordChild0, // #1 = $table1
/*  3209*/   OPC_MoveChild0,
/*  3210*/   OPC_CheckOpcode, TARGET_VAL(ISD::TargetGlobalAddress),
/*  3213*/   OPC_MoveParent,
/*  3214*/   OPC_MoveSibling3,
/*  3215*/   OPC_CheckOpcode, TARGET_VAL(WebAssemblyISD::Wrapper),
/*  3218*/   OPC_RecordChild0, // #2 = $table2
/*  3219*/   OPC_MoveChild0,
/*  3220*/   OPC_CheckOpcode, TARGET_VAL(ISD::TargetGlobalAddress),
/*  3223*/   OPC_MoveParent,
/*  3224*/   OPC_MoveParent,
/*  3225*/   OPC_RecordChild4, // #3 = $d
/*  3226*/   OPC_RecordChild5, // #4 = $s
/*  3227*/   OPC_RecordChild6, // #5 = $n
/*  3228*/   OPC_CheckPatternPredicate6, // (Subtarget->hasReferenceTypes())
/*  3229*/   OPC_EmitMergeInputChains1_0,
/*  3230*/   OPC_MorphNodeTo0Chain, TARGET_VAL(WebAssembly::TABLE_COPY),
                 5/*#Ops*/, 1, 2, 3, 4, 5, 
             // Src: (intrinsic_void 13362:{ *:[iPTR] }, (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$table1), (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$table2), I32:{ *:[i32] }:$d, I32:{ *:[i32] }:$s, I32:{ *:[i32] }:$n) - Complexity = 20
             // Dst: (TABLE_COPY (tglobaladdr:{ *:[i32] }):$table1, (tglobaladdr:{ *:[i32] }):$table2, I32:{ *:[i32] }:$d, I32:{ *:[i32] }:$s, I32:{ *:[i32] }:$n)
/*  3239*/  /*Scope*/ 44, /*->3284*/
/*  3240*/   OPC_RecordMemRef,
/*  3241*/   OPC_RecordNode, // #0 = 'intrinsic_void' chained node
/*  3242*/   OPC_CheckChild1Integer, 96|128,80|128,1/*26720*/, 
/*  3246*/   OPC_RecordChild2, // #1 = $val
/*  3247*/   OPC_RecordChild3, // #2 = $AddrOps32:offset:addr
/*  3248*/   OPC_Scope, 16, /*->3266*/ // 2 children in Scope
/*  3250*/    OPC_CheckChild3TypeI32,
/*  3251*/    OPC_CheckPatternPredicate1, // (!Subtarget->hasAddr64())
/*  3252*/    OPC_CheckComplexPat0, /*#*/2, // SelectAddrOperands32:$ #3 #4
/*  3254*/    OPC_EmitMergeInputChains1_0,
/*  3255*/    OPC_EmitInteger32, 0,  // 0 #5
/*  3257*/    OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::STORE_F16_F32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                  4/*#Ops*/, 5, 3, 4, 1, 
              // Src: (intrinsic_void 13360:{ *:[iPTR] }, f32:{ *:[f32] }:$val, (AddrOps32:{ *:[i32] } offset32_op:{ *:[i32] }:$offset, I32:{ *:[i32] }:$addr)) - Complexity = 17
              // Dst: (STORE_F16_F32_A32 0:{ *:[i32] }, offset32_op:{ *:[i32] }:$offset, I32:{ *:[i32] }:$addr, f32:{ *:[f32] }:$val)
/*  3266*/   /*Scope*/ 16, /*->3283*/
/*  3267*/    OPC_CheckChild3TypeI64,
/*  3268*/    OPC_CheckPatternPredicate2, // (Subtarget->hasAddr64())
/*  3269*/    OPC_CheckComplexPat1, /*#*/2, // SelectAddrOperands64:$ #3 #4
/*  3271*/    OPC_EmitMergeInputChains1_0,
/*  3272*/    OPC_EmitInteger32, 0,  // 0 #5
/*  3274*/    OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::STORE_F16_F32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                  4/*#Ops*/, 5, 3, 4, 1, 
              // Src: (intrinsic_void 13360:{ *:[iPTR] }, f32:{ *:[f32] }:$val, (AddrOps64:{ *:[i64] } offset64_op:{ *:[i64] }:$offset, I64:{ *:[i64] }:$addr)) - Complexity = 17
              // Dst: (STORE_F16_F32_A64 0:{ *:[i32] }, offset64_op:{ *:[i64] }:$offset, I64:{ *:[i64] }:$addr, f32:{ *:[f32] }:$val)
/*  3283*/   0, /*End of Scope*/
/*  3284*/  /*Scope*/ 45|128,1/*173*/, /*->3459*/
/*  3286*/   OPC_RecordNode, // #0 = 'intrinsic_void' chained node
/*  3287*/   OPC_Scope, 26, /*->3315*/ // 6 children in Scope
/*  3289*/    OPC_CheckChild1Integer, 124|128,80|128,1/*26748*/, 
/*  3293*/    OPC_MoveChild2,
/*  3294*/    OPC_CheckOpcode, TARGET_VAL(WebAssemblyISD::Wrapper),
/*  3297*/    OPC_RecordChild0, // #1 = $table
/*  3298*/    OPC_MoveChild0,
/*  3299*/    OPC_CheckOpcode, TARGET_VAL(ISD::TargetGlobalAddress),
/*  3302*/    OPC_MoveParent,
/*  3303*/    OPC_MoveParent,
/*  3304*/    OPC_RecordChild3, // #2 = $i
/*  3305*/    OPC_RecordChild4, // #3 = $val
/*  3306*/    OPC_CheckPatternPredicate6, // (Subtarget->hasReferenceTypes())
/*  3307*/    OPC_EmitMergeInputChains1_0,
/*  3308*/    OPC_MorphNodeTo0Chain, TARGET_VAL(WebAssembly::TABLE_SET_FUNCREF),
                  3/*#Ops*/, 1, 2, 3, 
              // Src: (intrinsic_void 13374:{ *:[iPTR] }, (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$table), I32:{ *:[i32] }:$i, FUNCREF:{ *:[funcref] }:$val) - Complexity = 14
              // Dst: (TABLE_SET_FUNCREF (tglobaladdr:{ *:[i32] }):$table, I32:{ *:[i32] }:$i, FUNCREF:{ *:[funcref] }:$val)
/*  3315*/   /*Scope*/ 28, /*->3344*/
/*  3316*/    OPC_CheckChild1Integer, 106|128,80|128,1/*26730*/, 
/*  3320*/    OPC_MoveChild2,
/*  3321*/    OPC_CheckOpcode, TARGET_VAL(WebAssemblyISD::Wrapper),
/*  3324*/    OPC_RecordChild0, // #1 = $table
/*  3325*/    OPC_MoveChild0,
/*  3326*/    OPC_CheckOpcode, TARGET_VAL(ISD::TargetGlobalAddress),
/*  3329*/    OPC_MoveParent,
/*  3330*/    OPC_MoveParent,
/*  3331*/    OPC_RecordChild3, // #2 = $i
/*  3332*/    OPC_RecordChild4, // #3 = $val
/*  3333*/    OPC_RecordChild5, // #4 = $n
/*  3334*/    OPC_CheckPatternPredicate6, // (Subtarget->hasReferenceTypes())
/*  3335*/    OPC_EmitMergeInputChains1_0,
/*  3336*/    OPC_MorphNodeTo0Chain, TARGET_VAL(WebAssembly::TABLE_FILL_FUNCREF),
                  4/*#Ops*/, 1, 2, 3, 4, 
              // Src: (intrinsic_void 13365:{ *:[iPTR] }, (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$table), I32:{ *:[i32] }:$i, FUNCREF:{ *:[funcref] }:$val, I32:{ *:[i32] }:$n) - Complexity = 14
              // Dst: (TABLE_FILL_FUNCREF (tglobaladdr:{ *:[i32] }):$table, I32:{ *:[i32] }:$i, FUNCREF:{ *:[funcref] }:$val, I32:{ *:[i32] }:$n)
/*  3344*/   /*Scope*/ 26, /*->3371*/
/*  3345*/    OPC_CheckChild1Integer, 122|128,80|128,1/*26746*/, 
/*  3349*/    OPC_MoveChild2,
/*  3350*/    OPC_CheckOpcode, TARGET_VAL(WebAssemblyISD::Wrapper),
/*  3353*/    OPC_RecordChild0, // #1 = $table
/*  3354*/    OPC_MoveChild0,
/*  3355*/    OPC_CheckOpcode, TARGET_VAL(ISD::TargetGlobalAddress),
/*  3358*/    OPC_MoveParent,
/*  3359*/    OPC_MoveParent,
/*  3360*/    OPC_RecordChild3, // #2 = $i
/*  3361*/    OPC_RecordChild4, // #3 = $val
/*  3362*/    OPC_CheckPatternPredicate6, // (Subtarget->hasReferenceTypes())
/*  3363*/    OPC_EmitMergeInputChains1_0,
/*  3364*/    OPC_MorphNodeTo0Chain, TARGET_VAL(WebAssembly::TABLE_SET_EXTERNREF),
                  3/*#Ops*/, 1, 2, 3, 
              // Src: (intrinsic_void 13373:{ *:[iPTR] }, (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$table), I32:{ *:[i32] }:$i, EXTERNREF:{ *:[externref] }:$val) - Complexity = 14
              // Dst: (TABLE_SET_EXTERNREF (tglobaladdr:{ *:[i32] }):$table, I32:{ *:[i32] }:$i, EXTERNREF:{ *:[externref] }:$val)
/*  3371*/   /*Scope*/ 28, /*->3400*/
/*  3372*/    OPC_CheckChild1Integer, 104|128,80|128,1/*26728*/, 
/*  3376*/    OPC_MoveChild2,
/*  3377*/    OPC_CheckOpcode, TARGET_VAL(WebAssemblyISD::Wrapper),
/*  3380*/    OPC_RecordChild0, // #1 = $table
/*  3381*/    OPC_MoveChild0,
/*  3382*/    OPC_CheckOpcode, TARGET_VAL(ISD::TargetGlobalAddress),
/*  3385*/    OPC_MoveParent,
/*  3386*/    OPC_MoveParent,
/*  3387*/    OPC_RecordChild3, // #2 = $i
/*  3388*/    OPC_RecordChild4, // #3 = $val
/*  3389*/    OPC_RecordChild5, // #4 = $n
/*  3390*/    OPC_CheckPatternPredicate6, // (Subtarget->hasReferenceTypes())
/*  3391*/    OPC_EmitMergeInputChains1_0,
/*  3392*/    OPC_MorphNodeTo0Chain, TARGET_VAL(WebAssembly::TABLE_FILL_EXTERNREF),
                  4/*#Ops*/, 1, 2, 3, 4, 
              // Src: (intrinsic_void 13364:{ *:[iPTR] }, (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$table), I32:{ *:[i32] }:$i, EXTERNREF:{ *:[externref] }:$val, I32:{ *:[i32] }:$n) - Complexity = 14
              // Dst: (TABLE_FILL_EXTERNREF (tglobaladdr:{ *:[i32] }):$table, I32:{ *:[i32] }:$i, EXTERNREF:{ *:[externref] }:$val, I32:{ *:[i32] }:$n)
/*  3400*/   /*Scope*/ 27, /*->3428*/
/*  3401*/    OPC_CheckChild1Integer, 120|128,80|128,1/*26744*/, 
/*  3405*/    OPC_MoveChild2,
/*  3406*/    OPC_CheckOpcode, TARGET_VAL(WebAssemblyISD::Wrapper),
/*  3409*/    OPC_RecordChild0, // #1 = $table
/*  3410*/    OPC_MoveChild0,
/*  3411*/    OPC_CheckOpcode, TARGET_VAL(ISD::TargetGlobalAddress),
/*  3414*/    OPC_MoveParent,
/*  3415*/    OPC_MoveParent,
/*  3416*/    OPC_RecordChild3, // #2 = $i
/*  3417*/    OPC_RecordChild4, // #3 = $val
/*  3418*/    OPC_CheckPatternPredicate, 8, // (Subtarget->hasExceptionHandling()) && (Subtarget->hasReferenceTypes())
/*  3420*/    OPC_EmitMergeInputChains1_0,
/*  3421*/    OPC_MorphNodeTo0Chain, TARGET_VAL(WebAssembly::TABLE_SET_EXNREF),
                  3/*#Ops*/, 1, 2, 3, 
              // Src: (intrinsic_void 13372:{ *:[iPTR] }, (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$table), I32:{ *:[i32] }:$i, EXNREF:{ *:[exnref] }:$val) - Complexity = 14
              // Dst: (TABLE_SET_EXNREF (tglobaladdr:{ *:[i32] }):$table, I32:{ *:[i32] }:$i, EXNREF:{ *:[exnref] }:$val)
/*  3428*/   /*Scope*/ 29, /*->3458*/
/*  3429*/    OPC_CheckChild1Integer, 102|128,80|128,1/*26726*/, 
/*  3433*/    OPC_MoveChild2,
/*  3434*/    OPC_CheckOpcode, TARGET_VAL(WebAssemblyISD::Wrapper),
/*  3437*/    OPC_RecordChild0, // #1 = $table
/*  3438*/    OPC_MoveChild0,
/*  3439*/    OPC_CheckOpcode, TARGET_VAL(ISD::TargetGlobalAddress),
/*  3442*/    OPC_MoveParent,
/*  3443*/    OPC_MoveParent,
/*  3444*/    OPC_RecordChild3, // #2 = $i
/*  3445*/    OPC_RecordChild4, // #3 = $val
/*  3446*/    OPC_RecordChild5, // #4 = $n
/*  3447*/    OPC_CheckPatternPredicate, 8, // (Subtarget->hasExceptionHandling()) && (Subtarget->hasReferenceTypes())
/*  3449*/    OPC_EmitMergeInputChains1_0,
/*  3450*/    OPC_MorphNodeTo0Chain, TARGET_VAL(WebAssembly::TABLE_FILL_EXNREF),
                  4/*#Ops*/, 1, 2, 3, 4, 
              // Src: (intrinsic_void 13363:{ *:[iPTR] }, (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$table), I32:{ *:[i32] }:$i, EXNREF:{ *:[exnref] }:$val, I32:{ *:[i32] }:$n) - Complexity = 14
              // Dst: (TABLE_FILL_EXNREF (tglobaladdr:{ *:[i32] }):$table, I32:{ *:[i32] }:$i, EXNREF:{ *:[exnref] }:$val, I32:{ *:[i32] }:$n)
/*  3458*/   0, /*End of Scope*/
/*  3459*/  0, /*End of Scope*/
/*  3460*/ /*SwitchOpcode*/ 81|128,3/*465*/, TARGET_VAL(ISD::INTRINSIC_W_CHAIN),// ->3929
/*  3464*/  OPC_Scope, 22|128,1/*150*/, /*->3617*/ // 3 children in Scope
/*  3467*/   OPC_RecordMemRef,
/*  3468*/   OPC_RecordNode, // #0 = 'intrinsic_w_chain' chained node
/*  3469*/   OPC_Scope, 45, /*->3516*/ // 3 children in Scope
/*  3471*/    OPC_CheckChild1Integer, 28|128,80|128,1/*26652*/, 
/*  3475*/    OPC_RecordChild2, // #1 = $AddrOps32:offset:addr
/*  3476*/    OPC_Scope, 18, /*->3496*/ // 2 children in Scope
/*  3478*/     OPC_CheckChild2TypeI32,
/*  3479*/     OPC_RecordChild3, // #2 = $count
/*  3480*/     OPC_CheckPatternPredicate3, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  3481*/     OPC_CheckComplexPat0, /*#*/1, // SelectAddrOperands32:$ #3 #4
/*  3483*/     OPC_EmitMergeInputChains1_0,
/*  3484*/     OPC_EmitInteger32, 0,  // 0 #5
/*  3486*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::MEMORY_ATOMIC_NOTIFY_A32), 0|OPFL_Chain|OPFL_MemRefs,
                   /*MVT::i32*/7, 4/*#Ops*/, 5, 3, 4, 2, 
               // Src: (intrinsic_w_chain:{ *:[i32] } 13326:{ *:[iPTR] }, (AddrOps32:{ *:[i32] } offset32_op:{ *:[i32] }:$offset, I32:{ *:[i32] }:$addr), I32:{ *:[i32] }:$count) - Complexity = 17
               // Dst: (MEMORY_ATOMIC_NOTIFY_A32:{ *:[i32] } 0:{ *:[i32] }, ?:{ *:[i32] }:$offset, ?:{ *:[i32] }:$addr, ?:{ *:[i32] }:$count)
/*  3496*/    /*Scope*/ 18, /*->3515*/
/*  3497*/     OPC_CheckChild2TypeI64,
/*  3498*/     OPC_RecordChild3, // #2 = $count
/*  3499*/     OPC_CheckPatternPredicate4, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  3500*/     OPC_CheckComplexPat1, /*#*/1, // SelectAddrOperands64:$ #3 #4
/*  3502*/     OPC_EmitMergeInputChains1_0,
/*  3503*/     OPC_EmitInteger32, 0,  // 0 #5
/*  3505*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::MEMORY_ATOMIC_NOTIFY_A64), 0|OPFL_Chain|OPFL_MemRefs,
                   /*MVT::i32*/7, 4/*#Ops*/, 5, 3, 4, 2, 
               // Src: (intrinsic_w_chain:{ *:[i32] } 13326:{ *:[iPTR] }, (AddrOps64:{ *:[i64] } offset64_op:{ *:[i64] }:$offset, I64:{ *:[i64] }:$addr), I32:{ *:[i32] }:$count) - Complexity = 17
               // Dst: (MEMORY_ATOMIC_NOTIFY_A64:{ *:[i32] } 0:{ *:[i32] }, ?:{ *:[i64] }:$offset, ?:{ *:[i64] }:$addr, ?:{ *:[i32] }:$count)
/*  3515*/    0, /*End of Scope*/
/*  3516*/   /*Scope*/ 49, /*->3566*/
/*  3517*/    OPC_CheckChild1Integer, 30|128,80|128,1/*26654*/, 
/*  3521*/    OPC_RecordChild2, // #1 = $AddrOps32:offset:addr
/*  3522*/    OPC_Scope, 20, /*->3544*/ // 2 children in Scope
/*  3524*/     OPC_CheckChild2TypeI32,
/*  3525*/     OPC_RecordChild3, // #2 = $exp
/*  3526*/     OPC_RecordChild4, // #3 = $timeout
/*  3527*/     OPC_CheckPatternPredicate3, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  3528*/     OPC_CheckComplexPat0, /*#*/1, // SelectAddrOperands32:$ #4 #5
/*  3530*/     OPC_EmitMergeInputChains1_0,
/*  3531*/     OPC_EmitInteger32, 0,  // 0 #6
/*  3533*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::MEMORY_ATOMIC_WAIT32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                   /*MVT::i32*/7, 5/*#Ops*/, 6, 4, 5, 2, 3, 
               // Src: (intrinsic_w_chain:{ *:[i32] } 13327:{ *:[iPTR] }, (AddrOps32:{ *:[i32] } offset32_op:{ *:[i32] }:$offset, I32:{ *:[i32] }:$addr), i32:{ *:[i32] }:$exp, I64:{ *:[i64] }:$timeout) - Complexity = 17
               // Dst: (MEMORY_ATOMIC_WAIT32_A32:{ *:[i32] } 0:{ *:[i32] }, ?:{ *:[i32] }:$offset, ?:{ *:[i32] }:$addr, ?:{ *:[i32] }:$exp, ?:{ *:[i64] }:$timeout)
/*  3544*/    /*Scope*/ 20, /*->3565*/
/*  3545*/     OPC_CheckChild2TypeI64,
/*  3546*/     OPC_RecordChild3, // #2 = $exp
/*  3547*/     OPC_RecordChild4, // #3 = $timeout
/*  3548*/     OPC_CheckPatternPredicate4, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  3549*/     OPC_CheckComplexPat1, /*#*/1, // SelectAddrOperands64:$ #4 #5
/*  3551*/     OPC_EmitMergeInputChains1_0,
/*  3552*/     OPC_EmitInteger32, 0,  // 0 #6
/*  3554*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::MEMORY_ATOMIC_WAIT32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                   /*MVT::i32*/7, 5/*#Ops*/, 6, 4, 5, 2, 3, 
               // Src: (intrinsic_w_chain:{ *:[i32] } 13327:{ *:[iPTR] }, (AddrOps64:{ *:[i64] } offset64_op:{ *:[i64] }:$offset, I64:{ *:[i64] }:$addr), i32:{ *:[i32] }:$exp, I64:{ *:[i64] }:$timeout) - Complexity = 17
               // Dst: (MEMORY_ATOMIC_WAIT32_A64:{ *:[i32] } 0:{ *:[i32] }, ?:{ *:[i64] }:$offset, ?:{ *:[i64] }:$addr, ?:{ *:[i32] }:$exp, ?:{ *:[i64] }:$timeout)
/*  3565*/    0, /*End of Scope*/
/*  3566*/   /*Scope*/ 49, /*->3616*/
/*  3567*/    OPC_CheckChild1Integer, 32|128,80|128,1/*26656*/, 
/*  3571*/    OPC_RecordChild2, // #1 = $AddrOps32:offset:addr
/*  3572*/    OPC_Scope, 20, /*->3594*/ // 2 children in Scope
/*  3574*/     OPC_CheckChild2TypeI32,
/*  3575*/     OPC_RecordChild3, // #2 = $exp
/*  3576*/     OPC_RecordChild4, // #3 = $timeout
/*  3577*/     OPC_CheckPatternPredicate3, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  3578*/     OPC_CheckComplexPat0, /*#*/1, // SelectAddrOperands32:$ #4 #5
/*  3580*/     OPC_EmitMergeInputChains1_0,
/*  3581*/     OPC_EmitInteger32, 0,  // 0 #6
/*  3583*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::MEMORY_ATOMIC_WAIT64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                   /*MVT::i32*/7, 5/*#Ops*/, 6, 4, 5, 2, 3, 
               // Src: (intrinsic_w_chain:{ *:[i32] } 13328:{ *:[iPTR] }, (AddrOps32:{ *:[i32] } offset32_op:{ *:[i32] }:$offset, I32:{ *:[i32] }:$addr), i64:{ *:[i64] }:$exp, I64:{ *:[i64] }:$timeout) - Complexity = 17
               // Dst: (MEMORY_ATOMIC_WAIT64_A32:{ *:[i32] } 0:{ *:[i32] }, ?:{ *:[i32] }:$offset, ?:{ *:[i32] }:$addr, ?:{ *:[i64] }:$exp, ?:{ *:[i64] }:$timeout)
/*  3594*/    /*Scope*/ 20, /*->3615*/
/*  3595*/     OPC_CheckChild2TypeI64,
/*  3596*/     OPC_RecordChild3, // #2 = $exp
/*  3597*/     OPC_RecordChild4, // #3 = $timeout
/*  3598*/     OPC_CheckPatternPredicate4, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  3599*/     OPC_CheckComplexPat1, /*#*/1, // SelectAddrOperands64:$ #4 #5
/*  3601*/     OPC_EmitMergeInputChains1_0,
/*  3602*/     OPC_EmitInteger32, 0,  // 0 #6
/*  3604*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::MEMORY_ATOMIC_WAIT64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                   /*MVT::i32*/7, 5/*#Ops*/, 6, 4, 5, 2, 3, 
               // Src: (intrinsic_w_chain:{ *:[i32] } 13328:{ *:[iPTR] }, (AddrOps64:{ *:[i64] } offset64_op:{ *:[i64] }:$offset, I64:{ *:[i64] }:$addr), i64:{ *:[i64] }:$exp, I64:{ *:[i64] }:$timeout) - Complexity = 17
               // Dst: (MEMORY_ATOMIC_WAIT64_A64:{ *:[i32] } 0:{ *:[i32] }, ?:{ *:[i64] }:$offset, ?:{ *:[i64] }:$addr, ?:{ *:[i64] }:$exp, ?:{ *:[i64] }:$timeout)
/*  3615*/    0, /*End of Scope*/
/*  3616*/   0, /*End of Scope*/
/*  3617*/  /*Scope*/ 9|128,2/*265*/, /*->3884*/
/*  3619*/   OPC_RecordNode, // #0 = 'intrinsic_w_chain' chained node
/*  3620*/   OPC_Scope, 26, /*->3648*/ // 9 children in Scope
/*  3622*/    OPC_CheckChild1Integer, 112|128,80|128,1/*26736*/, 
/*  3626*/    OPC_MoveChild2,
/*  3627*/    OPC_CheckOpcode, TARGET_VAL(WebAssemblyISD::Wrapper),
/*  3630*/    OPC_RecordChild0, // #1 = $table
/*  3631*/    OPC_MoveChild0,
/*  3632*/    OPC_CheckOpcode, TARGET_VAL(ISD::TargetGlobalAddress),
/*  3635*/    OPC_MoveParent,
/*  3636*/    OPC_MoveParent,
/*  3637*/    OPC_RecordChild3, // #2 = $i
/*  3638*/    OPC_CheckPatternPredicate6, // (Subtarget->hasReferenceTypes())
/*  3639*/    OPC_EmitMergeInputChains1_0,
/*  3640*/    OPC_MorphNodeTo1Chain, TARGET_VAL(WebAssembly::TABLE_GET_FUNCREF),
                  /*MVT::funcref*/104|128,1/*232*/, 2/*#Ops*/, 1, 2, 
              // Src: (intrinsic_w_chain:{ *:[funcref] } 13368:{ *:[iPTR] }, (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$table), I32:{ *:[i32] }:$i) - Complexity = 14
              // Dst: (TABLE_GET_FUNCREF:{ *:[funcref] } (tglobaladdr:{ *:[i32] }):$table, I32:{ *:[i32] }:$i)
/*  3648*/   /*Scope*/ 27, /*->3676*/
/*  3649*/    OPC_CheckChild1Integer, 118|128,80|128,1/*26742*/, 
/*  3653*/    OPC_MoveChild2,
/*  3654*/    OPC_CheckOpcode, TARGET_VAL(WebAssemblyISD::Wrapper),
/*  3657*/    OPC_RecordChild0, // #1 = $table
/*  3658*/    OPC_MoveChild0,
/*  3659*/    OPC_CheckOpcode, TARGET_VAL(ISD::TargetGlobalAddress),
/*  3662*/    OPC_MoveParent,
/*  3663*/    OPC_MoveParent,
/*  3664*/    OPC_RecordChild3, // #2 = $val
/*  3665*/    OPC_RecordChild4, // #3 = $n
/*  3666*/    OPC_CheckPatternPredicate6, // (Subtarget->hasReferenceTypes())
/*  3667*/    OPC_EmitMergeInputChains1_0,
/*  3668*/    OPC_MorphNodeTo1Chain, TARGET_VAL(WebAssembly::TABLE_GROW_FUNCREF),
                  /*MVT::i32*/7, 3/*#Ops*/, 1, 2, 3, 
              // Src: (intrinsic_w_chain:{ *:[i32] } 13371:{ *:[iPTR] }, (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$table), FUNCREF:{ *:[funcref] }:$val, I32:{ *:[i32] }:$n) - Complexity = 14
              // Dst: (TABLE_GROW_FUNCREF:{ *:[i32] } (tglobaladdr:{ *:[i32] }):$table, FUNCREF:{ *:[funcref] }:$val, I32:{ *:[i32] }:$n)
/*  3676*/   /*Scope*/ 26, /*->3703*/
/*  3677*/    OPC_CheckChild1Integer, 110|128,80|128,1/*26734*/, 
/*  3681*/    OPC_MoveChild2,
/*  3682*/    OPC_CheckOpcode, TARGET_VAL(WebAssemblyISD::Wrapper),
/*  3685*/    OPC_RecordChild0, // #1 = $table
/*  3686*/    OPC_MoveChild0,
/*  3687*/    OPC_CheckOpcode, TARGET_VAL(ISD::TargetGlobalAddress),
/*  3690*/    OPC_MoveParent,
/*  3691*/    OPC_MoveParent,
/*  3692*/    OPC_RecordChild3, // #2 = $i
/*  3693*/    OPC_CheckPatternPredicate6, // (Subtarget->hasReferenceTypes())
/*  3694*/    OPC_EmitMergeInputChains1_0,
/*  3695*/    OPC_MorphNodeTo1Chain, TARGET_VAL(WebAssembly::TABLE_GET_EXTERNREF),
                  /*MVT::externref*/105|128,1/*233*/, 2/*#Ops*/, 1, 2, 
              // Src: (intrinsic_w_chain:{ *:[externref] } 13367:{ *:[iPTR] }, (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$table), I32:{ *:[i32] }:$i) - Complexity = 14
              // Dst: (TABLE_GET_EXTERNREF:{ *:[externref] } (tglobaladdr:{ *:[i32] }):$table, I32:{ *:[i32] }:$i)
/*  3703*/   /*Scope*/ 27, /*->3731*/
/*  3704*/    OPC_CheckChild1Integer, 116|128,80|128,1/*26740*/, 
/*  3708*/    OPC_MoveChild2,
/*  3709*/    OPC_CheckOpcode, TARGET_VAL(WebAssemblyISD::Wrapper),
/*  3712*/    OPC_RecordChild0, // #1 = $table
/*  3713*/    OPC_MoveChild0,
/*  3714*/    OPC_CheckOpcode, TARGET_VAL(ISD::TargetGlobalAddress),
/*  3717*/    OPC_MoveParent,
/*  3718*/    OPC_MoveParent,
/*  3719*/    OPC_RecordChild3, // #2 = $val
/*  3720*/    OPC_RecordChild4, // #3 = $n
/*  3721*/    OPC_CheckPatternPredicate6, // (Subtarget->hasReferenceTypes())
/*  3722*/    OPC_EmitMergeInputChains1_0,
/*  3723*/    OPC_MorphNodeTo1Chain, TARGET_VAL(WebAssembly::TABLE_GROW_EXTERNREF),
                  /*MVT::i32*/7, 3/*#Ops*/, 1, 2, 3, 
              // Src: (intrinsic_w_chain:{ *:[i32] } 13370:{ *:[iPTR] }, (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$table), EXTERNREF:{ *:[externref] }:$val, I32:{ *:[i32] }:$n) - Complexity = 14
              // Dst: (TABLE_GROW_EXTERNREF:{ *:[i32] } (tglobaladdr:{ *:[i32] }):$table, EXTERNREF:{ *:[externref] }:$val, I32:{ *:[i32] }:$n)
/*  3731*/   /*Scope*/ 27, /*->3759*/
/*  3732*/    OPC_CheckChild1Integer, 108|128,80|128,1/*26732*/, 
/*  3736*/    OPC_MoveChild2,
/*  3737*/    OPC_CheckOpcode, TARGET_VAL(WebAssemblyISD::Wrapper),
/*  3740*/    OPC_RecordChild0, // #1 = $table
/*  3741*/    OPC_MoveChild0,
/*  3742*/    OPC_CheckOpcode, TARGET_VAL(ISD::TargetGlobalAddress),
/*  3745*/    OPC_MoveParent,
/*  3746*/    OPC_MoveParent,
/*  3747*/    OPC_RecordChild3, // #2 = $i
/*  3748*/    OPC_CheckPatternPredicate, 8, // (Subtarget->hasExceptionHandling()) && (Subtarget->hasReferenceTypes())
/*  3750*/    OPC_EmitMergeInputChains1_0,
/*  3751*/    OPC_MorphNodeTo1Chain, TARGET_VAL(WebAssembly::TABLE_GET_EXNREF),
                  /*MVT::exnref*/106|128,1/*234*/, 2/*#Ops*/, 1, 2, 
              // Src: (intrinsic_w_chain:{ *:[exnref] } 13366:{ *:[iPTR] }, (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$table), I32:{ *:[i32] }:$i) - Complexity = 14
              // Dst: (TABLE_GET_EXNREF:{ *:[exnref] } (tglobaladdr:{ *:[i32] }):$table, I32:{ *:[i32] }:$i)
/*  3759*/   /*Scope*/ 28, /*->3788*/
/*  3760*/    OPC_CheckChild1Integer, 114|128,80|128,1/*26738*/, 
/*  3764*/    OPC_MoveChild2,
/*  3765*/    OPC_CheckOpcode, TARGET_VAL(WebAssemblyISD::Wrapper),
/*  3768*/    OPC_RecordChild0, // #1 = $table
/*  3769*/    OPC_MoveChild0,
/*  3770*/    OPC_CheckOpcode, TARGET_VAL(ISD::TargetGlobalAddress),
/*  3773*/    OPC_MoveParent,
/*  3774*/    OPC_MoveParent,
/*  3775*/    OPC_RecordChild3, // #2 = $val
/*  3776*/    OPC_RecordChild4, // #3 = $n
/*  3777*/    OPC_CheckPatternPredicate, 8, // (Subtarget->hasExceptionHandling()) && (Subtarget->hasReferenceTypes())
/*  3779*/    OPC_EmitMergeInputChains1_0,
/*  3780*/    OPC_MorphNodeTo1Chain, TARGET_VAL(WebAssembly::TABLE_GROW_EXNREF),
                  /*MVT::i32*/7, 3/*#Ops*/, 1, 2, 3, 
              // Src: (intrinsic_w_chain:{ *:[i32] } 13369:{ *:[iPTR] }, (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$table), EXNREF:{ *:[exnref] }:$val, I32:{ *:[i32] }:$n) - Complexity = 14
              // Dst: (TABLE_GROW_EXNREF:{ *:[i32] } (tglobaladdr:{ *:[i32] }):$table, EXNREF:{ *:[exnref] }:$val, I32:{ *:[i32] }:$n)
/*  3788*/   /*Scope*/ 23, /*->3812*/
/*  3789*/    OPC_CheckChild1Integer, 126|128,80|128,1/*26750*/, 
/*  3793*/    OPC_MoveChild2,
/*  3794*/    OPC_CheckOpcode, TARGET_VAL(WebAssemblyISD::Wrapper),
/*  3797*/    OPC_RecordChild0, // #1 = $table
/*  3798*/    OPC_MoveChild0,
/*  3799*/    OPC_CheckOpcode, TARGET_VAL(ISD::TargetGlobalAddress),
/*  3802*/    OPC_MoveParent,
/*  3803*/    OPC_MoveParent,
/*  3804*/    OPC_CheckPatternPredicate6, // (Subtarget->hasReferenceTypes())
/*  3805*/    OPC_EmitMergeInputChains1_0,
/*  3806*/    OPC_MorphNodeTo1Chain, TARGET_VAL(WebAssembly::TABLE_SIZE),
                  /*MVT::i32*/7, 1/*#Ops*/, 1, 
              // Src: (intrinsic_w_chain:{ *:[i32] } 13375:{ *:[iPTR] }, (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$table)) - Complexity = 14
              // Dst: (TABLE_SIZE:{ *:[i32] } (tglobaladdr:{ *:[i32] }):$table)
/*  3812*/   /*Scope*/ 32, /*->3845*/
/*  3813*/    OPC_CheckChild1Integer, 36|128,80|128,1/*26660*/, 
/*  3817*/    OPC_RecordChild2, // #1 = $flags
/*  3818*/    OPC_MoveChild2,
/*  3819*/    OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/*  3822*/    OPC_MoveParent,
/*  3823*/    OPC_SwitchType /*2 cases */, 8, /*MVT::i32*/7, // ->3834
/*  3826*/     OPC_EmitMergeInputChains1_0,
/*  3827*/     OPC_EmitConvertToTarget1, // #2
/*  3828*/     OPC_MorphNodeTo1Chain, TARGET_VAL(WebAssembly::anonymous_8818MEMORY_SIZE_A32),
                   /*MVT::i32*/7, 1/*#Ops*/, 2, 
               // Src: (intrinsic_w_chain:{ *:[i32] } 13330:{ *:[iPTR] }, (imm:{ *:[i32] }):$flags) - Complexity = 11
               // Dst: (anonymous_8818MEMORY_SIZE_A32:{ *:[i32] } (imm:{ *:[i32] }):$flags)
/*  3834*/    /*SwitchType*/ 8, /*MVT::i64*/8, // ->3844
/*  3836*/     OPC_EmitMergeInputChains1_0,
/*  3837*/     OPC_EmitConvertToTarget1, // #2
/*  3838*/     OPC_MorphNodeTo1Chain, TARGET_VAL(WebAssembly::anonymous_8819MEMORY_SIZE_A64),
                   /*MVT::i64*/8, 1/*#Ops*/, 2, 
               // Src: (intrinsic_w_chain:{ *:[i64] } 13330:{ *:[iPTR] }, (imm:{ *:[i32] }):$flags) - Complexity = 11
               // Dst: (anonymous_8819MEMORY_SIZE_A64:{ *:[i64] } (imm:{ *:[i32] }):$flags)
/*  3844*/    0, // EndSwitchType
/*  3845*/   /*Scope*/ 37, /*->3883*/
/*  3846*/    OPC_CheckChild1Integer, 34|128,80|128,1/*26658*/, 
/*  3850*/    OPC_RecordChild2, // #1 = $flags
/*  3851*/    OPC_MoveChild2,
/*  3852*/    OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/*  3855*/    OPC_MoveParent,
/*  3856*/    OPC_RecordChild3, // #2 = $delta
/*  3857*/    OPC_SwitchType /*2 cases */, 10, /*MVT::i32*/7, // ->3870
/*  3860*/     OPC_CheckChild3TypeI32,
/*  3861*/     OPC_EmitMergeInputChains1_0,
/*  3862*/     OPC_EmitConvertToTarget1, // #3
/*  3863*/     OPC_MorphNodeTo1Chain, TARGET_VAL(WebAssembly::anonymous_8818MEMORY_GROW_A32),
                   /*MVT::i32*/7, 2/*#Ops*/, 3, 2, 
               // Src: (intrinsic_w_chain:{ *:[i32] } 13329:{ *:[iPTR] }, (imm:{ *:[i32] }):$flags, I32:{ *:[i32] }:$delta) - Complexity = 11
               // Dst: (anonymous_8818MEMORY_GROW_A32:{ *:[i32] } (imm:{ *:[i32] }):$flags, I32:{ *:[i32] }:$delta)
/*  3870*/    /*SwitchType*/ 10, /*MVT::i64*/8, // ->3882
/*  3872*/     OPC_CheckChild3TypeI64,
/*  3873*/     OPC_EmitMergeInputChains1_0,
/*  3874*/     OPC_EmitConvertToTarget1, // #3
/*  3875*/     OPC_MorphNodeTo1Chain, TARGET_VAL(WebAssembly::anonymous_8819MEMORY_GROW_A64),
                   /*MVT::i64*/8, 2/*#Ops*/, 3, 2, 
               // Src: (intrinsic_w_chain:{ *:[i64] } 13329:{ *:[iPTR] }, (imm:{ *:[i32] }):$flags, I64:{ *:[i64] }:$delta) - Complexity = 11
               // Dst: (anonymous_8819MEMORY_GROW_A64:{ *:[i64] } (imm:{ *:[i32] }):$flags, I64:{ *:[i64] }:$delta)
/*  3882*/    0, // EndSwitchType
/*  3883*/   0, /*End of Scope*/
/*  3884*/  /*Scope*/ 43, /*->3928*/
/*  3885*/   OPC_RecordMemRef,
/*  3886*/   OPC_RecordNode, // #0 = 'intrinsic_w_chain' chained node
/*  3887*/   OPC_CheckChild1Integer, 24|128,80|128,1/*26648*/, 
/*  3891*/   OPC_RecordChild2, // #1 = $AddrOps32:offset:addr
/*  3892*/   OPC_Scope, 16, /*->3910*/ // 2 children in Scope
/*  3894*/    OPC_CheckChild2TypeI32,
/*  3895*/    OPC_CheckPatternPredicate1, // (!Subtarget->hasAddr64())
/*  3896*/    OPC_CheckComplexPat0, /*#*/1, // SelectAddrOperands32:$ #2 #3
/*  3898*/    OPC_EmitMergeInputChains1_0,
/*  3899*/    OPC_EmitInteger32, 0,  // 0 #4
/*  3901*/    OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_F16_F32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                  /*MVT::f32*/12, 3/*#Ops*/, 4, 2, 3, 
              // Src: (intrinsic_w_chain:{ *:[f32] } 13324:{ *:[iPTR] }, (AddrOps32:{ *:[i32] } offset32_op:{ *:[i32] }:$offset, I32:{ *:[i32] }:$addr)) - Complexity = 17
              // Dst: (LOAD_F16_F32_A32:{ *:[f32] } 0:{ *:[i32] }, offset32_op:{ *:[i32] }:$offset, I32:{ *:[i32] }:$addr)
/*  3910*/   /*Scope*/ 16, /*->3927*/
/*  3911*/    OPC_CheckChild2TypeI64,
/*  3912*/    OPC_CheckPatternPredicate2, // (Subtarget->hasAddr64())
/*  3913*/    OPC_CheckComplexPat1, /*#*/1, // SelectAddrOperands64:$ #2 #3
/*  3915*/    OPC_EmitMergeInputChains1_0,
/*  3916*/    OPC_EmitInteger32, 0,  // 0 #4
/*  3918*/    OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_F16_F32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                  /*MVT::f32*/12, 3/*#Ops*/, 4, 2, 3, 
              // Src: (intrinsic_w_chain:{ *:[f32] } 13324:{ *:[iPTR] }, (AddrOps64:{ *:[i64] } offset64_op:{ *:[i64] }:$offset, I64:{ *:[i64] }:$addr)) - Complexity = 17
              // Dst: (LOAD_F16_F32_A64:{ *:[f32] } 0:{ *:[i32] }, offset64_op:{ *:[i64] }:$offset, I64:{ *:[i64] }:$addr)
/*  3927*/   0, /*End of Scope*/
/*  3928*/  0, /*End of Scope*/
/*  3929*/ /*SwitchOpcode*/ 29|128,2/*285*/, TARGET_VAL(ISD::ATOMIC_STORE),// ->4218
/*  3933*/  OPC_RecordMemRef,
/*  3934*/  OPC_RecordNode, // #0 = 'atomic_store' chained node
/*  3935*/  OPC_Scope, 119, /*->4056*/ // 2 children in Scope
/*  3937*/   OPC_MoveChild1,
/*  3938*/   OPC_CheckOpcode, TARGET_VAL(ISD::TRUNCATE),
/*  3941*/   OPC_RecordChild0, // #1 = $val
/*  3942*/   OPC_MoveParent,
/*  3943*/   OPC_RecordChild2, // #2 = $AddrOps32:offset:addr
/*  3944*/   OPC_Scope, 54, /*->4000*/ // 2 children in Scope
/*  3946*/    OPC_CheckChild2TypeI32,
/*  3947*/    OPC_Scope, 16, /*->3965*/ // 3 children in Scope
/*  3949*/     OPC_CheckPredicate1,  // Predicate_atomic_store_8
/*  3950*/     OPC_CheckPatternPredicate3, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  3951*/     OPC_CheckComplexPat0, /*#*/2, // SelectAddrOperands32:$ #3 #4
/*  3953*/     OPC_EmitMergeInputChains1_0,
/*  3954*/     OPC_EmitInteger32, 0,  // 0 #5
/*  3956*/     OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::ATOMIC_STORE8_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                   4/*#Ops*/, 5, 3, 4, 1, 
               // Src: (atomic_store (trunc:{ *:[i32] } i64:{ *:[i64] }:$val), (AddrOps32:{ *:[i32] } offset32_op:{ *:[i32] }:$offset, I32:{ *:[i32] }:$addr))<<P:Predicate_atomic_store_8>> - Complexity = 16
               // Dst: (ATOMIC_STORE8_I64_A32 0:{ *:[i32] }, ?:{ *:[i32] }:$offset, ?:{ *:[i32] }:$addr, ?:{ *:[i64] }:$val)
/*  3965*/    /*Scope*/ 16, /*->3982*/
/*  3966*/     OPC_CheckPredicate2,  // Predicate_atomic_store_16
/*  3967*/     OPC_CheckPatternPredicate3, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  3968*/     OPC_CheckComplexPat0, /*#*/2, // SelectAddrOperands32:$ #3 #4
/*  3970*/     OPC_EmitMergeInputChains1_0,
/*  3971*/     OPC_EmitInteger32, 0,  // 0 #5
/*  3973*/     OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::ATOMIC_STORE16_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                   4/*#Ops*/, 5, 3, 4, 1, 
               // Src: (atomic_store (trunc:{ *:[i32] } i64:{ *:[i64] }:$val), (AddrOps32:{ *:[i32] } offset32_op:{ *:[i32] }:$offset, I32:{ *:[i32] }:$addr))<<P:Predicate_atomic_store_16>> - Complexity = 16
               // Dst: (ATOMIC_STORE16_I64_A32 0:{ *:[i32] }, ?:{ *:[i32] }:$offset, ?:{ *:[i32] }:$addr, ?:{ *:[i64] }:$val)
/*  3982*/    /*Scope*/ 16, /*->3999*/
/*  3983*/     OPC_CheckPredicate3,  // Predicate_atomic_store_32
/*  3984*/     OPC_CheckPatternPredicate3, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  3985*/     OPC_CheckComplexPat0, /*#*/2, // SelectAddrOperands32:$ #3 #4
/*  3987*/     OPC_EmitMergeInputChains1_0,
/*  3988*/     OPC_EmitInteger32, 0,  // 0 #5
/*  3990*/     OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::ATOMIC_STORE32_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                   4/*#Ops*/, 5, 3, 4, 1, 
               // Src: (atomic_store (trunc:{ *:[i32] } i64:{ *:[i64] }:$val), (AddrOps32:{ *:[i32] } offset32_op:{ *:[i32] }:$offset, I32:{ *:[i32] }:$addr))<<P:Predicate_atomic_store_32>> - Complexity = 16
               // Dst: (ATOMIC_STORE32_I64_A32 0:{ *:[i32] }, ?:{ *:[i32] }:$offset, ?:{ *:[i32] }:$addr, ?:{ *:[i64] }:$val)
/*  3999*/    0, /*End of Scope*/
/*  4000*/   /*Scope*/ 54, /*->4055*/
/*  4001*/    OPC_CheckChild2TypeI64,
/*  4002*/    OPC_Scope, 16, /*->4020*/ // 3 children in Scope
/*  4004*/     OPC_CheckPredicate1,  // Predicate_atomic_store_8
/*  4005*/     OPC_CheckPatternPredicate4, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  4006*/     OPC_CheckComplexPat1, /*#*/2, // SelectAddrOperands64:$ #3 #4
/*  4008*/     OPC_EmitMergeInputChains1_0,
/*  4009*/     OPC_EmitInteger32, 0,  // 0 #5
/*  4011*/     OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::ATOMIC_STORE8_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                   4/*#Ops*/, 5, 3, 4, 1, 
               // Src: (atomic_store (trunc:{ *:[i32] } i64:{ *:[i64] }:$val), (AddrOps64:{ *:[i64] } offset64_op:{ *:[i64] }:$offset, I64:{ *:[i64] }:$addr))<<P:Predicate_atomic_store_8>> - Complexity = 16
               // Dst: (ATOMIC_STORE8_I64_A64 0:{ *:[i32] }, ?:{ *:[i64] }:$offset, ?:{ *:[i64] }:$addr, ?:{ *:[i64] }:$val)
/*  4020*/    /*Scope*/ 16, /*->4037*/
/*  4021*/     OPC_CheckPredicate2,  // Predicate_atomic_store_16
/*  4022*/     OPC_CheckPatternPredicate4, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  4023*/     OPC_CheckComplexPat1, /*#*/2, // SelectAddrOperands64:$ #3 #4
/*  4025*/     OPC_EmitMergeInputChains1_0,
/*  4026*/     OPC_EmitInteger32, 0,  // 0 #5
/*  4028*/     OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::ATOMIC_STORE16_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                   4/*#Ops*/, 5, 3, 4, 1, 
               // Src: (atomic_store (trunc:{ *:[i32] } i64:{ *:[i64] }:$val), (AddrOps64:{ *:[i64] } offset64_op:{ *:[i64] }:$offset, I64:{ *:[i64] }:$addr))<<P:Predicate_atomic_store_16>> - Complexity = 16
               // Dst: (ATOMIC_STORE16_I64_A64 0:{ *:[i32] }, ?:{ *:[i64] }:$offset, ?:{ *:[i64] }:$addr, ?:{ *:[i64] }:$val)
/*  4037*/    /*Scope*/ 16, /*->4054*/
/*  4038*/     OPC_CheckPredicate3,  // Predicate_atomic_store_32
/*  4039*/     OPC_CheckPatternPredicate4, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  4040*/     OPC_CheckComplexPat1, /*#*/2, // SelectAddrOperands64:$ #3 #4
/*  4042*/     OPC_EmitMergeInputChains1_0,
/*  4043*/     OPC_EmitInteger32, 0,  // 0 #5
/*  4045*/     OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::ATOMIC_STORE32_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                   4/*#Ops*/, 5, 3, 4, 1, 
               // Src: (atomic_store (trunc:{ *:[i32] } i64:{ *:[i64] }:$val), (AddrOps64:{ *:[i64] } offset64_op:{ *:[i64] }:$offset, I64:{ *:[i64] }:$addr))<<P:Predicate_atomic_store_32>> - Complexity = 16
               // Dst: (ATOMIC_STORE32_I64_A64 0:{ *:[i32] }, ?:{ *:[i64] }:$offset, ?:{ *:[i64] }:$addr, ?:{ *:[i64] }:$val)
/*  4054*/    0, /*End of Scope*/
/*  4055*/   0, /*End of Scope*/
/*  4056*/  /*Scope*/ 31|128,1/*159*/, /*->4217*/
/*  4058*/   OPC_RecordChild1, // #1 = $val
/*  4059*/   OPC_Scope, 114, /*->4175*/ // 2 children in Scope
/*  4061*/    OPC_CheckChild1TypeI32,
/*  4062*/    OPC_RecordChild2, // #2 = $AddrOps32:offset:addr
/*  4063*/    OPC_Scope, 54, /*->4119*/ // 2 children in Scope
/*  4065*/     OPC_CheckChild2TypeI32,
/*  4066*/     OPC_Scope, 16, /*->4084*/ // 3 children in Scope
/*  4068*/      OPC_CheckPredicate3,  // Predicate_atomic_store_32
/*  4069*/      OPC_CheckPatternPredicate3, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  4070*/      OPC_CheckComplexPat0, /*#*/2, // SelectAddrOperands32:$ #3 #4
/*  4072*/      OPC_EmitMergeInputChains1_0,
/*  4073*/      OPC_EmitInteger32, 0,  // 0 #5
/*  4075*/      OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::ATOMIC_STORE_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    4/*#Ops*/, 5, 3, 4, 1, 
                // Src: (atomic_store i32:{ *:[i32] }:$val, (AddrOps32:{ *:[i32] } offset32_op:{ *:[i32] }:$offset, I32:{ *:[i32] }:$addr))<<P:Predicate_atomic_store_32>> - Complexity = 13
                // Dst: (ATOMIC_STORE_I32_A32 0:{ *:[i32] }, ?:{ *:[i32] }:$offset, ?:{ *:[i32] }:$addr, ?:{ *:[i32] }:$val)
/*  4084*/     /*Scope*/ 16, /*->4101*/
/*  4085*/      OPC_CheckPredicate1,  // Predicate_atomic_store_8
/*  4086*/      OPC_CheckPatternPredicate3, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  4087*/      OPC_CheckComplexPat0, /*#*/2, // SelectAddrOperands32:$ #3 #4
/*  4089*/      OPC_EmitMergeInputChains1_0,
/*  4090*/      OPC_EmitInteger32, 0,  // 0 #5
/*  4092*/      OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::ATOMIC_STORE8_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    4/*#Ops*/, 5, 3, 4, 1, 
                // Src: (atomic_store i32:{ *:[i32] }:$val, (AddrOps32:{ *:[i32] } offset32_op:{ *:[i32] }:$offset, I32:{ *:[i32] }:$addr))<<P:Predicate_atomic_store_8>> - Complexity = 13
                // Dst: (ATOMIC_STORE8_I32_A32 0:{ *:[i32] }, ?:{ *:[i32] }:$offset, ?:{ *:[i32] }:$addr, ?:{ *:[i32] }:$val)
/*  4101*/     /*Scope*/ 16, /*->4118*/
/*  4102*/      OPC_CheckPredicate2,  // Predicate_atomic_store_16
/*  4103*/      OPC_CheckPatternPredicate3, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  4104*/      OPC_CheckComplexPat0, /*#*/2, // SelectAddrOperands32:$ #3 #4
/*  4106*/      OPC_EmitMergeInputChains1_0,
/*  4107*/      OPC_EmitInteger32, 0,  // 0 #5
/*  4109*/      OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::ATOMIC_STORE16_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    4/*#Ops*/, 5, 3, 4, 1, 
                // Src: (atomic_store i32:{ *:[i32] }:$val, (AddrOps32:{ *:[i32] } offset32_op:{ *:[i32] }:$offset, I32:{ *:[i32] }:$addr))<<P:Predicate_atomic_store_16>> - Complexity = 13
                // Dst: (ATOMIC_STORE16_I32_A32 0:{ *:[i32] }, ?:{ *:[i32] }:$offset, ?:{ *:[i32] }:$addr, ?:{ *:[i32] }:$val)
/*  4118*/     0, /*End of Scope*/
/*  4119*/    /*Scope*/ 54, /*->4174*/
/*  4120*/     OPC_CheckChild2TypeI64,
/*  4121*/     OPC_Scope, 16, /*->4139*/ // 3 children in Scope
/*  4123*/      OPC_CheckPredicate3,  // Predicate_atomic_store_32
/*  4124*/      OPC_CheckPatternPredicate4, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  4125*/      OPC_CheckComplexPat1, /*#*/2, // SelectAddrOperands64:$ #3 #4
/*  4127*/      OPC_EmitMergeInputChains1_0,
/*  4128*/      OPC_EmitInteger32, 0,  // 0 #5
/*  4130*/      OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::ATOMIC_STORE_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    4/*#Ops*/, 5, 3, 4, 1, 
                // Src: (atomic_store i32:{ *:[i32] }:$val, (AddrOps64:{ *:[i64] } offset64_op:{ *:[i64] }:$offset, I64:{ *:[i64] }:$addr))<<P:Predicate_atomic_store_32>> - Complexity = 13
                // Dst: (ATOMIC_STORE_I32_A64 0:{ *:[i32] }, ?:{ *:[i64] }:$offset, ?:{ *:[i64] }:$addr, ?:{ *:[i32] }:$val)
/*  4139*/     /*Scope*/ 16, /*->4156*/
/*  4140*/      OPC_CheckPredicate1,  // Predicate_atomic_store_8
/*  4141*/      OPC_CheckPatternPredicate4, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  4142*/      OPC_CheckComplexPat1, /*#*/2, // SelectAddrOperands64:$ #3 #4
/*  4144*/      OPC_EmitMergeInputChains1_0,
/*  4145*/      OPC_EmitInteger32, 0,  // 0 #5
/*  4147*/      OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::ATOMIC_STORE8_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    4/*#Ops*/, 5, 3, 4, 1, 
                // Src: (atomic_store i32:{ *:[i32] }:$val, (AddrOps64:{ *:[i64] } offset64_op:{ *:[i64] }:$offset, I64:{ *:[i64] }:$addr))<<P:Predicate_atomic_store_8>> - Complexity = 13
                // Dst: (ATOMIC_STORE8_I32_A64 0:{ *:[i32] }, ?:{ *:[i64] }:$offset, ?:{ *:[i64] }:$addr, ?:{ *:[i32] }:$val)
/*  4156*/     /*Scope*/ 16, /*->4173*/
/*  4157*/      OPC_CheckPredicate2,  // Predicate_atomic_store_16
/*  4158*/      OPC_CheckPatternPredicate4, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  4159*/      OPC_CheckComplexPat1, /*#*/2, // SelectAddrOperands64:$ #3 #4
/*  4161*/      OPC_EmitMergeInputChains1_0,
/*  4162*/      OPC_EmitInteger32, 0,  // 0 #5
/*  4164*/      OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::ATOMIC_STORE16_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    4/*#Ops*/, 5, 3, 4, 1, 
                // Src: (atomic_store i32:{ *:[i32] }:$val, (AddrOps64:{ *:[i64] } offset64_op:{ *:[i64] }:$offset, I64:{ *:[i64] }:$addr))<<P:Predicate_atomic_store_16>> - Complexity = 13
                // Dst: (ATOMIC_STORE16_I32_A64 0:{ *:[i32] }, ?:{ *:[i64] }:$offset, ?:{ *:[i64] }:$addr, ?:{ *:[i32] }:$val)
/*  4173*/     0, /*End of Scope*/
/*  4174*/    0, /*End of Scope*/
/*  4175*/   /*Scope*/ 40, /*->4216*/
/*  4176*/    OPC_CheckChild1TypeI64,
/*  4177*/    OPC_RecordChild2, // #2 = $AddrOps32:offset:addr
/*  4178*/    OPC_Scope, 17, /*->4197*/ // 2 children in Scope
/*  4180*/     OPC_CheckChild2TypeI32,
/*  4181*/     OPC_CheckPredicate7,  // Predicate_atomic_store_64
/*  4182*/     OPC_CheckPatternPredicate3, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  4183*/     OPC_CheckComplexPat0, /*#*/2, // SelectAddrOperands32:$ #3 #4
/*  4185*/     OPC_EmitMergeInputChains1_0,
/*  4186*/     OPC_EmitInteger32, 0,  // 0 #5
/*  4188*/     OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::ATOMIC_STORE_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                   4/*#Ops*/, 5, 3, 4, 1, 
               // Src: (atomic_store i64:{ *:[i64] }:$val, (AddrOps32:{ *:[i32] } offset32_op:{ *:[i32] }:$offset, I32:{ *:[i32] }:$addr))<<P:Predicate_atomic_store_64>> - Complexity = 13
               // Dst: (ATOMIC_STORE_I64_A32 0:{ *:[i32] }, ?:{ *:[i32] }:$offset, ?:{ *:[i32] }:$addr, ?:{ *:[i64] }:$val)
/*  4197*/    /*Scope*/ 17, /*->4215*/
/*  4198*/     OPC_CheckChild2TypeI64,
/*  4199*/     OPC_CheckPredicate7,  // Predicate_atomic_store_64
/*  4200*/     OPC_CheckPatternPredicate4, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  4201*/     OPC_CheckComplexPat1, /*#*/2, // SelectAddrOperands64:$ #3 #4
/*  4203*/     OPC_EmitMergeInputChains1_0,
/*  4204*/     OPC_EmitInteger32, 0,  // 0 #5
/*  4206*/     OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::ATOMIC_STORE_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                   4/*#Ops*/, 5, 3, 4, 1, 
               // Src: (atomic_store i64:{ *:[i64] }:$val, (AddrOps64:{ *:[i64] } offset64_op:{ *:[i64] }:$offset, I64:{ *:[i64] }:$addr))<<P:Predicate_atomic_store_64>> - Complexity = 13
               // Dst: (ATOMIC_STORE_I64_A64 0:{ *:[i32] }, ?:{ *:[i64] }:$offset, ?:{ *:[i64] }:$addr, ?:{ *:[i64] }:$val)
/*  4215*/    0, /*End of Scope*/
/*  4216*/   0, /*End of Scope*/
/*  4217*/  0, /*End of Scope*/
/*  4218*/ /*SwitchOpcode*/ 90|128,2/*346*/, TARGET_VAL(ISD::AND),// ->4568
/*  4222*/  OPC_Scope, 118, /*->4342*/ // 6 children in Scope
/*  4224*/   OPC_MoveChild0,
/*  4225*/   OPC_CheckOpcode, TARGET_VAL(ISD::INTRINSIC_WO_CHAIN),
/*  4228*/   OPC_Scope, 55, /*->4285*/ // 2 children in Scope
/*  4230*/    OPC_CheckChild0Integer, 0|128,80|128,1/*26624*/, 
/*  4234*/    OPC_RecordChild1, // #0 = $x
/*  4235*/    OPC_Scope, 11, /*->4248*/ // 4 children in Scope
/*  4237*/     OPC_CheckChild1Type, /*MVT::v16i8*/40, 
/*  4239*/     OPC_MoveParent,
/*  4240*/     OPC_CheckChild1Integer, 2, 
/*  4242*/     OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::ANYTRUE),
                   /*MVT::i32*/7, 1/*#Ops*/, 0, 
               // Src: (and:{ *:[i32] } (intrinsic_wo_chain:{ *:[i32] } 13312:{ *:[iPTR] }, V128:{ *:[v16i8] }:$x), 1:{ *:[i32] }) - Complexity = 16
               // Dst: (ANYTRUE:{ *:[i32] } ?:{ *:[v16i8] }:$x)
/*  4248*/    /*Scope*/ 11, /*->4260*/
/*  4249*/     OPC_CheckChild1Type, /*MVT::v8i16*/51, 
/*  4251*/     OPC_MoveParent,
/*  4252*/     OPC_CheckChild1Integer, 2, 
/*  4254*/     OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::ANYTRUE),
                   /*MVT::i32*/7, 1/*#Ops*/, 0, 
               // Src: (and:{ *:[i32] } (intrinsic_wo_chain:{ *:[i32] } 13312:{ *:[iPTR] }, V128:{ *:[v8i16] }:$x), 1:{ *:[i32] }) - Complexity = 16
               // Dst: (ANYTRUE:{ *:[i32] } ?:{ *:[v8i16] }:$x)
/*  4260*/    /*Scope*/ 11, /*->4272*/
/*  4261*/     OPC_CheckChild1Type, /*MVT::v4i32*/62, 
/*  4263*/     OPC_MoveParent,
/*  4264*/     OPC_CheckChild1Integer, 2, 
/*  4266*/     OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::ANYTRUE),
                   /*MVT::i32*/7, 1/*#Ops*/, 0, 
               // Src: (and:{ *:[i32] } (intrinsic_wo_chain:{ *:[i32] } 13312:{ *:[iPTR] }, V128:{ *:[v4i32] }:$x), 1:{ *:[i32] }) - Complexity = 16
               // Dst: (ANYTRUE:{ *:[i32] } ?:{ *:[v4i32] }:$x)
/*  4272*/    /*Scope*/ 11, /*->4284*/
/*  4273*/     OPC_CheckChild1Type, /*MVT::v2i64*/81, 
/*  4275*/     OPC_MoveParent,
/*  4276*/     OPC_CheckChild1Integer, 2, 
/*  4278*/     OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::ANYTRUE),
                   /*MVT::i32*/7, 1/*#Ops*/, 0, 
               // Src: (and:{ *:[i32] } (intrinsic_wo_chain:{ *:[i32] } 13312:{ *:[iPTR] }, V128:{ *:[v2i64] }:$x), 1:{ *:[i32] }) - Complexity = 16
               // Dst: (ANYTRUE:{ *:[i32] } ?:{ *:[v2i64] }:$x)
/*  4284*/    0, /*End of Scope*/
/*  4285*/   /*Scope*/ 55, /*->4341*/
/*  4286*/    OPC_CheckChild0Integer, 126|128,79|128,1/*26622*/, 
/*  4290*/    OPC_RecordChild1, // #0 = $x
/*  4291*/    OPC_Scope, 11, /*->4304*/ // 4 children in Scope
/*  4293*/     OPC_CheckChild1Type, /*MVT::v16i8*/40, 
/*  4295*/     OPC_MoveParent,
/*  4296*/     OPC_CheckChild1Integer, 2, 
/*  4298*/     OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::ALLTRUE_I8x16),
                   /*MVT::i32*/7, 1/*#Ops*/, 0, 
               // Src: (and:{ *:[i32] } (intrinsic_wo_chain:{ *:[i32] } 13311:{ *:[iPTR] }, V128:{ *:[v16i8] }:$x), 1:{ *:[i32] }) - Complexity = 16
               // Dst: (ALLTRUE_I8x16:{ *:[i32] } ?:{ *:[v16i8] }:$x)
/*  4304*/    /*Scope*/ 11, /*->4316*/
/*  4305*/     OPC_CheckChild1Type, /*MVT::v8i16*/51, 
/*  4307*/     OPC_MoveParent,
/*  4308*/     OPC_CheckChild1Integer, 2, 
/*  4310*/     OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::ALLTRUE_I16x8),
                   /*MVT::i32*/7, 1/*#Ops*/, 0, 
               // Src: (and:{ *:[i32] } (intrinsic_wo_chain:{ *:[i32] } 13311:{ *:[iPTR] }, V128:{ *:[v8i16] }:$x), 1:{ *:[i32] }) - Complexity = 16
               // Dst: (ALLTRUE_I16x8:{ *:[i32] } ?:{ *:[v8i16] }:$x)
/*  4316*/    /*Scope*/ 11, /*->4328*/
/*  4317*/     OPC_CheckChild1Type, /*MVT::v4i32*/62, 
/*  4319*/     OPC_MoveParent,
/*  4320*/     OPC_CheckChild1Integer, 2, 
/*  4322*/     OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::ALLTRUE_I32x4),
                   /*MVT::i32*/7, 1/*#Ops*/, 0, 
               // Src: (and:{ *:[i32] } (intrinsic_wo_chain:{ *:[i32] } 13311:{ *:[iPTR] }, V128:{ *:[v4i32] }:$x), 1:{ *:[i32] }) - Complexity = 16
               // Dst: (ALLTRUE_I32x4:{ *:[i32] } ?:{ *:[v4i32] }:$x)
/*  4328*/    /*Scope*/ 11, /*->4340*/
/*  4329*/     OPC_CheckChild1Type, /*MVT::v2i64*/81, 
/*  4331*/     OPC_MoveParent,
/*  4332*/     OPC_CheckChild1Integer, 2, 
/*  4334*/     OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::ALLTRUE_I64x2),
                   /*MVT::i32*/7, 1/*#Ops*/, 0, 
               // Src: (and:{ *:[i32] } (intrinsic_wo_chain:{ *:[i32] } 13311:{ *:[iPTR] }, V128:{ *:[v2i64] }:$x), 1:{ *:[i32] }) - Complexity = 16
               // Dst: (ALLTRUE_I64x2:{ *:[i32] } ?:{ *:[v2i64] }:$x)
/*  4340*/    0, /*End of Scope*/
/*  4341*/   0, /*End of Scope*/
/*  4342*/  /*Scope*/ 29, /*->4372*/
/*  4343*/   OPC_CheckAndImm, 127|128,1/*255*/, 
/*  4346*/   OPC_MoveChild0,
/*  4347*/   OPC_CheckOpcode, TARGET_VAL(ISD::EXTRACT_VECTOR_ELT),
/*  4350*/   OPC_RecordChild0, // #0 = $vec
/*  4351*/   OPC_CheckChild0Type, /*MVT::v16i8*/40, 
/*  4353*/   OPC_RecordChild1, // #1 = $idx
/*  4354*/   OPC_MoveChild1,
/*  4355*/   OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/*  4358*/   OPC_CheckPredicate, 20, // Predicate_LaneIdx16
/*  4360*/   OPC_CheckTypeI32,
/*  4361*/   OPC_MoveParent,
/*  4362*/   OPC_MoveParent,
/*  4363*/   OPC_CheckTypeI32,
/*  4364*/   OPC_EmitConvertToTarget1, // #2
/*  4365*/   OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::EXTRACT_LANE_I8x16_u),
                 /*MVT::i32*/7, 2/*#Ops*/, 0, 2, 
             // Src: (and:{ *:[i32] } (vector_extract:{ *:[i32] } V128:{ *:[v16i8] }:$vec, (imm:{ *:[i32] })<<P:Predicate_LaneIdx16>>:$idx), 255:{ *:[i32] }) - Complexity = 15
             // Dst: (EXTRACT_LANE_I8x16_u:{ *:[i32] } ?:{ *:[v16i8] }:$vec, (imm:{ *:[i32] }):$idx)
/*  4372*/  /*Scope*/ 30, /*->4403*/
/*  4373*/   OPC_CheckAndImm, 127|128,127|128,3/*65535*/, 
/*  4377*/   OPC_MoveChild0,
/*  4378*/   OPC_CheckOpcode, TARGET_VAL(ISD::EXTRACT_VECTOR_ELT),
/*  4381*/   OPC_RecordChild0, // #0 = $vec
/*  4382*/   OPC_CheckChild0Type, /*MVT::v8i16*/51, 
/*  4384*/   OPC_RecordChild1, // #1 = $idx
/*  4385*/   OPC_MoveChild1,
/*  4386*/   OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/*  4389*/   OPC_CheckPredicate, 14, // Predicate_LaneIdx8
/*  4391*/   OPC_CheckTypeI32,
/*  4392*/   OPC_MoveParent,
/*  4393*/   OPC_MoveParent,
/*  4394*/   OPC_CheckTypeI32,
/*  4395*/   OPC_EmitConvertToTarget1, // #2
/*  4396*/   OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::EXTRACT_LANE_I16x8_u),
                 /*MVT::i32*/7, 2/*#Ops*/, 0, 2, 
             // Src: (and:{ *:[i32] } (vector_extract:{ *:[i32] } V128:{ *:[v8i16] }:$vec, (imm:{ *:[i32] })<<P:Predicate_LaneIdx8>>:$idx), 65535:{ *:[i32] }) - Complexity = 15
             // Dst: (EXTRACT_LANE_I16x8_u:{ *:[i32] } ?:{ *:[v8i16] }:$vec, (imm:{ *:[i32] }):$idx)
/*  4403*/  /*Scope*/ 73, /*->4477*/
/*  4404*/   OPC_RecordChild0, // #0 = $lhs
/*  4405*/   OPC_Scope, 21, /*->4428*/ // 2 children in Scope
/*  4407*/    OPC_RecordChild1, // #1 = $rhs
/*  4408*/    OPC_SwitchType /*2 cases */, 7, /*MVT::i32*/7, // ->4418
/*  4411*/     OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::AND_I32),
                   /*MVT::i32*/7, 2/*#Ops*/, 0, 1, 
               // Src: (and:{ *:[i32] } I32:{ *:[i32] }:$lhs, I32:{ *:[i32] }:$rhs) - Complexity = 3
               // Dst: (AND_I32:{ *:[i32] } I32:{ *:[i32] }:$lhs, I32:{ *:[i32] }:$rhs)
/*  4418*/    /*SwitchType*/ 7, /*MVT::i64*/8, // ->4427
/*  4420*/     OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::AND_I64),
                   /*MVT::i64*/8, 2/*#Ops*/, 0, 1, 
               // Src: (and:{ *:[i64] } I64:{ *:[i64] }:$lhs, I64:{ *:[i64] }:$rhs) - Complexity = 3
               // Dst: (AND_I64:{ *:[i64] } I64:{ *:[i64] }:$lhs, I64:{ *:[i64] }:$rhs)
/*  4427*/    0, // EndSwitchType
/*  4428*/   /*Scope*/ 47, /*->4476*/
/*  4429*/    OPC_MoveChild1,
/*  4430*/    OPC_CheckOpcode, TARGET_VAL(ISD::XOR),
/*  4433*/    OPC_RecordChild0, // #1 = $rhs
/*  4434*/    OPC_MoveChild1,
/*  4435*/    OPC_CheckImmAllOnesV,
/*  4436*/    OPC_MoveParent,
/*  4437*/    OPC_MoveParent,
/*  4438*/    OPC_SwitchType /*4 cases */, 7, /*MVT::v16i8*/40, // ->4448
/*  4441*/     OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::ANDNOT),
                   /*MVT::v16i8*/40, 2/*#Ops*/, 0, 1, 
               // Src: (and:{ *:[v16i8] } V128:{ *:[v16i8] }:$lhs, (xor:{ *:[v16i8] } V128:{ *:[v16i8] }:$rhs, immAllOnesV:{ *:[v16i8] })) - Complexity = 10
               // Dst: (ANDNOT:{ *:[v16i8] } ?:{ *:[v16i8] }:$lhs, ?:{ *:[v16i8] }:$rhs)
/*  4448*/    /*SwitchType*/ 7, /*MVT::v8i16*/51, // ->4457
/*  4450*/     OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::ANDNOT),
                   /*MVT::v8i16*/51, 2/*#Ops*/, 0, 1, 
               // Src: (and:{ *:[v8i16] } V128:{ *:[v8i16] }:$lhs, (xor:{ *:[v8i16] } V128:{ *:[v8i16] }:$rhs, immAllOnesV:{ *:[v8i16] })) - Complexity = 10
               // Dst: (ANDNOT:{ *:[v8i16] } ?:{ *:[v8i16] }:$lhs, ?:{ *:[v8i16] }:$rhs)
/*  4457*/    /*SwitchType*/ 7, /*MVT::v4i32*/62, // ->4466
/*  4459*/     OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::ANDNOT),
                   /*MVT::v4i32*/62, 2/*#Ops*/, 0, 1, 
               // Src: (and:{ *:[v4i32] } V128:{ *:[v4i32] }:$lhs, (xor:{ *:[v4i32] } V128:{ *:[v4i32] }:$rhs, immAllOnesV:{ *:[v4i32] })) - Complexity = 10
               // Dst: (ANDNOT:{ *:[v4i32] } ?:{ *:[v4i32] }:$lhs, ?:{ *:[v4i32] }:$rhs)
/*  4466*/    /*SwitchType*/ 7, /*MVT::v2i64*/81, // ->4475
/*  4468*/     OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::ANDNOT),
                   /*MVT::v2i64*/81, 2/*#Ops*/, 0, 1, 
               // Src: (and:{ *:[v2i64] } V128:{ *:[v2i64] }:$lhs, (xor:{ *:[v2i64] } V128:{ *:[v2i64] }:$rhs, immAllOnesV:{ *:[v2i64] })) - Complexity = 10
               // Dst: (ANDNOT:{ *:[v2i64] } ?:{ *:[v2i64] }:$lhs, ?:{ *:[v2i64] }:$rhs)
/*  4475*/    0, // EndSwitchType
/*  4476*/   0, /*End of Scope*/
/*  4477*/  /*Scope*/ 48, /*->4526*/
/*  4478*/   OPC_MoveChild0,
/*  4479*/   OPC_CheckOpcode, TARGET_VAL(ISD::XOR),
/*  4482*/   OPC_RecordChild0, // #0 = $rhs
/*  4483*/   OPC_MoveChild1,
/*  4484*/   OPC_CheckImmAllOnesV,
/*  4485*/   OPC_MoveParent,
/*  4486*/   OPC_MoveParent,
/*  4487*/   OPC_RecordChild1, // #1 = $lhs
/*  4488*/   OPC_SwitchType /*4 cases */, 7, /*MVT::v16i8*/40, // ->4498
/*  4491*/    OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::ANDNOT),
                  /*MVT::v16i8*/40, 2/*#Ops*/, 1, 0, 
              // Src: (and:{ *:[v16i8] } (xor:{ *:[v16i8] } V128:{ *:[v16i8] }:$rhs, immAllOnesV:{ *:[v16i8] }), V128:{ *:[v16i8] }:$lhs) - Complexity = 10
              // Dst: (ANDNOT:{ *:[v16i8] } ?:{ *:[v16i8] }:$lhs, ?:{ *:[v16i8] }:$rhs)
/*  4498*/   /*SwitchType*/ 7, /*MVT::v8i16*/51, // ->4507
/*  4500*/    OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::ANDNOT),
                  /*MVT::v8i16*/51, 2/*#Ops*/, 1, 0, 
              // Src: (and:{ *:[v8i16] } (xor:{ *:[v8i16] } V128:{ *:[v8i16] }:$rhs, immAllOnesV:{ *:[v8i16] }), V128:{ *:[v8i16] }:$lhs) - Complexity = 10
              // Dst: (ANDNOT:{ *:[v8i16] } ?:{ *:[v8i16] }:$lhs, ?:{ *:[v8i16] }:$rhs)
/*  4507*/   /*SwitchType*/ 7, /*MVT::v4i32*/62, // ->4516
/*  4509*/    OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::ANDNOT),
                  /*MVT::v4i32*/62, 2/*#Ops*/, 1, 0, 
              // Src: (and:{ *:[v4i32] } (xor:{ *:[v4i32] } V128:{ *:[v4i32] }:$rhs, immAllOnesV:{ *:[v4i32] }), V128:{ *:[v4i32] }:$lhs) - Complexity = 10
              // Dst: (ANDNOT:{ *:[v4i32] } ?:{ *:[v4i32] }:$lhs, ?:{ *:[v4i32] }:$rhs)
/*  4516*/   /*SwitchType*/ 7, /*MVT::v2i64*/81, // ->4525
/*  4518*/    OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::ANDNOT),
                  /*MVT::v2i64*/81, 2/*#Ops*/, 1, 0, 
              // Src: (and:{ *:[v2i64] } (xor:{ *:[v2i64] } V128:{ *:[v2i64] }:$rhs, immAllOnesV:{ *:[v2i64] }), V128:{ *:[v2i64] }:$lhs) - Complexity = 10
              // Dst: (ANDNOT:{ *:[v2i64] } ?:{ *:[v2i64] }:$lhs, ?:{ *:[v2i64] }:$rhs)
/*  4525*/   0, // EndSwitchType
/*  4526*/  /*Scope*/ 40, /*->4567*/
/*  4527*/   OPC_RecordChild0, // #0 = $lhs
/*  4528*/   OPC_RecordChild1, // #1 = $rhs
/*  4529*/   OPC_SwitchType /*4 cases */, 7, /*MVT::v16i8*/40, // ->4539
/*  4532*/    OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::AND),
                  /*MVT::v16i8*/40, 2/*#Ops*/, 0, 1, 
              // Src: (and:{ *:[v16i8] } V128:{ *:[v16i8] }:$lhs, V128:{ *:[v16i8] }:$rhs) - Complexity = 3
              // Dst: (AND:{ *:[v16i8] } ?:{ *:[v16i8] }:$lhs, ?:{ *:[v16i8] }:$rhs)
/*  4539*/   /*SwitchType*/ 7, /*MVT::v8i16*/51, // ->4548
/*  4541*/    OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::AND),
                  /*MVT::v8i16*/51, 2/*#Ops*/, 0, 1, 
              // Src: (and:{ *:[v8i16] } V128:{ *:[v8i16] }:$lhs, V128:{ *:[v8i16] }:$rhs) - Complexity = 3
              // Dst: (AND:{ *:[v8i16] } ?:{ *:[v8i16] }:$lhs, ?:{ *:[v8i16] }:$rhs)
/*  4548*/   /*SwitchType*/ 7, /*MVT::v4i32*/62, // ->4557
/*  4550*/    OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::AND),
                  /*MVT::v4i32*/62, 2/*#Ops*/, 0, 1, 
              // Src: (and:{ *:[v4i32] } V128:{ *:[v4i32] }:$lhs, V128:{ *:[v4i32] }:$rhs) - Complexity = 3
              // Dst: (AND:{ *:[v4i32] } ?:{ *:[v4i32] }:$lhs, ?:{ *:[v4i32] }:$rhs)
/*  4557*/   /*SwitchType*/ 7, /*MVT::v2i64*/81, // ->4566
/*  4559*/    OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::AND),
                  /*MVT::v2i64*/81, 2/*#Ops*/, 0, 1, 
              // Src: (and:{ *:[v2i64] } V128:{ *:[v2i64] }:$lhs, V128:{ *:[v2i64] }:$rhs) - Complexity = 3
              // Dst: (AND:{ *:[v2i64] } ?:{ *:[v2i64] }:$lhs, ?:{ *:[v2i64] }:$rhs)
/*  4566*/   0, // EndSwitchType
/*  4567*/  0, /*End of Scope*/
/*  4568*/ /*SwitchOpcode*/ 125|128,11/*1533*/, TARGET_VAL(ISD::SETCC),// ->6105
/*  4572*/  OPC_Scope, 126|128,1/*254*/, /*->4829*/ // 2 children in Scope
/*  4575*/   OPC_MoveChild0,
/*  4576*/   OPC_CheckOpcode, TARGET_VAL(ISD::INTRINSIC_WO_CHAIN),
/*  4579*/   OPC_Scope, 123, /*->4704*/ // 2 children in Scope
/*  4581*/    OPC_CheckChild0Integer, 0|128,80|128,1/*26624*/, 
/*  4585*/    OPC_RecordChild1, // #0 = $x
/*  4586*/    OPC_Scope, 28, /*->4616*/ // 4 children in Scope
/*  4588*/     OPC_CheckChild1Type, /*MVT::v16i8*/40, 
/*  4590*/     OPC_MoveParent,
/*  4591*/     OPC_CheckTypeI32,
/*  4592*/     OPC_Scope, 10, /*->4604*/ // 2 children in Scope
/*  4594*/      OPC_CheckChild1Integer, 0, 
/*  4596*/      OPC_CheckChild2CondCode, ISD::SETNE,
/*  4598*/      OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::ANYTRUE),
                    /*MVT::i32*/7, 1/*#Ops*/, 0, 
                // Src: (setcc:{ *:[i32] } (intrinsic_wo_chain:{ *:[i32] } 13312:{ *:[iPTR] }, V128:{ *:[v16i8] }:$x), 0:{ *:[i32] }, SETNE:{ *:[Other] }) - Complexity = 16
                // Dst: (ANYTRUE:{ *:[i32] } ?:{ *:[v16i8] }:$x)
/*  4604*/     /*Scope*/ 10, /*->4615*/
/*  4605*/      OPC_CheckChild1Integer, 2, 
/*  4607*/      OPC_CheckChild2CondCode, ISD::SETEQ,
/*  4609*/      OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::ANYTRUE),
                    /*MVT::i32*/7, 1/*#Ops*/, 0, 
                // Src: (setcc:{ *:[i32] } (intrinsic_wo_chain:{ *:[i32] } 13312:{ *:[iPTR] }, V128:{ *:[v16i8] }:$x), 1:{ *:[i32] }, SETEQ:{ *:[Other] }) - Complexity = 16
                // Dst: (ANYTRUE:{ *:[i32] } ?:{ *:[v16i8] }:$x)
/*  4615*/     0, /*End of Scope*/
/*  4616*/    /*Scope*/ 28, /*->4645*/
/*  4617*/     OPC_CheckChild1Type, /*MVT::v8i16*/51, 
/*  4619*/     OPC_MoveParent,
/*  4620*/     OPC_CheckTypeI32,
/*  4621*/     OPC_Scope, 10, /*->4633*/ // 2 children in Scope
/*  4623*/      OPC_CheckChild1Integer, 0, 
/*  4625*/      OPC_CheckChild2CondCode, ISD::SETNE,
/*  4627*/      OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::ANYTRUE),
                    /*MVT::i32*/7, 1/*#Ops*/, 0, 
                // Src: (setcc:{ *:[i32] } (intrinsic_wo_chain:{ *:[i32] } 13312:{ *:[iPTR] }, V128:{ *:[v8i16] }:$x), 0:{ *:[i32] }, SETNE:{ *:[Other] }) - Complexity = 16
                // Dst: (ANYTRUE:{ *:[i32] } ?:{ *:[v8i16] }:$x)
/*  4633*/     /*Scope*/ 10, /*->4644*/
/*  4634*/      OPC_CheckChild1Integer, 2, 
/*  4636*/      OPC_CheckChild2CondCode, ISD::SETEQ,
/*  4638*/      OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::ANYTRUE),
                    /*MVT::i32*/7, 1/*#Ops*/, 0, 
                // Src: (setcc:{ *:[i32] } (intrinsic_wo_chain:{ *:[i32] } 13312:{ *:[iPTR] }, V128:{ *:[v8i16] }:$x), 1:{ *:[i32] }, SETEQ:{ *:[Other] }) - Complexity = 16
                // Dst: (ANYTRUE:{ *:[i32] } ?:{ *:[v8i16] }:$x)
/*  4644*/     0, /*End of Scope*/
/*  4645*/    /*Scope*/ 28, /*->4674*/
/*  4646*/     OPC_CheckChild1Type, /*MVT::v4i32*/62, 
/*  4648*/     OPC_MoveParent,
/*  4649*/     OPC_CheckTypeI32,
/*  4650*/     OPC_Scope, 10, /*->4662*/ // 2 children in Scope
/*  4652*/      OPC_CheckChild1Integer, 0, 
/*  4654*/      OPC_CheckChild2CondCode, ISD::SETNE,
/*  4656*/      OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::ANYTRUE),
                    /*MVT::i32*/7, 1/*#Ops*/, 0, 
                // Src: (setcc:{ *:[i32] } (intrinsic_wo_chain:{ *:[i32] } 13312:{ *:[iPTR] }, V128:{ *:[v4i32] }:$x), 0:{ *:[i32] }, SETNE:{ *:[Other] }) - Complexity = 16
                // Dst: (ANYTRUE:{ *:[i32] } ?:{ *:[v4i32] }:$x)
/*  4662*/     /*Scope*/ 10, /*->4673*/
/*  4663*/      OPC_CheckChild1Integer, 2, 
/*  4665*/      OPC_CheckChild2CondCode, ISD::SETEQ,
/*  4667*/      OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::ANYTRUE),
                    /*MVT::i32*/7, 1/*#Ops*/, 0, 
                // Src: (setcc:{ *:[i32] } (intrinsic_wo_chain:{ *:[i32] } 13312:{ *:[iPTR] }, V128:{ *:[v4i32] }:$x), 1:{ *:[i32] }, SETEQ:{ *:[Other] }) - Complexity = 16
                // Dst: (ANYTRUE:{ *:[i32] } ?:{ *:[v4i32] }:$x)
/*  4673*/     0, /*End of Scope*/
/*  4674*/    /*Scope*/ 28, /*->4703*/
/*  4675*/     OPC_CheckChild1Type, /*MVT::v2i64*/81, 
/*  4677*/     OPC_MoveParent,
/*  4678*/     OPC_CheckTypeI32,
/*  4679*/     OPC_Scope, 10, /*->4691*/ // 2 children in Scope
/*  4681*/      OPC_CheckChild1Integer, 0, 
/*  4683*/      OPC_CheckChild2CondCode, ISD::SETNE,
/*  4685*/      OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::ANYTRUE),
                    /*MVT::i32*/7, 1/*#Ops*/, 0, 
                // Src: (setcc:{ *:[i32] } (intrinsic_wo_chain:{ *:[i32] } 13312:{ *:[iPTR] }, V128:{ *:[v2i64] }:$x), 0:{ *:[i32] }, SETNE:{ *:[Other] }) - Complexity = 16
                // Dst: (ANYTRUE:{ *:[i32] } ?:{ *:[v2i64] }:$x)
/*  4691*/     /*Scope*/ 10, /*->4702*/
/*  4692*/      OPC_CheckChild1Integer, 2, 
/*  4694*/      OPC_CheckChild2CondCode, ISD::SETEQ,
/*  4696*/      OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::ANYTRUE),
                    /*MVT::i32*/7, 1/*#Ops*/, 0, 
                // Src: (setcc:{ *:[i32] } (intrinsic_wo_chain:{ *:[i32] } 13312:{ *:[iPTR] }, V128:{ *:[v2i64] }:$x), 1:{ *:[i32] }, SETEQ:{ *:[Other] }) - Complexity = 16
                // Dst: (ANYTRUE:{ *:[i32] } ?:{ *:[v2i64] }:$x)
/*  4702*/     0, /*End of Scope*/
/*  4703*/    0, /*End of Scope*/
/*  4704*/   /*Scope*/ 123, /*->4828*/
/*  4705*/    OPC_CheckChild0Integer, 126|128,79|128,1/*26622*/, 
/*  4709*/    OPC_RecordChild1, // #0 = $x
/*  4710*/    OPC_Scope, 28, /*->4740*/ // 4 children in Scope
/*  4712*/     OPC_CheckChild1Type, /*MVT::v16i8*/40, 
/*  4714*/     OPC_MoveParent,
/*  4715*/     OPC_CheckTypeI32,
/*  4716*/     OPC_Scope, 10, /*->4728*/ // 2 children in Scope
/*  4718*/      OPC_CheckChild1Integer, 0, 
/*  4720*/      OPC_CheckChild2CondCode, ISD::SETNE,
/*  4722*/      OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::ALLTRUE_I8x16),
                    /*MVT::i32*/7, 1/*#Ops*/, 0, 
                // Src: (setcc:{ *:[i32] } (intrinsic_wo_chain:{ *:[i32] } 13311:{ *:[iPTR] }, V128:{ *:[v16i8] }:$x), 0:{ *:[i32] }, SETNE:{ *:[Other] }) - Complexity = 16
                // Dst: (ALLTRUE_I8x16:{ *:[i32] } ?:{ *:[v16i8] }:$x)
/*  4728*/     /*Scope*/ 10, /*->4739*/
/*  4729*/      OPC_CheckChild1Integer, 2, 
/*  4731*/      OPC_CheckChild2CondCode, ISD::SETEQ,
/*  4733*/      OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::ALLTRUE_I8x16),
                    /*MVT::i32*/7, 1/*#Ops*/, 0, 
                // Src: (setcc:{ *:[i32] } (intrinsic_wo_chain:{ *:[i32] } 13311:{ *:[iPTR] }, V128:{ *:[v16i8] }:$x), 1:{ *:[i32] }, SETEQ:{ *:[Other] }) - Complexity = 16
                // Dst: (ALLTRUE_I8x16:{ *:[i32] } ?:{ *:[v16i8] }:$x)
/*  4739*/     0, /*End of Scope*/
/*  4740*/    /*Scope*/ 28, /*->4769*/
/*  4741*/     OPC_CheckChild1Type, /*MVT::v8i16*/51, 
/*  4743*/     OPC_MoveParent,
/*  4744*/     OPC_CheckTypeI32,
/*  4745*/     OPC_Scope, 10, /*->4757*/ // 2 children in Scope
/*  4747*/      OPC_CheckChild1Integer, 0, 
/*  4749*/      OPC_CheckChild2CondCode, ISD::SETNE,
/*  4751*/      OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::ALLTRUE_I16x8),
                    /*MVT::i32*/7, 1/*#Ops*/, 0, 
                // Src: (setcc:{ *:[i32] } (intrinsic_wo_chain:{ *:[i32] } 13311:{ *:[iPTR] }, V128:{ *:[v8i16] }:$x), 0:{ *:[i32] }, SETNE:{ *:[Other] }) - Complexity = 16
                // Dst: (ALLTRUE_I16x8:{ *:[i32] } ?:{ *:[v8i16] }:$x)
/*  4757*/     /*Scope*/ 10, /*->4768*/
/*  4758*/      OPC_CheckChild1Integer, 2, 
/*  4760*/      OPC_CheckChild2CondCode, ISD::SETEQ,
/*  4762*/      OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::ALLTRUE_I16x8),
                    /*MVT::i32*/7, 1/*#Ops*/, 0, 
                // Src: (setcc:{ *:[i32] } (intrinsic_wo_chain:{ *:[i32] } 13311:{ *:[iPTR] }, V128:{ *:[v8i16] }:$x), 1:{ *:[i32] }, SETEQ:{ *:[Other] }) - Complexity = 16
                // Dst: (ALLTRUE_I16x8:{ *:[i32] } ?:{ *:[v8i16] }:$x)
/*  4768*/     0, /*End of Scope*/
/*  4769*/    /*Scope*/ 28, /*->4798*/
/*  4770*/     OPC_CheckChild1Type, /*MVT::v4i32*/62, 
/*  4772*/     OPC_MoveParent,
/*  4773*/     OPC_CheckTypeI32,
/*  4774*/     OPC_Scope, 10, /*->4786*/ // 2 children in Scope
/*  4776*/      OPC_CheckChild1Integer, 0, 
/*  4778*/      OPC_CheckChild2CondCode, ISD::SETNE,
/*  4780*/      OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::ALLTRUE_I32x4),
                    /*MVT::i32*/7, 1/*#Ops*/, 0, 
                // Src: (setcc:{ *:[i32] } (intrinsic_wo_chain:{ *:[i32] } 13311:{ *:[iPTR] }, V128:{ *:[v4i32] }:$x), 0:{ *:[i32] }, SETNE:{ *:[Other] }) - Complexity = 16
                // Dst: (ALLTRUE_I32x4:{ *:[i32] } ?:{ *:[v4i32] }:$x)
/*  4786*/     /*Scope*/ 10, /*->4797*/
/*  4787*/      OPC_CheckChild1Integer, 2, 
/*  4789*/      OPC_CheckChild2CondCode, ISD::SETEQ,
/*  4791*/      OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::ALLTRUE_I32x4),
                    /*MVT::i32*/7, 1/*#Ops*/, 0, 
                // Src: (setcc:{ *:[i32] } (intrinsic_wo_chain:{ *:[i32] } 13311:{ *:[iPTR] }, V128:{ *:[v4i32] }:$x), 1:{ *:[i32] }, SETEQ:{ *:[Other] }) - Complexity = 16
                // Dst: (ALLTRUE_I32x4:{ *:[i32] } ?:{ *:[v4i32] }:$x)
/*  4797*/     0, /*End of Scope*/
/*  4798*/    /*Scope*/ 28, /*->4827*/
/*  4799*/     OPC_CheckChild1Type, /*MVT::v2i64*/81, 
/*  4801*/     OPC_MoveParent,
/*  4802*/     OPC_CheckTypeI32,
/*  4803*/     OPC_Scope, 10, /*->4815*/ // 2 children in Scope
/*  4805*/      OPC_CheckChild1Integer, 0, 
/*  4807*/      OPC_CheckChild2CondCode, ISD::SETNE,
/*  4809*/      OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::ALLTRUE_I64x2),
                    /*MVT::i32*/7, 1/*#Ops*/, 0, 
                // Src: (setcc:{ *:[i32] } (intrinsic_wo_chain:{ *:[i32] } 13311:{ *:[iPTR] }, V128:{ *:[v2i64] }:$x), 0:{ *:[i32] }, SETNE:{ *:[Other] }) - Complexity = 16
                // Dst: (ALLTRUE_I64x2:{ *:[i32] } ?:{ *:[v2i64] }:$x)
/*  4815*/     /*Scope*/ 10, /*->4826*/
/*  4816*/      OPC_CheckChild1Integer, 2, 
/*  4818*/      OPC_CheckChild2CondCode, ISD::SETEQ,
/*  4820*/      OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::ALLTRUE_I64x2),
                    /*MVT::i32*/7, 1/*#Ops*/, 0, 
                // Src: (setcc:{ *:[i32] } (intrinsic_wo_chain:{ *:[i32] } 13311:{ *:[iPTR] }, V128:{ *:[v2i64] }:$x), 1:{ *:[i32] }, SETEQ:{ *:[Other] }) - Complexity = 16
                // Dst: (ALLTRUE_I64x2:{ *:[i32] } ?:{ *:[v2i64] }:$x)
/*  4826*/     0, /*End of Scope*/
/*  4827*/    0, /*End of Scope*/
/*  4828*/   0, /*End of Scope*/
/*  4829*/  /*Scope*/ 121|128,9/*1273*/, /*->6104*/
/*  4831*/   OPC_RecordChild0, // #0 = $src
/*  4832*/   OPC_SwitchType /*5 cases */, 108|128,3/*492*/, /*MVT::i32*/7, // ->5328
/*  4836*/    OPC_Scope, 118, /*->4956*/ // 4 children in Scope
/*  4838*/     OPC_CheckChild0TypeI32,
/*  4839*/     OPC_Scope, 10, /*->4851*/ // 2 children in Scope
/*  4841*/      OPC_CheckChild1Integer, 0, 
/*  4843*/      OPC_CheckChild2CondCode, ISD::SETEQ,
/*  4845*/      OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::EQZ_I32),
                    /*MVT::i32*/7, 1/*#Ops*/, 0, 
                // Src: (setcc:{ *:[i32] } I32:{ *:[i32] }:$src, 0:{ *:[i32] }, SETEQ:{ *:[Other] }) - Complexity = 8
                // Dst: (EQZ_I32:{ *:[i32] } I32:{ *:[i32] }:$src)
/*  4851*/     /*Scope*/ 103, /*->4955*/
/*  4852*/      OPC_RecordChild1, // #1 = $rhs
/*  4853*/      OPC_Scope, 9, /*->4864*/ // 10 children in Scope
/*  4855*/       OPC_CheckChild2CondCode, ISD::SETEQ,
/*  4857*/       OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::EQ_I32),
                     /*MVT::i32*/7, 2/*#Ops*/, 0, 1, 
                 // Src: (setcc:{ *:[i32] } I32:{ *:[i32] }:$lhs, I32:{ *:[i32] }:$rhs, SETEQ:{ *:[Other] }) - Complexity = 3
                 // Dst: (EQ_I32:{ *:[i32] } I32:{ *:[i32] }:$lhs, I32:{ *:[i32] }:$rhs)
/*  4864*/      /*Scope*/ 9, /*->4874*/
/*  4865*/       OPC_CheckChild2CondCode, ISD::SETNE,
/*  4867*/       OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::NE_I32),
                     /*MVT::i32*/7, 2/*#Ops*/, 0, 1, 
                 // Src: (setcc:{ *:[i32] } I32:{ *:[i32] }:$lhs, I32:{ *:[i32] }:$rhs, SETNE:{ *:[Other] }) - Complexity = 3
                 // Dst: (NE_I32:{ *:[i32] } I32:{ *:[i32] }:$lhs, I32:{ *:[i32] }:$rhs)
/*  4874*/      /*Scope*/ 9, /*->4884*/
/*  4875*/       OPC_CheckChild2CondCode, ISD::SETLT,
/*  4877*/       OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::LT_S_I32),
                     /*MVT::i32*/7, 2/*#Ops*/, 0, 1, 
                 // Src: (setcc:{ *:[i32] } I32:{ *:[i32] }:$lhs, I32:{ *:[i32] }:$rhs, SETLT:{ *:[Other] }) - Complexity = 3
                 // Dst: (LT_S_I32:{ *:[i32] } I32:{ *:[i32] }:$lhs, I32:{ *:[i32] }:$rhs)
/*  4884*/      /*Scope*/ 9, /*->4894*/
/*  4885*/       OPC_CheckChild2CondCode, ISD::SETULT,
/*  4887*/       OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::LT_U_I32),
                     /*MVT::i32*/7, 2/*#Ops*/, 0, 1, 
                 // Src: (setcc:{ *:[i32] } I32:{ *:[i32] }:$lhs, I32:{ *:[i32] }:$rhs, SETULT:{ *:[Other] }) - Complexity = 3
                 // Dst: (LT_U_I32:{ *:[i32] } I32:{ *:[i32] }:$lhs, I32:{ *:[i32] }:$rhs)
/*  4894*/      /*Scope*/ 9, /*->4904*/
/*  4895*/       OPC_CheckChild2CondCode, ISD::SETGT,
/*  4897*/       OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::GT_S_I32),
                     /*MVT::i32*/7, 2/*#Ops*/, 0, 1, 
                 // Src: (setcc:{ *:[i32] } I32:{ *:[i32] }:$lhs, I32:{ *:[i32] }:$rhs, SETGT:{ *:[Other] }) - Complexity = 3
                 // Dst: (GT_S_I32:{ *:[i32] } I32:{ *:[i32] }:$lhs, I32:{ *:[i32] }:$rhs)
/*  4904*/      /*Scope*/ 9, /*->4914*/
/*  4905*/       OPC_CheckChild2CondCode, ISD::SETUGT,
/*  4907*/       OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::GT_U_I32),
                     /*MVT::i32*/7, 2/*#Ops*/, 0, 1, 
                 // Src: (setcc:{ *:[i32] } I32:{ *:[i32] }:$lhs, I32:{ *:[i32] }:$rhs, SETUGT:{ *:[Other] }) - Complexity = 3
                 // Dst: (GT_U_I32:{ *:[i32] } I32:{ *:[i32] }:$lhs, I32:{ *:[i32] }:$rhs)
/*  4914*/      /*Scope*/ 9, /*->4924*/
/*  4915*/       OPC_CheckChild2CondCode, ISD::SETLE,
/*  4917*/       OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::LE_S_I32),
                     /*MVT::i32*/7, 2/*#Ops*/, 0, 1, 
                 // Src: (setcc:{ *:[i32] } I32:{ *:[i32] }:$lhs, I32:{ *:[i32] }:$rhs, SETLE:{ *:[Other] }) - Complexity = 3
                 // Dst: (LE_S_I32:{ *:[i32] } I32:{ *:[i32] }:$lhs, I32:{ *:[i32] }:$rhs)
/*  4924*/      /*Scope*/ 9, /*->4934*/
/*  4925*/       OPC_CheckChild2CondCode, ISD::SETULE,
/*  4927*/       OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::LE_U_I32),
                     /*MVT::i32*/7, 2/*#Ops*/, 0, 1, 
                 // Src: (setcc:{ *:[i32] } I32:{ *:[i32] }:$lhs, I32:{ *:[i32] }:$rhs, SETULE:{ *:[Other] }) - Complexity = 3
                 // Dst: (LE_U_I32:{ *:[i32] } I32:{ *:[i32] }:$lhs, I32:{ *:[i32] }:$rhs)
/*  4934*/      /*Scope*/ 9, /*->4944*/
/*  4935*/       OPC_CheckChild2CondCode, ISD::SETGE,
/*  4937*/       OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::GE_S_I32),
                     /*MVT::i32*/7, 2/*#Ops*/, 0, 1, 
                 // Src: (setcc:{ *:[i32] } I32:{ *:[i32] }:$lhs, I32:{ *:[i32] }:$rhs, SETGE:{ *:[Other] }) - Complexity = 3
                 // Dst: (GE_S_I32:{ *:[i32] } I32:{ *:[i32] }:$lhs, I32:{ *:[i32] }:$rhs)
/*  4944*/      /*Scope*/ 9, /*->4954*/
/*  4945*/       OPC_CheckChild2CondCode, ISD::SETUGE,
/*  4947*/       OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::GE_U_I32),
                     /*MVT::i32*/7, 2/*#Ops*/, 0, 1, 
                 // Src: (setcc:{ *:[i32] } I32:{ *:[i32] }:$lhs, I32:{ *:[i32] }:$rhs, SETUGE:{ *:[Other] }) - Complexity = 3
                 // Dst: (GE_U_I32:{ *:[i32] } I32:{ *:[i32] }:$lhs, I32:{ *:[i32] }:$rhs)
/*  4954*/      0, /*End of Scope*/
/*  4955*/     0, /*End of Scope*/
/*  4956*/    /*Scope*/ 118, /*->5075*/
/*  4957*/     OPC_CheckChild0TypeI64,
/*  4958*/     OPC_Scope, 10, /*->4970*/ // 2 children in Scope
/*  4960*/      OPC_CheckChild1Integer, 0, 
/*  4962*/      OPC_CheckChild2CondCode, ISD::SETEQ,
/*  4964*/      OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::EQZ_I64),
                    /*MVT::i32*/7, 1/*#Ops*/, 0, 
                // Src: (setcc:{ *:[i32] } I64:{ *:[i64] }:$src, 0:{ *:[i64] }, SETEQ:{ *:[Other] }) - Complexity = 8
                // Dst: (EQZ_I64:{ *:[i32] } I64:{ *:[i64] }:$src)
/*  4970*/     /*Scope*/ 103, /*->5074*/
/*  4971*/      OPC_RecordChild1, // #1 = $rhs
/*  4972*/      OPC_Scope, 9, /*->4983*/ // 10 children in Scope
/*  4974*/       OPC_CheckChild2CondCode, ISD::SETEQ,
/*  4976*/       OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::EQ_I64),
                     /*MVT::i32*/7, 2/*#Ops*/, 0, 1, 
                 // Src: (setcc:{ *:[i32] } I64:{ *:[i64] }:$lhs, I64:{ *:[i64] }:$rhs, SETEQ:{ *:[Other] }) - Complexity = 3
                 // Dst: (EQ_I64:{ *:[i32] } I64:{ *:[i64] }:$lhs, I64:{ *:[i64] }:$rhs)
/*  4983*/      /*Scope*/ 9, /*->4993*/
/*  4984*/       OPC_CheckChild2CondCode, ISD::SETNE,
/*  4986*/       OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::NE_I64),
                     /*MVT::i32*/7, 2/*#Ops*/, 0, 1, 
                 // Src: (setcc:{ *:[i32] } I64:{ *:[i64] }:$lhs, I64:{ *:[i64] }:$rhs, SETNE:{ *:[Other] }) - Complexity = 3
                 // Dst: (NE_I64:{ *:[i32] } I64:{ *:[i64] }:$lhs, I64:{ *:[i64] }:$rhs)
/*  4993*/      /*Scope*/ 9, /*->5003*/
/*  4994*/       OPC_CheckChild2CondCode, ISD::SETLT,
/*  4996*/       OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::LT_S_I64),
                     /*MVT::i32*/7, 2/*#Ops*/, 0, 1, 
                 // Src: (setcc:{ *:[i32] } I64:{ *:[i64] }:$lhs, I64:{ *:[i64] }:$rhs, SETLT:{ *:[Other] }) - Complexity = 3
                 // Dst: (LT_S_I64:{ *:[i32] } I64:{ *:[i64] }:$lhs, I64:{ *:[i64] }:$rhs)
/*  5003*/      /*Scope*/ 9, /*->5013*/
/*  5004*/       OPC_CheckChild2CondCode, ISD::SETULT,
/*  5006*/       OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::LT_U_I64),
                     /*MVT::i32*/7, 2/*#Ops*/, 0, 1, 
                 // Src: (setcc:{ *:[i32] } I64:{ *:[i64] }:$lhs, I64:{ *:[i64] }:$rhs, SETULT:{ *:[Other] }) - Complexity = 3
                 // Dst: (LT_U_I64:{ *:[i32] } I64:{ *:[i64] }:$lhs, I64:{ *:[i64] }:$rhs)
/*  5013*/      /*Scope*/ 9, /*->5023*/
/*  5014*/       OPC_CheckChild2CondCode, ISD::SETGT,
/*  5016*/       OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::GT_S_I64),
                     /*MVT::i32*/7, 2/*#Ops*/, 0, 1, 
                 // Src: (setcc:{ *:[i32] } I64:{ *:[i64] }:$lhs, I64:{ *:[i64] }:$rhs, SETGT:{ *:[Other] }) - Complexity = 3
                 // Dst: (GT_S_I64:{ *:[i32] } I64:{ *:[i64] }:$lhs, I64:{ *:[i64] }:$rhs)
/*  5023*/      /*Scope*/ 9, /*->5033*/
/*  5024*/       OPC_CheckChild2CondCode, ISD::SETUGT,
/*  5026*/       OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::GT_U_I64),
                     /*MVT::i32*/7, 2/*#Ops*/, 0, 1, 
                 // Src: (setcc:{ *:[i32] } I64:{ *:[i64] }:$lhs, I64:{ *:[i64] }:$rhs, SETUGT:{ *:[Other] }) - Complexity = 3
                 // Dst: (GT_U_I64:{ *:[i32] } I64:{ *:[i64] }:$lhs, I64:{ *:[i64] }:$rhs)
/*  5033*/      /*Scope*/ 9, /*->5043*/
/*  5034*/       OPC_CheckChild2CondCode, ISD::SETLE,
/*  5036*/       OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::LE_S_I64),
                     /*MVT::i32*/7, 2/*#Ops*/, 0, 1, 
                 // Src: (setcc:{ *:[i32] } I64:{ *:[i64] }:$lhs, I64:{ *:[i64] }:$rhs, SETLE:{ *:[Other] }) - Complexity = 3
                 // Dst: (LE_S_I64:{ *:[i32] } I64:{ *:[i64] }:$lhs, I64:{ *:[i64] }:$rhs)
/*  5043*/      /*Scope*/ 9, /*->5053*/
/*  5044*/       OPC_CheckChild2CondCode, ISD::SETULE,
/*  5046*/       OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::LE_U_I64),
                     /*MVT::i32*/7, 2/*#Ops*/, 0, 1, 
                 // Src: (setcc:{ *:[i32] } I64:{ *:[i64] }:$lhs, I64:{ *:[i64] }:$rhs, SETULE:{ *:[Other] }) - Complexity = 3
                 // Dst: (LE_U_I64:{ *:[i32] } I64:{ *:[i64] }:$lhs, I64:{ *:[i64] }:$rhs)
/*  5053*/      /*Scope*/ 9, /*->5063*/
/*  5054*/       OPC_CheckChild2CondCode, ISD::SETGE,
/*  5056*/       OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::GE_S_I64),
                     /*MVT::i32*/7, 2/*#Ops*/, 0, 1, 
                 // Src: (setcc:{ *:[i32] } I64:{ *:[i64] }:$lhs, I64:{ *:[i64] }:$rhs, SETGE:{ *:[Other] }) - Complexity = 3
                 // Dst: (GE_S_I64:{ *:[i32] } I64:{ *:[i64] }:$lhs, I64:{ *:[i64] }:$rhs)
/*  5063*/      /*Scope*/ 9, /*->5073*/
/*  5064*/       OPC_CheckChild2CondCode, ISD::SETUGE,
/*  5066*/       OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::GE_U_I64),
                     /*MVT::i32*/7, 2/*#Ops*/, 0, 1, 
                 // Src: (setcc:{ *:[i32] } I64:{ *:[i64] }:$lhs, I64:{ *:[i64] }:$rhs, SETUGE:{ *:[Other] }) - Complexity = 3
                 // Dst: (GE_U_I64:{ *:[i32] } I64:{ *:[i64] }:$lhs, I64:{ *:[i64] }:$rhs)
/*  5073*/      0, /*End of Scope*/
/*  5074*/     0, /*End of Scope*/
/*  5075*/    /*Scope*/ 125, /*->5201*/
/*  5076*/     OPC_CheckChild0Type, /*MVT::f32*/12, 
/*  5078*/     OPC_RecordChild1, // #1 = $rhs
/*  5079*/     OPC_Scope, 9, /*->5090*/ // 12 children in Scope
/*  5081*/      OPC_CheckChild2CondCode, ISD::SETOEQ,
/*  5083*/      OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::EQ_F32),
                    /*MVT::i32*/7, 2/*#Ops*/, 0, 1, 
                // Src: (setcc:{ *:[i32] } F32:{ *:[f32] }:$lhs, F32:{ *:[f32] }:$rhs, SETOEQ:{ *:[Other] }) - Complexity = 3
                // Dst: (EQ_F32:{ *:[i32] } F32:{ *:[f32] }:$lhs, F32:{ *:[f32] }:$rhs)
/*  5090*/     /*Scope*/ 9, /*->5100*/
/*  5091*/      OPC_CheckChild2CondCode, ISD::SETUNE,
/*  5093*/      OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::NE_F32),
                    /*MVT::i32*/7, 2/*#Ops*/, 0, 1, 
                // Src: (setcc:{ *:[i32] } F32:{ *:[f32] }:$lhs, F32:{ *:[f32] }:$rhs, SETUNE:{ *:[Other] }) - Complexity = 3
                // Dst: (NE_F32:{ *:[i32] } F32:{ *:[f32] }:$lhs, F32:{ *:[f32] }:$rhs)
/*  5100*/     /*Scope*/ 9, /*->5110*/
/*  5101*/      OPC_CheckChild2CondCode, ISD::SETOLT,
/*  5103*/      OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::LT_F32),
                    /*MVT::i32*/7, 2/*#Ops*/, 0, 1, 
                // Src: (setcc:{ *:[i32] } F32:{ *:[f32] }:$lhs, F32:{ *:[f32] }:$rhs, SETOLT:{ *:[Other] }) - Complexity = 3
                // Dst: (LT_F32:{ *:[i32] } F32:{ *:[f32] }:$lhs, F32:{ *:[f32] }:$rhs)
/*  5110*/     /*Scope*/ 9, /*->5120*/
/*  5111*/      OPC_CheckChild2CondCode, ISD::SETOLE,
/*  5113*/      OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::LE_F32),
                    /*MVT::i32*/7, 2/*#Ops*/, 0, 1, 
                // Src: (setcc:{ *:[i32] } F32:{ *:[f32] }:$lhs, F32:{ *:[f32] }:$rhs, SETOLE:{ *:[Other] }) - Complexity = 3
                // Dst: (LE_F32:{ *:[i32] } F32:{ *:[f32] }:$lhs, F32:{ *:[f32] }:$rhs)
/*  5120*/     /*Scope*/ 9, /*->5130*/
/*  5121*/      OPC_CheckChild2CondCode, ISD::SETOGT,
/*  5123*/      OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::GT_F32),
                    /*MVT::i32*/7, 2/*#Ops*/, 0, 1, 
                // Src: (setcc:{ *:[i32] } F32:{ *:[f32] }:$lhs, F32:{ *:[f32] }:$rhs, SETOGT:{ *:[Other] }) - Complexity = 3
                // Dst: (GT_F32:{ *:[i32] } F32:{ *:[f32] }:$lhs, F32:{ *:[f32] }:$rhs)
/*  5130*/     /*Scope*/ 9, /*->5140*/
/*  5131*/      OPC_CheckChild2CondCode, ISD::SETOGE,
/*  5133*/      OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::GE_F32),
                    /*MVT::i32*/7, 2/*#Ops*/, 0, 1, 
                // Src: (setcc:{ *:[i32] } F32:{ *:[f32] }:$lhs, F32:{ *:[f32] }:$rhs, SETOGE:{ *:[Other] }) - Complexity = 3
                // Dst: (GE_F32:{ *:[i32] } F32:{ *:[f32] }:$lhs, F32:{ *:[f32] }:$rhs)
/*  5140*/     /*Scope*/ 9, /*->5150*/
/*  5141*/      OPC_CheckChild2CondCode, ISD::SETEQ,
/*  5143*/      OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::EQ_F32),
                    /*MVT::i32*/7, 2/*#Ops*/, 0, 1, 
                // Src: (setcc:{ *:[i32] } f32:{ *:[f32] }:$lhs, f32:{ *:[f32] }:$rhs, SETEQ:{ *:[Other] }) - Complexity = 3
                // Dst: (EQ_F32:{ *:[i32] } f32:{ *:[f32] }:$lhs, f32:{ *:[f32] }:$rhs)
/*  5150*/     /*Scope*/ 9, /*->5160*/
/*  5151*/      OPC_CheckChild2CondCode, ISD::SETNE,
/*  5153*/      OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::NE_F32),
                    /*MVT::i32*/7, 2/*#Ops*/, 0, 1, 
                // Src: (setcc:{ *:[i32] } f32:{ *:[f32] }:$lhs, f32:{ *:[f32] }:$rhs, SETNE:{ *:[Other] }) - Complexity = 3
                // Dst: (NE_F32:{ *:[i32] } f32:{ *:[f32] }:$lhs, f32:{ *:[f32] }:$rhs)
/*  5160*/     /*Scope*/ 9, /*->5170*/
/*  5161*/      OPC_CheckChild2CondCode, ISD::SETLT,
/*  5163*/      OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::LT_F32),
                    /*MVT::i32*/7, 2/*#Ops*/, 0, 1, 
                // Src: (setcc:{ *:[i32] } f32:{ *:[f32] }:$lhs, f32:{ *:[f32] }:$rhs, SETLT:{ *:[Other] }) - Complexity = 3
                // Dst: (LT_F32:{ *:[i32] } f32:{ *:[f32] }:$lhs, f32:{ *:[f32] }:$rhs)
/*  5170*/     /*Scope*/ 9, /*->5180*/
/*  5171*/      OPC_CheckChild2CondCode, ISD::SETLE,
/*  5173*/      OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::LE_F32),
                    /*MVT::i32*/7, 2/*#Ops*/, 0, 1, 
                // Src: (setcc:{ *:[i32] } f32:{ *:[f32] }:$lhs, f32:{ *:[f32] }:$rhs, SETLE:{ *:[Other] }) - Complexity = 3
                // Dst: (LE_F32:{ *:[i32] } f32:{ *:[f32] }:$lhs, f32:{ *:[f32] }:$rhs)
/*  5180*/     /*Scope*/ 9, /*->5190*/
/*  5181*/      OPC_CheckChild2CondCode, ISD::SETGT,
/*  5183*/      OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::GT_F32),
                    /*MVT::i32*/7, 2/*#Ops*/, 0, 1, 
                // Src: (setcc:{ *:[i32] } f32:{ *:[f32] }:$lhs, f32:{ *:[f32] }:$rhs, SETGT:{ *:[Other] }) - Complexity = 3
                // Dst: (GT_F32:{ *:[i32] } f32:{ *:[f32] }:$lhs, f32:{ *:[f32] }:$rhs)
/*  5190*/     /*Scope*/ 9, /*->5200*/
/*  5191*/      OPC_CheckChild2CondCode, ISD::SETGE,
/*  5193*/      OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::GE_F32),
                    /*MVT::i32*/7, 2/*#Ops*/, 0, 1, 
                // Src: (setcc:{ *:[i32] } f32:{ *:[f32] }:$lhs, f32:{ *:[f32] }:$rhs, SETGE:{ *:[Other] }) - Complexity = 3
                // Dst: (GE_F32:{ *:[i32] } f32:{ *:[f32] }:$lhs, f32:{ *:[f32] }:$rhs)
/*  5200*/     0, /*End of Scope*/
/*  5201*/    /*Scope*/ 125, /*->5327*/
/*  5202*/     OPC_CheckChild0Type, /*MVT::f64*/13, 
/*  5204*/     OPC_RecordChild1, // #1 = $rhs
/*  5205*/     OPC_Scope, 9, /*->5216*/ // 12 children in Scope
/*  5207*/      OPC_CheckChild2CondCode, ISD::SETOEQ,
/*  5209*/      OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::EQ_F64),
                    /*MVT::i32*/7, 2/*#Ops*/, 0, 1, 
                // Src: (setcc:{ *:[i32] } F64:{ *:[f64] }:$lhs, F64:{ *:[f64] }:$rhs, SETOEQ:{ *:[Other] }) - Complexity = 3
                // Dst: (EQ_F64:{ *:[i32] } F64:{ *:[f64] }:$lhs, F64:{ *:[f64] }:$rhs)
/*  5216*/     /*Scope*/ 9, /*->5226*/
/*  5217*/      OPC_CheckChild2CondCode, ISD::SETUNE,
/*  5219*/      OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::NE_F64),
                    /*MVT::i32*/7, 2/*#Ops*/, 0, 1, 
                // Src: (setcc:{ *:[i32] } F64:{ *:[f64] }:$lhs, F64:{ *:[f64] }:$rhs, SETUNE:{ *:[Other] }) - Complexity = 3
                // Dst: (NE_F64:{ *:[i32] } F64:{ *:[f64] }:$lhs, F64:{ *:[f64] }:$rhs)
/*  5226*/     /*Scope*/ 9, /*->5236*/
/*  5227*/      OPC_CheckChild2CondCode, ISD::SETOLT,
/*  5229*/      OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::LT_F64),
                    /*MVT::i32*/7, 2/*#Ops*/, 0, 1, 
                // Src: (setcc:{ *:[i32] } F64:{ *:[f64] }:$lhs, F64:{ *:[f64] }:$rhs, SETOLT:{ *:[Other] }) - Complexity = 3
                // Dst: (LT_F64:{ *:[i32] } F64:{ *:[f64] }:$lhs, F64:{ *:[f64] }:$rhs)
/*  5236*/     /*Scope*/ 9, /*->5246*/
/*  5237*/      OPC_CheckChild2CondCode, ISD::SETOLE,
/*  5239*/      OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::LE_F64),
                    /*MVT::i32*/7, 2/*#Ops*/, 0, 1, 
                // Src: (setcc:{ *:[i32] } F64:{ *:[f64] }:$lhs, F64:{ *:[f64] }:$rhs, SETOLE:{ *:[Other] }) - Complexity = 3
                // Dst: (LE_F64:{ *:[i32] } F64:{ *:[f64] }:$lhs, F64:{ *:[f64] }:$rhs)
/*  5246*/     /*Scope*/ 9, /*->5256*/
/*  5247*/      OPC_CheckChild2CondCode, ISD::SETOGT,
/*  5249*/      OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::GT_F64),
                    /*MVT::i32*/7, 2/*#Ops*/, 0, 1, 
                // Src: (setcc:{ *:[i32] } F64:{ *:[f64] }:$lhs, F64:{ *:[f64] }:$rhs, SETOGT:{ *:[Other] }) - Complexity = 3
                // Dst: (GT_F64:{ *:[i32] } F64:{ *:[f64] }:$lhs, F64:{ *:[f64] }:$rhs)
/*  5256*/     /*Scope*/ 9, /*->5266*/
/*  5257*/      OPC_CheckChild2CondCode, ISD::SETOGE,
/*  5259*/      OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::GE_F64),
                    /*MVT::i32*/7, 2/*#Ops*/, 0, 1, 
                // Src: (setcc:{ *:[i32] } F64:{ *:[f64] }:$lhs, F64:{ *:[f64] }:$rhs, SETOGE:{ *:[Other] }) - Complexity = 3
                // Dst: (GE_F64:{ *:[i32] } F64:{ *:[f64] }:$lhs, F64:{ *:[f64] }:$rhs)
/*  5266*/     /*Scope*/ 9, /*->5276*/
/*  5267*/      OPC_CheckChild2CondCode, ISD::SETEQ,
/*  5269*/      OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::EQ_F64),
                    /*MVT::i32*/7, 2/*#Ops*/, 0, 1, 
                // Src: (setcc:{ *:[i32] } f64:{ *:[f64] }:$lhs, f64:{ *:[f64] }:$rhs, SETEQ:{ *:[Other] }) - Complexity = 3
                // Dst: (EQ_F64:{ *:[i32] } f64:{ *:[f64] }:$lhs, f64:{ *:[f64] }:$rhs)
/*  5276*/     /*Scope*/ 9, /*->5286*/
/*  5277*/      OPC_CheckChild2CondCode, ISD::SETNE,
/*  5279*/      OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::NE_F64),
                    /*MVT::i32*/7, 2/*#Ops*/, 0, 1, 
                // Src: (setcc:{ *:[i32] } f64:{ *:[f64] }:$lhs, f64:{ *:[f64] }:$rhs, SETNE:{ *:[Other] }) - Complexity = 3
                // Dst: (NE_F64:{ *:[i32] } f64:{ *:[f64] }:$lhs, f64:{ *:[f64] }:$rhs)
/*  5286*/     /*Scope*/ 9, /*->5296*/
/*  5287*/      OPC_CheckChild2CondCode, ISD::SETLT,
/*  5289*/      OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::LT_F64),
                    /*MVT::i32*/7, 2/*#Ops*/, 0, 1, 
                // Src: (setcc:{ *:[i32] } f64:{ *:[f64] }:$lhs, f64:{ *:[f64] }:$rhs, SETLT:{ *:[Other] }) - Complexity = 3
                // Dst: (LT_F64:{ *:[i32] } f64:{ *:[f64] }:$lhs, f64:{ *:[f64] }:$rhs)
/*  5296*/     /*Scope*/ 9, /*->5306*/
/*  5297*/      OPC_CheckChild2CondCode, ISD::SETLE,
/*  5299*/      OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::LE_F64),
                    /*MVT::i32*/7, 2/*#Ops*/, 0, 1, 
                // Src: (setcc:{ *:[i32] } f64:{ *:[f64] }:$lhs, f64:{ *:[f64] }:$rhs, SETLE:{ *:[Other] }) - Complexity = 3
                // Dst: (LE_F64:{ *:[i32] } f64:{ *:[f64] }:$lhs, f64:{ *:[f64] }:$rhs)
/*  5306*/     /*Scope*/ 9, /*->5316*/
/*  5307*/      OPC_CheckChild2CondCode, ISD::SETGT,
/*  5309*/      OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::GT_F64),
                    /*MVT::i32*/7, 2/*#Ops*/, 0, 1, 
                // Src: (setcc:{ *:[i32] } f64:{ *:[f64] }:$lhs, f64:{ *:[f64] }:$rhs, SETGT:{ *:[Other] }) - Complexity = 3
                // Dst: (GT_F64:{ *:[i32] } f64:{ *:[f64] }:$lhs, f64:{ *:[f64] }:$rhs)
/*  5316*/     /*Scope*/ 9, /*->5326*/
/*  5317*/      OPC_CheckChild2CondCode, ISD::SETGE,
/*  5319*/      OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::GE_F64),
                    /*MVT::i32*/7, 2/*#Ops*/, 0, 1, 
                // Src: (setcc:{ *:[i32] } f64:{ *:[f64] }:$lhs, f64:{ *:[f64] }:$rhs, SETGE:{ *:[Other] }) - Complexity = 3
                // Dst: (GE_F64:{ *:[i32] } f64:{ *:[f64] }:$lhs, f64:{ *:[f64] }:$rhs)
/*  5326*/     0, /*End of Scope*/
/*  5327*/    0, /*End of Scope*/
/*  5328*/   /*SwitchType*/ 115, /*MVT::v16i8*/40, // ->5445
/*  5330*/    OPC_CheckChild0Type, /*MVT::v16i8*/40, 
/*  5332*/    OPC_RecordChild1, // #1 = $rhs
/*  5333*/    OPC_Scope, 10, /*->5345*/ // 10 children in Scope
/*  5335*/     OPC_CheckChild2CondCode, ISD::SETEQ,
/*  5337*/     OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/*  5338*/     OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::EQ_I8x16),
                   /*MVT::v16i8*/40, 2/*#Ops*/, 0, 1, 
               // Src: (setcc:{ *:[v16i8] } V128:{ *:[v16i8] }:$lhs, V128:{ *:[v16i8] }:$rhs, SETEQ:{ *:[Other] }) - Complexity = 3
               // Dst: (EQ_I8x16:{ *:[v16i8] } V128:{ *:[v16i8] }:$lhs, V128:{ *:[v16i8] }:$rhs)
/*  5345*/    /*Scope*/ 10, /*->5356*/
/*  5346*/     OPC_CheckChild2CondCode, ISD::SETNE,
/*  5348*/     OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/*  5349*/     OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::NE_I8x16),
                   /*MVT::v16i8*/40, 2/*#Ops*/, 0, 1, 
               // Src: (setcc:{ *:[v16i8] } V128:{ *:[v16i8] }:$lhs, V128:{ *:[v16i8] }:$rhs, SETNE:{ *:[Other] }) - Complexity = 3
               // Dst: (NE_I8x16:{ *:[v16i8] } V128:{ *:[v16i8] }:$lhs, V128:{ *:[v16i8] }:$rhs)
/*  5356*/    /*Scope*/ 10, /*->5367*/
/*  5357*/     OPC_CheckChild2CondCode, ISD::SETLT,
/*  5359*/     OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/*  5360*/     OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::LT_S_I8x16),
                   /*MVT::v16i8*/40, 2/*#Ops*/, 0, 1, 
               // Src: (setcc:{ *:[v16i8] } V128:{ *:[v16i8] }:$lhs, V128:{ *:[v16i8] }:$rhs, SETLT:{ *:[Other] }) - Complexity = 3
               // Dst: (LT_S_I8x16:{ *:[v16i8] } V128:{ *:[v16i8] }:$lhs, V128:{ *:[v16i8] }:$rhs)
/*  5367*/    /*Scope*/ 10, /*->5378*/
/*  5368*/     OPC_CheckChild2CondCode, ISD::SETULT,
/*  5370*/     OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/*  5371*/     OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::LT_U_I8x16),
                   /*MVT::v16i8*/40, 2/*#Ops*/, 0, 1, 
               // Src: (setcc:{ *:[v16i8] } V128:{ *:[v16i8] }:$lhs, V128:{ *:[v16i8] }:$rhs, SETULT:{ *:[Other] }) - Complexity = 3
               // Dst: (LT_U_I8x16:{ *:[v16i8] } V128:{ *:[v16i8] }:$lhs, V128:{ *:[v16i8] }:$rhs)
/*  5378*/    /*Scope*/ 10, /*->5389*/
/*  5379*/     OPC_CheckChild2CondCode, ISD::SETGT,
/*  5381*/     OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/*  5382*/     OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::GT_S_I8x16),
                   /*MVT::v16i8*/40, 2/*#Ops*/, 0, 1, 
               // Src: (setcc:{ *:[v16i8] } V128:{ *:[v16i8] }:$lhs, V128:{ *:[v16i8] }:$rhs, SETGT:{ *:[Other] }) - Complexity = 3
               // Dst: (GT_S_I8x16:{ *:[v16i8] } V128:{ *:[v16i8] }:$lhs, V128:{ *:[v16i8] }:$rhs)
/*  5389*/    /*Scope*/ 10, /*->5400*/
/*  5390*/     OPC_CheckChild2CondCode, ISD::SETUGT,
/*  5392*/     OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/*  5393*/     OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::GT_U_I8x16),
                   /*MVT::v16i8*/40, 2/*#Ops*/, 0, 1, 
               // Src: (setcc:{ *:[v16i8] } V128:{ *:[v16i8] }:$lhs, V128:{ *:[v16i8] }:$rhs, SETUGT:{ *:[Other] }) - Complexity = 3
               // Dst: (GT_U_I8x16:{ *:[v16i8] } V128:{ *:[v16i8] }:$lhs, V128:{ *:[v16i8] }:$rhs)
/*  5400*/    /*Scope*/ 10, /*->5411*/
/*  5401*/     OPC_CheckChild2CondCode, ISD::SETLE,
/*  5403*/     OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/*  5404*/     OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::LE_S_I8x16),
                   /*MVT::v16i8*/40, 2/*#Ops*/, 0, 1, 
               // Src: (setcc:{ *:[v16i8] } V128:{ *:[v16i8] }:$lhs, V128:{ *:[v16i8] }:$rhs, SETLE:{ *:[Other] }) - Complexity = 3
               // Dst: (LE_S_I8x16:{ *:[v16i8] } V128:{ *:[v16i8] }:$lhs, V128:{ *:[v16i8] }:$rhs)
/*  5411*/    /*Scope*/ 10, /*->5422*/
/*  5412*/     OPC_CheckChild2CondCode, ISD::SETULE,
/*  5414*/     OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/*  5415*/     OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::LE_U_I8x16),
                   /*MVT::v16i8*/40, 2/*#Ops*/, 0, 1, 
               // Src: (setcc:{ *:[v16i8] } V128:{ *:[v16i8] }:$lhs, V128:{ *:[v16i8] }:$rhs, SETULE:{ *:[Other] }) - Complexity = 3
               // Dst: (LE_U_I8x16:{ *:[v16i8] } V128:{ *:[v16i8] }:$lhs, V128:{ *:[v16i8] }:$rhs)
/*  5422*/    /*Scope*/ 10, /*->5433*/
/*  5423*/     OPC_CheckChild2CondCode, ISD::SETGE,
/*  5425*/     OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/*  5426*/     OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::GE_S_I8x16),
                   /*MVT::v16i8*/40, 2/*#Ops*/, 0, 1, 
               // Src: (setcc:{ *:[v16i8] } V128:{ *:[v16i8] }:$lhs, V128:{ *:[v16i8] }:$rhs, SETGE:{ *:[Other] }) - Complexity = 3
               // Dst: (GE_S_I8x16:{ *:[v16i8] } V128:{ *:[v16i8] }:$lhs, V128:{ *:[v16i8] }:$rhs)
/*  5433*/    /*Scope*/ 10, /*->5444*/
/*  5434*/     OPC_CheckChild2CondCode, ISD::SETUGE,
/*  5436*/     OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/*  5437*/     OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::GE_U_I8x16),
                   /*MVT::v16i8*/40, 2/*#Ops*/, 0, 1, 
               // Src: (setcc:{ *:[v16i8] } V128:{ *:[v16i8] }:$lhs, V128:{ *:[v16i8] }:$rhs, SETUGE:{ *:[Other] }) - Complexity = 3
               // Dst: (GE_U_I8x16:{ *:[v16i8] } V128:{ *:[v16i8] }:$lhs, V128:{ *:[v16i8] }:$rhs)
/*  5444*/    0, /*End of Scope*/
/*  5445*/   /*SwitchType*/ 62|128,1/*190*/, /*MVT::v8i16*/51, // ->5638
/*  5448*/    OPC_Scope, 115, /*->5565*/ // 2 children in Scope
/*  5450*/     OPC_CheckChild0Type, /*MVT::v8i16*/51, 
/*  5452*/     OPC_RecordChild1, // #1 = $rhs
/*  5453*/     OPC_Scope, 10, /*->5465*/ // 10 children in Scope
/*  5455*/      OPC_CheckChild2CondCode, ISD::SETEQ,
/*  5457*/      OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/*  5458*/      OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::EQ_I16x8),
                    /*MVT::v8i16*/51, 2/*#Ops*/, 0, 1, 
                // Src: (setcc:{ *:[v8i16] } V128:{ *:[v8i16] }:$lhs, V128:{ *:[v8i16] }:$rhs, SETEQ:{ *:[Other] }) - Complexity = 3
                // Dst: (EQ_I16x8:{ *:[v8i16] } V128:{ *:[v8i16] }:$lhs, V128:{ *:[v8i16] }:$rhs)
/*  5465*/     /*Scope*/ 10, /*->5476*/
/*  5466*/      OPC_CheckChild2CondCode, ISD::SETNE,
/*  5468*/      OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/*  5469*/      OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::NE_I16x8),
                    /*MVT::v8i16*/51, 2/*#Ops*/, 0, 1, 
                // Src: (setcc:{ *:[v8i16] } V128:{ *:[v8i16] }:$lhs, V128:{ *:[v8i16] }:$rhs, SETNE:{ *:[Other] }) - Complexity = 3
                // Dst: (NE_I16x8:{ *:[v8i16] } V128:{ *:[v8i16] }:$lhs, V128:{ *:[v8i16] }:$rhs)
/*  5476*/     /*Scope*/ 10, /*->5487*/
/*  5477*/      OPC_CheckChild2CondCode, ISD::SETLT,
/*  5479*/      OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/*  5480*/      OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::LT_S_I16x8),
                    /*MVT::v8i16*/51, 2/*#Ops*/, 0, 1, 
                // Src: (setcc:{ *:[v8i16] } V128:{ *:[v8i16] }:$lhs, V128:{ *:[v8i16] }:$rhs, SETLT:{ *:[Other] }) - Complexity = 3
                // Dst: (LT_S_I16x8:{ *:[v8i16] } V128:{ *:[v8i16] }:$lhs, V128:{ *:[v8i16] }:$rhs)
/*  5487*/     /*Scope*/ 10, /*->5498*/
/*  5488*/      OPC_CheckChild2CondCode, ISD::SETULT,
/*  5490*/      OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/*  5491*/      OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::LT_U_I16x8),
                    /*MVT::v8i16*/51, 2/*#Ops*/, 0, 1, 
                // Src: (setcc:{ *:[v8i16] } V128:{ *:[v8i16] }:$lhs, V128:{ *:[v8i16] }:$rhs, SETULT:{ *:[Other] }) - Complexity = 3
                // Dst: (LT_U_I16x8:{ *:[v8i16] } V128:{ *:[v8i16] }:$lhs, V128:{ *:[v8i16] }:$rhs)
/*  5498*/     /*Scope*/ 10, /*->5509*/
/*  5499*/      OPC_CheckChild2CondCode, ISD::SETGT,
/*  5501*/      OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/*  5502*/      OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::GT_S_I16x8),
                    /*MVT::v8i16*/51, 2/*#Ops*/, 0, 1, 
                // Src: (setcc:{ *:[v8i16] } V128:{ *:[v8i16] }:$lhs, V128:{ *:[v8i16] }:$rhs, SETGT:{ *:[Other] }) - Complexity = 3
                // Dst: (GT_S_I16x8:{ *:[v8i16] } V128:{ *:[v8i16] }:$lhs, V128:{ *:[v8i16] }:$rhs)
/*  5509*/     /*Scope*/ 10, /*->5520*/
/*  5510*/      OPC_CheckChild2CondCode, ISD::SETUGT,
/*  5512*/      OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/*  5513*/      OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::GT_U_I16x8),
                    /*MVT::v8i16*/51, 2/*#Ops*/, 0, 1, 
                // Src: (setcc:{ *:[v8i16] } V128:{ *:[v8i16] }:$lhs, V128:{ *:[v8i16] }:$rhs, SETUGT:{ *:[Other] }) - Complexity = 3
                // Dst: (GT_U_I16x8:{ *:[v8i16] } V128:{ *:[v8i16] }:$lhs, V128:{ *:[v8i16] }:$rhs)
/*  5520*/     /*Scope*/ 10, /*->5531*/
/*  5521*/      OPC_CheckChild2CondCode, ISD::SETLE,
/*  5523*/      OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/*  5524*/      OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::LE_S_I16x8),
                    /*MVT::v8i16*/51, 2/*#Ops*/, 0, 1, 
                // Src: (setcc:{ *:[v8i16] } V128:{ *:[v8i16] }:$lhs, V128:{ *:[v8i16] }:$rhs, SETLE:{ *:[Other] }) - Complexity = 3
                // Dst: (LE_S_I16x8:{ *:[v8i16] } V128:{ *:[v8i16] }:$lhs, V128:{ *:[v8i16] }:$rhs)
/*  5531*/     /*Scope*/ 10, /*->5542*/
/*  5532*/      OPC_CheckChild2CondCode, ISD::SETULE,
/*  5534*/      OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/*  5535*/      OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::LE_U_I16x8),
                    /*MVT::v8i16*/51, 2/*#Ops*/, 0, 1, 
                // Src: (setcc:{ *:[v8i16] } V128:{ *:[v8i16] }:$lhs, V128:{ *:[v8i16] }:$rhs, SETULE:{ *:[Other] }) - Complexity = 3
                // Dst: (LE_U_I16x8:{ *:[v8i16] } V128:{ *:[v8i16] }:$lhs, V128:{ *:[v8i16] }:$rhs)
/*  5542*/     /*Scope*/ 10, /*->5553*/
/*  5543*/      OPC_CheckChild2CondCode, ISD::SETGE,
/*  5545*/      OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/*  5546*/      OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::GE_S_I16x8),
                    /*MVT::v8i16*/51, 2/*#Ops*/, 0, 1, 
                // Src: (setcc:{ *:[v8i16] } V128:{ *:[v8i16] }:$lhs, V128:{ *:[v8i16] }:$rhs, SETGE:{ *:[Other] }) - Complexity = 3
                // Dst: (GE_S_I16x8:{ *:[v8i16] } V128:{ *:[v8i16] }:$lhs, V128:{ *:[v8i16] }:$rhs)
/*  5553*/     /*Scope*/ 10, /*->5564*/
/*  5554*/      OPC_CheckChild2CondCode, ISD::SETUGE,
/*  5556*/      OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/*  5557*/      OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::GE_U_I16x8),
                    /*MVT::v8i16*/51, 2/*#Ops*/, 0, 1, 
                // Src: (setcc:{ *:[v8i16] } V128:{ *:[v8i16] }:$lhs, V128:{ *:[v8i16] }:$rhs, SETUGE:{ *:[Other] }) - Complexity = 3
                // Dst: (GE_U_I16x8:{ *:[v8i16] } V128:{ *:[v8i16] }:$lhs, V128:{ *:[v8i16] }:$rhs)
/*  5564*/     0, /*End of Scope*/
/*  5565*/    /*Scope*/ 71, /*->5637*/
/*  5566*/     OPC_CheckChild0Type, /*MVT::v8f16*/95, 
/*  5568*/     OPC_RecordChild1, // #1 = $rhs
/*  5569*/     OPC_Scope, 10, /*->5581*/ // 6 children in Scope
/*  5571*/      OPC_CheckChild2CondCode, ISD::SETOEQ,
/*  5573*/      OPC_CheckPatternPredicate5, // (Subtarget->hasFP16()) && (Subtarget->hasSIMD128())
/*  5574*/      OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::EQ_F16x8),
                    /*MVT::v8i16*/51, 2/*#Ops*/, 0, 1, 
                // Src: (setcc:{ *:[v8i16] } V128:{ *:[v8f16] }:$lhs, V128:{ *:[v8f16] }:$rhs, SETOEQ:{ *:[Other] }) - Complexity = 3
                // Dst: (EQ_F16x8:{ *:[v8i16] } V128:{ *:[v8f16] }:$lhs, V128:{ *:[v8f16] }:$rhs)
/*  5581*/     /*Scope*/ 10, /*->5592*/
/*  5582*/      OPC_CheckChild2CondCode, ISD::SETUNE,
/*  5584*/      OPC_CheckPatternPredicate5, // (Subtarget->hasFP16()) && (Subtarget->hasSIMD128())
/*  5585*/      OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::NE_F16x8),
                    /*MVT::v8i16*/51, 2/*#Ops*/, 0, 1, 
                // Src: (setcc:{ *:[v8i16] } V128:{ *:[v8f16] }:$lhs, V128:{ *:[v8f16] }:$rhs, SETUNE:{ *:[Other] }) - Complexity = 3
                // Dst: (NE_F16x8:{ *:[v8i16] } V128:{ *:[v8f16] }:$lhs, V128:{ *:[v8f16] }:$rhs)
/*  5592*/     /*Scope*/ 10, /*->5603*/
/*  5593*/      OPC_CheckChild2CondCode, ISD::SETOLT,
/*  5595*/      OPC_CheckPatternPredicate5, // (Subtarget->hasFP16()) && (Subtarget->hasSIMD128())
/*  5596*/      OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::LT_F16x8),
                    /*MVT::v8i16*/51, 2/*#Ops*/, 0, 1, 
                // Src: (setcc:{ *:[v8i16] } V128:{ *:[v8f16] }:$lhs, V128:{ *:[v8f16] }:$rhs, SETOLT:{ *:[Other] }) - Complexity = 3
                // Dst: (LT_F16x8:{ *:[v8i16] } V128:{ *:[v8f16] }:$lhs, V128:{ *:[v8f16] }:$rhs)
/*  5603*/     /*Scope*/ 10, /*->5614*/
/*  5604*/      OPC_CheckChild2CondCode, ISD::SETOGT,
/*  5606*/      OPC_CheckPatternPredicate5, // (Subtarget->hasFP16()) && (Subtarget->hasSIMD128())
/*  5607*/      OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::GT_F16x8),
                    /*MVT::v8i16*/51, 2/*#Ops*/, 0, 1, 
                // Src: (setcc:{ *:[v8i16] } V128:{ *:[v8f16] }:$lhs, V128:{ *:[v8f16] }:$rhs, SETOGT:{ *:[Other] }) - Complexity = 3
                // Dst: (GT_F16x8:{ *:[v8i16] } V128:{ *:[v8f16] }:$lhs, V128:{ *:[v8f16] }:$rhs)
/*  5614*/     /*Scope*/ 10, /*->5625*/
/*  5615*/      OPC_CheckChild2CondCode, ISD::SETOLE,
/*  5617*/      OPC_CheckPatternPredicate5, // (Subtarget->hasFP16()) && (Subtarget->hasSIMD128())
/*  5618*/      OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::LE_F16x8),
                    /*MVT::v8i16*/51, 2/*#Ops*/, 0, 1, 
                // Src: (setcc:{ *:[v8i16] } V128:{ *:[v8f16] }:$lhs, V128:{ *:[v8f16] }:$rhs, SETOLE:{ *:[Other] }) - Complexity = 3
                // Dst: (LE_F16x8:{ *:[v8i16] } V128:{ *:[v8f16] }:$lhs, V128:{ *:[v8f16] }:$rhs)
/*  5625*/     /*Scope*/ 10, /*->5636*/
/*  5626*/      OPC_CheckChild2CondCode, ISD::SETOGE,
/*  5628*/      OPC_CheckPatternPredicate5, // (Subtarget->hasFP16()) && (Subtarget->hasSIMD128())
/*  5629*/      OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::GE_F16x8),
                    /*MVT::v8i16*/51, 2/*#Ops*/, 0, 1, 
                // Src: (setcc:{ *:[v8i16] } V128:{ *:[v8f16] }:$lhs, V128:{ *:[v8f16] }:$rhs, SETOGE:{ *:[Other] }) - Complexity = 3
                // Dst: (GE_F16x8:{ *:[v8i16] } V128:{ *:[v8f16] }:$lhs, V128:{ *:[v8f16] }:$rhs)
/*  5636*/     0, /*End of Scope*/
/*  5637*/    0, /*End of Scope*/
/*  5638*/   /*SwitchType*/ 123|128,1/*251*/, /*MVT::v4i32*/62, // ->5892
/*  5641*/    OPC_Scope, 115, /*->5758*/ // 2 children in Scope
/*  5643*/     OPC_CheckChild0Type, /*MVT::v4i32*/62, 
/*  5645*/     OPC_RecordChild1, // #1 = $rhs
/*  5646*/     OPC_Scope, 10, /*->5658*/ // 10 children in Scope
/*  5648*/      OPC_CheckChild2CondCode, ISD::SETEQ,
/*  5650*/      OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/*  5651*/      OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::EQ_I32x4),
                    /*MVT::v4i32*/62, 2/*#Ops*/, 0, 1, 
                // Src: (setcc:{ *:[v4i32] } V128:{ *:[v4i32] }:$lhs, V128:{ *:[v4i32] }:$rhs, SETEQ:{ *:[Other] }) - Complexity = 3
                // Dst: (EQ_I32x4:{ *:[v4i32] } V128:{ *:[v4i32] }:$lhs, V128:{ *:[v4i32] }:$rhs)
/*  5658*/     /*Scope*/ 10, /*->5669*/
/*  5659*/      OPC_CheckChild2CondCode, ISD::SETNE,
/*  5661*/      OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/*  5662*/      OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::NE_I32x4),
                    /*MVT::v4i32*/62, 2/*#Ops*/, 0, 1, 
                // Src: (setcc:{ *:[v4i32] } V128:{ *:[v4i32] }:$lhs, V128:{ *:[v4i32] }:$rhs, SETNE:{ *:[Other] }) - Complexity = 3
                // Dst: (NE_I32x4:{ *:[v4i32] } V128:{ *:[v4i32] }:$lhs, V128:{ *:[v4i32] }:$rhs)
/*  5669*/     /*Scope*/ 10, /*->5680*/
/*  5670*/      OPC_CheckChild2CondCode, ISD::SETLT,
/*  5672*/      OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/*  5673*/      OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::LT_S_I32x4),
                    /*MVT::v4i32*/62, 2/*#Ops*/, 0, 1, 
                // Src: (setcc:{ *:[v4i32] } V128:{ *:[v4i32] }:$lhs, V128:{ *:[v4i32] }:$rhs, SETLT:{ *:[Other] }) - Complexity = 3
                // Dst: (LT_S_I32x4:{ *:[v4i32] } V128:{ *:[v4i32] }:$lhs, V128:{ *:[v4i32] }:$rhs)
/*  5680*/     /*Scope*/ 10, /*->5691*/
/*  5681*/      OPC_CheckChild2CondCode, ISD::SETULT,
/*  5683*/      OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/*  5684*/      OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::LT_U_I32x4),
                    /*MVT::v4i32*/62, 2/*#Ops*/, 0, 1, 
                // Src: (setcc:{ *:[v4i32] } V128:{ *:[v4i32] }:$lhs, V128:{ *:[v4i32] }:$rhs, SETULT:{ *:[Other] }) - Complexity = 3
                // Dst: (LT_U_I32x4:{ *:[v4i32] } V128:{ *:[v4i32] }:$lhs, V128:{ *:[v4i32] }:$rhs)
/*  5691*/     /*Scope*/ 10, /*->5702*/
/*  5692*/      OPC_CheckChild2CondCode, ISD::SETGT,
/*  5694*/      OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/*  5695*/      OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::GT_S_I32x4),
                    /*MVT::v4i32*/62, 2/*#Ops*/, 0, 1, 
                // Src: (setcc:{ *:[v4i32] } V128:{ *:[v4i32] }:$lhs, V128:{ *:[v4i32] }:$rhs, SETGT:{ *:[Other] }) - Complexity = 3
                // Dst: (GT_S_I32x4:{ *:[v4i32] } V128:{ *:[v4i32] }:$lhs, V128:{ *:[v4i32] }:$rhs)
/*  5702*/     /*Scope*/ 10, /*->5713*/
/*  5703*/      OPC_CheckChild2CondCode, ISD::SETUGT,
/*  5705*/      OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/*  5706*/      OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::GT_U_I32x4),
                    /*MVT::v4i32*/62, 2/*#Ops*/, 0, 1, 
                // Src: (setcc:{ *:[v4i32] } V128:{ *:[v4i32] }:$lhs, V128:{ *:[v4i32] }:$rhs, SETUGT:{ *:[Other] }) - Complexity = 3
                // Dst: (GT_U_I32x4:{ *:[v4i32] } V128:{ *:[v4i32] }:$lhs, V128:{ *:[v4i32] }:$rhs)
/*  5713*/     /*Scope*/ 10, /*->5724*/
/*  5714*/      OPC_CheckChild2CondCode, ISD::SETLE,
/*  5716*/      OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/*  5717*/      OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::LE_S_I32x4),
                    /*MVT::v4i32*/62, 2/*#Ops*/, 0, 1, 
                // Src: (setcc:{ *:[v4i32] } V128:{ *:[v4i32] }:$lhs, V128:{ *:[v4i32] }:$rhs, SETLE:{ *:[Other] }) - Complexity = 3
                // Dst: (LE_S_I32x4:{ *:[v4i32] } V128:{ *:[v4i32] }:$lhs, V128:{ *:[v4i32] }:$rhs)
/*  5724*/     /*Scope*/ 10, /*->5735*/
/*  5725*/      OPC_CheckChild2CondCode, ISD::SETULE,
/*  5727*/      OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/*  5728*/      OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::LE_U_I32x4),
                    /*MVT::v4i32*/62, 2/*#Ops*/, 0, 1, 
                // Src: (setcc:{ *:[v4i32] } V128:{ *:[v4i32] }:$lhs, V128:{ *:[v4i32] }:$rhs, SETULE:{ *:[Other] }) - Complexity = 3
                // Dst: (LE_U_I32x4:{ *:[v4i32] } V128:{ *:[v4i32] }:$lhs, V128:{ *:[v4i32] }:$rhs)
/*  5735*/     /*Scope*/ 10, /*->5746*/
/*  5736*/      OPC_CheckChild2CondCode, ISD::SETGE,
/*  5738*/      OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/*  5739*/      OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::GE_S_I32x4),
                    /*MVT::v4i32*/62, 2/*#Ops*/, 0, 1, 
                // Src: (setcc:{ *:[v4i32] } V128:{ *:[v4i32] }:$lhs, V128:{ *:[v4i32] }:$rhs, SETGE:{ *:[Other] }) - Complexity = 3
                // Dst: (GE_S_I32x4:{ *:[v4i32] } V128:{ *:[v4i32] }:$lhs, V128:{ *:[v4i32] }:$rhs)
/*  5746*/     /*Scope*/ 10, /*->5757*/
/*  5747*/      OPC_CheckChild2CondCode, ISD::SETUGE,
/*  5749*/      OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/*  5750*/      OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::GE_U_I32x4),
                    /*MVT::v4i32*/62, 2/*#Ops*/, 0, 1, 
                // Src: (setcc:{ *:[v4i32] } V128:{ *:[v4i32] }:$lhs, V128:{ *:[v4i32] }:$rhs, SETUGE:{ *:[Other] }) - Complexity = 3
                // Dst: (GE_U_I32x4:{ *:[v4i32] } V128:{ *:[v4i32] }:$lhs, V128:{ *:[v4i32] }:$rhs)
/*  5757*/     0, /*End of Scope*/
/*  5758*/    /*Scope*/ 3|128,1/*131*/, /*->5891*/
/*  5760*/     OPC_CheckChild0Type, /*MVT::v4f32*/116, 
/*  5762*/     OPC_RecordChild1, // #1 = $rhs
/*  5763*/     OPC_Scope, 10, /*->5775*/ // 12 children in Scope
/*  5765*/      OPC_CheckChild2CondCode, ISD::SETOEQ,
/*  5767*/      OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/*  5768*/      OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::EQ_F32x4),
                    /*MVT::v4i32*/62, 2/*#Ops*/, 0, 1, 
                // Src: (setcc:{ *:[v4i32] } V128:{ *:[v4f32] }:$lhs, V128:{ *:[v4f32] }:$rhs, SETOEQ:{ *:[Other] }) - Complexity = 3
                // Dst: (EQ_F32x4:{ *:[v4i32] } V128:{ *:[v4f32] }:$lhs, V128:{ *:[v4f32] }:$rhs)
/*  5775*/     /*Scope*/ 10, /*->5786*/
/*  5776*/      OPC_CheckChild2CondCode, ISD::SETUNE,
/*  5778*/      OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/*  5779*/      OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::NE_F32x4),
                    /*MVT::v4i32*/62, 2/*#Ops*/, 0, 1, 
                // Src: (setcc:{ *:[v4i32] } V128:{ *:[v4f32] }:$lhs, V128:{ *:[v4f32] }:$rhs, SETUNE:{ *:[Other] }) - Complexity = 3
                // Dst: (NE_F32x4:{ *:[v4i32] } V128:{ *:[v4f32] }:$lhs, V128:{ *:[v4f32] }:$rhs)
/*  5786*/     /*Scope*/ 10, /*->5797*/
/*  5787*/      OPC_CheckChild2CondCode, ISD::SETOLT,
/*  5789*/      OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/*  5790*/      OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::LT_F32x4),
                    /*MVT::v4i32*/62, 2/*#Ops*/, 0, 1, 
                // Src: (setcc:{ *:[v4i32] } V128:{ *:[v4f32] }:$lhs, V128:{ *:[v4f32] }:$rhs, SETOLT:{ *:[Other] }) - Complexity = 3
                // Dst: (LT_F32x4:{ *:[v4i32] } V128:{ *:[v4f32] }:$lhs, V128:{ *:[v4f32] }:$rhs)
/*  5797*/     /*Scope*/ 10, /*->5808*/
/*  5798*/      OPC_CheckChild2CondCode, ISD::SETOGT,
/*  5800*/      OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/*  5801*/      OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::GT_F32x4),
                    /*MVT::v4i32*/62, 2/*#Ops*/, 0, 1, 
                // Src: (setcc:{ *:[v4i32] } V128:{ *:[v4f32] }:$lhs, V128:{ *:[v4f32] }:$rhs, SETOGT:{ *:[Other] }) - Complexity = 3
                // Dst: (GT_F32x4:{ *:[v4i32] } V128:{ *:[v4f32] }:$lhs, V128:{ *:[v4f32] }:$rhs)
/*  5808*/     /*Scope*/ 10, /*->5819*/
/*  5809*/      OPC_CheckChild2CondCode, ISD::SETOLE,
/*  5811*/      OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/*  5812*/      OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::LE_F32x4),
                    /*MVT::v4i32*/62, 2/*#Ops*/, 0, 1, 
                // Src: (setcc:{ *:[v4i32] } V128:{ *:[v4f32] }:$lhs, V128:{ *:[v4f32] }:$rhs, SETOLE:{ *:[Other] }) - Complexity = 3
                // Dst: (LE_F32x4:{ *:[v4i32] } V128:{ *:[v4f32] }:$lhs, V128:{ *:[v4f32] }:$rhs)
/*  5819*/     /*Scope*/ 10, /*->5830*/
/*  5820*/      OPC_CheckChild2CondCode, ISD::SETOGE,
/*  5822*/      OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/*  5823*/      OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::GE_F32x4),
                    /*MVT::v4i32*/62, 2/*#Ops*/, 0, 1, 
                // Src: (setcc:{ *:[v4i32] } V128:{ *:[v4f32] }:$lhs, V128:{ *:[v4f32] }:$rhs, SETOGE:{ *:[Other] }) - Complexity = 3
                // Dst: (GE_F32x4:{ *:[v4i32] } V128:{ *:[v4f32] }:$lhs, V128:{ *:[v4f32] }:$rhs)
/*  5830*/     /*Scope*/ 9, /*->5840*/
/*  5831*/      OPC_CheckChild2CondCode, ISD::SETEQ,
/*  5833*/      OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::EQ_F32x4),
                    /*MVT::v4i32*/62, 2/*#Ops*/, 0, 1, 
                // Src: (setcc:{ *:[v4i32] } V128:{ *:[v4f32] }:$lhs, V128:{ *:[v4f32] }:$rhs, SETEQ:{ *:[Other] }) - Complexity = 3
                // Dst: (EQ_F32x4:{ *:[v4i32] } ?:{ *:[v4f32] }:$lhs, ?:{ *:[v4f32] }:$rhs)
/*  5840*/     /*Scope*/ 9, /*->5850*/
/*  5841*/      OPC_CheckChild2CondCode, ISD::SETNE,
/*  5843*/      OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::NE_F32x4),
                    /*MVT::v4i32*/62, 2/*#Ops*/, 0, 1, 
                // Src: (setcc:{ *:[v4i32] } V128:{ *:[v4f32] }:$lhs, V128:{ *:[v4f32] }:$rhs, SETNE:{ *:[Other] }) - Complexity = 3
                // Dst: (NE_F32x4:{ *:[v4i32] } ?:{ *:[v4f32] }:$lhs, ?:{ *:[v4f32] }:$rhs)
/*  5850*/     /*Scope*/ 9, /*->5860*/
/*  5851*/      OPC_CheckChild2CondCode, ISD::SETLT,
/*  5853*/      OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::LT_F32x4),
                    /*MVT::v4i32*/62, 2/*#Ops*/, 0, 1, 
                // Src: (setcc:{ *:[v4i32] } V128:{ *:[v4f32] }:$lhs, V128:{ *:[v4f32] }:$rhs, SETLT:{ *:[Other] }) - Complexity = 3
                // Dst: (LT_F32x4:{ *:[v4i32] } ?:{ *:[v4f32] }:$lhs, ?:{ *:[v4f32] }:$rhs)
/*  5860*/     /*Scope*/ 9, /*->5870*/
/*  5861*/      OPC_CheckChild2CondCode, ISD::SETGT,
/*  5863*/      OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::GT_F32x4),
                    /*MVT::v4i32*/62, 2/*#Ops*/, 0, 1, 
                // Src: (setcc:{ *:[v4i32] } V128:{ *:[v4f32] }:$lhs, V128:{ *:[v4f32] }:$rhs, SETGT:{ *:[Other] }) - Complexity = 3
                // Dst: (GT_F32x4:{ *:[v4i32] } ?:{ *:[v4f32] }:$lhs, ?:{ *:[v4f32] }:$rhs)
/*  5870*/     /*Scope*/ 9, /*->5880*/
/*  5871*/      OPC_CheckChild2CondCode, ISD::SETLE,
/*  5873*/      OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::LE_F32x4),
                    /*MVT::v4i32*/62, 2/*#Ops*/, 0, 1, 
                // Src: (setcc:{ *:[v4i32] } V128:{ *:[v4f32] }:$lhs, V128:{ *:[v4f32] }:$rhs, SETLE:{ *:[Other] }) - Complexity = 3
                // Dst: (LE_F32x4:{ *:[v4i32] } ?:{ *:[v4f32] }:$lhs, ?:{ *:[v4f32] }:$rhs)
/*  5880*/     /*Scope*/ 9, /*->5890*/
/*  5881*/      OPC_CheckChild2CondCode, ISD::SETGE,
/*  5883*/      OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::GE_F32x4),
                    /*MVT::v4i32*/62, 2/*#Ops*/, 0, 1, 
                // Src: (setcc:{ *:[v4i32] } V128:{ *:[v4f32] }:$lhs, V128:{ *:[v4f32] }:$rhs, SETGE:{ *:[Other] }) - Complexity = 3
                // Dst: (GE_F32x4:{ *:[v4i32] } ?:{ *:[v4f32] }:$lhs, ?:{ *:[v4f32] }:$rhs)
/*  5890*/     0, /*End of Scope*/
/*  5891*/    0, /*End of Scope*/
/*  5892*/   /*SwitchType*/ 80|128,1/*208*/, /*MVT::v2i64*/81, // ->6103
/*  5895*/    OPC_Scope, 71, /*->5968*/ // 2 children in Scope
/*  5897*/     OPC_CheckChild0Type, /*MVT::v2i64*/81, 
/*  5899*/     OPC_RecordChild1, // #1 = $rhs
/*  5900*/     OPC_Scope, 10, /*->5912*/ // 6 children in Scope
/*  5902*/      OPC_CheckChild2CondCode, ISD::SETEQ,
/*  5904*/      OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/*  5905*/      OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::EQ_I64x2),
                    /*MVT::v2i64*/81, 2/*#Ops*/, 0, 1, 
                // Src: (setcc:{ *:[v2i64] } V128:{ *:[v2i64] }:$lhs, V128:{ *:[v2i64] }:$rhs, SETEQ:{ *:[Other] }) - Complexity = 3
                // Dst: (EQ_I64x2:{ *:[v2i64] } V128:{ *:[v2i64] }:$lhs, V128:{ *:[v2i64] }:$rhs)
/*  5912*/     /*Scope*/ 10, /*->5923*/
/*  5913*/      OPC_CheckChild2CondCode, ISD::SETNE,
/*  5915*/      OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/*  5916*/      OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::NE_I64x2),
                    /*MVT::v2i64*/81, 2/*#Ops*/, 0, 1, 
                // Src: (setcc:{ *:[v2i64] } V128:{ *:[v2i64] }:$lhs, V128:{ *:[v2i64] }:$rhs, SETNE:{ *:[Other] }) - Complexity = 3
                // Dst: (NE_I64x2:{ *:[v2i64] } V128:{ *:[v2i64] }:$lhs, V128:{ *:[v2i64] }:$rhs)
/*  5923*/     /*Scope*/ 10, /*->5934*/
/*  5924*/      OPC_CheckChild2CondCode, ISD::SETLT,
/*  5926*/      OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/*  5927*/      OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::LT_S_I64x2),
                    /*MVT::v2i64*/81, 2/*#Ops*/, 0, 1, 
                // Src: (setcc:{ *:[v2i64] } V128:{ *:[v2i64] }:$lhs, V128:{ *:[v2i64] }:$rhs, SETLT:{ *:[Other] }) - Complexity = 3
                // Dst: (LT_S_I64x2:{ *:[v2i64] } V128:{ *:[v2i64] }:$lhs, V128:{ *:[v2i64] }:$rhs)
/*  5934*/     /*Scope*/ 10, /*->5945*/
/*  5935*/      OPC_CheckChild2CondCode, ISD::SETGT,
/*  5937*/      OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/*  5938*/      OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::GT_S_I64x2),
                    /*MVT::v2i64*/81, 2/*#Ops*/, 0, 1, 
                // Src: (setcc:{ *:[v2i64] } V128:{ *:[v2i64] }:$lhs, V128:{ *:[v2i64] }:$rhs, SETGT:{ *:[Other] }) - Complexity = 3
                // Dst: (GT_S_I64x2:{ *:[v2i64] } V128:{ *:[v2i64] }:$lhs, V128:{ *:[v2i64] }:$rhs)
/*  5945*/     /*Scope*/ 10, /*->5956*/
/*  5946*/      OPC_CheckChild2CondCode, ISD::SETLE,
/*  5948*/      OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/*  5949*/      OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::LE_S_I64x2),
                    /*MVT::v2i64*/81, 2/*#Ops*/, 0, 1, 
                // Src: (setcc:{ *:[v2i64] } V128:{ *:[v2i64] }:$lhs, V128:{ *:[v2i64] }:$rhs, SETLE:{ *:[Other] }) - Complexity = 3
                // Dst: (LE_S_I64x2:{ *:[v2i64] } V128:{ *:[v2i64] }:$lhs, V128:{ *:[v2i64] }:$rhs)
/*  5956*/     /*Scope*/ 10, /*->5967*/
/*  5957*/      OPC_CheckChild2CondCode, ISD::SETGE,
/*  5959*/      OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/*  5960*/      OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::GE_S_I64x2),
                    /*MVT::v2i64*/81, 2/*#Ops*/, 0, 1, 
                // Src: (setcc:{ *:[v2i64] } V128:{ *:[v2i64] }:$lhs, V128:{ *:[v2i64] }:$rhs, SETGE:{ *:[Other] }) - Complexity = 3
                // Dst: (GE_S_I64x2:{ *:[v2i64] } V128:{ *:[v2i64] }:$lhs, V128:{ *:[v2i64] }:$rhs)
/*  5967*/     0, /*End of Scope*/
/*  5968*/    /*Scope*/ 4|128,1/*132*/, /*->6102*/
/*  5970*/     OPC_CheckChild0Type, /*MVT::v2f64*/6|128,1/*134*/, 
/*  5973*/     OPC_RecordChild1, // #1 = $rhs
/*  5974*/     OPC_Scope, 10, /*->5986*/ // 12 children in Scope
/*  5976*/      OPC_CheckChild2CondCode, ISD::SETOEQ,
/*  5978*/      OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/*  5979*/      OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::EQ_F64x2),
                    /*MVT::v2i64*/81, 2/*#Ops*/, 0, 1, 
                // Src: (setcc:{ *:[v2i64] } V128:{ *:[v2f64] }:$lhs, V128:{ *:[v2f64] }:$rhs, SETOEQ:{ *:[Other] }) - Complexity = 3
                // Dst: (EQ_F64x2:{ *:[v2i64] } V128:{ *:[v2f64] }:$lhs, V128:{ *:[v2f64] }:$rhs)
/*  5986*/     /*Scope*/ 10, /*->5997*/
/*  5987*/      OPC_CheckChild2CondCode, ISD::SETUNE,
/*  5989*/      OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/*  5990*/      OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::NE_F64x2),
                    /*MVT::v2i64*/81, 2/*#Ops*/, 0, 1, 
                // Src: (setcc:{ *:[v2i64] } V128:{ *:[v2f64] }:$lhs, V128:{ *:[v2f64] }:$rhs, SETUNE:{ *:[Other] }) - Complexity = 3
                // Dst: (NE_F64x2:{ *:[v2i64] } V128:{ *:[v2f64] }:$lhs, V128:{ *:[v2f64] }:$rhs)
/*  5997*/     /*Scope*/ 10, /*->6008*/
/*  5998*/      OPC_CheckChild2CondCode, ISD::SETOLT,
/*  6000*/      OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/*  6001*/      OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::LT_F64x2),
                    /*MVT::v2i64*/81, 2/*#Ops*/, 0, 1, 
                // Src: (setcc:{ *:[v2i64] } V128:{ *:[v2f64] }:$lhs, V128:{ *:[v2f64] }:$rhs, SETOLT:{ *:[Other] }) - Complexity = 3
                // Dst: (LT_F64x2:{ *:[v2i64] } V128:{ *:[v2f64] }:$lhs, V128:{ *:[v2f64] }:$rhs)
/*  6008*/     /*Scope*/ 10, /*->6019*/
/*  6009*/      OPC_CheckChild2CondCode, ISD::SETOGT,
/*  6011*/      OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/*  6012*/      OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::GT_F64x2),
                    /*MVT::v2i64*/81, 2/*#Ops*/, 0, 1, 
                // Src: (setcc:{ *:[v2i64] } V128:{ *:[v2f64] }:$lhs, V128:{ *:[v2f64] }:$rhs, SETOGT:{ *:[Other] }) - Complexity = 3
                // Dst: (GT_F64x2:{ *:[v2i64] } V128:{ *:[v2f64] }:$lhs, V128:{ *:[v2f64] }:$rhs)
/*  6019*/     /*Scope*/ 10, /*->6030*/
/*  6020*/      OPC_CheckChild2CondCode, ISD::SETOLE,
/*  6022*/      OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/*  6023*/      OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::LE_F64x2),
                    /*MVT::v2i64*/81, 2/*#Ops*/, 0, 1, 
                // Src: (setcc:{ *:[v2i64] } V128:{ *:[v2f64] }:$lhs, V128:{ *:[v2f64] }:$rhs, SETOLE:{ *:[Other] }) - Complexity = 3
                // Dst: (LE_F64x2:{ *:[v2i64] } V128:{ *:[v2f64] }:$lhs, V128:{ *:[v2f64] }:$rhs)
/*  6030*/     /*Scope*/ 10, /*->6041*/
/*  6031*/      OPC_CheckChild2CondCode, ISD::SETOGE,
/*  6033*/      OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/*  6034*/      OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::GE_F64x2),
                    /*MVT::v2i64*/81, 2/*#Ops*/, 0, 1, 
                // Src: (setcc:{ *:[v2i64] } V128:{ *:[v2f64] }:$lhs, V128:{ *:[v2f64] }:$rhs, SETOGE:{ *:[Other] }) - Complexity = 3
                // Dst: (GE_F64x2:{ *:[v2i64] } V128:{ *:[v2f64] }:$lhs, V128:{ *:[v2f64] }:$rhs)
/*  6041*/     /*Scope*/ 9, /*->6051*/
/*  6042*/      OPC_CheckChild2CondCode, ISD::SETEQ,
/*  6044*/      OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::EQ_F64x2),
                    /*MVT::v2i64*/81, 2/*#Ops*/, 0, 1, 
                // Src: (setcc:{ *:[v2i64] } V128:{ *:[v2f64] }:$lhs, V128:{ *:[v2f64] }:$rhs, SETEQ:{ *:[Other] }) - Complexity = 3
                // Dst: (EQ_F64x2:{ *:[v2i64] } ?:{ *:[v2f64] }:$lhs, ?:{ *:[v2f64] }:$rhs)
/*  6051*/     /*Scope*/ 9, /*->6061*/
/*  6052*/      OPC_CheckChild2CondCode, ISD::SETNE,
/*  6054*/      OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::NE_F64x2),
                    /*MVT::v2i64*/81, 2/*#Ops*/, 0, 1, 
                // Src: (setcc:{ *:[v2i64] } V128:{ *:[v2f64] }:$lhs, V128:{ *:[v2f64] }:$rhs, SETNE:{ *:[Other] }) - Complexity = 3
                // Dst: (NE_F64x2:{ *:[v2i64] } ?:{ *:[v2f64] }:$lhs, ?:{ *:[v2f64] }:$rhs)
/*  6061*/     /*Scope*/ 9, /*->6071*/
/*  6062*/      OPC_CheckChild2CondCode, ISD::SETLT,
/*  6064*/      OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::LT_F64x2),
                    /*MVT::v2i64*/81, 2/*#Ops*/, 0, 1, 
                // Src: (setcc:{ *:[v2i64] } V128:{ *:[v2f64] }:$lhs, V128:{ *:[v2f64] }:$rhs, SETLT:{ *:[Other] }) - Complexity = 3
                // Dst: (LT_F64x2:{ *:[v2i64] } ?:{ *:[v2f64] }:$lhs, ?:{ *:[v2f64] }:$rhs)
/*  6071*/     /*Scope*/ 9, /*->6081*/
/*  6072*/      OPC_CheckChild2CondCode, ISD::SETGT,
/*  6074*/      OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::GT_F64x2),
                    /*MVT::v2i64*/81, 2/*#Ops*/, 0, 1, 
                // Src: (setcc:{ *:[v2i64] } V128:{ *:[v2f64] }:$lhs, V128:{ *:[v2f64] }:$rhs, SETGT:{ *:[Other] }) - Complexity = 3
                // Dst: (GT_F64x2:{ *:[v2i64] } ?:{ *:[v2f64] }:$lhs, ?:{ *:[v2f64] }:$rhs)
/*  6081*/     /*Scope*/ 9, /*->6091*/
/*  6082*/      OPC_CheckChild2CondCode, ISD::SETLE,
/*  6084*/      OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::LE_F64x2),
                    /*MVT::v2i64*/81, 2/*#Ops*/, 0, 1, 
                // Src: (setcc:{ *:[v2i64] } V128:{ *:[v2f64] }:$lhs, V128:{ *:[v2f64] }:$rhs, SETLE:{ *:[Other] }) - Complexity = 3
                // Dst: (LE_F64x2:{ *:[v2i64] } ?:{ *:[v2f64] }:$lhs, ?:{ *:[v2f64] }:$rhs)
/*  6091*/     /*Scope*/ 9, /*->6101*/
/*  6092*/      OPC_CheckChild2CondCode, ISD::SETGE,
/*  6094*/      OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::GE_F64x2),
                    /*MVT::v2i64*/81, 2/*#Ops*/, 0, 1, 
                // Src: (setcc:{ *:[v2i64] } V128:{ *:[v2f64] }:$lhs, V128:{ *:[v2f64] }:$rhs, SETGE:{ *:[Other] }) - Complexity = 3
                // Dst: (GE_F64x2:{ *:[v2i64] } ?:{ *:[v2f64] }:$lhs, ?:{ *:[v2f64] }:$rhs)
/*  6101*/     0, /*End of Scope*/
/*  6102*/    0, /*End of Scope*/
/*  6103*/   0, // EndSwitchType
/*  6104*/  0, /*End of Scope*/
/*  6105*/ /*SwitchOpcode*/ 59|128,11/*1467*/, TARGET_VAL(ISD::LOAD),// ->7576
/*  6109*/  OPC_RecordMemRef,
/*  6110*/  OPC_RecordNode, // #0 = 'ld' chained node
/*  6111*/  OPC_RecordChild1, // #1 = $AddrOps32:offset:addr
/*  6112*/  OPC_Scope, 89|128,5/*729*/, /*->6844*/ // 2 children in Scope
/*  6115*/   OPC_CheckChild1TypeI32,
/*  6116*/   OPC_CheckPredicate, 8, // Predicate_unindexedload
/*  6118*/   OPC_Scope, 37, /*->6157*/ // 16 children in Scope
/*  6120*/    OPC_CheckPredicate6,  // Predicate_load
/*  6121*/    OPC_SwitchType /*2 cases */, 15, /*MVT::i32*/7, // ->6139
/*  6124*/     OPC_CheckPatternPredicate1, // (!Subtarget->hasAddr64())
/*  6125*/     OPC_CheckComplexPat0, /*#*/1, // SelectAddrOperands32:$ #2 #3
/*  6127*/     OPC_EmitMergeInputChains1_0,
/*  6128*/     OPC_EmitInteger32, 0,  // 0 #4
/*  6130*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                   /*MVT::i32*/7, 3/*#Ops*/, 4, 2, 3, 
               // Src: (ld:{ *:[i32] } (AddrOps32:{ *:[i32] } offset32_op:{ *:[i32] }:$offset, I32:{ *:[i32] }:$addr))<<P:Predicate_unindexedload>><<P:Predicate_load>> - Complexity = 13
               // Dst: (LOAD_I32_A32:{ *:[i32] } 0:{ *:[i32] }, offset32_op:{ *:[i32] }:$offset, I32:{ *:[i32] }:$addr)
/*  6139*/    /*SwitchType*/ 15, /*MVT::i64*/8, // ->6156
/*  6141*/     OPC_CheckPatternPredicate1, // (!Subtarget->hasAddr64())
/*  6142*/     OPC_CheckComplexPat0, /*#*/1, // SelectAddrOperands32:$ #2 #3
/*  6144*/     OPC_EmitMergeInputChains1_0,
/*  6145*/     OPC_EmitInteger32, 0,  // 0 #4
/*  6147*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                   /*MVT::i64*/8, 3/*#Ops*/, 4, 2, 3, 
               // Src: (ld:{ *:[i64] } (AddrOps32:{ *:[i32] } offset32_op:{ *:[i32] }:$offset, I32:{ *:[i32] }:$addr))<<P:Predicate_unindexedload>><<P:Predicate_load>> - Complexity = 13
               // Dst: (LOAD_I64_A32:{ *:[i64] } 0:{ *:[i32] }, offset32_op:{ *:[i32] }:$offset, I32:{ *:[i32] }:$addr)
/*  6156*/    0, // EndSwitchType
/*  6157*/   /*Scope*/ 97, /*->6255*/
/*  6158*/    OPC_CheckPredicate, 17, // Predicate_sextload
/*  6160*/    OPC_SwitchType /*2 cases */, 36, /*MVT::i32*/7, // ->6199
/*  6163*/     OPC_Scope, 16, /*->6181*/ // 2 children in Scope
/*  6165*/      OPC_CheckPredicate1,  // Predicate_sextloadi8
/*  6166*/      OPC_CheckPatternPredicate1, // (!Subtarget->hasAddr64())
/*  6167*/      OPC_CheckComplexPat0, /*#*/1, // SelectAddrOperands32:$ #2 #3
/*  6169*/      OPC_EmitMergeInputChains1_0,
/*  6170*/      OPC_EmitInteger32, 0,  // 0 #4
/*  6172*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD8_S_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    /*MVT::i32*/7, 3/*#Ops*/, 4, 2, 3, 
                // Src: (ld:{ *:[i32] } (AddrOps32:{ *:[i32] } offset32_op:{ *:[i32] }:$offset, I32:{ *:[i32] }:$addr))<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadi8>> - Complexity = 13
                // Dst: (LOAD8_S_I32_A32:{ *:[i32] } 0:{ *:[i32] }, offset32_op:{ *:[i32] }:$offset, I32:{ *:[i32] }:$addr)
/*  6181*/     /*Scope*/ 16, /*->6198*/
/*  6182*/      OPC_CheckPredicate2,  // Predicate_sextloadi16
/*  6183*/      OPC_CheckPatternPredicate1, // (!Subtarget->hasAddr64())
/*  6184*/      OPC_CheckComplexPat0, /*#*/1, // SelectAddrOperands32:$ #2 #3
/*  6186*/      OPC_EmitMergeInputChains1_0,
/*  6187*/      OPC_EmitInteger32, 0,  // 0 #4
/*  6189*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD16_S_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    /*MVT::i32*/7, 3/*#Ops*/, 4, 2, 3, 
                // Src: (ld:{ *:[i32] } (AddrOps32:{ *:[i32] } offset32_op:{ *:[i32] }:$offset, I32:{ *:[i32] }:$addr))<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadi16>> - Complexity = 13
                // Dst: (LOAD16_S_I32_A32:{ *:[i32] } 0:{ *:[i32] }, offset32_op:{ *:[i32] }:$offset, I32:{ *:[i32] }:$addr)
/*  6198*/     0, /*End of Scope*/
/*  6199*/    /*SwitchType*/ 53, /*MVT::i64*/8, // ->6254
/*  6201*/     OPC_Scope, 16, /*->6219*/ // 3 children in Scope
/*  6203*/      OPC_CheckPredicate1,  // Predicate_sextloadi8
/*  6204*/      OPC_CheckPatternPredicate1, // (!Subtarget->hasAddr64())
/*  6205*/      OPC_CheckComplexPat0, /*#*/1, // SelectAddrOperands32:$ #2 #3
/*  6207*/      OPC_EmitMergeInputChains1_0,
/*  6208*/      OPC_EmitInteger32, 0,  // 0 #4
/*  6210*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD8_S_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    /*MVT::i64*/8, 3/*#Ops*/, 4, 2, 3, 
                // Src: (ld:{ *:[i64] } (AddrOps32:{ *:[i32] } offset32_op:{ *:[i32] }:$offset, I32:{ *:[i32] }:$addr))<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadi8>> - Complexity = 13
                // Dst: (LOAD8_S_I64_A32:{ *:[i64] } 0:{ *:[i32] }, offset32_op:{ *:[i32] }:$offset, I32:{ *:[i32] }:$addr)
/*  6219*/     /*Scope*/ 16, /*->6236*/
/*  6220*/      OPC_CheckPredicate2,  // Predicate_sextloadi16
/*  6221*/      OPC_CheckPatternPredicate1, // (!Subtarget->hasAddr64())
/*  6222*/      OPC_CheckComplexPat0, /*#*/1, // SelectAddrOperands32:$ #2 #3
/*  6224*/      OPC_EmitMergeInputChains1_0,
/*  6225*/      OPC_EmitInteger32, 0,  // 0 #4
/*  6227*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD16_S_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    /*MVT::i64*/8, 3/*#Ops*/, 4, 2, 3, 
                // Src: (ld:{ *:[i64] } (AddrOps32:{ *:[i32] } offset32_op:{ *:[i32] }:$offset, I32:{ *:[i32] }:$addr))<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadi16>> - Complexity = 13
                // Dst: (LOAD16_S_I64_A32:{ *:[i64] } 0:{ *:[i32] }, offset32_op:{ *:[i32] }:$offset, I32:{ *:[i32] }:$addr)
/*  6236*/     /*Scope*/ 16, /*->6253*/
/*  6237*/      OPC_CheckPredicate3,  // Predicate_sextloadi32
/*  6238*/      OPC_CheckPatternPredicate1, // (!Subtarget->hasAddr64())
/*  6239*/      OPC_CheckComplexPat0, /*#*/1, // SelectAddrOperands32:$ #2 #3
/*  6241*/      OPC_EmitMergeInputChains1_0,
/*  6242*/      OPC_EmitInteger32, 0,  // 0 #4
/*  6244*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD32_S_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    /*MVT::i64*/8, 3/*#Ops*/, 4, 2, 3, 
                // Src: (ld:{ *:[i64] } (AddrOps32:{ *:[i32] } offset32_op:{ *:[i32] }:$offset, I32:{ *:[i32] }:$addr))<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadi32>> - Complexity = 13
                // Dst: (LOAD32_S_I64_A32:{ *:[i64] } 0:{ *:[i32] }, offset32_op:{ *:[i32] }:$offset, I32:{ *:[i32] }:$addr)
/*  6253*/     0, /*End of Scope*/
/*  6254*/    0, // EndSwitchType
/*  6255*/   /*Scope*/ 97, /*->6353*/
/*  6256*/    OPC_CheckPredicate, 18, // Predicate_zextload
/*  6258*/    OPC_SwitchType /*2 cases */, 36, /*MVT::i32*/7, // ->6297
/*  6261*/     OPC_Scope, 16, /*->6279*/ // 2 children in Scope
/*  6263*/      OPC_CheckPredicate1,  // Predicate_zextloadi8
/*  6264*/      OPC_CheckPatternPredicate1, // (!Subtarget->hasAddr64())
/*  6265*/      OPC_CheckComplexPat0, /*#*/1, // SelectAddrOperands32:$ #2 #3
/*  6267*/      OPC_EmitMergeInputChains1_0,
/*  6268*/      OPC_EmitInteger32, 0,  // 0 #4
/*  6270*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD8_U_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    /*MVT::i32*/7, 3/*#Ops*/, 4, 2, 3, 
                // Src: (ld:{ *:[i32] } (AddrOps32:{ *:[i32] } offset32_op:{ *:[i32] }:$offset, I32:{ *:[i32] }:$addr))<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi8>> - Complexity = 13
                // Dst: (LOAD8_U_I32_A32:{ *:[i32] } 0:{ *:[i32] }, offset32_op:{ *:[i32] }:$offset, I32:{ *:[i32] }:$addr)
/*  6279*/     /*Scope*/ 16, /*->6296*/
/*  6280*/      OPC_CheckPredicate2,  // Predicate_zextloadi16
/*  6281*/      OPC_CheckPatternPredicate1, // (!Subtarget->hasAddr64())
/*  6282*/      OPC_CheckComplexPat0, /*#*/1, // SelectAddrOperands32:$ #2 #3
/*  6284*/      OPC_EmitMergeInputChains1_0,
/*  6285*/      OPC_EmitInteger32, 0,  // 0 #4
/*  6287*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD16_U_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    /*MVT::i32*/7, 3/*#Ops*/, 4, 2, 3, 
                // Src: (ld:{ *:[i32] } (AddrOps32:{ *:[i32] } offset32_op:{ *:[i32] }:$offset, I32:{ *:[i32] }:$addr))<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi16>> - Complexity = 13
                // Dst: (LOAD16_U_I32_A32:{ *:[i32] } 0:{ *:[i32] }, offset32_op:{ *:[i32] }:$offset, I32:{ *:[i32] }:$addr)
/*  6296*/     0, /*End of Scope*/
/*  6297*/    /*SwitchType*/ 53, /*MVT::i64*/8, // ->6352
/*  6299*/     OPC_Scope, 16, /*->6317*/ // 3 children in Scope
/*  6301*/      OPC_CheckPredicate1,  // Predicate_zextloadi8
/*  6302*/      OPC_CheckPatternPredicate1, // (!Subtarget->hasAddr64())
/*  6303*/      OPC_CheckComplexPat0, /*#*/1, // SelectAddrOperands32:$ #2 #3
/*  6305*/      OPC_EmitMergeInputChains1_0,
/*  6306*/      OPC_EmitInteger32, 0,  // 0 #4
/*  6308*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD8_U_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    /*MVT::i64*/8, 3/*#Ops*/, 4, 2, 3, 
                // Src: (ld:{ *:[i64] } (AddrOps32:{ *:[i32] } offset32_op:{ *:[i32] }:$offset, I32:{ *:[i32] }:$addr))<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi8>> - Complexity = 13
                // Dst: (LOAD8_U_I64_A32:{ *:[i64] } 0:{ *:[i32] }, offset32_op:{ *:[i32] }:$offset, I32:{ *:[i32] }:$addr)
/*  6317*/     /*Scope*/ 16, /*->6334*/
/*  6318*/      OPC_CheckPredicate2,  // Predicate_zextloadi16
/*  6319*/      OPC_CheckPatternPredicate1, // (!Subtarget->hasAddr64())
/*  6320*/      OPC_CheckComplexPat0, /*#*/1, // SelectAddrOperands32:$ #2 #3
/*  6322*/      OPC_EmitMergeInputChains1_0,
/*  6323*/      OPC_EmitInteger32, 0,  // 0 #4
/*  6325*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD16_U_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    /*MVT::i64*/8, 3/*#Ops*/, 4, 2, 3, 
                // Src: (ld:{ *:[i64] } (AddrOps32:{ *:[i32] } offset32_op:{ *:[i32] }:$offset, I32:{ *:[i32] }:$addr))<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi16>> - Complexity = 13
                // Dst: (LOAD16_U_I64_A32:{ *:[i64] } 0:{ *:[i32] }, offset32_op:{ *:[i32] }:$offset, I32:{ *:[i32] }:$addr)
/*  6334*/     /*Scope*/ 16, /*->6351*/
/*  6335*/      OPC_CheckPredicate3,  // Predicate_zextloadi32
/*  6336*/      OPC_CheckPatternPredicate1, // (!Subtarget->hasAddr64())
/*  6337*/      OPC_CheckComplexPat0, /*#*/1, // SelectAddrOperands32:$ #2 #3
/*  6339*/      OPC_EmitMergeInputChains1_0,
/*  6340*/      OPC_EmitInteger32, 0,  // 0 #4
/*  6342*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD32_U_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    /*MVT::i64*/8, 3/*#Ops*/, 4, 2, 3, 
                // Src: (ld:{ *:[i64] } (AddrOps32:{ *:[i32] } offset32_op:{ *:[i32] }:$offset, I32:{ *:[i32] }:$addr))<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi32>> - Complexity = 13
                // Dst: (LOAD32_U_I64_A32:{ *:[i64] } 0:{ *:[i32] }, offset32_op:{ *:[i32] }:$offset, I32:{ *:[i32] }:$addr)
/*  6351*/     0, /*End of Scope*/
/*  6352*/    0, // EndSwitchType
/*  6353*/   /*Scope*/ 97, /*->6451*/
/*  6354*/    OPC_CheckPredicate, 10, // Predicate_extload
/*  6356*/    OPC_SwitchType /*2 cases */, 36, /*MVT::i32*/7, // ->6395
/*  6359*/     OPC_Scope, 16, /*->6377*/ // 2 children in Scope
/*  6361*/      OPC_CheckPredicate1,  // Predicate_extloadi8
/*  6362*/      OPC_CheckPatternPredicate1, // (!Subtarget->hasAddr64())
/*  6363*/      OPC_CheckComplexPat0, /*#*/1, // SelectAddrOperands32:$ #2 #3
/*  6365*/      OPC_EmitMergeInputChains1_0,
/*  6366*/      OPC_EmitInteger32, 0,  // 0 #4
/*  6368*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD8_U_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    /*MVT::i32*/7, 3/*#Ops*/, 4, 2, 3, 
                // Src: (ld:{ *:[i32] } (AddrOps32:{ *:[i32] } offset32_op:{ *:[i32] }:$offset, I32:{ *:[i32] }:$addr))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi8>> - Complexity = 13
                // Dst: (LOAD8_U_I32_A32:{ *:[i32] } 0:{ *:[i32] }, offset32_op:{ *:[i32] }:$offset, I32:{ *:[i32] }:$addr)
/*  6377*/     /*Scope*/ 16, /*->6394*/
/*  6378*/      OPC_CheckPredicate2,  // Predicate_extloadi16
/*  6379*/      OPC_CheckPatternPredicate1, // (!Subtarget->hasAddr64())
/*  6380*/      OPC_CheckComplexPat0, /*#*/1, // SelectAddrOperands32:$ #2 #3
/*  6382*/      OPC_EmitMergeInputChains1_0,
/*  6383*/      OPC_EmitInteger32, 0,  // 0 #4
/*  6385*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD16_U_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    /*MVT::i32*/7, 3/*#Ops*/, 4, 2, 3, 
                // Src: (ld:{ *:[i32] } (AddrOps32:{ *:[i32] } offset32_op:{ *:[i32] }:$offset, I32:{ *:[i32] }:$addr))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi16>> - Complexity = 13
                // Dst: (LOAD16_U_I32_A32:{ *:[i32] } 0:{ *:[i32] }, offset32_op:{ *:[i32] }:$offset, I32:{ *:[i32] }:$addr)
/*  6394*/     0, /*End of Scope*/
/*  6395*/    /*SwitchType*/ 53, /*MVT::i64*/8, // ->6450
/*  6397*/     OPC_Scope, 16, /*->6415*/ // 3 children in Scope
/*  6399*/      OPC_CheckPredicate1,  // Predicate_extloadi8
/*  6400*/      OPC_CheckPatternPredicate1, // (!Subtarget->hasAddr64())
/*  6401*/      OPC_CheckComplexPat0, /*#*/1, // SelectAddrOperands32:$ #2 #3
/*  6403*/      OPC_EmitMergeInputChains1_0,
/*  6404*/      OPC_EmitInteger32, 0,  // 0 #4
/*  6406*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD8_U_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    /*MVT::i64*/8, 3/*#Ops*/, 4, 2, 3, 
                // Src: (ld:{ *:[i64] } (AddrOps32:{ *:[i32] } offset32_op:{ *:[i32] }:$offset, I32:{ *:[i32] }:$addr))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi8>> - Complexity = 13
                // Dst: (LOAD8_U_I64_A32:{ *:[i64] } 0:{ *:[i32] }, offset32_op:{ *:[i32] }:$offset, I32:{ *:[i32] }:$addr)
/*  6415*/     /*Scope*/ 16, /*->6432*/
/*  6416*/      OPC_CheckPredicate2,  // Predicate_extloadi16
/*  6417*/      OPC_CheckPatternPredicate1, // (!Subtarget->hasAddr64())
/*  6418*/      OPC_CheckComplexPat0, /*#*/1, // SelectAddrOperands32:$ #2 #3
/*  6420*/      OPC_EmitMergeInputChains1_0,
/*  6421*/      OPC_EmitInteger32, 0,  // 0 #4
/*  6423*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD16_U_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    /*MVT::i64*/8, 3/*#Ops*/, 4, 2, 3, 
                // Src: (ld:{ *:[i64] } (AddrOps32:{ *:[i32] } offset32_op:{ *:[i32] }:$offset, I32:{ *:[i32] }:$addr))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi16>> - Complexity = 13
                // Dst: (LOAD16_U_I64_A32:{ *:[i64] } 0:{ *:[i32] }, offset32_op:{ *:[i32] }:$offset, I32:{ *:[i32] }:$addr)
/*  6432*/     /*Scope*/ 16, /*->6449*/
/*  6433*/      OPC_CheckPredicate3,  // Predicate_extloadi32
/*  6434*/      OPC_CheckPatternPredicate1, // (!Subtarget->hasAddr64())
/*  6435*/      OPC_CheckComplexPat0, /*#*/1, // SelectAddrOperands32:$ #2 #3
/*  6437*/      OPC_EmitMergeInputChains1_0,
/*  6438*/      OPC_EmitInteger32, 0,  // 0 #4
/*  6440*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD32_U_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    /*MVT::i64*/8, 3/*#Ops*/, 4, 2, 3, 
                // Src: (ld:{ *:[i64] } (AddrOps32:{ *:[i32] } offset32_op:{ *:[i32] }:$offset, I32:{ *:[i32] }:$addr))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi32>> - Complexity = 13
                // Dst: (LOAD32_U_I64_A32:{ *:[i64] } 0:{ *:[i32] }, offset32_op:{ *:[i32] }:$offset, I32:{ *:[i32] }:$addr)
/*  6449*/     0, /*End of Scope*/
/*  6450*/    0, // EndSwitchType
/*  6451*/   /*Scope*/ 105, /*->6557*/
/*  6452*/    OPC_CheckPredicate6,  // Predicate_load
/*  6453*/    OPC_SwitchType /*6 cases */, 15, /*MVT::f32*/12, // ->6471
/*  6456*/     OPC_CheckPatternPredicate1, // (!Subtarget->hasAddr64())
/*  6457*/     OPC_CheckComplexPat0, /*#*/1, // SelectAddrOperands32:$ #2 #3
/*  6459*/     OPC_EmitMergeInputChains1_0,
/*  6460*/     OPC_EmitInteger32, 0,  // 0 #4
/*  6462*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_F32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                   /*MVT::f32*/12, 3/*#Ops*/, 4, 2, 3, 
               // Src: (ld:{ *:[f32] } (AddrOps32:{ *:[i32] } offset32_op:{ *:[i32] }:$offset, I32:{ *:[i32] }:$addr))<<P:Predicate_unindexedload>><<P:Predicate_load>> - Complexity = 13
               // Dst: (LOAD_F32_A32:{ *:[f32] } 0:{ *:[i32] }, offset32_op:{ *:[i32] }:$offset, I32:{ *:[i32] }:$addr)
/*  6471*/    /*SwitchType*/ 15, /*MVT::f64*/13, // ->6488
/*  6473*/     OPC_CheckPatternPredicate1, // (!Subtarget->hasAddr64())
/*  6474*/     OPC_CheckComplexPat0, /*#*/1, // SelectAddrOperands32:$ #2 #3
/*  6476*/     OPC_EmitMergeInputChains1_0,
/*  6477*/     OPC_EmitInteger32, 0,  // 0 #4
/*  6479*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_F64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                   /*MVT::f64*/13, 3/*#Ops*/, 4, 2, 3, 
               // Src: (ld:{ *:[f64] } (AddrOps32:{ *:[i32] } offset32_op:{ *:[i32] }:$offset, I32:{ *:[i32] }:$addr))<<P:Predicate_unindexedload>><<P:Predicate_load>> - Complexity = 13
               // Dst: (LOAD_F64_A32:{ *:[f64] } 0:{ *:[i32] }, offset32_op:{ *:[i32] }:$offset, I32:{ *:[i32] }:$addr)
/*  6488*/    /*SwitchType*/ 15, /*MVT::v16i8*/40, // ->6505
/*  6490*/     OPC_CheckPatternPredicate1, // (!Subtarget->hasAddr64())
/*  6491*/     OPC_CheckComplexPat0, /*#*/1, // SelectAddrOperands32:$ #2 #3
/*  6493*/     OPC_EmitMergeInputChains1_0,
/*  6494*/     OPC_EmitInteger32, 0,  // 0 #4
/*  6496*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_V128_A32), 0|OPFL_Chain|OPFL_MemRefs,
                   /*MVT::v16i8*/40, 3/*#Ops*/, 4, 2, 3, 
               // Src: (ld:{ *:[v16i8] } (AddrOps32:{ *:[i32] } offset32_op:{ *:[i32] }:$offset, I32:{ *:[i32] }:$addr))<<P:Predicate_unindexedload>><<P:Predicate_load>> - Complexity = 13
               // Dst: (LOAD_V128_A32:{ *:[v16i8] } 0:{ *:[i32] }, offset32_op:{ *:[i32] }:$offset, I32:{ *:[i32] }:$addr)
/*  6505*/    /*SwitchType*/ 15, /*MVT::v8i16*/51, // ->6522
/*  6507*/     OPC_CheckPatternPredicate1, // (!Subtarget->hasAddr64())
/*  6508*/     OPC_CheckComplexPat0, /*#*/1, // SelectAddrOperands32:$ #2 #3
/*  6510*/     OPC_EmitMergeInputChains1_0,
/*  6511*/     OPC_EmitInteger32, 0,  // 0 #4
/*  6513*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_V128_A32), 0|OPFL_Chain|OPFL_MemRefs,
                   /*MVT::v8i16*/51, 3/*#Ops*/, 4, 2, 3, 
               // Src: (ld:{ *:[v8i16] } (AddrOps32:{ *:[i32] } offset32_op:{ *:[i32] }:$offset, I32:{ *:[i32] }:$addr))<<P:Predicate_unindexedload>><<P:Predicate_load>> - Complexity = 13
               // Dst: (LOAD_V128_A32:{ *:[v8i16] } 0:{ *:[i32] }, offset32_op:{ *:[i32] }:$offset, I32:{ *:[i32] }:$addr)
/*  6522*/    /*SwitchType*/ 15, /*MVT::v4i32*/62, // ->6539
/*  6524*/     OPC_CheckPatternPredicate1, // (!Subtarget->hasAddr64())
/*  6525*/     OPC_CheckComplexPat0, /*#*/1, // SelectAddrOperands32:$ #2 #3
/*  6527*/     OPC_EmitMergeInputChains1_0,
/*  6528*/     OPC_EmitInteger32, 0,  // 0 #4
/*  6530*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_V128_A32), 0|OPFL_Chain|OPFL_MemRefs,
                   /*MVT::v4i32*/62, 3/*#Ops*/, 4, 2, 3, 
               // Src: (ld:{ *:[v4i32] } (AddrOps32:{ *:[i32] } offset32_op:{ *:[i32] }:$offset, I32:{ *:[i32] }:$addr))<<P:Predicate_unindexedload>><<P:Predicate_load>> - Complexity = 13
               // Dst: (LOAD_V128_A32:{ *:[v4i32] } 0:{ *:[i32] }, offset32_op:{ *:[i32] }:$offset, I32:{ *:[i32] }:$addr)
/*  6539*/    /*SwitchType*/ 15, /*MVT::v2i64*/81, // ->6556
/*  6541*/     OPC_CheckPatternPredicate1, // (!Subtarget->hasAddr64())
/*  6542*/     OPC_CheckComplexPat0, /*#*/1, // SelectAddrOperands32:$ #2 #3
/*  6544*/     OPC_EmitMergeInputChains1_0,
/*  6545*/     OPC_EmitInteger32, 0,  // 0 #4
/*  6547*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_V128_A32), 0|OPFL_Chain|OPFL_MemRefs,
                   /*MVT::v2i64*/81, 3/*#Ops*/, 4, 2, 3, 
               // Src: (ld:{ *:[v2i64] } (AddrOps32:{ *:[i32] } offset32_op:{ *:[i32] }:$offset, I32:{ *:[i32] }:$addr))<<P:Predicate_unindexedload>><<P:Predicate_load>> - Complexity = 13
               // Dst: (LOAD_V128_A32:{ *:[v2i64] } 0:{ *:[i32] }, offset32_op:{ *:[i32] }:$offset, I32:{ *:[i32] }:$addr)
/*  6556*/    0, // EndSwitchType
/*  6557*/   /*Scope*/ 21, /*->6579*/
/*  6558*/    OPC_CheckPredicate, 17, // Predicate_sextload
/*  6560*/    OPC_CheckPredicate, 21, // Predicate_sextloadvi8
/*  6562*/    OPC_CheckType, /*MVT::v8i16*/51, 
/*  6564*/    OPC_CheckPatternPredicate1, // (!Subtarget->hasAddr64())
/*  6565*/    OPC_CheckComplexPat0, /*#*/1, // SelectAddrOperands32:$ #2 #3
/*  6567*/    OPC_EmitMergeInputChains1_0,
/*  6568*/    OPC_EmitInteger32, 0,  // 0 #4
/*  6570*/    OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_EXTEND_S_I16x8_A32), 0|OPFL_Chain|OPFL_MemRefs,
                  /*MVT::v8i16*/51, 3/*#Ops*/, 4, 2, 3, 
              // Src: (ld:{ *:[v8i16] } (AddrOps32:{ *:[i32] } offset32_op:{ *:[i32] }:$offset, I32:{ *:[i32] }:$addr))<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadvi8>> - Complexity = 13
              // Dst: (LOAD_EXTEND_S_I16x8_A32:{ *:[v8i16] } 0:{ *:[i32] }, offset32_op:{ *:[i32] }:$offset, I32:{ *:[i32] }:$addr)
/*  6579*/   /*Scope*/ 21, /*->6601*/
/*  6580*/    OPC_CheckPredicate, 18, // Predicate_zextload
/*  6582*/    OPC_CheckPredicate, 21, // Predicate_zextloadvi8
/*  6584*/    OPC_CheckType, /*MVT::v8i16*/51, 
/*  6586*/    OPC_CheckPatternPredicate1, // (!Subtarget->hasAddr64())
/*  6587*/    OPC_CheckComplexPat0, /*#*/1, // SelectAddrOperands32:$ #2 #3
/*  6589*/    OPC_EmitMergeInputChains1_0,
/*  6590*/    OPC_EmitInteger32, 0,  // 0 #4
/*  6592*/    OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_EXTEND_U_I16x8_A32), 0|OPFL_Chain|OPFL_MemRefs,
                  /*MVT::v8i16*/51, 3/*#Ops*/, 4, 2, 3, 
              // Src: (ld:{ *:[v8i16] } (AddrOps32:{ *:[i32] } offset32_op:{ *:[i32] }:$offset, I32:{ *:[i32] }:$addr))<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadvi8>> - Complexity = 13
              // Dst: (LOAD_EXTEND_U_I16x8_A32:{ *:[v8i16] } 0:{ *:[i32] }, offset32_op:{ *:[i32] }:$offset, I32:{ *:[i32] }:$addr)
/*  6601*/   /*Scope*/ 21, /*->6623*/
/*  6602*/    OPC_CheckPredicate, 10, // Predicate_extload
/*  6604*/    OPC_CheckPredicate, 21, // Predicate_extloadvi8
/*  6606*/    OPC_CheckType, /*MVT::v8i16*/51, 
/*  6608*/    OPC_CheckPatternPredicate1, // (!Subtarget->hasAddr64())
/*  6609*/    OPC_CheckComplexPat0, /*#*/1, // SelectAddrOperands32:$ #2 #3
/*  6611*/    OPC_EmitMergeInputChains1_0,
/*  6612*/    OPC_EmitInteger32, 0,  // 0 #4
/*  6614*/    OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_EXTEND_U_I16x8_A32), 0|OPFL_Chain|OPFL_MemRefs,
                  /*MVT::v8i16*/51, 3/*#Ops*/, 4, 2, 3, 
              // Src: (ld:{ *:[v8i16] } (AddrOps32:{ *:[i32] } offset32_op:{ *:[i32] }:$offset, I32:{ *:[i32] }:$addr))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadvi8>> - Complexity = 13
              // Dst: (LOAD_EXTEND_U_I16x8_A32:{ *:[v8i16] } 0:{ *:[i32] }, offset32_op:{ *:[i32] }:$offset, I32:{ *:[i32] }:$addr)
/*  6623*/   /*Scope*/ 21, /*->6645*/
/*  6624*/    OPC_CheckPredicate, 17, // Predicate_sextload
/*  6626*/    OPC_CheckPredicate, 22, // Predicate_sextloadvi16
/*  6628*/    OPC_CheckType, /*MVT::v4i32*/62, 
/*  6630*/    OPC_CheckPatternPredicate1, // (!Subtarget->hasAddr64())
/*  6631*/    OPC_CheckComplexPat0, /*#*/1, // SelectAddrOperands32:$ #2 #3
/*  6633*/    OPC_EmitMergeInputChains1_0,
/*  6634*/    OPC_EmitInteger32, 0,  // 0 #4
/*  6636*/    OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_EXTEND_S_I32x4_A32), 0|OPFL_Chain|OPFL_MemRefs,
                  /*MVT::v4i32*/62, 3/*#Ops*/, 4, 2, 3, 
              // Src: (ld:{ *:[v4i32] } (AddrOps32:{ *:[i32] } offset32_op:{ *:[i32] }:$offset, I32:{ *:[i32] }:$addr))<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadvi16>> - Complexity = 13
              // Dst: (LOAD_EXTEND_S_I32x4_A32:{ *:[v4i32] } 0:{ *:[i32] }, offset32_op:{ *:[i32] }:$offset, I32:{ *:[i32] }:$addr)
/*  6645*/   /*Scope*/ 21, /*->6667*/
/*  6646*/    OPC_CheckPredicate, 18, // Predicate_zextload
/*  6648*/    OPC_CheckPredicate, 22, // Predicate_zextloadvi16
/*  6650*/    OPC_CheckType, /*MVT::v4i32*/62, 
/*  6652*/    OPC_CheckPatternPredicate1, // (!Subtarget->hasAddr64())
/*  6653*/    OPC_CheckComplexPat0, /*#*/1, // SelectAddrOperands32:$ #2 #3
/*  6655*/    OPC_EmitMergeInputChains1_0,
/*  6656*/    OPC_EmitInteger32, 0,  // 0 #4
/*  6658*/    OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_EXTEND_U_I32x4_A32), 0|OPFL_Chain|OPFL_MemRefs,
                  /*MVT::v4i32*/62, 3/*#Ops*/, 4, 2, 3, 
              // Src: (ld:{ *:[v4i32] } (AddrOps32:{ *:[i32] } offset32_op:{ *:[i32] }:$offset, I32:{ *:[i32] }:$addr))<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadvi16>> - Complexity = 13
              // Dst: (LOAD_EXTEND_U_I32x4_A32:{ *:[v4i32] } 0:{ *:[i32] }, offset32_op:{ *:[i32] }:$offset, I32:{ *:[i32] }:$addr)
/*  6667*/   /*Scope*/ 21, /*->6689*/
/*  6668*/    OPC_CheckPredicate, 10, // Predicate_extload
/*  6670*/    OPC_CheckPredicate, 22, // Predicate_extloadvi16
/*  6672*/    OPC_CheckType, /*MVT::v4i32*/62, 
/*  6674*/    OPC_CheckPatternPredicate1, // (!Subtarget->hasAddr64())
/*  6675*/    OPC_CheckComplexPat0, /*#*/1, // SelectAddrOperands32:$ #2 #3
/*  6677*/    OPC_EmitMergeInputChains1_0,
/*  6678*/    OPC_EmitInteger32, 0,  // 0 #4
/*  6680*/    OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_EXTEND_U_I32x4_A32), 0|OPFL_Chain|OPFL_MemRefs,
                  /*MVT::v4i32*/62, 3/*#Ops*/, 4, 2, 3, 
              // Src: (ld:{ *:[v4i32] } (AddrOps32:{ *:[i32] } offset32_op:{ *:[i32] }:$offset, I32:{ *:[i32] }:$addr))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadvi16>> - Complexity = 13
              // Dst: (LOAD_EXTEND_U_I32x4_A32:{ *:[v4i32] } 0:{ *:[i32] }, offset32_op:{ *:[i32] }:$offset, I32:{ *:[i32] }:$addr)
/*  6689*/   /*Scope*/ 21, /*->6711*/
/*  6690*/    OPC_CheckPredicate, 17, // Predicate_sextload
/*  6692*/    OPC_CheckPredicate, 23, // Predicate_sextloadvi32
/*  6694*/    OPC_CheckType, /*MVT::v2i64*/81, 
/*  6696*/    OPC_CheckPatternPredicate1, // (!Subtarget->hasAddr64())
/*  6697*/    OPC_CheckComplexPat0, /*#*/1, // SelectAddrOperands32:$ #2 #3
/*  6699*/    OPC_EmitMergeInputChains1_0,
/*  6700*/    OPC_EmitInteger32, 0,  // 0 #4
/*  6702*/    OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_EXTEND_S_I64x2_A32), 0|OPFL_Chain|OPFL_MemRefs,
                  /*MVT::v2i64*/81, 3/*#Ops*/, 4, 2, 3, 
              // Src: (ld:{ *:[v2i64] } (AddrOps32:{ *:[i32] } offset32_op:{ *:[i32] }:$offset, I32:{ *:[i32] }:$addr))<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadvi32>> - Complexity = 13
              // Dst: (LOAD_EXTEND_S_I64x2_A32:{ *:[v2i64] } 0:{ *:[i32] }, offset32_op:{ *:[i32] }:$offset, I32:{ *:[i32] }:$addr)
/*  6711*/   /*Scope*/ 21, /*->6733*/
/*  6712*/    OPC_CheckPredicate, 18, // Predicate_zextload
/*  6714*/    OPC_CheckPredicate, 23, // Predicate_zextloadvi32
/*  6716*/    OPC_CheckType, /*MVT::v2i64*/81, 
/*  6718*/    OPC_CheckPatternPredicate1, // (!Subtarget->hasAddr64())
/*  6719*/    OPC_CheckComplexPat0, /*#*/1, // SelectAddrOperands32:$ #2 #3
/*  6721*/    OPC_EmitMergeInputChains1_0,
/*  6722*/    OPC_EmitInteger32, 0,  // 0 #4
/*  6724*/    OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_EXTEND_U_I64x2_A32), 0|OPFL_Chain|OPFL_MemRefs,
                  /*MVT::v2i64*/81, 3/*#Ops*/, 4, 2, 3, 
              // Src: (ld:{ *:[v2i64] } (AddrOps32:{ *:[i32] } offset32_op:{ *:[i32] }:$offset, I32:{ *:[i32] }:$addr))<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadvi32>> - Complexity = 13
              // Dst: (LOAD_EXTEND_U_I64x2_A32:{ *:[v2i64] } 0:{ *:[i32] }, offset32_op:{ *:[i32] }:$offset, I32:{ *:[i32] }:$addr)
/*  6733*/   /*Scope*/ 21, /*->6755*/
/*  6734*/    OPC_CheckPredicate, 10, // Predicate_extload
/*  6736*/    OPC_CheckPredicate, 23, // Predicate_extloadvi32
/*  6738*/    OPC_CheckType, /*MVT::v2i64*/81, 
/*  6740*/    OPC_CheckPatternPredicate1, // (!Subtarget->hasAddr64())
/*  6741*/    OPC_CheckComplexPat0, /*#*/1, // SelectAddrOperands32:$ #2 #3
/*  6743*/    OPC_EmitMergeInputChains1_0,
/*  6744*/    OPC_EmitInteger32, 0,  // 0 #4
/*  6746*/    OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_EXTEND_U_I64x2_A32), 0|OPFL_Chain|OPFL_MemRefs,
                  /*MVT::v2i64*/81, 3/*#Ops*/, 4, 2, 3, 
              // Src: (ld:{ *:[v2i64] } (AddrOps32:{ *:[i32] } offset32_op:{ *:[i32] }:$offset, I32:{ *:[i32] }:$addr))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadvi32>> - Complexity = 13
              // Dst: (LOAD_EXTEND_U_I64x2_A32:{ *:[v2i64] } 0:{ *:[i32] }, offset32_op:{ *:[i32] }:$offset, I32:{ *:[i32] }:$addr)
/*  6755*/   /*Scope*/ 56, /*->6812*/
/*  6756*/    OPC_CheckPredicate6,  // Predicate_load
/*  6757*/    OPC_SwitchType /*3 cases */, 15, /*MVT::v4f32*/116, // ->6775
/*  6760*/     OPC_CheckPatternPredicate1, // (!Subtarget->hasAddr64())
/*  6761*/     OPC_CheckComplexPat0, /*#*/1, // SelectAddrOperands32:$ #2 #3
/*  6763*/     OPC_EmitMergeInputChains1_0,
/*  6764*/     OPC_EmitInteger32, 0,  // 0 #4
/*  6766*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_V128_A32), 0|OPFL_Chain|OPFL_MemRefs,
                   /*MVT::v4f32*/116, 3/*#Ops*/, 4, 2, 3, 
               // Src: (ld:{ *:[v4f32] } (AddrOps32:{ *:[i32] } offset32_op:{ *:[i32] }:$offset, I32:{ *:[i32] }:$addr))<<P:Predicate_unindexedload>><<P:Predicate_load>> - Complexity = 13
               // Dst: (LOAD_V128_A32:{ *:[v4f32] } 0:{ *:[i32] }, offset32_op:{ *:[i32] }:$offset, I32:{ *:[i32] }:$addr)
/*  6775*/    /*SwitchType*/ 16, /*MVT::v2f64*/6|128,1/*134*/, // ->6794
/*  6778*/     OPC_CheckPatternPredicate1, // (!Subtarget->hasAddr64())
/*  6779*/     OPC_CheckComplexPat0, /*#*/1, // SelectAddrOperands32:$ #2 #3
/*  6781*/     OPC_EmitMergeInputChains1_0,
/*  6782*/     OPC_EmitInteger32, 0,  // 0 #4
/*  6784*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_V128_A32), 0|OPFL_Chain|OPFL_MemRefs,
                   /*MVT::v2f64*/6|128,1/*134*/, 3/*#Ops*/, 4, 2, 3, 
               // Src: (ld:{ *:[v2f64] } (AddrOps32:{ *:[i32] } offset32_op:{ *:[i32] }:$offset, I32:{ *:[i32] }:$addr))<<P:Predicate_unindexedload>><<P:Predicate_load>> - Complexity = 13
               // Dst: (LOAD_V128_A32:{ *:[v2f64] } 0:{ *:[i32] }, offset32_op:{ *:[i32] }:$offset, I32:{ *:[i32] }:$addr)
/*  6794*/    /*SwitchType*/ 15, /*MVT::v8f16*/95, // ->6811
/*  6796*/     OPC_CheckPatternPredicate1, // (!Subtarget->hasAddr64())
/*  6797*/     OPC_CheckComplexPat0, /*#*/1, // SelectAddrOperands32:$ #2 #3
/*  6799*/     OPC_EmitMergeInputChains1_0,
/*  6800*/     OPC_EmitInteger32, 0,  // 0 #4
/*  6802*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_V128_A32), 0|OPFL_Chain|OPFL_MemRefs,
                   /*MVT::v8f16*/95, 3/*#Ops*/, 4, 2, 3, 
               // Src: (ld:{ *:[v8f16] } (AddrOps32:{ *:[i32] } offset32_op:{ *:[i32] }:$offset, I32:{ *:[i32] }:$addr))<<P:Predicate_unindexedload>><<P:Predicate_load>> - Complexity = 13
               // Dst: (LOAD_V128_A32:{ *:[v8f16] } 0:{ *:[i32] }, offset32_op:{ *:[i32] }:$offset, I32:{ *:[i32] }:$addr)
/*  6811*/    0, // EndSwitchType
/*  6812*/   /*Scope*/ 30, /*->6843*/
/*  6813*/    OPC_CheckPredicate, 10, // Predicate_extload
/*  6815*/    OPC_CheckType, /*MVT::v2f64*/6|128,1/*134*/, 
/*  6818*/    OPC_CheckPatternPredicate1, // (!Subtarget->hasAddr64())
/*  6819*/    OPC_EmitMergeInputChains1_0,
/*  6820*/    OPC_EmitInteger32, 0,  // 0 #2
/*  6822*/    OPC_EmitInteger32, 0,  // 0 #3
/*  6824*/    OPC_EmitNode1, TARGET_VAL(WebAssembly::LOAD_ZERO_64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                  /*MVT::v16i8*/40, 3/*#Ops*/, 2, 3, 1,  // Results = #4
/*  6833*/    OPC_EmitNode1None, TARGET_VAL(WebAssembly::promote_low_F64x2),
                  /*MVT::v2f64*/6|128,1/*134*/, 1/*#Ops*/, 4,  // Results = #5
/*  6840*/    OPC_CompleteMatch, 1, 5, 
               // Src: (ld:{ *:[v2f64] } I32:{ *:[i32] }:$addr)<<P:Predicate_unindexedload>><<P:Predicate_extload>> - Complexity = 4
               // Dst: (promote_low_F64x2:{ *:[v2f64] } (LOAD_ZERO_64_A32:{ *:[v16i8] } 0:{ *:[i32] }, 0:{ *:[i32] }, I32:{ *:[i32] }:$addr))
/*  6843*/   0, /*End of Scope*/
/*  6844*/  /*Scope*/ 89|128,5/*729*/, /*->7575*/
/*  6846*/   OPC_CheckChild1TypeI64,
/*  6847*/   OPC_CheckPredicate, 8, // Predicate_unindexedload
/*  6849*/   OPC_Scope, 37, /*->6888*/ // 16 children in Scope
/*  6851*/    OPC_CheckPredicate6,  // Predicate_load
/*  6852*/    OPC_SwitchType /*2 cases */, 15, /*MVT::i32*/7, // ->6870
/*  6855*/     OPC_CheckPatternPredicate2, // (Subtarget->hasAddr64())
/*  6856*/     OPC_CheckComplexPat1, /*#*/1, // SelectAddrOperands64:$ #2 #3
/*  6858*/     OPC_EmitMergeInputChains1_0,
/*  6859*/     OPC_EmitInteger32, 0,  // 0 #4
/*  6861*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                   /*MVT::i32*/7, 3/*#Ops*/, 4, 2, 3, 
               // Src: (ld:{ *:[i32] } (AddrOps64:{ *:[i64] } offset64_op:{ *:[i64] }:$offset, I64:{ *:[i64] }:$addr))<<P:Predicate_unindexedload>><<P:Predicate_load>> - Complexity = 13
               // Dst: (LOAD_I32_A64:{ *:[i32] } 0:{ *:[i32] }, offset64_op:{ *:[i64] }:$offset, I64:{ *:[i64] }:$addr)
/*  6870*/    /*SwitchType*/ 15, /*MVT::i64*/8, // ->6887
/*  6872*/     OPC_CheckPatternPredicate2, // (Subtarget->hasAddr64())
/*  6873*/     OPC_CheckComplexPat1, /*#*/1, // SelectAddrOperands64:$ #2 #3
/*  6875*/     OPC_EmitMergeInputChains1_0,
/*  6876*/     OPC_EmitInteger32, 0,  // 0 #4
/*  6878*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                   /*MVT::i64*/8, 3/*#Ops*/, 4, 2, 3, 
               // Src: (ld:{ *:[i64] } (AddrOps64:{ *:[i64] } offset64_op:{ *:[i64] }:$offset, I64:{ *:[i64] }:$addr))<<P:Predicate_unindexedload>><<P:Predicate_load>> - Complexity = 13
               // Dst: (LOAD_I64_A64:{ *:[i64] } 0:{ *:[i32] }, offset64_op:{ *:[i64] }:$offset, I64:{ *:[i64] }:$addr)
/*  6887*/    0, // EndSwitchType
/*  6888*/   /*Scope*/ 97, /*->6986*/
/*  6889*/    OPC_CheckPredicate, 17, // Predicate_sextload
/*  6891*/    OPC_SwitchType /*2 cases */, 36, /*MVT::i32*/7, // ->6930
/*  6894*/     OPC_Scope, 16, /*->6912*/ // 2 children in Scope
/*  6896*/      OPC_CheckPredicate1,  // Predicate_sextloadi8
/*  6897*/      OPC_CheckPatternPredicate2, // (Subtarget->hasAddr64())
/*  6898*/      OPC_CheckComplexPat1, /*#*/1, // SelectAddrOperands64:$ #2 #3
/*  6900*/      OPC_EmitMergeInputChains1_0,
/*  6901*/      OPC_EmitInteger32, 0,  // 0 #4
/*  6903*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD8_S_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    /*MVT::i32*/7, 3/*#Ops*/, 4, 2, 3, 
                // Src: (ld:{ *:[i32] } (AddrOps64:{ *:[i64] } offset64_op:{ *:[i64] }:$offset, I64:{ *:[i64] }:$addr))<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadi8>> - Complexity = 13
                // Dst: (LOAD8_S_I32_A64:{ *:[i32] } 0:{ *:[i32] }, offset64_op:{ *:[i64] }:$offset, I64:{ *:[i64] }:$addr)
/*  6912*/     /*Scope*/ 16, /*->6929*/
/*  6913*/      OPC_CheckPredicate2,  // Predicate_sextloadi16
/*  6914*/      OPC_CheckPatternPredicate2, // (Subtarget->hasAddr64())
/*  6915*/      OPC_CheckComplexPat1, /*#*/1, // SelectAddrOperands64:$ #2 #3
/*  6917*/      OPC_EmitMergeInputChains1_0,
/*  6918*/      OPC_EmitInteger32, 0,  // 0 #4
/*  6920*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD16_S_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    /*MVT::i32*/7, 3/*#Ops*/, 4, 2, 3, 
                // Src: (ld:{ *:[i32] } (AddrOps64:{ *:[i64] } offset64_op:{ *:[i64] }:$offset, I64:{ *:[i64] }:$addr))<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadi16>> - Complexity = 13
                // Dst: (LOAD16_S_I32_A64:{ *:[i32] } 0:{ *:[i32] }, offset64_op:{ *:[i64] }:$offset, I64:{ *:[i64] }:$addr)
/*  6929*/     0, /*End of Scope*/
/*  6930*/    /*SwitchType*/ 53, /*MVT::i64*/8, // ->6985
/*  6932*/     OPC_Scope, 16, /*->6950*/ // 3 children in Scope
/*  6934*/      OPC_CheckPredicate1,  // Predicate_sextloadi8
/*  6935*/      OPC_CheckPatternPredicate2, // (Subtarget->hasAddr64())
/*  6936*/      OPC_CheckComplexPat1, /*#*/1, // SelectAddrOperands64:$ #2 #3
/*  6938*/      OPC_EmitMergeInputChains1_0,
/*  6939*/      OPC_EmitInteger32, 0,  // 0 #4
/*  6941*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD8_S_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    /*MVT::i64*/8, 3/*#Ops*/, 4, 2, 3, 
                // Src: (ld:{ *:[i64] } (AddrOps64:{ *:[i64] } offset64_op:{ *:[i64] }:$offset, I64:{ *:[i64] }:$addr))<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadi8>> - Complexity = 13
                // Dst: (LOAD8_S_I64_A64:{ *:[i64] } 0:{ *:[i32] }, offset64_op:{ *:[i64] }:$offset, I64:{ *:[i64] }:$addr)
/*  6950*/     /*Scope*/ 16, /*->6967*/
/*  6951*/      OPC_CheckPredicate2,  // Predicate_sextloadi16
/*  6952*/      OPC_CheckPatternPredicate2, // (Subtarget->hasAddr64())
/*  6953*/      OPC_CheckComplexPat1, /*#*/1, // SelectAddrOperands64:$ #2 #3
/*  6955*/      OPC_EmitMergeInputChains1_0,
/*  6956*/      OPC_EmitInteger32, 0,  // 0 #4
/*  6958*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD16_S_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    /*MVT::i64*/8, 3/*#Ops*/, 4, 2, 3, 
                // Src: (ld:{ *:[i64] } (AddrOps64:{ *:[i64] } offset64_op:{ *:[i64] }:$offset, I64:{ *:[i64] }:$addr))<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadi16>> - Complexity = 13
                // Dst: (LOAD16_S_I64_A64:{ *:[i64] } 0:{ *:[i32] }, offset64_op:{ *:[i64] }:$offset, I64:{ *:[i64] }:$addr)
/*  6967*/     /*Scope*/ 16, /*->6984*/
/*  6968*/      OPC_CheckPredicate3,  // Predicate_sextloadi32
/*  6969*/      OPC_CheckPatternPredicate2, // (Subtarget->hasAddr64())
/*  6970*/      OPC_CheckComplexPat1, /*#*/1, // SelectAddrOperands64:$ #2 #3
/*  6972*/      OPC_EmitMergeInputChains1_0,
/*  6973*/      OPC_EmitInteger32, 0,  // 0 #4
/*  6975*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD32_S_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    /*MVT::i64*/8, 3/*#Ops*/, 4, 2, 3, 
                // Src: (ld:{ *:[i64] } (AddrOps64:{ *:[i64] } offset64_op:{ *:[i64] }:$offset, I64:{ *:[i64] }:$addr))<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadi32>> - Complexity = 13
                // Dst: (LOAD32_S_I64_A64:{ *:[i64] } 0:{ *:[i32] }, offset64_op:{ *:[i64] }:$offset, I64:{ *:[i64] }:$addr)
/*  6984*/     0, /*End of Scope*/
/*  6985*/    0, // EndSwitchType
/*  6986*/   /*Scope*/ 97, /*->7084*/
/*  6987*/    OPC_CheckPredicate, 18, // Predicate_zextload
/*  6989*/    OPC_SwitchType /*2 cases */, 36, /*MVT::i32*/7, // ->7028
/*  6992*/     OPC_Scope, 16, /*->7010*/ // 2 children in Scope
/*  6994*/      OPC_CheckPredicate1,  // Predicate_zextloadi8
/*  6995*/      OPC_CheckPatternPredicate2, // (Subtarget->hasAddr64())
/*  6996*/      OPC_CheckComplexPat1, /*#*/1, // SelectAddrOperands64:$ #2 #3
/*  6998*/      OPC_EmitMergeInputChains1_0,
/*  6999*/      OPC_EmitInteger32, 0,  // 0 #4
/*  7001*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD8_U_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    /*MVT::i32*/7, 3/*#Ops*/, 4, 2, 3, 
                // Src: (ld:{ *:[i32] } (AddrOps64:{ *:[i64] } offset64_op:{ *:[i64] }:$offset, I64:{ *:[i64] }:$addr))<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi8>> - Complexity = 13
                // Dst: (LOAD8_U_I32_A64:{ *:[i32] } 0:{ *:[i32] }, offset64_op:{ *:[i64] }:$offset, I64:{ *:[i64] }:$addr)
/*  7010*/     /*Scope*/ 16, /*->7027*/
/*  7011*/      OPC_CheckPredicate2,  // Predicate_zextloadi16
/*  7012*/      OPC_CheckPatternPredicate2, // (Subtarget->hasAddr64())
/*  7013*/      OPC_CheckComplexPat1, /*#*/1, // SelectAddrOperands64:$ #2 #3
/*  7015*/      OPC_EmitMergeInputChains1_0,
/*  7016*/      OPC_EmitInteger32, 0,  // 0 #4
/*  7018*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD16_U_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    /*MVT::i32*/7, 3/*#Ops*/, 4, 2, 3, 
                // Src: (ld:{ *:[i32] } (AddrOps64:{ *:[i64] } offset64_op:{ *:[i64] }:$offset, I64:{ *:[i64] }:$addr))<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi16>> - Complexity = 13
                // Dst: (LOAD16_U_I32_A64:{ *:[i32] } 0:{ *:[i32] }, offset64_op:{ *:[i64] }:$offset, I64:{ *:[i64] }:$addr)
/*  7027*/     0, /*End of Scope*/
/*  7028*/    /*SwitchType*/ 53, /*MVT::i64*/8, // ->7083
/*  7030*/     OPC_Scope, 16, /*->7048*/ // 3 children in Scope
/*  7032*/      OPC_CheckPredicate1,  // Predicate_zextloadi8
/*  7033*/      OPC_CheckPatternPredicate2, // (Subtarget->hasAddr64())
/*  7034*/      OPC_CheckComplexPat1, /*#*/1, // SelectAddrOperands64:$ #2 #3
/*  7036*/      OPC_EmitMergeInputChains1_0,
/*  7037*/      OPC_EmitInteger32, 0,  // 0 #4
/*  7039*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD8_U_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    /*MVT::i64*/8, 3/*#Ops*/, 4, 2, 3, 
                // Src: (ld:{ *:[i64] } (AddrOps64:{ *:[i64] } offset64_op:{ *:[i64] }:$offset, I64:{ *:[i64] }:$addr))<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi8>> - Complexity = 13
                // Dst: (LOAD8_U_I64_A64:{ *:[i64] } 0:{ *:[i32] }, offset64_op:{ *:[i64] }:$offset, I64:{ *:[i64] }:$addr)
/*  7048*/     /*Scope*/ 16, /*->7065*/
/*  7049*/      OPC_CheckPredicate2,  // Predicate_zextloadi16
/*  7050*/      OPC_CheckPatternPredicate2, // (Subtarget->hasAddr64())
/*  7051*/      OPC_CheckComplexPat1, /*#*/1, // SelectAddrOperands64:$ #2 #3
/*  7053*/      OPC_EmitMergeInputChains1_0,
/*  7054*/      OPC_EmitInteger32, 0,  // 0 #4
/*  7056*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD16_U_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    /*MVT::i64*/8, 3/*#Ops*/, 4, 2, 3, 
                // Src: (ld:{ *:[i64] } (AddrOps64:{ *:[i64] } offset64_op:{ *:[i64] }:$offset, I64:{ *:[i64] }:$addr))<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi16>> - Complexity = 13
                // Dst: (LOAD16_U_I64_A64:{ *:[i64] } 0:{ *:[i32] }, offset64_op:{ *:[i64] }:$offset, I64:{ *:[i64] }:$addr)
/*  7065*/     /*Scope*/ 16, /*->7082*/
/*  7066*/      OPC_CheckPredicate3,  // Predicate_zextloadi32
/*  7067*/      OPC_CheckPatternPredicate2, // (Subtarget->hasAddr64())
/*  7068*/      OPC_CheckComplexPat1, /*#*/1, // SelectAddrOperands64:$ #2 #3
/*  7070*/      OPC_EmitMergeInputChains1_0,
/*  7071*/      OPC_EmitInteger32, 0,  // 0 #4
/*  7073*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD32_U_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    /*MVT::i64*/8, 3/*#Ops*/, 4, 2, 3, 
                // Src: (ld:{ *:[i64] } (AddrOps64:{ *:[i64] } offset64_op:{ *:[i64] }:$offset, I64:{ *:[i64] }:$addr))<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi32>> - Complexity = 13
                // Dst: (LOAD32_U_I64_A64:{ *:[i64] } 0:{ *:[i32] }, offset64_op:{ *:[i64] }:$offset, I64:{ *:[i64] }:$addr)
/*  7082*/     0, /*End of Scope*/
/*  7083*/    0, // EndSwitchType
/*  7084*/   /*Scope*/ 97, /*->7182*/
/*  7085*/    OPC_CheckPredicate, 10, // Predicate_extload
/*  7087*/    OPC_SwitchType /*2 cases */, 36, /*MVT::i32*/7, // ->7126
/*  7090*/     OPC_Scope, 16, /*->7108*/ // 2 children in Scope
/*  7092*/      OPC_CheckPredicate1,  // Predicate_extloadi8
/*  7093*/      OPC_CheckPatternPredicate2, // (Subtarget->hasAddr64())
/*  7094*/      OPC_CheckComplexPat1, /*#*/1, // SelectAddrOperands64:$ #2 #3
/*  7096*/      OPC_EmitMergeInputChains1_0,
/*  7097*/      OPC_EmitInteger32, 0,  // 0 #4
/*  7099*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD8_U_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    /*MVT::i32*/7, 3/*#Ops*/, 4, 2, 3, 
                // Src: (ld:{ *:[i32] } (AddrOps64:{ *:[i64] } offset64_op:{ *:[i64] }:$offset, I64:{ *:[i64] }:$addr))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi8>> - Complexity = 13
                // Dst: (LOAD8_U_I32_A64:{ *:[i32] } 0:{ *:[i32] }, offset64_op:{ *:[i64] }:$offset, I64:{ *:[i64] }:$addr)
/*  7108*/     /*Scope*/ 16, /*->7125*/
/*  7109*/      OPC_CheckPredicate2,  // Predicate_extloadi16
/*  7110*/      OPC_CheckPatternPredicate2, // (Subtarget->hasAddr64())
/*  7111*/      OPC_CheckComplexPat1, /*#*/1, // SelectAddrOperands64:$ #2 #3
/*  7113*/      OPC_EmitMergeInputChains1_0,
/*  7114*/      OPC_EmitInteger32, 0,  // 0 #4
/*  7116*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD16_U_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    /*MVT::i32*/7, 3/*#Ops*/, 4, 2, 3, 
                // Src: (ld:{ *:[i32] } (AddrOps64:{ *:[i64] } offset64_op:{ *:[i64] }:$offset, I64:{ *:[i64] }:$addr))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi16>> - Complexity = 13
                // Dst: (LOAD16_U_I32_A64:{ *:[i32] } 0:{ *:[i32] }, offset64_op:{ *:[i64] }:$offset, I64:{ *:[i64] }:$addr)
/*  7125*/     0, /*End of Scope*/
/*  7126*/    /*SwitchType*/ 53, /*MVT::i64*/8, // ->7181
/*  7128*/     OPC_Scope, 16, /*->7146*/ // 3 children in Scope
/*  7130*/      OPC_CheckPredicate1,  // Predicate_extloadi8
/*  7131*/      OPC_CheckPatternPredicate2, // (Subtarget->hasAddr64())
/*  7132*/      OPC_CheckComplexPat1, /*#*/1, // SelectAddrOperands64:$ #2 #3
/*  7134*/      OPC_EmitMergeInputChains1_0,
/*  7135*/      OPC_EmitInteger32, 0,  // 0 #4
/*  7137*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD8_U_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    /*MVT::i64*/8, 3/*#Ops*/, 4, 2, 3, 
                // Src: (ld:{ *:[i64] } (AddrOps64:{ *:[i64] } offset64_op:{ *:[i64] }:$offset, I64:{ *:[i64] }:$addr))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi8>> - Complexity = 13
                // Dst: (LOAD8_U_I64_A64:{ *:[i64] } 0:{ *:[i32] }, offset64_op:{ *:[i64] }:$offset, I64:{ *:[i64] }:$addr)
/*  7146*/     /*Scope*/ 16, /*->7163*/
/*  7147*/      OPC_CheckPredicate2,  // Predicate_extloadi16
/*  7148*/      OPC_CheckPatternPredicate2, // (Subtarget->hasAddr64())
/*  7149*/      OPC_CheckComplexPat1, /*#*/1, // SelectAddrOperands64:$ #2 #3
/*  7151*/      OPC_EmitMergeInputChains1_0,
/*  7152*/      OPC_EmitInteger32, 0,  // 0 #4
/*  7154*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD16_U_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    /*MVT::i64*/8, 3/*#Ops*/, 4, 2, 3, 
                // Src: (ld:{ *:[i64] } (AddrOps64:{ *:[i64] } offset64_op:{ *:[i64] }:$offset, I64:{ *:[i64] }:$addr))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi16>> - Complexity = 13
                // Dst: (LOAD16_U_I64_A64:{ *:[i64] } 0:{ *:[i32] }, offset64_op:{ *:[i64] }:$offset, I64:{ *:[i64] }:$addr)
/*  7163*/     /*Scope*/ 16, /*->7180*/
/*  7164*/      OPC_CheckPredicate3,  // Predicate_extloadi32
/*  7165*/      OPC_CheckPatternPredicate2, // (Subtarget->hasAddr64())
/*  7166*/      OPC_CheckComplexPat1, /*#*/1, // SelectAddrOperands64:$ #2 #3
/*  7168*/      OPC_EmitMergeInputChains1_0,
/*  7169*/      OPC_EmitInteger32, 0,  // 0 #4
/*  7171*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD32_U_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    /*MVT::i64*/8, 3/*#Ops*/, 4, 2, 3, 
                // Src: (ld:{ *:[i64] } (AddrOps64:{ *:[i64] } offset64_op:{ *:[i64] }:$offset, I64:{ *:[i64] }:$addr))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi32>> - Complexity = 13
                // Dst: (LOAD32_U_I64_A64:{ *:[i64] } 0:{ *:[i32] }, offset64_op:{ *:[i64] }:$offset, I64:{ *:[i64] }:$addr)
/*  7180*/     0, /*End of Scope*/
/*  7181*/    0, // EndSwitchType
/*  7182*/   /*Scope*/ 105, /*->7288*/
/*  7183*/    OPC_CheckPredicate6,  // Predicate_load
/*  7184*/    OPC_SwitchType /*6 cases */, 15, /*MVT::f32*/12, // ->7202
/*  7187*/     OPC_CheckPatternPredicate2, // (Subtarget->hasAddr64())
/*  7188*/     OPC_CheckComplexPat1, /*#*/1, // SelectAddrOperands64:$ #2 #3
/*  7190*/     OPC_EmitMergeInputChains1_0,
/*  7191*/     OPC_EmitInteger32, 0,  // 0 #4
/*  7193*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_F32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                   /*MVT::f32*/12, 3/*#Ops*/, 4, 2, 3, 
               // Src: (ld:{ *:[f32] } (AddrOps64:{ *:[i64] } offset64_op:{ *:[i64] }:$offset, I64:{ *:[i64] }:$addr))<<P:Predicate_unindexedload>><<P:Predicate_load>> - Complexity = 13
               // Dst: (LOAD_F32_A64:{ *:[f32] } 0:{ *:[i32] }, offset64_op:{ *:[i64] }:$offset, I64:{ *:[i64] }:$addr)
/*  7202*/    /*SwitchType*/ 15, /*MVT::f64*/13, // ->7219
/*  7204*/     OPC_CheckPatternPredicate2, // (Subtarget->hasAddr64())
/*  7205*/     OPC_CheckComplexPat1, /*#*/1, // SelectAddrOperands64:$ #2 #3
/*  7207*/     OPC_EmitMergeInputChains1_0,
/*  7208*/     OPC_EmitInteger32, 0,  // 0 #4
/*  7210*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_F64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                   /*MVT::f64*/13, 3/*#Ops*/, 4, 2, 3, 
               // Src: (ld:{ *:[f64] } (AddrOps64:{ *:[i64] } offset64_op:{ *:[i64] }:$offset, I64:{ *:[i64] }:$addr))<<P:Predicate_unindexedload>><<P:Predicate_load>> - Complexity = 13
               // Dst: (LOAD_F64_A64:{ *:[f64] } 0:{ *:[i32] }, offset64_op:{ *:[i64] }:$offset, I64:{ *:[i64] }:$addr)
/*  7219*/    /*SwitchType*/ 15, /*MVT::v16i8*/40, // ->7236
/*  7221*/     OPC_CheckPatternPredicate2, // (Subtarget->hasAddr64())
/*  7222*/     OPC_CheckComplexPat1, /*#*/1, // SelectAddrOperands64:$ #2 #3
/*  7224*/     OPC_EmitMergeInputChains1_0,
/*  7225*/     OPC_EmitInteger32, 0,  // 0 #4
/*  7227*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_V128_A64), 0|OPFL_Chain|OPFL_MemRefs,
                   /*MVT::v16i8*/40, 3/*#Ops*/, 4, 2, 3, 
               // Src: (ld:{ *:[v16i8] } (AddrOps64:{ *:[i64] } offset64_op:{ *:[i64] }:$offset, I64:{ *:[i64] }:$addr))<<P:Predicate_unindexedload>><<P:Predicate_load>> - Complexity = 13
               // Dst: (LOAD_V128_A64:{ *:[v16i8] } 0:{ *:[i32] }, offset64_op:{ *:[i64] }:$offset, I64:{ *:[i64] }:$addr)
/*  7236*/    /*SwitchType*/ 15, /*MVT::v8i16*/51, // ->7253
/*  7238*/     OPC_CheckPatternPredicate2, // (Subtarget->hasAddr64())
/*  7239*/     OPC_CheckComplexPat1, /*#*/1, // SelectAddrOperands64:$ #2 #3
/*  7241*/     OPC_EmitMergeInputChains1_0,
/*  7242*/     OPC_EmitInteger32, 0,  // 0 #4
/*  7244*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_V128_A64), 0|OPFL_Chain|OPFL_MemRefs,
                   /*MVT::v8i16*/51, 3/*#Ops*/, 4, 2, 3, 
               // Src: (ld:{ *:[v8i16] } (AddrOps64:{ *:[i64] } offset64_op:{ *:[i64] }:$offset, I64:{ *:[i64] }:$addr))<<P:Predicate_unindexedload>><<P:Predicate_load>> - Complexity = 13
               // Dst: (LOAD_V128_A64:{ *:[v8i16] } 0:{ *:[i32] }, offset64_op:{ *:[i64] }:$offset, I64:{ *:[i64] }:$addr)
/*  7253*/    /*SwitchType*/ 15, /*MVT::v4i32*/62, // ->7270
/*  7255*/     OPC_CheckPatternPredicate2, // (Subtarget->hasAddr64())
/*  7256*/     OPC_CheckComplexPat1, /*#*/1, // SelectAddrOperands64:$ #2 #3
/*  7258*/     OPC_EmitMergeInputChains1_0,
/*  7259*/     OPC_EmitInteger32, 0,  // 0 #4
/*  7261*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_V128_A64), 0|OPFL_Chain|OPFL_MemRefs,
                   /*MVT::v4i32*/62, 3/*#Ops*/, 4, 2, 3, 
               // Src: (ld:{ *:[v4i32] } (AddrOps64:{ *:[i64] } offset64_op:{ *:[i64] }:$offset, I64:{ *:[i64] }:$addr))<<P:Predicate_unindexedload>><<P:Predicate_load>> - Complexity = 13
               // Dst: (LOAD_V128_A64:{ *:[v4i32] } 0:{ *:[i32] }, offset64_op:{ *:[i64] }:$offset, I64:{ *:[i64] }:$addr)
/*  7270*/    /*SwitchType*/ 15, /*MVT::v2i64*/81, // ->7287
/*  7272*/     OPC_CheckPatternPredicate2, // (Subtarget->hasAddr64())
/*  7273*/     OPC_CheckComplexPat1, /*#*/1, // SelectAddrOperands64:$ #2 #3
/*  7275*/     OPC_EmitMergeInputChains1_0,
/*  7276*/     OPC_EmitInteger32, 0,  // 0 #4
/*  7278*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_V128_A64), 0|OPFL_Chain|OPFL_MemRefs,
                   /*MVT::v2i64*/81, 3/*#Ops*/, 4, 2, 3, 
               // Src: (ld:{ *:[v2i64] } (AddrOps64:{ *:[i64] } offset64_op:{ *:[i64] }:$offset, I64:{ *:[i64] }:$addr))<<P:Predicate_unindexedload>><<P:Predicate_load>> - Complexity = 13
               // Dst: (LOAD_V128_A64:{ *:[v2i64] } 0:{ *:[i32] }, offset64_op:{ *:[i64] }:$offset, I64:{ *:[i64] }:$addr)
/*  7287*/    0, // EndSwitchType
/*  7288*/   /*Scope*/ 21, /*->7310*/
/*  7289*/    OPC_CheckPredicate, 17, // Predicate_sextload
/*  7291*/    OPC_CheckPredicate, 21, // Predicate_sextloadvi8
/*  7293*/    OPC_CheckType, /*MVT::v8i16*/51, 
/*  7295*/    OPC_CheckPatternPredicate2, // (Subtarget->hasAddr64())
/*  7296*/    OPC_CheckComplexPat1, /*#*/1, // SelectAddrOperands64:$ #2 #3
/*  7298*/    OPC_EmitMergeInputChains1_0,
/*  7299*/    OPC_EmitInteger32, 0,  // 0 #4
/*  7301*/    OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_EXTEND_S_I16x8_A64), 0|OPFL_Chain|OPFL_MemRefs,
                  /*MVT::v8i16*/51, 3/*#Ops*/, 4, 2, 3, 
              // Src: (ld:{ *:[v8i16] } (AddrOps64:{ *:[i64] } offset64_op:{ *:[i64] }:$offset, I64:{ *:[i64] }:$addr))<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadvi8>> - Complexity = 13
              // Dst: (LOAD_EXTEND_S_I16x8_A64:{ *:[v8i16] } 0:{ *:[i32] }, offset64_op:{ *:[i64] }:$offset, I64:{ *:[i64] }:$addr)
/*  7310*/   /*Scope*/ 21, /*->7332*/
/*  7311*/    OPC_CheckPredicate, 18, // Predicate_zextload
/*  7313*/    OPC_CheckPredicate, 21, // Predicate_zextloadvi8
/*  7315*/    OPC_CheckType, /*MVT::v8i16*/51, 
/*  7317*/    OPC_CheckPatternPredicate2, // (Subtarget->hasAddr64())
/*  7318*/    OPC_CheckComplexPat1, /*#*/1, // SelectAddrOperands64:$ #2 #3
/*  7320*/    OPC_EmitMergeInputChains1_0,
/*  7321*/    OPC_EmitInteger32, 0,  // 0 #4
/*  7323*/    OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_EXTEND_U_I16x8_A64), 0|OPFL_Chain|OPFL_MemRefs,
                  /*MVT::v8i16*/51, 3/*#Ops*/, 4, 2, 3, 
              // Src: (ld:{ *:[v8i16] } (AddrOps64:{ *:[i64] } offset64_op:{ *:[i64] }:$offset, I64:{ *:[i64] }:$addr))<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadvi8>> - Complexity = 13
              // Dst: (LOAD_EXTEND_U_I16x8_A64:{ *:[v8i16] } 0:{ *:[i32] }, offset64_op:{ *:[i64] }:$offset, I64:{ *:[i64] }:$addr)
/*  7332*/   /*Scope*/ 21, /*->7354*/
/*  7333*/    OPC_CheckPredicate, 10, // Predicate_extload
/*  7335*/    OPC_CheckPredicate, 21, // Predicate_extloadvi8
/*  7337*/    OPC_CheckType, /*MVT::v8i16*/51, 
/*  7339*/    OPC_CheckPatternPredicate2, // (Subtarget->hasAddr64())
/*  7340*/    OPC_CheckComplexPat1, /*#*/1, // SelectAddrOperands64:$ #2 #3
/*  7342*/    OPC_EmitMergeInputChains1_0,
/*  7343*/    OPC_EmitInteger32, 0,  // 0 #4
/*  7345*/    OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_EXTEND_U_I16x8_A64), 0|OPFL_Chain|OPFL_MemRefs,
                  /*MVT::v8i16*/51, 3/*#Ops*/, 4, 2, 3, 
              // Src: (ld:{ *:[v8i16] } (AddrOps64:{ *:[i64] } offset64_op:{ *:[i64] }:$offset, I64:{ *:[i64] }:$addr))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadvi8>> - Complexity = 13
              // Dst: (LOAD_EXTEND_U_I16x8_A64:{ *:[v8i16] } 0:{ *:[i32] }, offset64_op:{ *:[i64] }:$offset, I64:{ *:[i64] }:$addr)
/*  7354*/   /*Scope*/ 21, /*->7376*/
/*  7355*/    OPC_CheckPredicate, 17, // Predicate_sextload
/*  7357*/    OPC_CheckPredicate, 22, // Predicate_sextloadvi16
/*  7359*/    OPC_CheckType, /*MVT::v4i32*/62, 
/*  7361*/    OPC_CheckPatternPredicate2, // (Subtarget->hasAddr64())
/*  7362*/    OPC_CheckComplexPat1, /*#*/1, // SelectAddrOperands64:$ #2 #3
/*  7364*/    OPC_EmitMergeInputChains1_0,
/*  7365*/    OPC_EmitInteger32, 0,  // 0 #4
/*  7367*/    OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_EXTEND_S_I32x4_A64), 0|OPFL_Chain|OPFL_MemRefs,
                  /*MVT::v4i32*/62, 3/*#Ops*/, 4, 2, 3, 
              // Src: (ld:{ *:[v4i32] } (AddrOps64:{ *:[i64] } offset64_op:{ *:[i64] }:$offset, I64:{ *:[i64] }:$addr))<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadvi16>> - Complexity = 13
              // Dst: (LOAD_EXTEND_S_I32x4_A64:{ *:[v4i32] } 0:{ *:[i32] }, offset64_op:{ *:[i64] }:$offset, I64:{ *:[i64] }:$addr)
/*  7376*/   /*Scope*/ 21, /*->7398*/
/*  7377*/    OPC_CheckPredicate, 18, // Predicate_zextload
/*  7379*/    OPC_CheckPredicate, 22, // Predicate_zextloadvi16
/*  7381*/    OPC_CheckType, /*MVT::v4i32*/62, 
/*  7383*/    OPC_CheckPatternPredicate2, // (Subtarget->hasAddr64())
/*  7384*/    OPC_CheckComplexPat1, /*#*/1, // SelectAddrOperands64:$ #2 #3
/*  7386*/    OPC_EmitMergeInputChains1_0,
/*  7387*/    OPC_EmitInteger32, 0,  // 0 #4
/*  7389*/    OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_EXTEND_U_I32x4_A64), 0|OPFL_Chain|OPFL_MemRefs,
                  /*MVT::v4i32*/62, 3/*#Ops*/, 4, 2, 3, 
              // Src: (ld:{ *:[v4i32] } (AddrOps64:{ *:[i64] } offset64_op:{ *:[i64] }:$offset, I64:{ *:[i64] }:$addr))<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadvi16>> - Complexity = 13
              // Dst: (LOAD_EXTEND_U_I32x4_A64:{ *:[v4i32] } 0:{ *:[i32] }, offset64_op:{ *:[i64] }:$offset, I64:{ *:[i64] }:$addr)
/*  7398*/   /*Scope*/ 21, /*->7420*/
/*  7399*/    OPC_CheckPredicate, 10, // Predicate_extload
/*  7401*/    OPC_CheckPredicate, 22, // Predicate_extloadvi16
/*  7403*/    OPC_CheckType, /*MVT::v4i32*/62, 
/*  7405*/    OPC_CheckPatternPredicate2, // (Subtarget->hasAddr64())
/*  7406*/    OPC_CheckComplexPat1, /*#*/1, // SelectAddrOperands64:$ #2 #3
/*  7408*/    OPC_EmitMergeInputChains1_0,
/*  7409*/    OPC_EmitInteger32, 0,  // 0 #4
/*  7411*/    OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_EXTEND_U_I32x4_A64), 0|OPFL_Chain|OPFL_MemRefs,
                  /*MVT::v4i32*/62, 3/*#Ops*/, 4, 2, 3, 
              // Src: (ld:{ *:[v4i32] } (AddrOps64:{ *:[i64] } offset64_op:{ *:[i64] }:$offset, I64:{ *:[i64] }:$addr))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadvi16>> - Complexity = 13
              // Dst: (LOAD_EXTEND_U_I32x4_A64:{ *:[v4i32] } 0:{ *:[i32] }, offset64_op:{ *:[i64] }:$offset, I64:{ *:[i64] }:$addr)
/*  7420*/   /*Scope*/ 21, /*->7442*/
/*  7421*/    OPC_CheckPredicate, 17, // Predicate_sextload
/*  7423*/    OPC_CheckPredicate, 23, // Predicate_sextloadvi32
/*  7425*/    OPC_CheckType, /*MVT::v2i64*/81, 
/*  7427*/    OPC_CheckPatternPredicate2, // (Subtarget->hasAddr64())
/*  7428*/    OPC_CheckComplexPat1, /*#*/1, // SelectAddrOperands64:$ #2 #3
/*  7430*/    OPC_EmitMergeInputChains1_0,
/*  7431*/    OPC_EmitInteger32, 0,  // 0 #4
/*  7433*/    OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_EXTEND_S_I64x2_A64), 0|OPFL_Chain|OPFL_MemRefs,
                  /*MVT::v2i64*/81, 3/*#Ops*/, 4, 2, 3, 
              // Src: (ld:{ *:[v2i64] } (AddrOps64:{ *:[i64] } offset64_op:{ *:[i64] }:$offset, I64:{ *:[i64] }:$addr))<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadvi32>> - Complexity = 13
              // Dst: (LOAD_EXTEND_S_I64x2_A64:{ *:[v2i64] } 0:{ *:[i32] }, offset64_op:{ *:[i64] }:$offset, I64:{ *:[i64] }:$addr)
/*  7442*/   /*Scope*/ 21, /*->7464*/
/*  7443*/    OPC_CheckPredicate, 18, // Predicate_zextload
/*  7445*/    OPC_CheckPredicate, 23, // Predicate_zextloadvi32
/*  7447*/    OPC_CheckType, /*MVT::v2i64*/81, 
/*  7449*/    OPC_CheckPatternPredicate2, // (Subtarget->hasAddr64())
/*  7450*/    OPC_CheckComplexPat1, /*#*/1, // SelectAddrOperands64:$ #2 #3
/*  7452*/    OPC_EmitMergeInputChains1_0,
/*  7453*/    OPC_EmitInteger32, 0,  // 0 #4
/*  7455*/    OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_EXTEND_U_I64x2_A64), 0|OPFL_Chain|OPFL_MemRefs,
                  /*MVT::v2i64*/81, 3/*#Ops*/, 4, 2, 3, 
              // Src: (ld:{ *:[v2i64] } (AddrOps64:{ *:[i64] } offset64_op:{ *:[i64] }:$offset, I64:{ *:[i64] }:$addr))<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadvi32>> - Complexity = 13
              // Dst: (LOAD_EXTEND_U_I64x2_A64:{ *:[v2i64] } 0:{ *:[i32] }, offset64_op:{ *:[i64] }:$offset, I64:{ *:[i64] }:$addr)
/*  7464*/   /*Scope*/ 21, /*->7486*/
/*  7465*/    OPC_CheckPredicate, 10, // Predicate_extload
/*  7467*/    OPC_CheckPredicate, 23, // Predicate_extloadvi32
/*  7469*/    OPC_CheckType, /*MVT::v2i64*/81, 
/*  7471*/    OPC_CheckPatternPredicate2, // (Subtarget->hasAddr64())
/*  7472*/    OPC_CheckComplexPat1, /*#*/1, // SelectAddrOperands64:$ #2 #3
/*  7474*/    OPC_EmitMergeInputChains1_0,
/*  7475*/    OPC_EmitInteger32, 0,  // 0 #4
/*  7477*/    OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_EXTEND_U_I64x2_A64), 0|OPFL_Chain|OPFL_MemRefs,
                  /*MVT::v2i64*/81, 3/*#Ops*/, 4, 2, 3, 
              // Src: (ld:{ *:[v2i64] } (AddrOps64:{ *:[i64] } offset64_op:{ *:[i64] }:$offset, I64:{ *:[i64] }:$addr))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadvi32>> - Complexity = 13
              // Dst: (LOAD_EXTEND_U_I64x2_A64:{ *:[v2i64] } 0:{ *:[i32] }, offset64_op:{ *:[i64] }:$offset, I64:{ *:[i64] }:$addr)
/*  7486*/   /*Scope*/ 56, /*->7543*/
/*  7487*/    OPC_CheckPredicate6,  // Predicate_load
/*  7488*/    OPC_SwitchType /*3 cases */, 15, /*MVT::v4f32*/116, // ->7506
/*  7491*/     OPC_CheckPatternPredicate2, // (Subtarget->hasAddr64())
/*  7492*/     OPC_CheckComplexPat1, /*#*/1, // SelectAddrOperands64:$ #2 #3
/*  7494*/     OPC_EmitMergeInputChains1_0,
/*  7495*/     OPC_EmitInteger32, 0,  // 0 #4
/*  7497*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_V128_A64), 0|OPFL_Chain|OPFL_MemRefs,
                   /*MVT::v4f32*/116, 3/*#Ops*/, 4, 2, 3, 
               // Src: (ld:{ *:[v4f32] } (AddrOps64:{ *:[i64] } offset64_op:{ *:[i64] }:$offset, I64:{ *:[i64] }:$addr))<<P:Predicate_unindexedload>><<P:Predicate_load>> - Complexity = 13
               // Dst: (LOAD_V128_A64:{ *:[v4f32] } 0:{ *:[i32] }, offset64_op:{ *:[i64] }:$offset, I64:{ *:[i64] }:$addr)
/*  7506*/    /*SwitchType*/ 16, /*MVT::v2f64*/6|128,1/*134*/, // ->7525
/*  7509*/     OPC_CheckPatternPredicate2, // (Subtarget->hasAddr64())
/*  7510*/     OPC_CheckComplexPat1, /*#*/1, // SelectAddrOperands64:$ #2 #3
/*  7512*/     OPC_EmitMergeInputChains1_0,
/*  7513*/     OPC_EmitInteger32, 0,  // 0 #4
/*  7515*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_V128_A64), 0|OPFL_Chain|OPFL_MemRefs,
                   /*MVT::v2f64*/6|128,1/*134*/, 3/*#Ops*/, 4, 2, 3, 
               // Src: (ld:{ *:[v2f64] } (AddrOps64:{ *:[i64] } offset64_op:{ *:[i64] }:$offset, I64:{ *:[i64] }:$addr))<<P:Predicate_unindexedload>><<P:Predicate_load>> - Complexity = 13
               // Dst: (LOAD_V128_A64:{ *:[v2f64] } 0:{ *:[i32] }, offset64_op:{ *:[i64] }:$offset, I64:{ *:[i64] }:$addr)
/*  7525*/    /*SwitchType*/ 15, /*MVT::v8f16*/95, // ->7542
/*  7527*/     OPC_CheckPatternPredicate2, // (Subtarget->hasAddr64())
/*  7528*/     OPC_CheckComplexPat1, /*#*/1, // SelectAddrOperands64:$ #2 #3
/*  7530*/     OPC_EmitMergeInputChains1_0,
/*  7531*/     OPC_EmitInteger32, 0,  // 0 #4
/*  7533*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_V128_A64), 0|OPFL_Chain|OPFL_MemRefs,
                   /*MVT::v8f16*/95, 3/*#Ops*/, 4, 2, 3, 
               // Src: (ld:{ *:[v8f16] } (AddrOps64:{ *:[i64] } offset64_op:{ *:[i64] }:$offset, I64:{ *:[i64] }:$addr))<<P:Predicate_unindexedload>><<P:Predicate_load>> - Complexity = 13
               // Dst: (LOAD_V128_A64:{ *:[v8f16] } 0:{ *:[i32] }, offset64_op:{ *:[i64] }:$offset, I64:{ *:[i64] }:$addr)
/*  7542*/    0, // EndSwitchType
/*  7543*/   /*Scope*/ 30, /*->7574*/
/*  7544*/    OPC_CheckPredicate, 10, // Predicate_extload
/*  7546*/    OPC_CheckType, /*MVT::v2f64*/6|128,1/*134*/, 
/*  7549*/    OPC_CheckPatternPredicate2, // (Subtarget->hasAddr64())
/*  7550*/    OPC_EmitMergeInputChains1_0,
/*  7551*/    OPC_EmitInteger32, 0,  // 0 #2
/*  7553*/    OPC_EmitInteger64, 0,  // 0 #3
/*  7555*/    OPC_EmitNode1, TARGET_VAL(WebAssembly::LOAD_ZERO_64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                  /*MVT::v16i8*/40, 3/*#Ops*/, 2, 3, 1,  // Results = #4
/*  7564*/    OPC_EmitNode1None, TARGET_VAL(WebAssembly::promote_low_F64x2),
                  /*MVT::v2f64*/6|128,1/*134*/, 1/*#Ops*/, 4,  // Results = #5
/*  7571*/    OPC_CompleteMatch, 1, 5, 
               // Src: (ld:{ *:[v2f64] } I64:{ *:[i64] }:$addr)<<P:Predicate_unindexedload>><<P:Predicate_extload>> - Complexity = 4
               // Dst: (promote_low_F64x2:{ *:[v2f64] } (LOAD_ZERO_64_A64:{ *:[v16i8] } 0:{ *:[i32] }, 0:{ *:[i64] }, I64:{ *:[i64] }:$addr))
/*  7574*/   0, /*End of Scope*/
/*  7575*/  0, /*End of Scope*/
/*  7576*/ /*SwitchOpcode*/ 47|128,1/*175*/, TARGET_VAL(ISD::ATOMIC_LOAD),// ->7755
/*  7580*/  OPC_RecordMemRef,
/*  7581*/  OPC_RecordNode, // #0 = 'atomic_load' chained node
/*  7582*/  OPC_RecordChild1, // #1 = $AddrOps32:offset:addr
/*  7583*/  OPC_Scope, 84, /*->7669*/ // 2 children in Scope
/*  7585*/   OPC_CheckChild1TypeI32,
/*  7586*/   OPC_Scope, 40, /*->7628*/ // 2 children in Scope
/*  7588*/    OPC_CheckPredicate, 24, // Predicate_atomic_load_nonext
/*  7590*/    OPC_SwitchType /*2 cases */, 16, /*MVT::i32*/7, // ->7609
/*  7593*/     OPC_CheckPredicate3,  // Predicate_atomic_load_nonext_32
/*  7594*/     OPC_CheckPatternPredicate1, // (!Subtarget->hasAddr64())
/*  7595*/     OPC_CheckComplexPat0, /*#*/1, // SelectAddrOperands32:$ #2 #3
/*  7597*/     OPC_EmitMergeInputChains1_0,
/*  7598*/     OPC_EmitInteger32, 0,  // 0 #4
/*  7600*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_LOAD_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                   /*MVT::i32*/7, 3/*#Ops*/, 4, 2, 3, 
               // Src: (atomic_load:{ *:[i32] } (AddrOps32:{ *:[i32] } offset32_op:{ *:[i32] }:$offset, I32:{ *:[i32] }:$addr))<<P:Predicate_atomic_load_nonext>><<P:Predicate_atomic_load_nonext_32>> - Complexity = 13
               // Dst: (ATOMIC_LOAD_I32_A32:{ *:[i32] } 0:{ *:[i32] }, offset32_op:{ *:[i32] }:$offset, I32:{ *:[i32] }:$addr)
/*  7609*/    /*SwitchType*/ 16, /*MVT::i64*/8, // ->7627
/*  7611*/     OPC_CheckPredicate7,  // Predicate_atomic_load_nonext_64
/*  7612*/     OPC_CheckPatternPredicate1, // (!Subtarget->hasAddr64())
/*  7613*/     OPC_CheckComplexPat0, /*#*/1, // SelectAddrOperands32:$ #2 #3
/*  7615*/     OPC_EmitMergeInputChains1_0,
/*  7616*/     OPC_EmitInteger32, 0,  // 0 #4
/*  7618*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_LOAD_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                   /*MVT::i64*/8, 3/*#Ops*/, 4, 2, 3, 
               // Src: (atomic_load:{ *:[i64] } (AddrOps32:{ *:[i32] } offset32_op:{ *:[i32] }:$offset, I32:{ *:[i32] }:$addr))<<P:Predicate_atomic_load_nonext>><<P:Predicate_atomic_load_nonext_64>> - Complexity = 13
               // Dst: (ATOMIC_LOAD_I64_A32:{ *:[i64] } 0:{ *:[i32] }, offset32_op:{ *:[i32] }:$offset, I32:{ *:[i32] }:$addr)
/*  7627*/    0, // EndSwitchType
/*  7628*/   /*Scope*/ 39, /*->7668*/
/*  7629*/    OPC_CheckPredicate, 13, // Predicate_atomic_load_zext
/*  7631*/    OPC_CheckTypeI32,
/*  7632*/    OPC_Scope, 16, /*->7650*/ // 2 children in Scope
/*  7634*/     OPC_CheckPredicate1,  // Predicate_atomic_load_zext_8
/*  7635*/     OPC_CheckPatternPredicate1, // (!Subtarget->hasAddr64())
/*  7636*/     OPC_CheckComplexPat0, /*#*/1, // SelectAddrOperands32:$ #2 #3
/*  7638*/     OPC_EmitMergeInputChains1_0,
/*  7639*/     OPC_EmitInteger32, 0,  // 0 #4
/*  7641*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_LOAD8_U_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                   /*MVT::i32*/7, 3/*#Ops*/, 4, 2, 3, 
               // Src: (atomic_load:{ *:[i32] } (AddrOps32:{ *:[i32] } offset32_op:{ *:[i32] }:$offset, I32:{ *:[i32] }:$addr))<<P:Predicate_atomic_load_zext>><<P:Predicate_atomic_load_zext_8>> - Complexity = 13
               // Dst: (ATOMIC_LOAD8_U_I32_A32:{ *:[i32] } 0:{ *:[i32] }, offset32_op:{ *:[i32] }:$offset, I32:{ *:[i32] }:$addr)
/*  7650*/    /*Scope*/ 16, /*->7667*/
/*  7651*/     OPC_CheckPredicate2,  // Predicate_atomic_load_zext_16
/*  7652*/     OPC_CheckPatternPredicate1, // (!Subtarget->hasAddr64())
/*  7653*/     OPC_CheckComplexPat0, /*#*/1, // SelectAddrOperands32:$ #2 #3
/*  7655*/     OPC_EmitMergeInputChains1_0,
/*  7656*/     OPC_EmitInteger32, 0,  // 0 #4
/*  7658*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_LOAD16_U_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                   /*MVT::i32*/7, 3/*#Ops*/, 4, 2, 3, 
               // Src: (atomic_load:{ *:[i32] } (AddrOps32:{ *:[i32] } offset32_op:{ *:[i32] }:$offset, I32:{ *:[i32] }:$addr))<<P:Predicate_atomic_load_zext>><<P:Predicate_atomic_load_zext_16>> - Complexity = 13
               // Dst: (ATOMIC_LOAD16_U_I32_A32:{ *:[i32] } 0:{ *:[i32] }, offset32_op:{ *:[i32] }:$offset, I32:{ *:[i32] }:$addr)
/*  7667*/    0, /*End of Scope*/
/*  7668*/   0, /*End of Scope*/
/*  7669*/  /*Scope*/ 84, /*->7754*/
/*  7670*/   OPC_CheckChild1TypeI64,
/*  7671*/   OPC_Scope, 40, /*->7713*/ // 2 children in Scope
/*  7673*/    OPC_CheckPredicate, 24, // Predicate_atomic_load_nonext
/*  7675*/    OPC_SwitchType /*2 cases */, 16, /*MVT::i32*/7, // ->7694
/*  7678*/     OPC_CheckPredicate3,  // Predicate_atomic_load_nonext_32
/*  7679*/     OPC_CheckPatternPredicate2, // (Subtarget->hasAddr64())
/*  7680*/     OPC_CheckComplexPat1, /*#*/1, // SelectAddrOperands64:$ #2 #3
/*  7682*/     OPC_EmitMergeInputChains1_0,
/*  7683*/     OPC_EmitInteger32, 0,  // 0 #4
/*  7685*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_LOAD_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                   /*MVT::i32*/7, 3/*#Ops*/, 4, 2, 3, 
               // Src: (atomic_load:{ *:[i32] } (AddrOps64:{ *:[i64] } offset64_op:{ *:[i64] }:$offset, I64:{ *:[i64] }:$addr))<<P:Predicate_atomic_load_nonext>><<P:Predicate_atomic_load_nonext_32>> - Complexity = 13
               // Dst: (ATOMIC_LOAD_I32_A64:{ *:[i32] } 0:{ *:[i32] }, offset64_op:{ *:[i64] }:$offset, I64:{ *:[i64] }:$addr)
/*  7694*/    /*SwitchType*/ 16, /*MVT::i64*/8, // ->7712
/*  7696*/     OPC_CheckPredicate7,  // Predicate_atomic_load_nonext_64
/*  7697*/     OPC_CheckPatternPredicate2, // (Subtarget->hasAddr64())
/*  7698*/     OPC_CheckComplexPat1, /*#*/1, // SelectAddrOperands64:$ #2 #3
/*  7700*/     OPC_EmitMergeInputChains1_0,
/*  7701*/     OPC_EmitInteger32, 0,  // 0 #4
/*  7703*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_LOAD_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                   /*MVT::i64*/8, 3/*#Ops*/, 4, 2, 3, 
               // Src: (atomic_load:{ *:[i64] } (AddrOps64:{ *:[i64] } offset64_op:{ *:[i64] }:$offset, I64:{ *:[i64] }:$addr))<<P:Predicate_atomic_load_nonext>><<P:Predicate_atomic_load_nonext_64>> - Complexity = 13
               // Dst: (ATOMIC_LOAD_I64_A64:{ *:[i64] } 0:{ *:[i32] }, offset64_op:{ *:[i64] }:$offset, I64:{ *:[i64] }:$addr)
/*  7712*/    0, // EndSwitchType
/*  7713*/   /*Scope*/ 39, /*->7753*/
/*  7714*/    OPC_CheckPredicate, 13, // Predicate_atomic_load_zext
/*  7716*/    OPC_CheckTypeI32,
/*  7717*/    OPC_Scope, 16, /*->7735*/ // 2 children in Scope
/*  7719*/     OPC_CheckPredicate1,  // Predicate_atomic_load_zext_8
/*  7720*/     OPC_CheckPatternPredicate2, // (Subtarget->hasAddr64())
/*  7721*/     OPC_CheckComplexPat1, /*#*/1, // SelectAddrOperands64:$ #2 #3
/*  7723*/     OPC_EmitMergeInputChains1_0,
/*  7724*/     OPC_EmitInteger32, 0,  // 0 #4
/*  7726*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_LOAD8_U_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                   /*MVT::i32*/7, 3/*#Ops*/, 4, 2, 3, 
               // Src: (atomic_load:{ *:[i32] } (AddrOps64:{ *:[i64] } offset64_op:{ *:[i64] }:$offset, I64:{ *:[i64] }:$addr))<<P:Predicate_atomic_load_zext>><<P:Predicate_atomic_load_zext_8>> - Complexity = 13
               // Dst: (ATOMIC_LOAD8_U_I32_A64:{ *:[i32] } 0:{ *:[i32] }, offset64_op:{ *:[i64] }:$offset, I64:{ *:[i64] }:$addr)
/*  7735*/    /*Scope*/ 16, /*->7752*/
/*  7736*/     OPC_CheckPredicate2,  // Predicate_atomic_load_zext_16
/*  7737*/     OPC_CheckPatternPredicate2, // (Subtarget->hasAddr64())
/*  7738*/     OPC_CheckComplexPat1, /*#*/1, // SelectAddrOperands64:$ #2 #3
/*  7740*/     OPC_EmitMergeInputChains1_0,
/*  7741*/     OPC_EmitInteger32, 0,  // 0 #4
/*  7743*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_LOAD16_U_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                   /*MVT::i32*/7, 3/*#Ops*/, 4, 2, 3, 
               // Src: (atomic_load:{ *:[i32] } (AddrOps64:{ *:[i64] } offset64_op:{ *:[i64] }:$offset, I64:{ *:[i64] }:$addr))<<P:Predicate_atomic_load_zext>><<P:Predicate_atomic_load_zext_16>> - Complexity = 13
               // Dst: (ATOMIC_LOAD16_U_I32_A64:{ *:[i32] } 0:{ *:[i32] }, offset64_op:{ *:[i64] }:$offset, I64:{ *:[i64] }:$addr)
/*  7752*/    0, /*End of Scope*/
/*  7753*/   0, /*End of Scope*/
/*  7754*/  0, /*End of Scope*/
/*  7755*/ /*SwitchOpcode*/ 113|128,1/*241*/, TARGET_VAL(ISD::ATOMIC_LOAD_ADD),// ->8000
/*  7759*/  OPC_RecordMemRef,
/*  7760*/  OPC_RecordNode, // #0 = 'atomic_load_add' chained node
/*  7761*/  OPC_RecordChild1, // #1 = $AddrOps32:offset:addr
/*  7762*/  OPC_Scope, 117, /*->7881*/ // 2 children in Scope
/*  7764*/   OPC_CheckChild1TypeI32,
/*  7765*/   OPC_RecordChild2, // #2 = $val
/*  7766*/   OPC_SwitchType /*2 cases */, 92, /*MVT::i32*/7, // ->7861
/*  7769*/    OPC_Scope, 17, /*->7788*/ // 5 children in Scope
/*  7771*/     OPC_CheckPredicate3,  // Predicate_atomic_load_add_i32
/*  7772*/     OPC_CheckPatternPredicate3, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  7773*/     OPC_CheckComplexPat0, /*#*/1, // SelectAddrOperands32:$ #3 #4
/*  7775*/     OPC_EmitMergeInputChains1_0,
/*  7776*/     OPC_EmitInteger32, 0,  // 0 #5
/*  7778*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW_ADD_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                   /*MVT::i32*/7, 4/*#Ops*/, 5, 3, 4, 2, 
               // Src: (atomic_load_add:{ *:[i32] } (AddrOps32:{ *:[i32] } offset32_op:{ *:[i32] }:$offset, I32:{ *:[i32] }:$addr), i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_add_i32>> - Complexity = 13
               // Dst: (ATOMIC_RMW_ADD_I32_A32:{ *:[i32] } 0:{ *:[i32] }, ?:{ *:[i32] }:$offset, ?:{ *:[i32] }:$addr, ?:{ *:[i32] }:$val)
/*  7788*/    /*Scope*/ 17, /*->7806*/
/*  7789*/     OPC_CheckPredicate1,  // Predicate_atomic_load_add_i8
/*  7790*/     OPC_CheckPatternPredicate3, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  7791*/     OPC_CheckComplexPat0, /*#*/1, // SelectAddrOperands32:$ #3 #4
/*  7793*/     OPC_EmitMergeInputChains1_0,
/*  7794*/     OPC_EmitInteger32, 0,  // 0 #5
/*  7796*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_ADD_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                   /*MVT::i32*/7, 4/*#Ops*/, 5, 3, 4, 2, 
               // Src: (atomic_load_add:{ *:[i32] } (AddrOps32:{ *:[i32] } offset32_op:{ *:[i32] }:$offset, I32:{ *:[i32] }:$addr), i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_add_i8>> - Complexity = 13
               // Dst: (ATOMIC_RMW8_U_ADD_I32_A32:{ *:[i32] } 0:{ *:[i32] }, ?:{ *:[i32] }:$offset, ?:{ *:[i32] }:$addr, ?:{ *:[i32] }:$val)
/*  7806*/    /*Scope*/ 17, /*->7824*/
/*  7807*/     OPC_CheckPredicate2,  // Predicate_atomic_load_add_i16
/*  7808*/     OPC_CheckPatternPredicate3, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  7809*/     OPC_CheckComplexPat0, /*#*/1, // SelectAddrOperands32:$ #3 #4
/*  7811*/     OPC_EmitMergeInputChains1_0,
/*  7812*/     OPC_EmitInteger32, 0,  // 0 #5
/*  7814*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_ADD_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                   /*MVT::i32*/7, 4/*#Ops*/, 5, 3, 4, 2, 
               // Src: (atomic_load_add:{ *:[i32] } (AddrOps32:{ *:[i32] } offset32_op:{ *:[i32] }:$offset, I32:{ *:[i32] }:$addr), i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_add_i16>> - Complexity = 13
               // Dst: (ATOMIC_RMW16_U_ADD_I32_A32:{ *:[i32] } 0:{ *:[i32] }, ?:{ *:[i32] }:$offset, ?:{ *:[i32] }:$addr, ?:{ *:[i32] }:$val)
/*  7824*/    /*Scope*/ 17, /*->7842*/
/*  7825*/     OPC_CheckPredicate1,  // Predicate_atomic_load_add_i8
/*  7826*/     OPC_CheckPatternPredicate3, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  7827*/     OPC_CheckComplexPat0, /*#*/1, // SelectAddrOperands32:$ #3 #4
/*  7829*/     OPC_EmitMergeInputChains1_0,
/*  7830*/     OPC_EmitInteger32, 0,  // 0 #5
/*  7832*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_ADD_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                   /*MVT::i32*/7, 4/*#Ops*/, 5, 3, 4, 2, 
               // Src: (atomic_load_add:{ *:[i32] } (AddrOps32:{ *:[i32] } offset32_op:{ *:[i32] }:$offset, I32:{ *:[i32] }:$addr), i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_add_i8>> - Complexity = 13
               // Dst: (ATOMIC_RMW8_U_ADD_I32_A32:{ *:[i32] } 0:{ *:[i32] }, ?:{ *:[i32] }:$offset, ?:{ *:[i32] }:$addr, ?:{ *:[i32] }:$val)
/*  7842*/    /*Scope*/ 17, /*->7860*/
/*  7843*/     OPC_CheckPredicate2,  // Predicate_atomic_load_add_i16
/*  7844*/     OPC_CheckPatternPredicate3, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  7845*/     OPC_CheckComplexPat0, /*#*/1, // SelectAddrOperands32:$ #3 #4
/*  7847*/     OPC_EmitMergeInputChains1_0,
/*  7848*/     OPC_EmitInteger32, 0,  // 0 #5
/*  7850*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_ADD_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                   /*MVT::i32*/7, 4/*#Ops*/, 5, 3, 4, 2, 
               // Src: (atomic_load_add:{ *:[i32] } (AddrOps32:{ *:[i32] } offset32_op:{ *:[i32] }:$offset, I32:{ *:[i32] }:$addr), i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_add_i16>> - Complexity = 13
               // Dst: (ATOMIC_RMW16_U_ADD_I32_A32:{ *:[i32] } 0:{ *:[i32] }, ?:{ *:[i32] }:$offset, ?:{ *:[i32] }:$addr, ?:{ *:[i32] }:$val)
/*  7860*/    0, /*End of Scope*/
/*  7861*/   /*SwitchType*/ 17, /*MVT::i64*/8, // ->7880
/*  7863*/    OPC_CheckPredicate7,  // Predicate_atomic_load_add_i64
/*  7864*/    OPC_CheckPatternPredicate3, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  7865*/    OPC_CheckComplexPat0, /*#*/1, // SelectAddrOperands32:$ #3 #4
/*  7867*/    OPC_EmitMergeInputChains1_0,
/*  7868*/    OPC_EmitInteger32, 0,  // 0 #5
/*  7870*/    OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW_ADD_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                  /*MVT::i64*/8, 4/*#Ops*/, 5, 3, 4, 2, 
              // Src: (atomic_load_add:{ *:[i64] } (AddrOps32:{ *:[i32] } offset32_op:{ *:[i32] }:$offset, I32:{ *:[i32] }:$addr), i64:{ *:[i64] }:$val)<<P:Predicate_atomic_load_add_i64>> - Complexity = 13
              // Dst: (ATOMIC_RMW_ADD_I64_A32:{ *:[i64] } 0:{ *:[i32] }, ?:{ *:[i32] }:$offset, ?:{ *:[i32] }:$addr, ?:{ *:[i64] }:$val)
/*  7880*/   0, // EndSwitchType
/*  7881*/  /*Scope*/ 117, /*->7999*/
/*  7882*/   OPC_CheckChild1TypeI64,
/*  7883*/   OPC_RecordChild2, // #2 = $val
/*  7884*/   OPC_SwitchType /*2 cases */, 92, /*MVT::i32*/7, // ->7979
/*  7887*/    OPC_Scope, 17, /*->7906*/ // 5 children in Scope
/*  7889*/     OPC_CheckPredicate3,  // Predicate_atomic_load_add_i32
/*  7890*/     OPC_CheckPatternPredicate4, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  7891*/     OPC_CheckComplexPat1, /*#*/1, // SelectAddrOperands64:$ #3 #4
/*  7893*/     OPC_EmitMergeInputChains1_0,
/*  7894*/     OPC_EmitInteger32, 0,  // 0 #5
/*  7896*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW_ADD_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                   /*MVT::i32*/7, 4/*#Ops*/, 5, 3, 4, 2, 
               // Src: (atomic_load_add:{ *:[i32] } (AddrOps64:{ *:[i64] } offset64_op:{ *:[i64] }:$offset, I64:{ *:[i64] }:$addr), i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_add_i32>> - Complexity = 13
               // Dst: (ATOMIC_RMW_ADD_I32_A64:{ *:[i32] } 0:{ *:[i32] }, ?:{ *:[i64] }:$offset, ?:{ *:[i64] }:$addr, ?:{ *:[i32] }:$val)
/*  7906*/    /*Scope*/ 17, /*->7924*/
/*  7907*/     OPC_CheckPredicate1,  // Predicate_atomic_load_add_i8
/*  7908*/     OPC_CheckPatternPredicate4, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  7909*/     OPC_CheckComplexPat1, /*#*/1, // SelectAddrOperands64:$ #3 #4
/*  7911*/     OPC_EmitMergeInputChains1_0,
/*  7912*/     OPC_EmitInteger32, 0,  // 0 #5
/*  7914*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_ADD_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                   /*MVT::i32*/7, 4/*#Ops*/, 5, 3, 4, 2, 
               // Src: (atomic_load_add:{ *:[i32] } (AddrOps64:{ *:[i64] } offset64_op:{ *:[i64] }:$offset, I64:{ *:[i64] }:$addr), i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_add_i8>> - Complexity = 13
               // Dst: (ATOMIC_RMW8_U_ADD_I32_A64:{ *:[i32] } 0:{ *:[i32] }, ?:{ *:[i64] }:$offset, ?:{ *:[i64] }:$addr, ?:{ *:[i32] }:$val)
/*  7924*/    /*Scope*/ 17, /*->7942*/
/*  7925*/     OPC_CheckPredicate2,  // Predicate_atomic_load_add_i16
/*  7926*/     OPC_CheckPatternPredicate4, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  7927*/     OPC_CheckComplexPat1, /*#*/1, // SelectAddrOperands64:$ #3 #4
/*  7929*/     OPC_EmitMergeInputChains1_0,
/*  7930*/     OPC_EmitInteger32, 0,  // 0 #5
/*  7932*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_ADD_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                   /*MVT::i32*/7, 4/*#Ops*/, 5, 3, 4, 2, 
               // Src: (atomic_load_add:{ *:[i32] } (AddrOps64:{ *:[i64] } offset64_op:{ *:[i64] }:$offset, I64:{ *:[i64] }:$addr), i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_add_i16>> - Complexity = 13
               // Dst: (ATOMIC_RMW16_U_ADD_I32_A64:{ *:[i32] } 0:{ *:[i32] }, ?:{ *:[i64] }:$offset, ?:{ *:[i64] }:$addr, ?:{ *:[i32] }:$val)
/*  7942*/    /*Scope*/ 17, /*->7960*/
/*  7943*/     OPC_CheckPredicate1,  // Predicate_atomic_load_add_i8
/*  7944*/     OPC_CheckPatternPredicate4, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  7945*/     OPC_CheckComplexPat1, /*#*/1, // SelectAddrOperands64:$ #3 #4
/*  7947*/     OPC_EmitMergeInputChains1_0,
/*  7948*/     OPC_EmitInteger32, 0,  // 0 #5
/*  7950*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_ADD_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                   /*MVT::i32*/7, 4/*#Ops*/, 5, 3, 4, 2, 
               // Src: (atomic_load_add:{ *:[i32] } (AddrOps64:{ *:[i64] } offset64_op:{ *:[i64] }:$offset, I64:{ *:[i64] }:$addr), i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_add_i8>> - Complexity = 13
               // Dst: (ATOMIC_RMW8_U_ADD_I32_A64:{ *:[i32] } 0:{ *:[i32] }, ?:{ *:[i64] }:$offset, ?:{ *:[i64] }:$addr, ?:{ *:[i32] }:$val)
/*  7960*/    /*Scope*/ 17, /*->7978*/
/*  7961*/     OPC_CheckPredicate2,  // Predicate_atomic_load_add_i16
/*  7962*/     OPC_CheckPatternPredicate4, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  7963*/     OPC_CheckComplexPat1, /*#*/1, // SelectAddrOperands64:$ #3 #4
/*  7965*/     OPC_EmitMergeInputChains1_0,
/*  7966*/     OPC_EmitInteger32, 0,  // 0 #5
/*  7968*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_ADD_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                   /*MVT::i32*/7, 4/*#Ops*/, 5, 3, 4, 2, 
               // Src: (atomic_load_add:{ *:[i32] } (AddrOps64:{ *:[i64] } offset64_op:{ *:[i64] }:$offset, I64:{ *:[i64] }:$addr), i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_add_i16>> - Complexity = 13
               // Dst: (ATOMIC_RMW16_U_ADD_I32_A64:{ *:[i32] } 0:{ *:[i32] }, ?:{ *:[i64] }:$offset, ?:{ *:[i64] }:$addr, ?:{ *:[i32] }:$val)
/*  7978*/    0, /*End of Scope*/
/*  7979*/   /*SwitchType*/ 17, /*MVT::i64*/8, // ->7998
/*  7981*/    OPC_CheckPredicate7,  // Predicate_atomic_load_add_i64
/*  7982*/    OPC_CheckPatternPredicate4, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  7983*/    OPC_CheckComplexPat1, /*#*/1, // SelectAddrOperands64:$ #3 #4
/*  7985*/    OPC_EmitMergeInputChains1_0,
/*  7986*/    OPC_EmitInteger32, 0,  // 0 #5
/*  7988*/    OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW_ADD_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                  /*MVT::i64*/8, 4/*#Ops*/, 5, 3, 4, 2, 
              // Src: (atomic_load_add:{ *:[i64] } (AddrOps64:{ *:[i64] } offset64_op:{ *:[i64] }:$offset, I64:{ *:[i64] }:$addr), i64:{ *:[i64] }:$val)<<P:Predicate_atomic_load_add_i64>> - Complexity = 13
              // Dst: (ATOMIC_RMW_ADD_I64_A64:{ *:[i64] } 0:{ *:[i32] }, ?:{ *:[i64] }:$offset, ?:{ *:[i64] }:$addr, ?:{ *:[i64] }:$val)
/*  7998*/   0, // EndSwitchType
/*  7999*/  0, /*End of Scope*/
/*  8000*/ /*SwitchOpcode*/ 113|128,1/*241*/, TARGET_VAL(ISD::ATOMIC_LOAD_SUB),// ->8245
/*  8004*/  OPC_RecordMemRef,
/*  8005*/  OPC_RecordNode, // #0 = 'atomic_load_sub' chained node
/*  8006*/  OPC_RecordChild1, // #1 = $AddrOps32:offset:addr
/*  8007*/  OPC_Scope, 117, /*->8126*/ // 2 children in Scope
/*  8009*/   OPC_CheckChild1TypeI32,
/*  8010*/   OPC_RecordChild2, // #2 = $val
/*  8011*/   OPC_SwitchType /*2 cases */, 92, /*MVT::i32*/7, // ->8106
/*  8014*/    OPC_Scope, 17, /*->8033*/ // 5 children in Scope
/*  8016*/     OPC_CheckPredicate3,  // Predicate_atomic_load_sub_i32
/*  8017*/     OPC_CheckPatternPredicate3, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  8018*/     OPC_CheckComplexPat0, /*#*/1, // SelectAddrOperands32:$ #3 #4
/*  8020*/     OPC_EmitMergeInputChains1_0,
/*  8021*/     OPC_EmitInteger32, 0,  // 0 #5
/*  8023*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW_SUB_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                   /*MVT::i32*/7, 4/*#Ops*/, 5, 3, 4, 2, 
               // Src: (atomic_load_sub:{ *:[i32] } (AddrOps32:{ *:[i32] } offset32_op:{ *:[i32] }:$offset, I32:{ *:[i32] }:$addr), i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_sub_i32>> - Complexity = 13
               // Dst: (ATOMIC_RMW_SUB_I32_A32:{ *:[i32] } 0:{ *:[i32] }, ?:{ *:[i32] }:$offset, ?:{ *:[i32] }:$addr, ?:{ *:[i32] }:$val)
/*  8033*/    /*Scope*/ 17, /*->8051*/
/*  8034*/     OPC_CheckPredicate1,  // Predicate_atomic_load_sub_i8
/*  8035*/     OPC_CheckPatternPredicate3, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  8036*/     OPC_CheckComplexPat0, /*#*/1, // SelectAddrOperands32:$ #3 #4
/*  8038*/     OPC_EmitMergeInputChains1_0,
/*  8039*/     OPC_EmitInteger32, 0,  // 0 #5
/*  8041*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_SUB_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                   /*MVT::i32*/7, 4/*#Ops*/, 5, 3, 4, 2, 
               // Src: (atomic_load_sub:{ *:[i32] } (AddrOps32:{ *:[i32] } offset32_op:{ *:[i32] }:$offset, I32:{ *:[i32] }:$addr), i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_sub_i8>> - Complexity = 13
               // Dst: (ATOMIC_RMW8_U_SUB_I32_A32:{ *:[i32] } 0:{ *:[i32] }, ?:{ *:[i32] }:$offset, ?:{ *:[i32] }:$addr, ?:{ *:[i32] }:$val)
/*  8051*/    /*Scope*/ 17, /*->8069*/
/*  8052*/     OPC_CheckPredicate2,  // Predicate_atomic_load_sub_i16
/*  8053*/     OPC_CheckPatternPredicate3, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  8054*/     OPC_CheckComplexPat0, /*#*/1, // SelectAddrOperands32:$ #3 #4
/*  8056*/     OPC_EmitMergeInputChains1_0,
/*  8057*/     OPC_EmitInteger32, 0,  // 0 #5
/*  8059*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_SUB_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                   /*MVT::i32*/7, 4/*#Ops*/, 5, 3, 4, 2, 
               // Src: (atomic_load_sub:{ *:[i32] } (AddrOps32:{ *:[i32] } offset32_op:{ *:[i32] }:$offset, I32:{ *:[i32] }:$addr), i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_sub_i16>> - Complexity = 13
               // Dst: (ATOMIC_RMW16_U_SUB_I32_A32:{ *:[i32] } 0:{ *:[i32] }, ?:{ *:[i32] }:$offset, ?:{ *:[i32] }:$addr, ?:{ *:[i32] }:$val)
/*  8069*/    /*Scope*/ 17, /*->8087*/
/*  8070*/     OPC_CheckPredicate1,  // Predicate_atomic_load_sub_i8
/*  8071*/     OPC_CheckPatternPredicate3, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  8072*/     OPC_CheckComplexPat0, /*#*/1, // SelectAddrOperands32:$ #3 #4
/*  8074*/     OPC_EmitMergeInputChains1_0,
/*  8075*/     OPC_EmitInteger32, 0,  // 0 #5
/*  8077*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_SUB_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                   /*MVT::i32*/7, 4/*#Ops*/, 5, 3, 4, 2, 
               // Src: (atomic_load_sub:{ *:[i32] } (AddrOps32:{ *:[i32] } offset32_op:{ *:[i32] }:$offset, I32:{ *:[i32] }:$addr), i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_sub_i8>> - Complexity = 13
               // Dst: (ATOMIC_RMW8_U_SUB_I32_A32:{ *:[i32] } 0:{ *:[i32] }, ?:{ *:[i32] }:$offset, ?:{ *:[i32] }:$addr, ?:{ *:[i32] }:$val)
/*  8087*/    /*Scope*/ 17, /*->8105*/
/*  8088*/     OPC_CheckPredicate2,  // Predicate_atomic_load_sub_i16
/*  8089*/     OPC_CheckPatternPredicate3, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  8090*/     OPC_CheckComplexPat0, /*#*/1, // SelectAddrOperands32:$ #3 #4
/*  8092*/     OPC_EmitMergeInputChains1_0,
/*  8093*/     OPC_EmitInteger32, 0,  // 0 #5
/*  8095*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_SUB_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                   /*MVT::i32*/7, 4/*#Ops*/, 5, 3, 4, 2, 
               // Src: (atomic_load_sub:{ *:[i32] } (AddrOps32:{ *:[i32] } offset32_op:{ *:[i32] }:$offset, I32:{ *:[i32] }:$addr), i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_sub_i16>> - Complexity = 13
               // Dst: (ATOMIC_RMW16_U_SUB_I32_A32:{ *:[i32] } 0:{ *:[i32] }, ?:{ *:[i32] }:$offset, ?:{ *:[i32] }:$addr, ?:{ *:[i32] }:$val)
/*  8105*/    0, /*End of Scope*/
/*  8106*/   /*SwitchType*/ 17, /*MVT::i64*/8, // ->8125
/*  8108*/    OPC_CheckPredicate7,  // Predicate_atomic_load_sub_i64
/*  8109*/    OPC_CheckPatternPredicate3, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  8110*/    OPC_CheckComplexPat0, /*#*/1, // SelectAddrOperands32:$ #3 #4
/*  8112*/    OPC_EmitMergeInputChains1_0,
/*  8113*/    OPC_EmitInteger32, 0,  // 0 #5
/*  8115*/    OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW_SUB_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                  /*MVT::i64*/8, 4/*#Ops*/, 5, 3, 4, 2, 
              // Src: (atomic_load_sub:{ *:[i64] } (AddrOps32:{ *:[i32] } offset32_op:{ *:[i32] }:$offset, I32:{ *:[i32] }:$addr), i64:{ *:[i64] }:$val)<<P:Predicate_atomic_load_sub_i64>> - Complexity = 13
              // Dst: (ATOMIC_RMW_SUB_I64_A32:{ *:[i64] } 0:{ *:[i32] }, ?:{ *:[i32] }:$offset, ?:{ *:[i32] }:$addr, ?:{ *:[i64] }:$val)
/*  8125*/   0, // EndSwitchType
/*  8126*/  /*Scope*/ 117, /*->8244*/
/*  8127*/   OPC_CheckChild1TypeI64,
/*  8128*/   OPC_RecordChild2, // #2 = $val
/*  8129*/   OPC_SwitchType /*2 cases */, 92, /*MVT::i32*/7, // ->8224
/*  8132*/    OPC_Scope, 17, /*->8151*/ // 5 children in Scope
/*  8134*/     OPC_CheckPredicate3,  // Predicate_atomic_load_sub_i32
/*  8135*/     OPC_CheckPatternPredicate4, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  8136*/     OPC_CheckComplexPat1, /*#*/1, // SelectAddrOperands64:$ #3 #4
/*  8138*/     OPC_EmitMergeInputChains1_0,
/*  8139*/     OPC_EmitInteger32, 0,  // 0 #5
/*  8141*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW_SUB_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                   /*MVT::i32*/7, 4/*#Ops*/, 5, 3, 4, 2, 
               // Src: (atomic_load_sub:{ *:[i32] } (AddrOps64:{ *:[i64] } offset64_op:{ *:[i64] }:$offset, I64:{ *:[i64] }:$addr), i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_sub_i32>> - Complexity = 13
               // Dst: (ATOMIC_RMW_SUB_I32_A64:{ *:[i32] } 0:{ *:[i32] }, ?:{ *:[i64] }:$offset, ?:{ *:[i64] }:$addr, ?:{ *:[i32] }:$val)
/*  8151*/    /*Scope*/ 17, /*->8169*/
/*  8152*/     OPC_CheckPredicate1,  // Predicate_atomic_load_sub_i8
/*  8153*/     OPC_CheckPatternPredicate4, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  8154*/     OPC_CheckComplexPat1, /*#*/1, // SelectAddrOperands64:$ #3 #4
/*  8156*/     OPC_EmitMergeInputChains1_0,
/*  8157*/     OPC_EmitInteger32, 0,  // 0 #5
/*  8159*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_SUB_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                   /*MVT::i32*/7, 4/*#Ops*/, 5, 3, 4, 2, 
               // Src: (atomic_load_sub:{ *:[i32] } (AddrOps64:{ *:[i64] } offset64_op:{ *:[i64] }:$offset, I64:{ *:[i64] }:$addr), i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_sub_i8>> - Complexity = 13
               // Dst: (ATOMIC_RMW8_U_SUB_I32_A64:{ *:[i32] } 0:{ *:[i32] }, ?:{ *:[i64] }:$offset, ?:{ *:[i64] }:$addr, ?:{ *:[i32] }:$val)
/*  8169*/    /*Scope*/ 17, /*->8187*/
/*  8170*/     OPC_CheckPredicate2,  // Predicate_atomic_load_sub_i16
/*  8171*/     OPC_CheckPatternPredicate4, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  8172*/     OPC_CheckComplexPat1, /*#*/1, // SelectAddrOperands64:$ #3 #4
/*  8174*/     OPC_EmitMergeInputChains1_0,
/*  8175*/     OPC_EmitInteger32, 0,  // 0 #5
/*  8177*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_SUB_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                   /*MVT::i32*/7, 4/*#Ops*/, 5, 3, 4, 2, 
               // Src: (atomic_load_sub:{ *:[i32] } (AddrOps64:{ *:[i64] } offset64_op:{ *:[i64] }:$offset, I64:{ *:[i64] }:$addr), i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_sub_i16>> - Complexity = 13
               // Dst: (ATOMIC_RMW16_U_SUB_I32_A64:{ *:[i32] } 0:{ *:[i32] }, ?:{ *:[i64] }:$offset, ?:{ *:[i64] }:$addr, ?:{ *:[i32] }:$val)
/*  8187*/    /*Scope*/ 17, /*->8205*/
/*  8188*/     OPC_CheckPredicate1,  // Predicate_atomic_load_sub_i8
/*  8189*/     OPC_CheckPatternPredicate4, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  8190*/     OPC_CheckComplexPat1, /*#*/1, // SelectAddrOperands64:$ #3 #4
/*  8192*/     OPC_EmitMergeInputChains1_0,
/*  8193*/     OPC_EmitInteger32, 0,  // 0 #5
/*  8195*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_SUB_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                   /*MVT::i32*/7, 4/*#Ops*/, 5, 3, 4, 2, 
               // Src: (atomic_load_sub:{ *:[i32] } (AddrOps64:{ *:[i64] } offset64_op:{ *:[i64] }:$offset, I64:{ *:[i64] }:$addr), i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_sub_i8>> - Complexity = 13
               // Dst: (ATOMIC_RMW8_U_SUB_I32_A64:{ *:[i32] } 0:{ *:[i32] }, ?:{ *:[i64] }:$offset, ?:{ *:[i64] }:$addr, ?:{ *:[i32] }:$val)
/*  8205*/    /*Scope*/ 17, /*->8223*/
/*  8206*/     OPC_CheckPredicate2,  // Predicate_atomic_load_sub_i16
/*  8207*/     OPC_CheckPatternPredicate4, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  8208*/     OPC_CheckComplexPat1, /*#*/1, // SelectAddrOperands64:$ #3 #4
/*  8210*/     OPC_EmitMergeInputChains1_0,
/*  8211*/     OPC_EmitInteger32, 0,  // 0 #5
/*  8213*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_SUB_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                   /*MVT::i32*/7, 4/*#Ops*/, 5, 3, 4, 2, 
               // Src: (atomic_load_sub:{ *:[i32] } (AddrOps64:{ *:[i64] } offset64_op:{ *:[i64] }:$offset, I64:{ *:[i64] }:$addr), i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_sub_i16>> - Complexity = 13
               // Dst: (ATOMIC_RMW16_U_SUB_I32_A64:{ *:[i32] } 0:{ *:[i32] }, ?:{ *:[i64] }:$offset, ?:{ *:[i64] }:$addr, ?:{ *:[i32] }:$val)
/*  8223*/    0, /*End of Scope*/
/*  8224*/   /*SwitchType*/ 17, /*MVT::i64*/8, // ->8243
/*  8226*/    OPC_CheckPredicate7,  // Predicate_atomic_load_sub_i64
/*  8227*/    OPC_CheckPatternPredicate4, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  8228*/    OPC_CheckComplexPat1, /*#*/1, // SelectAddrOperands64:$ #3 #4
/*  8230*/    OPC_EmitMergeInputChains1_0,
/*  8231*/    OPC_EmitInteger32, 0,  // 0 #5
/*  8233*/    OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW_SUB_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                  /*MVT::i64*/8, 4/*#Ops*/, 5, 3, 4, 2, 
              // Src: (atomic_load_sub:{ *:[i64] } (AddrOps64:{ *:[i64] } offset64_op:{ *:[i64] }:$offset, I64:{ *:[i64] }:$addr), i64:{ *:[i64] }:$val)<<P:Predicate_atomic_load_sub_i64>> - Complexity = 13
              // Dst: (ATOMIC_RMW_SUB_I64_A64:{ *:[i64] } 0:{ *:[i32] }, ?:{ *:[i64] }:$offset, ?:{ *:[i64] }:$addr, ?:{ *:[i64] }:$val)
/*  8243*/   0, // EndSwitchType
/*  8244*/  0, /*End of Scope*/
/*  8245*/ /*SwitchOpcode*/ 113|128,1/*241*/, TARGET_VAL(ISD::ATOMIC_LOAD_AND),// ->8490
/*  8249*/  OPC_RecordMemRef,
/*  8250*/  OPC_RecordNode, // #0 = 'atomic_load_and' chained node
/*  8251*/  OPC_RecordChild1, // #1 = $AddrOps32:offset:addr
/*  8252*/  OPC_Scope, 117, /*->8371*/ // 2 children in Scope
/*  8254*/   OPC_CheckChild1TypeI32,
/*  8255*/   OPC_RecordChild2, // #2 = $val
/*  8256*/   OPC_SwitchType /*2 cases */, 92, /*MVT::i32*/7, // ->8351
/*  8259*/    OPC_Scope, 17, /*->8278*/ // 5 children in Scope
/*  8261*/     OPC_CheckPredicate3,  // Predicate_atomic_load_and_i32
/*  8262*/     OPC_CheckPatternPredicate3, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  8263*/     OPC_CheckComplexPat0, /*#*/1, // SelectAddrOperands32:$ #3 #4
/*  8265*/     OPC_EmitMergeInputChains1_0,
/*  8266*/     OPC_EmitInteger32, 0,  // 0 #5
/*  8268*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW_AND_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                   /*MVT::i32*/7, 4/*#Ops*/, 5, 3, 4, 2, 
               // Src: (atomic_load_and:{ *:[i32] } (AddrOps32:{ *:[i32] } offset32_op:{ *:[i32] }:$offset, I32:{ *:[i32] }:$addr), i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_and_i32>> - Complexity = 13
               // Dst: (ATOMIC_RMW_AND_I32_A32:{ *:[i32] } 0:{ *:[i32] }, ?:{ *:[i32] }:$offset, ?:{ *:[i32] }:$addr, ?:{ *:[i32] }:$val)
/*  8278*/    /*Scope*/ 17, /*->8296*/
/*  8279*/     OPC_CheckPredicate1,  // Predicate_atomic_load_and_i8
/*  8280*/     OPC_CheckPatternPredicate3, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  8281*/     OPC_CheckComplexPat0, /*#*/1, // SelectAddrOperands32:$ #3 #4
/*  8283*/     OPC_EmitMergeInputChains1_0,
/*  8284*/     OPC_EmitInteger32, 0,  // 0 #5
/*  8286*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_AND_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                   /*MVT::i32*/7, 4/*#Ops*/, 5, 3, 4, 2, 
               // Src: (atomic_load_and:{ *:[i32] } (AddrOps32:{ *:[i32] } offset32_op:{ *:[i32] }:$offset, I32:{ *:[i32] }:$addr), i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_and_i8>> - Complexity = 13
               // Dst: (ATOMIC_RMW8_U_AND_I32_A32:{ *:[i32] } 0:{ *:[i32] }, ?:{ *:[i32] }:$offset, ?:{ *:[i32] }:$addr, ?:{ *:[i32] }:$val)
/*  8296*/    /*Scope*/ 17, /*->8314*/
/*  8297*/     OPC_CheckPredicate2,  // Predicate_atomic_load_and_i16
/*  8298*/     OPC_CheckPatternPredicate3, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  8299*/     OPC_CheckComplexPat0, /*#*/1, // SelectAddrOperands32:$ #3 #4
/*  8301*/     OPC_EmitMergeInputChains1_0,
/*  8302*/     OPC_EmitInteger32, 0,  // 0 #5
/*  8304*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_AND_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                   /*MVT::i32*/7, 4/*#Ops*/, 5, 3, 4, 2, 
               // Src: (atomic_load_and:{ *:[i32] } (AddrOps32:{ *:[i32] } offset32_op:{ *:[i32] }:$offset, I32:{ *:[i32] }:$addr), i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_and_i16>> - Complexity = 13
               // Dst: (ATOMIC_RMW16_U_AND_I32_A32:{ *:[i32] } 0:{ *:[i32] }, ?:{ *:[i32] }:$offset, ?:{ *:[i32] }:$addr, ?:{ *:[i32] }:$val)
/*  8314*/    /*Scope*/ 17, /*->8332*/
/*  8315*/     OPC_CheckPredicate1,  // Predicate_atomic_load_and_i8
/*  8316*/     OPC_CheckPatternPredicate3, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  8317*/     OPC_CheckComplexPat0, /*#*/1, // SelectAddrOperands32:$ #3 #4
/*  8319*/     OPC_EmitMergeInputChains1_0,
/*  8320*/     OPC_EmitInteger32, 0,  // 0 #5
/*  8322*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_AND_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                   /*MVT::i32*/7, 4/*#Ops*/, 5, 3, 4, 2, 
               // Src: (atomic_load_and:{ *:[i32] } (AddrOps32:{ *:[i32] } offset32_op:{ *:[i32] }:$offset, I32:{ *:[i32] }:$addr), i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_and_i8>> - Complexity = 13
               // Dst: (ATOMIC_RMW8_U_AND_I32_A32:{ *:[i32] } 0:{ *:[i32] }, ?:{ *:[i32] }:$offset, ?:{ *:[i32] }:$addr, ?:{ *:[i32] }:$val)
/*  8332*/    /*Scope*/ 17, /*->8350*/
/*  8333*/     OPC_CheckPredicate2,  // Predicate_atomic_load_and_i16
/*  8334*/     OPC_CheckPatternPredicate3, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  8335*/     OPC_CheckComplexPat0, /*#*/1, // SelectAddrOperands32:$ #3 #4
/*  8337*/     OPC_EmitMergeInputChains1_0,
/*  8338*/     OPC_EmitInteger32, 0,  // 0 #5
/*  8340*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_AND_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                   /*MVT::i32*/7, 4/*#Ops*/, 5, 3, 4, 2, 
               // Src: (atomic_load_and:{ *:[i32] } (AddrOps32:{ *:[i32] } offset32_op:{ *:[i32] }:$offset, I32:{ *:[i32] }:$addr), i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_and_i16>> - Complexity = 13
               // Dst: (ATOMIC_RMW16_U_AND_I32_A32:{ *:[i32] } 0:{ *:[i32] }, ?:{ *:[i32] }:$offset, ?:{ *:[i32] }:$addr, ?:{ *:[i32] }:$val)
/*  8350*/    0, /*End of Scope*/
/*  8351*/   /*SwitchType*/ 17, /*MVT::i64*/8, // ->8370
/*  8353*/    OPC_CheckPredicate7,  // Predicate_atomic_load_and_i64
/*  8354*/    OPC_CheckPatternPredicate3, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  8355*/    OPC_CheckComplexPat0, /*#*/1, // SelectAddrOperands32:$ #3 #4
/*  8357*/    OPC_EmitMergeInputChains1_0,
/*  8358*/    OPC_EmitInteger32, 0,  // 0 #5
/*  8360*/    OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW_AND_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                  /*MVT::i64*/8, 4/*#Ops*/, 5, 3, 4, 2, 
              // Src: (atomic_load_and:{ *:[i64] } (AddrOps32:{ *:[i32] } offset32_op:{ *:[i32] }:$offset, I32:{ *:[i32] }:$addr), i64:{ *:[i64] }:$val)<<P:Predicate_atomic_load_and_i64>> - Complexity = 13
              // Dst: (ATOMIC_RMW_AND_I64_A32:{ *:[i64] } 0:{ *:[i32] }, ?:{ *:[i32] }:$offset, ?:{ *:[i32] }:$addr, ?:{ *:[i64] }:$val)
/*  8370*/   0, // EndSwitchType
/*  8371*/  /*Scope*/ 117, /*->8489*/
/*  8372*/   OPC_CheckChild1TypeI64,
/*  8373*/   OPC_RecordChild2, // #2 = $val
/*  8374*/   OPC_SwitchType /*2 cases */, 92, /*MVT::i32*/7, // ->8469
/*  8377*/    OPC_Scope, 17, /*->8396*/ // 5 children in Scope
/*  8379*/     OPC_CheckPredicate3,  // Predicate_atomic_load_and_i32
/*  8380*/     OPC_CheckPatternPredicate4, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  8381*/     OPC_CheckComplexPat1, /*#*/1, // SelectAddrOperands64:$ #3 #4
/*  8383*/     OPC_EmitMergeInputChains1_0,
/*  8384*/     OPC_EmitInteger32, 0,  // 0 #5
/*  8386*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW_AND_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                   /*MVT::i32*/7, 4/*#Ops*/, 5, 3, 4, 2, 
               // Src: (atomic_load_and:{ *:[i32] } (AddrOps64:{ *:[i64] } offset64_op:{ *:[i64] }:$offset, I64:{ *:[i64] }:$addr), i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_and_i32>> - Complexity = 13
               // Dst: (ATOMIC_RMW_AND_I32_A64:{ *:[i32] } 0:{ *:[i32] }, ?:{ *:[i64] }:$offset, ?:{ *:[i64] }:$addr, ?:{ *:[i32] }:$val)
/*  8396*/    /*Scope*/ 17, /*->8414*/
/*  8397*/     OPC_CheckPredicate1,  // Predicate_atomic_load_and_i8
/*  8398*/     OPC_CheckPatternPredicate4, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  8399*/     OPC_CheckComplexPat1, /*#*/1, // SelectAddrOperands64:$ #3 #4
/*  8401*/     OPC_EmitMergeInputChains1_0,
/*  8402*/     OPC_EmitInteger32, 0,  // 0 #5
/*  8404*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_AND_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                   /*MVT::i32*/7, 4/*#Ops*/, 5, 3, 4, 2, 
               // Src: (atomic_load_and:{ *:[i32] } (AddrOps64:{ *:[i64] } offset64_op:{ *:[i64] }:$offset, I64:{ *:[i64] }:$addr), i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_and_i8>> - Complexity = 13
               // Dst: (ATOMIC_RMW8_U_AND_I32_A64:{ *:[i32] } 0:{ *:[i32] }, ?:{ *:[i64] }:$offset, ?:{ *:[i64] }:$addr, ?:{ *:[i32] }:$val)
/*  8414*/    /*Scope*/ 17, /*->8432*/
/*  8415*/     OPC_CheckPredicate2,  // Predicate_atomic_load_and_i16
/*  8416*/     OPC_CheckPatternPredicate4, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  8417*/     OPC_CheckComplexPat1, /*#*/1, // SelectAddrOperands64:$ #3 #4
/*  8419*/     OPC_EmitMergeInputChains1_0,
/*  8420*/     OPC_EmitInteger32, 0,  // 0 #5
/*  8422*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_AND_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                   /*MVT::i32*/7, 4/*#Ops*/, 5, 3, 4, 2, 
               // Src: (atomic_load_and:{ *:[i32] } (AddrOps64:{ *:[i64] } offset64_op:{ *:[i64] }:$offset, I64:{ *:[i64] }:$addr), i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_and_i16>> - Complexity = 13
               // Dst: (ATOMIC_RMW16_U_AND_I32_A64:{ *:[i32] } 0:{ *:[i32] }, ?:{ *:[i64] }:$offset, ?:{ *:[i64] }:$addr, ?:{ *:[i32] }:$val)
/*  8432*/    /*Scope*/ 17, /*->8450*/
/*  8433*/     OPC_CheckPredicate1,  // Predicate_atomic_load_and_i8
/*  8434*/     OPC_CheckPatternPredicate4, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  8435*/     OPC_CheckComplexPat1, /*#*/1, // SelectAddrOperands64:$ #3 #4
/*  8437*/     OPC_EmitMergeInputChains1_0,
/*  8438*/     OPC_EmitInteger32, 0,  // 0 #5
/*  8440*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_AND_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                   /*MVT::i32*/7, 4/*#Ops*/, 5, 3, 4, 2, 
               // Src: (atomic_load_and:{ *:[i32] } (AddrOps64:{ *:[i64] } offset64_op:{ *:[i64] }:$offset, I64:{ *:[i64] }:$addr), i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_and_i8>> - Complexity = 13
               // Dst: (ATOMIC_RMW8_U_AND_I32_A64:{ *:[i32] } 0:{ *:[i32] }, ?:{ *:[i64] }:$offset, ?:{ *:[i64] }:$addr, ?:{ *:[i32] }:$val)
/*  8450*/    /*Scope*/ 17, /*->8468*/
/*  8451*/     OPC_CheckPredicate2,  // Predicate_atomic_load_and_i16
/*  8452*/     OPC_CheckPatternPredicate4, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  8453*/     OPC_CheckComplexPat1, /*#*/1, // SelectAddrOperands64:$ #3 #4
/*  8455*/     OPC_EmitMergeInputChains1_0,
/*  8456*/     OPC_EmitInteger32, 0,  // 0 #5
/*  8458*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_AND_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                   /*MVT::i32*/7, 4/*#Ops*/, 5, 3, 4, 2, 
               // Src: (atomic_load_and:{ *:[i32] } (AddrOps64:{ *:[i64] } offset64_op:{ *:[i64] }:$offset, I64:{ *:[i64] }:$addr), i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_and_i16>> - Complexity = 13
               // Dst: (ATOMIC_RMW16_U_AND_I32_A64:{ *:[i32] } 0:{ *:[i32] }, ?:{ *:[i64] }:$offset, ?:{ *:[i64] }:$addr, ?:{ *:[i32] }:$val)
/*  8468*/    0, /*End of Scope*/
/*  8469*/   /*SwitchType*/ 17, /*MVT::i64*/8, // ->8488
/*  8471*/    OPC_CheckPredicate7,  // Predicate_atomic_load_and_i64
/*  8472*/    OPC_CheckPatternPredicate4, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  8473*/    OPC_CheckComplexPat1, /*#*/1, // SelectAddrOperands64:$ #3 #4
/*  8475*/    OPC_EmitMergeInputChains1_0,
/*  8476*/    OPC_EmitInteger32, 0,  // 0 #5
/*  8478*/    OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW_AND_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                  /*MVT::i64*/8, 4/*#Ops*/, 5, 3, 4, 2, 
              // Src: (atomic_load_and:{ *:[i64] } (AddrOps64:{ *:[i64] } offset64_op:{ *:[i64] }:$offset, I64:{ *:[i64] }:$addr), i64:{ *:[i64] }:$val)<<P:Predicate_atomic_load_and_i64>> - Complexity = 13
              // Dst: (ATOMIC_RMW_AND_I64_A64:{ *:[i64] } 0:{ *:[i32] }, ?:{ *:[i64] }:$offset, ?:{ *:[i64] }:$addr, ?:{ *:[i64] }:$val)
/*  8488*/   0, // EndSwitchType
/*  8489*/  0, /*End of Scope*/
/*  8490*/ /*SwitchOpcode*/ 113|128,1/*241*/, TARGET_VAL(ISD::ATOMIC_LOAD_OR),// ->8735
/*  8494*/  OPC_RecordMemRef,
/*  8495*/  OPC_RecordNode, // #0 = 'atomic_load_or' chained node
/*  8496*/  OPC_RecordChild1, // #1 = $AddrOps32:offset:addr
/*  8497*/  OPC_Scope, 117, /*->8616*/ // 2 children in Scope
/*  8499*/   OPC_CheckChild1TypeI32,
/*  8500*/   OPC_RecordChild2, // #2 = $val
/*  8501*/   OPC_SwitchType /*2 cases */, 92, /*MVT::i32*/7, // ->8596
/*  8504*/    OPC_Scope, 17, /*->8523*/ // 5 children in Scope
/*  8506*/     OPC_CheckPredicate3,  // Predicate_atomic_load_or_i32
/*  8507*/     OPC_CheckPatternPredicate3, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  8508*/     OPC_CheckComplexPat0, /*#*/1, // SelectAddrOperands32:$ #3 #4
/*  8510*/     OPC_EmitMergeInputChains1_0,
/*  8511*/     OPC_EmitInteger32, 0,  // 0 #5
/*  8513*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW_OR_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                   /*MVT::i32*/7, 4/*#Ops*/, 5, 3, 4, 2, 
               // Src: (atomic_load_or:{ *:[i32] } (AddrOps32:{ *:[i32] } offset32_op:{ *:[i32] }:$offset, I32:{ *:[i32] }:$addr), i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_or_i32>> - Complexity = 13
               // Dst: (ATOMIC_RMW_OR_I32_A32:{ *:[i32] } 0:{ *:[i32] }, ?:{ *:[i32] }:$offset, ?:{ *:[i32] }:$addr, ?:{ *:[i32] }:$val)
/*  8523*/    /*Scope*/ 17, /*->8541*/
/*  8524*/     OPC_CheckPredicate1,  // Predicate_atomic_load_or_i8
/*  8525*/     OPC_CheckPatternPredicate3, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  8526*/     OPC_CheckComplexPat0, /*#*/1, // SelectAddrOperands32:$ #3 #4
/*  8528*/     OPC_EmitMergeInputChains1_0,
/*  8529*/     OPC_EmitInteger32, 0,  // 0 #5
/*  8531*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_OR_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                   /*MVT::i32*/7, 4/*#Ops*/, 5, 3, 4, 2, 
               // Src: (atomic_load_or:{ *:[i32] } (AddrOps32:{ *:[i32] } offset32_op:{ *:[i32] }:$offset, I32:{ *:[i32] }:$addr), i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_or_i8>> - Complexity = 13
               // Dst: (ATOMIC_RMW8_U_OR_I32_A32:{ *:[i32] } 0:{ *:[i32] }, ?:{ *:[i32] }:$offset, ?:{ *:[i32] }:$addr, ?:{ *:[i32] }:$val)
/*  8541*/    /*Scope*/ 17, /*->8559*/
/*  8542*/     OPC_CheckPredicate2,  // Predicate_atomic_load_or_i16
/*  8543*/     OPC_CheckPatternPredicate3, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  8544*/     OPC_CheckComplexPat0, /*#*/1, // SelectAddrOperands32:$ #3 #4
/*  8546*/     OPC_EmitMergeInputChains1_0,
/*  8547*/     OPC_EmitInteger32, 0,  // 0 #5
/*  8549*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_OR_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                   /*MVT::i32*/7, 4/*#Ops*/, 5, 3, 4, 2, 
               // Src: (atomic_load_or:{ *:[i32] } (AddrOps32:{ *:[i32] } offset32_op:{ *:[i32] }:$offset, I32:{ *:[i32] }:$addr), i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_or_i16>> - Complexity = 13
               // Dst: (ATOMIC_RMW16_U_OR_I32_A32:{ *:[i32] } 0:{ *:[i32] }, ?:{ *:[i32] }:$offset, ?:{ *:[i32] }:$addr, ?:{ *:[i32] }:$val)
/*  8559*/    /*Scope*/ 17, /*->8577*/
/*  8560*/     OPC_CheckPredicate1,  // Predicate_atomic_load_or_i8
/*  8561*/     OPC_CheckPatternPredicate3, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  8562*/     OPC_CheckComplexPat0, /*#*/1, // SelectAddrOperands32:$ #3 #4
/*  8564*/     OPC_EmitMergeInputChains1_0,
/*  8565*/     OPC_EmitInteger32, 0,  // 0 #5
/*  8567*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_OR_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                   /*MVT::i32*/7, 4/*#Ops*/, 5, 3, 4, 2, 
               // Src: (atomic_load_or:{ *:[i32] } (AddrOps32:{ *:[i32] } offset32_op:{ *:[i32] }:$offset, I32:{ *:[i32] }:$addr), i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_or_i8>> - Complexity = 13
               // Dst: (ATOMIC_RMW8_U_OR_I32_A32:{ *:[i32] } 0:{ *:[i32] }, ?:{ *:[i32] }:$offset, ?:{ *:[i32] }:$addr, ?:{ *:[i32] }:$val)
/*  8577*/    /*Scope*/ 17, /*->8595*/
/*  8578*/     OPC_CheckPredicate2,  // Predicate_atomic_load_or_i16
/*  8579*/     OPC_CheckPatternPredicate3, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  8580*/     OPC_CheckComplexPat0, /*#*/1, // SelectAddrOperands32:$ #3 #4
/*  8582*/     OPC_EmitMergeInputChains1_0,
/*  8583*/     OPC_EmitInteger32, 0,  // 0 #5
/*  8585*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_OR_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                   /*MVT::i32*/7, 4/*#Ops*/, 5, 3, 4, 2, 
               // Src: (atomic_load_or:{ *:[i32] } (AddrOps32:{ *:[i32] } offset32_op:{ *:[i32] }:$offset, I32:{ *:[i32] }:$addr), i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_or_i16>> - Complexity = 13
               // Dst: (ATOMIC_RMW16_U_OR_I32_A32:{ *:[i32] } 0:{ *:[i32] }, ?:{ *:[i32] }:$offset, ?:{ *:[i32] }:$addr, ?:{ *:[i32] }:$val)
/*  8595*/    0, /*End of Scope*/
/*  8596*/   /*SwitchType*/ 17, /*MVT::i64*/8, // ->8615
/*  8598*/    OPC_CheckPredicate7,  // Predicate_atomic_load_or_i64
/*  8599*/    OPC_CheckPatternPredicate3, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  8600*/    OPC_CheckComplexPat0, /*#*/1, // SelectAddrOperands32:$ #3 #4
/*  8602*/    OPC_EmitMergeInputChains1_0,
/*  8603*/    OPC_EmitInteger32, 0,  // 0 #5
/*  8605*/    OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW_OR_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                  /*MVT::i64*/8, 4/*#Ops*/, 5, 3, 4, 2, 
              // Src: (atomic_load_or:{ *:[i64] } (AddrOps32:{ *:[i32] } offset32_op:{ *:[i32] }:$offset, I32:{ *:[i32] }:$addr), i64:{ *:[i64] }:$val)<<P:Predicate_atomic_load_or_i64>> - Complexity = 13
              // Dst: (ATOMIC_RMW_OR_I64_A32:{ *:[i64] } 0:{ *:[i32] }, ?:{ *:[i32] }:$offset, ?:{ *:[i32] }:$addr, ?:{ *:[i64] }:$val)
/*  8615*/   0, // EndSwitchType
/*  8616*/  /*Scope*/ 117, /*->8734*/
/*  8617*/   OPC_CheckChild1TypeI64,
/*  8618*/   OPC_RecordChild2, // #2 = $val
/*  8619*/   OPC_SwitchType /*2 cases */, 92, /*MVT::i32*/7, // ->8714
/*  8622*/    OPC_Scope, 17, /*->8641*/ // 5 children in Scope
/*  8624*/     OPC_CheckPredicate3,  // Predicate_atomic_load_or_i32
/*  8625*/     OPC_CheckPatternPredicate4, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  8626*/     OPC_CheckComplexPat1, /*#*/1, // SelectAddrOperands64:$ #3 #4
/*  8628*/     OPC_EmitMergeInputChains1_0,
/*  8629*/     OPC_EmitInteger32, 0,  // 0 #5
/*  8631*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW_OR_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                   /*MVT::i32*/7, 4/*#Ops*/, 5, 3, 4, 2, 
               // Src: (atomic_load_or:{ *:[i32] } (AddrOps64:{ *:[i64] } offset64_op:{ *:[i64] }:$offset, I64:{ *:[i64] }:$addr), i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_or_i32>> - Complexity = 13
               // Dst: (ATOMIC_RMW_OR_I32_A64:{ *:[i32] } 0:{ *:[i32] }, ?:{ *:[i64] }:$offset, ?:{ *:[i64] }:$addr, ?:{ *:[i32] }:$val)
/*  8641*/    /*Scope*/ 17, /*->8659*/
/*  8642*/     OPC_CheckPredicate1,  // Predicate_atomic_load_or_i8
/*  8643*/     OPC_CheckPatternPredicate4, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  8644*/     OPC_CheckComplexPat1, /*#*/1, // SelectAddrOperands64:$ #3 #4
/*  8646*/     OPC_EmitMergeInputChains1_0,
/*  8647*/     OPC_EmitInteger32, 0,  // 0 #5
/*  8649*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_OR_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                   /*MVT::i32*/7, 4/*#Ops*/, 5, 3, 4, 2, 
               // Src: (atomic_load_or:{ *:[i32] } (AddrOps64:{ *:[i64] } offset64_op:{ *:[i64] }:$offset, I64:{ *:[i64] }:$addr), i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_or_i8>> - Complexity = 13
               // Dst: (ATOMIC_RMW8_U_OR_I32_A64:{ *:[i32] } 0:{ *:[i32] }, ?:{ *:[i64] }:$offset, ?:{ *:[i64] }:$addr, ?:{ *:[i32] }:$val)
/*  8659*/    /*Scope*/ 17, /*->8677*/
/*  8660*/     OPC_CheckPredicate2,  // Predicate_atomic_load_or_i16
/*  8661*/     OPC_CheckPatternPredicate4, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  8662*/     OPC_CheckComplexPat1, /*#*/1, // SelectAddrOperands64:$ #3 #4
/*  8664*/     OPC_EmitMergeInputChains1_0,
/*  8665*/     OPC_EmitInteger32, 0,  // 0 #5
/*  8667*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_OR_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                   /*MVT::i32*/7, 4/*#Ops*/, 5, 3, 4, 2, 
               // Src: (atomic_load_or:{ *:[i32] } (AddrOps64:{ *:[i64] } offset64_op:{ *:[i64] }:$offset, I64:{ *:[i64] }:$addr), i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_or_i16>> - Complexity = 13
               // Dst: (ATOMIC_RMW16_U_OR_I32_A64:{ *:[i32] } 0:{ *:[i32] }, ?:{ *:[i64] }:$offset, ?:{ *:[i64] }:$addr, ?:{ *:[i32] }:$val)
/*  8677*/    /*Scope*/ 17, /*->8695*/
/*  8678*/     OPC_CheckPredicate1,  // Predicate_atomic_load_or_i8
/*  8679*/     OPC_CheckPatternPredicate4, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  8680*/     OPC_CheckComplexPat1, /*#*/1, // SelectAddrOperands64:$ #3 #4
/*  8682*/     OPC_EmitMergeInputChains1_0,
/*  8683*/     OPC_EmitInteger32, 0,  // 0 #5
/*  8685*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_OR_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                   /*MVT::i32*/7, 4/*#Ops*/, 5, 3, 4, 2, 
               // Src: (atomic_load_or:{ *:[i32] } (AddrOps64:{ *:[i64] } offset64_op:{ *:[i64] }:$offset, I64:{ *:[i64] }:$addr), i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_or_i8>> - Complexity = 13
               // Dst: (ATOMIC_RMW8_U_OR_I32_A64:{ *:[i32] } 0:{ *:[i32] }, ?:{ *:[i64] }:$offset, ?:{ *:[i64] }:$addr, ?:{ *:[i32] }:$val)
/*  8695*/    /*Scope*/ 17, /*->8713*/
/*  8696*/     OPC_CheckPredicate2,  // Predicate_atomic_load_or_i16
/*  8697*/     OPC_CheckPatternPredicate4, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  8698*/     OPC_CheckComplexPat1, /*#*/1, // SelectAddrOperands64:$ #3 #4
/*  8700*/     OPC_EmitMergeInputChains1_0,
/*  8701*/     OPC_EmitInteger32, 0,  // 0 #5
/*  8703*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_OR_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                   /*MVT::i32*/7, 4/*#Ops*/, 5, 3, 4, 2, 
               // Src: (atomic_load_or:{ *:[i32] } (AddrOps64:{ *:[i64] } offset64_op:{ *:[i64] }:$offset, I64:{ *:[i64] }:$addr), i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_or_i16>> - Complexity = 13
               // Dst: (ATOMIC_RMW16_U_OR_I32_A64:{ *:[i32] } 0:{ *:[i32] }, ?:{ *:[i64] }:$offset, ?:{ *:[i64] }:$addr, ?:{ *:[i32] }:$val)
/*  8713*/    0, /*End of Scope*/
/*  8714*/   /*SwitchType*/ 17, /*MVT::i64*/8, // ->8733
/*  8716*/    OPC_CheckPredicate7,  // Predicate_atomic_load_or_i64
/*  8717*/    OPC_CheckPatternPredicate4, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  8718*/    OPC_CheckComplexPat1, /*#*/1, // SelectAddrOperands64:$ #3 #4
/*  8720*/    OPC_EmitMergeInputChains1_0,
/*  8721*/    OPC_EmitInteger32, 0,  // 0 #5
/*  8723*/    OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW_OR_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                  /*MVT::i64*/8, 4/*#Ops*/, 5, 3, 4, 2, 
              // Src: (atomic_load_or:{ *:[i64] } (AddrOps64:{ *:[i64] } offset64_op:{ *:[i64] }:$offset, I64:{ *:[i64] }:$addr), i64:{ *:[i64] }:$val)<<P:Predicate_atomic_load_or_i64>> - Complexity = 13
              // Dst: (ATOMIC_RMW_OR_I64_A64:{ *:[i64] } 0:{ *:[i32] }, ?:{ *:[i64] }:$offset, ?:{ *:[i64] }:$addr, ?:{ *:[i64] }:$val)
/*  8733*/   0, // EndSwitchType
/*  8734*/  0, /*End of Scope*/
/*  8735*/ /*SwitchOpcode*/ 113|128,1/*241*/, TARGET_VAL(ISD::ATOMIC_LOAD_XOR),// ->8980
/*  8739*/  OPC_RecordMemRef,
/*  8740*/  OPC_RecordNode, // #0 = 'atomic_load_xor' chained node
/*  8741*/  OPC_RecordChild1, // #1 = $AddrOps32:offset:addr
/*  8742*/  OPC_Scope, 117, /*->8861*/ // 2 children in Scope
/*  8744*/   OPC_CheckChild1TypeI32,
/*  8745*/   OPC_RecordChild2, // #2 = $val
/*  8746*/   OPC_SwitchType /*2 cases */, 92, /*MVT::i32*/7, // ->8841
/*  8749*/    OPC_Scope, 17, /*->8768*/ // 5 children in Scope
/*  8751*/     OPC_CheckPredicate3,  // Predicate_atomic_load_xor_i32
/*  8752*/     OPC_CheckPatternPredicate3, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  8753*/     OPC_CheckComplexPat0, /*#*/1, // SelectAddrOperands32:$ #3 #4
/*  8755*/     OPC_EmitMergeInputChains1_0,
/*  8756*/     OPC_EmitInteger32, 0,  // 0 #5
/*  8758*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW_XOR_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                   /*MVT::i32*/7, 4/*#Ops*/, 5, 3, 4, 2, 
               // Src: (atomic_load_xor:{ *:[i32] } (AddrOps32:{ *:[i32] } offset32_op:{ *:[i32] }:$offset, I32:{ *:[i32] }:$addr), i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_xor_i32>> - Complexity = 13
               // Dst: (ATOMIC_RMW_XOR_I32_A32:{ *:[i32] } 0:{ *:[i32] }, ?:{ *:[i32] }:$offset, ?:{ *:[i32] }:$addr, ?:{ *:[i32] }:$val)
/*  8768*/    /*Scope*/ 17, /*->8786*/
/*  8769*/     OPC_CheckPredicate1,  // Predicate_atomic_load_xor_i8
/*  8770*/     OPC_CheckPatternPredicate3, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  8771*/     OPC_CheckComplexPat0, /*#*/1, // SelectAddrOperands32:$ #3 #4
/*  8773*/     OPC_EmitMergeInputChains1_0,
/*  8774*/     OPC_EmitInteger32, 0,  // 0 #5
/*  8776*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_XOR_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                   /*MVT::i32*/7, 4/*#Ops*/, 5, 3, 4, 2, 
               // Src: (atomic_load_xor:{ *:[i32] } (AddrOps32:{ *:[i32] } offset32_op:{ *:[i32] }:$offset, I32:{ *:[i32] }:$addr), i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_xor_i8>> - Complexity = 13
               // Dst: (ATOMIC_RMW8_U_XOR_I32_A32:{ *:[i32] } 0:{ *:[i32] }, ?:{ *:[i32] }:$offset, ?:{ *:[i32] }:$addr, ?:{ *:[i32] }:$val)
/*  8786*/    /*Scope*/ 17, /*->8804*/
/*  8787*/     OPC_CheckPredicate2,  // Predicate_atomic_load_xor_i16
/*  8788*/     OPC_CheckPatternPredicate3, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  8789*/     OPC_CheckComplexPat0, /*#*/1, // SelectAddrOperands32:$ #3 #4
/*  8791*/     OPC_EmitMergeInputChains1_0,
/*  8792*/     OPC_EmitInteger32, 0,  // 0 #5
/*  8794*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_XOR_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                   /*MVT::i32*/7, 4/*#Ops*/, 5, 3, 4, 2, 
               // Src: (atomic_load_xor:{ *:[i32] } (AddrOps32:{ *:[i32] } offset32_op:{ *:[i32] }:$offset, I32:{ *:[i32] }:$addr), i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_xor_i16>> - Complexity = 13
               // Dst: (ATOMIC_RMW16_U_XOR_I32_A32:{ *:[i32] } 0:{ *:[i32] }, ?:{ *:[i32] }:$offset, ?:{ *:[i32] }:$addr, ?:{ *:[i32] }:$val)
/*  8804*/    /*Scope*/ 17, /*->8822*/
/*  8805*/     OPC_CheckPredicate1,  // Predicate_atomic_load_xor_i8
/*  8806*/     OPC_CheckPatternPredicate3, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  8807*/     OPC_CheckComplexPat0, /*#*/1, // SelectAddrOperands32:$ #3 #4
/*  8809*/     OPC_EmitMergeInputChains1_0,
/*  8810*/     OPC_EmitInteger32, 0,  // 0 #5
/*  8812*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_XOR_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                   /*MVT::i32*/7, 4/*#Ops*/, 5, 3, 4, 2, 
               // Src: (atomic_load_xor:{ *:[i32] } (AddrOps32:{ *:[i32] } offset32_op:{ *:[i32] }:$offset, I32:{ *:[i32] }:$addr), i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_xor_i8>> - Complexity = 13
               // Dst: (ATOMIC_RMW8_U_XOR_I32_A32:{ *:[i32] } 0:{ *:[i32] }, ?:{ *:[i32] }:$offset, ?:{ *:[i32] }:$addr, ?:{ *:[i32] }:$val)
/*  8822*/    /*Scope*/ 17, /*->8840*/
/*  8823*/     OPC_CheckPredicate2,  // Predicate_atomic_load_xor_i16
/*  8824*/     OPC_CheckPatternPredicate3, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  8825*/     OPC_CheckComplexPat0, /*#*/1, // SelectAddrOperands32:$ #3 #4
/*  8827*/     OPC_EmitMergeInputChains1_0,
/*  8828*/     OPC_EmitInteger32, 0,  // 0 #5
/*  8830*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_XOR_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                   /*MVT::i32*/7, 4/*#Ops*/, 5, 3, 4, 2, 
               // Src: (atomic_load_xor:{ *:[i32] } (AddrOps32:{ *:[i32] } offset32_op:{ *:[i32] }:$offset, I32:{ *:[i32] }:$addr), i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_xor_i16>> - Complexity = 13
               // Dst: (ATOMIC_RMW16_U_XOR_I32_A32:{ *:[i32] } 0:{ *:[i32] }, ?:{ *:[i32] }:$offset, ?:{ *:[i32] }:$addr, ?:{ *:[i32] }:$val)
/*  8840*/    0, /*End of Scope*/
/*  8841*/   /*SwitchType*/ 17, /*MVT::i64*/8, // ->8860
/*  8843*/    OPC_CheckPredicate7,  // Predicate_atomic_load_xor_i64
/*  8844*/    OPC_CheckPatternPredicate3, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  8845*/    OPC_CheckComplexPat0, /*#*/1, // SelectAddrOperands32:$ #3 #4
/*  8847*/    OPC_EmitMergeInputChains1_0,
/*  8848*/    OPC_EmitInteger32, 0,  // 0 #5
/*  8850*/    OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW_XOR_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                  /*MVT::i64*/8, 4/*#Ops*/, 5, 3, 4, 2, 
              // Src: (atomic_load_xor:{ *:[i64] } (AddrOps32:{ *:[i32] } offset32_op:{ *:[i32] }:$offset, I32:{ *:[i32] }:$addr), i64:{ *:[i64] }:$val)<<P:Predicate_atomic_load_xor_i64>> - Complexity = 13
              // Dst: (ATOMIC_RMW_XOR_I64_A32:{ *:[i64] } 0:{ *:[i32] }, ?:{ *:[i32] }:$offset, ?:{ *:[i32] }:$addr, ?:{ *:[i64] }:$val)
/*  8860*/   0, // EndSwitchType
/*  8861*/  /*Scope*/ 117, /*->8979*/
/*  8862*/   OPC_CheckChild1TypeI64,
/*  8863*/   OPC_RecordChild2, // #2 = $val
/*  8864*/   OPC_SwitchType /*2 cases */, 92, /*MVT::i32*/7, // ->8959
/*  8867*/    OPC_Scope, 17, /*->8886*/ // 5 children in Scope
/*  8869*/     OPC_CheckPredicate3,  // Predicate_atomic_load_xor_i32
/*  8870*/     OPC_CheckPatternPredicate4, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  8871*/     OPC_CheckComplexPat1, /*#*/1, // SelectAddrOperands64:$ #3 #4
/*  8873*/     OPC_EmitMergeInputChains1_0,
/*  8874*/     OPC_EmitInteger32, 0,  // 0 #5
/*  8876*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW_XOR_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                   /*MVT::i32*/7, 4/*#Ops*/, 5, 3, 4, 2, 
               // Src: (atomic_load_xor:{ *:[i32] } (AddrOps64:{ *:[i64] } offset64_op:{ *:[i64] }:$offset, I64:{ *:[i64] }:$addr), i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_xor_i32>> - Complexity = 13
               // Dst: (ATOMIC_RMW_XOR_I32_A64:{ *:[i32] } 0:{ *:[i32] }, ?:{ *:[i64] }:$offset, ?:{ *:[i64] }:$addr, ?:{ *:[i32] }:$val)
/*  8886*/    /*Scope*/ 17, /*->8904*/
/*  8887*/     OPC_CheckPredicate1,  // Predicate_atomic_load_xor_i8
/*  8888*/     OPC_CheckPatternPredicate4, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  8889*/     OPC_CheckComplexPat1, /*#*/1, // SelectAddrOperands64:$ #3 #4
/*  8891*/     OPC_EmitMergeInputChains1_0,
/*  8892*/     OPC_EmitInteger32, 0,  // 0 #5
/*  8894*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_XOR_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                   /*MVT::i32*/7, 4/*#Ops*/, 5, 3, 4, 2, 
               // Src: (atomic_load_xor:{ *:[i32] } (AddrOps64:{ *:[i64] } offset64_op:{ *:[i64] }:$offset, I64:{ *:[i64] }:$addr), i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_xor_i8>> - Complexity = 13
               // Dst: (ATOMIC_RMW8_U_XOR_I32_A64:{ *:[i32] } 0:{ *:[i32] }, ?:{ *:[i64] }:$offset, ?:{ *:[i64] }:$addr, ?:{ *:[i32] }:$val)
/*  8904*/    /*Scope*/ 17, /*->8922*/
/*  8905*/     OPC_CheckPredicate2,  // Predicate_atomic_load_xor_i16
/*  8906*/     OPC_CheckPatternPredicate4, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  8907*/     OPC_CheckComplexPat1, /*#*/1, // SelectAddrOperands64:$ #3 #4
/*  8909*/     OPC_EmitMergeInputChains1_0,
/*  8910*/     OPC_EmitInteger32, 0,  // 0 #5
/*  8912*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_XOR_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                   /*MVT::i32*/7, 4/*#Ops*/, 5, 3, 4, 2, 
               // Src: (atomic_load_xor:{ *:[i32] } (AddrOps64:{ *:[i64] } offset64_op:{ *:[i64] }:$offset, I64:{ *:[i64] }:$addr), i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_xor_i16>> - Complexity = 13
               // Dst: (ATOMIC_RMW16_U_XOR_I32_A64:{ *:[i32] } 0:{ *:[i32] }, ?:{ *:[i64] }:$offset, ?:{ *:[i64] }:$addr, ?:{ *:[i32] }:$val)
/*  8922*/    /*Scope*/ 17, /*->8940*/
/*  8923*/     OPC_CheckPredicate1,  // Predicate_atomic_load_xor_i8
/*  8924*/     OPC_CheckPatternPredicate4, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  8925*/     OPC_CheckComplexPat1, /*#*/1, // SelectAddrOperands64:$ #3 #4
/*  8927*/     OPC_EmitMergeInputChains1_0,
/*  8928*/     OPC_EmitInteger32, 0,  // 0 #5
/*  8930*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_XOR_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                   /*MVT::i32*/7, 4/*#Ops*/, 5, 3, 4, 2, 
               // Src: (atomic_load_xor:{ *:[i32] } (AddrOps64:{ *:[i64] } offset64_op:{ *:[i64] }:$offset, I64:{ *:[i64] }:$addr), i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_xor_i8>> - Complexity = 13
               // Dst: (ATOMIC_RMW8_U_XOR_I32_A64:{ *:[i32] } 0:{ *:[i32] }, ?:{ *:[i64] }:$offset, ?:{ *:[i64] }:$addr, ?:{ *:[i32] }:$val)
/*  8940*/    /*Scope*/ 17, /*->8958*/
/*  8941*/     OPC_CheckPredicate2,  // Predicate_atomic_load_xor_i16
/*  8942*/     OPC_CheckPatternPredicate4, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  8943*/     OPC_CheckComplexPat1, /*#*/1, // SelectAddrOperands64:$ #3 #4
/*  8945*/     OPC_EmitMergeInputChains1_0,
/*  8946*/     OPC_EmitInteger32, 0,  // 0 #5
/*  8948*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_XOR_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                   /*MVT::i32*/7, 4/*#Ops*/, 5, 3, 4, 2, 
               // Src: (atomic_load_xor:{ *:[i32] } (AddrOps64:{ *:[i64] } offset64_op:{ *:[i64] }:$offset, I64:{ *:[i64] }:$addr), i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_xor_i16>> - Complexity = 13
               // Dst: (ATOMIC_RMW16_U_XOR_I32_A64:{ *:[i32] } 0:{ *:[i32] }, ?:{ *:[i64] }:$offset, ?:{ *:[i64] }:$addr, ?:{ *:[i32] }:$val)
/*  8958*/    0, /*End of Scope*/
/*  8959*/   /*SwitchType*/ 17, /*MVT::i64*/8, // ->8978
/*  8961*/    OPC_CheckPredicate7,  // Predicate_atomic_load_xor_i64
/*  8962*/    OPC_CheckPatternPredicate4, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  8963*/    OPC_CheckComplexPat1, /*#*/1, // SelectAddrOperands64:$ #3 #4
/*  8965*/    OPC_EmitMergeInputChains1_0,
/*  8966*/    OPC_EmitInteger32, 0,  // 0 #5
/*  8968*/    OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW_XOR_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                  /*MVT::i64*/8, 4/*#Ops*/, 5, 3, 4, 2, 
              // Src: (atomic_load_xor:{ *:[i64] } (AddrOps64:{ *:[i64] } offset64_op:{ *:[i64] }:$offset, I64:{ *:[i64] }:$addr), i64:{ *:[i64] }:$val)<<P:Predicate_atomic_load_xor_i64>> - Complexity = 13
              // Dst: (ATOMIC_RMW_XOR_I64_A64:{ *:[i64] } 0:{ *:[i32] }, ?:{ *:[i64] }:$offset, ?:{ *:[i64] }:$addr, ?:{ *:[i64] }:$val)
/*  8978*/   0, // EndSwitchType
/*  8979*/  0, /*End of Scope*/
/*  8980*/ /*SwitchOpcode*/ 113|128,1/*241*/, TARGET_VAL(ISD::ATOMIC_SWAP),// ->9225
/*  8984*/  OPC_RecordMemRef,
/*  8985*/  OPC_RecordNode, // #0 = 'atomic_swap' chained node
/*  8986*/  OPC_RecordChild1, // #1 = $AddrOps32:offset:addr
/*  8987*/  OPC_Scope, 117, /*->9106*/ // 2 children in Scope
/*  8989*/   OPC_CheckChild1TypeI32,
/*  8990*/   OPC_RecordChild2, // #2 = $val
/*  8991*/   OPC_SwitchType /*2 cases */, 92, /*MVT::i32*/7, // ->9086
/*  8994*/    OPC_Scope, 17, /*->9013*/ // 5 children in Scope
/*  8996*/     OPC_CheckPredicate3,  // Predicate_atomic_swap_i32
/*  8997*/     OPC_CheckPatternPredicate3, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  8998*/     OPC_CheckComplexPat0, /*#*/1, // SelectAddrOperands32:$ #3 #4
/*  9000*/     OPC_EmitMergeInputChains1_0,
/*  9001*/     OPC_EmitInteger32, 0,  // 0 #5
/*  9003*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW_XCHG_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                   /*MVT::i32*/7, 4/*#Ops*/, 5, 3, 4, 2, 
               // Src: (atomic_swap:{ *:[i32] } (AddrOps32:{ *:[i32] } offset32_op:{ *:[i32] }:$offset, I32:{ *:[i32] }:$addr), i32:{ *:[i32] }:$val)<<P:Predicate_atomic_swap_i32>> - Complexity = 13
               // Dst: (ATOMIC_RMW_XCHG_I32_A32:{ *:[i32] } 0:{ *:[i32] }, ?:{ *:[i32] }:$offset, ?:{ *:[i32] }:$addr, ?:{ *:[i32] }:$val)
/*  9013*/    /*Scope*/ 17, /*->9031*/
/*  9014*/     OPC_CheckPredicate1,  // Predicate_atomic_swap_i8
/*  9015*/     OPC_CheckPatternPredicate3, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  9016*/     OPC_CheckComplexPat0, /*#*/1, // SelectAddrOperands32:$ #3 #4
/*  9018*/     OPC_EmitMergeInputChains1_0,
/*  9019*/     OPC_EmitInteger32, 0,  // 0 #5
/*  9021*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_XCHG_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                   /*MVT::i32*/7, 4/*#Ops*/, 5, 3, 4, 2, 
               // Src: (atomic_swap:{ *:[i32] } (AddrOps32:{ *:[i32] } offset32_op:{ *:[i32] }:$offset, I32:{ *:[i32] }:$addr), i32:{ *:[i32] }:$val)<<P:Predicate_atomic_swap_i8>> - Complexity = 13
               // Dst: (ATOMIC_RMW8_U_XCHG_I32_A32:{ *:[i32] } 0:{ *:[i32] }, ?:{ *:[i32] }:$offset, ?:{ *:[i32] }:$addr, ?:{ *:[i32] }:$val)
/*  9031*/    /*Scope*/ 17, /*->9049*/
/*  9032*/     OPC_CheckPredicate2,  // Predicate_atomic_swap_i16
/*  9033*/     OPC_CheckPatternPredicate3, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  9034*/     OPC_CheckComplexPat0, /*#*/1, // SelectAddrOperands32:$ #3 #4
/*  9036*/     OPC_EmitMergeInputChains1_0,
/*  9037*/     OPC_EmitInteger32, 0,  // 0 #5
/*  9039*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_XCHG_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                   /*MVT::i32*/7, 4/*#Ops*/, 5, 3, 4, 2, 
               // Src: (atomic_swap:{ *:[i32] } (AddrOps32:{ *:[i32] } offset32_op:{ *:[i32] }:$offset, I32:{ *:[i32] }:$addr), i32:{ *:[i32] }:$val)<<P:Predicate_atomic_swap_i16>> - Complexity = 13
               // Dst: (ATOMIC_RMW16_U_XCHG_I32_A32:{ *:[i32] } 0:{ *:[i32] }, ?:{ *:[i32] }:$offset, ?:{ *:[i32] }:$addr, ?:{ *:[i32] }:$val)
/*  9049*/    /*Scope*/ 17, /*->9067*/
/*  9050*/     OPC_CheckPredicate1,  // Predicate_atomic_swap_i8
/*  9051*/     OPC_CheckPatternPredicate3, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  9052*/     OPC_CheckComplexPat0, /*#*/1, // SelectAddrOperands32:$ #3 #4
/*  9054*/     OPC_EmitMergeInputChains1_0,
/*  9055*/     OPC_EmitInteger32, 0,  // 0 #5
/*  9057*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_XCHG_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                   /*MVT::i32*/7, 4/*#Ops*/, 5, 3, 4, 2, 
               // Src: (atomic_swap:{ *:[i32] } (AddrOps32:{ *:[i32] } offset32_op:{ *:[i32] }:$offset, I32:{ *:[i32] }:$addr), i32:{ *:[i32] }:$val)<<P:Predicate_atomic_swap_i8>> - Complexity = 13
               // Dst: (ATOMIC_RMW8_U_XCHG_I32_A32:{ *:[i32] } 0:{ *:[i32] }, ?:{ *:[i32] }:$offset, ?:{ *:[i32] }:$addr, ?:{ *:[i32] }:$val)
/*  9067*/    /*Scope*/ 17, /*->9085*/
/*  9068*/     OPC_CheckPredicate2,  // Predicate_atomic_swap_i16
/*  9069*/     OPC_CheckPatternPredicate3, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  9070*/     OPC_CheckComplexPat0, /*#*/1, // SelectAddrOperands32:$ #3 #4
/*  9072*/     OPC_EmitMergeInputChains1_0,
/*  9073*/     OPC_EmitInteger32, 0,  // 0 #5
/*  9075*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_XCHG_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                   /*MVT::i32*/7, 4/*#Ops*/, 5, 3, 4, 2, 
               // Src: (atomic_swap:{ *:[i32] } (AddrOps32:{ *:[i32] } offset32_op:{ *:[i32] }:$offset, I32:{ *:[i32] }:$addr), i32:{ *:[i32] }:$val)<<P:Predicate_atomic_swap_i16>> - Complexity = 13
               // Dst: (ATOMIC_RMW16_U_XCHG_I32_A32:{ *:[i32] } 0:{ *:[i32] }, ?:{ *:[i32] }:$offset, ?:{ *:[i32] }:$addr, ?:{ *:[i32] }:$val)
/*  9085*/    0, /*End of Scope*/
/*  9086*/   /*SwitchType*/ 17, /*MVT::i64*/8, // ->9105
/*  9088*/    OPC_CheckPredicate7,  // Predicate_atomic_swap_i64
/*  9089*/    OPC_CheckPatternPredicate3, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  9090*/    OPC_CheckComplexPat0, /*#*/1, // SelectAddrOperands32:$ #3 #4
/*  9092*/    OPC_EmitMergeInputChains1_0,
/*  9093*/    OPC_EmitInteger32, 0,  // 0 #5
/*  9095*/    OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW_XCHG_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                  /*MVT::i64*/8, 4/*#Ops*/, 5, 3, 4, 2, 
              // Src: (atomic_swap:{ *:[i64] } (AddrOps32:{ *:[i32] } offset32_op:{ *:[i32] }:$offset, I32:{ *:[i32] }:$addr), i64:{ *:[i64] }:$val)<<P:Predicate_atomic_swap_i64>> - Complexity = 13
              // Dst: (ATOMIC_RMW_XCHG_I64_A32:{ *:[i64] } 0:{ *:[i32] }, ?:{ *:[i32] }:$offset, ?:{ *:[i32] }:$addr, ?:{ *:[i64] }:$val)
/*  9105*/   0, // EndSwitchType
/*  9106*/  /*Scope*/ 117, /*->9224*/
/*  9107*/   OPC_CheckChild1TypeI64,
/*  9108*/   OPC_RecordChild2, // #2 = $val
/*  9109*/   OPC_SwitchType /*2 cases */, 92, /*MVT::i32*/7, // ->9204
/*  9112*/    OPC_Scope, 17, /*->9131*/ // 5 children in Scope
/*  9114*/     OPC_CheckPredicate3,  // Predicate_atomic_swap_i32
/*  9115*/     OPC_CheckPatternPredicate4, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  9116*/     OPC_CheckComplexPat1, /*#*/1, // SelectAddrOperands64:$ #3 #4
/*  9118*/     OPC_EmitMergeInputChains1_0,
/*  9119*/     OPC_EmitInteger32, 0,  // 0 #5
/*  9121*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW_XCHG_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                   /*MVT::i32*/7, 4/*#Ops*/, 5, 3, 4, 2, 
               // Src: (atomic_swap:{ *:[i32] } (AddrOps64:{ *:[i64] } offset64_op:{ *:[i64] }:$offset, I64:{ *:[i64] }:$addr), i32:{ *:[i32] }:$val)<<P:Predicate_atomic_swap_i32>> - Complexity = 13
               // Dst: (ATOMIC_RMW_XCHG_I32_A64:{ *:[i32] } 0:{ *:[i32] }, ?:{ *:[i64] }:$offset, ?:{ *:[i64] }:$addr, ?:{ *:[i32] }:$val)
/*  9131*/    /*Scope*/ 17, /*->9149*/
/*  9132*/     OPC_CheckPredicate1,  // Predicate_atomic_swap_i8
/*  9133*/     OPC_CheckPatternPredicate4, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  9134*/     OPC_CheckComplexPat1, /*#*/1, // SelectAddrOperands64:$ #3 #4
/*  9136*/     OPC_EmitMergeInputChains1_0,
/*  9137*/     OPC_EmitInteger32, 0,  // 0 #5
/*  9139*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_XCHG_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                   /*MVT::i32*/7, 4/*#Ops*/, 5, 3, 4, 2, 
               // Src: (atomic_swap:{ *:[i32] } (AddrOps64:{ *:[i64] } offset64_op:{ *:[i64] }:$offset, I64:{ *:[i64] }:$addr), i32:{ *:[i32] }:$val)<<P:Predicate_atomic_swap_i8>> - Complexity = 13
               // Dst: (ATOMIC_RMW8_U_XCHG_I32_A64:{ *:[i32] } 0:{ *:[i32] }, ?:{ *:[i64] }:$offset, ?:{ *:[i64] }:$addr, ?:{ *:[i32] }:$val)
/*  9149*/    /*Scope*/ 17, /*->9167*/
/*  9150*/     OPC_CheckPredicate2,  // Predicate_atomic_swap_i16
/*  9151*/     OPC_CheckPatternPredicate4, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  9152*/     OPC_CheckComplexPat1, /*#*/1, // SelectAddrOperands64:$ #3 #4
/*  9154*/     OPC_EmitMergeInputChains1_0,
/*  9155*/     OPC_EmitInteger32, 0,  // 0 #5
/*  9157*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_XCHG_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                   /*MVT::i32*/7, 4/*#Ops*/, 5, 3, 4, 2, 
               // Src: (atomic_swap:{ *:[i32] } (AddrOps64:{ *:[i64] } offset64_op:{ *:[i64] }:$offset, I64:{ *:[i64] }:$addr), i32:{ *:[i32] }:$val)<<P:Predicate_atomic_swap_i16>> - Complexity = 13
               // Dst: (ATOMIC_RMW16_U_XCHG_I32_A64:{ *:[i32] } 0:{ *:[i32] }, ?:{ *:[i64] }:$offset, ?:{ *:[i64] }:$addr, ?:{ *:[i32] }:$val)
/*  9167*/    /*Scope*/ 17, /*->9185*/
/*  9168*/     OPC_CheckPredicate1,  // Predicate_atomic_swap_i8
/*  9169*/     OPC_CheckPatternPredicate4, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  9170*/     OPC_CheckComplexPat1, /*#*/1, // SelectAddrOperands64:$ #3 #4
/*  9172*/     OPC_EmitMergeInputChains1_0,
/*  9173*/     OPC_EmitInteger32, 0,  // 0 #5
/*  9175*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_XCHG_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                   /*MVT::i32*/7, 4/*#Ops*/, 5, 3, 4, 2, 
               // Src: (atomic_swap:{ *:[i32] } (AddrOps64:{ *:[i64] } offset64_op:{ *:[i64] }:$offset, I64:{ *:[i64] }:$addr), i32:{ *:[i32] }:$val)<<P:Predicate_atomic_swap_i8>> - Complexity = 13
               // Dst: (ATOMIC_RMW8_U_XCHG_I32_A64:{ *:[i32] } 0:{ *:[i32] }, ?:{ *:[i64] }:$offset, ?:{ *:[i64] }:$addr, ?:{ *:[i32] }:$val)
/*  9185*/    /*Scope*/ 17, /*->9203*/
/*  9186*/     OPC_CheckPredicate2,  // Predicate_atomic_swap_i16
/*  9187*/     OPC_CheckPatternPredicate4, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  9188*/     OPC_CheckComplexPat1, /*#*/1, // SelectAddrOperands64:$ #3 #4
/*  9190*/     OPC_EmitMergeInputChains1_0,
/*  9191*/     OPC_EmitInteger32, 0,  // 0 #5
/*  9193*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_XCHG_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                   /*MVT::i32*/7, 4/*#Ops*/, 5, 3, 4, 2, 
               // Src: (atomic_swap:{ *:[i32] } (AddrOps64:{ *:[i64] } offset64_op:{ *:[i64] }:$offset, I64:{ *:[i64] }:$addr), i32:{ *:[i32] }:$val)<<P:Predicate_atomic_swap_i16>> - Complexity = 13
               // Dst: (ATOMIC_RMW16_U_XCHG_I32_A64:{ *:[i32] } 0:{ *:[i32] }, ?:{ *:[i64] }:$offset, ?:{ *:[i64] }:$addr, ?:{ *:[i32] }:$val)
/*  9203*/    0, /*End of Scope*/
/*  9204*/   /*SwitchType*/ 17, /*MVT::i64*/8, // ->9223
/*  9206*/    OPC_CheckPredicate7,  // Predicate_atomic_swap_i64
/*  9207*/    OPC_CheckPatternPredicate4, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  9208*/    OPC_CheckComplexPat1, /*#*/1, // SelectAddrOperands64:$ #3 #4
/*  9210*/    OPC_EmitMergeInputChains1_0,
/*  9211*/    OPC_EmitInteger32, 0,  // 0 #5
/*  9213*/    OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW_XCHG_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                  /*MVT::i64*/8, 4/*#Ops*/, 5, 3, 4, 2, 
              // Src: (atomic_swap:{ *:[i64] } (AddrOps64:{ *:[i64] } offset64_op:{ *:[i64] }:$offset, I64:{ *:[i64] }:$addr), i64:{ *:[i64] }:$val)<<P:Predicate_atomic_swap_i64>> - Complexity = 13
              // Dst: (ATOMIC_RMW_XCHG_I64_A64:{ *:[i64] } 0:{ *:[i32] }, ?:{ *:[i64] }:$offset, ?:{ *:[i64] }:$addr, ?:{ *:[i64] }:$val)
/*  9223*/   0, // EndSwitchType
/*  9224*/  0, /*End of Scope*/
/*  9225*/ /*SwitchOpcode*/ 127|128,1/*255*/, TARGET_VAL(ISD::ATOMIC_CMP_SWAP),// ->9484
/*  9229*/  OPC_RecordMemRef,
/*  9230*/  OPC_RecordNode, // #0 = 'atomic_cmp_swap' chained node
/*  9231*/  OPC_RecordChild1, // #1 = $AddrOps32:offset:addr
/*  9232*/  OPC_Scope, 124, /*->9358*/ // 2 children in Scope
/*  9234*/   OPC_CheckChild1TypeI32,
/*  9235*/   OPC_RecordChild2, // #2 = $exp
/*  9236*/   OPC_RecordChild3, // #3 = $new
/*  9237*/   OPC_SwitchType /*2 cases */, 97, /*MVT::i32*/7, // ->9337
/*  9240*/    OPC_Scope, 18, /*->9260*/ // 5 children in Scope
/*  9242*/     OPC_CheckPredicate3,  // Predicate_atomic_cmp_swap_i32
/*  9243*/     OPC_CheckPatternPredicate3, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  9244*/     OPC_CheckComplexPat0, /*#*/1, // SelectAddrOperands32:$ #4 #5
/*  9246*/     OPC_EmitMergeInputChains1_0,
/*  9247*/     OPC_EmitInteger32, 0,  // 0 #6
/*  9249*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW_CMPXCHG_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                   /*MVT::i32*/7, 5/*#Ops*/, 6, 4, 5, 2, 3, 
               // Src: (atomic_cmp_swap:{ *:[i32] } (AddrOps32:{ *:[i32] } offset32_op:{ *:[i32] }:$offset, I32:{ *:[i32] }:$addr), i32:{ *:[i32] }:$exp, i32:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_i32>> - Complexity = 13
               // Dst: (ATOMIC_RMW_CMPXCHG_I32_A32:{ *:[i32] } 0:{ *:[i32] }, ?:{ *:[i32] }:$offset, ?:{ *:[i32] }:$addr, ?:{ *:[i32] }:$exp, ?:{ *:[i32] }:$new)
/*  9260*/    /*Scope*/ 18, /*->9279*/
/*  9261*/     OPC_CheckPredicate1,  // Predicate_atomic_cmp_swap_i8
/*  9262*/     OPC_CheckPatternPredicate3, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  9263*/     OPC_CheckComplexPat0, /*#*/1, // SelectAddrOperands32:$ #4 #5
/*  9265*/     OPC_EmitMergeInputChains1_0,
/*  9266*/     OPC_EmitInteger32, 0,  // 0 #6
/*  9268*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_CMPXCHG_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                   /*MVT::i32*/7, 5/*#Ops*/, 6, 4, 5, 2, 3, 
               // Src: (atomic_cmp_swap:{ *:[i32] } (AddrOps32:{ *:[i32] } offset32_op:{ *:[i32] }:$offset, I32:{ *:[i32] }:$addr), i32:{ *:[i32] }:$exp, i32:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_i8>> - Complexity = 13
               // Dst: (ATOMIC_RMW8_U_CMPXCHG_I32_A32:{ *:[i32] } 0:{ *:[i32] }, ?:{ *:[i32] }:$offset, ?:{ *:[i32] }:$addr, ?:{ *:[i32] }:$exp, ?:{ *:[i32] }:$new)
/*  9279*/    /*Scope*/ 18, /*->9298*/
/*  9280*/     OPC_CheckPredicate2,  // Predicate_atomic_cmp_swap_i16
/*  9281*/     OPC_CheckPatternPredicate3, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  9282*/     OPC_CheckComplexPat0, /*#*/1, // SelectAddrOperands32:$ #4 #5
/*  9284*/     OPC_EmitMergeInputChains1_0,
/*  9285*/     OPC_EmitInteger32, 0,  // 0 #6
/*  9287*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_CMPXCHG_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                   /*MVT::i32*/7, 5/*#Ops*/, 6, 4, 5, 2, 3, 
               // Src: (atomic_cmp_swap:{ *:[i32] } (AddrOps32:{ *:[i32] } offset32_op:{ *:[i32] }:$offset, I32:{ *:[i32] }:$addr), i32:{ *:[i32] }:$exp, i32:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_i16>> - Complexity = 13
               // Dst: (ATOMIC_RMW16_U_CMPXCHG_I32_A32:{ *:[i32] } 0:{ *:[i32] }, ?:{ *:[i32] }:$offset, ?:{ *:[i32] }:$addr, ?:{ *:[i32] }:$exp, ?:{ *:[i32] }:$new)
/*  9298*/    /*Scope*/ 18, /*->9317*/
/*  9299*/     OPC_CheckPredicate1,  // Predicate_atomic_cmp_swap_i8
/*  9300*/     OPC_CheckPatternPredicate3, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  9301*/     OPC_CheckComplexPat0, /*#*/1, // SelectAddrOperands32:$ #4 #5
/*  9303*/     OPC_EmitMergeInputChains1_0,
/*  9304*/     OPC_EmitInteger32, 0,  // 0 #6
/*  9306*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_CMPXCHG_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                   /*MVT::i32*/7, 5/*#Ops*/, 6, 4, 5, 2, 3, 
               // Src: (atomic_cmp_swap:{ *:[i32] } (AddrOps32:{ *:[i32] } offset32_op:{ *:[i32] }:$offset, I32:{ *:[i32] }:$addr), i32:{ *:[i32] }:$exp, i32:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_i8>> - Complexity = 13
               // Dst: (ATOMIC_RMW8_U_CMPXCHG_I32_A32:{ *:[i32] } 0:{ *:[i32] }, ?:{ *:[i32] }:$offset, ?:{ *:[i32] }:$addr, ?:{ *:[i32] }:$exp, ?:{ *:[i32] }:$new)
/*  9317*/    /*Scope*/ 18, /*->9336*/
/*  9318*/     OPC_CheckPredicate2,  // Predicate_atomic_cmp_swap_i16
/*  9319*/     OPC_CheckPatternPredicate3, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  9320*/     OPC_CheckComplexPat0, /*#*/1, // SelectAddrOperands32:$ #4 #5
/*  9322*/     OPC_EmitMergeInputChains1_0,
/*  9323*/     OPC_EmitInteger32, 0,  // 0 #6
/*  9325*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_CMPXCHG_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                   /*MVT::i32*/7, 5/*#Ops*/, 6, 4, 5, 2, 3, 
               // Src: (atomic_cmp_swap:{ *:[i32] } (AddrOps32:{ *:[i32] } offset32_op:{ *:[i32] }:$offset, I32:{ *:[i32] }:$addr), i32:{ *:[i32] }:$exp, i32:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_i16>> - Complexity = 13
               // Dst: (ATOMIC_RMW16_U_CMPXCHG_I32_A32:{ *:[i32] } 0:{ *:[i32] }, ?:{ *:[i32] }:$offset, ?:{ *:[i32] }:$addr, ?:{ *:[i32] }:$exp, ?:{ *:[i32] }:$new)
/*  9336*/    0, /*End of Scope*/
/*  9337*/   /*SwitchType*/ 18, /*MVT::i64*/8, // ->9357
/*  9339*/    OPC_CheckPredicate7,  // Predicate_atomic_cmp_swap_i64
/*  9340*/    OPC_CheckPatternPredicate3, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  9341*/    OPC_CheckComplexPat0, /*#*/1, // SelectAddrOperands32:$ #4 #5
/*  9343*/    OPC_EmitMergeInputChains1_0,
/*  9344*/    OPC_EmitInteger32, 0,  // 0 #6
/*  9346*/    OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW_CMPXCHG_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                  /*MVT::i64*/8, 5/*#Ops*/, 6, 4, 5, 2, 3, 
              // Src: (atomic_cmp_swap:{ *:[i64] } (AddrOps32:{ *:[i32] } offset32_op:{ *:[i32] }:$offset, I32:{ *:[i32] }:$addr), i64:{ *:[i64] }:$exp, i64:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i64>> - Complexity = 13
              // Dst: (ATOMIC_RMW_CMPXCHG_I64_A32:{ *:[i64] } 0:{ *:[i32] }, ?:{ *:[i32] }:$offset, ?:{ *:[i32] }:$addr, ?:{ *:[i64] }:$exp, ?:{ *:[i64] }:$new)
/*  9357*/   0, // EndSwitchType
/*  9358*/  /*Scope*/ 124, /*->9483*/
/*  9359*/   OPC_CheckChild1TypeI64,
/*  9360*/   OPC_RecordChild2, // #2 = $exp
/*  9361*/   OPC_RecordChild3, // #3 = $new
/*  9362*/   OPC_SwitchType /*2 cases */, 97, /*MVT::i32*/7, // ->9462
/*  9365*/    OPC_Scope, 18, /*->9385*/ // 5 children in Scope
/*  9367*/     OPC_CheckPredicate3,  // Predicate_atomic_cmp_swap_i32
/*  9368*/     OPC_CheckPatternPredicate4, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  9369*/     OPC_CheckComplexPat1, /*#*/1, // SelectAddrOperands64:$ #4 #5
/*  9371*/     OPC_EmitMergeInputChains1_0,
/*  9372*/     OPC_EmitInteger32, 0,  // 0 #6
/*  9374*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW_CMPXCHG_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                   /*MVT::i32*/7, 5/*#Ops*/, 6, 4, 5, 2, 3, 
               // Src: (atomic_cmp_swap:{ *:[i32] } (AddrOps64:{ *:[i64] } offset64_op:{ *:[i64] }:$offset, I64:{ *:[i64] }:$addr), i32:{ *:[i32] }:$exp, i32:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_i32>> - Complexity = 13
               // Dst: (ATOMIC_RMW_CMPXCHG_I32_A64:{ *:[i32] } 0:{ *:[i32] }, ?:{ *:[i64] }:$offset, ?:{ *:[i64] }:$addr, ?:{ *:[i32] }:$exp, ?:{ *:[i32] }:$new)
/*  9385*/    /*Scope*/ 18, /*->9404*/
/*  9386*/     OPC_CheckPredicate1,  // Predicate_atomic_cmp_swap_i8
/*  9387*/     OPC_CheckPatternPredicate4, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  9388*/     OPC_CheckComplexPat1, /*#*/1, // SelectAddrOperands64:$ #4 #5
/*  9390*/     OPC_EmitMergeInputChains1_0,
/*  9391*/     OPC_EmitInteger32, 0,  // 0 #6
/*  9393*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_CMPXCHG_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                   /*MVT::i32*/7, 5/*#Ops*/, 6, 4, 5, 2, 3, 
               // Src: (atomic_cmp_swap:{ *:[i32] } (AddrOps64:{ *:[i64] } offset64_op:{ *:[i64] }:$offset, I64:{ *:[i64] }:$addr), i32:{ *:[i32] }:$exp, i32:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_i8>> - Complexity = 13
               // Dst: (ATOMIC_RMW8_U_CMPXCHG_I32_A64:{ *:[i32] } 0:{ *:[i32] }, ?:{ *:[i64] }:$offset, ?:{ *:[i64] }:$addr, ?:{ *:[i32] }:$exp, ?:{ *:[i32] }:$new)
/*  9404*/    /*Scope*/ 18, /*->9423*/
/*  9405*/     OPC_CheckPredicate2,  // Predicate_atomic_cmp_swap_i16
/*  9406*/     OPC_CheckPatternPredicate4, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  9407*/     OPC_CheckComplexPat1, /*#*/1, // SelectAddrOperands64:$ #4 #5
/*  9409*/     OPC_EmitMergeInputChains1_0,
/*  9410*/     OPC_EmitInteger32, 0,  // 0 #6
/*  9412*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_CMPXCHG_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                   /*MVT::i32*/7, 5/*#Ops*/, 6, 4, 5, 2, 3, 
               // Src: (atomic_cmp_swap:{ *:[i32] } (AddrOps64:{ *:[i64] } offset64_op:{ *:[i64] }:$offset, I64:{ *:[i64] }:$addr), i32:{ *:[i32] }:$exp, i32:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_i16>> - Complexity = 13
               // Dst: (ATOMIC_RMW16_U_CMPXCHG_I32_A64:{ *:[i32] } 0:{ *:[i32] }, ?:{ *:[i64] }:$offset, ?:{ *:[i64] }:$addr, ?:{ *:[i32] }:$exp, ?:{ *:[i32] }:$new)
/*  9423*/    /*Scope*/ 18, /*->9442*/
/*  9424*/     OPC_CheckPredicate1,  // Predicate_atomic_cmp_swap_i8
/*  9425*/     OPC_CheckPatternPredicate4, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  9426*/     OPC_CheckComplexPat1, /*#*/1, // SelectAddrOperands64:$ #4 #5
/*  9428*/     OPC_EmitMergeInputChains1_0,
/*  9429*/     OPC_EmitInteger32, 0,  // 0 #6
/*  9431*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_CMPXCHG_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                   /*MVT::i32*/7, 5/*#Ops*/, 6, 4, 5, 2, 3, 
               // Src: (atomic_cmp_swap:{ *:[i32] } (AddrOps64:{ *:[i64] } offset64_op:{ *:[i64] }:$offset, I64:{ *:[i64] }:$addr), i32:{ *:[i32] }:$exp, i32:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_i8>> - Complexity = 13
               // Dst: (ATOMIC_RMW8_U_CMPXCHG_I32_A64:{ *:[i32] } 0:{ *:[i32] }, ?:{ *:[i64] }:$offset, ?:{ *:[i64] }:$addr, ?:{ *:[i32] }:$exp, ?:{ *:[i32] }:$new)
/*  9442*/    /*Scope*/ 18, /*->9461*/
/*  9443*/     OPC_CheckPredicate2,  // Predicate_atomic_cmp_swap_i16
/*  9444*/     OPC_CheckPatternPredicate4, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  9445*/     OPC_CheckComplexPat1, /*#*/1, // SelectAddrOperands64:$ #4 #5
/*  9447*/     OPC_EmitMergeInputChains1_0,
/*  9448*/     OPC_EmitInteger32, 0,  // 0 #6
/*  9450*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_CMPXCHG_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                   /*MVT::i32*/7, 5/*#Ops*/, 6, 4, 5, 2, 3, 
               // Src: (atomic_cmp_swap:{ *:[i32] } (AddrOps64:{ *:[i64] } offset64_op:{ *:[i64] }:$offset, I64:{ *:[i64] }:$addr), i32:{ *:[i32] }:$exp, i32:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_i16>> - Complexity = 13
               // Dst: (ATOMIC_RMW16_U_CMPXCHG_I32_A64:{ *:[i32] } 0:{ *:[i32] }, ?:{ *:[i64] }:$offset, ?:{ *:[i64] }:$addr, ?:{ *:[i32] }:$exp, ?:{ *:[i32] }:$new)
/*  9461*/    0, /*End of Scope*/
/*  9462*/   /*SwitchType*/ 18, /*MVT::i64*/8, // ->9482
/*  9464*/    OPC_CheckPredicate7,  // Predicate_atomic_cmp_swap_i64
/*  9465*/    OPC_CheckPatternPredicate4, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  9466*/    OPC_CheckComplexPat1, /*#*/1, // SelectAddrOperands64:$ #4 #5
/*  9468*/    OPC_EmitMergeInputChains1_0,
/*  9469*/    OPC_EmitInteger32, 0,  // 0 #6
/*  9471*/    OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW_CMPXCHG_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                  /*MVT::i64*/8, 5/*#Ops*/, 6, 4, 5, 2, 3, 
              // Src: (atomic_cmp_swap:{ *:[i64] } (AddrOps64:{ *:[i64] } offset64_op:{ *:[i64] }:$offset, I64:{ *:[i64] }:$addr), i64:{ *:[i64] }:$exp, i64:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i64>> - Complexity = 13
              // Dst: (ATOMIC_RMW_CMPXCHG_I64_A64:{ *:[i64] } 0:{ *:[i32] }, ?:{ *:[i64] }:$offset, ?:{ *:[i64] }:$addr, ?:{ *:[i64] }:$exp, ?:{ *:[i64] }:$new)
/*  9482*/   0, // EndSwitchType
/*  9483*/  0, /*End of Scope*/
/*  9484*/ /*SwitchOpcode*/ 89, TARGET_VAL(ISD::BRCOND),// ->9576
/*  9487*/  OPC_RecordNode, // #0 = 'brcond' chained node
/*  9488*/  OPC_Scope, 69, /*->9559*/ // 2 children in Scope
/*  9490*/   OPC_MoveChild1,
/*  9491*/   OPC_SwitchOpcode /*2 cases */, 21, TARGET_VAL(ISD::XOR),// ->9516
/*  9495*/    OPC_RecordChild0, // #1 = $cond
/*  9496*/    OPC_MoveChild0,
/*  9497*/    OPC_CheckPredicate, 27, // Predicate_bool_node
/*  9499*/    OPC_MoveParent,
/*  9500*/    OPC_CheckChild1Integer, 2, 
/*  9502*/    OPC_CheckTypeI32,
/*  9503*/    OPC_MoveSibling2,
/*  9504*/    OPC_CheckOpcode, TARGET_VAL(ISD::BasicBlock),
/*  9507*/    OPC_RecordNode, // #2 = $dst
/*  9508*/    OPC_MoveParent,
/*  9509*/    OPC_EmitMergeInputChains1_0,
/*  9510*/    OPC_MorphNodeTo0Chain, TARGET_VAL(WebAssembly::BR_UNLESS),
                  2/*#Ops*/, 2, 1, 
              // Src: (brcond (xor:{ *:[i32] } I32:{ *:[i32] }<<P:Predicate_bool_node>>:$cond, 1:{ *:[i32] }), (bb:{ *:[Other] }):$dst) - Complexity = 12
              // Dst: (BR_UNLESS bb_op:{ *:[Other] }:$dst, I32:{ *:[i32] }:$cond)
/*  9516*/   /*SwitchOpcode*/ 39, TARGET_VAL(ISD::SETCC),// ->9558
/*  9519*/    OPC_RecordChild0, // #1 = $cond
/*  9520*/    OPC_CheckChild0TypeI32,
/*  9521*/    OPC_CheckChild1Integer, 0, 
/*  9523*/    OPC_CheckTypeI32,
/*  9524*/    OPC_Scope, 15, /*->9541*/ // 2 children in Scope
/*  9526*/     OPC_CheckChild2CondCode, ISD::SETNE,
/*  9528*/     OPC_MoveSibling2,
/*  9529*/     OPC_CheckOpcode, TARGET_VAL(ISD::BasicBlock),
/*  9532*/     OPC_RecordNode, // #2 = $dst
/*  9533*/     OPC_MoveParent,
/*  9534*/     OPC_EmitMergeInputChains1_0,
/*  9535*/     OPC_MorphNodeTo0Chain, TARGET_VAL(WebAssembly::BR_IF),
                   2/*#Ops*/, 2, 1, 
               // Src: (brcond (setcc:{ *:[i32] } I32:{ *:[i32] }:$cond, 0:{ *:[i32] }, SETNE:{ *:[Other] }), (bb:{ *:[Other] }):$dst) - Complexity = 11
               // Dst: (BR_IF bb_op:{ *:[Other] }:$dst, I32:{ *:[i32] }:$cond)
/*  9541*/    /*Scope*/ 15, /*->9557*/
/*  9542*/     OPC_CheckChild2CondCode, ISD::SETEQ,
/*  9544*/     OPC_MoveSibling2,
/*  9545*/     OPC_CheckOpcode, TARGET_VAL(ISD::BasicBlock),
/*  9548*/     OPC_RecordNode, // #2 = $dst
/*  9549*/     OPC_MoveParent,
/*  9550*/     OPC_EmitMergeInputChains1_0,
/*  9551*/     OPC_MorphNodeTo0Chain, TARGET_VAL(WebAssembly::BR_UNLESS),
                   2/*#Ops*/, 2, 1, 
               // Src: (brcond (setcc:{ *:[i32] } I32:{ *:[i32] }:$cond, 0:{ *:[i32] }, SETEQ:{ *:[Other] }), (bb:{ *:[Other] }):$dst) - Complexity = 11
               // Dst: (BR_UNLESS bb_op:{ *:[Other] }:$dst, I32:{ *:[i32] }:$cond)
/*  9557*/    0, /*End of Scope*/
/*  9558*/   0, // EndSwitchOpcode
/*  9559*/  /*Scope*/ 15, /*->9575*/
/*  9560*/   OPC_RecordChild1, // #1 = $cond
/*  9561*/   OPC_CheckChild1TypeI32,
/*  9562*/   OPC_RecordChild2, // #2 = $dst
/*  9563*/   OPC_MoveChild2,
/*  9564*/   OPC_CheckOpcode, TARGET_VAL(ISD::BasicBlock),
/*  9567*/   OPC_MoveParent,
/*  9568*/   OPC_EmitMergeInputChains1_0,
/*  9569*/   OPC_MorphNodeTo0Chain, TARGET_VAL(WebAssembly::BR_IF),
                 2/*#Ops*/, 2, 1, 
             // Src: (brcond I32:{ *:[i32] }:$cond, (bb:{ *:[Other] }):$dst) - Complexity = 3
             // Dst: (BR_IF (bb:{ *:[Other] }):$dst, I32:{ *:[i32] }:$cond)
/*  9575*/  0, /*End of Scope*/
/*  9576*/ /*SwitchOpcode*/ 59, TARGET_VAL(ISD::SHL),// ->9638
/*  9579*/  OPC_RecordChild0, // #0 = $lhs
/*  9580*/  OPC_Scope, 31, /*->9613*/ // 2 children in Scope
/*  9582*/   OPC_MoveChild1,
/*  9583*/   OPC_SwitchType /*2 cases */, 12, /*MVT::i32*/7, // ->9598
/*  9586*/    OPC_CheckAndImm, 31, 
/*  9588*/    OPC_RecordChild0, // #1 = $rhs
/*  9589*/    OPC_MoveParent,
/*  9590*/    OPC_CheckTypeI32,
/*  9591*/    OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::SHL_I32),
                  /*MVT::i32*/7, 2/*#Ops*/, 0, 1, 
              // Src: (shl:{ *:[i32] } I32:{ *:[i32] }:$lhs, (and:{ *:[i32] } I32:{ *:[i32] }:$rhs, 31:{ *:[i32] })) - Complexity = 11
              // Dst: (SHL_I32:{ *:[i32] } I32:{ *:[i32] }:$lhs, I32:{ *:[i32] }:$rhs)
/*  9598*/   /*SwitchType*/ 12, /*MVT::i64*/8, // ->9612
/*  9600*/    OPC_CheckAndImm, 63, 
/*  9602*/    OPC_RecordChild0, // #1 = $rhs
/*  9603*/    OPC_MoveParent,
/*  9604*/    OPC_CheckTypeI64,
/*  9605*/    OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::SHL_I64),
                  /*MVT::i64*/8, 2/*#Ops*/, 0, 1, 
              // Src: (shl:{ *:[i64] } I64:{ *:[i64] }:$lhs, (and:{ *:[i64] } I64:{ *:[i64] }:$rhs, 63:{ *:[i64] })) - Complexity = 11
              // Dst: (SHL_I64:{ *:[i64] } I64:{ *:[i64] }:$lhs, I64:{ *:[i64] }:$rhs)
/*  9612*/   0, // EndSwitchType
/*  9613*/  /*Scope*/ 23, /*->9637*/
/*  9614*/   OPC_RecordChild1, // #1 = $rhs
/*  9615*/   OPC_SwitchType /*2 cases */, 8, /*MVT::i32*/7, // ->9626
/*  9618*/    OPC_CheckChild1TypeI32,
/*  9619*/    OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::SHL_I32),
                  /*MVT::i32*/7, 2/*#Ops*/, 0, 1, 
              // Src: (shl:{ *:[i32] } I32:{ *:[i32] }:$lhs, I32:{ *:[i32] }:$rhs) - Complexity = 3
              // Dst: (SHL_I32:{ *:[i32] } I32:{ *:[i32] }:$lhs, I32:{ *:[i32] }:$rhs)
/*  9626*/   /*SwitchType*/ 8, /*MVT::i64*/8, // ->9636
/*  9628*/    OPC_CheckChild1TypeI64,
/*  9629*/    OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::SHL_I64),
                  /*MVT::i64*/8, 2/*#Ops*/, 0, 1, 
              // Src: (shl:{ *:[i64] } I64:{ *:[i64] }:$lhs, I64:{ *:[i64] }:$rhs) - Complexity = 3
              // Dst: (SHL_I64:{ *:[i64] } I64:{ *:[i64] }:$lhs, I64:{ *:[i64] }:$rhs)
/*  9636*/   0, // EndSwitchType
/*  9637*/  0, /*End of Scope*/
/*  9638*/ /*SwitchOpcode*/ 59, TARGET_VAL(ISD::SRA),// ->9700
/*  9641*/  OPC_RecordChild0, // #0 = $lhs
/*  9642*/  OPC_Scope, 31, /*->9675*/ // 2 children in Scope
/*  9644*/   OPC_MoveChild1,
/*  9645*/   OPC_SwitchType /*2 cases */, 12, /*MVT::i32*/7, // ->9660
/*  9648*/    OPC_CheckAndImm, 31, 
/*  9650*/    OPC_RecordChild0, // #1 = $rhs
/*  9651*/    OPC_MoveParent,
/*  9652*/    OPC_CheckTypeI32,
/*  9653*/    OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::SHR_S_I32),
                  /*MVT::i32*/7, 2/*#Ops*/, 0, 1, 
              // Src: (sra:{ *:[i32] } I32:{ *:[i32] }:$lhs, (and:{ *:[i32] } I32:{ *:[i32] }:$rhs, 31:{ *:[i32] })) - Complexity = 11
              // Dst: (SHR_S_I32:{ *:[i32] } I32:{ *:[i32] }:$lhs, I32:{ *:[i32] }:$rhs)
/*  9660*/   /*SwitchType*/ 12, /*MVT::i64*/8, // ->9674
/*  9662*/    OPC_CheckAndImm, 63, 
/*  9664*/    OPC_RecordChild0, // #1 = $rhs
/*  9665*/    OPC_MoveParent,
/*  9666*/    OPC_CheckTypeI64,
/*  9667*/    OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::SHR_S_I64),
                  /*MVT::i64*/8, 2/*#Ops*/, 0, 1, 
              // Src: (sra:{ *:[i64] } I64:{ *:[i64] }:$lhs, (and:{ *:[i64] } I64:{ *:[i64] }:$rhs, 63:{ *:[i64] })) - Complexity = 11
              // Dst: (SHR_S_I64:{ *:[i64] } I64:{ *:[i64] }:$lhs, I64:{ *:[i64] }:$rhs)
/*  9674*/   0, // EndSwitchType
/*  9675*/  /*Scope*/ 23, /*->9699*/
/*  9676*/   OPC_RecordChild1, // #1 = $rhs
/*  9677*/   OPC_SwitchType /*2 cases */, 8, /*MVT::i32*/7, // ->9688
/*  9680*/    OPC_CheckChild1TypeI32,
/*  9681*/    OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::SHR_S_I32),
                  /*MVT::i32*/7, 2/*#Ops*/, 0, 1, 
              // Src: (sra:{ *:[i32] } I32:{ *:[i32] }:$lhs, I32:{ *:[i32] }:$rhs) - Complexity = 3
              // Dst: (SHR_S_I32:{ *:[i32] } I32:{ *:[i32] }:$lhs, I32:{ *:[i32] }:$rhs)
/*  9688*/   /*SwitchType*/ 8, /*MVT::i64*/8, // ->9698
/*  9690*/    OPC_CheckChild1TypeI64,
/*  9691*/    OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::SHR_S_I64),
                  /*MVT::i64*/8, 2/*#Ops*/, 0, 1, 
              // Src: (sra:{ *:[i64] } I64:{ *:[i64] }:$lhs, I64:{ *:[i64] }:$rhs) - Complexity = 3
              // Dst: (SHR_S_I64:{ *:[i64] } I64:{ *:[i64] }:$lhs, I64:{ *:[i64] }:$rhs)
/*  9698*/   0, // EndSwitchType
/*  9699*/  0, /*End of Scope*/
/*  9700*/ /*SwitchOpcode*/ 59, TARGET_VAL(ISD::SRL),// ->9762
/*  9703*/  OPC_RecordChild0, // #0 = $lhs
/*  9704*/  OPC_Scope, 31, /*->9737*/ // 2 children in Scope
/*  9706*/   OPC_MoveChild1,
/*  9707*/   OPC_SwitchType /*2 cases */, 12, /*MVT::i32*/7, // ->9722
/*  9710*/    OPC_CheckAndImm, 31, 
/*  9712*/    OPC_RecordChild0, // #1 = $rhs
/*  9713*/    OPC_MoveParent,
/*  9714*/    OPC_CheckTypeI32,
/*  9715*/    OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::SHR_U_I32),
                  /*MVT::i32*/7, 2/*#Ops*/, 0, 1, 
              // Src: (srl:{ *:[i32] } I32:{ *:[i32] }:$lhs, (and:{ *:[i32] } I32:{ *:[i32] }:$rhs, 31:{ *:[i32] })) - Complexity = 11
              // Dst: (SHR_U_I32:{ *:[i32] } I32:{ *:[i32] }:$lhs, I32:{ *:[i32] }:$rhs)
/*  9722*/   /*SwitchType*/ 12, /*MVT::i64*/8, // ->9736
/*  9724*/    OPC_CheckAndImm, 63, 
/*  9726*/    OPC_RecordChild0, // #1 = $rhs
/*  9727*/    OPC_MoveParent,
/*  9728*/    OPC_CheckTypeI64,
/*  9729*/    OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::SHR_U_I64),
                  /*MVT::i64*/8, 2/*#Ops*/, 0, 1, 
              // Src: (srl:{ *:[i64] } I64:{ *:[i64] }:$lhs, (and:{ *:[i64] } I64:{ *:[i64] }:$rhs, 63:{ *:[i64] })) - Complexity = 11
              // Dst: (SHR_U_I64:{ *:[i64] } I64:{ *:[i64] }:$lhs, I64:{ *:[i64] }:$rhs)
/*  9736*/   0, // EndSwitchType
/*  9737*/  /*Scope*/ 23, /*->9761*/
/*  9738*/   OPC_RecordChild1, // #1 = $rhs
/*  9739*/   OPC_SwitchType /*2 cases */, 8, /*MVT::i32*/7, // ->9750
/*  9742*/    OPC_CheckChild1TypeI32,
/*  9743*/    OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::SHR_U_I32),
                  /*MVT::i32*/7, 2/*#Ops*/, 0, 1, 
              // Src: (srl:{ *:[i32] } I32:{ *:[i32] }:$lhs, I32:{ *:[i32] }:$rhs) - Complexity = 3
              // Dst: (SHR_U_I32:{ *:[i32] } I32:{ *:[i32] }:$lhs, I32:{ *:[i32] }:$rhs)
/*  9750*/   /*SwitchType*/ 8, /*MVT::i64*/8, // ->9760
/*  9752*/    OPC_CheckChild1TypeI64,
/*  9753*/    OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::SHR_U_I64),
                  /*MVT::i64*/8, 2/*#Ops*/, 0, 1, 
              // Src: (srl:{ *:[i64] } I64:{ *:[i64] }:$lhs, I64:{ *:[i64] }:$rhs) - Complexity = 3
              // Dst: (SHR_U_I64:{ *:[i64] } I64:{ *:[i64] }:$lhs, I64:{ *:[i64] }:$rhs)
/*  9760*/   0, // EndSwitchType
/*  9761*/  0, /*End of Scope*/
/*  9762*/ /*SwitchOpcode*/ 59, TARGET_VAL(ISD::ROTL),// ->9824
/*  9765*/  OPC_RecordChild0, // #0 = $lhs
/*  9766*/  OPC_Scope, 31, /*->9799*/ // 2 children in Scope
/*  9768*/   OPC_MoveChild1,
/*  9769*/   OPC_SwitchType /*2 cases */, 12, /*MVT::i32*/7, // ->9784
/*  9772*/    OPC_CheckAndImm, 31, 
/*  9774*/    OPC_RecordChild0, // #1 = $rhs
/*  9775*/    OPC_MoveParent,
/*  9776*/    OPC_CheckTypeI32,
/*  9777*/    OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::ROTL_I32),
                  /*MVT::i32*/7, 2/*#Ops*/, 0, 1, 
              // Src: (rotl:{ *:[i32] } I32:{ *:[i32] }:$lhs, (and:{ *:[i32] } I32:{ *:[i32] }:$rhs, 31:{ *:[i32] })) - Complexity = 11
              // Dst: (ROTL_I32:{ *:[i32] } I32:{ *:[i32] }:$lhs, I32:{ *:[i32] }:$rhs)
/*  9784*/   /*SwitchType*/ 12, /*MVT::i64*/8, // ->9798
/*  9786*/    OPC_CheckAndImm, 63, 
/*  9788*/    OPC_RecordChild0, // #1 = $rhs
/*  9789*/    OPC_MoveParent,
/*  9790*/    OPC_CheckTypeI64,
/*  9791*/    OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::ROTL_I64),
                  /*MVT::i64*/8, 2/*#Ops*/, 0, 1, 
              // Src: (rotl:{ *:[i64] } I64:{ *:[i64] }:$lhs, (and:{ *:[i64] } I64:{ *:[i64] }:$rhs, 63:{ *:[i64] })) - Complexity = 11
              // Dst: (ROTL_I64:{ *:[i64] } I64:{ *:[i64] }:$lhs, I64:{ *:[i64] }:$rhs)
/*  9798*/   0, // EndSwitchType
/*  9799*/  /*Scope*/ 23, /*->9823*/
/*  9800*/   OPC_RecordChild1, // #1 = $rhs
/*  9801*/   OPC_SwitchType /*2 cases */, 8, /*MVT::i32*/7, // ->9812
/*  9804*/    OPC_CheckChild1TypeI32,
/*  9805*/    OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::ROTL_I32),
                  /*MVT::i32*/7, 2/*#Ops*/, 0, 1, 
              // Src: (rotl:{ *:[i32] } I32:{ *:[i32] }:$lhs, I32:{ *:[i32] }:$rhs) - Complexity = 3
              // Dst: (ROTL_I32:{ *:[i32] } I32:{ *:[i32] }:$lhs, I32:{ *:[i32] }:$rhs)
/*  9812*/   /*SwitchType*/ 8, /*MVT::i64*/8, // ->9822
/*  9814*/    OPC_CheckChild1TypeI64,
/*  9815*/    OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::ROTL_I64),
                  /*MVT::i64*/8, 2/*#Ops*/, 0, 1, 
              // Src: (rotl:{ *:[i64] } I64:{ *:[i64] }:$lhs, I64:{ *:[i64] }:$rhs) - Complexity = 3
              // Dst: (ROTL_I64:{ *:[i64] } I64:{ *:[i64] }:$lhs, I64:{ *:[i64] }:$rhs)
/*  9822*/   0, // EndSwitchType
/*  9823*/  0, /*End of Scope*/
/*  9824*/ /*SwitchOpcode*/ 59, TARGET_VAL(ISD::ROTR),// ->9886
/*  9827*/  OPC_RecordChild0, // #0 = $lhs
/*  9828*/  OPC_Scope, 31, /*->9861*/ // 2 children in Scope
/*  9830*/   OPC_MoveChild1,
/*  9831*/   OPC_SwitchType /*2 cases */, 12, /*MVT::i32*/7, // ->9846
/*  9834*/    OPC_CheckAndImm, 31, 
/*  9836*/    OPC_RecordChild0, // #1 = $rhs
/*  9837*/    OPC_MoveParent,
/*  9838*/    OPC_CheckTypeI32,
/*  9839*/    OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::ROTR_I32),
                  /*MVT::i32*/7, 2/*#Ops*/, 0, 1, 
              // Src: (rotr:{ *:[i32] } I32:{ *:[i32] }:$lhs, (and:{ *:[i32] } I32:{ *:[i32] }:$rhs, 31:{ *:[i32] })) - Complexity = 11
              // Dst: (ROTR_I32:{ *:[i32] } I32:{ *:[i32] }:$lhs, I32:{ *:[i32] }:$rhs)
/*  9846*/   /*SwitchType*/ 12, /*MVT::i64*/8, // ->9860
/*  9848*/    OPC_CheckAndImm, 63, 
/*  9850*/    OPC_RecordChild0, // #1 = $rhs
/*  9851*/    OPC_MoveParent,
/*  9852*/    OPC_CheckTypeI64,
/*  9853*/    OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::ROTR_I64),
                  /*MVT::i64*/8, 2/*#Ops*/, 0, 1, 
              // Src: (rotr:{ *:[i64] } I64:{ *:[i64] }:$lhs, (and:{ *:[i64] } I64:{ *:[i64] }:$rhs, 63:{ *:[i64] })) - Complexity = 11
              // Dst: (ROTR_I64:{ *:[i64] } I64:{ *:[i64] }:$lhs, I64:{ *:[i64] }:$rhs)
/*  9860*/   0, // EndSwitchType
/*  9861*/  /*Scope*/ 23, /*->9885*/
/*  9862*/   OPC_RecordChild1, // #1 = $rhs
/*  9863*/   OPC_SwitchType /*2 cases */, 8, /*MVT::i32*/7, // ->9874
/*  9866*/    OPC_CheckChild1TypeI32,
/*  9867*/    OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::ROTR_I32),
                  /*MVT::i32*/7, 2/*#Ops*/, 0, 1, 
              // Src: (rotr:{ *:[i32] } I32:{ *:[i32] }:$lhs, I32:{ *:[i32] }:$rhs) - Complexity = 3
              // Dst: (ROTR_I32:{ *:[i32] } I32:{ *:[i32] }:$lhs, I32:{ *:[i32] }:$rhs)
/*  9874*/   /*SwitchType*/ 8, /*MVT::i64*/8, // ->9884
/*  9876*/    OPC_CheckChild1TypeI64,
/*  9877*/    OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::ROTR_I64),
                  /*MVT::i64*/8, 2/*#Ops*/, 0, 1, 
              // Src: (rotr:{ *:[i64] } I64:{ *:[i64] }:$lhs, I64:{ *:[i64] }:$rhs) - Complexity = 3
              // Dst: (ROTR_I64:{ *:[i64] } I64:{ *:[i64] }:$lhs, I64:{ *:[i64] }:$rhs)
/*  9884*/   0, // EndSwitchType
/*  9885*/  0, /*End of Scope*/
/*  9886*/ /*SwitchOpcode*/ 48|128,4/*560*/, TARGET_VAL(ISD::SELECT),// ->10450
/*  9890*/  OPC_Scope, 11|128,1/*139*/, /*->10032*/ // 8 children in Scope
/*  9893*/   OPC_MoveChild0,
/*  9894*/   OPC_CheckOpcode, TARGET_VAL(ISD::SETCC),
/*  9897*/   OPC_RecordChild0, // #0 = $cond
/*  9898*/   OPC_CheckChild0TypeI32,
/*  9899*/   OPC_CheckChild1Integer, 0, 
/*  9901*/   OPC_CheckTypeI32,
/*  9902*/   OPC_Scope, 63, /*->9967*/ // 2 children in Scope
/*  9904*/    OPC_CheckChild2CondCode, ISD::SETNE,
/*  9906*/    OPC_MoveParent,
/*  9907*/    OPC_RecordChild1, // #1 = $lhs
/*  9908*/    OPC_RecordChild2, // #2 = $rhs
/*  9909*/    OPC_SwitchType /*5 cases */, 8, /*MVT::i32*/7, // ->9920
/*  9912*/     OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::SELECT_I32),
                   /*MVT::i32*/7, 3/*#Ops*/, 1, 2, 0, 
               // Src: (select:{ *:[i32] } (setcc:{ *:[i32] } I32:{ *:[i32] }:$cond, 0:{ *:[i32] }, SETNE:{ *:[Other] }), I32:{ *:[i32] }:$lhs, I32:{ *:[i32] }:$rhs) - Complexity = 11
               // Dst: (SELECT_I32:{ *:[i32] } I32:{ *:[i32] }:$lhs, I32:{ *:[i32] }:$rhs, I32:{ *:[i32] }:$cond)
/*  9920*/    /*SwitchType*/ 8, /*MVT::i64*/8, // ->9930
/*  9922*/     OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::SELECT_I64),
                   /*MVT::i64*/8, 3/*#Ops*/, 1, 2, 0, 
               // Src: (select:{ *:[i64] } (setcc:{ *:[i32] } I32:{ *:[i32] }:$cond, 0:{ *:[i32] }, SETNE:{ *:[Other] }), I64:{ *:[i64] }:$lhs, I64:{ *:[i64] }:$rhs) - Complexity = 11
               // Dst: (SELECT_I64:{ *:[i64] } I64:{ *:[i64] }:$lhs, I64:{ *:[i64] }:$rhs, I32:{ *:[i32] }:$cond)
/*  9930*/    /*SwitchType*/ 9, /*MVT::funcref*/104|128,1/*232*/, // ->9942
/*  9933*/     OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::SELECT_FUNCREF),
                   /*MVT::funcref*/104|128,1/*232*/, 3/*#Ops*/, 1, 2, 0, 
               // Src: (select:{ *:[funcref] } (setcc:{ *:[i32] } I32:{ *:[i32] }:$cond, 0:{ *:[i32] }, SETNE:{ *:[Other] }), FUNCREF:{ *:[funcref] }:$lhs, FUNCREF:{ *:[funcref] }:$rhs) - Complexity = 11
               // Dst: (SELECT_FUNCREF:{ *:[funcref] } FUNCREF:{ *:[funcref] }:$lhs, FUNCREF:{ *:[funcref] }:$rhs, I32:{ *:[i32] }:$cond)
/*  9942*/    /*SwitchType*/ 9, /*MVT::externref*/105|128,1/*233*/, // ->9954
/*  9945*/     OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::SELECT_EXTERNREF),
                   /*MVT::externref*/105|128,1/*233*/, 3/*#Ops*/, 1, 2, 0, 
               // Src: (select:{ *:[externref] } (setcc:{ *:[i32] } I32:{ *:[i32] }:$cond, 0:{ *:[i32] }, SETNE:{ *:[Other] }), EXTERNREF:{ *:[externref] }:$lhs, EXTERNREF:{ *:[externref] }:$rhs) - Complexity = 11
               // Dst: (SELECT_EXTERNREF:{ *:[externref] } EXTERNREF:{ *:[externref] }:$lhs, EXTERNREF:{ *:[externref] }:$rhs, I32:{ *:[i32] }:$cond)
/*  9954*/    /*SwitchType*/ 9, /*MVT::exnref*/106|128,1/*234*/, // ->9966
/*  9957*/     OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::SELECT_EXNREF),
                   /*MVT::exnref*/106|128,1/*234*/, 3/*#Ops*/, 1, 2, 0, 
               // Src: (select:{ *:[exnref] } (setcc:{ *:[i32] } I32:{ *:[i32] }:$cond, 0:{ *:[i32] }, SETNE:{ *:[Other] }), EXNREF:{ *:[exnref] }:$lhs, EXNREF:{ *:[exnref] }:$rhs) - Complexity = 11
               // Dst: (SELECT_EXNREF:{ *:[exnref] } EXNREF:{ *:[exnref] }:$lhs, EXNREF:{ *:[exnref] }:$rhs, I32:{ *:[i32] }:$cond)
/*  9966*/    0, // EndSwitchType
/*  9967*/   /*Scope*/ 63, /*->10031*/
/*  9968*/    OPC_CheckChild2CondCode, ISD::SETEQ,
/*  9970*/    OPC_MoveParent,
/*  9971*/    OPC_RecordChild1, // #1 = $lhs
/*  9972*/    OPC_RecordChild2, // #2 = $rhs
/*  9973*/    OPC_SwitchType /*5 cases */, 8, /*MVT::i32*/7, // ->9984
/*  9976*/     OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::SELECT_I32),
                   /*MVT::i32*/7, 3/*#Ops*/, 2, 1, 0, 
               // Src: (select:{ *:[i32] } (setcc:{ *:[i32] } I32:{ *:[i32] }:$cond, 0:{ *:[i32] }, SETEQ:{ *:[Other] }), I32:{ *:[i32] }:$lhs, I32:{ *:[i32] }:$rhs) - Complexity = 11
               // Dst: (SELECT_I32:{ *:[i32] } I32:{ *:[i32] }:$rhs, I32:{ *:[i32] }:$lhs, I32:{ *:[i32] }:$cond)
/*  9984*/    /*SwitchType*/ 8, /*MVT::i64*/8, // ->9994
/*  9986*/     OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::SELECT_I64),
                   /*MVT::i64*/8, 3/*#Ops*/, 2, 1, 0, 
               // Src: (select:{ *:[i64] } (setcc:{ *:[i32] } I32:{ *:[i32] }:$cond, 0:{ *:[i32] }, SETEQ:{ *:[Other] }), I64:{ *:[i64] }:$lhs, I64:{ *:[i64] }:$rhs) - Complexity = 11
               // Dst: (SELECT_I64:{ *:[i64] } I64:{ *:[i64] }:$rhs, I64:{ *:[i64] }:$lhs, I32:{ *:[i32] }:$cond)
/*  9994*/    /*SwitchType*/ 9, /*MVT::funcref*/104|128,1/*232*/, // ->10006
/*  9997*/     OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::SELECT_FUNCREF),
                   /*MVT::funcref*/104|128,1/*232*/, 3/*#Ops*/, 2, 1, 0, 
               // Src: (select:{ *:[funcref] } (setcc:{ *:[i32] } I32:{ *:[i32] }:$cond, 0:{ *:[i32] }, SETEQ:{ *:[Other] }), FUNCREF:{ *:[funcref] }:$lhs, FUNCREF:{ *:[funcref] }:$rhs) - Complexity = 11
               // Dst: (SELECT_FUNCREF:{ *:[funcref] } FUNCREF:{ *:[funcref] }:$rhs, FUNCREF:{ *:[funcref] }:$lhs, I32:{ *:[i32] }:$cond)
/* 10006*/    /*SwitchType*/ 9, /*MVT::externref*/105|128,1/*233*/, // ->10018
/* 10009*/     OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::SELECT_EXTERNREF),
                   /*MVT::externref*/105|128,1/*233*/, 3/*#Ops*/, 2, 1, 0, 
               // Src: (select:{ *:[externref] } (setcc:{ *:[i32] } I32:{ *:[i32] }:$cond, 0:{ *:[i32] }, SETEQ:{ *:[Other] }), EXTERNREF:{ *:[externref] }:$lhs, EXTERNREF:{ *:[externref] }:$rhs) - Complexity = 11
               // Dst: (SELECT_EXTERNREF:{ *:[externref] } EXTERNREF:{ *:[externref] }:$rhs, EXTERNREF:{ *:[externref] }:$lhs, I32:{ *:[i32] }:$cond)
/* 10018*/    /*SwitchType*/ 9, /*MVT::exnref*/106|128,1/*234*/, // ->10030
/* 10021*/     OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::SELECT_EXNREF),
                   /*MVT::exnref*/106|128,1/*234*/, 3/*#Ops*/, 2, 1, 0, 
               // Src: (select:{ *:[exnref] } (setcc:{ *:[i32] } I32:{ *:[i32] }:$cond, 0:{ *:[i32] }, SETEQ:{ *:[Other] }), EXNREF:{ *:[exnref] }:$lhs, EXNREF:{ *:[exnref] }:$rhs) - Complexity = 11
               // Dst: (SELECT_EXNREF:{ *:[exnref] } EXNREF:{ *:[exnref] }:$rhs, EXNREF:{ *:[exnref] }:$lhs, I32:{ *:[i32] }:$cond)
/* 10030*/    0, // EndSwitchType
/* 10031*/   0, /*End of Scope*/
/* 10032*/  /*Scope*/ 65, /*->10098*/
/* 10033*/   OPC_RecordChild0, // #0 = $cond
/* 10034*/   OPC_CheckChild0TypeI32,
/* 10035*/   OPC_RecordChild1, // #1 = $lhs
/* 10036*/   OPC_RecordChild2, // #2 = $rhs
/* 10037*/   OPC_SwitchType /*5 cases */, 8, /*MVT::i32*/7, // ->10048
/* 10040*/    OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::SELECT_I32),
                  /*MVT::i32*/7, 3/*#Ops*/, 1, 2, 0, 
              // Src: (select:{ *:[i32] } I32:{ *:[i32] }:$cond, I32:{ *:[i32] }:$lhs, I32:{ *:[i32] }:$rhs) - Complexity = 3
              // Dst: (SELECT_I32:{ *:[i32] } I32:{ *:[i32] }:$lhs, I32:{ *:[i32] }:$rhs, I32:{ *:[i32] }:$cond)
/* 10048*/   /*SwitchType*/ 8, /*MVT::i64*/8, // ->10058
/* 10050*/    OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::SELECT_I64),
                  /*MVT::i64*/8, 3/*#Ops*/, 1, 2, 0, 
              // Src: (select:{ *:[i64] } I32:{ *:[i32] }:$cond, I64:{ *:[i64] }:$lhs, I64:{ *:[i64] }:$rhs) - Complexity = 3
              // Dst: (SELECT_I64:{ *:[i64] } I64:{ *:[i64] }:$lhs, I64:{ *:[i64] }:$rhs, I32:{ *:[i32] }:$cond)
/* 10058*/   /*SwitchType*/ 10, /*MVT::funcref*/104|128,1/*232*/, // ->10071
/* 10061*/    OPC_CheckPatternPredicate6, // (Subtarget->hasReferenceTypes())
/* 10062*/    OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::SELECT_FUNCREF),
                  /*MVT::funcref*/104|128,1/*232*/, 3/*#Ops*/, 1, 2, 0, 
              // Src: (select:{ *:[funcref] } I32:{ *:[i32] }:$cond, FUNCREF:{ *:[funcref] }:$lhs, FUNCREF:{ *:[funcref] }:$rhs) - Complexity = 3
              // Dst: (SELECT_FUNCREF:{ *:[funcref] } FUNCREF:{ *:[funcref] }:$lhs, FUNCREF:{ *:[funcref] }:$rhs, I32:{ *:[i32] }:$cond)
/* 10071*/   /*SwitchType*/ 10, /*MVT::externref*/105|128,1/*233*/, // ->10084
/* 10074*/    OPC_CheckPatternPredicate6, // (Subtarget->hasReferenceTypes())
/* 10075*/    OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::SELECT_EXTERNREF),
                  /*MVT::externref*/105|128,1/*233*/, 3/*#Ops*/, 1, 2, 0, 
              // Src: (select:{ *:[externref] } I32:{ *:[i32] }:$cond, EXTERNREF:{ *:[externref] }:$lhs, EXTERNREF:{ *:[externref] }:$rhs) - Complexity = 3
              // Dst: (SELECT_EXTERNREF:{ *:[externref] } EXTERNREF:{ *:[externref] }:$lhs, EXTERNREF:{ *:[externref] }:$rhs, I32:{ *:[i32] }:$cond)
/* 10084*/   /*SwitchType*/ 10, /*MVT::exnref*/106|128,1/*234*/, // ->10097
/* 10087*/    OPC_CheckPatternPredicate6, // (Subtarget->hasReferenceTypes())
/* 10088*/    OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::SELECT_EXNREF),
                  /*MVT::exnref*/106|128,1/*234*/, 3/*#Ops*/, 1, 2, 0, 
              // Src: (select:{ *:[exnref] } I32:{ *:[i32] }:$cond, EXNREF:{ *:[exnref] }:$lhs, EXNREF:{ *:[exnref] }:$rhs) - Complexity = 3
              // Dst: (SELECT_EXNREF:{ *:[exnref] } EXNREF:{ *:[exnref] }:$lhs, EXNREF:{ *:[exnref] }:$rhs, I32:{ *:[i32] }:$cond)
/* 10097*/   0, // EndSwitchType
/* 10098*/  /*Scope*/ 67, /*->10166*/
/* 10099*/   OPC_MoveChild0,
/* 10100*/   OPC_CheckOpcode, TARGET_VAL(ISD::SETCC),
/* 10103*/   OPC_RecordChild0, // #0 = $cond
/* 10104*/   OPC_CheckChild0TypeI32,
/* 10105*/   OPC_CheckChild1Integer, 0, 
/* 10107*/   OPC_CheckTypeI32,
/* 10108*/   OPC_Scope, 27, /*->10137*/ // 2 children in Scope
/* 10110*/    OPC_CheckChild2CondCode, ISD::SETNE,
/* 10112*/    OPC_MoveParent,
/* 10113*/    OPC_RecordChild1, // #1 = $lhs
/* 10114*/    OPC_RecordChild2, // #2 = $rhs
/* 10115*/    OPC_SwitchType /*2 cases */, 8, /*MVT::f32*/12, // ->10126
/* 10118*/     OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::SELECT_F32),
                   /*MVT::f32*/12, 3/*#Ops*/, 1, 2, 0, 
               // Src: (select:{ *:[f32] } (setcc:{ *:[i32] } I32:{ *:[i32] }:$cond, 0:{ *:[i32] }, SETNE:{ *:[Other] }), F32:{ *:[f32] }:$lhs, F32:{ *:[f32] }:$rhs) - Complexity = 11
               // Dst: (SELECT_F32:{ *:[f32] } F32:{ *:[f32] }:$lhs, F32:{ *:[f32] }:$rhs, I32:{ *:[i32] }:$cond)
/* 10126*/    /*SwitchType*/ 8, /*MVT::f64*/13, // ->10136
/* 10128*/     OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::SELECT_F64),
                   /*MVT::f64*/13, 3/*#Ops*/, 1, 2, 0, 
               // Src: (select:{ *:[f64] } (setcc:{ *:[i32] } I32:{ *:[i32] }:$cond, 0:{ *:[i32] }, SETNE:{ *:[Other] }), F64:{ *:[f64] }:$lhs, F64:{ *:[f64] }:$rhs) - Complexity = 11
               // Dst: (SELECT_F64:{ *:[f64] } F64:{ *:[f64] }:$lhs, F64:{ *:[f64] }:$rhs, I32:{ *:[i32] }:$cond)
/* 10136*/    0, // EndSwitchType
/* 10137*/   /*Scope*/ 27, /*->10165*/
/* 10138*/    OPC_CheckChild2CondCode, ISD::SETEQ,
/* 10140*/    OPC_MoveParent,
/* 10141*/    OPC_RecordChild1, // #1 = $lhs
/* 10142*/    OPC_RecordChild2, // #2 = $rhs
/* 10143*/    OPC_SwitchType /*2 cases */, 8, /*MVT::f32*/12, // ->10154
/* 10146*/     OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::SELECT_F32),
                   /*MVT::f32*/12, 3/*#Ops*/, 2, 1, 0, 
               // Src: (select:{ *:[f32] } (setcc:{ *:[i32] } I32:{ *:[i32] }:$cond, 0:{ *:[i32] }, SETEQ:{ *:[Other] }), F32:{ *:[f32] }:$lhs, F32:{ *:[f32] }:$rhs) - Complexity = 11
               // Dst: (SELECT_F32:{ *:[f32] } F32:{ *:[f32] }:$rhs, F32:{ *:[f32] }:$lhs, I32:{ *:[i32] }:$cond)
/* 10154*/    /*SwitchType*/ 8, /*MVT::f64*/13, // ->10164
/* 10156*/     OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::SELECT_F64),
                   /*MVT::f64*/13, 3/*#Ops*/, 2, 1, 0, 
               // Src: (select:{ *:[f64] } (setcc:{ *:[i32] } I32:{ *:[i32] }:$cond, 0:{ *:[i32] }, SETEQ:{ *:[Other] }), F64:{ *:[f64] }:$lhs, F64:{ *:[f64] }:$rhs) - Complexity = 11
               // Dst: (SELECT_F64:{ *:[f64] } F64:{ *:[f64] }:$rhs, F64:{ *:[f64] }:$lhs, I32:{ *:[i32] }:$cond)
/* 10164*/    0, // EndSwitchType
/* 10165*/   0, /*End of Scope*/
/* 10166*/  /*Scope*/ 26, /*->10193*/
/* 10167*/   OPC_RecordChild0, // #0 = $cond
/* 10168*/   OPC_CheckChild0TypeI32,
/* 10169*/   OPC_RecordChild1, // #1 = $lhs
/* 10170*/   OPC_RecordChild2, // #2 = $rhs
/* 10171*/   OPC_SwitchType /*2 cases */, 8, /*MVT::f32*/12, // ->10182
/* 10174*/    OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::SELECT_F32),
                  /*MVT::f32*/12, 3/*#Ops*/, 1, 2, 0, 
              // Src: (select:{ *:[f32] } I32:{ *:[i32] }:$cond, F32:{ *:[f32] }:$lhs, F32:{ *:[f32] }:$rhs) - Complexity = 3
              // Dst: (SELECT_F32:{ *:[f32] } F32:{ *:[f32] }:$lhs, F32:{ *:[f32] }:$rhs, I32:{ *:[i32] }:$cond)
/* 10182*/   /*SwitchType*/ 8, /*MVT::f64*/13, // ->10192
/* 10184*/    OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::SELECT_F64),
                  /*MVT::f64*/13, 3/*#Ops*/, 1, 2, 0, 
              // Src: (select:{ *:[f64] } I32:{ *:[i32] }:$cond, F64:{ *:[f64] }:$lhs, F64:{ *:[f64] }:$rhs) - Complexity = 3
              // Dst: (SELECT_F64:{ *:[f64] } F64:{ *:[f64] }:$lhs, F64:{ *:[f64] }:$rhs, I32:{ *:[i32] }:$cond)
/* 10192*/   0, // EndSwitchType
/* 10193*/  /*Scope*/ 107, /*->10301*/
/* 10194*/   OPC_MoveChild0,
/* 10195*/   OPC_CheckOpcode, TARGET_VAL(ISD::SETCC),
/* 10198*/   OPC_RecordChild0, // #0 = $cond
/* 10199*/   OPC_CheckChild0TypeI32,
/* 10200*/   OPC_CheckChild1Integer, 0, 
/* 10202*/   OPC_CheckTypeI32,
/* 10203*/   OPC_Scope, 47, /*->10252*/ // 2 children in Scope
/* 10205*/    OPC_CheckChild2CondCode, ISD::SETNE,
/* 10207*/    OPC_MoveParent,
/* 10208*/    OPC_RecordChild1, // #1 = $lhs
/* 10209*/    OPC_RecordChild2, // #2 = $rhs
/* 10210*/    OPC_SwitchType /*4 cases */, 8, /*MVT::v16i8*/40, // ->10221
/* 10213*/     OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::SELECT_V128),
                   /*MVT::v16i8*/40, 3/*#Ops*/, 1, 2, 0, 
               // Src: (select:{ *:[v16i8] } (setcc:{ *:[i32] } I32:{ *:[i32] }:$cond, 0:{ *:[i32] }, SETNE:{ *:[Other] }), V128:{ *:[v16i8] }:$lhs, V128:{ *:[v16i8] }:$rhs) - Complexity = 11
               // Dst: (SELECT_V128:{ *:[v16i8] } ?:{ *:[v16i8] }:$lhs, ?:{ *:[v16i8] }:$rhs, ?:{ *:[i32] }:$cond)
/* 10221*/    /*SwitchType*/ 8, /*MVT::v8i16*/51, // ->10231
/* 10223*/     OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::SELECT_V128),
                   /*MVT::v8i16*/51, 3/*#Ops*/, 1, 2, 0, 
               // Src: (select:{ *:[v8i16] } (setcc:{ *:[i32] } I32:{ *:[i32] }:$cond, 0:{ *:[i32] }, SETNE:{ *:[Other] }), V128:{ *:[v8i16] }:$lhs, V128:{ *:[v8i16] }:$rhs) - Complexity = 11
               // Dst: (SELECT_V128:{ *:[v8i16] } ?:{ *:[v8i16] }:$lhs, ?:{ *:[v8i16] }:$rhs, ?:{ *:[i32] }:$cond)
/* 10231*/    /*SwitchType*/ 8, /*MVT::v4i32*/62, // ->10241
/* 10233*/     OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::SELECT_V128),
                   /*MVT::v4i32*/62, 3/*#Ops*/, 1, 2, 0, 
               // Src: (select:{ *:[v4i32] } (setcc:{ *:[i32] } I32:{ *:[i32] }:$cond, 0:{ *:[i32] }, SETNE:{ *:[Other] }), V128:{ *:[v4i32] }:$lhs, V128:{ *:[v4i32] }:$rhs) - Complexity = 11
               // Dst: (SELECT_V128:{ *:[v4i32] } ?:{ *:[v4i32] }:$lhs, ?:{ *:[v4i32] }:$rhs, ?:{ *:[i32] }:$cond)
/* 10241*/    /*SwitchType*/ 8, /*MVT::v2i64*/81, // ->10251
/* 10243*/     OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::SELECT_V128),
                   /*MVT::v2i64*/81, 3/*#Ops*/, 1, 2, 0, 
               // Src: (select:{ *:[v2i64] } (setcc:{ *:[i32] } I32:{ *:[i32] }:$cond, 0:{ *:[i32] }, SETNE:{ *:[Other] }), V128:{ *:[v2i64] }:$lhs, V128:{ *:[v2i64] }:$rhs) - Complexity = 11
               // Dst: (SELECT_V128:{ *:[v2i64] } ?:{ *:[v2i64] }:$lhs, ?:{ *:[v2i64] }:$rhs, ?:{ *:[i32] }:$cond)
/* 10251*/    0, // EndSwitchType
/* 10252*/   /*Scope*/ 47, /*->10300*/
/* 10253*/    OPC_CheckChild2CondCode, ISD::SETEQ,
/* 10255*/    OPC_MoveParent,
/* 10256*/    OPC_RecordChild1, // #1 = $lhs
/* 10257*/    OPC_RecordChild2, // #2 = $rhs
/* 10258*/    OPC_SwitchType /*4 cases */, 8, /*MVT::v16i8*/40, // ->10269
/* 10261*/     OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::SELECT_V128),
                   /*MVT::v16i8*/40, 3/*#Ops*/, 2, 1, 0, 
               // Src: (select:{ *:[v16i8] } (setcc:{ *:[i32] } I32:{ *:[i32] }:$cond, 0:{ *:[i32] }, SETEQ:{ *:[Other] }), V128:{ *:[v16i8] }:$lhs, V128:{ *:[v16i8] }:$rhs) - Complexity = 11
               // Dst: (SELECT_V128:{ *:[v16i8] } ?:{ *:[v16i8] }:$rhs, ?:{ *:[v16i8] }:$lhs, ?:{ *:[i32] }:$cond)
/* 10269*/    /*SwitchType*/ 8, /*MVT::v8i16*/51, // ->10279
/* 10271*/     OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::SELECT_V128),
                   /*MVT::v8i16*/51, 3/*#Ops*/, 2, 1, 0, 
               // Src: (select:{ *:[v8i16] } (setcc:{ *:[i32] } I32:{ *:[i32] }:$cond, 0:{ *:[i32] }, SETEQ:{ *:[Other] }), V128:{ *:[v8i16] }:$lhs, V128:{ *:[v8i16] }:$rhs) - Complexity = 11
               // Dst: (SELECT_V128:{ *:[v8i16] } ?:{ *:[v8i16] }:$rhs, ?:{ *:[v8i16] }:$lhs, ?:{ *:[i32] }:$cond)
/* 10279*/    /*SwitchType*/ 8, /*MVT::v4i32*/62, // ->10289
/* 10281*/     OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::SELECT_V128),
                   /*MVT::v4i32*/62, 3/*#Ops*/, 2, 1, 0, 
               // Src: (select:{ *:[v4i32] } (setcc:{ *:[i32] } I32:{ *:[i32] }:$cond, 0:{ *:[i32] }, SETEQ:{ *:[Other] }), V128:{ *:[v4i32] }:$lhs, V128:{ *:[v4i32] }:$rhs) - Complexity = 11
               // Dst: (SELECT_V128:{ *:[v4i32] } ?:{ *:[v4i32] }:$rhs, ?:{ *:[v4i32] }:$lhs, ?:{ *:[i32] }:$cond)
/* 10289*/    /*SwitchType*/ 8, /*MVT::v2i64*/81, // ->10299
/* 10291*/     OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::SELECT_V128),
                   /*MVT::v2i64*/81, 3/*#Ops*/, 2, 1, 0, 
               // Src: (select:{ *:[v2i64] } (setcc:{ *:[i32] } I32:{ *:[i32] }:$cond, 0:{ *:[i32] }, SETEQ:{ *:[Other] }), V128:{ *:[v2i64] }:$lhs, V128:{ *:[v2i64] }:$rhs) - Complexity = 11
               // Dst: (SELECT_V128:{ *:[v2i64] } ?:{ *:[v2i64] }:$rhs, ?:{ *:[v2i64] }:$lhs, ?:{ *:[i32] }:$cond)
/* 10299*/    0, // EndSwitchType
/* 10300*/   0, /*End of Scope*/
/* 10301*/  /*Scope*/ 46, /*->10348*/
/* 10302*/   OPC_RecordChild0, // #0 = $cond
/* 10303*/   OPC_CheckChild0TypeI32,
/* 10304*/   OPC_RecordChild1, // #1 = $lhs
/* 10305*/   OPC_RecordChild2, // #2 = $rhs
/* 10306*/   OPC_SwitchType /*4 cases */, 8, /*MVT::v16i8*/40, // ->10317
/* 10309*/    OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::SELECT_V128),
                  /*MVT::v16i8*/40, 3/*#Ops*/, 1, 2, 0, 
              // Src: (select:{ *:[v16i8] } I32:{ *:[i32] }:$cond, V128:{ *:[v16i8] }:$lhs, V128:{ *:[v16i8] }:$rhs) - Complexity = 3
              // Dst: (SELECT_V128:{ *:[v16i8] } ?:{ *:[v16i8] }:$lhs, ?:{ *:[v16i8] }:$rhs, ?:{ *:[i32] }:$cond)
/* 10317*/   /*SwitchType*/ 8, /*MVT::v8i16*/51, // ->10327
/* 10319*/    OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::SELECT_V128),
                  /*MVT::v8i16*/51, 3/*#Ops*/, 1, 2, 0, 
              // Src: (select:{ *:[v8i16] } I32:{ *:[i32] }:$cond, V128:{ *:[v8i16] }:$lhs, V128:{ *:[v8i16] }:$rhs) - Complexity = 3
              // Dst: (SELECT_V128:{ *:[v8i16] } ?:{ *:[v8i16] }:$lhs, ?:{ *:[v8i16] }:$rhs, ?:{ *:[i32] }:$cond)
/* 10327*/   /*SwitchType*/ 8, /*MVT::v4i32*/62, // ->10337
/* 10329*/    OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::SELECT_V128),
                  /*MVT::v4i32*/62, 3/*#Ops*/, 1, 2, 0, 
              // Src: (select:{ *:[v4i32] } I32:{ *:[i32] }:$cond, V128:{ *:[v4i32] }:$lhs, V128:{ *:[v4i32] }:$rhs) - Complexity = 3
              // Dst: (SELECT_V128:{ *:[v4i32] } ?:{ *:[v4i32] }:$lhs, ?:{ *:[v4i32] }:$rhs, ?:{ *:[i32] }:$cond)
/* 10337*/   /*SwitchType*/ 8, /*MVT::v2i64*/81, // ->10347
/* 10339*/    OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::SELECT_V128),
                  /*MVT::v2i64*/81, 3/*#Ops*/, 1, 2, 0, 
              // Src: (select:{ *:[v2i64] } I32:{ *:[i32] }:$cond, V128:{ *:[v2i64] }:$lhs, V128:{ *:[v2i64] }:$rhs) - Complexity = 3
              // Dst: (SELECT_V128:{ *:[v2i64] } ?:{ *:[v2i64] }:$lhs, ?:{ *:[v2i64] }:$rhs, ?:{ *:[i32] }:$cond)
/* 10347*/   0, // EndSwitchType
/* 10348*/  /*Scope*/ 71, /*->10420*/
/* 10349*/   OPC_MoveChild0,
/* 10350*/   OPC_CheckOpcode, TARGET_VAL(ISD::SETCC),
/* 10353*/   OPC_RecordChild0, // #0 = $cond
/* 10354*/   OPC_CheckChild0TypeI32,
/* 10355*/   OPC_CheckChild1Integer, 0, 
/* 10357*/   OPC_CheckTypeI32,
/* 10358*/   OPC_Scope, 29, /*->10389*/ // 2 children in Scope
/* 10360*/    OPC_CheckChild2CondCode, ISD::SETNE,
/* 10362*/    OPC_MoveParent,
/* 10363*/    OPC_RecordChild1, // #1 = $lhs
/* 10364*/    OPC_RecordChild2, // #2 = $rhs
/* 10365*/    OPC_SwitchType /*2 cases */, 8, /*MVT::v4f32*/116, // ->10376
/* 10368*/     OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::SELECT_V128),
                   /*MVT::v4f32*/116, 3/*#Ops*/, 1, 2, 0, 
               // Src: (select:{ *:[v4f32] } (setcc:{ *:[i32] } I32:{ *:[i32] }:$cond, 0:{ *:[i32] }, SETNE:{ *:[Other] }), V128:{ *:[v4f32] }:$lhs, V128:{ *:[v4f32] }:$rhs) - Complexity = 11
               // Dst: (SELECT_V128:{ *:[v4f32] } ?:{ *:[v4f32] }:$lhs, ?:{ *:[v4f32] }:$rhs, ?:{ *:[i32] }:$cond)
/* 10376*/    /*SwitchType*/ 9, /*MVT::v2f64*/6|128,1/*134*/, // ->10388
/* 10379*/     OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::SELECT_V128),
                   /*MVT::v2f64*/6|128,1/*134*/, 3/*#Ops*/, 1, 2, 0, 
               // Src: (select:{ *:[v2f64] } (setcc:{ *:[i32] } I32:{ *:[i32] }:$cond, 0:{ *:[i32] }, SETNE:{ *:[Other] }), V128:{ *:[v2f64] }:$lhs, V128:{ *:[v2f64] }:$rhs) - Complexity = 11
               // Dst: (SELECT_V128:{ *:[v2f64] } ?:{ *:[v2f64] }:$lhs, ?:{ *:[v2f64] }:$rhs, ?:{ *:[i32] }:$cond)
/* 10388*/    0, // EndSwitchType
/* 10389*/   /*Scope*/ 29, /*->10419*/
/* 10390*/    OPC_CheckChild2CondCode, ISD::SETEQ,
/* 10392*/    OPC_MoveParent,
/* 10393*/    OPC_RecordChild1, // #1 = $lhs
/* 10394*/    OPC_RecordChild2, // #2 = $rhs
/* 10395*/    OPC_SwitchType /*2 cases */, 8, /*MVT::v4f32*/116, // ->10406
/* 10398*/     OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::SELECT_V128),
                   /*MVT::v4f32*/116, 3/*#Ops*/, 2, 1, 0, 
               // Src: (select:{ *:[v4f32] } (setcc:{ *:[i32] } I32:{ *:[i32] }:$cond, 0:{ *:[i32] }, SETEQ:{ *:[Other] }), V128:{ *:[v4f32] }:$lhs, V128:{ *:[v4f32] }:$rhs) - Complexity = 11
               // Dst: (SELECT_V128:{ *:[v4f32] } ?:{ *:[v4f32] }:$rhs, ?:{ *:[v4f32] }:$lhs, ?:{ *:[i32] }:$cond)
/* 10406*/    /*SwitchType*/ 9, /*MVT::v2f64*/6|128,1/*134*/, // ->10418
/* 10409*/     OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::SELECT_V128),
                   /*MVT::v2f64*/6|128,1/*134*/, 3/*#Ops*/, 2, 1, 0, 
               // Src: (select:{ *:[v2f64] } (setcc:{ *:[i32] } I32:{ *:[i32] }:$cond, 0:{ *:[i32] }, SETEQ:{ *:[Other] }), V128:{ *:[v2f64] }:$lhs, V128:{ *:[v2f64] }:$rhs) - Complexity = 11
               // Dst: (SELECT_V128:{ *:[v2f64] } ?:{ *:[v2f64] }:$rhs, ?:{ *:[v2f64] }:$lhs, ?:{ *:[i32] }:$cond)
/* 10418*/    0, // EndSwitchType
/* 10419*/   0, /*End of Scope*/
/* 10420*/  /*Scope*/ 28, /*->10449*/
/* 10421*/   OPC_RecordChild0, // #0 = $cond
/* 10422*/   OPC_CheckChild0TypeI32,
/* 10423*/   OPC_RecordChild1, // #1 = $lhs
/* 10424*/   OPC_RecordChild2, // #2 = $rhs
/* 10425*/   OPC_SwitchType /*2 cases */, 8, /*MVT::v4f32*/116, // ->10436
/* 10428*/    OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::SELECT_V128),
                  /*MVT::v4f32*/116, 3/*#Ops*/, 1, 2, 0, 
              // Src: (select:{ *:[v4f32] } I32:{ *:[i32] }:$cond, V128:{ *:[v4f32] }:$lhs, V128:{ *:[v4f32] }:$rhs) - Complexity = 3
              // Dst: (SELECT_V128:{ *:[v4f32] } ?:{ *:[v4f32] }:$lhs, ?:{ *:[v4f32] }:$rhs, ?:{ *:[i32] }:$cond)
/* 10436*/   /*SwitchType*/ 9, /*MVT::v2f64*/6|128,1/*134*/, // ->10448
/* 10439*/    OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::SELECT_V128),
                  /*MVT::v2f64*/6|128,1/*134*/, 3/*#Ops*/, 1, 2, 0, 
              // Src: (select:{ *:[v2f64] } I32:{ *:[i32] }:$cond, V128:{ *:[v2f64] }:$lhs, V128:{ *:[v2f64] }:$rhs) - Complexity = 3
              // Dst: (SELECT_V128:{ *:[v2f64] } ?:{ *:[v2f64] }:$lhs, ?:{ *:[v2f64] }:$rhs, ?:{ *:[i32] }:$cond)
/* 10448*/   0, // EndSwitchType
/* 10449*/  0, /*End of Scope*/
/* 10450*/ /*SwitchOpcode*/ 1|128,1/*129*/, TARGET_VAL(ISD::SIGN_EXTEND_INREG),// ->10583
/* 10454*/  OPC_Scope, 57, /*->10513*/ // 2 children in Scope
/* 10456*/   OPC_MoveChild0,
/* 10457*/   OPC_CheckOpcode, TARGET_VAL(ISD::EXTRACT_VECTOR_ELT),
/* 10460*/   OPC_RecordChild0, // #0 = $vec
/* 10461*/   OPC_Scope, 24, /*->10487*/ // 2 children in Scope
/* 10463*/    OPC_CheckChild0Type, /*MVT::v16i8*/40, 
/* 10465*/    OPC_RecordChild1, // #1 = $idx
/* 10466*/    OPC_MoveChild1,
/* 10467*/    OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 10470*/    OPC_CheckPredicate, 20, // Predicate_LaneIdx16
/* 10472*/    OPC_CheckTypeI32,
/* 10473*/    OPC_MoveParent,
/* 10474*/    OPC_MoveSibling1,
/* 10475*/    OPC_CheckValueType, /*MVT::i8*/5, 
/* 10477*/    OPC_MoveParent,
/* 10478*/    OPC_CheckTypeI32,
/* 10479*/    OPC_EmitConvertToTarget1, // #2
/* 10480*/    OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::EXTRACT_LANE_I8x16_s),
                  /*MVT::i32*/7, 2/*#Ops*/, 0, 2, 
              // Src: (sext_inreg:{ *:[i32] } (vector_extract:{ *:[i32] } V128:{ *:[v16i8] }:$vec, (imm:{ *:[i32] })<<P:Predicate_LaneIdx16>>:$idx), i8:{ *:[Other] }) - Complexity = 10
              // Dst: (EXTRACT_LANE_I8x16_s:{ *:[i32] } ?:{ *:[v16i8] }:$vec, (imm:{ *:[i32] }):$idx)
/* 10487*/   /*Scope*/ 24, /*->10512*/
/* 10488*/    OPC_CheckChild0Type, /*MVT::v8i16*/51, 
/* 10490*/    OPC_RecordChild1, // #1 = $idx
/* 10491*/    OPC_MoveChild1,
/* 10492*/    OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 10495*/    OPC_CheckPredicate, 14, // Predicate_LaneIdx8
/* 10497*/    OPC_CheckTypeI32,
/* 10498*/    OPC_MoveParent,
/* 10499*/    OPC_MoveSibling1,
/* 10500*/    OPC_CheckValueType, /*MVT::i16*/6, 
/* 10502*/    OPC_MoveParent,
/* 10503*/    OPC_CheckTypeI32,
/* 10504*/    OPC_EmitConvertToTarget1, // #2
/* 10505*/    OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::EXTRACT_LANE_I16x8_s),
                  /*MVT::i32*/7, 2/*#Ops*/, 0, 2, 
              // Src: (sext_inreg:{ *:[i32] } (vector_extract:{ *:[i32] } V128:{ *:[v8i16] }:$vec, (imm:{ *:[i32] })<<P:Predicate_LaneIdx8>>:$idx), i16:{ *:[Other] }) - Complexity = 10
              // Dst: (EXTRACT_LANE_I16x8_s:{ *:[i32] } ?:{ *:[v8i16] }:$vec, (imm:{ *:[i32] }):$idx)
/* 10512*/   0, /*End of Scope*/
/* 10513*/  /*Scope*/ 68, /*->10582*/
/* 10514*/   OPC_RecordChild0, // #0 = $src
/* 10515*/   OPC_MoveChild1,
/* 10516*/   OPC_Scope, 25, /*->10543*/ // 3 children in Scope
/* 10518*/    OPC_CheckValueType, /*MVT::i8*/5, 
/* 10520*/    OPC_MoveParent,
/* 10521*/    OPC_SwitchType /*2 cases */, 8, /*MVT::i32*/7, // ->10532
/* 10524*/     OPC_CheckPatternPredicate, 11, // (Subtarget->hasSignExt())
/* 10526*/     OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::I32_EXTEND8_S_I32),
                   /*MVT::i32*/7, 1/*#Ops*/, 0, 
               // Src: (sext_inreg:{ *:[i32] } I32:{ *:[i32] }:$src, i8:{ *:[Other] }) - Complexity = 3
               // Dst: (I32_EXTEND8_S_I32:{ *:[i32] } I32:{ *:[i32] }:$src)
/* 10532*/    /*SwitchType*/ 8, /*MVT::i64*/8, // ->10542
/* 10534*/     OPC_CheckPatternPredicate, 11, // (Subtarget->hasSignExt())
/* 10536*/     OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::I64_EXTEND8_S_I64),
                   /*MVT::i64*/8, 1/*#Ops*/, 0, 
               // Src: (sext_inreg:{ *:[i64] } I64:{ *:[i64] }:$src, i8:{ *:[Other] }) - Complexity = 3
               // Dst: (I64_EXTEND8_S_I64:{ *:[i64] } I64:{ *:[i64] }:$src)
/* 10542*/    0, // EndSwitchType
/* 10543*/   /*Scope*/ 25, /*->10569*/
/* 10544*/    OPC_CheckValueType, /*MVT::i16*/6, 
/* 10546*/    OPC_MoveParent,
/* 10547*/    OPC_SwitchType /*2 cases */, 8, /*MVT::i32*/7, // ->10558
/* 10550*/     OPC_CheckPatternPredicate, 11, // (Subtarget->hasSignExt())
/* 10552*/     OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::I32_EXTEND16_S_I32),
                   /*MVT::i32*/7, 1/*#Ops*/, 0, 
               // Src: (sext_inreg:{ *:[i32] } I32:{ *:[i32] }:$src, i16:{ *:[Other] }) - Complexity = 3
               // Dst: (I32_EXTEND16_S_I32:{ *:[i32] } I32:{ *:[i32] }:$src)
/* 10558*/    /*SwitchType*/ 8, /*MVT::i64*/8, // ->10568
/* 10560*/     OPC_CheckPatternPredicate, 11, // (Subtarget->hasSignExt())
/* 10562*/     OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::I64_EXTEND16_S_I64),
                   /*MVT::i64*/8, 1/*#Ops*/, 0, 
               // Src: (sext_inreg:{ *:[i64] } I64:{ *:[i64] }:$src, i16:{ *:[Other] }) - Complexity = 3
               // Dst: (I64_EXTEND16_S_I64:{ *:[i64] } I64:{ *:[i64] }:$src)
/* 10568*/    0, // EndSwitchType
/* 10569*/   /*Scope*/ 11, /*->10581*/
/* 10570*/    OPC_CheckValueType, /*MVT::i32*/7, 
/* 10572*/    OPC_MoveParent,
/* 10573*/    OPC_CheckPatternPredicate, 11, // (Subtarget->hasSignExt())
/* 10575*/    OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::I64_EXTEND32_S_I64),
                  /*MVT::i64*/8, 1/*#Ops*/, 0, 
              // Src: (sext_inreg:{ *:[i64] } I64:{ *:[i64] }:$src, i32:{ *:[Other] }) - Complexity = 3
              // Dst: (I64_EXTEND32_S_I64:{ *:[i64] } I64:{ *:[i64] }:$src)
/* 10581*/   0, /*End of Scope*/
/* 10582*/  0, /*End of Scope*/
/* 10583*/ /*SwitchOpcode*/ 46|128,1/*174*/, TARGET_VAL(WebAssemblyISD::GLOBAL_GET),// ->10761
/* 10587*/  OPC_RecordMemRef,
/* 10588*/  OPC_RecordNode, // #0 = 'WebAssemblyglobal_get' chained node
/* 10589*/  OPC_MoveChild1,
/* 10590*/  OPC_CheckOpcode, TARGET_VAL(WebAssemblyISD::Wrapper),
/* 10593*/  OPC_RecordChild0, // #1 = $addr
/* 10594*/  OPC_MoveChild0,
/* 10595*/  OPC_CheckOpcode, TARGET_VAL(ISD::TargetGlobalAddress),
/* 10598*/  OPC_MoveParent,
/* 10599*/  OPC_MoveParent,
/* 10600*/  OPC_SwitchType /*14 cases */, 8, /*MVT::i32*/7, // ->10611
/* 10603*/   OPC_EmitMergeInputChains1_0,
/* 10604*/   OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::GLOBAL_GET_I32), 0|OPFL_Chain|OPFL_MemRefs,
                 /*MVT::i32*/7, 1/*#Ops*/, 1, 
             // Src: (WebAssemblyglobal_get:{ *:[i32] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$addr)) - Complexity = 9
             // Dst: (GLOBAL_GET_I32:{ *:[i32] } (tglobaladdr:{ *:[i32] }):$addr)
/* 10611*/  /*SwitchType*/ 8, /*MVT::i64*/8, // ->10621
/* 10613*/   OPC_EmitMergeInputChains1_0,
/* 10614*/   OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::GLOBAL_GET_I64), 0|OPFL_Chain|OPFL_MemRefs,
                 /*MVT::i64*/8, 1/*#Ops*/, 1, 
             // Src: (WebAssemblyglobal_get:{ *:[i64] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$addr)) - Complexity = 9
             // Dst: (GLOBAL_GET_I64:{ *:[i64] } (tglobaladdr:{ *:[i64] }):$addr)
/* 10621*/  /*SwitchType*/ 10, /*MVT::funcref*/104|128,1/*232*/, // ->10634
/* 10624*/   OPC_CheckPatternPredicate6, // (Subtarget->hasReferenceTypes())
/* 10625*/   OPC_EmitMergeInputChains1_0,
/* 10626*/   OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::GLOBAL_GET_FUNCREF), 0|OPFL_Chain|OPFL_MemRefs,
                 /*MVT::funcref*/104|128,1/*232*/, 1/*#Ops*/, 1, 
             // Src: (WebAssemblyglobal_get:{ *:[funcref] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$addr)) - Complexity = 9
             // Dst: (GLOBAL_GET_FUNCREF:{ *:[funcref] } (tglobaladdr:{ *:[i32] }):$addr)
/* 10634*/  /*SwitchType*/ 10, /*MVT::externref*/105|128,1/*233*/, // ->10647
/* 10637*/   OPC_CheckPatternPredicate6, // (Subtarget->hasReferenceTypes())
/* 10638*/   OPC_EmitMergeInputChains1_0,
/* 10639*/   OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::GLOBAL_GET_EXTERNREF), 0|OPFL_Chain|OPFL_MemRefs,
                 /*MVT::externref*/105|128,1/*233*/, 1/*#Ops*/, 1, 
             // Src: (WebAssemblyglobal_get:{ *:[externref] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$addr)) - Complexity = 9
             // Dst: (GLOBAL_GET_EXTERNREF:{ *:[externref] } (tglobaladdr:{ *:[i32] }):$addr)
/* 10647*/  /*SwitchType*/ 11, /*MVT::exnref*/106|128,1/*234*/, // ->10661
/* 10650*/   OPC_CheckPatternPredicate, 8, // (Subtarget->hasExceptionHandling()) && (Subtarget->hasReferenceTypes())
/* 10652*/   OPC_EmitMergeInputChains1_0,
/* 10653*/   OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::GLOBAL_GET_EXNREF), 0|OPFL_Chain|OPFL_MemRefs,
                 /*MVT::exnref*/106|128,1/*234*/, 1/*#Ops*/, 1, 
             // Src: (WebAssemblyglobal_get:{ *:[exnref] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$addr)) - Complexity = 9
             // Dst: (GLOBAL_GET_EXNREF:{ *:[exnref] } (tglobaladdr:{ *:[i32] }):$addr)
/* 10661*/  /*SwitchType*/ 8, /*MVT::f32*/12, // ->10671
/* 10663*/   OPC_EmitMergeInputChains1_0,
/* 10664*/   OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::GLOBAL_GET_F32), 0|OPFL_Chain|OPFL_MemRefs,
                 /*MVT::f32*/12, 1/*#Ops*/, 1, 
             // Src: (WebAssemblyglobal_get:{ *:[f32] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$addr)) - Complexity = 9
             // Dst: (GLOBAL_GET_F32:{ *:[f32] } (tglobaladdr:{ *:[i32] }):$addr)
/* 10671*/  /*SwitchType*/ 8, /*MVT::f64*/13, // ->10681
/* 10673*/   OPC_EmitMergeInputChains1_0,
/* 10674*/   OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::GLOBAL_GET_F64), 0|OPFL_Chain|OPFL_MemRefs,
                 /*MVT::f64*/13, 1/*#Ops*/, 1, 
             // Src: (WebAssemblyglobal_get:{ *:[f64] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$addr)) - Complexity = 9
             // Dst: (GLOBAL_GET_F64:{ *:[f64] } (tglobaladdr:{ *:[i32] }):$addr)
/* 10681*/  /*SwitchType*/ 9, /*MVT::v2i64*/81, // ->10692
/* 10683*/   OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/* 10684*/   OPC_EmitMergeInputChains1_0,
/* 10685*/   OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::GLOBAL_GET_V128), 0|OPFL_Chain|OPFL_MemRefs,
                 /*MVT::v2i64*/81, 1/*#Ops*/, 1, 
             // Src: (WebAssemblyglobal_get:{ *:[v2i64] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$addr)) - Complexity = 9
             // Dst: (GLOBAL_GET_V128:{ *:[v2i64] } (tglobaladdr:{ *:[i32] }):$addr)
/* 10692*/  /*SwitchType*/ 9, /*MVT::v4i32*/62, // ->10703
/* 10694*/   OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/* 10695*/   OPC_EmitMergeInputChains1_0,
/* 10696*/   OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::GLOBAL_GET_V128), 0|OPFL_Chain|OPFL_MemRefs,
                 /*MVT::v4i32*/62, 1/*#Ops*/, 1, 
             // Src: (WebAssemblyglobal_get:{ *:[v4i32] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$addr)) - Complexity = 9
             // Dst: (GLOBAL_GET_V128:{ *:[v4i32] } (tglobaladdr:{ *:[i32] }):$addr)
/* 10703*/  /*SwitchType*/ 9, /*MVT::v16i8*/40, // ->10714
/* 10705*/   OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/* 10706*/   OPC_EmitMergeInputChains1_0,
/* 10707*/   OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::GLOBAL_GET_V128), 0|OPFL_Chain|OPFL_MemRefs,
                 /*MVT::v16i8*/40, 1/*#Ops*/, 1, 
             // Src: (WebAssemblyglobal_get:{ *:[v16i8] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$addr)) - Complexity = 9
             // Dst: (GLOBAL_GET_V128:{ *:[v16i8] } (tglobaladdr:{ *:[i32] }):$addr)
/* 10714*/  /*SwitchType*/ 9, /*MVT::v8i16*/51, // ->10725
/* 10716*/   OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/* 10717*/   OPC_EmitMergeInputChains1_0,
/* 10718*/   OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::GLOBAL_GET_V128), 0|OPFL_Chain|OPFL_MemRefs,
                 /*MVT::v8i16*/51, 1/*#Ops*/, 1, 
             // Src: (WebAssemblyglobal_get:{ *:[v8i16] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$addr)) - Complexity = 9
             // Dst: (GLOBAL_GET_V128:{ *:[v8i16] } (tglobaladdr:{ *:[i32] }):$addr)
/* 10725*/  /*SwitchType*/ 9, /*MVT::v8f16*/95, // ->10736
/* 10727*/   OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/* 10728*/   OPC_EmitMergeInputChains1_0,
/* 10729*/   OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::GLOBAL_GET_V128), 0|OPFL_Chain|OPFL_MemRefs,
                 /*MVT::v8f16*/95, 1/*#Ops*/, 1, 
             // Src: (WebAssemblyglobal_get:{ *:[v8f16] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$addr)) - Complexity = 9
             // Dst: (GLOBAL_GET_V128:{ *:[v8f16] } (tglobaladdr:{ *:[i32] }):$addr)
/* 10736*/  /*SwitchType*/ 9, /*MVT::v4f32*/116, // ->10747
/* 10738*/   OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/* 10739*/   OPC_EmitMergeInputChains1_0,
/* 10740*/   OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::GLOBAL_GET_V128), 0|OPFL_Chain|OPFL_MemRefs,
                 /*MVT::v4f32*/116, 1/*#Ops*/, 1, 
             // Src: (WebAssemblyglobal_get:{ *:[v4f32] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$addr)) - Complexity = 9
             // Dst: (GLOBAL_GET_V128:{ *:[v4f32] } (tglobaladdr:{ *:[i32] }):$addr)
/* 10747*/  /*SwitchType*/ 10, /*MVT::v2f64*/6|128,1/*134*/, // ->10760
/* 10750*/   OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/* 10751*/   OPC_EmitMergeInputChains1_0,
/* 10752*/   OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::GLOBAL_GET_V128), 0|OPFL_Chain|OPFL_MemRefs,
                 /*MVT::v2f64*/6|128,1/*134*/, 1/*#Ops*/, 1, 
             // Src: (WebAssemblyglobal_get:{ *:[v2f64] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$addr)) - Complexity = 9
             // Dst: (GLOBAL_GET_V128:{ *:[v2f64] } (tglobaladdr:{ *:[i32] }):$addr)
/* 10760*/  0, // EndSwitchType
/* 10761*/ /*SwitchOpcode*/ 70|128,2/*326*/, TARGET_VAL(WebAssemblyISD::GLOBAL_SET),// ->11091
/* 10765*/  OPC_RecordMemRef,
/* 10766*/  OPC_RecordNode, // #0 = 'WebAssemblyglobal_set' chained node
/* 10767*/  OPC_RecordChild1, // #1 = $src
/* 10768*/  OPC_Scope, 20, /*->10790*/ // 14 children in Scope
/* 10770*/   OPC_CheckChild1TypeI32,
/* 10771*/   OPC_MoveChild2,
/* 10772*/   OPC_CheckOpcode, TARGET_VAL(WebAssemblyISD::Wrapper),
/* 10775*/   OPC_RecordChild0, // #2 = $addr
/* 10776*/   OPC_MoveChild0,
/* 10777*/   OPC_CheckOpcode, TARGET_VAL(ISD::TargetGlobalAddress),
/* 10780*/   OPC_MoveParent,
/* 10781*/   OPC_MoveParent,
/* 10782*/   OPC_EmitMergeInputChains1_0,
/* 10783*/   OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::GLOBAL_SET_I32), 0|OPFL_Chain|OPFL_MemRefs,
                 2/*#Ops*/, 2, 1, 
             // Src: (WebAssemblyglobal_set i32:{ *:[i32] }:$src, (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$addr)) - Complexity = 9
             // Dst: (GLOBAL_SET_I32 (tglobaladdr:{ *:[i32] }):$addr, i32:{ *:[i32] }:$src)
/* 10790*/  /*Scope*/ 20, /*->10811*/
/* 10791*/   OPC_CheckChild1TypeI64,
/* 10792*/   OPC_MoveChild2,
/* 10793*/   OPC_CheckOpcode, TARGET_VAL(WebAssemblyISD::Wrapper),
/* 10796*/   OPC_RecordChild0, // #2 = $addr
/* 10797*/   OPC_MoveChild0,
/* 10798*/   OPC_CheckOpcode, TARGET_VAL(ISD::TargetGlobalAddress),
/* 10801*/   OPC_MoveParent,
/* 10802*/   OPC_MoveParent,
/* 10803*/   OPC_EmitMergeInputChains1_0,
/* 10804*/   OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::GLOBAL_SET_I64), 0|OPFL_Chain|OPFL_MemRefs,
                 2/*#Ops*/, 2, 1, 
             // Src: (WebAssemblyglobal_set i64:{ *:[i64] }:$src, (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$addr)) - Complexity = 9
             // Dst: (GLOBAL_SET_I64 (tglobaladdr:{ *:[i64] }):$addr, i64:{ *:[i64] }:$src)
/* 10811*/  /*Scope*/ 21, /*->10833*/
/* 10812*/   OPC_CheckChild1Type, /*MVT::f32*/12, 
/* 10814*/   OPC_MoveChild2,
/* 10815*/   OPC_CheckOpcode, TARGET_VAL(WebAssemblyISD::Wrapper),
/* 10818*/   OPC_RecordChild0, // #2 = $addr
/* 10819*/   OPC_MoveChild0,
/* 10820*/   OPC_CheckOpcode, TARGET_VAL(ISD::TargetGlobalAddress),
/* 10823*/   OPC_MoveParent,
/* 10824*/   OPC_MoveParent,
/* 10825*/   OPC_EmitMergeInputChains1_0,
/* 10826*/   OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::GLOBAL_SET_F32), 0|OPFL_Chain|OPFL_MemRefs,
                 2/*#Ops*/, 2, 1, 
             // Src: (WebAssemblyglobal_set f32:{ *:[f32] }:$src, (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$addr)) - Complexity = 9
             // Dst: (GLOBAL_SET_F32 (tglobaladdr:{ *:[i32] }):$addr, f32:{ *:[f32] }:$src)
/* 10833*/  /*Scope*/ 21, /*->10855*/
/* 10834*/   OPC_CheckChild1Type, /*MVT::f64*/13, 
/* 10836*/   OPC_MoveChild2,
/* 10837*/   OPC_CheckOpcode, TARGET_VAL(WebAssemblyISD::Wrapper),
/* 10840*/   OPC_RecordChild0, // #2 = $addr
/* 10841*/   OPC_MoveChild0,
/* 10842*/   OPC_CheckOpcode, TARGET_VAL(ISD::TargetGlobalAddress),
/* 10845*/   OPC_MoveParent,
/* 10846*/   OPC_MoveParent,
/* 10847*/   OPC_EmitMergeInputChains1_0,
/* 10848*/   OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::GLOBAL_SET_F64), 0|OPFL_Chain|OPFL_MemRefs,
                 2/*#Ops*/, 2, 1, 
             // Src: (WebAssemblyglobal_set f64:{ *:[f64] }:$src, (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$addr)) - Complexity = 9
             // Dst: (GLOBAL_SET_F64 (tglobaladdr:{ *:[i32] }):$addr, f64:{ *:[f64] }:$src)
/* 10855*/  /*Scope*/ 22, /*->10878*/
/* 10856*/   OPC_CheckChild1Type, /*MVT::v2i64*/81, 
/* 10858*/   OPC_MoveChild2,
/* 10859*/   OPC_CheckOpcode, TARGET_VAL(WebAssemblyISD::Wrapper),
/* 10862*/   OPC_RecordChild0, // #2 = $addr
/* 10863*/   OPC_MoveChild0,
/* 10864*/   OPC_CheckOpcode, TARGET_VAL(ISD::TargetGlobalAddress),
/* 10867*/   OPC_MoveParent,
/* 10868*/   OPC_MoveParent,
/* 10869*/   OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/* 10870*/   OPC_EmitMergeInputChains1_0,
/* 10871*/   OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::GLOBAL_SET_V128), 0|OPFL_Chain|OPFL_MemRefs,
                 2/*#Ops*/, 2, 1, 
             // Src: (WebAssemblyglobal_set v2i64:{ *:[v2i64] }:$src, (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$addr)) - Complexity = 9
             // Dst: (GLOBAL_SET_V128 (tglobaladdr:{ *:[i32] }):$addr, v2i64:{ *:[v2i64] }:$src)
/* 10878*/  /*Scope*/ 22, /*->10901*/
/* 10879*/   OPC_CheckChild1Type, /*MVT::v4i32*/62, 
/* 10881*/   OPC_MoveChild2,
/* 10882*/   OPC_CheckOpcode, TARGET_VAL(WebAssemblyISD::Wrapper),
/* 10885*/   OPC_RecordChild0, // #2 = $addr
/* 10886*/   OPC_MoveChild0,
/* 10887*/   OPC_CheckOpcode, TARGET_VAL(ISD::TargetGlobalAddress),
/* 10890*/   OPC_MoveParent,
/* 10891*/   OPC_MoveParent,
/* 10892*/   OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/* 10893*/   OPC_EmitMergeInputChains1_0,
/* 10894*/   OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::GLOBAL_SET_V128), 0|OPFL_Chain|OPFL_MemRefs,
                 2/*#Ops*/, 2, 1, 
             // Src: (WebAssemblyglobal_set v4i32:{ *:[v4i32] }:$src, (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$addr)) - Complexity = 9
             // Dst: (GLOBAL_SET_V128 (tglobaladdr:{ *:[i32] }):$addr, v4i32:{ *:[v4i32] }:$src)
/* 10901*/  /*Scope*/ 22, /*->10924*/
/* 10902*/   OPC_CheckChild1Type, /*MVT::v16i8*/40, 
/* 10904*/   OPC_MoveChild2,
/* 10905*/   OPC_CheckOpcode, TARGET_VAL(WebAssemblyISD::Wrapper),
/* 10908*/   OPC_RecordChild0, // #2 = $addr
/* 10909*/   OPC_MoveChild0,
/* 10910*/   OPC_CheckOpcode, TARGET_VAL(ISD::TargetGlobalAddress),
/* 10913*/   OPC_MoveParent,
/* 10914*/   OPC_MoveParent,
/* 10915*/   OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/* 10916*/   OPC_EmitMergeInputChains1_0,
/* 10917*/   OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::GLOBAL_SET_V128), 0|OPFL_Chain|OPFL_MemRefs,
                 2/*#Ops*/, 2, 1, 
             // Src: (WebAssemblyglobal_set v16i8:{ *:[v16i8] }:$src, (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$addr)) - Complexity = 9
             // Dst: (GLOBAL_SET_V128 (tglobaladdr:{ *:[i32] }):$addr, v16i8:{ *:[v16i8] }:$src)
/* 10924*/  /*Scope*/ 22, /*->10947*/
/* 10925*/   OPC_CheckChild1Type, /*MVT::v8i16*/51, 
/* 10927*/   OPC_MoveChild2,
/* 10928*/   OPC_CheckOpcode, TARGET_VAL(WebAssemblyISD::Wrapper),
/* 10931*/   OPC_RecordChild0, // #2 = $addr
/* 10932*/   OPC_MoveChild0,
/* 10933*/   OPC_CheckOpcode, TARGET_VAL(ISD::TargetGlobalAddress),
/* 10936*/   OPC_MoveParent,
/* 10937*/   OPC_MoveParent,
/* 10938*/   OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/* 10939*/   OPC_EmitMergeInputChains1_0,
/* 10940*/   OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::GLOBAL_SET_V128), 0|OPFL_Chain|OPFL_MemRefs,
                 2/*#Ops*/, 2, 1, 
             // Src: (WebAssemblyglobal_set v8i16:{ *:[v8i16] }:$src, (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$addr)) - Complexity = 9
             // Dst: (GLOBAL_SET_V128 (tglobaladdr:{ *:[i32] }):$addr, v8i16:{ *:[v8i16] }:$src)
/* 10947*/  /*Scope*/ 22, /*->10970*/
/* 10948*/   OPC_CheckChild1Type, /*MVT::v8f16*/95, 
/* 10950*/   OPC_MoveChild2,
/* 10951*/   OPC_CheckOpcode, TARGET_VAL(WebAssemblyISD::Wrapper),
/* 10954*/   OPC_RecordChild0, // #2 = $addr
/* 10955*/   OPC_MoveChild0,
/* 10956*/   OPC_CheckOpcode, TARGET_VAL(ISD::TargetGlobalAddress),
/* 10959*/   OPC_MoveParent,
/* 10960*/   OPC_MoveParent,
/* 10961*/   OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/* 10962*/   OPC_EmitMergeInputChains1_0,
/* 10963*/   OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::GLOBAL_SET_V128), 0|OPFL_Chain|OPFL_MemRefs,
                 2/*#Ops*/, 2, 1, 
             // Src: (WebAssemblyglobal_set v8f16:{ *:[v8f16] }:$src, (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$addr)) - Complexity = 9
             // Dst: (GLOBAL_SET_V128 (tglobaladdr:{ *:[i32] }):$addr, v8f16:{ *:[v8f16] }:$src)
/* 10970*/  /*Scope*/ 22, /*->10993*/
/* 10971*/   OPC_CheckChild1Type, /*MVT::v4f32*/116, 
/* 10973*/   OPC_MoveChild2,
/* 10974*/   OPC_CheckOpcode, TARGET_VAL(WebAssemblyISD::Wrapper),
/* 10977*/   OPC_RecordChild0, // #2 = $addr
/* 10978*/   OPC_MoveChild0,
/* 10979*/   OPC_CheckOpcode, TARGET_VAL(ISD::TargetGlobalAddress),
/* 10982*/   OPC_MoveParent,
/* 10983*/   OPC_MoveParent,
/* 10984*/   OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/* 10985*/   OPC_EmitMergeInputChains1_0,
/* 10986*/   OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::GLOBAL_SET_V128), 0|OPFL_Chain|OPFL_MemRefs,
                 2/*#Ops*/, 2, 1, 
             // Src: (WebAssemblyglobal_set v4f32:{ *:[v4f32] }:$src, (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$addr)) - Complexity = 9
             // Dst: (GLOBAL_SET_V128 (tglobaladdr:{ *:[i32] }):$addr, v4f32:{ *:[v4f32] }:$src)
/* 10993*/  /*Scope*/ 23, /*->11017*/
/* 10994*/   OPC_CheckChild1Type, /*MVT::v2f64*/6|128,1/*134*/, 
/* 10997*/   OPC_MoveChild2,
/* 10998*/   OPC_CheckOpcode, TARGET_VAL(WebAssemblyISD::Wrapper),
/* 11001*/   OPC_RecordChild0, // #2 = $addr
/* 11002*/   OPC_MoveChild0,
/* 11003*/   OPC_CheckOpcode, TARGET_VAL(ISD::TargetGlobalAddress),
/* 11006*/   OPC_MoveParent,
/* 11007*/   OPC_MoveParent,
/* 11008*/   OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/* 11009*/   OPC_EmitMergeInputChains1_0,
/* 11010*/   OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::GLOBAL_SET_V128), 0|OPFL_Chain|OPFL_MemRefs,
                 2/*#Ops*/, 2, 1, 
             // Src: (WebAssemblyglobal_set v2f64:{ *:[v2f64] }:$src, (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$addr)) - Complexity = 9
             // Dst: (GLOBAL_SET_V128 (tglobaladdr:{ *:[i32] }):$addr, v2f64:{ *:[v2f64] }:$src)
/* 11017*/  /*Scope*/ 23, /*->11041*/
/* 11018*/   OPC_CheckChild1Type, /*MVT::funcref*/104|128,1/*232*/, 
/* 11021*/   OPC_MoveChild2,
/* 11022*/   OPC_CheckOpcode, TARGET_VAL(WebAssemblyISD::Wrapper),
/* 11025*/   OPC_RecordChild0, // #2 = $addr
/* 11026*/   OPC_MoveChild0,
/* 11027*/   OPC_CheckOpcode, TARGET_VAL(ISD::TargetGlobalAddress),
/* 11030*/   OPC_MoveParent,
/* 11031*/   OPC_MoveParent,
/* 11032*/   OPC_CheckPatternPredicate6, // (Subtarget->hasReferenceTypes())
/* 11033*/   OPC_EmitMergeInputChains1_0,
/* 11034*/   OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::GLOBAL_SET_FUNCREF), 0|OPFL_Chain|OPFL_MemRefs,
                 2/*#Ops*/, 2, 1, 
             // Src: (WebAssemblyglobal_set funcref:{ *:[funcref] }:$src, (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$addr)) - Complexity = 9
             // Dst: (GLOBAL_SET_FUNCREF (tglobaladdr:{ *:[i32] }):$addr, funcref:{ *:[funcref] }:$src)
/* 11041*/  /*Scope*/ 23, /*->11065*/
/* 11042*/   OPC_CheckChild1Type, /*MVT::externref*/105|128,1/*233*/, 
/* 11045*/   OPC_MoveChild2,
/* 11046*/   OPC_CheckOpcode, TARGET_VAL(WebAssemblyISD::Wrapper),
/* 11049*/   OPC_RecordChild0, // #2 = $addr
/* 11050*/   OPC_MoveChild0,
/* 11051*/   OPC_CheckOpcode, TARGET_VAL(ISD::TargetGlobalAddress),
/* 11054*/   OPC_MoveParent,
/* 11055*/   OPC_MoveParent,
/* 11056*/   OPC_CheckPatternPredicate6, // (Subtarget->hasReferenceTypes())
/* 11057*/   OPC_EmitMergeInputChains1_0,
/* 11058*/   OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::GLOBAL_SET_EXTERNREF), 0|OPFL_Chain|OPFL_MemRefs,
                 2/*#Ops*/, 2, 1, 
             // Src: (WebAssemblyglobal_set externref:{ *:[externref] }:$src, (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$addr)) - Complexity = 9
             // Dst: (GLOBAL_SET_EXTERNREF (tglobaladdr:{ *:[i32] }):$addr, externref:{ *:[externref] }:$src)
/* 11065*/  /*Scope*/ 24, /*->11090*/
/* 11066*/   OPC_CheckChild1Type, /*MVT::exnref*/106|128,1/*234*/, 
/* 11069*/   OPC_MoveChild2,
/* 11070*/   OPC_CheckOpcode, TARGET_VAL(WebAssemblyISD::Wrapper),
/* 11073*/   OPC_RecordChild0, // #2 = $addr
/* 11074*/   OPC_MoveChild0,
/* 11075*/   OPC_CheckOpcode, TARGET_VAL(ISD::TargetGlobalAddress),
/* 11078*/   OPC_MoveParent,
/* 11079*/   OPC_MoveParent,
/* 11080*/   OPC_CheckPatternPredicate, 8, // (Subtarget->hasExceptionHandling()) && (Subtarget->hasReferenceTypes())
/* 11082*/   OPC_EmitMergeInputChains1_0,
/* 11083*/   OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::GLOBAL_SET_EXNREF), 0|OPFL_Chain|OPFL_MemRefs,
                 2/*#Ops*/, 2, 1, 
             // Src: (WebAssemblyglobal_set exnref:{ *:[exnref] }:$src, (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$addr)) - Complexity = 9
             // Dst: (GLOBAL_SET_EXNREF (tglobaladdr:{ *:[i32] }):$addr, exnref:{ *:[exnref] }:$src)
/* 11090*/  0, /*End of Scope*/
/* 11091*/ /*SwitchOpcode*/ 21, TARGET_VAL(ISD::CALLSEQ_START),// ->11115
/* 11094*/  OPC_RecordNode, // #0 = 'WebAssemblycallseq_start' chained node
/* 11095*/  OPC_RecordChild1, // #1 = $amt
/* 11096*/  OPC_MoveChild1,
/* 11097*/  OPC_CheckOpcode, TARGET_VAL(ISD::TargetConstant),
/* 11100*/  OPC_MoveSibling2,
/* 11101*/  OPC_CheckOpcode, TARGET_VAL(ISD::TargetConstant),
/* 11104*/  OPC_RecordNode, // #2 = $amt2
/* 11105*/  OPC_MoveParent,
/* 11106*/  OPC_EmitMergeInputChains1_0,
/* 11107*/  OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ADJCALLSTACKDOWN), 0|OPFL_Chain|OPFL_GlueOutput,
                /*MVT::i32*/7, 2/*#Ops*/, 1, 2, 
            // Src: (WebAssemblycallseq_start (timm:{ *:[iPTR] }):$amt, (timm:{ *:[iPTR] }):$amt2) - Complexity = 9
            // Dst: (ADJCALLSTACKDOWN:{ *:[i32] } (timm:{ *:[i32] }):$amt, (timm:{ *:[i32] }):$amt2)
/* 11115*/ /*SwitchOpcode*/ 22, TARGET_VAL(ISD::CALLSEQ_END),// ->11140
/* 11118*/  OPC_RecordNode, // #0 = 'WebAssemblycallseq_end' chained node
/* 11119*/  OPC_CaptureGlueInput,
/* 11120*/  OPC_RecordChild1, // #1 = $amt
/* 11121*/  OPC_MoveChild1,
/* 11122*/  OPC_CheckOpcode, TARGET_VAL(ISD::TargetConstant),
/* 11125*/  OPC_MoveSibling2,
/* 11126*/  OPC_CheckOpcode, TARGET_VAL(ISD::TargetConstant),
/* 11129*/  OPC_RecordNode, // #2 = $amt2
/* 11130*/  OPC_MoveParent,
/* 11131*/  OPC_EmitMergeInputChains1_0,
/* 11132*/  OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ADJCALLSTACKUP), 0|OPFL_Chain|OPFL_GlueInput|OPFL_GlueOutput,
                /*MVT::i32*/7, 2/*#Ops*/, 1, 2, 
            // Src: (WebAssemblycallseq_end (timm:{ *:[iPTR] }):$amt, (timm:{ *:[iPTR] }):$amt2) - Complexity = 9
            // Dst: (ADJCALLSTACKUP:{ *:[i32] } (timm:{ *:[i32] }):$amt, (timm:{ *:[i32] }):$amt2)
/* 11140*/ /*SwitchOpcode*/ 60, TARGET_VAL(WebAssemblyISD::TABLE_GET),// ->11203
/* 11143*/  OPC_RecordMemRef,
/* 11144*/  OPC_RecordNode, // #0 = 'WebAssemblyTableGet' chained node
/* 11145*/  OPC_MoveChild1,
/* 11146*/  OPC_CheckOpcode, TARGET_VAL(WebAssemblyISD::Wrapper),
/* 11149*/  OPC_RecordChild0, // #1 = $table
/* 11150*/  OPC_MoveChild0,
/* 11151*/  OPC_CheckOpcode, TARGET_VAL(ISD::TargetGlobalAddress),
/* 11154*/  OPC_MoveParent,
/* 11155*/  OPC_MoveParent,
/* 11156*/  OPC_RecordChild2, // #2 = $idx
/* 11157*/  OPC_CheckChild2TypeI32,
/* 11158*/  OPC_SwitchType /*3 cases */, 11, /*MVT::funcref*/104|128,1/*232*/, // ->11173
/* 11162*/   OPC_CheckPatternPredicate6, // (Subtarget->hasReferenceTypes())
/* 11163*/   OPC_EmitMergeInputChains1_0,
/* 11164*/   OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::TABLE_GET_FUNCREF), 0|OPFL_Chain|OPFL_MemRefs,
                 /*MVT::funcref*/104|128,1/*232*/, 2/*#Ops*/, 1, 2, 
             // Src: (WebAssemblyTableGet:{ *:[funcref] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$table), i32:{ *:[i32] }:$idx) - Complexity = 9
             // Dst: (TABLE_GET_FUNCREF:{ *:[funcref] } (tglobaladdr:{ *:[i32] }):$table, i32:{ *:[i32] }:$idx)
/* 11173*/  /*SwitchType*/ 11, /*MVT::externref*/105|128,1/*233*/, // ->11187
/* 11176*/   OPC_CheckPatternPredicate6, // (Subtarget->hasReferenceTypes())
/* 11177*/   OPC_EmitMergeInputChains1_0,
/* 11178*/   OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::TABLE_GET_EXTERNREF), 0|OPFL_Chain|OPFL_MemRefs,
                 /*MVT::externref*/105|128,1/*233*/, 2/*#Ops*/, 1, 2, 
             // Src: (WebAssemblyTableGet:{ *:[externref] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$table), i32:{ *:[i32] }:$idx) - Complexity = 9
             // Dst: (TABLE_GET_EXTERNREF:{ *:[externref] } (tglobaladdr:{ *:[i32] }):$table, i32:{ *:[i32] }:$idx)
/* 11187*/  /*SwitchType*/ 12, /*MVT::exnref*/106|128,1/*234*/, // ->11202
/* 11190*/   OPC_CheckPatternPredicate, 8, // (Subtarget->hasExceptionHandling()) && (Subtarget->hasReferenceTypes())
/* 11192*/   OPC_EmitMergeInputChains1_0,
/* 11193*/   OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::TABLE_GET_EXNREF), 0|OPFL_Chain|OPFL_MemRefs,
                 /*MVT::exnref*/106|128,1/*234*/, 2/*#Ops*/, 1, 2, 
             // Src: (WebAssemblyTableGet:{ *:[exnref] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$table), i32:{ *:[i32] }:$idx) - Complexity = 9
             // Dst: (TABLE_GET_EXNREF:{ *:[exnref] } (tglobaladdr:{ *:[i32] }):$table, i32:{ *:[i32] }:$idx)
/* 11202*/  0, // EndSwitchType
/* 11203*/ /*SwitchOpcode*/ 87, TARGET_VAL(WebAssemblyISD::TABLE_SET),// ->11293
/* 11206*/  OPC_RecordMemRef,
/* 11207*/  OPC_RecordNode, // #0 = 'WebAssemblyTableSet' chained node
/* 11208*/  OPC_Scope, 59, /*->11269*/ // 2 children in Scope
/* 11210*/   OPC_MoveChild1,
/* 11211*/   OPC_CheckOpcode, TARGET_VAL(WebAssemblyISD::Wrapper),
/* 11214*/   OPC_RecordChild0, // #1 = $table
/* 11215*/   OPC_MoveChild0,
/* 11216*/   OPC_CheckOpcode, TARGET_VAL(ISD::TargetGlobalAddress),
/* 11219*/   OPC_MoveParent,
/* 11220*/   OPC_MoveParent,
/* 11221*/   OPC_RecordChild2, // #2 = $idx
/* 11222*/   OPC_CheckChild2TypeI32,
/* 11223*/   OPC_RecordChild3, // #3 = $src
/* 11224*/   OPC_Scope, 13, /*->11239*/ // 3 children in Scope
/* 11226*/    OPC_CheckChild3Type, /*MVT::funcref*/104|128,1/*232*/, 
/* 11229*/    OPC_CheckPatternPredicate6, // (Subtarget->hasReferenceTypes())
/* 11230*/    OPC_EmitMergeInputChains1_0,
/* 11231*/    OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::TABLE_SET_FUNCREF), 0|OPFL_Chain|OPFL_MemRefs,
                  3/*#Ops*/, 1, 2, 3, 
              // Src: (WebAssemblyTableSet (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$table), i32:{ *:[i32] }:$idx, funcref:{ *:[funcref] }:$src) - Complexity = 9
              // Dst: (TABLE_SET_FUNCREF (tglobaladdr:{ *:[i32] }):$table, i32:{ *:[i32] }:$idx, funcref:{ *:[funcref] }:$src)
/* 11239*/   /*Scope*/ 13, /*->11253*/
/* 11240*/    OPC_CheckChild3Type, /*MVT::externref*/105|128,1/*233*/, 
/* 11243*/    OPC_CheckPatternPredicate6, // (Subtarget->hasReferenceTypes())
/* 11244*/    OPC_EmitMergeInputChains1_0,
/* 11245*/    OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::TABLE_SET_EXTERNREF), 0|OPFL_Chain|OPFL_MemRefs,
                  3/*#Ops*/, 1, 2, 3, 
              // Src: (WebAssemblyTableSet (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$table), i32:{ *:[i32] }:$idx, externref:{ *:[externref] }:$src) - Complexity = 9
              // Dst: (TABLE_SET_EXTERNREF (tglobaladdr:{ *:[i32] }):$table, i32:{ *:[i32] }:$idx, externref:{ *:[externref] }:$src)
/* 11253*/   /*Scope*/ 14, /*->11268*/
/* 11254*/    OPC_CheckChild3Type, /*MVT::exnref*/106|128,1/*234*/, 
/* 11257*/    OPC_CheckPatternPredicate, 8, // (Subtarget->hasExceptionHandling()) && (Subtarget->hasReferenceTypes())
/* 11259*/    OPC_EmitMergeInputChains1_0,
/* 11260*/    OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::TABLE_SET_EXNREF), 0|OPFL_Chain|OPFL_MemRefs,
                  3/*#Ops*/, 1, 2, 3, 
              // Src: (WebAssemblyTableSet (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$table), i32:{ *:[i32] }:$idx, exnref:{ *:[exnref] }:$src) - Complexity = 9
              // Dst: (TABLE_SET_EXNREF (tglobaladdr:{ *:[i32] }):$table, i32:{ *:[i32] }:$idx, exnref:{ *:[exnref] }:$src)
/* 11268*/   0, /*End of Scope*/
/* 11269*/  /*Scope*/ 22, /*->11292*/
/* 11270*/   OPC_RecordChild1, // #1 = $table
/* 11271*/   OPC_MoveChild1,
/* 11272*/   OPC_CheckOpcode, TARGET_VAL(ISD::MCSymbol),
/* 11275*/   OPC_MoveParent,
/* 11276*/   OPC_RecordChild2, // #2 = $idx
/* 11277*/   OPC_CheckChild2TypeI32,
/* 11278*/   OPC_RecordChild3, // #3 = $r
/* 11279*/   OPC_CheckChild3Type, /*MVT::funcref*/104|128,1/*232*/, 
/* 11282*/   OPC_CheckPatternPredicate6, // (Subtarget->hasReferenceTypes())
/* 11283*/   OPC_EmitMergeInputChains1_0,
/* 11284*/   OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::TABLE_SET_FUNCREF), 0|OPFL_Chain|OPFL_MemRefs,
                 3/*#Ops*/, 1, 2, 3, 
             // Src: (WebAssemblyTableSet (mcsym:{ *:[iPTR] }):$table, i32:{ *:[i32] }:$idx, funcref:{ *:[funcref] }:$r) - Complexity = 6
             // Dst: (TABLE_SET_FUNCREF (mcsym:{ *:[i32] }):$table, i32:{ *:[i32] }:$idx, funcref:{ *:[funcref] }:$r)
/* 11292*/  0, /*End of Scope*/
/* 11293*/ /*SwitchOpcode*/ 57, TARGET_VAL(WebAssemblyISD::MEMCPY),// ->11353
/* 11296*/  OPC_RecordNode, // #0 = 'wasm_memcpy' chained node
/* 11297*/  OPC_RecordChild1, // #1 = $src_idx
/* 11298*/  OPC_MoveChild1,
/* 11299*/  OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 11302*/  OPC_CheckTypeI32,
/* 11303*/  OPC_MoveSibling2,
/* 11304*/  OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 11307*/  OPC_RecordNode, // #2 = $dst_idx
/* 11308*/  OPC_CheckTypeI32,
/* 11309*/  OPC_MoveParent,
/* 11310*/  OPC_RecordChild3, // #3 = $dst
/* 11311*/  OPC_Scope, 19, /*->11332*/ // 2 children in Scope
/* 11313*/   OPC_CheckChild3TypeI32,
/* 11314*/   OPC_RecordChild4, // #4 = $src
/* 11315*/   OPC_CheckChild4TypeI32,
/* 11316*/   OPC_RecordChild5, // #5 = $len
/* 11317*/   OPC_CheckChild5TypeI32,
/* 11318*/   OPC_CheckPatternPredicate, 12, // (Subtarget->hasBulkMemoryOpt())
/* 11320*/   OPC_EmitMergeInputChains1_0,
/* 11321*/   OPC_EmitConvertToTarget1, // #6
/* 11322*/   OPC_EmitConvertToTarget2, // #7
/* 11323*/   OPC_MorphNodeTo0Chain, TARGET_VAL(WebAssembly::MEMCPY_A32),
                 5/*#Ops*/, 6, 7, 3, 4, 5, 
             // Src: (wasm_memcpy (imm:{ *:[i32] }):$src_idx, (imm:{ *:[i32] }):$dst_idx, I32:{ *:[i32] }:$dst, I32:{ *:[i32] }:$src, I32:{ *:[i32] }:$len) - Complexity = 9
             // Dst: (MEMCPY_A32 (imm:{ *:[i32] }):$src_idx, (imm:{ *:[i32] }):$dst_idx, I32:{ *:[i32] }:$dst, I32:{ *:[i32] }:$src, I32:{ *:[i32] }:$len)
/* 11332*/  /*Scope*/ 19, /*->11352*/
/* 11333*/   OPC_CheckChild3TypeI64,
/* 11334*/   OPC_RecordChild4, // #4 = $src
/* 11335*/   OPC_CheckChild4TypeI64,
/* 11336*/   OPC_RecordChild5, // #5 = $len
/* 11337*/   OPC_CheckChild5TypeI64,
/* 11338*/   OPC_CheckPatternPredicate, 12, // (Subtarget->hasBulkMemoryOpt())
/* 11340*/   OPC_EmitMergeInputChains1_0,
/* 11341*/   OPC_EmitConvertToTarget1, // #6
/* 11342*/   OPC_EmitConvertToTarget2, // #7
/* 11343*/   OPC_MorphNodeTo0Chain, TARGET_VAL(WebAssembly::MEMCPY_A64),
                 5/*#Ops*/, 6, 7, 3, 4, 5, 
             // Src: (wasm_memcpy (imm:{ *:[i32] }):$src_idx, (imm:{ *:[i32] }):$dst_idx, I64:{ *:[i64] }:$dst, I64:{ *:[i64] }:$src, I64:{ *:[i64] }:$len) - Complexity = 9
             // Dst: (MEMCPY_A64 (imm:{ *:[i32] }):$src_idx, (imm:{ *:[i32] }):$dst_idx, I64:{ *:[i64] }:$dst, I64:{ *:[i64] }:$src, I64:{ *:[i64] }:$len)
/* 11352*/  0, /*End of Scope*/
/* 11353*/ /*SwitchOpcode*/ 119|128,9/*1271*/, TARGET_VAL(ISD::INTRINSIC_WO_CHAIN),// ->12628
/* 11357*/  OPC_Scope, 49, /*->11408*/ // 39 children in Scope
/* 11359*/   OPC_CheckChild0Integer, 12|128,81|128,1/*26764*/, 
/* 11363*/   OPC_RecordChild1, // #0 = $src
/* 11364*/   OPC_Scope, 20, /*->11386*/ // 2 children in Scope
/* 11366*/    OPC_CheckChild1Type, /*MVT::f32*/12, 
/* 11368*/    OPC_SwitchType /*2 cases */, 6, /*MVT::i32*/7, // ->11377
/* 11371*/     OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::I32_TRUNC_S_F32),
                   /*MVT::i32*/7, 1/*#Ops*/, 0, 
               // Src: (intrinsic_wo_chain:{ *:[i32] } 13382:{ *:[iPTR] }, F32:{ *:[f32] }:$src) - Complexity = 8
               // Dst: (I32_TRUNC_S_F32:{ *:[i32] } F32:{ *:[f32] }:$src)
/* 11377*/    /*SwitchType*/ 6, /*MVT::i64*/8, // ->11385
/* 11379*/     OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::I64_TRUNC_S_F32),
                   /*MVT::i64*/8, 1/*#Ops*/, 0, 
               // Src: (intrinsic_wo_chain:{ *:[i64] } 13382:{ *:[iPTR] }, F32:{ *:[f32] }:$src) - Complexity = 8
               // Dst: (I64_TRUNC_S_F32:{ *:[i64] } F32:{ *:[f32] }:$src)
/* 11385*/    0, // EndSwitchType
/* 11386*/   /*Scope*/ 20, /*->11407*/
/* 11387*/    OPC_CheckChild1Type, /*MVT::f64*/13, 
/* 11389*/    OPC_SwitchType /*2 cases */, 6, /*MVT::i32*/7, // ->11398
/* 11392*/     OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::I32_TRUNC_S_F64),
                   /*MVT::i32*/7, 1/*#Ops*/, 0, 
               // Src: (intrinsic_wo_chain:{ *:[i32] } 13382:{ *:[iPTR] }, F64:{ *:[f64] }:$src) - Complexity = 8
               // Dst: (I32_TRUNC_S_F64:{ *:[i32] } F64:{ *:[f64] }:$src)
/* 11398*/    /*SwitchType*/ 6, /*MVT::i64*/8, // ->11406
/* 11400*/     OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::I64_TRUNC_S_F64),
                   /*MVT::i64*/8, 1/*#Ops*/, 0, 
               // Src: (intrinsic_wo_chain:{ *:[i64] } 13382:{ *:[iPTR] }, F64:{ *:[f64] }:$src) - Complexity = 8
               // Dst: (I64_TRUNC_S_F64:{ *:[i64] } F64:{ *:[f64] }:$src)
/* 11406*/    0, // EndSwitchType
/* 11407*/   0, /*End of Scope*/
/* 11408*/  /*Scope*/ 49, /*->11458*/
/* 11409*/   OPC_CheckChild0Integer, 14|128,81|128,1/*26766*/, 
/* 11413*/   OPC_RecordChild1, // #0 = $src
/* 11414*/   OPC_Scope, 20, /*->11436*/ // 2 children in Scope
/* 11416*/    OPC_CheckChild1Type, /*MVT::f32*/12, 
/* 11418*/    OPC_SwitchType /*2 cases */, 6, /*MVT::i32*/7, // ->11427
/* 11421*/     OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::I32_TRUNC_U_F32),
                   /*MVT::i32*/7, 1/*#Ops*/, 0, 
               // Src: (intrinsic_wo_chain:{ *:[i32] } 13383:{ *:[iPTR] }, F32:{ *:[f32] }:$src) - Complexity = 8
               // Dst: (I32_TRUNC_U_F32:{ *:[i32] } F32:{ *:[f32] }:$src)
/* 11427*/    /*SwitchType*/ 6, /*MVT::i64*/8, // ->11435
/* 11429*/     OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::I64_TRUNC_U_F32),
                   /*MVT::i64*/8, 1/*#Ops*/, 0, 
               // Src: (intrinsic_wo_chain:{ *:[i64] } 13383:{ *:[iPTR] }, F32:{ *:[f32] }:$src) - Complexity = 8
               // Dst: (I64_TRUNC_U_F32:{ *:[i64] } F32:{ *:[f32] }:$src)
/* 11435*/    0, // EndSwitchType
/* 11436*/   /*Scope*/ 20, /*->11457*/
/* 11437*/    OPC_CheckChild1Type, /*MVT::f64*/13, 
/* 11439*/    OPC_SwitchType /*2 cases */, 6, /*MVT::i32*/7, // ->11448
/* 11442*/     OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::I32_TRUNC_U_F64),
                   /*MVT::i32*/7, 1/*#Ops*/, 0, 
               // Src: (intrinsic_wo_chain:{ *:[i32] } 13383:{ *:[iPTR] }, F64:{ *:[f64] }:$src) - Complexity = 8
               // Dst: (I32_TRUNC_U_F64:{ *:[i32] } F64:{ *:[f64] }:$src)
/* 11448*/    /*SwitchType*/ 6, /*MVT::i64*/8, // ->11456
/* 11450*/     OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::I64_TRUNC_U_F64),
                   /*MVT::i64*/8, 1/*#Ops*/, 0, 
               // Src: (intrinsic_wo_chain:{ *:[i64] } 13383:{ *:[iPTR] }, F64:{ *:[f64] }:$src) - Complexity = 8
               // Dst: (I64_TRUNC_U_F64:{ *:[i64] } F64:{ *:[f64] }:$src)
/* 11456*/    0, // EndSwitchType
/* 11457*/   0, /*End of Scope*/
/* 11458*/  /*Scope*/ 43, /*->11502*/
/* 11459*/   OPC_CheckChild0Integer, 0|128,80|128,1/*26624*/, 
/* 11463*/   OPC_RecordChild1, // #0 = $vec
/* 11464*/   OPC_Scope, 8, /*->11474*/ // 4 children in Scope
/* 11466*/    OPC_CheckChild1Type, /*MVT::v16i8*/40, 
/* 11468*/    OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::ANYTRUE),
                  /*MVT::i32*/7, 1/*#Ops*/, 0, 
              // Src: (intrinsic_wo_chain:{ *:[i32] } 13312:{ *:[iPTR] }, V128:{ *:[v16i8] }:$vec) - Complexity = 8
              // Dst: (ANYTRUE:{ *:[i32] } V128:{ *:[v16i8] }:$vec)
/* 11474*/   /*Scope*/ 8, /*->11483*/
/* 11475*/    OPC_CheckChild1Type, /*MVT::v8i16*/51, 
/* 11477*/    OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::ANYTRUE),
                  /*MVT::i32*/7, 1/*#Ops*/, 0, 
              // Src: (intrinsic_wo_chain:{ *:[i32] } 13312:{ *:[iPTR] }, V128:{ *:[v8i16] }:$vec) - Complexity = 8
              // Dst: (ANYTRUE:{ *:[i32] } V128:{ *:[v8i16] }:$vec)
/* 11483*/   /*Scope*/ 8, /*->11492*/
/* 11484*/    OPC_CheckChild1Type, /*MVT::v4i32*/62, 
/* 11486*/    OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::ANYTRUE),
                  /*MVT::i32*/7, 1/*#Ops*/, 0, 
              // Src: (intrinsic_wo_chain:{ *:[i32] } 13312:{ *:[iPTR] }, V128:{ *:[v4i32] }:$vec) - Complexity = 8
              // Dst: (ANYTRUE:{ *:[i32] } V128:{ *:[v4i32] }:$vec)
/* 11492*/   /*Scope*/ 8, /*->11501*/
/* 11493*/    OPC_CheckChild1Type, /*MVT::v2i64*/81, 
/* 11495*/    OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::ANYTRUE),
                  /*MVT::i32*/7, 1/*#Ops*/, 0, 
              // Src: (intrinsic_wo_chain:{ *:[i32] } 13312:{ *:[iPTR] }, V128:{ *:[v2i64] }:$vec) - Complexity = 8
              // Dst: (ANYTRUE:{ *:[i32] } V128:{ *:[v2i64] }:$vec)
/* 11501*/   0, /*End of Scope*/
/* 11502*/  /*Scope*/ 47, /*->11550*/
/* 11503*/   OPC_CheckChild0Integer, 126|128,79|128,1/*26622*/, 
/* 11507*/   OPC_RecordChild1, // #0 = $vec
/* 11508*/   OPC_Scope, 9, /*->11519*/ // 4 children in Scope
/* 11510*/    OPC_CheckChild1Type, /*MVT::v16i8*/40, 
/* 11512*/    OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/* 11513*/    OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::ALLTRUE_I8x16),
                  /*MVT::i32*/7, 1/*#Ops*/, 0, 
              // Src: (intrinsic_wo_chain:{ *:[i32] } 13311:{ *:[iPTR] }, V128:{ *:[v16i8] }:$vec) - Complexity = 8
              // Dst: (ALLTRUE_I8x16:{ *:[i32] } V128:{ *:[v16i8] }:$vec)
/* 11519*/   /*Scope*/ 9, /*->11529*/
/* 11520*/    OPC_CheckChild1Type, /*MVT::v8i16*/51, 
/* 11522*/    OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/* 11523*/    OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::ALLTRUE_I16x8),
                  /*MVT::i32*/7, 1/*#Ops*/, 0, 
              // Src: (intrinsic_wo_chain:{ *:[i32] } 13311:{ *:[iPTR] }, V128:{ *:[v8i16] }:$vec) - Complexity = 8
              // Dst: (ALLTRUE_I16x8:{ *:[i32] } V128:{ *:[v8i16] }:$vec)
/* 11529*/   /*Scope*/ 9, /*->11539*/
/* 11530*/    OPC_CheckChild1Type, /*MVT::v4i32*/62, 
/* 11532*/    OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/* 11533*/    OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::ALLTRUE_I32x4),
                  /*MVT::i32*/7, 1/*#Ops*/, 0, 
              // Src: (intrinsic_wo_chain:{ *:[i32] } 13311:{ *:[iPTR] }, V128:{ *:[v4i32] }:$vec) - Complexity = 8
              // Dst: (ALLTRUE_I32x4:{ *:[i32] } V128:{ *:[v4i32] }:$vec)
/* 11539*/   /*Scope*/ 9, /*->11549*/
/* 11540*/    OPC_CheckChild1Type, /*MVT::v2i64*/81, 
/* 11542*/    OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/* 11543*/    OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::ALLTRUE_I64x2),
                  /*MVT::i32*/7, 1/*#Ops*/, 0, 
              // Src: (intrinsic_wo_chain:{ *:[i32] } 13311:{ *:[iPTR] }, V128:{ *:[v2i64] }:$vec) - Complexity = 8
              // Dst: (ALLTRUE_I64x2:{ *:[i32] } V128:{ *:[v2i64] }:$vec)
/* 11549*/   0, /*End of Scope*/
/* 11550*/  /*Scope*/ 47, /*->11598*/
/* 11551*/   OPC_CheckChild0Integer, 4|128,80|128,1/*26628*/, 
/* 11555*/   OPC_RecordChild1, // #0 = $vec
/* 11556*/   OPC_Scope, 9, /*->11567*/ // 4 children in Scope
/* 11558*/    OPC_CheckChild1Type, /*MVT::v16i8*/40, 
/* 11560*/    OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/* 11561*/    OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::BITMASK_I8x16),
                  /*MVT::i32*/7, 1/*#Ops*/, 0, 
              // Src: (intrinsic_wo_chain:{ *:[i32] } 13314:{ *:[iPTR] }, V128:{ *:[v16i8] }:$vec) - Complexity = 8
              // Dst: (BITMASK_I8x16:{ *:[i32] } V128:{ *:[v16i8] }:$vec)
/* 11567*/   /*Scope*/ 9, /*->11577*/
/* 11568*/    OPC_CheckChild1Type, /*MVT::v8i16*/51, 
/* 11570*/    OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/* 11571*/    OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::BITMASK_I16x8),
                  /*MVT::i32*/7, 1/*#Ops*/, 0, 
              // Src: (intrinsic_wo_chain:{ *:[i32] } 13314:{ *:[iPTR] }, V128:{ *:[v8i16] }:$vec) - Complexity = 8
              // Dst: (BITMASK_I16x8:{ *:[i32] } V128:{ *:[v8i16] }:$vec)
/* 11577*/   /*Scope*/ 9, /*->11587*/
/* 11578*/    OPC_CheckChild1Type, /*MVT::v4i32*/62, 
/* 11580*/    OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/* 11581*/    OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::BITMASK_I32x4),
                  /*MVT::i32*/7, 1/*#Ops*/, 0, 
              // Src: (intrinsic_wo_chain:{ *:[i32] } 13314:{ *:[iPTR] }, V128:{ *:[v4i32] }:$vec) - Complexity = 8
              // Dst: (BITMASK_I32x4:{ *:[i32] } V128:{ *:[v4i32] }:$vec)
/* 11587*/   /*Scope*/ 9, /*->11597*/
/* 11588*/    OPC_CheckChild1Type, /*MVT::v2i64*/81, 
/* 11590*/    OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/* 11591*/    OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::BITMASK_I64x2),
                  /*MVT::i32*/7, 1/*#Ops*/, 0, 
              // Src: (intrinsic_wo_chain:{ *:[i32] } 13314:{ *:[iPTR] }, V128:{ *:[v2i64] }:$vec) - Complexity = 8
              // Dst: (BITMASK_I64x2:{ *:[i32] } V128:{ *:[v2i64] }:$vec)
/* 11597*/   0, /*End of Scope*/
/* 11598*/  /*Scope*/ 11, /*->11610*/
/* 11599*/   OPC_CheckChild0Integer, 58|128,80|128,1/*26682*/, 
/* 11603*/   OPC_CheckPatternPredicate6, // (Subtarget->hasReferenceTypes())
/* 11604*/   OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::REF_NULL_FUNCREF),
                 /*MVT::funcref*/104|128,1/*232*/, 0/*#Ops*/, 
             // Src: (intrinsic_wo_chain:{ *:[funcref] } 13341:{ *:[iPTR] }) - Complexity = 8
             // Dst: (REF_NULL_FUNCREF:{ *:[funcref] })
/* 11610*/  /*Scope*/ 12, /*->11623*/
/* 11611*/   OPC_CheckChild0Integer, 52|128,80|128,1/*26676*/, 
/* 11615*/   OPC_RecordChild1, // #0 = $ref
/* 11616*/   OPC_CheckPatternPredicate6, // (Subtarget->hasReferenceTypes())
/* 11617*/   OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::REF_IS_NULL_FUNCREF),
                 /*MVT::i32*/7, 1/*#Ops*/, 0, 
             // Src: (intrinsic_wo_chain:{ *:[i32] } 13338:{ *:[iPTR] }, FUNCREF:{ *:[funcref] }:$ref) - Complexity = 8
             // Dst: (REF_IS_NULL_FUNCREF:{ *:[i32] } FUNCREF:{ *:[funcref] }:$ref)
/* 11623*/  /*Scope*/ 11, /*->11635*/
/* 11624*/   OPC_CheckChild0Integer, 56|128,80|128,1/*26680*/, 
/* 11628*/   OPC_CheckPatternPredicate6, // (Subtarget->hasReferenceTypes())
/* 11629*/   OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::REF_NULL_EXTERNREF),
                 /*MVT::externref*/105|128,1/*233*/, 0/*#Ops*/, 
             // Src: (intrinsic_wo_chain:{ *:[externref] } 13340:{ *:[iPTR] }) - Complexity = 8
             // Dst: (REF_NULL_EXTERNREF:{ *:[externref] })
/* 11635*/  /*Scope*/ 12, /*->11648*/
/* 11636*/   OPC_CheckChild0Integer, 50|128,80|128,1/*26674*/, 
/* 11640*/   OPC_RecordChild1, // #0 = $ref
/* 11641*/   OPC_CheckPatternPredicate6, // (Subtarget->hasReferenceTypes())
/* 11642*/   OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::REF_IS_NULL_EXTERNREF),
                 /*MVT::i32*/7, 1/*#Ops*/, 0, 
             // Src: (intrinsic_wo_chain:{ *:[i32] } 13337:{ *:[iPTR] }, EXTERNREF:{ *:[externref] }:$ref) - Complexity = 8
             // Dst: (REF_IS_NULL_EXTERNREF:{ *:[i32] } EXTERNREF:{ *:[externref] }:$ref)
/* 11648*/  /*Scope*/ 11, /*->11660*/
/* 11649*/   OPC_CheckChild0Integer, 54|128,80|128,1/*26678*/, 
/* 11653*/   OPC_CheckPatternPredicate6, // (Subtarget->hasReferenceTypes())
/* 11654*/   OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::REF_NULL_EXNREF),
                 /*MVT::exnref*/106|128,1/*234*/, 0/*#Ops*/, 
             // Src: (intrinsic_wo_chain:{ *:[exnref] } 13339:{ *:[iPTR] }) - Complexity = 8
             // Dst: (REF_NULL_EXNREF:{ *:[exnref] })
/* 11660*/  /*Scope*/ 12, /*->11673*/
/* 11661*/   OPC_CheckChild0Integer, 48|128,80|128,1/*26672*/, 
/* 11665*/   OPC_RecordChild1, // #0 = $ref
/* 11666*/   OPC_CheckPatternPredicate6, // (Subtarget->hasReferenceTypes())
/* 11667*/   OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::REF_IS_NULL_EXNREF),
                 /*MVT::i32*/7, 1/*#Ops*/, 0, 
             // Src: (intrinsic_wo_chain:{ *:[i32] } 13336:{ *:[iPTR] }, EXNREF:{ *:[exnref] }:$ref) - Complexity = 8
             // Dst: (REF_IS_NULL_EXNREF:{ *:[i32] } EXNREF:{ *:[exnref] }:$ref)
/* 11673*/  /*Scope*/ 23, /*->11697*/
/* 11674*/   OPC_CheckChild0Integer, 16|128,80|128,1/*26640*/, 
/* 11678*/   OPC_RecordChild1, // #0 = $vec
/* 11679*/   OPC_RecordChild2, // #1 = $idx
/* 11680*/   OPC_MoveChild2,
/* 11681*/   OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 11684*/   OPC_CheckPredicate, 14, // Predicate_LaneIdx8
/* 11686*/   OPC_MoveParent,
/* 11687*/   OPC_CheckPatternPredicate, 16, // (Subtarget->hasFP16())
/* 11689*/   OPC_EmitConvertToTarget1, // #2
/* 11690*/   OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::EXTRACT_LANE_F16x8),
                 /*MVT::f32*/12, 2/*#Ops*/, 0, 2, 
             // Src: (intrinsic_wo_chain:{ *:[f32] } 13320:{ *:[iPTR] }, V128:{ *:[v8f16] }:$vec, (imm:{ *:[i32] })<<P:Predicate_LaneIdx8>>:$idx) - Complexity = 12
             // Dst: (EXTRACT_LANE_F16x8:{ *:[f32] } V128:{ *:[v8f16] }:$vec, (imm:{ *:[i32] }):$idx)
/* 11697*/  /*Scope*/ 13, /*->11711*/
/* 11698*/   OPC_CheckChild0Integer, 98|128,80|128,1/*26722*/, 
/* 11702*/   OPC_RecordChild1, // #0 = $src
/* 11703*/   OPC_RecordChild2, // #1 = $mask
/* 11704*/   OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::SWIZZLE),
                 /*MVT::v16i8*/40, 2/*#Ops*/, 0, 1, 
             // Src: (intrinsic_wo_chain:{ *:[v16i8] } 13361:{ *:[iPTR] }, V128:{ *:[v16i8] }:$src, V128:{ *:[v16i8] }:$mask) - Complexity = 8
             // Dst: (SWIZZLE:{ *:[v16i8] } ?:{ *:[v16i8] }:$src, ?:{ *:[v16i8] }:$mask)
/* 11711*/  /*Scope*/ 120, /*->11832*/
/* 11712*/   OPC_CheckChild0Integer, 6|128,80|128,1/*26630*/, 
/* 11716*/   OPC_RecordChild1, // #0 = $v1
/* 11717*/   OPC_SwitchType /*6 cases */, 16, /*MVT::v16i8*/40, // ->11736
/* 11720*/    OPC_CheckChild1Type, /*MVT::v16i8*/40, 
/* 11722*/    OPC_RecordChild2, // #1 = $v2
/* 11723*/    OPC_CheckChild2Type, /*MVT::v16i8*/40, 
/* 11725*/    OPC_RecordChild3, // #2 = $c
/* 11726*/    OPC_CheckChild3Type, /*MVT::v16i8*/40, 
/* 11728*/    OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::BITSELECT),
                  /*MVT::v16i8*/40, 3/*#Ops*/, 0, 1, 2, 
              // Src: (intrinsic_wo_chain:{ *:[v16i8] } 13315:{ *:[iPTR] }, V128:{ *:[v16i8] }:$v1, V128:{ *:[v16i8] }:$v2, V128:{ *:[v16i8] }:$c) - Complexity = 8
              // Dst: (BITSELECT:{ *:[v16i8] } ?:{ *:[v16i8] }:$v1, ?:{ *:[v16i8] }:$v2, ?:{ *:[v16i8] }:$c)
/* 11736*/   /*SwitchType*/ 16, /*MVT::v8i16*/51, // ->11754
/* 11738*/    OPC_CheckChild1Type, /*MVT::v8i16*/51, 
/* 11740*/    OPC_RecordChild2, // #1 = $v2
/* 11741*/    OPC_CheckChild2Type, /*MVT::v8i16*/51, 
/* 11743*/    OPC_RecordChild3, // #2 = $c
/* 11744*/    OPC_CheckChild3Type, /*MVT::v8i16*/51, 
/* 11746*/    OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::BITSELECT),
                  /*MVT::v8i16*/51, 3/*#Ops*/, 0, 1, 2, 
              // Src: (intrinsic_wo_chain:{ *:[v8i16] } 13315:{ *:[iPTR] }, V128:{ *:[v8i16] }:$v1, V128:{ *:[v8i16] }:$v2, V128:{ *:[v8i16] }:$c) - Complexity = 8
              // Dst: (BITSELECT:{ *:[v8i16] } ?:{ *:[v8i16] }:$v1, ?:{ *:[v8i16] }:$v2, ?:{ *:[v8i16] }:$c)
/* 11754*/   /*SwitchType*/ 16, /*MVT::v4i32*/62, // ->11772
/* 11756*/    OPC_CheckChild1Type, /*MVT::v4i32*/62, 
/* 11758*/    OPC_RecordChild2, // #1 = $v2
/* 11759*/    OPC_CheckChild2Type, /*MVT::v4i32*/62, 
/* 11761*/    OPC_RecordChild3, // #2 = $c
/* 11762*/    OPC_CheckChild3Type, /*MVT::v4i32*/62, 
/* 11764*/    OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::BITSELECT),
                  /*MVT::v4i32*/62, 3/*#Ops*/, 0, 1, 2, 
              // Src: (intrinsic_wo_chain:{ *:[v4i32] } 13315:{ *:[iPTR] }, V128:{ *:[v4i32] }:$v1, V128:{ *:[v4i32] }:$v2, V128:{ *:[v4i32] }:$c) - Complexity = 8
              // Dst: (BITSELECT:{ *:[v4i32] } ?:{ *:[v4i32] }:$v1, ?:{ *:[v4i32] }:$v2, ?:{ *:[v4i32] }:$c)
/* 11772*/   /*SwitchType*/ 16, /*MVT::v2i64*/81, // ->11790
/* 11774*/    OPC_CheckChild1Type, /*MVT::v2i64*/81, 
/* 11776*/    OPC_RecordChild2, // #1 = $v2
/* 11777*/    OPC_CheckChild2Type, /*MVT::v2i64*/81, 
/* 11779*/    OPC_RecordChild3, // #2 = $c
/* 11780*/    OPC_CheckChild3Type, /*MVT::v2i64*/81, 
/* 11782*/    OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::BITSELECT),
                  /*MVT::v2i64*/81, 3/*#Ops*/, 0, 1, 2, 
              // Src: (intrinsic_wo_chain:{ *:[v2i64] } 13315:{ *:[iPTR] }, V128:{ *:[v2i64] }:$v1, V128:{ *:[v2i64] }:$v2, V128:{ *:[v2i64] }:$c) - Complexity = 8
              // Dst: (BITSELECT:{ *:[v2i64] } ?:{ *:[v2i64] }:$v1, ?:{ *:[v2i64] }:$v2, ?:{ *:[v2i64] }:$c)
/* 11790*/   /*SwitchType*/ 16, /*MVT::v4f32*/116, // ->11808
/* 11792*/    OPC_CheckChild1Type, /*MVT::v4f32*/116, 
/* 11794*/    OPC_RecordChild2, // #1 = $v2
/* 11795*/    OPC_CheckChild2Type, /*MVT::v4f32*/116, 
/* 11797*/    OPC_RecordChild3, // #2 = $c
/* 11798*/    OPC_CheckChild3Type, /*MVT::v4f32*/116, 
/* 11800*/    OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::BITSELECT),
                  /*MVT::v4f32*/116, 3/*#Ops*/, 0, 1, 2, 
              // Src: (intrinsic_wo_chain:{ *:[v4f32] } 13315:{ *:[iPTR] }, V128:{ *:[v4f32] }:$v1, V128:{ *:[v4f32] }:$v2, V128:{ *:[v4f32] }:$c) - Complexity = 8
              // Dst: (BITSELECT:{ *:[v4f32] } ?:{ *:[v4f32] }:$v1, ?:{ *:[v4f32] }:$v2, ?:{ *:[v4f32] }:$c)
/* 11808*/   /*SwitchType*/ 20, /*MVT::v2f64*/6|128,1/*134*/, // ->11831
/* 11811*/    OPC_CheckChild1Type, /*MVT::v2f64*/6|128,1/*134*/, 
/* 11814*/    OPC_RecordChild2, // #1 = $v2
/* 11815*/    OPC_CheckChild2Type, /*MVT::v2f64*/6|128,1/*134*/, 
/* 11818*/    OPC_RecordChild3, // #2 = $c
/* 11819*/    OPC_CheckChild3Type, /*MVT::v2f64*/6|128,1/*134*/, 
/* 11822*/    OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::BITSELECT),
                  /*MVT::v2f64*/6|128,1/*134*/, 3/*#Ops*/, 0, 1, 2, 
              // Src: (intrinsic_wo_chain:{ *:[v2f64] } 13315:{ *:[iPTR] }, V128:{ *:[v2f64] }:$v1, V128:{ *:[v2f64] }:$v2, V128:{ *:[v2f64] }:$c) - Complexity = 8
              // Dst: (BITSELECT:{ *:[v2f64] } ?:{ *:[v2f64] }:$v1, ?:{ *:[v2f64] }:$v2, ?:{ *:[v2f64] }:$c)
/* 11831*/   0, // EndSwitchType
/* 11832*/  /*Scope*/ 37, /*->11870*/
/* 11833*/   OPC_CheckChild0Integer, 2|128,80|128,1/*26626*/, 
/* 11837*/   OPC_RecordChild1, // #0 = $lhs
/* 11838*/   OPC_SwitchType /*2 cases */, 13, /*MVT::v16i8*/40, // ->11854
/* 11841*/    OPC_CheckChild1Type, /*MVT::v16i8*/40, 
/* 11843*/    OPC_RecordChild2, // #1 = $rhs
/* 11844*/    OPC_CheckChild2Type, /*MVT::v16i8*/40, 
/* 11846*/    OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/* 11847*/    OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::AVGR_U_I8x16),
                  /*MVT::v16i8*/40, 2/*#Ops*/, 0, 1, 
              // Src: (intrinsic_wo_chain:{ *:[v16i8] } 13313:{ *:[iPTR] }, V128:{ *:[v16i8] }:$lhs, V128:{ *:[v16i8] }:$rhs) - Complexity = 8
              // Dst: (AVGR_U_I8x16:{ *:[v16i8] } V128:{ *:[v16i8] }:$lhs, V128:{ *:[v16i8] }:$rhs)
/* 11854*/   /*SwitchType*/ 13, /*MVT::v8i16*/51, // ->11869
/* 11856*/    OPC_CheckChild1Type, /*MVT::v8i16*/51, 
/* 11858*/    OPC_RecordChild2, // #1 = $rhs
/* 11859*/    OPC_CheckChild2Type, /*MVT::v8i16*/51, 
/* 11861*/    OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/* 11862*/    OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::AVGR_U_I16x8),
                  /*MVT::v8i16*/51, 2/*#Ops*/, 0, 1, 
              // Src: (intrinsic_wo_chain:{ *:[v8i16] } 13313:{ *:[iPTR] }, V128:{ *:[v8i16] }:$lhs, V128:{ *:[v8i16] }:$rhs) - Complexity = 8
              // Dst: (AVGR_U_I16x8:{ *:[v8i16] } V128:{ *:[v8i16] }:$lhs, V128:{ *:[v8i16] }:$rhs)
/* 11869*/   0, // EndSwitchType
/* 11870*/  /*Scope*/ 14, /*->11885*/
/* 11871*/   OPC_CheckChild0Integer, 10|128,80|128,1/*26634*/, 
/* 11875*/   OPC_RecordChild1, // #0 = $lhs
/* 11876*/   OPC_RecordChild2, // #1 = $rhs
/* 11877*/   OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/* 11878*/   OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::DOT),
                 /*MVT::v4i32*/62, 2/*#Ops*/, 0, 1, 
             // Src: (intrinsic_wo_chain:{ *:[v4i32] } 13317:{ *:[iPTR] }, V128:{ *:[v8i16] }:$lhs, V128:{ *:[v8i16] }:$rhs) - Complexity = 8
             // Dst: (DOT:{ *:[v4i32] } V128:{ *:[v8i16] }:$lhs, V128:{ *:[v8i16] }:$rhs)
/* 11885*/  /*Scope*/ 37, /*->11923*/
/* 11886*/   OPC_CheckChild0Integer, 38|128,80|128,1/*26662*/, 
/* 11890*/   OPC_RecordChild1, // #0 = $low
/* 11891*/   OPC_SwitchType /*2 cases */, 13, /*MVT::v16i8*/40, // ->11907
/* 11894*/    OPC_CheckChild1Type, /*MVT::v8i16*/51, 
/* 11896*/    OPC_RecordChild2, // #1 = $high
/* 11897*/    OPC_CheckChild2Type, /*MVT::v8i16*/51, 
/* 11899*/    OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/* 11900*/    OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::NARROW_S_I8x16),
                  /*MVT::v16i8*/40, 2/*#Ops*/, 0, 1, 
              // Src: (intrinsic_wo_chain:{ *:[v16i8] } 13331:{ *:[iPTR] }, V128:{ *:[v8i16] }:$low, V128:{ *:[v8i16] }:$high) - Complexity = 8
              // Dst: (NARROW_S_I8x16:{ *:[v16i8] } V128:{ *:[v8i16] }:$low, V128:{ *:[v8i16] }:$high)
/* 11907*/   /*SwitchType*/ 13, /*MVT::v8i16*/51, // ->11922
/* 11909*/    OPC_CheckChild1Type, /*MVT::v4i32*/62, 
/* 11911*/    OPC_RecordChild2, // #1 = $high
/* 11912*/    OPC_CheckChild2Type, /*MVT::v4i32*/62, 
/* 11914*/    OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/* 11915*/    OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::NARROW_S_I16x8),
                  /*MVT::v8i16*/51, 2/*#Ops*/, 0, 1, 
              // Src: (intrinsic_wo_chain:{ *:[v8i16] } 13331:{ *:[iPTR] }, V128:{ *:[v4i32] }:$low, V128:{ *:[v4i32] }:$high) - Complexity = 8
              // Dst: (NARROW_S_I16x8:{ *:[v8i16] } V128:{ *:[v4i32] }:$low, V128:{ *:[v4i32] }:$high)
/* 11922*/   0, // EndSwitchType
/* 11923*/  /*Scope*/ 37, /*->11961*/
/* 11924*/   OPC_CheckChild0Integer, 40|128,80|128,1/*26664*/, 
/* 11928*/   OPC_RecordChild1, // #0 = $low
/* 11929*/   OPC_SwitchType /*2 cases */, 13, /*MVT::v16i8*/40, // ->11945
/* 11932*/    OPC_CheckChild1Type, /*MVT::v8i16*/51, 
/* 11934*/    OPC_RecordChild2, // #1 = $high
/* 11935*/    OPC_CheckChild2Type, /*MVT::v8i16*/51, 
/* 11937*/    OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/* 11938*/    OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::NARROW_U_I8x16),
                  /*MVT::v16i8*/40, 2/*#Ops*/, 0, 1, 
              // Src: (intrinsic_wo_chain:{ *:[v16i8] } 13332:{ *:[iPTR] }, V128:{ *:[v8i16] }:$low, V128:{ *:[v8i16] }:$high) - Complexity = 8
              // Dst: (NARROW_U_I8x16:{ *:[v16i8] } V128:{ *:[v8i16] }:$low, V128:{ *:[v8i16] }:$high)
/* 11945*/   /*SwitchType*/ 13, /*MVT::v8i16*/51, // ->11960
/* 11947*/    OPC_CheckChild1Type, /*MVT::v4i32*/62, 
/* 11949*/    OPC_RecordChild2, // #1 = $high
/* 11950*/    OPC_CheckChild2Type, /*MVT::v4i32*/62, 
/* 11952*/    OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/* 11953*/    OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::NARROW_U_I16x8),
                  /*MVT::v8i16*/51, 2/*#Ops*/, 0, 1, 
              // Src: (intrinsic_wo_chain:{ *:[v8i16] } 13332:{ *:[iPTR] }, V128:{ *:[v4i32] }:$low, V128:{ *:[v4i32] }:$high) - Complexity = 8
              // Dst: (NARROW_U_I16x8:{ *:[v8i16] } V128:{ *:[v4i32] }:$low, V128:{ *:[v4i32] }:$high)
/* 11960*/   0, // EndSwitchType
/* 11961*/  /*Scope*/ 29, /*->11991*/
/* 11962*/   OPC_CheckChild0Integer, 12|128,80|128,1/*26636*/, 
/* 11966*/   OPC_RecordChild1, // #0 = $vec
/* 11967*/   OPC_SwitchType /*2 cases */, 9, /*MVT::v8i16*/51, // ->11979
/* 11970*/    OPC_CheckChild1Type, /*MVT::v16i8*/40, 
/* 11972*/    OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/* 11973*/    OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::int_wasm_extadd_pairwise_signed_I16x8),
                  /*MVT::v8i16*/51, 1/*#Ops*/, 0, 
              // Src: (intrinsic_wo_chain:{ *:[v8i16] } 13318:{ *:[iPTR] }, V128:{ *:[v16i8] }:$vec) - Complexity = 8
              // Dst: (int_wasm_extadd_pairwise_signed_I16x8:{ *:[v8i16] } V128:{ *:[v16i8] }:$vec)
/* 11979*/   /*SwitchType*/ 9, /*MVT::v4i32*/62, // ->11990
/* 11981*/    OPC_CheckChild1Type, /*MVT::v8i16*/51, 
/* 11983*/    OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/* 11984*/    OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::int_wasm_extadd_pairwise_signed_I32x4),
                  /*MVT::v4i32*/62, 1/*#Ops*/, 0, 
              // Src: (intrinsic_wo_chain:{ *:[v4i32] } 13318:{ *:[iPTR] }, V128:{ *:[v8i16] }:$vec) - Complexity = 8
              // Dst: (int_wasm_extadd_pairwise_signed_I32x4:{ *:[v4i32] } V128:{ *:[v8i16] }:$vec)
/* 11990*/   0, // EndSwitchType
/* 11991*/  /*Scope*/ 29, /*->12021*/
/* 11992*/   OPC_CheckChild0Integer, 14|128,80|128,1/*26638*/, 
/* 11996*/   OPC_RecordChild1, // #0 = $vec
/* 11997*/   OPC_SwitchType /*2 cases */, 9, /*MVT::v8i16*/51, // ->12009
/* 12000*/    OPC_CheckChild1Type, /*MVT::v16i8*/40, 
/* 12002*/    OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/* 12003*/    OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::int_wasm_extadd_pairwise_unsigned_I16x8),
                  /*MVT::v8i16*/51, 1/*#Ops*/, 0, 
              // Src: (intrinsic_wo_chain:{ *:[v8i16] } 13319:{ *:[iPTR] }, V128:{ *:[v16i8] }:$vec) - Complexity = 8
              // Dst: (int_wasm_extadd_pairwise_unsigned_I16x8:{ *:[v8i16] } V128:{ *:[v16i8] }:$vec)
/* 12009*/   /*SwitchType*/ 9, /*MVT::v4i32*/62, // ->12020
/* 12011*/    OPC_CheckChild1Type, /*MVT::v8i16*/51, 
/* 12013*/    OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/* 12014*/    OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::int_wasm_extadd_pairwise_unsigned_I32x4),
                  /*MVT::v4i32*/62, 1/*#Ops*/, 0, 
              // Src: (intrinsic_wo_chain:{ *:[v4i32] } 13319:{ *:[iPTR] }, V128:{ *:[v8i16] }:$vec) - Complexity = 8
              // Dst: (int_wasm_extadd_pairwise_unsigned_I32x4:{ *:[v4i32] } V128:{ *:[v8i16] }:$vec)
/* 12020*/   0, // EndSwitchType
/* 12021*/  /*Scope*/ 14, /*->12036*/
/* 12022*/   OPC_CheckChild0Integer, 46|128,80|128,1/*26670*/, 
/* 12026*/   OPC_RecordChild1, // #0 = $lhs
/* 12027*/   OPC_RecordChild2, // #1 = $rhs
/* 12028*/   OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/* 12029*/   OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::Q15MULR_SAT_S_I16x8),
                 /*MVT::v8i16*/51, 2/*#Ops*/, 0, 1, 
             // Src: (intrinsic_wo_chain:{ *:[v8i16] } 13335:{ *:[iPTR] }, V128:{ *:[v8i16] }:$lhs, V128:{ *:[v8i16] }:$rhs) - Complexity = 8
             // Dst: (Q15MULR_SAT_S_I16x8:{ *:[v8i16] } V128:{ *:[v8i16] }:$lhs, V128:{ *:[v8i16] }:$rhs)
/* 12036*/  /*Scope*/ 14, /*->12051*/
/* 12037*/   OPC_CheckChild0Integer, 78|128,80|128,1/*26702*/, 
/* 12041*/   OPC_RecordChild1, // #0 = $src
/* 12042*/   OPC_RecordChild2, // #1 = $mask
/* 12043*/   OPC_CheckPatternPredicate7, // (Subtarget->hasRelaxedSIMD())
/* 12044*/   OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::RELAXED_SWIZZLE),
                 /*MVT::v16i8*/40, 2/*#Ops*/, 0, 1, 
             // Src: (intrinsic_wo_chain:{ *:[v16i8] } 13351:{ *:[iPTR] }, V128:{ *:[v16i8] }:$src, V128:{ *:[v16i8] }:$mask) - Complexity = 8
             // Dst: (RELAXED_SWIZZLE:{ *:[v16i8] } V128:{ *:[v16i8] }:$src, V128:{ *:[v16i8] }:$mask)
/* 12051*/  /*Scope*/ 12, /*->12064*/
/* 12052*/   OPC_CheckChild0Integer, 80|128,80|128,1/*26704*/, 
/* 12056*/   OPC_RecordChild1, // #0 = $vec
/* 12057*/   OPC_CheckPatternPredicate7, // (Subtarget->hasRelaxedSIMD())
/* 12058*/   OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::int_wasm_relaxed_trunc_signed_I32x4),
                 /*MVT::v4i32*/62, 1/*#Ops*/, 0, 
             // Src: (intrinsic_wo_chain:{ *:[v4i32] } 13352:{ *:[iPTR] }, V128:{ *:[v4f32] }:$vec) - Complexity = 8
             // Dst: (int_wasm_relaxed_trunc_signed_I32x4:{ *:[v4i32] } V128:{ *:[v4f32] }:$vec)
/* 12064*/  /*Scope*/ 12, /*->12077*/
/* 12065*/   OPC_CheckChild0Integer, 84|128,80|128,1/*26708*/, 
/* 12069*/   OPC_RecordChild1, // #0 = $vec
/* 12070*/   OPC_CheckPatternPredicate7, // (Subtarget->hasRelaxedSIMD())
/* 12071*/   OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::int_wasm_relaxed_trunc_unsigned_I32x4),
                 /*MVT::v4i32*/62, 1/*#Ops*/, 0, 
             // Src: (intrinsic_wo_chain:{ *:[v4i32] } 13354:{ *:[iPTR] }, V128:{ *:[v4f32] }:$vec) - Complexity = 8
             // Dst: (int_wasm_relaxed_trunc_unsigned_I32x4:{ *:[v4i32] } V128:{ *:[v4f32] }:$vec)
/* 12077*/  /*Scope*/ 12, /*->12090*/
/* 12078*/   OPC_CheckChild0Integer, 82|128,80|128,1/*26706*/, 
/* 12082*/   OPC_RecordChild1, // #0 = $vec
/* 12083*/   OPC_CheckPatternPredicate7, // (Subtarget->hasRelaxedSIMD())
/* 12084*/   OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::int_wasm_relaxed_trunc_signed_zero_I32x4),
                 /*MVT::v4i32*/62, 1/*#Ops*/, 0, 
             // Src: (intrinsic_wo_chain:{ *:[v4i32] } 13353:{ *:[iPTR] }, V128:{ *:[v2f64] }:$vec) - Complexity = 8
             // Dst: (int_wasm_relaxed_trunc_signed_zero_I32x4:{ *:[v4i32] } V128:{ *:[v2f64] }:$vec)
/* 12090*/  /*Scope*/ 12, /*->12103*/
/* 12091*/   OPC_CheckChild0Integer, 86|128,80|128,1/*26710*/, 
/* 12095*/   OPC_RecordChild1, // #0 = $vec
/* 12096*/   OPC_CheckPatternPredicate7, // (Subtarget->hasRelaxedSIMD())
/* 12097*/   OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::int_wasm_relaxed_trunc_unsigned_zero_I32x4),
                 /*MVT::v4i32*/62, 1/*#Ops*/, 0, 
             // Src: (intrinsic_wo_chain:{ *:[v4i32] } 13355:{ *:[iPTR] }, V128:{ *:[v2f64] }:$vec) - Complexity = 8
             // Dst: (int_wasm_relaxed_trunc_unsigned_zero_I32x4:{ *:[v4i32] } V128:{ *:[v2f64] }:$vec)
/* 12103*/  /*Scope*/ 83, /*->12187*/
/* 12104*/   OPC_CheckChild0Integer, 66|128,80|128,1/*26690*/, 
/* 12108*/   OPC_RecordChild1, // #0 = $a
/* 12109*/   OPC_SwitchType /*4 cases */, 17, /*MVT::v16i8*/40, // ->12129
/* 12112*/    OPC_CheckChild1Type, /*MVT::v16i8*/40, 
/* 12114*/    OPC_RecordChild2, // #1 = $b
/* 12115*/    OPC_CheckChild2Type, /*MVT::v16i8*/40, 
/* 12117*/    OPC_RecordChild3, // #2 = $c
/* 12118*/    OPC_CheckChild3Type, /*MVT::v16i8*/40, 
/* 12120*/    OPC_CheckPatternPredicate7, // (Subtarget->hasRelaxedSIMD())
/* 12121*/    OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::LANESELECT_I8x16),
                  /*MVT::v16i8*/40, 3/*#Ops*/, 0, 1, 2, 
              // Src: (intrinsic_wo_chain:{ *:[v16i8] } 13345:{ *:[iPTR] }, V128:{ *:[v16i8] }:$a, V128:{ *:[v16i8] }:$b, V128:{ *:[v16i8] }:$c) - Complexity = 8
              // Dst: (LANESELECT_I8x16:{ *:[v16i8] } V128:{ *:[v16i8] }:$a, V128:{ *:[v16i8] }:$b, V128:{ *:[v16i8] }:$c)
/* 12129*/   /*SwitchType*/ 17, /*MVT::v8i16*/51, // ->12148
/* 12131*/    OPC_CheckChild1Type, /*MVT::v8i16*/51, 
/* 12133*/    OPC_RecordChild2, // #1 = $b
/* 12134*/    OPC_CheckChild2Type, /*MVT::v8i16*/51, 
/* 12136*/    OPC_RecordChild3, // #2 = $c
/* 12137*/    OPC_CheckChild3Type, /*MVT::v8i16*/51, 
/* 12139*/    OPC_CheckPatternPredicate7, // (Subtarget->hasRelaxedSIMD())
/* 12140*/    OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::LANESELECT_I16x8),
                  /*MVT::v8i16*/51, 3/*#Ops*/, 0, 1, 2, 
              // Src: (intrinsic_wo_chain:{ *:[v8i16] } 13345:{ *:[iPTR] }, V128:{ *:[v8i16] }:$a, V128:{ *:[v8i16] }:$b, V128:{ *:[v8i16] }:$c) - Complexity = 8
              // Dst: (LANESELECT_I16x8:{ *:[v8i16] } V128:{ *:[v8i16] }:$a, V128:{ *:[v8i16] }:$b, V128:{ *:[v8i16] }:$c)
/* 12148*/   /*SwitchType*/ 17, /*MVT::v4i32*/62, // ->12167
/* 12150*/    OPC_CheckChild1Type, /*MVT::v4i32*/62, 
/* 12152*/    OPC_RecordChild2, // #1 = $b
/* 12153*/    OPC_CheckChild2Type, /*MVT::v4i32*/62, 
/* 12155*/    OPC_RecordChild3, // #2 = $c
/* 12156*/    OPC_CheckChild3Type, /*MVT::v4i32*/62, 
/* 12158*/    OPC_CheckPatternPredicate7, // (Subtarget->hasRelaxedSIMD())
/* 12159*/    OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::LANESELECT_I32x4),
                  /*MVT::v4i32*/62, 3/*#Ops*/, 0, 1, 2, 
              // Src: (intrinsic_wo_chain:{ *:[v4i32] } 13345:{ *:[iPTR] }, V128:{ *:[v4i32] }:$a, V128:{ *:[v4i32] }:$b, V128:{ *:[v4i32] }:$c) - Complexity = 8
              // Dst: (LANESELECT_I32x4:{ *:[v4i32] } V128:{ *:[v4i32] }:$a, V128:{ *:[v4i32] }:$b, V128:{ *:[v4i32] }:$c)
/* 12167*/   /*SwitchType*/ 17, /*MVT::v2i64*/81, // ->12186
/* 12169*/    OPC_CheckChild1Type, /*MVT::v2i64*/81, 
/* 12171*/    OPC_RecordChild2, // #1 = $b
/* 12172*/    OPC_CheckChild2Type, /*MVT::v2i64*/81, 
/* 12174*/    OPC_RecordChild3, // #2 = $c
/* 12175*/    OPC_CheckChild3Type, /*MVT::v2i64*/81, 
/* 12177*/    OPC_CheckPatternPredicate7, // (Subtarget->hasRelaxedSIMD())
/* 12178*/    OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::LANESELECT_I64x2),
                  /*MVT::v2i64*/81, 3/*#Ops*/, 0, 1, 2, 
              // Src: (intrinsic_wo_chain:{ *:[v2i64] } 13345:{ *:[iPTR] }, V128:{ *:[v2i64] }:$a, V128:{ *:[v2i64] }:$b, V128:{ *:[v2i64] }:$c) - Complexity = 8
              // Dst: (LANESELECT_I64x2:{ *:[v2i64] } V128:{ *:[v2i64] }:$a, V128:{ *:[v2i64] }:$b, V128:{ *:[v2i64] }:$c)
/* 12186*/   0, // EndSwitchType
/* 12187*/  /*Scope*/ 14, /*->12202*/
/* 12188*/   OPC_CheckChild0Integer, 76|128,80|128,1/*26700*/, 
/* 12192*/   OPC_RecordChild1, // #0 = $lhs
/* 12193*/   OPC_RecordChild2, // #1 = $rhs
/* 12194*/   OPC_CheckPatternPredicate7, // (Subtarget->hasRelaxedSIMD())
/* 12195*/   OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::RELAXED_Q15MULR_S_I16x8),
                 /*MVT::v8i16*/51, 2/*#Ops*/, 0, 1, 
             // Src: (intrinsic_wo_chain:{ *:[v8i16] } 13350:{ *:[iPTR] }, V128:{ *:[v8i16] }:$lhs, V128:{ *:[v8i16] }:$rhs) - Complexity = 8
             // Dst: (RELAXED_Q15MULR_S_I16x8:{ *:[v8i16] } V128:{ *:[v8i16] }:$lhs, V128:{ *:[v8i16] }:$rhs)
/* 12202*/  /*Scope*/ 14, /*->12217*/
/* 12203*/   OPC_CheckChild0Integer, 64|128,80|128,1/*26688*/, 
/* 12207*/   OPC_RecordChild1, // #0 = $lhs
/* 12208*/   OPC_RecordChild2, // #1 = $rhs
/* 12209*/   OPC_CheckPatternPredicate7, // (Subtarget->hasRelaxedSIMD())
/* 12210*/   OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::RELAXED_DOT),
                 /*MVT::v8i16*/51, 2/*#Ops*/, 0, 1, 
             // Src: (intrinsic_wo_chain:{ *:[v8i16] } 13344:{ *:[iPTR] }, V128:{ *:[v16i8] }:$lhs, V128:{ *:[v16i8] }:$rhs) - Complexity = 8
             // Dst: (RELAXED_DOT:{ *:[v8i16] } V128:{ *:[v16i8] }:$lhs, V128:{ *:[v16i8] }:$rhs)
/* 12217*/  /*Scope*/ 16, /*->12234*/
/* 12218*/   OPC_CheckChild0Integer, 62|128,80|128,1/*26686*/, 
/* 12222*/   OPC_RecordChild1, // #0 = $lhs
/* 12223*/   OPC_RecordChild2, // #1 = $rhs
/* 12224*/   OPC_RecordChild3, // #2 = $acc
/* 12225*/   OPC_CheckPatternPredicate7, // (Subtarget->hasRelaxedSIMD())
/* 12226*/   OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::RELAXED_DOT_ADD),
                 /*MVT::v4i32*/62, 3/*#Ops*/, 0, 1, 2, 
             // Src: (intrinsic_wo_chain:{ *:[v4i32] } 13343:{ *:[iPTR] }, V128:{ *:[v16i8] }:$lhs, V128:{ *:[v16i8] }:$rhs, V128:{ *:[v4i32] }:$acc) - Complexity = 8
             // Dst: (RELAXED_DOT_ADD:{ *:[v4i32] } V128:{ *:[v16i8] }:$lhs, V128:{ *:[v16i8] }:$rhs, V128:{ *:[v4i32] }:$acc)
/* 12234*/  /*Scope*/ 25, /*->12260*/
/* 12235*/   OPC_CheckChild0Integer, 88|128,80|128,1/*26712*/, 
/* 12239*/   OPC_RecordChild1, // #0 = $vec
/* 12240*/   OPC_RecordChild2, // #1 = $idx
/* 12241*/   OPC_MoveChild2,
/* 12242*/   OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 12245*/   OPC_CheckPredicate, 14, // Predicate_LaneIdx8
/* 12247*/   OPC_MoveParent,
/* 12248*/   OPC_RecordChild3, // #2 = $x
/* 12249*/   OPC_CheckPatternPredicate, 16, // (Subtarget->hasFP16())
/* 12251*/   OPC_EmitConvertToTarget1, // #3
/* 12252*/   OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::REPLACE_LANE_F16x8),
                 /*MVT::v8f16*/95, 3/*#Ops*/, 0, 3, 2, 
             // Src: (intrinsic_wo_chain:{ *:[v8f16] } 13356:{ *:[iPTR] }, V128:{ *:[v8f16] }:$vec, (imm:{ *:[i32] })<<P:Predicate_LaneIdx8>>:$idx, F32:{ *:[f32] }:$x) - Complexity = 12
             // Dst: (REPLACE_LANE_F16x8:{ *:[v8f16] } V128:{ *:[v8f16] }:$vec, (imm:{ *:[i32] }):$idx, F32:{ *:[f32] }:$x)
/* 12260*/  /*Scope*/ 13, /*->12274*/
/* 12261*/   OPC_CheckChild0Integer, 94|128,80|128,1/*26718*/, 
/* 12265*/   OPC_RecordChild1, // #0 = $x
/* 12266*/   OPC_CheckPatternPredicate, 16, // (Subtarget->hasFP16())
/* 12268*/   OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::SPLAT_F16x8),
                 /*MVT::v8f16*/95, 1/*#Ops*/, 0, 
             // Src: (intrinsic_wo_chain:{ *:[v8f16] } 13359:{ *:[iPTR] }, F32:{ *:[f32] }:$x) - Complexity = 8
             // Dst: (SPLAT_F16x8:{ *:[v8f16] } F32:{ *:[f32] }:$x)
/* 12274*/  /*Scope*/ 53, /*->12328*/
/* 12275*/   OPC_CheckChild0Integer, 44|128,80|128,1/*26668*/, 
/* 12279*/   OPC_RecordChild1, // #0 = $lhs
/* 12280*/   OPC_SwitchType /*3 cases */, 12, /*MVT::v4f32*/116, // ->12295
/* 12283*/    OPC_CheckChild1Type, /*MVT::v4f32*/116, 
/* 12285*/    OPC_RecordChild2, // #1 = $rhs
/* 12286*/    OPC_CheckChild2Type, /*MVT::v4f32*/116, 
/* 12288*/    OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::PMIN_F32x4),
                  /*MVT::v4f32*/116, 2/*#Ops*/, 0, 1, 
              // Src: (intrinsic_wo_chain:{ *:[v4f32] } 13334:{ *:[iPTR] }, V128:{ *:[v4f32] }:$lhs, V128:{ *:[v4f32] }:$rhs) - Complexity = 8
              // Dst: (PMIN_F32x4:{ *:[v4f32] } V128:{ *:[v4f32] }:$lhs, V128:{ *:[v4f32] }:$rhs)
/* 12295*/   /*SwitchType*/ 15, /*MVT::v2f64*/6|128,1/*134*/, // ->12313
/* 12298*/    OPC_CheckChild1Type, /*MVT::v2f64*/6|128,1/*134*/, 
/* 12301*/    OPC_RecordChild2, // #1 = $rhs
/* 12302*/    OPC_CheckChild2Type, /*MVT::v2f64*/6|128,1/*134*/, 
/* 12305*/    OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::PMIN_F64x2),
                  /*MVT::v2f64*/6|128,1/*134*/, 2/*#Ops*/, 0, 1, 
              // Src: (intrinsic_wo_chain:{ *:[v2f64] } 13334:{ *:[iPTR] }, V128:{ *:[v2f64] }:$lhs, V128:{ *:[v2f64] }:$rhs) - Complexity = 8
              // Dst: (PMIN_F64x2:{ *:[v2f64] } V128:{ *:[v2f64] }:$lhs, V128:{ *:[v2f64] }:$rhs)
/* 12313*/   /*SwitchType*/ 12, /*MVT::v8f16*/95, // ->12327
/* 12315*/    OPC_CheckChild1Type, /*MVT::v8f16*/95, 
/* 12317*/    OPC_RecordChild2, // #1 = $rhs
/* 12318*/    OPC_CheckChild2Type, /*MVT::v8f16*/95, 
/* 12320*/    OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::PMIN_F16x8),
                  /*MVT::v8f16*/95, 2/*#Ops*/, 0, 1, 
              // Src: (intrinsic_wo_chain:{ *:[v8f16] } 13334:{ *:[iPTR] }, V128:{ *:[v8f16] }:$lhs, V128:{ *:[v8f16] }:$rhs) - Complexity = 8
              // Dst: (PMIN_F16x8:{ *:[v8f16] } V128:{ *:[v8f16] }:$lhs, V128:{ *:[v8f16] }:$rhs)
/* 12327*/   0, // EndSwitchType
/* 12328*/  /*Scope*/ 53, /*->12382*/
/* 12329*/   OPC_CheckChild0Integer, 42|128,80|128,1/*26666*/, 
/* 12333*/   OPC_RecordChild1, // #0 = $lhs
/* 12334*/   OPC_SwitchType /*3 cases */, 12, /*MVT::v4f32*/116, // ->12349
/* 12337*/    OPC_CheckChild1Type, /*MVT::v4f32*/116, 
/* 12339*/    OPC_RecordChild2, // #1 = $rhs
/* 12340*/    OPC_CheckChild2Type, /*MVT::v4f32*/116, 
/* 12342*/    OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::PMAX_F32x4),
                  /*MVT::v4f32*/116, 2/*#Ops*/, 0, 1, 
              // Src: (intrinsic_wo_chain:{ *:[v4f32] } 13333:{ *:[iPTR] }, V128:{ *:[v4f32] }:$lhs, V128:{ *:[v4f32] }:$rhs) - Complexity = 8
              // Dst: (PMAX_F32x4:{ *:[v4f32] } V128:{ *:[v4f32] }:$lhs, V128:{ *:[v4f32] }:$rhs)
/* 12349*/   /*SwitchType*/ 15, /*MVT::v2f64*/6|128,1/*134*/, // ->12367
/* 12352*/    OPC_CheckChild1Type, /*MVT::v2f64*/6|128,1/*134*/, 
/* 12355*/    OPC_RecordChild2, // #1 = $rhs
/* 12356*/    OPC_CheckChild2Type, /*MVT::v2f64*/6|128,1/*134*/, 
/* 12359*/    OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::PMAX_F64x2),
                  /*MVT::v2f64*/6|128,1/*134*/, 2/*#Ops*/, 0, 1, 
              // Src: (intrinsic_wo_chain:{ *:[v2f64] } 13333:{ *:[iPTR] }, V128:{ *:[v2f64] }:$lhs, V128:{ *:[v2f64] }:$rhs) - Complexity = 8
              // Dst: (PMAX_F64x2:{ *:[v2f64] } V128:{ *:[v2f64] }:$lhs, V128:{ *:[v2f64] }:$rhs)
/* 12367*/   /*SwitchType*/ 12, /*MVT::v8f16*/95, // ->12381
/* 12369*/    OPC_CheckChild1Type, /*MVT::v8f16*/95, 
/* 12371*/    OPC_RecordChild2, // #1 = $rhs
/* 12372*/    OPC_CheckChild2Type, /*MVT::v8f16*/95, 
/* 12374*/    OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::PMAX_F16x8),
                  /*MVT::v8f16*/95, 2/*#Ops*/, 0, 1, 
              // Src: (intrinsic_wo_chain:{ *:[v8f16] } 13333:{ *:[iPTR] }, V128:{ *:[v8f16] }:$lhs, V128:{ *:[v8f16] }:$rhs) - Complexity = 8
              // Dst: (PMAX_F16x8:{ *:[v8f16] } V128:{ *:[v8f16] }:$lhs, V128:{ *:[v8f16] }:$rhs)
/* 12381*/   0, // EndSwitchType
/* 12382*/  /*Scope*/ 71, /*->12454*/
/* 12383*/   OPC_CheckChild0Integer, 68|128,80|128,1/*26692*/, 
/* 12387*/   OPC_RecordChild1, // #0 = $a
/* 12388*/   OPC_SwitchType /*3 cases */, 18, /*MVT::v4f32*/116, // ->12409
/* 12391*/    OPC_CheckChild1Type, /*MVT::v4f32*/116, 
/* 12393*/    OPC_RecordChild2, // #1 = $b
/* 12394*/    OPC_CheckChild2Type, /*MVT::v4f32*/116, 
/* 12396*/    OPC_RecordChild3, // #2 = $c
/* 12397*/    OPC_CheckChild3Type, /*MVT::v4f32*/116, 
/* 12399*/    OPC_CheckPatternPredicate, 13, // (Subtarget->hasRelaxedSIMD()) && (Subtarget->hasSIMD128())
/* 12401*/    OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::MADD_F32x4),
                  /*MVT::v4f32*/116, 3/*#Ops*/, 0, 1, 2, 
              // Src: (intrinsic_wo_chain:{ *:[v4f32] } 13346:{ *:[iPTR] }, V128:{ *:[v4f32] }:$a, V128:{ *:[v4f32] }:$b, V128:{ *:[v4f32] }:$c) - Complexity = 8
              // Dst: (MADD_F32x4:{ *:[v4f32] } V128:{ *:[v4f32] }:$a, V128:{ *:[v4f32] }:$b, V128:{ *:[v4f32] }:$c)
/* 12409*/   /*SwitchType*/ 22, /*MVT::v2f64*/6|128,1/*134*/, // ->12434
/* 12412*/    OPC_CheckChild1Type, /*MVT::v2f64*/6|128,1/*134*/, 
/* 12415*/    OPC_RecordChild2, // #1 = $b
/* 12416*/    OPC_CheckChild2Type, /*MVT::v2f64*/6|128,1/*134*/, 
/* 12419*/    OPC_RecordChild3, // #2 = $c
/* 12420*/    OPC_CheckChild3Type, /*MVT::v2f64*/6|128,1/*134*/, 
/* 12423*/    OPC_CheckPatternPredicate, 13, // (Subtarget->hasRelaxedSIMD()) && (Subtarget->hasSIMD128())
/* 12425*/    OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::MADD_F64x2),
                  /*MVT::v2f64*/6|128,1/*134*/, 3/*#Ops*/, 0, 1, 2, 
              // Src: (intrinsic_wo_chain:{ *:[v2f64] } 13346:{ *:[iPTR] }, V128:{ *:[v2f64] }:$a, V128:{ *:[v2f64] }:$b, V128:{ *:[v2f64] }:$c) - Complexity = 8
              // Dst: (MADD_F64x2:{ *:[v2f64] } V128:{ *:[v2f64] }:$a, V128:{ *:[v2f64] }:$b, V128:{ *:[v2f64] }:$c)
/* 12434*/   /*SwitchType*/ 17, /*MVT::v8f16*/95, // ->12453
/* 12436*/    OPC_CheckChild1Type, /*MVT::v8f16*/95, 
/* 12438*/    OPC_RecordChild2, // #1 = $b
/* 12439*/    OPC_CheckChild2Type, /*MVT::v8f16*/95, 
/* 12441*/    OPC_RecordChild3, // #2 = $c
/* 12442*/    OPC_CheckChild3Type, /*MVT::v8f16*/95, 
/* 12444*/    OPC_CheckPatternPredicate5, // (Subtarget->hasFP16()) && (Subtarget->hasSIMD128())
/* 12445*/    OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::MADD_F16x8),
                  /*MVT::v8f16*/95, 3/*#Ops*/, 0, 1, 2, 
              // Src: (intrinsic_wo_chain:{ *:[v8f16] } 13346:{ *:[iPTR] }, V128:{ *:[v8f16] }:$a, V128:{ *:[v8f16] }:$b, V128:{ *:[v8f16] }:$c) - Complexity = 8
              // Dst: (MADD_F16x8:{ *:[v8f16] } V128:{ *:[v8f16] }:$a, V128:{ *:[v8f16] }:$b, V128:{ *:[v8f16] }:$c)
/* 12453*/   0, // EndSwitchType
/* 12454*/  /*Scope*/ 71, /*->12526*/
/* 12455*/   OPC_CheckChild0Integer, 74|128,80|128,1/*26698*/, 
/* 12459*/   OPC_RecordChild1, // #0 = $a
/* 12460*/   OPC_SwitchType /*3 cases */, 18, /*MVT::v4f32*/116, // ->12481
/* 12463*/    OPC_CheckChild1Type, /*MVT::v4f32*/116, 
/* 12465*/    OPC_RecordChild2, // #1 = $b
/* 12466*/    OPC_CheckChild2Type, /*MVT::v4f32*/116, 
/* 12468*/    OPC_RecordChild3, // #2 = $c
/* 12469*/    OPC_CheckChild3Type, /*MVT::v4f32*/116, 
/* 12471*/    OPC_CheckPatternPredicate, 13, // (Subtarget->hasRelaxedSIMD()) && (Subtarget->hasSIMD128())
/* 12473*/    OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::NMADD_F32x4),
                  /*MVT::v4f32*/116, 3/*#Ops*/, 0, 1, 2, 
              // Src: (intrinsic_wo_chain:{ *:[v4f32] } 13349:{ *:[iPTR] }, V128:{ *:[v4f32] }:$a, V128:{ *:[v4f32] }:$b, V128:{ *:[v4f32] }:$c) - Complexity = 8
              // Dst: (NMADD_F32x4:{ *:[v4f32] } V128:{ *:[v4f32] }:$a, V128:{ *:[v4f32] }:$b, V128:{ *:[v4f32] }:$c)
/* 12481*/   /*SwitchType*/ 22, /*MVT::v2f64*/6|128,1/*134*/, // ->12506
/* 12484*/    OPC_CheckChild1Type, /*MVT::v2f64*/6|128,1/*134*/, 
/* 12487*/    OPC_RecordChild2, // #1 = $b
/* 12488*/    OPC_CheckChild2Type, /*MVT::v2f64*/6|128,1/*134*/, 
/* 12491*/    OPC_RecordChild3, // #2 = $c
/* 12492*/    OPC_CheckChild3Type, /*MVT::v2f64*/6|128,1/*134*/, 
/* 12495*/    OPC_CheckPatternPredicate, 13, // (Subtarget->hasRelaxedSIMD()) && (Subtarget->hasSIMD128())
/* 12497*/    OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::NMADD_F64x2),
                  /*MVT::v2f64*/6|128,1/*134*/, 3/*#Ops*/, 0, 1, 2, 
              // Src: (intrinsic_wo_chain:{ *:[v2f64] } 13349:{ *:[iPTR] }, V128:{ *:[v2f64] }:$a, V128:{ *:[v2f64] }:$b, V128:{ *:[v2f64] }:$c) - Complexity = 8
              // Dst: (NMADD_F64x2:{ *:[v2f64] } V128:{ *:[v2f64] }:$a, V128:{ *:[v2f64] }:$b, V128:{ *:[v2f64] }:$c)
/* 12506*/   /*SwitchType*/ 17, /*MVT::v8f16*/95, // ->12525
/* 12508*/    OPC_CheckChild1Type, /*MVT::v8f16*/95, 
/* 12510*/    OPC_RecordChild2, // #1 = $b
/* 12511*/    OPC_CheckChild2Type, /*MVT::v8f16*/95, 
/* 12513*/    OPC_RecordChild3, // #2 = $c
/* 12514*/    OPC_CheckChild3Type, /*MVT::v8f16*/95, 
/* 12516*/    OPC_CheckPatternPredicate5, // (Subtarget->hasFP16()) && (Subtarget->hasSIMD128())
/* 12517*/    OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::NMADD_F16x8),
                  /*MVT::v8f16*/95, 3/*#Ops*/, 0, 1, 2, 
              // Src: (intrinsic_wo_chain:{ *:[v8f16] } 13349:{ *:[iPTR] }, V128:{ *:[v8f16] }:$a, V128:{ *:[v8f16] }:$b, V128:{ *:[v8f16] }:$c) - Complexity = 8
              // Dst: (NMADD_F16x8:{ *:[v8f16] } V128:{ *:[v8f16] }:$a, V128:{ *:[v8f16] }:$b, V128:{ *:[v8f16] }:$c)
/* 12525*/   0, // EndSwitchType
/* 12526*/  /*Scope*/ 41, /*->12568*/
/* 12527*/   OPC_CheckChild0Integer, 72|128,80|128,1/*26696*/, 
/* 12531*/   OPC_RecordChild1, // #0 = $lhs
/* 12532*/   OPC_SwitchType /*2 cases */, 13, /*MVT::v4f32*/116, // ->12548
/* 12535*/    OPC_CheckChild1Type, /*MVT::v4f32*/116, 
/* 12537*/    OPC_RecordChild2, // #1 = $rhs
/* 12538*/    OPC_CheckChild2Type, /*MVT::v4f32*/116, 
/* 12540*/    OPC_CheckPatternPredicate7, // (Subtarget->hasRelaxedSIMD())
/* 12541*/    OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::SIMD_RELAXED_FMIN_F32x4),
                  /*MVT::v4f32*/116, 2/*#Ops*/, 0, 1, 
              // Src: (intrinsic_wo_chain:{ *:[v4f32] } 13348:{ *:[iPTR] }, V128:{ *:[v4f32] }:$lhs, V128:{ *:[v4f32] }:$rhs) - Complexity = 8
              // Dst: (SIMD_RELAXED_FMIN_F32x4:{ *:[v4f32] } V128:{ *:[v4f32] }:$lhs, V128:{ *:[v4f32] }:$rhs)
/* 12548*/   /*SwitchType*/ 16, /*MVT::v2f64*/6|128,1/*134*/, // ->12567
/* 12551*/    OPC_CheckChild1Type, /*MVT::v2f64*/6|128,1/*134*/, 
/* 12554*/    OPC_RecordChild2, // #1 = $rhs
/* 12555*/    OPC_CheckChild2Type, /*MVT::v2f64*/6|128,1/*134*/, 
/* 12558*/    OPC_CheckPatternPredicate7, // (Subtarget->hasRelaxedSIMD())
/* 12559*/    OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::SIMD_RELAXED_FMIN_F64x2),
                  /*MVT::v2f64*/6|128,1/*134*/, 2/*#Ops*/, 0, 1, 
              // Src: (intrinsic_wo_chain:{ *:[v2f64] } 13348:{ *:[iPTR] }, V128:{ *:[v2f64] }:$lhs, V128:{ *:[v2f64] }:$rhs) - Complexity = 8
              // Dst: (SIMD_RELAXED_FMIN_F64x2:{ *:[v2f64] } V128:{ *:[v2f64] }:$lhs, V128:{ *:[v2f64] }:$rhs)
/* 12567*/   0, // EndSwitchType
/* 12568*/  /*Scope*/ 41, /*->12610*/
/* 12569*/   OPC_CheckChild0Integer, 70|128,80|128,1/*26694*/, 
/* 12573*/   OPC_RecordChild1, // #0 = $lhs
/* 12574*/   OPC_SwitchType /*2 cases */, 13, /*MVT::v4f32*/116, // ->12590
/* 12577*/    OPC_CheckChild1Type, /*MVT::v4f32*/116, 
/* 12579*/    OPC_RecordChild2, // #1 = $rhs
/* 12580*/    OPC_CheckChild2Type, /*MVT::v4f32*/116, 
/* 12582*/    OPC_CheckPatternPredicate7, // (Subtarget->hasRelaxedSIMD())
/* 12583*/    OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::SIMD_RELAXED_FMAX_F32x4),
                  /*MVT::v4f32*/116, 2/*#Ops*/, 0, 1, 
              // Src: (intrinsic_wo_chain:{ *:[v4f32] } 13347:{ *:[iPTR] }, V128:{ *:[v4f32] }:$lhs, V128:{ *:[v4f32] }:$rhs) - Complexity = 8
              // Dst: (SIMD_RELAXED_FMAX_F32x4:{ *:[v4f32] } V128:{ *:[v4f32] }:$lhs, V128:{ *:[v4f32] }:$rhs)
/* 12590*/   /*SwitchType*/ 16, /*MVT::v2f64*/6|128,1/*134*/, // ->12609
/* 12593*/    OPC_CheckChild1Type, /*MVT::v2f64*/6|128,1/*134*/, 
/* 12596*/    OPC_RecordChild2, // #1 = $rhs
/* 12597*/    OPC_CheckChild2Type, /*MVT::v2f64*/6|128,1/*134*/, 
/* 12600*/    OPC_CheckPatternPredicate7, // (Subtarget->hasRelaxedSIMD())
/* 12601*/    OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::SIMD_RELAXED_FMAX_F64x2),
                  /*MVT::v2f64*/6|128,1/*134*/, 2/*#Ops*/, 0, 1, 
              // Src: (intrinsic_wo_chain:{ *:[v2f64] } 13347:{ *:[iPTR] }, V128:{ *:[v2f64] }:$lhs, V128:{ *:[v2f64] }:$rhs) - Complexity = 8
              // Dst: (SIMD_RELAXED_FMAX_F64x2:{ *:[v2f64] } V128:{ *:[v2f64] }:$lhs, V128:{ *:[v2f64] }:$rhs)
/* 12609*/   0, // EndSwitchType
/* 12610*/  /*Scope*/ 16, /*->12627*/
/* 12611*/   OPC_CheckChild0Integer, 60|128,80|128,1/*26684*/, 
/* 12615*/   OPC_RecordChild1, // #0 = $lhs
/* 12616*/   OPC_RecordChild2, // #1 = $rhs
/* 12617*/   OPC_RecordChild3, // #2 = $acc
/* 12618*/   OPC_CheckPatternPredicate7, // (Subtarget->hasRelaxedSIMD())
/* 12619*/   OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::RELAXED_DOT_BFLOAT),
                 /*MVT::v4f32*/116, 3/*#Ops*/, 0, 1, 2, 
             // Src: (intrinsic_wo_chain:{ *:[v4f32] } 13342:{ *:[iPTR] }, V128:{ *:[v8i16] }:$lhs, V128:{ *:[v8i16] }:$rhs, V128:{ *:[v4f32] }:$acc) - Complexity = 8
             // Dst: (RELAXED_DOT_BFLOAT:{ *:[v4f32] } V128:{ *:[v8i16] }:$lhs, V128:{ *:[v8i16] }:$rhs, V128:{ *:[v4f32] }:$acc)
/* 12627*/  0, /*End of Scope*/
/* 12628*/ /*SwitchOpcode*/ 4|128,1/*132*/, TARGET_VAL(ISD::EXTRACT_VECTOR_ELT),// ->12764
/* 12632*/  OPC_RecordChild0, // #0 = $vec
/* 12633*/  OPC_Scope, 20, /*->12655*/ // 6 children in Scope
/* 12635*/   OPC_CheckChild0Type, /*MVT::v16i8*/40, 
/* 12637*/   OPC_RecordChild1, // #1 = $idx
/* 12638*/   OPC_MoveChild1,
/* 12639*/   OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 12642*/   OPC_CheckPredicate, 20, // Predicate_LaneIdx16
/* 12644*/   OPC_CheckTypeI32,
/* 12645*/   OPC_MoveParent,
/* 12646*/   OPC_CheckTypeI32,
/* 12647*/   OPC_EmitConvertToTarget1, // #2
/* 12648*/   OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::EXTRACT_LANE_I8x16_u),
                 /*MVT::i32*/7, 2/*#Ops*/, 0, 2, 
             // Src: (vector_extract:{ *:[i32] } V128:{ *:[v16i8] }:$vec, (imm:{ *:[i32] })<<P:Predicate_LaneIdx16>>:$idx) - Complexity = 7
             // Dst: (EXTRACT_LANE_I8x16_u:{ *:[i32] } ?:{ *:[v16i8] }:$vec, (imm:{ *:[i32] }):$idx)
/* 12655*/  /*Scope*/ 20, /*->12676*/
/* 12656*/   OPC_CheckChild0Type, /*MVT::v8i16*/51, 
/* 12658*/   OPC_RecordChild1, // #1 = $idx
/* 12659*/   OPC_MoveChild1,
/* 12660*/   OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 12663*/   OPC_CheckPredicate, 14, // Predicate_LaneIdx8
/* 12665*/   OPC_CheckTypeI32,
/* 12666*/   OPC_MoveParent,
/* 12667*/   OPC_CheckTypeI32,
/* 12668*/   OPC_EmitConvertToTarget1, // #2
/* 12669*/   OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::EXTRACT_LANE_I16x8_u),
                 /*MVT::i32*/7, 2/*#Ops*/, 0, 2, 
             // Src: (vector_extract:{ *:[i32] } V128:{ *:[v8i16] }:$vec, (imm:{ *:[i32] })<<P:Predicate_LaneIdx8>>:$idx) - Complexity = 7
             // Dst: (EXTRACT_LANE_I16x8_u:{ *:[i32] } ?:{ *:[v8i16] }:$vec, (imm:{ *:[i32] }):$idx)
/* 12676*/  /*Scope*/ 20, /*->12697*/
/* 12677*/   OPC_CheckChild0Type, /*MVT::v4i32*/62, 
/* 12679*/   OPC_RecordChild1, // #1 = $idx
/* 12680*/   OPC_MoveChild1,
/* 12681*/   OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 12684*/   OPC_CheckPredicate, 11, // Predicate_LaneIdx4
/* 12686*/   OPC_CheckTypeI32,
/* 12687*/   OPC_MoveParent,
/* 12688*/   OPC_CheckTypeI32,
/* 12689*/   OPC_EmitConvertToTarget1, // #2
/* 12690*/   OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::EXTRACT_LANE_I32x4),
                 /*MVT::i32*/7, 2/*#Ops*/, 0, 2, 
             // Src: (vector_extract:{ *:[i32] } V128:{ *:[v4i32] }:$vec, (imm:{ *:[i32] })<<P:Predicate_LaneIdx4>>:$idx) - Complexity = 7
             // Dst: (EXTRACT_LANE_I32x4:{ *:[i32] } ?:{ *:[v4i32] }:$vec, (imm:{ *:[i32] }):$idx)
/* 12697*/  /*Scope*/ 20, /*->12718*/
/* 12698*/   OPC_CheckChild0Type, /*MVT::v2i64*/81, 
/* 12700*/   OPC_RecordChild1, // #1 = $idx
/* 12701*/   OPC_MoveChild1,
/* 12702*/   OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 12705*/   OPC_CheckPredicate, 12, // Predicate_LaneIdx2
/* 12707*/   OPC_CheckTypeI32,
/* 12708*/   OPC_MoveParent,
/* 12709*/   OPC_CheckTypeI64,
/* 12710*/   OPC_EmitConvertToTarget1, // #2
/* 12711*/   OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::EXTRACT_LANE_I64x2),
                 /*MVT::i64*/8, 2/*#Ops*/, 0, 2, 
             // Src: (vector_extract:{ *:[i64] } V128:{ *:[v2i64] }:$vec, (imm:{ *:[i32] })<<P:Predicate_LaneIdx2>>:$idx) - Complexity = 7
             // Dst: (EXTRACT_LANE_I64x2:{ *:[i64] } ?:{ *:[v2i64] }:$vec, (imm:{ *:[i32] }):$idx)
/* 12718*/  /*Scope*/ 21, /*->12740*/
/* 12719*/   OPC_CheckChild0Type, /*MVT::v4f32*/116, 
/* 12721*/   OPC_RecordChild1, // #1 = $idx
/* 12722*/   OPC_MoveChild1,
/* 12723*/   OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 12726*/   OPC_CheckPredicate, 11, // Predicate_LaneIdx4
/* 12728*/   OPC_CheckTypeI32,
/* 12729*/   OPC_MoveParent,
/* 12730*/   OPC_CheckType, /*MVT::f32*/12, 
/* 12732*/   OPC_EmitConvertToTarget1, // #2
/* 12733*/   OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::EXTRACT_LANE_F32x4),
                 /*MVT::f32*/12, 2/*#Ops*/, 0, 2, 
             // Src: (vector_extract:{ *:[f32] } V128:{ *:[v4f32] }:$vec, (imm:{ *:[i32] })<<P:Predicate_LaneIdx4>>:$idx) - Complexity = 7
             // Dst: (EXTRACT_LANE_F32x4:{ *:[f32] } ?:{ *:[v4f32] }:$vec, (imm:{ *:[i32] }):$idx)
/* 12740*/  /*Scope*/ 22, /*->12763*/
/* 12741*/   OPC_CheckChild0Type, /*MVT::v2f64*/6|128,1/*134*/, 
/* 12744*/   OPC_RecordChild1, // #1 = $idx
/* 12745*/   OPC_MoveChild1,
/* 12746*/   OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 12749*/   OPC_CheckPredicate, 12, // Predicate_LaneIdx2
/* 12751*/   OPC_CheckTypeI32,
/* 12752*/   OPC_MoveParent,
/* 12753*/   OPC_CheckType, /*MVT::f64*/13, 
/* 12755*/   OPC_EmitConvertToTarget1, // #2
/* 12756*/   OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::EXTRACT_LANE_F64x2),
                 /*MVT::f64*/13, 2/*#Ops*/, 0, 2, 
             // Src: (vector_extract:{ *:[f64] } V128:{ *:[v2f64] }:$vec, (imm:{ *:[i32] })<<P:Predicate_LaneIdx2>>:$idx) - Complexity = 7
             // Dst: (EXTRACT_LANE_F64x2:{ *:[f64] } ?:{ *:[v2f64] }:$vec, (imm:{ *:[i32] }):$idx)
/* 12763*/  0, /*End of Scope*/
/* 12764*/ /*SwitchOpcode*/ 0|128,1/*128*/, TARGET_VAL(WebAssemblyISD::ARGUMENT),// ->12896
/* 12768*/  OPC_RecordChild0, // #0 = $argno
/* 12769*/  OPC_MoveChild0,
/* 12770*/  OPC_CheckOpcode, TARGET_VAL(ISD::TargetConstant),
/* 12773*/  OPC_MoveParent,
/* 12774*/  OPC_SwitchType /*14 cases */, 6, /*MVT::i32*/7, // ->12783
/* 12777*/   OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::ARGUMENT_i32),
                 /*MVT::i32*/7, 1/*#Ops*/, 0, 
             // Src: (WebAssemblyargument:{ *:[i32] } (timm:{ *:[i32] }):$argno) - Complexity = 6
             // Dst: (ARGUMENT_i32:{ *:[i32] } (timm:{ *:[i32] }):$argno)
/* 12783*/  /*SwitchType*/ 6, /*MVT::i64*/8, // ->12791
/* 12785*/   OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::ARGUMENT_i64),
                 /*MVT::i64*/8, 1/*#Ops*/, 0, 
             // Src: (WebAssemblyargument:{ *:[i64] } (timm:{ *:[i32] }):$argno) - Complexity = 6
             // Dst: (ARGUMENT_i64:{ *:[i64] } (timm:{ *:[i32] }):$argno)
/* 12791*/  /*SwitchType*/ 7, /*MVT::funcref*/104|128,1/*232*/, // ->12801
/* 12794*/   OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::ARGUMENT_funcref),
                 /*MVT::funcref*/104|128,1/*232*/, 1/*#Ops*/, 0, 
             // Src: (WebAssemblyargument:{ *:[funcref] } (timm:{ *:[i32] }):$argno) - Complexity = 6
             // Dst: (ARGUMENT_funcref:{ *:[funcref] } (timm:{ *:[i32] }):$argno)
/* 12801*/  /*SwitchType*/ 7, /*MVT::externref*/105|128,1/*233*/, // ->12811
/* 12804*/   OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::ARGUMENT_externref),
                 /*MVT::externref*/105|128,1/*233*/, 1/*#Ops*/, 0, 
             // Src: (WebAssemblyargument:{ *:[externref] } (timm:{ *:[i32] }):$argno) - Complexity = 6
             // Dst: (ARGUMENT_externref:{ *:[externref] } (timm:{ *:[i32] }):$argno)
/* 12811*/  /*SwitchType*/ 7, /*MVT::exnref*/106|128,1/*234*/, // ->12821
/* 12814*/   OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::ARGUMENT_exnref),
                 /*MVT::exnref*/106|128,1/*234*/, 1/*#Ops*/, 0, 
             // Src: (WebAssemblyargument:{ *:[exnref] } (timm:{ *:[i32] }):$argno) - Complexity = 6
             // Dst: (ARGUMENT_exnref:{ *:[exnref] } (timm:{ *:[i32] }):$argno)
/* 12821*/  /*SwitchType*/ 6, /*MVT::f32*/12, // ->12829
/* 12823*/   OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::ARGUMENT_f32),
                 /*MVT::f32*/12, 1/*#Ops*/, 0, 
             // Src: (WebAssemblyargument:{ *:[f32] } (timm:{ *:[i32] }):$argno) - Complexity = 6
             // Dst: (ARGUMENT_f32:{ *:[f32] } (timm:{ *:[i32] }):$argno)
/* 12829*/  /*SwitchType*/ 6, /*MVT::f64*/13, // ->12837
/* 12831*/   OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::ARGUMENT_f64),
                 /*MVT::f64*/13, 1/*#Ops*/, 0, 
             // Src: (WebAssemblyargument:{ *:[f64] } (timm:{ *:[i32] }):$argno) - Complexity = 6
             // Dst: (ARGUMENT_f64:{ *:[f64] } (timm:{ *:[i32] }):$argno)
/* 12837*/  /*SwitchType*/ 6, /*MVT::v16i8*/40, // ->12845
/* 12839*/   OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::ARGUMENT_v16i8),
                 /*MVT::v16i8*/40, 1/*#Ops*/, 0, 
             // Src: (WebAssemblyargument:{ *:[v16i8] } (timm:{ *:[i32] }):$argno) - Complexity = 6
             // Dst: (ARGUMENT_v16i8:{ *:[v16i8] } (timm:{ *:[i32] }):$argno)
/* 12845*/  /*SwitchType*/ 6, /*MVT::v8i16*/51, // ->12853
/* 12847*/   OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::ARGUMENT_v8i16),
                 /*MVT::v8i16*/51, 1/*#Ops*/, 0, 
             // Src: (WebAssemblyargument:{ *:[v8i16] } (timm:{ *:[i32] }):$argno) - Complexity = 6
             // Dst: (ARGUMENT_v8i16:{ *:[v8i16] } (timm:{ *:[i32] }):$argno)
/* 12853*/  /*SwitchType*/ 6, /*MVT::v4i32*/62, // ->12861
/* 12855*/   OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::ARGUMENT_v4i32),
                 /*MVT::v4i32*/62, 1/*#Ops*/, 0, 
             // Src: (WebAssemblyargument:{ *:[v4i32] } (timm:{ *:[i32] }):$argno) - Complexity = 6
             // Dst: (ARGUMENT_v4i32:{ *:[v4i32] } (timm:{ *:[i32] }):$argno)
/* 12861*/  /*SwitchType*/ 6, /*MVT::v2i64*/81, // ->12869
/* 12863*/   OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::ARGUMENT_v2i64),
                 /*MVT::v2i64*/81, 1/*#Ops*/, 0, 
             // Src: (WebAssemblyargument:{ *:[v2i64] } (timm:{ *:[i32] }):$argno) - Complexity = 6
             // Dst: (ARGUMENT_v2i64:{ *:[v2i64] } (timm:{ *:[i32] }):$argno)
/* 12869*/  /*SwitchType*/ 6, /*MVT::v4f32*/116, // ->12877
/* 12871*/   OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::ARGUMENT_v4f32),
                 /*MVT::v4f32*/116, 1/*#Ops*/, 0, 
             // Src: (WebAssemblyargument:{ *:[v4f32] } (timm:{ *:[i32] }):$argno) - Complexity = 6
             // Dst: (ARGUMENT_v4f32:{ *:[v4f32] } (timm:{ *:[i32] }):$argno)
/* 12877*/  /*SwitchType*/ 7, /*MVT::v2f64*/6|128,1/*134*/, // ->12887
/* 12880*/   OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::ARGUMENT_v2f64),
                 /*MVT::v2f64*/6|128,1/*134*/, 1/*#Ops*/, 0, 
             // Src: (WebAssemblyargument:{ *:[v2f64] } (timm:{ *:[i32] }):$argno) - Complexity = 6
             // Dst: (ARGUMENT_v2f64:{ *:[v2f64] } (timm:{ *:[i32] }):$argno)
/* 12887*/  /*SwitchType*/ 6, /*MVT::v8f16*/95, // ->12895
/* 12889*/   OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::ARGUMENT_v8f16),
                 /*MVT::v8f16*/95, 1/*#Ops*/, 0, 
             // Src: (WebAssemblyargument:{ *:[v8f16] } (timm:{ *:[i32] }):$argno) - Complexity = 6
             // Dst: (ARGUMENT_v8f16:{ *:[v8f16] } (timm:{ *:[i32] }):$argno)
/* 12895*/  0, // EndSwitchType
/* 12896*/ /*SwitchOpcode*/ 26|128,1/*154*/, TARGET_VAL(WebAssemblyISD::LOCAL_GET),// ->13054
/* 12900*/  OPC_RecordNode, // #0 = 'WebAssemblylocal_get' chained node
/* 12901*/  OPC_RecordChild1, // #1 = $local
/* 12902*/  OPC_MoveChild1,
/* 12903*/  OPC_CheckOpcode, TARGET_VAL(ISD::TargetConstant),
/* 12906*/  OPC_MoveParent,
/* 12907*/  OPC_SwitchType /*14 cases */, 7, /*MVT::i32*/7, // ->12917
/* 12910*/   OPC_EmitMergeInputChains1_0,
/* 12911*/   OPC_MorphNodeTo1Chain, TARGET_VAL(WebAssembly::LOCAL_GET_I32),
                 /*MVT::i32*/7, 1/*#Ops*/, 1, 
             // Src: (WebAssemblylocal_get:{ *:[i32] } (timm:{ *:[i32] }):$local) - Complexity = 6
             // Dst: (LOCAL_GET_I32:{ *:[i32] } (timm:{ *:[i32] }):$local)
/* 12917*/  /*SwitchType*/ 7, /*MVT::i64*/8, // ->12926
/* 12919*/   OPC_EmitMergeInputChains1_0,
/* 12920*/   OPC_MorphNodeTo1Chain, TARGET_VAL(WebAssembly::LOCAL_GET_I64),
                 /*MVT::i64*/8, 1/*#Ops*/, 1, 
             // Src: (WebAssemblylocal_get:{ *:[i64] } (timm:{ *:[i32] }):$local) - Complexity = 6
             // Dst: (LOCAL_GET_I64:{ *:[i64] } (timm:{ *:[i32] }):$local)
/* 12926*/  /*SwitchType*/ 9, /*MVT::funcref*/104|128,1/*232*/, // ->12938
/* 12929*/   OPC_CheckPatternPredicate6, // (Subtarget->hasReferenceTypes())
/* 12930*/   OPC_EmitMergeInputChains1_0,
/* 12931*/   OPC_MorphNodeTo1Chain, TARGET_VAL(WebAssembly::LOCAL_GET_FUNCREF),
                 /*MVT::funcref*/104|128,1/*232*/, 1/*#Ops*/, 1, 
             // Src: (WebAssemblylocal_get:{ *:[funcref] } (timm:{ *:[i32] }):$local) - Complexity = 6
             // Dst: (LOCAL_GET_FUNCREF:{ *:[funcref] } (timm:{ *:[i32] }):$local)
/* 12938*/  /*SwitchType*/ 9, /*MVT::externref*/105|128,1/*233*/, // ->12950
/* 12941*/   OPC_CheckPatternPredicate6, // (Subtarget->hasReferenceTypes())
/* 12942*/   OPC_EmitMergeInputChains1_0,
/* 12943*/   OPC_MorphNodeTo1Chain, TARGET_VAL(WebAssembly::LOCAL_GET_EXTERNREF),
                 /*MVT::externref*/105|128,1/*233*/, 1/*#Ops*/, 1, 
             // Src: (WebAssemblylocal_get:{ *:[externref] } (timm:{ *:[i32] }):$local) - Complexity = 6
             // Dst: (LOCAL_GET_EXTERNREF:{ *:[externref] } (timm:{ *:[i32] }):$local)
/* 12950*/  /*SwitchType*/ 10, /*MVT::exnref*/106|128,1/*234*/, // ->12963
/* 12953*/   OPC_CheckPatternPredicate, 8, // (Subtarget->hasExceptionHandling()) && (Subtarget->hasReferenceTypes())
/* 12955*/   OPC_EmitMergeInputChains1_0,
/* 12956*/   OPC_MorphNodeTo1Chain, TARGET_VAL(WebAssembly::LOCAL_GET_EXNREF),
                 /*MVT::exnref*/106|128,1/*234*/, 1/*#Ops*/, 1, 
             // Src: (WebAssemblylocal_get:{ *:[exnref] } (timm:{ *:[i32] }):$local) - Complexity = 6
             // Dst: (LOCAL_GET_EXNREF:{ *:[exnref] } (timm:{ *:[i32] }):$local)
/* 12963*/  /*SwitchType*/ 7, /*MVT::f32*/12, // ->12972
/* 12965*/   OPC_EmitMergeInputChains1_0,
/* 12966*/   OPC_MorphNodeTo1Chain, TARGET_VAL(WebAssembly::LOCAL_GET_F32),
                 /*MVT::f32*/12, 1/*#Ops*/, 1, 
             // Src: (WebAssemblylocal_get:{ *:[f32] } (timm:{ *:[i32] }):$local) - Complexity = 6
             // Dst: (LOCAL_GET_F32:{ *:[f32] } (timm:{ *:[i32] }):$local)
/* 12972*/  /*SwitchType*/ 7, /*MVT::f64*/13, // ->12981
/* 12974*/   OPC_EmitMergeInputChains1_0,
/* 12975*/   OPC_MorphNodeTo1Chain, TARGET_VAL(WebAssembly::LOCAL_GET_F64),
                 /*MVT::f64*/13, 1/*#Ops*/, 1, 
             // Src: (WebAssemblylocal_get:{ *:[f64] } (timm:{ *:[i32] }):$local) - Complexity = 6
             // Dst: (LOCAL_GET_F64:{ *:[f64] } (timm:{ *:[i32] }):$local)
/* 12981*/  /*SwitchType*/ 8, /*MVT::v2i64*/81, // ->12991
/* 12983*/   OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/* 12984*/   OPC_EmitMergeInputChains1_0,
/* 12985*/   OPC_MorphNodeTo1Chain, TARGET_VAL(WebAssembly::LOCAL_GET_V128),
                 /*MVT::v2i64*/81, 1/*#Ops*/, 1, 
             // Src: (WebAssemblylocal_get:{ *:[v2i64] } (timm:{ *:[i32] }):$local) - Complexity = 6
             // Dst: (LOCAL_GET_V128:{ *:[v2i64] } (timm:{ *:[i32] }):$local)
/* 12991*/  /*SwitchType*/ 8, /*MVT::v4i32*/62, // ->13001
/* 12993*/   OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/* 12994*/   OPC_EmitMergeInputChains1_0,
/* 12995*/   OPC_MorphNodeTo1Chain, TARGET_VAL(WebAssembly::LOCAL_GET_V128),
                 /*MVT::v4i32*/62, 1/*#Ops*/, 1, 
             // Src: (WebAssemblylocal_get:{ *:[v4i32] } (timm:{ *:[i32] }):$local) - Complexity = 6
             // Dst: (LOCAL_GET_V128:{ *:[v4i32] } (timm:{ *:[i32] }):$local)
/* 13001*/  /*SwitchType*/ 8, /*MVT::v16i8*/40, // ->13011
/* 13003*/   OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/* 13004*/   OPC_EmitMergeInputChains1_0,
/* 13005*/   OPC_MorphNodeTo1Chain, TARGET_VAL(WebAssembly::LOCAL_GET_V128),
                 /*MVT::v16i8*/40, 1/*#Ops*/, 1, 
             // Src: (WebAssemblylocal_get:{ *:[v16i8] } (timm:{ *:[i32] }):$local) - Complexity = 6
             // Dst: (LOCAL_GET_V128:{ *:[v16i8] } (timm:{ *:[i32] }):$local)
/* 13011*/  /*SwitchType*/ 8, /*MVT::v8i16*/51, // ->13021
/* 13013*/   OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/* 13014*/   OPC_EmitMergeInputChains1_0,
/* 13015*/   OPC_MorphNodeTo1Chain, TARGET_VAL(WebAssembly::LOCAL_GET_V128),
                 /*MVT::v8i16*/51, 1/*#Ops*/, 1, 
             // Src: (WebAssemblylocal_get:{ *:[v8i16] } (timm:{ *:[i32] }):$local) - Complexity = 6
             // Dst: (LOCAL_GET_V128:{ *:[v8i16] } (timm:{ *:[i32] }):$local)
/* 13021*/  /*SwitchType*/ 8, /*MVT::v8f16*/95, // ->13031
/* 13023*/   OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/* 13024*/   OPC_EmitMergeInputChains1_0,
/* 13025*/   OPC_MorphNodeTo1Chain, TARGET_VAL(WebAssembly::LOCAL_GET_V128),
                 /*MVT::v8f16*/95, 1/*#Ops*/, 1, 
             // Src: (WebAssemblylocal_get:{ *:[v8f16] } (timm:{ *:[i32] }):$local) - Complexity = 6
             // Dst: (LOCAL_GET_V128:{ *:[v8f16] } (timm:{ *:[i32] }):$local)
/* 13031*/  /*SwitchType*/ 8, /*MVT::v4f32*/116, // ->13041
/* 13033*/   OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/* 13034*/   OPC_EmitMergeInputChains1_0,
/* 13035*/   OPC_MorphNodeTo1Chain, TARGET_VAL(WebAssembly::LOCAL_GET_V128),
                 /*MVT::v4f32*/116, 1/*#Ops*/, 1, 
             // Src: (WebAssemblylocal_get:{ *:[v4f32] } (timm:{ *:[i32] }):$local) - Complexity = 6
             // Dst: (LOCAL_GET_V128:{ *:[v4f32] } (timm:{ *:[i32] }):$local)
/* 13041*/  /*SwitchType*/ 9, /*MVT::v2f64*/6|128,1/*134*/, // ->13053
/* 13044*/   OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/* 13045*/   OPC_EmitMergeInputChains1_0,
/* 13046*/   OPC_MorphNodeTo1Chain, TARGET_VAL(WebAssembly::LOCAL_GET_V128),
                 /*MVT::v2f64*/6|128,1/*134*/, 1/*#Ops*/, 1, 
             // Src: (WebAssemblylocal_get:{ *:[v2f64] } (timm:{ *:[i32] }):$local) - Complexity = 6
             // Dst: (LOCAL_GET_V128:{ *:[v2f64] } (timm:{ *:[i32] }):$local)
/* 13053*/  0, // EndSwitchType
/* 13054*/ /*SwitchOpcode*/ 35|128,1/*163*/, TARGET_VAL(WebAssemblyISD::LOCAL_SET),// ->13221
/* 13058*/  OPC_RecordNode, // #0 = 'WebAssemblylocal_set' chained node
/* 13059*/  OPC_RecordChild1, // #1 = $local
/* 13060*/  OPC_MoveChild1,
/* 13061*/  OPC_CheckOpcode, TARGET_VAL(ISD::TargetConstant),
/* 13064*/  OPC_MoveParent,
/* 13065*/  OPC_RecordChild2, // #2 = $src
/* 13066*/  OPC_Scope, 8, /*->13076*/ // 14 children in Scope
/* 13068*/   OPC_CheckChild2TypeI32,
/* 13069*/   OPC_EmitMergeInputChains1_0,
/* 13070*/   OPC_MorphNodeTo0Chain, TARGET_VAL(WebAssembly::LOCAL_SET_I32),
                 2/*#Ops*/, 1, 2, 
             // Src: (WebAssemblylocal_set (timm:{ *:[i32] }):$local, i32:{ *:[i32] }:$src) - Complexity = 6
             // Dst: (LOCAL_SET_I32 (timm:{ *:[i32] }):$local, i32:{ *:[i32] }:$src)
/* 13076*/  /*Scope*/ 8, /*->13085*/
/* 13077*/   OPC_CheckChild2TypeI64,
/* 13078*/   OPC_EmitMergeInputChains1_0,
/* 13079*/   OPC_MorphNodeTo0Chain, TARGET_VAL(WebAssembly::LOCAL_SET_I64),
                 2/*#Ops*/, 1, 2, 
             // Src: (WebAssemblylocal_set (timm:{ *:[i32] }):$local, i64:{ *:[i64] }:$src) - Complexity = 6
             // Dst: (LOCAL_SET_I64 (timm:{ *:[i32] }):$local, i64:{ *:[i64] }:$src)
/* 13085*/  /*Scope*/ 9, /*->13095*/
/* 13086*/   OPC_CheckChild2Type, /*MVT::f32*/12, 
/* 13088*/   OPC_EmitMergeInputChains1_0,
/* 13089*/   OPC_MorphNodeTo0Chain, TARGET_VAL(WebAssembly::LOCAL_SET_F32),
                 2/*#Ops*/, 1, 2, 
             // Src: (WebAssemblylocal_set (timm:{ *:[i32] }):$local, f32:{ *:[f32] }:$src) - Complexity = 6
             // Dst: (LOCAL_SET_F32 (timm:{ *:[i32] }):$local, f32:{ *:[f32] }:$src)
/* 13095*/  /*Scope*/ 9, /*->13105*/
/* 13096*/   OPC_CheckChild2Type, /*MVT::f64*/13, 
/* 13098*/   OPC_EmitMergeInputChains1_0,
/* 13099*/   OPC_MorphNodeTo0Chain, TARGET_VAL(WebAssembly::LOCAL_SET_F64),
                 2/*#Ops*/, 1, 2, 
             // Src: (WebAssemblylocal_set (timm:{ *:[i32] }):$local, f64:{ *:[f64] }:$src) - Complexity = 6
             // Dst: (LOCAL_SET_F64 (timm:{ *:[i32] }):$local, f64:{ *:[f64] }:$src)
/* 13105*/  /*Scope*/ 10, /*->13116*/
/* 13106*/   OPC_CheckChild2Type, /*MVT::v2i64*/81, 
/* 13108*/   OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/* 13109*/   OPC_EmitMergeInputChains1_0,
/* 13110*/   OPC_MorphNodeTo0Chain, TARGET_VAL(WebAssembly::LOCAL_SET_V128),
                 2/*#Ops*/, 1, 2, 
             // Src: (WebAssemblylocal_set (timm:{ *:[i32] }):$local, v2i64:{ *:[v2i64] }:$src) - Complexity = 6
             // Dst: (LOCAL_SET_V128 (timm:{ *:[i32] }):$local, v2i64:{ *:[v2i64] }:$src)
/* 13116*/  /*Scope*/ 10, /*->13127*/
/* 13117*/   OPC_CheckChild2Type, /*MVT::v4i32*/62, 
/* 13119*/   OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/* 13120*/   OPC_EmitMergeInputChains1_0,
/* 13121*/   OPC_MorphNodeTo0Chain, TARGET_VAL(WebAssembly::LOCAL_SET_V128),
                 2/*#Ops*/, 1, 2, 
             // Src: (WebAssemblylocal_set (timm:{ *:[i32] }):$local, v4i32:{ *:[v4i32] }:$src) - Complexity = 6
             // Dst: (LOCAL_SET_V128 (timm:{ *:[i32] }):$local, v4i32:{ *:[v4i32] }:$src)
/* 13127*/  /*Scope*/ 10, /*->13138*/
/* 13128*/   OPC_CheckChild2Type, /*MVT::v16i8*/40, 
/* 13130*/   OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/* 13131*/   OPC_EmitMergeInputChains1_0,
/* 13132*/   OPC_MorphNodeTo0Chain, TARGET_VAL(WebAssembly::LOCAL_SET_V128),
                 2/*#Ops*/, 1, 2, 
             // Src: (WebAssemblylocal_set (timm:{ *:[i32] }):$local, v16i8:{ *:[v16i8] }:$src) - Complexity = 6
             // Dst: (LOCAL_SET_V128 (timm:{ *:[i32] }):$local, v16i8:{ *:[v16i8] }:$src)
/* 13138*/  /*Scope*/ 10, /*->13149*/
/* 13139*/   OPC_CheckChild2Type, /*MVT::v8i16*/51, 
/* 13141*/   OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/* 13142*/   OPC_EmitMergeInputChains1_0,
/* 13143*/   OPC_MorphNodeTo0Chain, TARGET_VAL(WebAssembly::LOCAL_SET_V128),
                 2/*#Ops*/, 1, 2, 
             // Src: (WebAssemblylocal_set (timm:{ *:[i32] }):$local, v8i16:{ *:[v8i16] }:$src) - Complexity = 6
             // Dst: (LOCAL_SET_V128 (timm:{ *:[i32] }):$local, v8i16:{ *:[v8i16] }:$src)
/* 13149*/  /*Scope*/ 10, /*->13160*/
/* 13150*/   OPC_CheckChild2Type, /*MVT::v8f16*/95, 
/* 13152*/   OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/* 13153*/   OPC_EmitMergeInputChains1_0,
/* 13154*/   OPC_MorphNodeTo0Chain, TARGET_VAL(WebAssembly::LOCAL_SET_V128),
                 2/*#Ops*/, 1, 2, 
             // Src: (WebAssemblylocal_set (timm:{ *:[i32] }):$local, v8f16:{ *:[v8f16] }:$src) - Complexity = 6
             // Dst: (LOCAL_SET_V128 (timm:{ *:[i32] }):$local, v8f16:{ *:[v8f16] }:$src)
/* 13160*/  /*Scope*/ 10, /*->13171*/
/* 13161*/   OPC_CheckChild2Type, /*MVT::v4f32*/116, 
/* 13163*/   OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/* 13164*/   OPC_EmitMergeInputChains1_0,
/* 13165*/   OPC_MorphNodeTo0Chain, TARGET_VAL(WebAssembly::LOCAL_SET_V128),
                 2/*#Ops*/, 1, 2, 
             // Src: (WebAssemblylocal_set (timm:{ *:[i32] }):$local, v4f32:{ *:[v4f32] }:$src) - Complexity = 6
             // Dst: (LOCAL_SET_V128 (timm:{ *:[i32] }):$local, v4f32:{ *:[v4f32] }:$src)
/* 13171*/  /*Scope*/ 11, /*->13183*/
/* 13172*/   OPC_CheckChild2Type, /*MVT::v2f64*/6|128,1/*134*/, 
/* 13175*/   OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/* 13176*/   OPC_EmitMergeInputChains1_0,
/* 13177*/   OPC_MorphNodeTo0Chain, TARGET_VAL(WebAssembly::LOCAL_SET_V128),
                 2/*#Ops*/, 1, 2, 
             // Src: (WebAssemblylocal_set (timm:{ *:[i32] }):$local, v2f64:{ *:[v2f64] }:$src) - Complexity = 6
             // Dst: (LOCAL_SET_V128 (timm:{ *:[i32] }):$local, v2f64:{ *:[v2f64] }:$src)
/* 13183*/  /*Scope*/ 11, /*->13195*/
/* 13184*/   OPC_CheckChild2Type, /*MVT::funcref*/104|128,1/*232*/, 
/* 13187*/   OPC_CheckPatternPredicate6, // (Subtarget->hasReferenceTypes())
/* 13188*/   OPC_EmitMergeInputChains1_0,
/* 13189*/   OPC_MorphNodeTo0Chain, TARGET_VAL(WebAssembly::LOCAL_SET_FUNCREF),
                 2/*#Ops*/, 1, 2, 
             // Src: (WebAssemblylocal_set (timm:{ *:[i32] }):$local, funcref:{ *:[funcref] }:$src) - Complexity = 6
             // Dst: (LOCAL_SET_FUNCREF (timm:{ *:[i32] }):$local, funcref:{ *:[funcref] }:$src)
/* 13195*/  /*Scope*/ 11, /*->13207*/
/* 13196*/   OPC_CheckChild2Type, /*MVT::externref*/105|128,1/*233*/, 
/* 13199*/   OPC_CheckPatternPredicate6, // (Subtarget->hasReferenceTypes())
/* 13200*/   OPC_EmitMergeInputChains1_0,
/* 13201*/   OPC_MorphNodeTo0Chain, TARGET_VAL(WebAssembly::LOCAL_SET_EXTERNREF),
                 2/*#Ops*/, 1, 2, 
             // Src: (WebAssemblylocal_set (timm:{ *:[i32] }):$local, externref:{ *:[externref] }:$src) - Complexity = 6
             // Dst: (LOCAL_SET_EXTERNREF (timm:{ *:[i32] }):$local, externref:{ *:[externref] }:$src)
/* 13207*/  /*Scope*/ 12, /*->13220*/
/* 13208*/   OPC_CheckChild2Type, /*MVT::exnref*/106|128,1/*234*/, 
/* 13211*/   OPC_CheckPatternPredicate, 8, // (Subtarget->hasExceptionHandling()) && (Subtarget->hasReferenceTypes())
/* 13213*/   OPC_EmitMergeInputChains1_0,
/* 13214*/   OPC_MorphNodeTo0Chain, TARGET_VAL(WebAssembly::LOCAL_SET_EXNREF),
                 2/*#Ops*/, 1, 2, 
             // Src: (WebAssemblylocal_set (timm:{ *:[i32] }):$local, exnref:{ *:[exnref] }:$src) - Complexity = 6
             // Dst: (LOCAL_SET_EXNREF (timm:{ *:[i32] }):$local, exnref:{ *:[exnref] }:$src)
/* 13220*/  0, /*End of Scope*/
/* 13221*/ /*SwitchOpcode*/ 0|128,1/*128*/, TARGET_VAL(WebAssemblyISD::Wrapper),// ->13353
/* 13225*/  OPC_RecordChild0, // #0 = $addr
/* 13226*/  OPC_MoveChild0,
/* 13227*/  OPC_SwitchOpcode /*3 cases */, 47, TARGET_VAL(ISD::TargetGlobalAddress),// ->13278
/* 13231*/   OPC_MoveParent,
/* 13232*/   OPC_SwitchType /*2 cases */, 20, /*MVT::i32*/7, // ->13255
/* 13235*/    OPC_Scope, 8, /*->13245*/ // 2 children in Scope
/* 13237*/     OPC_CheckPatternPredicate, 17, // (!Subtarget->hasAddr64()) && (!TM.isPositionIndependent())
/* 13239*/     OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::CONST_I32),
                   /*MVT::i32*/7, 1/*#Ops*/, 0, 
               // Src: (WebAssemblyWrapper:{ *:[i32] } (tglobaladdr:{ *:[i32] }):$addr) - Complexity = 6
               // Dst: (CONST_I32:{ *:[i32] } (tglobaladdr:{ *:[i32] }):$addr)
/* 13245*/    /*Scope*/ 8, /*->13254*/
/* 13246*/     OPC_CheckPatternPredicate, 14, // (!Subtarget->hasAddr64()) && (TM.isPositionIndependent())
/* 13248*/     OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::GLOBAL_GET_I32),
                   /*MVT::i32*/7, 1/*#Ops*/, 0, 
               // Src: (WebAssemblyWrapper:{ *:[i32] } (tglobaladdr:{ *:[i32] }):$addr) - Complexity = 6
               // Dst: (GLOBAL_GET_I32:{ *:[i32] } (tglobaladdr:{ *:[i32] }):$addr)
/* 13254*/    0, /*End of Scope*/
/* 13255*/   /*SwitchType*/ 20, /*MVT::i64*/8, // ->13277
/* 13257*/    OPC_Scope, 8, /*->13267*/ // 2 children in Scope
/* 13259*/     OPC_CheckPatternPredicate, 18, // (Subtarget->hasAddr64()) && (!TM.isPositionIndependent())
/* 13261*/     OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::CONST_I64),
                   /*MVT::i64*/8, 1/*#Ops*/, 0, 
               // Src: (WebAssemblyWrapper:{ *:[i64] } (tglobaladdr:{ *:[i64] }):$addr) - Complexity = 6
               // Dst: (CONST_I64:{ *:[i64] } (tglobaladdr:{ *:[i64] }):$addr)
/* 13267*/    /*Scope*/ 8, /*->13276*/
/* 13268*/     OPC_CheckPatternPredicate, 15, // (Subtarget->hasAddr64()) && (TM.isPositionIndependent())
/* 13270*/     OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::GLOBAL_GET_I64),
                   /*MVT::i64*/8, 1/*#Ops*/, 0, 
               // Src: (WebAssemblyWrapper:{ *:[i64] } (tglobaladdr:{ *:[i64] }):$addr) - Complexity = 6
               // Dst: (GLOBAL_GET_I64:{ *:[i64] } (tglobaladdr:{ *:[i64] }):$addr)
/* 13276*/    0, /*End of Scope*/
/* 13277*/   0, // EndSwitchType
/* 13278*/  /*SwitchOpcode*/ 21, TARGET_VAL(ISD::TargetGlobalTLSAddress),// ->13302
/* 13281*/   OPC_MoveParent,
/* 13282*/   OPC_SwitchType /*2 cases */, 7, /*MVT::i32*/7, // ->13292
/* 13285*/    OPC_CheckPatternPredicate1, // (!Subtarget->hasAddr64())
/* 13286*/    OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::GLOBAL_GET_I32),
                  /*MVT::i32*/7, 1/*#Ops*/, 0, 
              // Src: (WebAssemblyWrapper:{ *:[i32] } (tglobaltlsaddr:{ *:[i32] }):$addr) - Complexity = 6
              // Dst: (GLOBAL_GET_I32:{ *:[i32] } (tglobaltlsaddr:{ *:[i32] }):$addr)
/* 13292*/   /*SwitchType*/ 7, /*MVT::i64*/8, // ->13301
/* 13294*/    OPC_CheckPatternPredicate2, // (Subtarget->hasAddr64())
/* 13295*/    OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::GLOBAL_GET_I64),
                  /*MVT::i64*/8, 1/*#Ops*/, 0, 
              // Src: (WebAssemblyWrapper:{ *:[i64] } (tglobaltlsaddr:{ *:[i64] }):$addr) - Complexity = 6
              // Dst: (GLOBAL_GET_I64:{ *:[i64] } (tglobaltlsaddr:{ *:[i64] }):$addr)
/* 13301*/   0, // EndSwitchType
/* 13302*/  /*SwitchOpcode*/ 47, TARGET_VAL(ISD::TargetExternalSymbol),// ->13352
/* 13305*/   OPC_MoveParent,
/* 13306*/   OPC_SwitchType /*2 cases */, 20, /*MVT::i32*/7, // ->13329
/* 13309*/    OPC_Scope, 8, /*->13319*/ // 2 children in Scope
/* 13311*/     OPC_CheckPatternPredicate, 14, // (!Subtarget->hasAddr64()) && (TM.isPositionIndependent())
/* 13313*/     OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::GLOBAL_GET_I32),
                   /*MVT::i32*/7, 1/*#Ops*/, 0, 
               // Src: (WebAssemblyWrapper:{ *:[i32] } (texternalsym:{ *:[i32] }):$addr) - Complexity = 6
               // Dst: (GLOBAL_GET_I32:{ *:[i32] } (texternalsym:{ *:[i32] }):$addr)
/* 13319*/    /*Scope*/ 8, /*->13328*/
/* 13320*/     OPC_CheckPatternPredicate, 17, // (!Subtarget->hasAddr64()) && (!TM.isPositionIndependent())
/* 13322*/     OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::CONST_I32),
                   /*MVT::i32*/7, 1/*#Ops*/, 0, 
               // Src: (WebAssemblyWrapper:{ *:[i32] } (texternalsym:{ *:[i32] }):$addr) - Complexity = 6
               // Dst: (CONST_I32:{ *:[i32] } (texternalsym:{ *:[i32] }):$addr)
/* 13328*/    0, /*End of Scope*/
/* 13329*/   /*SwitchType*/ 20, /*MVT::i64*/8, // ->13351
/* 13331*/    OPC_Scope, 8, /*->13341*/ // 2 children in Scope
/* 13333*/     OPC_CheckPatternPredicate, 15, // (Subtarget->hasAddr64()) && (TM.isPositionIndependent())
/* 13335*/     OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::GLOBAL_GET_I64),
                   /*MVT::i64*/8, 1/*#Ops*/, 0, 
               // Src: (WebAssemblyWrapper:{ *:[i64] } (texternalsym:{ *:[i64] }):$addr) - Complexity = 6
               // Dst: (GLOBAL_GET_I64:{ *:[i64] } (texternalsym:{ *:[i64] }):$addr)
/* 13341*/    /*Scope*/ 8, /*->13350*/
/* 13342*/     OPC_CheckPatternPredicate, 18, // (Subtarget->hasAddr64()) && (!TM.isPositionIndependent())
/* 13344*/     OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::CONST_I64),
                   /*MVT::i64*/8, 1/*#Ops*/, 0, 
               // Src: (WebAssemblyWrapper:{ *:[i64] } (texternalsym:{ *:[i64] }):$addr) - Complexity = 6
               // Dst: (CONST_I64:{ *:[i64] } (texternalsym:{ *:[i64] }):$addr)
/* 13350*/    0, /*End of Scope*/
/* 13351*/   0, // EndSwitchType
/* 13352*/  0, // EndSwitchOpcode
/* 13353*/ /*SwitchOpcode*/ 80, TARGET_VAL(WebAssemblyISD::WrapperREL),// ->13436
/* 13356*/  OPC_RecordChild0, // #0 = $addr
/* 13357*/  OPC_MoveChild0,
/* 13358*/  OPC_SwitchOpcode /*3 cases */, 23, TARGET_VAL(ISD::TargetGlobalAddress),// ->13385
/* 13362*/   OPC_MoveParent,
/* 13363*/   OPC_SwitchType /*2 cases */, 8, /*MVT::i32*/7, // ->13374
/* 13366*/    OPC_CheckPatternPredicate, 14, // (!Subtarget->hasAddr64()) && (TM.isPositionIndependent())
/* 13368*/    OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::CONST_I32),
                  /*MVT::i32*/7, 1/*#Ops*/, 0, 
              // Src: (WebAssemblyWrapperREL:{ *:[i32] } (tglobaladdr:{ *:[i32] }):$addr) - Complexity = 6
              // Dst: (CONST_I32:{ *:[i32] } (tglobaladdr:{ *:[i32] }):$addr)
/* 13374*/   /*SwitchType*/ 8, /*MVT::i64*/8, // ->13384
/* 13376*/    OPC_CheckPatternPredicate, 15, // (Subtarget->hasAddr64()) && (TM.isPositionIndependent())
/* 13378*/    OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::CONST_I64),
                  /*MVT::i64*/8, 1/*#Ops*/, 0, 
              // Src: (WebAssemblyWrapperREL:{ *:[i64] } (tglobaladdr:{ *:[i64] }):$addr) - Complexity = 6
              // Dst: (CONST_I64:{ *:[i64] } (tglobaladdr:{ *:[i64] }):$addr)
/* 13384*/   0, // EndSwitchType
/* 13385*/  /*SwitchOpcode*/ 21, TARGET_VAL(ISD::TargetGlobalTLSAddress),// ->13409
/* 13388*/   OPC_MoveParent,
/* 13389*/   OPC_SwitchType /*2 cases */, 7, /*MVT::i32*/7, // ->13399
/* 13392*/    OPC_CheckPatternPredicate1, // (!Subtarget->hasAddr64())
/* 13393*/    OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::CONST_I32),
                  /*MVT::i32*/7, 1/*#Ops*/, 0, 
              // Src: (WebAssemblyWrapperREL:{ *:[i32] } (tglobaltlsaddr:{ *:[i32] }):$addr) - Complexity = 6
              // Dst: (CONST_I32:{ *:[i32] } (tglobaltlsaddr:{ *:[i32] }):$addr)
/* 13399*/   /*SwitchType*/ 7, /*MVT::i64*/8, // ->13408
/* 13401*/    OPC_CheckPatternPredicate2, // (Subtarget->hasAddr64())
/* 13402*/    OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::CONST_I64),
                  /*MVT::i64*/8, 1/*#Ops*/, 0, 
              // Src: (WebAssemblyWrapperREL:{ *:[i64] } (tglobaltlsaddr:{ *:[i64] }):$addr) - Complexity = 6
              // Dst: (CONST_I64:{ *:[i64] } (tglobaltlsaddr:{ *:[i64] }):$addr)
/* 13408*/   0, // EndSwitchType
/* 13409*/  /*SwitchOpcode*/ 23, TARGET_VAL(ISD::TargetExternalSymbol),// ->13435
/* 13412*/   OPC_MoveParent,
/* 13413*/   OPC_SwitchType /*2 cases */, 8, /*MVT::i32*/7, // ->13424
/* 13416*/    OPC_CheckPatternPredicate, 14, // (!Subtarget->hasAddr64()) && (TM.isPositionIndependent())
/* 13418*/    OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::CONST_I32),
                  /*MVT::i32*/7, 1/*#Ops*/, 0, 
              // Src: (WebAssemblyWrapperREL:{ *:[i32] } (texternalsym:{ *:[i32] }):$addr) - Complexity = 6
              // Dst: (CONST_I32:{ *:[i32] } (texternalsym:{ *:[i32] }):$addr)
/* 13424*/   /*SwitchType*/ 8, /*MVT::i64*/8, // ->13434
/* 13426*/    OPC_CheckPatternPredicate, 15, // (Subtarget->hasAddr64()) && (TM.isPositionIndependent())
/* 13428*/    OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::CONST_I64),
                  /*MVT::i64*/8, 1/*#Ops*/, 0, 
              // Src: (WebAssemblyWrapperREL:{ *:[i64] } (texternalsym:{ *:[i64] }):$addr) - Complexity = 6
              // Dst: (CONST_I64:{ *:[i64] } (texternalsym:{ *:[i64] }):$addr)
/* 13434*/   0, // EndSwitchType
/* 13435*/  0, // EndSwitchOpcode
/* 13436*/ /*SwitchOpcode*/ 47, TARGET_VAL(WebAssemblyISD::MEMSET),// ->13486
/* 13439*/  OPC_RecordNode, // #0 = 'wasm_memset' chained node
/* 13440*/  OPC_RecordChild1, // #1 = $idx
/* 13441*/  OPC_MoveChild1,
/* 13442*/  OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 13445*/  OPC_CheckTypeI32,
/* 13446*/  OPC_MoveParent,
/* 13447*/  OPC_RecordChild2, // #2 = $dst
/* 13448*/  OPC_Scope, 17, /*->13467*/ // 2 children in Scope
/* 13450*/   OPC_CheckChild2TypeI32,
/* 13451*/   OPC_RecordChild3, // #3 = $value
/* 13452*/   OPC_CheckChild3TypeI32,
/* 13453*/   OPC_RecordChild4, // #4 = $size
/* 13454*/   OPC_CheckChild4TypeI32,
/* 13455*/   OPC_CheckPatternPredicate, 12, // (Subtarget->hasBulkMemoryOpt())
/* 13457*/   OPC_EmitMergeInputChains1_0,
/* 13458*/   OPC_EmitConvertToTarget1, // #5
/* 13459*/   OPC_MorphNodeTo0Chain, TARGET_VAL(WebAssembly::MEMSET_A32),
                 4/*#Ops*/, 5, 2, 3, 4, 
             // Src: (wasm_memset (imm:{ *:[i32] }):$idx, I32:{ *:[i32] }:$dst, I32:{ *:[i32] }:$value, I32:{ *:[i32] }:$size) - Complexity = 6
             // Dst: (MEMSET_A32 (imm:{ *:[i32] }):$idx, I32:{ *:[i32] }:$dst, I32:{ *:[i32] }:$value, I32:{ *:[i32] }:$size)
/* 13467*/  /*Scope*/ 17, /*->13485*/
/* 13468*/   OPC_CheckChild2TypeI64,
/* 13469*/   OPC_RecordChild3, // #3 = $value
/* 13470*/   OPC_CheckChild3TypeI32,
/* 13471*/   OPC_RecordChild4, // #4 = $size
/* 13472*/   OPC_CheckChild4TypeI64,
/* 13473*/   OPC_CheckPatternPredicate, 12, // (Subtarget->hasBulkMemoryOpt())
/* 13475*/   OPC_EmitMergeInputChains1_0,
/* 13476*/   OPC_EmitConvertToTarget1, // #5
/* 13477*/   OPC_MorphNodeTo0Chain, TARGET_VAL(WebAssembly::MEMSET_A64),
                 4/*#Ops*/, 5, 2, 3, 4, 
             // Src: (wasm_memset (imm:{ *:[i32] }):$idx, I64:{ *:[i64] }:$dst, I32:{ *:[i32] }:$value, I64:{ *:[i64] }:$size) - Complexity = 6
             // Dst: (MEMSET_A64 (imm:{ *:[i32] }):$idx, I64:{ *:[i64] }:$dst, I32:{ *:[i32] }:$value, I64:{ *:[i64] }:$size)
/* 13485*/  0, /*End of Scope*/
/* 13486*/ /*SwitchOpcode*/ 21, TARGET_VAL(ISD::Constant),// ->13510
/* 13489*/  OPC_RecordNode, // #0 = $imm
/* 13490*/  OPC_SwitchType /*2 cases */, 7, /*MVT::i32*/7, // ->13500
/* 13493*/   OPC_EmitConvertToTarget0, // #1
/* 13494*/   OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::CONST_I32),
                 /*MVT::i32*/7, 1/*#Ops*/, 1, 
             // Src: (imm:{ *:[i32] }):$imm - Complexity = 3
             // Dst: (CONST_I32:{ *:[i32] } (imm:{ *:[i32] }):$imm)
/* 13500*/  /*SwitchType*/ 7, /*MVT::i64*/8, // ->13509
/* 13502*/   OPC_EmitConvertToTarget0, // #1
/* 13503*/   OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::CONST_I64),
                 /*MVT::i64*/8, 1/*#Ops*/, 1, 
             // Src: (imm:{ *:[i64] }):$imm - Complexity = 3
             // Dst: (CONST_I64:{ *:[i64] } (imm:{ *:[i64] }):$imm)
/* 13509*/  0, // EndSwitchType
/* 13510*/ /*SwitchOpcode*/ 13, TARGET_VAL(ISD::BR),// ->13526
/* 13513*/  OPC_RecordNode, // #0 = 'br' chained node
/* 13514*/  OPC_RecordChild1, // #1 = $dst
/* 13515*/  OPC_MoveChild1,
/* 13516*/  OPC_CheckOpcode, TARGET_VAL(ISD::BasicBlock),
/* 13519*/  OPC_MoveParent,
/* 13520*/  OPC_EmitMergeInputChains1_0,
/* 13521*/  OPC_MorphNodeTo0Chain, TARGET_VAL(WebAssembly::BR),
                1/*#Ops*/, 1, 
            // Src: (br (bb:{ *:[Other] }):$dst) - Complexity = 3
            // Dst: (BR (bb:{ *:[Other] }):$dst)
/* 13526*/ /*SwitchOpcode*/ 22, TARGET_VAL(WebAssemblyISD::BR_TABLE),// ->13551
/* 13529*/  OPC_RecordNode, // #0 = 'WebAssemblybr_table' chained node
/* 13530*/  OPC_RecordChild1, // #1 = $index
/* 13531*/  OPC_Scope, 8, /*->13541*/ // 2 children in Scope
/* 13533*/   OPC_CheckChild1TypeI32,
/* 13534*/   OPC_EmitMergeInputChains1_0,
/* 13535*/   OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::BR_TABLE_I32), 0|OPFL_Chain|OPFL_Variadic1,
                 1/*#Ops*/, 1, 
             // Src: (WebAssemblybr_table I32:{ *:[i32] }:$index) - Complexity = 3
             // Dst: (BR_TABLE_I32 I32:{ *:[i32] }:$index)
/* 13541*/  /*Scope*/ 8, /*->13550*/
/* 13542*/   OPC_CheckChild1TypeI64,
/* 13543*/   OPC_EmitMergeInputChains1_0,
/* 13544*/   OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::BR_TABLE_I64), 0|OPFL_Chain|OPFL_Variadic1,
                 1/*#Ops*/, 1, 
             // Src: (WebAssemblybr_table I64:{ *:[i64] }:$index) - Complexity = 3
             // Dst: (BR_TABLE_I64 I64:{ *:[i64] }:$index)
/* 13550*/  0, /*End of Scope*/
/* 13551*/ /*SwitchOpcode*/ 7, TARGET_VAL(WebAssemblyISD::RETURN),// ->13561
/* 13554*/  OPC_RecordNode, // #0 = 'WebAssemblyreturn' chained node
/* 13555*/  OPC_EmitMergeInputChains1_0,
/* 13556*/  OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::RETURN), 0|OPFL_Chain|OPFL_Variadic0,
                0/*#Ops*/, 
            // Src: (WebAssemblyreturn) - Complexity = 3
            // Dst: (RETURN)
/* 13561*/ /*SwitchOpcode*/ 6, TARGET_VAL(ISD::TRAP),// ->13570
/* 13564*/  OPC_RecordNode, // #0 = 'trap' chained node
/* 13565*/  OPC_EmitMergeInputChains1_0,
/* 13566*/  OPC_MorphNodeTo0Chain, TARGET_VAL(WebAssembly::UNREACHABLE),
                0/*#Ops*/, 
            // Src: (trap) - Complexity = 3
            // Dst: (UNREACHABLE)
/* 13570*/ /*SwitchOpcode*/ 6, TARGET_VAL(ISD::DEBUGTRAP),// ->13579
/* 13573*/  OPC_RecordNode, // #0 = 'debugtrap' chained node
/* 13574*/  OPC_EmitMergeInputChains1_0,
/* 13575*/  OPC_MorphNodeTo0Chain, TARGET_VAL(WebAssembly::DEBUG_UNREACHABLE),
                0/*#Ops*/, 
            // Src: (debugtrap) - Complexity = 3
            // Dst: (DEBUG_UNREACHABLE)
/* 13579*/ /*SwitchOpcode*/ 15, TARGET_VAL(ISD::CLEANUPRET),// ->13597
/* 13582*/  OPC_RecordNode, // #0 = 'cleanupret' chained node
/* 13583*/  OPC_RecordChild1, // #1 = $ehpad
/* 13584*/  OPC_MoveChild1,
/* 13585*/  OPC_CheckOpcode, TARGET_VAL(ISD::BasicBlock),
/* 13588*/  OPC_MoveParent,
/* 13589*/  OPC_CheckPatternPredicate, 19, // (Subtarget->hasExceptionHandling())
/* 13591*/  OPC_EmitMergeInputChains1_0,
/* 13592*/  OPC_MorphNodeTo0Chain, TARGET_VAL(WebAssembly::CLEANUPRET),
                1/*#Ops*/, 1, 
            // Src: (cleanupret (bb:{ *:[Other] }):$ehpad) - Complexity = 3
            // Dst: (CLEANUPRET (bb:{ *:[Other] }):$ehpad)
/* 13597*/ /*SwitchOpcode*/ 21, TARGET_VAL(ISD::CATCHRET),// ->13621
/* 13600*/  OPC_RecordNode, // #0 = 'catchret' chained node
/* 13601*/  OPC_RecordChild1, // #1 = $dst
/* 13602*/  OPC_MoveChild1,
/* 13603*/  OPC_CheckOpcode, TARGET_VAL(ISD::BasicBlock),
/* 13606*/  OPC_MoveSibling2,
/* 13607*/  OPC_CheckOpcode, TARGET_VAL(ISD::BasicBlock),
/* 13610*/  OPC_RecordNode, // #2 = $from
/* 13611*/  OPC_MoveParent,
/* 13612*/  OPC_CheckPatternPredicate, 19, // (Subtarget->hasExceptionHandling())
/* 13614*/  OPC_EmitMergeInputChains1_0,
/* 13615*/  OPC_MorphNodeTo0Chain, TARGET_VAL(WebAssembly::CATCHRET),
                2/*#Ops*/, 1, 2, 
            // Src: (catchret (bb:{ *:[Other] }):$dst, (bb:{ *:[Other] }):$from) - Complexity = 3
            // Dst: (CATCHRET (bb:{ *:[Other] }):$dst, (bb:{ *:[Other] }):$from)
/* 13621*/ /*SwitchOpcode*/ 62, TARGET_VAL(ISD::ADD),// ->13686
/* 13624*/  OPC_RecordChild0, // #0 = $lhs
/* 13625*/  OPC_RecordChild1, // #1 = $rhs
/* 13626*/  OPC_SwitchType /*6 cases */, 7, /*MVT::i32*/7, // ->13636
/* 13629*/   OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::ADD_I32),
                 /*MVT::i32*/7, 2/*#Ops*/, 0, 1, 
             // Src: (add:{ *:[i32] } I32:{ *:[i32] }:$lhs, I32:{ *:[i32] }:$rhs) - Complexity = 3
             // Dst: (ADD_I32:{ *:[i32] } I32:{ *:[i32] }:$lhs, I32:{ *:[i32] }:$rhs)
/* 13636*/  /*SwitchType*/ 7, /*MVT::i64*/8, // ->13645
/* 13638*/   OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::ADD_I64),
                 /*MVT::i64*/8, 2/*#Ops*/, 0, 1, 
             // Src: (add:{ *:[i64] } I64:{ *:[i64] }:$lhs, I64:{ *:[i64] }:$rhs) - Complexity = 3
             // Dst: (ADD_I64:{ *:[i64] } I64:{ *:[i64] }:$lhs, I64:{ *:[i64] }:$rhs)
/* 13645*/  /*SwitchType*/ 8, /*MVT::v16i8*/40, // ->13655
/* 13647*/   OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/* 13648*/   OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::ADD_I8x16),
                 /*MVT::v16i8*/40, 2/*#Ops*/, 0, 1, 
             // Src: (add:{ *:[v16i8] } V128:{ *:[v16i8] }:$lhs, V128:{ *:[v16i8] }:$rhs) - Complexity = 3
             // Dst: (ADD_I8x16:{ *:[v16i8] } V128:{ *:[v16i8] }:$lhs, V128:{ *:[v16i8] }:$rhs)
/* 13655*/  /*SwitchType*/ 8, /*MVT::v8i16*/51, // ->13665
/* 13657*/   OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/* 13658*/   OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::ADD_I16x8),
                 /*MVT::v8i16*/51, 2/*#Ops*/, 0, 1, 
             // Src: (add:{ *:[v8i16] } V128:{ *:[v8i16] }:$lhs, V128:{ *:[v8i16] }:$rhs) - Complexity = 3
             // Dst: (ADD_I16x8:{ *:[v8i16] } V128:{ *:[v8i16] }:$lhs, V128:{ *:[v8i16] }:$rhs)
/* 13665*/  /*SwitchType*/ 8, /*MVT::v4i32*/62, // ->13675
/* 13667*/   OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/* 13668*/   OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::ADD_I32x4),
                 /*MVT::v4i32*/62, 2/*#Ops*/, 0, 1, 
             // Src: (add:{ *:[v4i32] } V128:{ *:[v4i32] }:$lhs, V128:{ *:[v4i32] }:$rhs) - Complexity = 3
             // Dst: (ADD_I32x4:{ *:[v4i32] } V128:{ *:[v4i32] }:$lhs, V128:{ *:[v4i32] }:$rhs)
/* 13675*/  /*SwitchType*/ 8, /*MVT::v2i64*/81, // ->13685
/* 13677*/   OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/* 13678*/   OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::ADD_I64x2),
                 /*MVT::v2i64*/81, 2/*#Ops*/, 0, 1, 
             // Src: (add:{ *:[v2i64] } V128:{ *:[v2i64] }:$lhs, V128:{ *:[v2i64] }:$rhs) - Complexity = 3
             // Dst: (ADD_I64x2:{ *:[v2i64] } V128:{ *:[v2i64] }:$lhs, V128:{ *:[v2i64] }:$rhs)
/* 13685*/  0, // EndSwitchType
/* 13686*/ /*SwitchOpcode*/ 113, TARGET_VAL(ISD::SUB),// ->13802
/* 13689*/  OPC_Scope, 22, /*->13713*/ // 3 children in Scope
/* 13691*/   OPC_RecordChild0, // #0 = $lhs
/* 13692*/   OPC_RecordChild1, // #1 = $rhs
/* 13693*/   OPC_SwitchType /*2 cases */, 7, /*MVT::i32*/7, // ->13703
/* 13696*/    OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::SUB_I32),
                  /*MVT::i32*/7, 2/*#Ops*/, 0, 1, 
              // Src: (sub:{ *:[i32] } I32:{ *:[i32] }:$lhs, I32:{ *:[i32] }:$rhs) - Complexity = 3
              // Dst: (SUB_I32:{ *:[i32] } I32:{ *:[i32] }:$lhs, I32:{ *:[i32] }:$rhs)
/* 13703*/   /*SwitchType*/ 7, /*MVT::i64*/8, // ->13712
/* 13705*/    OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::SUB_I64),
                  /*MVT::i64*/8, 2/*#Ops*/, 0, 1, 
              // Src: (sub:{ *:[i64] } I64:{ *:[i64] }:$lhs, I64:{ *:[i64] }:$rhs) - Complexity = 3
              // Dst: (SUB_I64:{ *:[i64] } I64:{ *:[i64] }:$lhs, I64:{ *:[i64] }:$rhs)
/* 13712*/   0, // EndSwitchType
/* 13713*/  /*Scope*/ 42, /*->13756*/
/* 13714*/   OPC_MoveChild0,
/* 13715*/   OPC_CheckImmAllZerosV,
/* 13716*/   OPC_MoveParent,
/* 13717*/   OPC_RecordChild1, // #0 = $v
/* 13718*/   OPC_SwitchType /*4 cases */, 7, /*MVT::v16i8*/40, // ->13728
/* 13721*/    OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/* 13722*/    OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::NEG_I8x16),
                  /*MVT::v16i8*/40, 1/*#Ops*/, 0, 
              // Src: (sub:{ *:[v16i8] } immAllZerosV:{ *:[v16i8] }, V128:{ *:[v16i8] }:$v) - Complexity = 7
              // Dst: (NEG_I8x16:{ *:[v16i8] } V128:{ *:[v16i8] }:$v)
/* 13728*/   /*SwitchType*/ 7, /*MVT::v8i16*/51, // ->13737
/* 13730*/    OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/* 13731*/    OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::NEG_I16x8),
                  /*MVT::v8i16*/51, 1/*#Ops*/, 0, 
              // Src: (sub:{ *:[v8i16] } immAllZerosV:{ *:[v8i16] }, V128:{ *:[v8i16] }:$v) - Complexity = 7
              // Dst: (NEG_I16x8:{ *:[v8i16] } V128:{ *:[v8i16] }:$v)
/* 13737*/   /*SwitchType*/ 7, /*MVT::v4i32*/62, // ->13746
/* 13739*/    OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/* 13740*/    OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::NEG_I32x4),
                  /*MVT::v4i32*/62, 1/*#Ops*/, 0, 
              // Src: (sub:{ *:[v4i32] } immAllZerosV:{ *:[v4i32] }, V128:{ *:[v4i32] }:$v) - Complexity = 7
              // Dst: (NEG_I32x4:{ *:[v4i32] } V128:{ *:[v4i32] }:$v)
/* 13746*/   /*SwitchType*/ 7, /*MVT::v2i64*/81, // ->13755
/* 13748*/    OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/* 13749*/    OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::NEG_I64x2),
                  /*MVT::v2i64*/81, 1/*#Ops*/, 0, 
              // Src: (sub:{ *:[v2i64] } immAllZerosV:{ *:[v2i64] }, V128:{ *:[v2i64] }:$v) - Complexity = 7
              // Dst: (NEG_I64x2:{ *:[v2i64] } V128:{ *:[v2i64] }:$v)
/* 13755*/   0, // EndSwitchType
/* 13756*/  /*Scope*/ 44, /*->13801*/
/* 13757*/   OPC_RecordChild0, // #0 = $lhs
/* 13758*/   OPC_RecordChild1, // #1 = $rhs
/* 13759*/   OPC_SwitchType /*4 cases */, 8, /*MVT::v16i8*/40, // ->13770
/* 13762*/    OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/* 13763*/    OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::SUB_I8x16),
                  /*MVT::v16i8*/40, 2/*#Ops*/, 0, 1, 
              // Src: (sub:{ *:[v16i8] } V128:{ *:[v16i8] }:$lhs, V128:{ *:[v16i8] }:$rhs) - Complexity = 3
              // Dst: (SUB_I8x16:{ *:[v16i8] } V128:{ *:[v16i8] }:$lhs, V128:{ *:[v16i8] }:$rhs)
/* 13770*/   /*SwitchType*/ 8, /*MVT::v8i16*/51, // ->13780
/* 13772*/    OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/* 13773*/    OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::SUB_I16x8),
                  /*MVT::v8i16*/51, 2/*#Ops*/, 0, 1, 
              // Src: (sub:{ *:[v8i16] } V128:{ *:[v8i16] }:$lhs, V128:{ *:[v8i16] }:$rhs) - Complexity = 3
              // Dst: (SUB_I16x8:{ *:[v8i16] } V128:{ *:[v8i16] }:$lhs, V128:{ *:[v8i16] }:$rhs)
/* 13780*/   /*SwitchType*/ 8, /*MVT::v4i32*/62, // ->13790
/* 13782*/    OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/* 13783*/    OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::SUB_I32x4),
                  /*MVT::v4i32*/62, 2/*#Ops*/, 0, 1, 
              // Src: (sub:{ *:[v4i32] } V128:{ *:[v4i32] }:$lhs, V128:{ *:[v4i32] }:$rhs) - Complexity = 3
              // Dst: (SUB_I32x4:{ *:[v4i32] } V128:{ *:[v4i32] }:$lhs, V128:{ *:[v4i32] }:$rhs)
/* 13790*/   /*SwitchType*/ 8, /*MVT::v2i64*/81, // ->13800
/* 13792*/    OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/* 13793*/    OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::SUB_I64x2),
                  /*MVT::v2i64*/81, 2/*#Ops*/, 0, 1, 
              // Src: (sub:{ *:[v2i64] } V128:{ *:[v2i64] }:$lhs, V128:{ *:[v2i64] }:$rhs) - Complexity = 3
              // Dst: (SUB_I64x2:{ *:[v2i64] } V128:{ *:[v2i64] }:$lhs, V128:{ *:[v2i64] }:$rhs)
/* 13800*/   0, // EndSwitchType
/* 13801*/  0, /*End of Scope*/
/* 13802*/ /*SwitchOpcode*/ 85|128,2/*341*/, TARGET_VAL(ISD::MUL),// ->14147
/* 13806*/  OPC_Scope, 22, /*->13830*/ // 3 children in Scope
/* 13808*/   OPC_RecordChild0, // #0 = $lhs
/* 13809*/   OPC_RecordChild1, // #1 = $rhs
/* 13810*/   OPC_SwitchType /*2 cases */, 7, /*MVT::i32*/7, // ->13820
/* 13813*/    OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::MUL_I32),
                  /*MVT::i32*/7, 2/*#Ops*/, 0, 1, 
              // Src: (mul:{ *:[i32] } I32:{ *:[i32] }:$lhs, I32:{ *:[i32] }:$rhs) - Complexity = 3
              // Dst: (MUL_I32:{ *:[i32] } I32:{ *:[i32] }:$lhs, I32:{ *:[i32] }:$rhs)
/* 13820*/   /*SwitchType*/ 7, /*MVT::i64*/8, // ->13829
/* 13822*/    OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::MUL_I64),
                  /*MVT::i64*/8, 2/*#Ops*/, 0, 1, 
              // Src: (mul:{ *:[i64] } I64:{ *:[i64] }:$lhs, I64:{ *:[i64] }:$rhs) - Complexity = 3
              // Dst: (MUL_I64:{ *:[i64] } I64:{ *:[i64] }:$lhs, I64:{ *:[i64] }:$rhs)
/* 13829*/   0, // EndSwitchType
/* 13830*/  /*Scope*/ 23|128,2/*279*/, /*->14111*/
/* 13832*/   OPC_MoveChild0,
/* 13833*/   OPC_SwitchOpcode /*4 cases */, 66, TARGET_VAL(WebAssemblyISD::EXTEND_LOW_S),// ->13903
/* 13837*/    OPC_RecordChild0, // #0 = $lhs
/* 13838*/    OPC_Scope, 20, /*->13860*/ // 3 children in Scope
/* 13840*/     OPC_CheckChild0Type, /*MVT::v16i8*/40, 
/* 13842*/     OPC_MoveSibling1,
/* 13843*/     OPC_CheckOpcode, TARGET_VAL(WebAssemblyISD::EXTEND_LOW_S),
/* 13846*/     OPC_RecordChild0, // #1 = $rhs
/* 13847*/     OPC_CheckChild0Type, /*MVT::v16i8*/40, 
/* 13849*/     OPC_MoveParent,
/* 13850*/     OPC_CheckType, /*MVT::v8i16*/51, 
/* 13852*/     OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/* 13853*/     OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::EXTMUL_LOW_S_I16x8),
                   /*MVT::v8i16*/51, 2/*#Ops*/, 0, 1, 
               // Src: (mul:{ *:[v8i16] } (extend_low_s:{ *:[v8i16] } V128:{ *:[v16i8] }:$lhs), (extend_low_s:{ *:[v8i16] } V128:{ *:[v16i8] }:$rhs)) - Complexity = 9
               // Dst: (EXTMUL_LOW_S_I16x8:{ *:[v8i16] } V128:{ *:[v16i8] }:$lhs, V128:{ *:[v16i8] }:$rhs)
/* 13860*/    /*Scope*/ 20, /*->13881*/
/* 13861*/     OPC_CheckChild0Type, /*MVT::v8i16*/51, 
/* 13863*/     OPC_MoveSibling1,
/* 13864*/     OPC_CheckOpcode, TARGET_VAL(WebAssemblyISD::EXTEND_LOW_S),
/* 13867*/     OPC_RecordChild0, // #1 = $rhs
/* 13868*/     OPC_CheckChild0Type, /*MVT::v8i16*/51, 
/* 13870*/     OPC_MoveParent,
/* 13871*/     OPC_CheckType, /*MVT::v4i32*/62, 
/* 13873*/     OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/* 13874*/     OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::EXTMUL_LOW_S_I32x4),
                   /*MVT::v4i32*/62, 2/*#Ops*/, 0, 1, 
               // Src: (mul:{ *:[v4i32] } (extend_low_s:{ *:[v4i32] } V128:{ *:[v8i16] }:$lhs), (extend_low_s:{ *:[v4i32] } V128:{ *:[v8i16] }:$rhs)) - Complexity = 9
               // Dst: (EXTMUL_LOW_S_I32x4:{ *:[v4i32] } V128:{ *:[v8i16] }:$lhs, V128:{ *:[v8i16] }:$rhs)
/* 13881*/    /*Scope*/ 20, /*->13902*/
/* 13882*/     OPC_CheckChild0Type, /*MVT::v4i32*/62, 
/* 13884*/     OPC_MoveSibling1,
/* 13885*/     OPC_CheckOpcode, TARGET_VAL(WebAssemblyISD::EXTEND_LOW_S),
/* 13888*/     OPC_RecordChild0, // #1 = $rhs
/* 13889*/     OPC_CheckChild0Type, /*MVT::v4i32*/62, 
/* 13891*/     OPC_MoveParent,
/* 13892*/     OPC_CheckType, /*MVT::v2i64*/81, 
/* 13894*/     OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/* 13895*/     OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::EXTMUL_LOW_S_I64x2),
                   /*MVT::v2i64*/81, 2/*#Ops*/, 0, 1, 
               // Src: (mul:{ *:[v2i64] } (extend_low_s:{ *:[v2i64] } V128:{ *:[v4i32] }:$lhs), (extend_low_s:{ *:[v2i64] } V128:{ *:[v4i32] }:$rhs)) - Complexity = 9
               // Dst: (EXTMUL_LOW_S_I64x2:{ *:[v2i64] } V128:{ *:[v4i32] }:$lhs, V128:{ *:[v4i32] }:$rhs)
/* 13902*/    0, /*End of Scope*/
/* 13903*/   /*SwitchOpcode*/ 66, TARGET_VAL(WebAssemblyISD::EXTEND_HIGH_S),// ->13972
/* 13906*/    OPC_RecordChild0, // #0 = $lhs
/* 13907*/    OPC_Scope, 20, /*->13929*/ // 3 children in Scope
/* 13909*/     OPC_CheckChild0Type, /*MVT::v16i8*/40, 
/* 13911*/     OPC_MoveSibling1,
/* 13912*/     OPC_CheckOpcode, TARGET_VAL(WebAssemblyISD::EXTEND_HIGH_S),
/* 13915*/     OPC_RecordChild0, // #1 = $rhs
/* 13916*/     OPC_CheckChild0Type, /*MVT::v16i8*/40, 
/* 13918*/     OPC_MoveParent,
/* 13919*/     OPC_CheckType, /*MVT::v8i16*/51, 
/* 13921*/     OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/* 13922*/     OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::EXTMUL_HIGH_S_I16x8),
                   /*MVT::v8i16*/51, 2/*#Ops*/, 0, 1, 
               // Src: (mul:{ *:[v8i16] } (extend_high_s:{ *:[v8i16] } V128:{ *:[v16i8] }:$lhs), (extend_high_s:{ *:[v8i16] } V128:{ *:[v16i8] }:$rhs)) - Complexity = 9
               // Dst: (EXTMUL_HIGH_S_I16x8:{ *:[v8i16] } V128:{ *:[v16i8] }:$lhs, V128:{ *:[v16i8] }:$rhs)
/* 13929*/    /*Scope*/ 20, /*->13950*/
/* 13930*/     OPC_CheckChild0Type, /*MVT::v8i16*/51, 
/* 13932*/     OPC_MoveSibling1,
/* 13933*/     OPC_CheckOpcode, TARGET_VAL(WebAssemblyISD::EXTEND_HIGH_S),
/* 13936*/     OPC_RecordChild0, // #1 = $rhs
/* 13937*/     OPC_CheckChild0Type, /*MVT::v8i16*/51, 
/* 13939*/     OPC_MoveParent,
/* 13940*/     OPC_CheckType, /*MVT::v4i32*/62, 
/* 13942*/     OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/* 13943*/     OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::EXTMUL_HIGH_S_I32x4),
                   /*MVT::v4i32*/62, 2/*#Ops*/, 0, 1, 
               // Src: (mul:{ *:[v4i32] } (extend_high_s:{ *:[v4i32] } V128:{ *:[v8i16] }:$lhs), (extend_high_s:{ *:[v4i32] } V128:{ *:[v8i16] }:$rhs)) - Complexity = 9
               // Dst: (EXTMUL_HIGH_S_I32x4:{ *:[v4i32] } V128:{ *:[v8i16] }:$lhs, V128:{ *:[v8i16] }:$rhs)
/* 13950*/    /*Scope*/ 20, /*->13971*/
/* 13951*/     OPC_CheckChild0Type, /*MVT::v4i32*/62, 
/* 13953*/     OPC_MoveSibling1,
/* 13954*/     OPC_CheckOpcode, TARGET_VAL(WebAssemblyISD::EXTEND_HIGH_S),
/* 13957*/     OPC_RecordChild0, // #1 = $rhs
/* 13958*/     OPC_CheckChild0Type, /*MVT::v4i32*/62, 
/* 13960*/     OPC_MoveParent,
/* 13961*/     OPC_CheckType, /*MVT::v2i64*/81, 
/* 13963*/     OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/* 13964*/     OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::EXTMUL_HIGH_S_I64x2),
                   /*MVT::v2i64*/81, 2/*#Ops*/, 0, 1, 
               // Src: (mul:{ *:[v2i64] } (extend_high_s:{ *:[v2i64] } V128:{ *:[v4i32] }:$lhs), (extend_high_s:{ *:[v2i64] } V128:{ *:[v4i32] }:$rhs)) - Complexity = 9
               // Dst: (EXTMUL_HIGH_S_I64x2:{ *:[v2i64] } V128:{ *:[v4i32] }:$lhs, V128:{ *:[v4i32] }:$rhs)
/* 13971*/    0, /*End of Scope*/
/* 13972*/   /*SwitchOpcode*/ 66, TARGET_VAL(WebAssemblyISD::EXTEND_LOW_U),// ->14041
/* 13975*/    OPC_RecordChild0, // #0 = $lhs
/* 13976*/    OPC_Scope, 20, /*->13998*/ // 3 children in Scope
/* 13978*/     OPC_CheckChild0Type, /*MVT::v16i8*/40, 
/* 13980*/     OPC_MoveSibling1,
/* 13981*/     OPC_CheckOpcode, TARGET_VAL(WebAssemblyISD::EXTEND_LOW_U),
/* 13984*/     OPC_RecordChild0, // #1 = $rhs
/* 13985*/     OPC_CheckChild0Type, /*MVT::v16i8*/40, 
/* 13987*/     OPC_MoveParent,
/* 13988*/     OPC_CheckType, /*MVT::v8i16*/51, 
/* 13990*/     OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/* 13991*/     OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::EXTMUL_LOW_U_I16x8),
                   /*MVT::v8i16*/51, 2/*#Ops*/, 0, 1, 
               // Src: (mul:{ *:[v8i16] } (extend_low_u:{ *:[v8i16] } V128:{ *:[v16i8] }:$lhs), (extend_low_u:{ *:[v8i16] } V128:{ *:[v16i8] }:$rhs)) - Complexity = 9
               // Dst: (EXTMUL_LOW_U_I16x8:{ *:[v8i16] } V128:{ *:[v16i8] }:$lhs, V128:{ *:[v16i8] }:$rhs)
/* 13998*/    /*Scope*/ 20, /*->14019*/
/* 13999*/     OPC_CheckChild0Type, /*MVT::v8i16*/51, 
/* 14001*/     OPC_MoveSibling1,
/* 14002*/     OPC_CheckOpcode, TARGET_VAL(WebAssemblyISD::EXTEND_LOW_U),
/* 14005*/     OPC_RecordChild0, // #1 = $rhs
/* 14006*/     OPC_CheckChild0Type, /*MVT::v8i16*/51, 
/* 14008*/     OPC_MoveParent,
/* 14009*/     OPC_CheckType, /*MVT::v4i32*/62, 
/* 14011*/     OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/* 14012*/     OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::EXTMUL_LOW_U_I32x4),
                   /*MVT::v4i32*/62, 2/*#Ops*/, 0, 1, 
               // Src: (mul:{ *:[v4i32] } (extend_low_u:{ *:[v4i32] } V128:{ *:[v8i16] }:$lhs), (extend_low_u:{ *:[v4i32] } V128:{ *:[v8i16] }:$rhs)) - Complexity = 9
               // Dst: (EXTMUL_LOW_U_I32x4:{ *:[v4i32] } V128:{ *:[v8i16] }:$lhs, V128:{ *:[v8i16] }:$rhs)
/* 14019*/    /*Scope*/ 20, /*->14040*/
/* 14020*/     OPC_CheckChild0Type, /*MVT::v4i32*/62, 
/* 14022*/     OPC_MoveSibling1,
/* 14023*/     OPC_CheckOpcode, TARGET_VAL(WebAssemblyISD::EXTEND_LOW_U),
/* 14026*/     OPC_RecordChild0, // #1 = $rhs
/* 14027*/     OPC_CheckChild0Type, /*MVT::v4i32*/62, 
/* 14029*/     OPC_MoveParent,
/* 14030*/     OPC_CheckType, /*MVT::v2i64*/81, 
/* 14032*/     OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/* 14033*/     OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::EXTMUL_LOW_U_I64x2),
                   /*MVT::v2i64*/81, 2/*#Ops*/, 0, 1, 
               // Src: (mul:{ *:[v2i64] } (extend_low_u:{ *:[v2i64] } V128:{ *:[v4i32] }:$lhs), (extend_low_u:{ *:[v2i64] } V128:{ *:[v4i32] }:$rhs)) - Complexity = 9
               // Dst: (EXTMUL_LOW_U_I64x2:{ *:[v2i64] } V128:{ *:[v4i32] }:$lhs, V128:{ *:[v4i32] }:$rhs)
/* 14040*/    0, /*End of Scope*/
/* 14041*/   /*SwitchOpcode*/ 66, TARGET_VAL(WebAssemblyISD::EXTEND_HIGH_U),// ->14110
/* 14044*/    OPC_RecordChild0, // #0 = $lhs
/* 14045*/    OPC_Scope, 20, /*->14067*/ // 3 children in Scope
/* 14047*/     OPC_CheckChild0Type, /*MVT::v16i8*/40, 
/* 14049*/     OPC_MoveSibling1,
/* 14050*/     OPC_CheckOpcode, TARGET_VAL(WebAssemblyISD::EXTEND_HIGH_U),
/* 14053*/     OPC_RecordChild0, // #1 = $rhs
/* 14054*/     OPC_CheckChild0Type, /*MVT::v16i8*/40, 
/* 14056*/     OPC_MoveParent,
/* 14057*/     OPC_CheckType, /*MVT::v8i16*/51, 
/* 14059*/     OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/* 14060*/     OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::EXTMUL_HIGH_U_I16x8),
                   /*MVT::v8i16*/51, 2/*#Ops*/, 0, 1, 
               // Src: (mul:{ *:[v8i16] } (extend_high_u:{ *:[v8i16] } V128:{ *:[v16i8] }:$lhs), (extend_high_u:{ *:[v8i16] } V128:{ *:[v16i8] }:$rhs)) - Complexity = 9
               // Dst: (EXTMUL_HIGH_U_I16x8:{ *:[v8i16] } V128:{ *:[v16i8] }:$lhs, V128:{ *:[v16i8] }:$rhs)
/* 14067*/    /*Scope*/ 20, /*->14088*/
/* 14068*/     OPC_CheckChild0Type, /*MVT::v8i16*/51, 
/* 14070*/     OPC_MoveSibling1,
/* 14071*/     OPC_CheckOpcode, TARGET_VAL(WebAssemblyISD::EXTEND_HIGH_U),
/* 14074*/     OPC_RecordChild0, // #1 = $rhs
/* 14075*/     OPC_CheckChild0Type, /*MVT::v8i16*/51, 
/* 14077*/     OPC_MoveParent,
/* 14078*/     OPC_CheckType, /*MVT::v4i32*/62, 
/* 14080*/     OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/* 14081*/     OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::EXTMUL_HIGH_U_I32x4),
                   /*MVT::v4i32*/62, 2/*#Ops*/, 0, 1, 
               // Src: (mul:{ *:[v4i32] } (extend_high_u:{ *:[v4i32] } V128:{ *:[v8i16] }:$lhs), (extend_high_u:{ *:[v4i32] } V128:{ *:[v8i16] }:$rhs)) - Complexity = 9
               // Dst: (EXTMUL_HIGH_U_I32x4:{ *:[v4i32] } V128:{ *:[v8i16] }:$lhs, V128:{ *:[v8i16] }:$rhs)
/* 14088*/    /*Scope*/ 20, /*->14109*/
/* 14089*/     OPC_CheckChild0Type, /*MVT::v4i32*/62, 
/* 14091*/     OPC_MoveSibling1,
/* 14092*/     OPC_CheckOpcode, TARGET_VAL(WebAssemblyISD::EXTEND_HIGH_U),
/* 14095*/     OPC_RecordChild0, // #1 = $rhs
/* 14096*/     OPC_CheckChild0Type, /*MVT::v4i32*/62, 
/* 14098*/     OPC_MoveParent,
/* 14099*/     OPC_CheckType, /*MVT::v2i64*/81, 
/* 14101*/     OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/* 14102*/     OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::EXTMUL_HIGH_U_I64x2),
                   /*MVT::v2i64*/81, 2/*#Ops*/, 0, 1, 
               // Src: (mul:{ *:[v2i64] } (extend_high_u:{ *:[v2i64] } V128:{ *:[v4i32] }:$lhs), (extend_high_u:{ *:[v2i64] } V128:{ *:[v4i32] }:$rhs)) - Complexity = 9
               // Dst: (EXTMUL_HIGH_U_I64x2:{ *:[v2i64] } V128:{ *:[v4i32] }:$lhs, V128:{ *:[v4i32] }:$rhs)
/* 14109*/    0, /*End of Scope*/
/* 14110*/   0, // EndSwitchOpcode
/* 14111*/  /*Scope*/ 34, /*->14146*/
/* 14112*/   OPC_RecordChild0, // #0 = $lhs
/* 14113*/   OPC_RecordChild1, // #1 = $rhs
/* 14114*/   OPC_SwitchType /*3 cases */, 8, /*MVT::v8i16*/51, // ->14125
/* 14117*/    OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/* 14118*/    OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::MUL_I16x8),
                  /*MVT::v8i16*/51, 2/*#Ops*/, 0, 1, 
              // Src: (mul:{ *:[v8i16] } V128:{ *:[v8i16] }:$lhs, V128:{ *:[v8i16] }:$rhs) - Complexity = 3
              // Dst: (MUL_I16x8:{ *:[v8i16] } V128:{ *:[v8i16] }:$lhs, V128:{ *:[v8i16] }:$rhs)
/* 14125*/   /*SwitchType*/ 8, /*MVT::v4i32*/62, // ->14135
/* 14127*/    OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/* 14128*/    OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::MUL_I32x4),
                  /*MVT::v4i32*/62, 2/*#Ops*/, 0, 1, 
              // Src: (mul:{ *:[v4i32] } V128:{ *:[v4i32] }:$lhs, V128:{ *:[v4i32] }:$rhs) - Complexity = 3
              // Dst: (MUL_I32x4:{ *:[v4i32] } V128:{ *:[v4i32] }:$lhs, V128:{ *:[v4i32] }:$rhs)
/* 14135*/   /*SwitchType*/ 8, /*MVT::v2i64*/81, // ->14145
/* 14137*/    OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/* 14138*/    OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::MUL_I64x2),
                  /*MVT::v2i64*/81, 2/*#Ops*/, 0, 1, 
              // Src: (mul:{ *:[v2i64] } V128:{ *:[v2i64] }:$lhs, V128:{ *:[v2i64] }:$rhs) - Complexity = 3
              // Dst: (MUL_I64x2:{ *:[v2i64] } V128:{ *:[v2i64] }:$lhs, V128:{ *:[v2i64] }:$rhs)
/* 14145*/   0, // EndSwitchType
/* 14146*/  0, /*End of Scope*/
/* 14147*/ /*SwitchOpcode*/ 22, TARGET_VAL(ISD::SDIV),// ->14172
/* 14150*/  OPC_RecordChild0, // #0 = $lhs
/* 14151*/  OPC_RecordChild1, // #1 = $rhs
/* 14152*/  OPC_SwitchType /*2 cases */, 7, /*MVT::i32*/7, // ->14162
/* 14155*/   OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::DIV_S_I32),
                 /*MVT::i32*/7, 2/*#Ops*/, 0, 1, 
             // Src: (sdiv:{ *:[i32] } I32:{ *:[i32] }:$lhs, I32:{ *:[i32] }:$rhs) - Complexity = 3
             // Dst: (DIV_S_I32:{ *:[i32] } I32:{ *:[i32] }:$lhs, I32:{ *:[i32] }:$rhs)
/* 14162*/  /*SwitchType*/ 7, /*MVT::i64*/8, // ->14171
/* 14164*/   OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::DIV_S_I64),
                 /*MVT::i64*/8, 2/*#Ops*/, 0, 1, 
             // Src: (sdiv:{ *:[i64] } I64:{ *:[i64] }:$lhs, I64:{ *:[i64] }:$rhs) - Complexity = 3
             // Dst: (DIV_S_I64:{ *:[i64] } I64:{ *:[i64] }:$lhs, I64:{ *:[i64] }:$rhs)
/* 14171*/  0, // EndSwitchType
/* 14172*/ /*SwitchOpcode*/ 22, TARGET_VAL(ISD::UDIV),// ->14197
/* 14175*/  OPC_RecordChild0, // #0 = $lhs
/* 14176*/  OPC_RecordChild1, // #1 = $rhs
/* 14177*/  OPC_SwitchType /*2 cases */, 7, /*MVT::i32*/7, // ->14187
/* 14180*/   OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::DIV_U_I32),
                 /*MVT::i32*/7, 2/*#Ops*/, 0, 1, 
             // Src: (udiv:{ *:[i32] } I32:{ *:[i32] }:$lhs, I32:{ *:[i32] }:$rhs) - Complexity = 3
             // Dst: (DIV_U_I32:{ *:[i32] } I32:{ *:[i32] }:$lhs, I32:{ *:[i32] }:$rhs)
/* 14187*/  /*SwitchType*/ 7, /*MVT::i64*/8, // ->14196
/* 14189*/   OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::DIV_U_I64),
                 /*MVT::i64*/8, 2/*#Ops*/, 0, 1, 
             // Src: (udiv:{ *:[i64] } I64:{ *:[i64] }:$lhs, I64:{ *:[i64] }:$rhs) - Complexity = 3
             // Dst: (DIV_U_I64:{ *:[i64] } I64:{ *:[i64] }:$lhs, I64:{ *:[i64] }:$rhs)
/* 14196*/  0, // EndSwitchType
/* 14197*/ /*SwitchOpcode*/ 22, TARGET_VAL(ISD::SREM),// ->14222
/* 14200*/  OPC_RecordChild0, // #0 = $lhs
/* 14201*/  OPC_RecordChild1, // #1 = $rhs
/* 14202*/  OPC_SwitchType /*2 cases */, 7, /*MVT::i32*/7, // ->14212
/* 14205*/   OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::REM_S_I32),
                 /*MVT::i32*/7, 2/*#Ops*/, 0, 1, 
             // Src: (srem:{ *:[i32] } I32:{ *:[i32] }:$lhs, I32:{ *:[i32] }:$rhs) - Complexity = 3
             // Dst: (REM_S_I32:{ *:[i32] } I32:{ *:[i32] }:$lhs, I32:{ *:[i32] }:$rhs)
/* 14212*/  /*SwitchType*/ 7, /*MVT::i64*/8, // ->14221
/* 14214*/   OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::REM_S_I64),
                 /*MVT::i64*/8, 2/*#Ops*/, 0, 1, 
             // Src: (srem:{ *:[i64] } I64:{ *:[i64] }:$lhs, I64:{ *:[i64] }:$rhs) - Complexity = 3
             // Dst: (REM_S_I64:{ *:[i64] } I64:{ *:[i64] }:$lhs, I64:{ *:[i64] }:$rhs)
/* 14221*/  0, // EndSwitchType
/* 14222*/ /*SwitchOpcode*/ 22, TARGET_VAL(ISD::UREM),// ->14247
/* 14225*/  OPC_RecordChild0, // #0 = $lhs
/* 14226*/  OPC_RecordChild1, // #1 = $rhs
/* 14227*/  OPC_SwitchType /*2 cases */, 7, /*MVT::i32*/7, // ->14237
/* 14230*/   OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::REM_U_I32),
                 /*MVT::i32*/7, 2/*#Ops*/, 0, 1, 
             // Src: (urem:{ *:[i32] } I32:{ *:[i32] }:$lhs, I32:{ *:[i32] }:$rhs) - Complexity = 3
             // Dst: (REM_U_I32:{ *:[i32] } I32:{ *:[i32] }:$lhs, I32:{ *:[i32] }:$rhs)
/* 14237*/  /*SwitchType*/ 7, /*MVT::i64*/8, // ->14246
/* 14239*/   OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::REM_U_I64),
                 /*MVT::i64*/8, 2/*#Ops*/, 0, 1, 
             // Src: (urem:{ *:[i64] } I64:{ *:[i64] }:$lhs, I64:{ *:[i64] }:$rhs) - Complexity = 3
             // Dst: (REM_U_I64:{ *:[i64] } I64:{ *:[i64] }:$lhs, I64:{ *:[i64] }:$rhs)
/* 14246*/  0, // EndSwitchType
/* 14247*/ /*SwitchOpcode*/ 56|128,6/*824*/, TARGET_VAL(ISD::OR),// ->15075
/* 14251*/  OPC_Scope, 22, /*->14275*/ // 3 children in Scope
/* 14253*/   OPC_RecordChild0, // #0 = $lhs
/* 14254*/   OPC_RecordChild1, // #1 = $rhs
/* 14255*/   OPC_SwitchType /*2 cases */, 7, /*MVT::i32*/7, // ->14265
/* 14258*/    OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::OR_I32),
                  /*MVT::i32*/7, 2/*#Ops*/, 0, 1, 
              // Src: (or:{ *:[i32] } I32:{ *:[i32] }:$lhs, I32:{ *:[i32] }:$rhs) - Complexity = 3
              // Dst: (OR_I32:{ *:[i32] } I32:{ *:[i32] }:$lhs, I32:{ *:[i32] }:$rhs)
/* 14265*/   /*SwitchType*/ 7, /*MVT::i64*/8, // ->14274
/* 14267*/    OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::OR_I64),
                  /*MVT::i64*/8, 2/*#Ops*/, 0, 1, 
              // Src: (or:{ *:[i64] } I64:{ *:[i64] }:$lhs, I64:{ *:[i64] }:$rhs) - Complexity = 3
              // Dst: (OR_I64:{ *:[i64] } I64:{ *:[i64] }:$lhs, I64:{ *:[i64] }:$rhs)
/* 14274*/   0, // EndSwitchType
/* 14275*/  /*Scope*/ 116|128,5/*756*/, /*->15033*/
/* 14277*/   OPC_MoveChild0,
/* 14278*/   OPC_CheckOpcode, TARGET_VAL(ISD::AND),
/* 14281*/   OPC_Scope, 4|128,1/*132*/, /*->14416*/ // 9 children in Scope
/* 14284*/    OPC_RecordChild0, // #0 = $c
/* 14285*/    OPC_RecordChild1, // #1 = $v1
/* 14286*/    OPC_MoveSibling1,
/* 14287*/    OPC_CheckOpcode, TARGET_VAL(ISD::AND),
/* 14290*/    OPC_Scope, 54, /*->14346*/ // 4 children in Scope
/* 14292*/     OPC_MoveChild0,
/* 14293*/     OPC_CheckOpcode, TARGET_VAL(ISD::XOR),
/* 14296*/     OPC_CheckChild0Same, 0,
/* 14298*/     OPC_MoveChild1,
/* 14299*/     OPC_CheckImmAllOnesV,
/* 14300*/     OPC_MoveParent,
/* 14301*/     OPC_MoveParent,
/* 14302*/     OPC_RecordChild1, // #2 = $v2
/* 14303*/     OPC_MoveParent,
/* 14304*/     OPC_SwitchType /*4 cases */, 8, /*MVT::v16i8*/40, // ->14315
/* 14307*/      OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::BITSELECT),
                    /*MVT::v16i8*/40, 3/*#Ops*/, 1, 2, 0, 
                // Src: (or:{ *:[v16i8] } (and:{ *:[v16i8] } V128:{ *:[v16i8] }:$c, V128:{ *:[v16i8] }:$v1), (and:{ *:[v16i8] } (xor:{ *:[v16i8] } V128:{ *:[v16i8] }:$c, immAllOnesV:{ *:[v16i8] }), V128:{ *:[v16i8] }:$v2)) - Complexity = 16
                // Dst: (BITSELECT:{ *:[v16i8] } ?:{ *:[v16i8] }:$v1, ?:{ *:[v16i8] }:$v2, ?:{ *:[v16i8] }:$c)
/* 14315*/     /*SwitchType*/ 8, /*MVT::v8i16*/51, // ->14325
/* 14317*/      OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::BITSELECT),
                    /*MVT::v8i16*/51, 3/*#Ops*/, 1, 2, 0, 
                // Src: (or:{ *:[v8i16] } (and:{ *:[v8i16] } V128:{ *:[v8i16] }:$c, V128:{ *:[v8i16] }:$v1), (and:{ *:[v8i16] } (xor:{ *:[v8i16] } V128:{ *:[v8i16] }:$c, immAllOnesV:{ *:[v8i16] }), V128:{ *:[v8i16] }:$v2)) - Complexity = 16
                // Dst: (BITSELECT:{ *:[v8i16] } ?:{ *:[v8i16] }:$v1, ?:{ *:[v8i16] }:$v2, ?:{ *:[v8i16] }:$c)
/* 14325*/     /*SwitchType*/ 8, /*MVT::v4i32*/62, // ->14335
/* 14327*/      OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::BITSELECT),
                    /*MVT::v4i32*/62, 3/*#Ops*/, 1, 2, 0, 
                // Src: (or:{ *:[v4i32] } (and:{ *:[v4i32] } V128:{ *:[v4i32] }:$c, V128:{ *:[v4i32] }:$v1), (and:{ *:[v4i32] } (xor:{ *:[v4i32] } V128:{ *:[v4i32] }:$c, immAllOnesV:{ *:[v4i32] }), V128:{ *:[v4i32] }:$v2)) - Complexity = 16
                // Dst: (BITSELECT:{ *:[v4i32] } ?:{ *:[v4i32] }:$v1, ?:{ *:[v4i32] }:$v2, ?:{ *:[v4i32] }:$c)
/* 14335*/     /*SwitchType*/ 8, /*MVT::v2i64*/81, // ->14345
/* 14337*/      OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::BITSELECT),
                    /*MVT::v2i64*/81, 3/*#Ops*/, 1, 2, 0, 
                // Src: (or:{ *:[v2i64] } (and:{ *:[v2i64] } V128:{ *:[v2i64] }:$c, V128:{ *:[v2i64] }:$v1), (and:{ *:[v2i64] } (xor:{ *:[v2i64] } V128:{ *:[v2i64] }:$c, immAllOnesV:{ *:[v2i64] }), V128:{ *:[v2i64] }:$v2)) - Complexity = 16
                // Dst: (BITSELECT:{ *:[v2i64] } ?:{ *:[v2i64] }:$v1, ?:{ *:[v2i64] }:$v2, ?:{ *:[v2i64] }:$c)
/* 14345*/     0, // EndSwitchType
/* 14346*/    /*Scope*/ 22, /*->14369*/
/* 14347*/     OPC_RecordChild0, // #2 = $v2
/* 14348*/     OPC_MoveChild1,
/* 14349*/     OPC_CheckOpcode, TARGET_VAL(ISD::XOR),
/* 14352*/     OPC_CheckChild0Same, 0,
/* 14354*/     OPC_MoveChild1,
/* 14355*/     OPC_CheckImmAllOnesV,
/* 14356*/     OPC_MoveParent,
/* 14357*/     OPC_MoveParent,
/* 14358*/     OPC_MoveParent,
/* 14359*/     OPC_CheckType, /*MVT::v16i8*/40, 
/* 14361*/     OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::BITSELECT),
                   /*MVT::v16i8*/40, 3/*#Ops*/, 1, 2, 0, 
               // Src: (or:{ *:[v16i8] } (and:{ *:[v16i8] } V128:{ *:[v16i8] }:$c, V128:{ *:[v16i8] }:$v1), (and:{ *:[v16i8] } V128:{ *:[v16i8] }:$v2, (xor:{ *:[v16i8] } V128:{ *:[v16i8] }:$c, immAllOnesV:{ *:[v16i8] }))) - Complexity = 16
               // Dst: (BITSELECT:{ *:[v16i8] } ?:{ *:[v16i8] }:$v1, ?:{ *:[v16i8] }:$v2, ?:{ *:[v16i8] }:$c)
/* 14369*/    /*Scope*/ 22, /*->14392*/
/* 14370*/     OPC_MoveChild0,
/* 14371*/     OPC_CheckOpcode, TARGET_VAL(ISD::XOR),
/* 14374*/     OPC_CheckChild0Same, 1,
/* 14376*/     OPC_MoveChild1,
/* 14377*/     OPC_CheckImmAllOnesV,
/* 14378*/     OPC_MoveParent,
/* 14379*/     OPC_MoveParent,
/* 14380*/     OPC_RecordChild1, // #2 = $v2
/* 14381*/     OPC_MoveParent,
/* 14382*/     OPC_CheckType, /*MVT::v16i8*/40, 
/* 14384*/     OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::BITSELECT),
                   /*MVT::v16i8*/40, 3/*#Ops*/, 0, 2, 1, 
               // Src: (or:{ *:[v16i8] } (and:{ *:[v16i8] } V128:{ *:[v16i8] }:$v1, V128:{ *:[v16i8] }:$c), (and:{ *:[v16i8] } (xor:{ *:[v16i8] } V128:{ *:[v16i8] }:$c, immAllOnesV:{ *:[v16i8] }), V128:{ *:[v16i8] }:$v2)) - Complexity = 16
               // Dst: (BITSELECT:{ *:[v16i8] } ?:{ *:[v16i8] }:$v1, ?:{ *:[v16i8] }:$v2, ?:{ *:[v16i8] }:$c)
/* 14392*/    /*Scope*/ 22, /*->14415*/
/* 14393*/     OPC_RecordChild0, // #2 = $v2
/* 14394*/     OPC_MoveChild1,
/* 14395*/     OPC_CheckOpcode, TARGET_VAL(ISD::XOR),
/* 14398*/     OPC_CheckChild0Same, 1,
/* 14400*/     OPC_MoveChild1,
/* 14401*/     OPC_CheckImmAllOnesV,
/* 14402*/     OPC_MoveParent,
/* 14403*/     OPC_MoveParent,
/* 14404*/     OPC_MoveParent,
/* 14405*/     OPC_CheckType, /*MVT::v16i8*/40, 
/* 14407*/     OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::BITSELECT),
                   /*MVT::v16i8*/40, 3/*#Ops*/, 0, 2, 1, 
               // Src: (or:{ *:[v16i8] } (and:{ *:[v16i8] } V128:{ *:[v16i8] }:$v1, V128:{ *:[v16i8] }:$c), (and:{ *:[v16i8] } V128:{ *:[v16i8] }:$v2, (xor:{ *:[v16i8] } V128:{ *:[v16i8] }:$c, immAllOnesV:{ *:[v16i8] }))) - Complexity = 16
               // Dst: (BITSELECT:{ *:[v16i8] } ?:{ *:[v16i8] }:$v1, ?:{ *:[v16i8] }:$v2, ?:{ *:[v16i8] }:$c)
/* 14415*/    0, /*End of Scope*/
/* 14416*/   /*Scope*/ 46, /*->14463*/
/* 14417*/    OPC_MoveChild0,
/* 14418*/    OPC_CheckOpcode, TARGET_VAL(ISD::XOR),
/* 14421*/    OPC_RecordChild0, // #0 = $c
/* 14422*/    OPC_MoveChild1,
/* 14423*/    OPC_CheckImmAllOnesV,
/* 14424*/    OPC_MoveParent,
/* 14425*/    OPC_MoveParent,
/* 14426*/    OPC_RecordChild1, // #1 = $v2
/* 14427*/    OPC_MoveSibling1,
/* 14428*/    OPC_CheckOpcode, TARGET_VAL(ISD::AND),
/* 14431*/    OPC_Scope, 14, /*->14447*/ // 2 children in Scope
/* 14433*/     OPC_CheckChild0Same, 0,
/* 14435*/     OPC_RecordChild1, // #2 = $v1
/* 14436*/     OPC_MoveParent,
/* 14437*/     OPC_CheckType, /*MVT::v16i8*/40, 
/* 14439*/     OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::BITSELECT),
                   /*MVT::v16i8*/40, 3/*#Ops*/, 2, 1, 0, 
               // Src: (or:{ *:[v16i8] } (and:{ *:[v16i8] } (xor:{ *:[v16i8] } V128:{ *:[v16i8] }:$c, immAllOnesV:{ *:[v16i8] }), V128:{ *:[v16i8] }:$v2), (and:{ *:[v16i8] } V128:{ *:[v16i8] }:$c, V128:{ *:[v16i8] }:$v1)) - Complexity = 16
               // Dst: (BITSELECT:{ *:[v16i8] } ?:{ *:[v16i8] }:$v1, ?:{ *:[v16i8] }:$v2, ?:{ *:[v16i8] }:$c)
/* 14447*/    /*Scope*/ 14, /*->14462*/
/* 14448*/     OPC_RecordChild0, // #2 = $v1
/* 14449*/     OPC_CheckChild1Same, 0,
/* 14451*/     OPC_MoveParent,
/* 14452*/     OPC_CheckType, /*MVT::v16i8*/40, 
/* 14454*/     OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::BITSELECT),
                   /*MVT::v16i8*/40, 3/*#Ops*/, 2, 1, 0, 
               // Src: (or:{ *:[v16i8] } (and:{ *:[v16i8] } (xor:{ *:[v16i8] } V128:{ *:[v16i8] }:$c, immAllOnesV:{ *:[v16i8] }), V128:{ *:[v16i8] }:$v2), (and:{ *:[v16i8] } V128:{ *:[v16i8] }:$v1, V128:{ *:[v16i8] }:$c)) - Complexity = 16
               // Dst: (BITSELECT:{ *:[v16i8] } ?:{ *:[v16i8] }:$v1, ?:{ *:[v16i8] }:$v2, ?:{ *:[v16i8] }:$c)
/* 14462*/    0, /*End of Scope*/
/* 14463*/   /*Scope*/ 126, /*->14590*/
/* 14464*/    OPC_RecordChild0, // #0 = $v2
/* 14465*/    OPC_Scope, 45, /*->14512*/ // 2 children in Scope
/* 14467*/     OPC_MoveChild1,
/* 14468*/     OPC_CheckOpcode, TARGET_VAL(ISD::XOR),
/* 14471*/     OPC_RecordChild0, // #1 = $c
/* 14472*/     OPC_MoveChild1,
/* 14473*/     OPC_CheckImmAllOnesV,
/* 14474*/     OPC_MoveParent,
/* 14475*/     OPC_MoveParent,
/* 14476*/     OPC_MoveSibling1,
/* 14477*/     OPC_CheckOpcode, TARGET_VAL(ISD::AND),
/* 14480*/     OPC_Scope, 14, /*->14496*/ // 2 children in Scope
/* 14482*/      OPC_CheckChild0Same, 1,
/* 14484*/      OPC_RecordChild1, // #2 = $v1
/* 14485*/      OPC_MoveParent,
/* 14486*/      OPC_CheckType, /*MVT::v16i8*/40, 
/* 14488*/      OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::BITSELECT),
                    /*MVT::v16i8*/40, 3/*#Ops*/, 2, 0, 1, 
                // Src: (or:{ *:[v16i8] } (and:{ *:[v16i8] } V128:{ *:[v16i8] }:$v2, (xor:{ *:[v16i8] } V128:{ *:[v16i8] }:$c, immAllOnesV:{ *:[v16i8] })), (and:{ *:[v16i8] } V128:{ *:[v16i8] }:$c, V128:{ *:[v16i8] }:$v1)) - Complexity = 16
                // Dst: (BITSELECT:{ *:[v16i8] } ?:{ *:[v16i8] }:$v1, ?:{ *:[v16i8] }:$v2, ?:{ *:[v16i8] }:$c)
/* 14496*/     /*Scope*/ 14, /*->14511*/
/* 14497*/      OPC_RecordChild0, // #2 = $v1
/* 14498*/      OPC_CheckChild1Same, 1,
/* 14500*/      OPC_MoveParent,
/* 14501*/      OPC_CheckType, /*MVT::v16i8*/40, 
/* 14503*/      OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::BITSELECT),
                    /*MVT::v16i8*/40, 3/*#Ops*/, 2, 0, 1, 
                // Src: (or:{ *:[v16i8] } (and:{ *:[v16i8] } V128:{ *:[v16i8] }:$v2, (xor:{ *:[v16i8] } V128:{ *:[v16i8] }:$c, immAllOnesV:{ *:[v16i8] })), (and:{ *:[v16i8] } V128:{ *:[v16i8] }:$v1, V128:{ *:[v16i8] }:$c)) - Complexity = 16
                // Dst: (BITSELECT:{ *:[v16i8] } ?:{ *:[v16i8] }:$v1, ?:{ *:[v16i8] }:$v2, ?:{ *:[v16i8] }:$c)
/* 14511*/     0, /*End of Scope*/
/* 14512*/    /*Scope*/ 76, /*->14589*/
/* 14513*/     OPC_RecordChild1, // #1 = $v1
/* 14514*/     OPC_MoveSibling1,
/* 14515*/     OPC_CheckOpcode, TARGET_VAL(ISD::AND),
/* 14518*/     OPC_Scope, 22, /*->14542*/ // 3 children in Scope
/* 14520*/      OPC_RecordChild0, // #2 = $v2
/* 14521*/      OPC_MoveChild1,
/* 14522*/      OPC_CheckOpcode, TARGET_VAL(ISD::XOR),
/* 14525*/      OPC_CheckChild0Same, 0,
/* 14527*/      OPC_MoveChild1,
/* 14528*/      OPC_CheckImmAllOnesV,
/* 14529*/      OPC_MoveParent,
/* 14530*/      OPC_MoveParent,
/* 14531*/      OPC_MoveParent,
/* 14532*/      OPC_CheckType, /*MVT::v8i16*/51, 
/* 14534*/      OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::BITSELECT),
                    /*MVT::v8i16*/51, 3/*#Ops*/, 1, 2, 0, 
                // Src: (or:{ *:[v8i16] } (and:{ *:[v8i16] } V128:{ *:[v8i16] }:$c, V128:{ *:[v8i16] }:$v1), (and:{ *:[v8i16] } V128:{ *:[v8i16] }:$v2, (xor:{ *:[v8i16] } V128:{ *:[v8i16] }:$c, immAllOnesV:{ *:[v8i16] }))) - Complexity = 16
                // Dst: (BITSELECT:{ *:[v8i16] } ?:{ *:[v8i16] }:$v1, ?:{ *:[v8i16] }:$v2, ?:{ *:[v8i16] }:$c)
/* 14542*/     /*Scope*/ 22, /*->14565*/
/* 14543*/      OPC_MoveChild0,
/* 14544*/      OPC_CheckOpcode, TARGET_VAL(ISD::XOR),
/* 14547*/      OPC_CheckChild0Same, 1,
/* 14549*/      OPC_MoveChild1,
/* 14550*/      OPC_CheckImmAllOnesV,
/* 14551*/      OPC_MoveParent,
/* 14552*/      OPC_MoveParent,
/* 14553*/      OPC_RecordChild1, // #2 = $v2
/* 14554*/      OPC_MoveParent,
/* 14555*/      OPC_CheckType, /*MVT::v8i16*/51, 
/* 14557*/      OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::BITSELECT),
                    /*MVT::v8i16*/51, 3/*#Ops*/, 0, 2, 1, 
                // Src: (or:{ *:[v8i16] } (and:{ *:[v8i16] } V128:{ *:[v8i16] }:$v1, V128:{ *:[v8i16] }:$c), (and:{ *:[v8i16] } (xor:{ *:[v8i16] } V128:{ *:[v8i16] }:$c, immAllOnesV:{ *:[v8i16] }), V128:{ *:[v8i16] }:$v2)) - Complexity = 16
                // Dst: (BITSELECT:{ *:[v8i16] } ?:{ *:[v8i16] }:$v1, ?:{ *:[v8i16] }:$v2, ?:{ *:[v8i16] }:$c)
/* 14565*/     /*Scope*/ 22, /*->14588*/
/* 14566*/      OPC_RecordChild0, // #2 = $v2
/* 14567*/      OPC_MoveChild1,
/* 14568*/      OPC_CheckOpcode, TARGET_VAL(ISD::XOR),
/* 14571*/      OPC_CheckChild0Same, 1,
/* 14573*/      OPC_MoveChild1,
/* 14574*/      OPC_CheckImmAllOnesV,
/* 14575*/      OPC_MoveParent,
/* 14576*/      OPC_MoveParent,
/* 14577*/      OPC_MoveParent,
/* 14578*/      OPC_CheckType, /*MVT::v8i16*/51, 
/* 14580*/      OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::BITSELECT),
                    /*MVT::v8i16*/51, 3/*#Ops*/, 0, 2, 1, 
                // Src: (or:{ *:[v8i16] } (and:{ *:[v8i16] } V128:{ *:[v8i16] }:$v1, V128:{ *:[v8i16] }:$c), (and:{ *:[v8i16] } V128:{ *:[v8i16] }:$v2, (xor:{ *:[v8i16] } V128:{ *:[v8i16] }:$c, immAllOnesV:{ *:[v8i16] }))) - Complexity = 16
                // Dst: (BITSELECT:{ *:[v8i16] } ?:{ *:[v8i16] }:$v1, ?:{ *:[v8i16] }:$v2, ?:{ *:[v8i16] }:$c)
/* 14588*/     0, /*End of Scope*/
/* 14589*/    0, /*End of Scope*/
/* 14590*/   /*Scope*/ 46, /*->14637*/
/* 14591*/    OPC_MoveChild0,
/* 14592*/    OPC_CheckOpcode, TARGET_VAL(ISD::XOR),
/* 14595*/    OPC_RecordChild0, // #0 = $c
/* 14596*/    OPC_MoveChild1,
/* 14597*/    OPC_CheckImmAllOnesV,
/* 14598*/    OPC_MoveParent,
/* 14599*/    OPC_MoveParent,
/* 14600*/    OPC_RecordChild1, // #1 = $v2
/* 14601*/    OPC_MoveSibling1,
/* 14602*/    OPC_CheckOpcode, TARGET_VAL(ISD::AND),
/* 14605*/    OPC_Scope, 14, /*->14621*/ // 2 children in Scope
/* 14607*/     OPC_CheckChild0Same, 0,
/* 14609*/     OPC_RecordChild1, // #2 = $v1
/* 14610*/     OPC_MoveParent,
/* 14611*/     OPC_CheckType, /*MVT::v8i16*/51, 
/* 14613*/     OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::BITSELECT),
                   /*MVT::v8i16*/51, 3/*#Ops*/, 2, 1, 0, 
               // Src: (or:{ *:[v8i16] } (and:{ *:[v8i16] } (xor:{ *:[v8i16] } V128:{ *:[v8i16] }:$c, immAllOnesV:{ *:[v8i16] }), V128:{ *:[v8i16] }:$v2), (and:{ *:[v8i16] } V128:{ *:[v8i16] }:$c, V128:{ *:[v8i16] }:$v1)) - Complexity = 16
               // Dst: (BITSELECT:{ *:[v8i16] } ?:{ *:[v8i16] }:$v1, ?:{ *:[v8i16] }:$v2, ?:{ *:[v8i16] }:$c)
/* 14621*/    /*Scope*/ 14, /*->14636*/
/* 14622*/     OPC_RecordChild0, // #2 = $v1
/* 14623*/     OPC_CheckChild1Same, 0,
/* 14625*/     OPC_MoveParent,
/* 14626*/     OPC_CheckType, /*MVT::v8i16*/51, 
/* 14628*/     OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::BITSELECT),
                   /*MVT::v8i16*/51, 3/*#Ops*/, 2, 1, 0, 
               // Src: (or:{ *:[v8i16] } (and:{ *:[v8i16] } (xor:{ *:[v8i16] } V128:{ *:[v8i16] }:$c, immAllOnesV:{ *:[v8i16] }), V128:{ *:[v8i16] }:$v2), (and:{ *:[v8i16] } V128:{ *:[v8i16] }:$v1, V128:{ *:[v8i16] }:$c)) - Complexity = 16
               // Dst: (BITSELECT:{ *:[v8i16] } ?:{ *:[v8i16] }:$v1, ?:{ *:[v8i16] }:$v2, ?:{ *:[v8i16] }:$c)
/* 14636*/    0, /*End of Scope*/
/* 14637*/   /*Scope*/ 126, /*->14764*/
/* 14638*/    OPC_RecordChild0, // #0 = $v2
/* 14639*/    OPC_Scope, 45, /*->14686*/ // 2 children in Scope
/* 14641*/     OPC_MoveChild1,
/* 14642*/     OPC_CheckOpcode, TARGET_VAL(ISD::XOR),
/* 14645*/     OPC_RecordChild0, // #1 = $c
/* 14646*/     OPC_MoveChild1,
/* 14647*/     OPC_CheckImmAllOnesV,
/* 14648*/     OPC_MoveParent,
/* 14649*/     OPC_MoveParent,
/* 14650*/     OPC_MoveSibling1,
/* 14651*/     OPC_CheckOpcode, TARGET_VAL(ISD::AND),
/* 14654*/     OPC_Scope, 14, /*->14670*/ // 2 children in Scope
/* 14656*/      OPC_CheckChild0Same, 1,
/* 14658*/      OPC_RecordChild1, // #2 = $v1
/* 14659*/      OPC_MoveParent,
/* 14660*/      OPC_CheckType, /*MVT::v8i16*/51, 
/* 14662*/      OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::BITSELECT),
                    /*MVT::v8i16*/51, 3/*#Ops*/, 2, 0, 1, 
                // Src: (or:{ *:[v8i16] } (and:{ *:[v8i16] } V128:{ *:[v8i16] }:$v2, (xor:{ *:[v8i16] } V128:{ *:[v8i16] }:$c, immAllOnesV:{ *:[v8i16] })), (and:{ *:[v8i16] } V128:{ *:[v8i16] }:$c, V128:{ *:[v8i16] }:$v1)) - Complexity = 16
                // Dst: (BITSELECT:{ *:[v8i16] } ?:{ *:[v8i16] }:$v1, ?:{ *:[v8i16] }:$v2, ?:{ *:[v8i16] }:$c)
/* 14670*/     /*Scope*/ 14, /*->14685*/
/* 14671*/      OPC_RecordChild0, // #2 = $v1
/* 14672*/      OPC_CheckChild1Same, 1,
/* 14674*/      OPC_MoveParent,
/* 14675*/      OPC_CheckType, /*MVT::v8i16*/51, 
/* 14677*/      OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::BITSELECT),
                    /*MVT::v8i16*/51, 3/*#Ops*/, 2, 0, 1, 
                // Src: (or:{ *:[v8i16] } (and:{ *:[v8i16] } V128:{ *:[v8i16] }:$v2, (xor:{ *:[v8i16] } V128:{ *:[v8i16] }:$c, immAllOnesV:{ *:[v8i16] })), (and:{ *:[v8i16] } V128:{ *:[v8i16] }:$v1, V128:{ *:[v8i16] }:$c)) - Complexity = 16
                // Dst: (BITSELECT:{ *:[v8i16] } ?:{ *:[v8i16] }:$v1, ?:{ *:[v8i16] }:$v2, ?:{ *:[v8i16] }:$c)
/* 14685*/     0, /*End of Scope*/
/* 14686*/    /*Scope*/ 76, /*->14763*/
/* 14687*/     OPC_RecordChild1, // #1 = $v1
/* 14688*/     OPC_MoveSibling1,
/* 14689*/     OPC_CheckOpcode, TARGET_VAL(ISD::AND),
/* 14692*/     OPC_Scope, 22, /*->14716*/ // 3 children in Scope
/* 14694*/      OPC_RecordChild0, // #2 = $v2
/* 14695*/      OPC_MoveChild1,
/* 14696*/      OPC_CheckOpcode, TARGET_VAL(ISD::XOR),
/* 14699*/      OPC_CheckChild0Same, 0,
/* 14701*/      OPC_MoveChild1,
/* 14702*/      OPC_CheckImmAllOnesV,
/* 14703*/      OPC_MoveParent,
/* 14704*/      OPC_MoveParent,
/* 14705*/      OPC_MoveParent,
/* 14706*/      OPC_CheckType, /*MVT::v4i32*/62, 
/* 14708*/      OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::BITSELECT),
                    /*MVT::v4i32*/62, 3/*#Ops*/, 1, 2, 0, 
                // Src: (or:{ *:[v4i32] } (and:{ *:[v4i32] } V128:{ *:[v4i32] }:$c, V128:{ *:[v4i32] }:$v1), (and:{ *:[v4i32] } V128:{ *:[v4i32] }:$v2, (xor:{ *:[v4i32] } V128:{ *:[v4i32] }:$c, immAllOnesV:{ *:[v4i32] }))) - Complexity = 16
                // Dst: (BITSELECT:{ *:[v4i32] } ?:{ *:[v4i32] }:$v1, ?:{ *:[v4i32] }:$v2, ?:{ *:[v4i32] }:$c)
/* 14716*/     /*Scope*/ 22, /*->14739*/
/* 14717*/      OPC_MoveChild0,
/* 14718*/      OPC_CheckOpcode, TARGET_VAL(ISD::XOR),
/* 14721*/      OPC_CheckChild0Same, 1,
/* 14723*/      OPC_MoveChild1,
/* 14724*/      OPC_CheckImmAllOnesV,
/* 14725*/      OPC_MoveParent,
/* 14726*/      OPC_MoveParent,
/* 14727*/      OPC_RecordChild1, // #2 = $v2
/* 14728*/      OPC_MoveParent,
/* 14729*/      OPC_CheckType, /*MVT::v4i32*/62, 
/* 14731*/      OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::BITSELECT),
                    /*MVT::v4i32*/62, 3/*#Ops*/, 0, 2, 1, 
                // Src: (or:{ *:[v4i32] } (and:{ *:[v4i32] } V128:{ *:[v4i32] }:$v1, V128:{ *:[v4i32] }:$c), (and:{ *:[v4i32] } (xor:{ *:[v4i32] } V128:{ *:[v4i32] }:$c, immAllOnesV:{ *:[v4i32] }), V128:{ *:[v4i32] }:$v2)) - Complexity = 16
                // Dst: (BITSELECT:{ *:[v4i32] } ?:{ *:[v4i32] }:$v1, ?:{ *:[v4i32] }:$v2, ?:{ *:[v4i32] }:$c)
/* 14739*/     /*Scope*/ 22, /*->14762*/
/* 14740*/      OPC_RecordChild0, // #2 = $v2
/* 14741*/      OPC_MoveChild1,
/* 14742*/      OPC_CheckOpcode, TARGET_VAL(ISD::XOR),
/* 14745*/      OPC_CheckChild0Same, 1,
/* 14747*/      OPC_MoveChild1,
/* 14748*/      OPC_CheckImmAllOnesV,
/* 14749*/      OPC_MoveParent,
/* 14750*/      OPC_MoveParent,
/* 14751*/      OPC_MoveParent,
/* 14752*/      OPC_CheckType, /*MVT::v4i32*/62, 
/* 14754*/      OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::BITSELECT),
                    /*MVT::v4i32*/62, 3/*#Ops*/, 0, 2, 1, 
                // Src: (or:{ *:[v4i32] } (and:{ *:[v4i32] } V128:{ *:[v4i32] }:$v1, V128:{ *:[v4i32] }:$c), (and:{ *:[v4i32] } V128:{ *:[v4i32] }:$v2, (xor:{ *:[v4i32] } V128:{ *:[v4i32] }:$c, immAllOnesV:{ *:[v4i32] }))) - Complexity = 16
                // Dst: (BITSELECT:{ *:[v4i32] } ?:{ *:[v4i32] }:$v1, ?:{ *:[v4i32] }:$v2, ?:{ *:[v4i32] }:$c)
/* 14762*/     0, /*End of Scope*/
/* 14763*/    0, /*End of Scope*/
/* 14764*/   /*Scope*/ 46, /*->14811*/
/* 14765*/    OPC_MoveChild0,
/* 14766*/    OPC_CheckOpcode, TARGET_VAL(ISD::XOR),
/* 14769*/    OPC_RecordChild0, // #0 = $c
/* 14770*/    OPC_MoveChild1,
/* 14771*/    OPC_CheckImmAllOnesV,
/* 14772*/    OPC_MoveParent,
/* 14773*/    OPC_MoveParent,
/* 14774*/    OPC_RecordChild1, // #1 = $v2
/* 14775*/    OPC_MoveSibling1,
/* 14776*/    OPC_CheckOpcode, TARGET_VAL(ISD::AND),
/* 14779*/    OPC_Scope, 14, /*->14795*/ // 2 children in Scope
/* 14781*/     OPC_CheckChild0Same, 0,
/* 14783*/     OPC_RecordChild1, // #2 = $v1
/* 14784*/     OPC_MoveParent,
/* 14785*/     OPC_CheckType, /*MVT::v4i32*/62, 
/* 14787*/     OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::BITSELECT),
                   /*MVT::v4i32*/62, 3/*#Ops*/, 2, 1, 0, 
               // Src: (or:{ *:[v4i32] } (and:{ *:[v4i32] } (xor:{ *:[v4i32] } V128:{ *:[v4i32] }:$c, immAllOnesV:{ *:[v4i32] }), V128:{ *:[v4i32] }:$v2), (and:{ *:[v4i32] } V128:{ *:[v4i32] }:$c, V128:{ *:[v4i32] }:$v1)) - Complexity = 16
               // Dst: (BITSELECT:{ *:[v4i32] } ?:{ *:[v4i32] }:$v1, ?:{ *:[v4i32] }:$v2, ?:{ *:[v4i32] }:$c)
/* 14795*/    /*Scope*/ 14, /*->14810*/
/* 14796*/     OPC_RecordChild0, // #2 = $v1
/* 14797*/     OPC_CheckChild1Same, 0,
/* 14799*/     OPC_MoveParent,
/* 14800*/     OPC_CheckType, /*MVT::v4i32*/62, 
/* 14802*/     OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::BITSELECT),
                   /*MVT::v4i32*/62, 3/*#Ops*/, 2, 1, 0, 
               // Src: (or:{ *:[v4i32] } (and:{ *:[v4i32] } (xor:{ *:[v4i32] } V128:{ *:[v4i32] }:$c, immAllOnesV:{ *:[v4i32] }), V128:{ *:[v4i32] }:$v2), (and:{ *:[v4i32] } V128:{ *:[v4i32] }:$v1, V128:{ *:[v4i32] }:$c)) - Complexity = 16
               // Dst: (BITSELECT:{ *:[v4i32] } ?:{ *:[v4i32] }:$v1, ?:{ *:[v4i32] }:$v2, ?:{ *:[v4i32] }:$c)
/* 14810*/    0, /*End of Scope*/
/* 14811*/   /*Scope*/ 126, /*->14938*/
/* 14812*/    OPC_RecordChild0, // #0 = $v2
/* 14813*/    OPC_Scope, 45, /*->14860*/ // 2 children in Scope
/* 14815*/     OPC_MoveChild1,
/* 14816*/     OPC_CheckOpcode, TARGET_VAL(ISD::XOR),
/* 14819*/     OPC_RecordChild0, // #1 = $c
/* 14820*/     OPC_MoveChild1,
/* 14821*/     OPC_CheckImmAllOnesV,
/* 14822*/     OPC_MoveParent,
/* 14823*/     OPC_MoveParent,
/* 14824*/     OPC_MoveSibling1,
/* 14825*/     OPC_CheckOpcode, TARGET_VAL(ISD::AND),
/* 14828*/     OPC_Scope, 14, /*->14844*/ // 2 children in Scope
/* 14830*/      OPC_CheckChild0Same, 1,
/* 14832*/      OPC_RecordChild1, // #2 = $v1
/* 14833*/      OPC_MoveParent,
/* 14834*/      OPC_CheckType, /*MVT::v4i32*/62, 
/* 14836*/      OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::BITSELECT),
                    /*MVT::v4i32*/62, 3/*#Ops*/, 2, 0, 1, 
                // Src: (or:{ *:[v4i32] } (and:{ *:[v4i32] } V128:{ *:[v4i32] }:$v2, (xor:{ *:[v4i32] } V128:{ *:[v4i32] }:$c, immAllOnesV:{ *:[v4i32] })), (and:{ *:[v4i32] } V128:{ *:[v4i32] }:$c, V128:{ *:[v4i32] }:$v1)) - Complexity = 16
                // Dst: (BITSELECT:{ *:[v4i32] } ?:{ *:[v4i32] }:$v1, ?:{ *:[v4i32] }:$v2, ?:{ *:[v4i32] }:$c)
/* 14844*/     /*Scope*/ 14, /*->14859*/
/* 14845*/      OPC_RecordChild0, // #2 = $v1
/* 14846*/      OPC_CheckChild1Same, 1,
/* 14848*/      OPC_MoveParent,
/* 14849*/      OPC_CheckType, /*MVT::v4i32*/62, 
/* 14851*/      OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::BITSELECT),
                    /*MVT::v4i32*/62, 3/*#Ops*/, 2, 0, 1, 
                // Src: (or:{ *:[v4i32] } (and:{ *:[v4i32] } V128:{ *:[v4i32] }:$v2, (xor:{ *:[v4i32] } V128:{ *:[v4i32] }:$c, immAllOnesV:{ *:[v4i32] })), (and:{ *:[v4i32] } V128:{ *:[v4i32] }:$v1, V128:{ *:[v4i32] }:$c)) - Complexity = 16
                // Dst: (BITSELECT:{ *:[v4i32] } ?:{ *:[v4i32] }:$v1, ?:{ *:[v4i32] }:$v2, ?:{ *:[v4i32] }:$c)
/* 14859*/     0, /*End of Scope*/
/* 14860*/    /*Scope*/ 76, /*->14937*/
/* 14861*/     OPC_RecordChild1, // #1 = $v1
/* 14862*/     OPC_MoveSibling1,
/* 14863*/     OPC_CheckOpcode, TARGET_VAL(ISD::AND),
/* 14866*/     OPC_Scope, 22, /*->14890*/ // 3 children in Scope
/* 14868*/      OPC_RecordChild0, // #2 = $v2
/* 14869*/      OPC_MoveChild1,
/* 14870*/      OPC_CheckOpcode, TARGET_VAL(ISD::XOR),
/* 14873*/      OPC_CheckChild0Same, 0,
/* 14875*/      OPC_MoveChild1,
/* 14876*/      OPC_CheckImmAllOnesV,
/* 14877*/      OPC_MoveParent,
/* 14878*/      OPC_MoveParent,
/* 14879*/      OPC_MoveParent,
/* 14880*/      OPC_CheckType, /*MVT::v2i64*/81, 
/* 14882*/      OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::BITSELECT),
                    /*MVT::v2i64*/81, 3/*#Ops*/, 1, 2, 0, 
                // Src: (or:{ *:[v2i64] } (and:{ *:[v2i64] } V128:{ *:[v2i64] }:$c, V128:{ *:[v2i64] }:$v1), (and:{ *:[v2i64] } V128:{ *:[v2i64] }:$v2, (xor:{ *:[v2i64] } V128:{ *:[v2i64] }:$c, immAllOnesV:{ *:[v2i64] }))) - Complexity = 16
                // Dst: (BITSELECT:{ *:[v2i64] } ?:{ *:[v2i64] }:$v1, ?:{ *:[v2i64] }:$v2, ?:{ *:[v2i64] }:$c)
/* 14890*/     /*Scope*/ 22, /*->14913*/
/* 14891*/      OPC_MoveChild0,
/* 14892*/      OPC_CheckOpcode, TARGET_VAL(ISD::XOR),
/* 14895*/      OPC_CheckChild0Same, 1,
/* 14897*/      OPC_MoveChild1,
/* 14898*/      OPC_CheckImmAllOnesV,
/* 14899*/      OPC_MoveParent,
/* 14900*/      OPC_MoveParent,
/* 14901*/      OPC_RecordChild1, // #2 = $v2
/* 14902*/      OPC_MoveParent,
/* 14903*/      OPC_CheckType, /*MVT::v2i64*/81, 
/* 14905*/      OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::BITSELECT),
                    /*MVT::v2i64*/81, 3/*#Ops*/, 0, 2, 1, 
                // Src: (or:{ *:[v2i64] } (and:{ *:[v2i64] } V128:{ *:[v2i64] }:$v1, V128:{ *:[v2i64] }:$c), (and:{ *:[v2i64] } (xor:{ *:[v2i64] } V128:{ *:[v2i64] }:$c, immAllOnesV:{ *:[v2i64] }), V128:{ *:[v2i64] }:$v2)) - Complexity = 16
                // Dst: (BITSELECT:{ *:[v2i64] } ?:{ *:[v2i64] }:$v1, ?:{ *:[v2i64] }:$v2, ?:{ *:[v2i64] }:$c)
/* 14913*/     /*Scope*/ 22, /*->14936*/
/* 14914*/      OPC_RecordChild0, // #2 = $v2
/* 14915*/      OPC_MoveChild1,
/* 14916*/      OPC_CheckOpcode, TARGET_VAL(ISD::XOR),
/* 14919*/      OPC_CheckChild0Same, 1,
/* 14921*/      OPC_MoveChild1,
/* 14922*/      OPC_CheckImmAllOnesV,
/* 14923*/      OPC_MoveParent,
/* 14924*/      OPC_MoveParent,
/* 14925*/      OPC_MoveParent,
/* 14926*/      OPC_CheckType, /*MVT::v2i64*/81, 
/* 14928*/      OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::BITSELECT),
                    /*MVT::v2i64*/81, 3/*#Ops*/, 0, 2, 1, 
                // Src: (or:{ *:[v2i64] } (and:{ *:[v2i64] } V128:{ *:[v2i64] }:$v1, V128:{ *:[v2i64] }:$c), (and:{ *:[v2i64] } V128:{ *:[v2i64] }:$v2, (xor:{ *:[v2i64] } V128:{ *:[v2i64] }:$c, immAllOnesV:{ *:[v2i64] }))) - Complexity = 16
                // Dst: (BITSELECT:{ *:[v2i64] } ?:{ *:[v2i64] }:$v1, ?:{ *:[v2i64] }:$v2, ?:{ *:[v2i64] }:$c)
/* 14936*/     0, /*End of Scope*/
/* 14937*/    0, /*End of Scope*/
/* 14938*/   /*Scope*/ 46, /*->14985*/
/* 14939*/    OPC_MoveChild0,
/* 14940*/    OPC_CheckOpcode, TARGET_VAL(ISD::XOR),
/* 14943*/    OPC_RecordChild0, // #0 = $c
/* 14944*/    OPC_MoveChild1,
/* 14945*/    OPC_CheckImmAllOnesV,
/* 14946*/    OPC_MoveParent,
/* 14947*/    OPC_MoveParent,
/* 14948*/    OPC_RecordChild1, // #1 = $v2
/* 14949*/    OPC_MoveSibling1,
/* 14950*/    OPC_CheckOpcode, TARGET_VAL(ISD::AND),
/* 14953*/    OPC_Scope, 14, /*->14969*/ // 2 children in Scope
/* 14955*/     OPC_CheckChild0Same, 0,
/* 14957*/     OPC_RecordChild1, // #2 = $v1
/* 14958*/     OPC_MoveParent,
/* 14959*/     OPC_CheckType, /*MVT::v2i64*/81, 
/* 14961*/     OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::BITSELECT),
                   /*MVT::v2i64*/81, 3/*#Ops*/, 2, 1, 0, 
               // Src: (or:{ *:[v2i64] } (and:{ *:[v2i64] } (xor:{ *:[v2i64] } V128:{ *:[v2i64] }:$c, immAllOnesV:{ *:[v2i64] }), V128:{ *:[v2i64] }:$v2), (and:{ *:[v2i64] } V128:{ *:[v2i64] }:$c, V128:{ *:[v2i64] }:$v1)) - Complexity = 16
               // Dst: (BITSELECT:{ *:[v2i64] } ?:{ *:[v2i64] }:$v1, ?:{ *:[v2i64] }:$v2, ?:{ *:[v2i64] }:$c)
/* 14969*/    /*Scope*/ 14, /*->14984*/
/* 14970*/     OPC_RecordChild0, // #2 = $v1
/* 14971*/     OPC_CheckChild1Same, 0,
/* 14973*/     OPC_MoveParent,
/* 14974*/     OPC_CheckType, /*MVT::v2i64*/81, 
/* 14976*/     OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::BITSELECT),
                   /*MVT::v2i64*/81, 3/*#Ops*/, 2, 1, 0, 
               // Src: (or:{ *:[v2i64] } (and:{ *:[v2i64] } (xor:{ *:[v2i64] } V128:{ *:[v2i64] }:$c, immAllOnesV:{ *:[v2i64] }), V128:{ *:[v2i64] }:$v2), (and:{ *:[v2i64] } V128:{ *:[v2i64] }:$v1, V128:{ *:[v2i64] }:$c)) - Complexity = 16
               // Dst: (BITSELECT:{ *:[v2i64] } ?:{ *:[v2i64] }:$v1, ?:{ *:[v2i64] }:$v2, ?:{ *:[v2i64] }:$c)
/* 14984*/    0, /*End of Scope*/
/* 14985*/   /*Scope*/ 46, /*->15032*/
/* 14986*/    OPC_RecordChild0, // #0 = $v2
/* 14987*/    OPC_MoveChild1,
/* 14988*/    OPC_CheckOpcode, TARGET_VAL(ISD::XOR),
/* 14991*/    OPC_RecordChild0, // #1 = $c
/* 14992*/    OPC_MoveChild1,
/* 14993*/    OPC_CheckImmAllOnesV,
/* 14994*/    OPC_MoveParent,
/* 14995*/    OPC_MoveParent,
/* 14996*/    OPC_MoveSibling1,
/* 14997*/    OPC_CheckOpcode, TARGET_VAL(ISD::AND),
/* 15000*/    OPC_Scope, 14, /*->15016*/ // 2 children in Scope
/* 15002*/     OPC_CheckChild0Same, 1,
/* 15004*/     OPC_RecordChild1, // #2 = $v1
/* 15005*/     OPC_MoveParent,
/* 15006*/     OPC_CheckType, /*MVT::v2i64*/81, 
/* 15008*/     OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::BITSELECT),
                   /*MVT::v2i64*/81, 3/*#Ops*/, 2, 0, 1, 
               // Src: (or:{ *:[v2i64] } (and:{ *:[v2i64] } V128:{ *:[v2i64] }:$v2, (xor:{ *:[v2i64] } V128:{ *:[v2i64] }:$c, immAllOnesV:{ *:[v2i64] })), (and:{ *:[v2i64] } V128:{ *:[v2i64] }:$c, V128:{ *:[v2i64] }:$v1)) - Complexity = 16
               // Dst: (BITSELECT:{ *:[v2i64] } ?:{ *:[v2i64] }:$v1, ?:{ *:[v2i64] }:$v2, ?:{ *:[v2i64] }:$c)
/* 15016*/    /*Scope*/ 14, /*->15031*/
/* 15017*/     OPC_RecordChild0, // #2 = $v1
/* 15018*/     OPC_CheckChild1Same, 1,
/* 15020*/     OPC_MoveParent,
/* 15021*/     OPC_CheckType, /*MVT::v2i64*/81, 
/* 15023*/     OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::BITSELECT),
                   /*MVT::v2i64*/81, 3/*#Ops*/, 2, 0, 1, 
               // Src: (or:{ *:[v2i64] } (and:{ *:[v2i64] } V128:{ *:[v2i64] }:$v2, (xor:{ *:[v2i64] } V128:{ *:[v2i64] }:$c, immAllOnesV:{ *:[v2i64] })), (and:{ *:[v2i64] } V128:{ *:[v2i64] }:$v1, V128:{ *:[v2i64] }:$c)) - Complexity = 16
               // Dst: (BITSELECT:{ *:[v2i64] } ?:{ *:[v2i64] }:$v1, ?:{ *:[v2i64] }:$v2, ?:{ *:[v2i64] }:$c)
/* 15031*/    0, /*End of Scope*/
/* 15032*/   0, /*End of Scope*/
/* 15033*/  /*Scope*/ 40, /*->15074*/
/* 15034*/   OPC_RecordChild0, // #0 = $lhs
/* 15035*/   OPC_RecordChild1, // #1 = $rhs
/* 15036*/   OPC_SwitchType /*4 cases */, 7, /*MVT::v16i8*/40, // ->15046
/* 15039*/    OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::OR),
                  /*MVT::v16i8*/40, 2/*#Ops*/, 0, 1, 
              // Src: (or:{ *:[v16i8] } V128:{ *:[v16i8] }:$lhs, V128:{ *:[v16i8] }:$rhs) - Complexity = 3
              // Dst: (OR:{ *:[v16i8] } ?:{ *:[v16i8] }:$lhs, ?:{ *:[v16i8] }:$rhs)
/* 15046*/   /*SwitchType*/ 7, /*MVT::v8i16*/51, // ->15055
/* 15048*/    OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::OR),
                  /*MVT::v8i16*/51, 2/*#Ops*/, 0, 1, 
              // Src: (or:{ *:[v8i16] } V128:{ *:[v8i16] }:$lhs, V128:{ *:[v8i16] }:$rhs) - Complexity = 3
              // Dst: (OR:{ *:[v8i16] } ?:{ *:[v8i16] }:$lhs, ?:{ *:[v8i16] }:$rhs)
/* 15055*/   /*SwitchType*/ 7, /*MVT::v4i32*/62, // ->15064
/* 15057*/    OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::OR),
                  /*MVT::v4i32*/62, 2/*#Ops*/, 0, 1, 
              // Src: (or:{ *:[v4i32] } V128:{ *:[v4i32] }:$lhs, V128:{ *:[v4i32] }:$rhs) - Complexity = 3
              // Dst: (OR:{ *:[v4i32] } ?:{ *:[v4i32] }:$lhs, ?:{ *:[v4i32] }:$rhs)
/* 15064*/   /*SwitchType*/ 7, /*MVT::v2i64*/81, // ->15073
/* 15066*/    OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::OR),
                  /*MVT::v2i64*/81, 2/*#Ops*/, 0, 1, 
              // Src: (or:{ *:[v2i64] } V128:{ *:[v2i64] }:$lhs, V128:{ *:[v2i64] }:$rhs) - Complexity = 3
              // Dst: (OR:{ *:[v2i64] } ?:{ *:[v2i64] }:$lhs, ?:{ *:[v2i64] }:$rhs)
/* 15073*/   0, // EndSwitchType
/* 15074*/  0, /*End of Scope*/
/* 15075*/ /*SwitchOpcode*/ 121|128,11/*1529*/, TARGET_VAL(ISD::XOR),// ->16608
/* 15079*/  OPC_Scope, 22, /*->15103*/ // 17 children in Scope
/* 15081*/   OPC_RecordChild0, // #0 = $lhs
/* 15082*/   OPC_RecordChild1, // #1 = $rhs
/* 15083*/   OPC_SwitchType /*2 cases */, 7, /*MVT::i32*/7, // ->15093
/* 15086*/    OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::XOR_I32),
                  /*MVT::i32*/7, 2/*#Ops*/, 0, 1, 
              // Src: (xor:{ *:[i32] } I32:{ *:[i32] }:$lhs, I32:{ *:[i32] }:$rhs) - Complexity = 3
              // Dst: (XOR_I32:{ *:[i32] } I32:{ *:[i32] }:$lhs, I32:{ *:[i32] }:$rhs)
/* 15093*/   /*SwitchType*/ 7, /*MVT::i64*/8, // ->15102
/* 15095*/    OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::XOR_I64),
                  /*MVT::i64*/8, 2/*#Ops*/, 0, 1, 
              // Src: (xor:{ *:[i64] } I64:{ *:[i64] }:$lhs, I64:{ *:[i64] }:$rhs) - Complexity = 3
              // Dst: (XOR_I64:{ *:[i64] } I64:{ *:[i64] }:$lhs, I64:{ *:[i64] }:$rhs)
/* 15102*/   0, // EndSwitchType
/* 15103*/  /*Scope*/ 121, /*->15225*/
/* 15104*/   OPC_MoveChild0,
/* 15105*/   OPC_CheckOpcode, TARGET_VAL(ISD::AND),
/* 15108*/   OPC_MoveChild0,
/* 15109*/   OPC_CheckOpcode, TARGET_VAL(ISD::XOR),
/* 15112*/   OPC_RecordChild0, // #0 = $v1
/* 15113*/   OPC_Scope, 71, /*->15186*/ // 2 children in Scope
/* 15115*/    OPC_RecordChild1, // #1 = $v2
/* 15116*/    OPC_MoveSibling1,
/* 15117*/    OPC_CheckOpcode, TARGET_VAL(ISD::XOR),
/* 15120*/    OPC_RecordChild0, // #2 = $c
/* 15121*/    OPC_MoveChild1,
/* 15122*/    OPC_CheckImmAllOnesV,
/* 15123*/    OPC_MoveParent,
/* 15124*/    OPC_MoveParent,
/* 15125*/    OPC_MoveParent,
/* 15126*/    OPC_Scope, 44, /*->15172*/ // 2 children in Scope
/* 15128*/     OPC_CheckChild1Same, 1,
/* 15130*/     OPC_SwitchType /*4 cases */, 8, /*MVT::v16i8*/40, // ->15141
/* 15133*/      OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::BITSELECT),
                    /*MVT::v16i8*/40, 3/*#Ops*/, 1, 0, 2, 
                // Src: (xor:{ *:[v16i8] } (and:{ *:[v16i8] } (xor:{ *:[v16i8] } V128:{ *:[v16i8] }:$v1, V128:{ *:[v16i8] }:$v2), (xor:{ *:[v16i8] } V128:{ *:[v16i8] }:$c, immAllOnesV:{ *:[v16i8] })), V128:{ *:[v16i8] }:$v2) - Complexity = 16
                // Dst: (BITSELECT:{ *:[v16i8] } ?:{ *:[v16i8] }:$v2, ?:{ *:[v16i8] }:$v1, ?:{ *:[v16i8] }:$c)
/* 15141*/     /*SwitchType*/ 8, /*MVT::v8i16*/51, // ->15151
/* 15143*/      OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::BITSELECT),
                    /*MVT::v8i16*/51, 3/*#Ops*/, 1, 0, 2, 
                // Src: (xor:{ *:[v8i16] } (and:{ *:[v8i16] } (xor:{ *:[v8i16] } V128:{ *:[v8i16] }:$v1, V128:{ *:[v8i16] }:$v2), (xor:{ *:[v8i16] } V128:{ *:[v8i16] }:$c, immAllOnesV:{ *:[v8i16] })), V128:{ *:[v8i16] }:$v2) - Complexity = 16
                // Dst: (BITSELECT:{ *:[v8i16] } ?:{ *:[v8i16] }:$v2, ?:{ *:[v8i16] }:$v1, ?:{ *:[v8i16] }:$c)
/* 15151*/     /*SwitchType*/ 8, /*MVT::v4i32*/62, // ->15161
/* 15153*/      OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::BITSELECT),
                    /*MVT::v4i32*/62, 3/*#Ops*/, 1, 0, 2, 
                // Src: (xor:{ *:[v4i32] } (and:{ *:[v4i32] } (xor:{ *:[v4i32] } V128:{ *:[v4i32] }:$v1, V128:{ *:[v4i32] }:$v2), (xor:{ *:[v4i32] } V128:{ *:[v4i32] }:$c, immAllOnesV:{ *:[v4i32] })), V128:{ *:[v4i32] }:$v2) - Complexity = 16
                // Dst: (BITSELECT:{ *:[v4i32] } ?:{ *:[v4i32] }:$v2, ?:{ *:[v4i32] }:$v1, ?:{ *:[v4i32] }:$c)
/* 15161*/     /*SwitchType*/ 8, /*MVT::v2i64*/81, // ->15171
/* 15163*/      OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::BITSELECT),
                    /*MVT::v2i64*/81, 3/*#Ops*/, 1, 0, 2, 
                // Src: (xor:{ *:[v2i64] } (and:{ *:[v2i64] } (xor:{ *:[v2i64] } V128:{ *:[v2i64] }:$v1, V128:{ *:[v2i64] }:$v2), (xor:{ *:[v2i64] } V128:{ *:[v2i64] }:$c, immAllOnesV:{ *:[v2i64] })), V128:{ *:[v2i64] }:$v2) - Complexity = 16
                // Dst: (BITSELECT:{ *:[v2i64] } ?:{ *:[v2i64] }:$v2, ?:{ *:[v2i64] }:$v1, ?:{ *:[v2i64] }:$c)
/* 15171*/     0, // EndSwitchType
/* 15172*/    /*Scope*/ 12, /*->15185*/
/* 15173*/     OPC_CheckChild1Same, 0,
/* 15175*/     OPC_CheckType, /*MVT::v16i8*/40, 
/* 15177*/     OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::BITSELECT),
                   /*MVT::v16i8*/40, 3/*#Ops*/, 0, 1, 2, 
               // Src: (xor:{ *:[v16i8] } (and:{ *:[v16i8] } (xor:{ *:[v16i8] } V128:{ *:[v16i8] }:$v2, V128:{ *:[v16i8] }:$v1), (xor:{ *:[v16i8] } V128:{ *:[v16i8] }:$c, immAllOnesV:{ *:[v16i8] })), V128:{ *:[v16i8] }:$v2) - Complexity = 16
               // Dst: (BITSELECT:{ *:[v16i8] } ?:{ *:[v16i8] }:$v2, ?:{ *:[v16i8] }:$v1, ?:{ *:[v16i8] }:$c)
/* 15185*/    0, /*End of Scope*/
/* 15186*/   /*Scope*/ 37, /*->15224*/
/* 15187*/    OPC_MoveChild1,
/* 15188*/    OPC_CheckImmAllOnesV,
/* 15189*/    OPC_MoveParent,
/* 15190*/    OPC_MoveSibling1,
/* 15191*/    OPC_CheckOpcode, TARGET_VAL(ISD::XOR),
/* 15194*/    OPC_RecordChild0, // #1 = $v1
/* 15195*/    OPC_RecordChild1, // #2 = $v2
/* 15196*/    OPC_MoveParent,
/* 15197*/    OPC_MoveParent,
/* 15198*/    OPC_CheckType, /*MVT::v16i8*/40, 
/* 15200*/    OPC_Scope, 10, /*->15212*/ // 2 children in Scope
/* 15202*/     OPC_CheckChild1Same, 2,
/* 15204*/     OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::BITSELECT),
                   /*MVT::v16i8*/40, 3/*#Ops*/, 2, 1, 0, 
               // Src: (xor:{ *:[v16i8] } (and:{ *:[v16i8] } (xor:{ *:[v16i8] } V128:{ *:[v16i8] }:$c, immAllOnesV:{ *:[v16i8] }), (xor:{ *:[v16i8] } V128:{ *:[v16i8] }:$v1, V128:{ *:[v16i8] }:$v2)), V128:{ *:[v16i8] }:$v2) - Complexity = 16
               // Dst: (BITSELECT:{ *:[v16i8] } ?:{ *:[v16i8] }:$v2, ?:{ *:[v16i8] }:$v1, ?:{ *:[v16i8] }:$c)
/* 15212*/    /*Scope*/ 10, /*->15223*/
/* 15213*/     OPC_CheckChild1Same, 1,
/* 15215*/     OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::BITSELECT),
                   /*MVT::v16i8*/40, 3/*#Ops*/, 1, 2, 0, 
               // Src: (xor:{ *:[v16i8] } (and:{ *:[v16i8] } (xor:{ *:[v16i8] } V128:{ *:[v16i8] }:$c, immAllOnesV:{ *:[v16i8] }), (xor:{ *:[v16i8] } V128:{ *:[v16i8] }:$v2, V128:{ *:[v16i8] }:$v1)), V128:{ *:[v16i8] }:$v2) - Complexity = 16
               // Dst: (BITSELECT:{ *:[v16i8] } ?:{ *:[v16i8] }:$v2, ?:{ *:[v16i8] }:$v1, ?:{ *:[v16i8] }:$c)
/* 15223*/    0, /*End of Scope*/
/* 15224*/   0, /*End of Scope*/
/* 15225*/  /*Scope*/ 102, /*->15328*/
/* 15226*/   OPC_RecordChild0, // #0 = $v2
/* 15227*/   OPC_MoveChild1,
/* 15228*/   OPC_CheckOpcode, TARGET_VAL(ISD::AND),
/* 15231*/   OPC_MoveChild0,
/* 15232*/   OPC_CheckOpcode, TARGET_VAL(ISD::XOR),
/* 15235*/   OPC_Scope, 23, /*->15260*/ // 3 children in Scope
/* 15237*/    OPC_RecordChild0, // #1 = $v1
/* 15238*/    OPC_CheckChild1Same, 0,
/* 15240*/    OPC_MoveSibling1,
/* 15241*/    OPC_CheckOpcode, TARGET_VAL(ISD::XOR),
/* 15244*/    OPC_RecordChild0, // #2 = $c
/* 15245*/    OPC_MoveChild1,
/* 15246*/    OPC_CheckImmAllOnesV,
/* 15247*/    OPC_MoveParent,
/* 15248*/    OPC_MoveParent,
/* 15249*/    OPC_MoveParent,
/* 15250*/    OPC_CheckType, /*MVT::v16i8*/40, 
/* 15252*/    OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::BITSELECT),
                  /*MVT::v16i8*/40, 3/*#Ops*/, 0, 1, 2, 
              // Src: (xor:{ *:[v16i8] } V128:{ *:[v16i8] }:$v2, (and:{ *:[v16i8] } (xor:{ *:[v16i8] } V128:{ *:[v16i8] }:$v1, V128:{ *:[v16i8] }:$v2), (xor:{ *:[v16i8] } V128:{ *:[v16i8] }:$c, immAllOnesV:{ *:[v16i8] }))) - Complexity = 16
              // Dst: (BITSELECT:{ *:[v16i8] } ?:{ *:[v16i8] }:$v2, ?:{ *:[v16i8] }:$v1, ?:{ *:[v16i8] }:$c)
/* 15260*/   /*Scope*/ 23, /*->15284*/
/* 15261*/    OPC_CheckChild0Same, 0,
/* 15263*/    OPC_RecordChild1, // #1 = $v1
/* 15264*/    OPC_MoveSibling1,
/* 15265*/    OPC_CheckOpcode, TARGET_VAL(ISD::XOR),
/* 15268*/    OPC_RecordChild0, // #2 = $c
/* 15269*/    OPC_MoveChild1,
/* 15270*/    OPC_CheckImmAllOnesV,
/* 15271*/    OPC_MoveParent,
/* 15272*/    OPC_MoveParent,
/* 15273*/    OPC_MoveParent,
/* 15274*/    OPC_CheckType, /*MVT::v16i8*/40, 
/* 15276*/    OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::BITSELECT),
                  /*MVT::v16i8*/40, 3/*#Ops*/, 0, 1, 2, 
              // Src: (xor:{ *:[v16i8] } V128:{ *:[v16i8] }:$v2, (and:{ *:[v16i8] } (xor:{ *:[v16i8] } V128:{ *:[v16i8] }:$v2, V128:{ *:[v16i8] }:$v1), (xor:{ *:[v16i8] } V128:{ *:[v16i8] }:$c, immAllOnesV:{ *:[v16i8] }))) - Complexity = 16
              // Dst: (BITSELECT:{ *:[v16i8] } ?:{ *:[v16i8] }:$v2, ?:{ *:[v16i8] }:$v1, ?:{ *:[v16i8] }:$c)
/* 15284*/   /*Scope*/ 42, /*->15327*/
/* 15285*/    OPC_RecordChild0, // #1 = $c
/* 15286*/    OPC_MoveChild1,
/* 15287*/    OPC_CheckImmAllOnesV,
/* 15288*/    OPC_MoveParent,
/* 15289*/    OPC_MoveSibling1,
/* 15290*/    OPC_CheckOpcode, TARGET_VAL(ISD::XOR),
/* 15293*/    OPC_Scope, 15, /*->15310*/ // 2 children in Scope
/* 15295*/     OPC_RecordChild0, // #2 = $v1
/* 15296*/     OPC_CheckChild1Same, 0,
/* 15298*/     OPC_MoveParent,
/* 15299*/     OPC_MoveParent,
/* 15300*/     OPC_CheckType, /*MVT::v16i8*/40, 
/* 15302*/     OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::BITSELECT),
                   /*MVT::v16i8*/40, 3/*#Ops*/, 0, 2, 1, 
               // Src: (xor:{ *:[v16i8] } V128:{ *:[v16i8] }:$v2, (and:{ *:[v16i8] } (xor:{ *:[v16i8] } V128:{ *:[v16i8] }:$c, immAllOnesV:{ *:[v16i8] }), (xor:{ *:[v16i8] } V128:{ *:[v16i8] }:$v1, V128:{ *:[v16i8] }:$v2))) - Complexity = 16
               // Dst: (BITSELECT:{ *:[v16i8] } ?:{ *:[v16i8] }:$v2, ?:{ *:[v16i8] }:$v1, ?:{ *:[v16i8] }:$c)
/* 15310*/    /*Scope*/ 15, /*->15326*/
/* 15311*/     OPC_CheckChild0Same, 0,
/* 15313*/     OPC_RecordChild1, // #2 = $v1
/* 15314*/     OPC_MoveParent,
/* 15315*/     OPC_MoveParent,
/* 15316*/     OPC_CheckType, /*MVT::v16i8*/40, 
/* 15318*/     OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::BITSELECT),
                   /*MVT::v16i8*/40, 3/*#Ops*/, 0, 2, 1, 
               // Src: (xor:{ *:[v16i8] } V128:{ *:[v16i8] }:$v2, (and:{ *:[v16i8] } (xor:{ *:[v16i8] } V128:{ *:[v16i8] }:$c, immAllOnesV:{ *:[v16i8] }), (xor:{ *:[v16i8] } V128:{ *:[v16i8] }:$v2, V128:{ *:[v16i8] }:$v1))) - Complexity = 16
               // Dst: (BITSELECT:{ *:[v16i8] } ?:{ *:[v16i8] }:$v2, ?:{ *:[v16i8] }:$v1, ?:{ *:[v16i8] }:$c)
/* 15326*/    0, /*End of Scope*/
/* 15327*/   0, /*End of Scope*/
/* 15328*/  /*Scope*/ 73, /*->15402*/
/* 15329*/   OPC_MoveChild0,
/* 15330*/   OPC_CheckOpcode, TARGET_VAL(ISD::AND),
/* 15333*/   OPC_MoveChild0,
/* 15334*/   OPC_CheckOpcode, TARGET_VAL(ISD::XOR),
/* 15337*/   OPC_RecordChild0, // #0 = $v2
/* 15338*/   OPC_Scope, 23, /*->15363*/ // 2 children in Scope
/* 15340*/    OPC_RecordChild1, // #1 = $v1
/* 15341*/    OPC_MoveSibling1,
/* 15342*/    OPC_CheckOpcode, TARGET_VAL(ISD::XOR),
/* 15345*/    OPC_RecordChild0, // #2 = $c
/* 15346*/    OPC_MoveChild1,
/* 15347*/    OPC_CheckImmAllOnesV,
/* 15348*/    OPC_MoveParent,
/* 15349*/    OPC_MoveParent,
/* 15350*/    OPC_MoveParent,
/* 15351*/    OPC_CheckChild1Same, 0,
/* 15353*/    OPC_CheckType, /*MVT::v8i16*/51, 
/* 15355*/    OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::BITSELECT),
                  /*MVT::v8i16*/51, 3/*#Ops*/, 0, 1, 2, 
              // Src: (xor:{ *:[v8i16] } (and:{ *:[v8i16] } (xor:{ *:[v8i16] } V128:{ *:[v8i16] }:$v2, V128:{ *:[v8i16] }:$v1), (xor:{ *:[v8i16] } V128:{ *:[v8i16] }:$c, immAllOnesV:{ *:[v8i16] })), V128:{ *:[v8i16] }:$v2) - Complexity = 16
              // Dst: (BITSELECT:{ *:[v8i16] } ?:{ *:[v8i16] }:$v2, ?:{ *:[v8i16] }:$v1, ?:{ *:[v8i16] }:$c)
/* 15363*/   /*Scope*/ 37, /*->15401*/
/* 15364*/    OPC_MoveChild1,
/* 15365*/    OPC_CheckImmAllOnesV,
/* 15366*/    OPC_MoveParent,
/* 15367*/    OPC_MoveSibling1,
/* 15368*/    OPC_CheckOpcode, TARGET_VAL(ISD::XOR),
/* 15371*/    OPC_RecordChild0, // #1 = $v1
/* 15372*/    OPC_RecordChild1, // #2 = $v2
/* 15373*/    OPC_MoveParent,
/* 15374*/    OPC_MoveParent,
/* 15375*/    OPC_CheckType, /*MVT::v8i16*/51, 
/* 15377*/    OPC_Scope, 10, /*->15389*/ // 2 children in Scope
/* 15379*/     OPC_CheckChild1Same, 2,
/* 15381*/     OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::BITSELECT),
                   /*MVT::v8i16*/51, 3/*#Ops*/, 2, 1, 0, 
               // Src: (xor:{ *:[v8i16] } (and:{ *:[v8i16] } (xor:{ *:[v8i16] } V128:{ *:[v8i16] }:$c, immAllOnesV:{ *:[v8i16] }), (xor:{ *:[v8i16] } V128:{ *:[v8i16] }:$v1, V128:{ *:[v8i16] }:$v2)), V128:{ *:[v8i16] }:$v2) - Complexity = 16
               // Dst: (BITSELECT:{ *:[v8i16] } ?:{ *:[v8i16] }:$v2, ?:{ *:[v8i16] }:$v1, ?:{ *:[v8i16] }:$c)
/* 15389*/    /*Scope*/ 10, /*->15400*/
/* 15390*/     OPC_CheckChild1Same, 1,
/* 15392*/     OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::BITSELECT),
                   /*MVT::v8i16*/51, 3/*#Ops*/, 1, 2, 0, 
               // Src: (xor:{ *:[v8i16] } (and:{ *:[v8i16] } (xor:{ *:[v8i16] } V128:{ *:[v8i16] }:$c, immAllOnesV:{ *:[v8i16] }), (xor:{ *:[v8i16] } V128:{ *:[v8i16] }:$v2, V128:{ *:[v8i16] }:$v1)), V128:{ *:[v8i16] }:$v2) - Complexity = 16
               // Dst: (BITSELECT:{ *:[v8i16] } ?:{ *:[v8i16] }:$v2, ?:{ *:[v8i16] }:$v1, ?:{ *:[v8i16] }:$c)
/* 15400*/    0, /*End of Scope*/
/* 15401*/   0, /*End of Scope*/
/* 15402*/  /*Scope*/ 102, /*->15505*/
/* 15403*/   OPC_RecordChild0, // #0 = $v2
/* 15404*/   OPC_MoveChild1,
/* 15405*/   OPC_CheckOpcode, TARGET_VAL(ISD::AND),
/* 15408*/   OPC_MoveChild0,
/* 15409*/   OPC_CheckOpcode, TARGET_VAL(ISD::XOR),
/* 15412*/   OPC_Scope, 23, /*->15437*/ // 3 children in Scope
/* 15414*/    OPC_RecordChild0, // #1 = $v1
/* 15415*/    OPC_CheckChild1Same, 0,
/* 15417*/    OPC_MoveSibling1,
/* 15418*/    OPC_CheckOpcode, TARGET_VAL(ISD::XOR),
/* 15421*/    OPC_RecordChild0, // #2 = $c
/* 15422*/    OPC_MoveChild1,
/* 15423*/    OPC_CheckImmAllOnesV,
/* 15424*/    OPC_MoveParent,
/* 15425*/    OPC_MoveParent,
/* 15426*/    OPC_MoveParent,
/* 15427*/    OPC_CheckType, /*MVT::v8i16*/51, 
/* 15429*/    OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::BITSELECT),
                  /*MVT::v8i16*/51, 3/*#Ops*/, 0, 1, 2, 
              // Src: (xor:{ *:[v8i16] } V128:{ *:[v8i16] }:$v2, (and:{ *:[v8i16] } (xor:{ *:[v8i16] } V128:{ *:[v8i16] }:$v1, V128:{ *:[v8i16] }:$v2), (xor:{ *:[v8i16] } V128:{ *:[v8i16] }:$c, immAllOnesV:{ *:[v8i16] }))) - Complexity = 16
              // Dst: (BITSELECT:{ *:[v8i16] } ?:{ *:[v8i16] }:$v2, ?:{ *:[v8i16] }:$v1, ?:{ *:[v8i16] }:$c)
/* 15437*/   /*Scope*/ 23, /*->15461*/
/* 15438*/    OPC_CheckChild0Same, 0,
/* 15440*/    OPC_RecordChild1, // #1 = $v1
/* 15441*/    OPC_MoveSibling1,
/* 15442*/    OPC_CheckOpcode, TARGET_VAL(ISD::XOR),
/* 15445*/    OPC_RecordChild0, // #2 = $c
/* 15446*/    OPC_MoveChild1,
/* 15447*/    OPC_CheckImmAllOnesV,
/* 15448*/    OPC_MoveParent,
/* 15449*/    OPC_MoveParent,
/* 15450*/    OPC_MoveParent,
/* 15451*/    OPC_CheckType, /*MVT::v8i16*/51, 
/* 15453*/    OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::BITSELECT),
                  /*MVT::v8i16*/51, 3/*#Ops*/, 0, 1, 2, 
              // Src: (xor:{ *:[v8i16] } V128:{ *:[v8i16] }:$v2, (and:{ *:[v8i16] } (xor:{ *:[v8i16] } V128:{ *:[v8i16] }:$v2, V128:{ *:[v8i16] }:$v1), (xor:{ *:[v8i16] } V128:{ *:[v8i16] }:$c, immAllOnesV:{ *:[v8i16] }))) - Complexity = 16
              // Dst: (BITSELECT:{ *:[v8i16] } ?:{ *:[v8i16] }:$v2, ?:{ *:[v8i16] }:$v1, ?:{ *:[v8i16] }:$c)
/* 15461*/   /*Scope*/ 42, /*->15504*/
/* 15462*/    OPC_RecordChild0, // #1 = $c
/* 15463*/    OPC_MoveChild1,
/* 15464*/    OPC_CheckImmAllOnesV,
/* 15465*/    OPC_MoveParent,
/* 15466*/    OPC_MoveSibling1,
/* 15467*/    OPC_CheckOpcode, TARGET_VAL(ISD::XOR),
/* 15470*/    OPC_Scope, 15, /*->15487*/ // 2 children in Scope
/* 15472*/     OPC_RecordChild0, // #2 = $v1
/* 15473*/     OPC_CheckChild1Same, 0,
/* 15475*/     OPC_MoveParent,
/* 15476*/     OPC_MoveParent,
/* 15477*/     OPC_CheckType, /*MVT::v8i16*/51, 
/* 15479*/     OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::BITSELECT),
                   /*MVT::v8i16*/51, 3/*#Ops*/, 0, 2, 1, 
               // Src: (xor:{ *:[v8i16] } V128:{ *:[v8i16] }:$v2, (and:{ *:[v8i16] } (xor:{ *:[v8i16] } V128:{ *:[v8i16] }:$c, immAllOnesV:{ *:[v8i16] }), (xor:{ *:[v8i16] } V128:{ *:[v8i16] }:$v1, V128:{ *:[v8i16] }:$v2))) - Complexity = 16
               // Dst: (BITSELECT:{ *:[v8i16] } ?:{ *:[v8i16] }:$v2, ?:{ *:[v8i16] }:$v1, ?:{ *:[v8i16] }:$c)
/* 15487*/    /*Scope*/ 15, /*->15503*/
/* 15488*/     OPC_CheckChild0Same, 0,
/* 15490*/     OPC_RecordChild1, // #2 = $v1
/* 15491*/     OPC_MoveParent,
/* 15492*/     OPC_MoveParent,
/* 15493*/     OPC_CheckType, /*MVT::v8i16*/51, 
/* 15495*/     OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::BITSELECT),
                   /*MVT::v8i16*/51, 3/*#Ops*/, 0, 2, 1, 
               // Src: (xor:{ *:[v8i16] } V128:{ *:[v8i16] }:$v2, (and:{ *:[v8i16] } (xor:{ *:[v8i16] } V128:{ *:[v8i16] }:$c, immAllOnesV:{ *:[v8i16] }), (xor:{ *:[v8i16] } V128:{ *:[v8i16] }:$v2, V128:{ *:[v8i16] }:$v1))) - Complexity = 16
               // Dst: (BITSELECT:{ *:[v8i16] } ?:{ *:[v8i16] }:$v2, ?:{ *:[v8i16] }:$v1, ?:{ *:[v8i16] }:$c)
/* 15503*/    0, /*End of Scope*/
/* 15504*/   0, /*End of Scope*/
/* 15505*/  /*Scope*/ 73, /*->15579*/
/* 15506*/   OPC_MoveChild0,
/* 15507*/   OPC_CheckOpcode, TARGET_VAL(ISD::AND),
/* 15510*/   OPC_MoveChild0,
/* 15511*/   OPC_CheckOpcode, TARGET_VAL(ISD::XOR),
/* 15514*/   OPC_RecordChild0, // #0 = $v2
/* 15515*/   OPC_Scope, 23, /*->15540*/ // 2 children in Scope
/* 15517*/    OPC_RecordChild1, // #1 = $v1
/* 15518*/    OPC_MoveSibling1,
/* 15519*/    OPC_CheckOpcode, TARGET_VAL(ISD::XOR),
/* 15522*/    OPC_RecordChild0, // #2 = $c
/* 15523*/    OPC_MoveChild1,
/* 15524*/    OPC_CheckImmAllOnesV,
/* 15525*/    OPC_MoveParent,
/* 15526*/    OPC_MoveParent,
/* 15527*/    OPC_MoveParent,
/* 15528*/    OPC_CheckChild1Same, 0,
/* 15530*/    OPC_CheckType, /*MVT::v4i32*/62, 
/* 15532*/    OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::BITSELECT),
                  /*MVT::v4i32*/62, 3/*#Ops*/, 0, 1, 2, 
              // Src: (xor:{ *:[v4i32] } (and:{ *:[v4i32] } (xor:{ *:[v4i32] } V128:{ *:[v4i32] }:$v2, V128:{ *:[v4i32] }:$v1), (xor:{ *:[v4i32] } V128:{ *:[v4i32] }:$c, immAllOnesV:{ *:[v4i32] })), V128:{ *:[v4i32] }:$v2) - Complexity = 16
              // Dst: (BITSELECT:{ *:[v4i32] } ?:{ *:[v4i32] }:$v2, ?:{ *:[v4i32] }:$v1, ?:{ *:[v4i32] }:$c)
/* 15540*/   /*Scope*/ 37, /*->15578*/
/* 15541*/    OPC_MoveChild1,
/* 15542*/    OPC_CheckImmAllOnesV,
/* 15543*/    OPC_MoveParent,
/* 15544*/    OPC_MoveSibling1,
/* 15545*/    OPC_CheckOpcode, TARGET_VAL(ISD::XOR),
/* 15548*/    OPC_RecordChild0, // #1 = $v1
/* 15549*/    OPC_RecordChild1, // #2 = $v2
/* 15550*/    OPC_MoveParent,
/* 15551*/    OPC_MoveParent,
/* 15552*/    OPC_CheckType, /*MVT::v4i32*/62, 
/* 15554*/    OPC_Scope, 10, /*->15566*/ // 2 children in Scope
/* 15556*/     OPC_CheckChild1Same, 2,
/* 15558*/     OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::BITSELECT),
                   /*MVT::v4i32*/62, 3/*#Ops*/, 2, 1, 0, 
               // Src: (xor:{ *:[v4i32] } (and:{ *:[v4i32] } (xor:{ *:[v4i32] } V128:{ *:[v4i32] }:$c, immAllOnesV:{ *:[v4i32] }), (xor:{ *:[v4i32] } V128:{ *:[v4i32] }:$v1, V128:{ *:[v4i32] }:$v2)), V128:{ *:[v4i32] }:$v2) - Complexity = 16
               // Dst: (BITSELECT:{ *:[v4i32] } ?:{ *:[v4i32] }:$v2, ?:{ *:[v4i32] }:$v1, ?:{ *:[v4i32] }:$c)
/* 15566*/    /*Scope*/ 10, /*->15577*/
/* 15567*/     OPC_CheckChild1Same, 1,
/* 15569*/     OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::BITSELECT),
                   /*MVT::v4i32*/62, 3/*#Ops*/, 1, 2, 0, 
               // Src: (xor:{ *:[v4i32] } (and:{ *:[v4i32] } (xor:{ *:[v4i32] } V128:{ *:[v4i32] }:$c, immAllOnesV:{ *:[v4i32] }), (xor:{ *:[v4i32] } V128:{ *:[v4i32] }:$v2, V128:{ *:[v4i32] }:$v1)), V128:{ *:[v4i32] }:$v2) - Complexity = 16
               // Dst: (BITSELECT:{ *:[v4i32] } ?:{ *:[v4i32] }:$v2, ?:{ *:[v4i32] }:$v1, ?:{ *:[v4i32] }:$c)
/* 15577*/    0, /*End of Scope*/
/* 15578*/   0, /*End of Scope*/
/* 15579*/  /*Scope*/ 102, /*->15682*/
/* 15580*/   OPC_RecordChild0, // #0 = $v2
/* 15581*/   OPC_MoveChild1,
/* 15582*/   OPC_CheckOpcode, TARGET_VAL(ISD::AND),
/* 15585*/   OPC_MoveChild0,
/* 15586*/   OPC_CheckOpcode, TARGET_VAL(ISD::XOR),
/* 15589*/   OPC_Scope, 23, /*->15614*/ // 3 children in Scope
/* 15591*/    OPC_RecordChild0, // #1 = $v1
/* 15592*/    OPC_CheckChild1Same, 0,
/* 15594*/    OPC_MoveSibling1,
/* 15595*/    OPC_CheckOpcode, TARGET_VAL(ISD::XOR),
/* 15598*/    OPC_RecordChild0, // #2 = $c
/* 15599*/    OPC_MoveChild1,
/* 15600*/    OPC_CheckImmAllOnesV,
/* 15601*/    OPC_MoveParent,
/* 15602*/    OPC_MoveParent,
/* 15603*/    OPC_MoveParent,
/* 15604*/    OPC_CheckType, /*MVT::v4i32*/62, 
/* 15606*/    OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::BITSELECT),
                  /*MVT::v4i32*/62, 3/*#Ops*/, 0, 1, 2, 
              // Src: (xor:{ *:[v4i32] } V128:{ *:[v4i32] }:$v2, (and:{ *:[v4i32] } (xor:{ *:[v4i32] } V128:{ *:[v4i32] }:$v1, V128:{ *:[v4i32] }:$v2), (xor:{ *:[v4i32] } V128:{ *:[v4i32] }:$c, immAllOnesV:{ *:[v4i32] }))) - Complexity = 16
              // Dst: (BITSELECT:{ *:[v4i32] } ?:{ *:[v4i32] }:$v2, ?:{ *:[v4i32] }:$v1, ?:{ *:[v4i32] }:$c)
/* 15614*/   /*Scope*/ 23, /*->15638*/
/* 15615*/    OPC_CheckChild0Same, 0,
/* 15617*/    OPC_RecordChild1, // #1 = $v1
/* 15618*/    OPC_MoveSibling1,
/* 15619*/    OPC_CheckOpcode, TARGET_VAL(ISD::XOR),
/* 15622*/    OPC_RecordChild0, // #2 = $c
/* 15623*/    OPC_MoveChild1,
/* 15624*/    OPC_CheckImmAllOnesV,
/* 15625*/    OPC_MoveParent,
/* 15626*/    OPC_MoveParent,
/* 15627*/    OPC_MoveParent,
/* 15628*/    OPC_CheckType, /*MVT::v4i32*/62, 
/* 15630*/    OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::BITSELECT),
                  /*MVT::v4i32*/62, 3/*#Ops*/, 0, 1, 2, 
              // Src: (xor:{ *:[v4i32] } V128:{ *:[v4i32] }:$v2, (and:{ *:[v4i32] } (xor:{ *:[v4i32] } V128:{ *:[v4i32] }:$v2, V128:{ *:[v4i32] }:$v1), (xor:{ *:[v4i32] } V128:{ *:[v4i32] }:$c, immAllOnesV:{ *:[v4i32] }))) - Complexity = 16
              // Dst: (BITSELECT:{ *:[v4i32] } ?:{ *:[v4i32] }:$v2, ?:{ *:[v4i32] }:$v1, ?:{ *:[v4i32] }:$c)
/* 15638*/   /*Scope*/ 42, /*->15681*/
/* 15639*/    OPC_RecordChild0, // #1 = $c
/* 15640*/    OPC_MoveChild1,
/* 15641*/    OPC_CheckImmAllOnesV,
/* 15642*/    OPC_MoveParent,
/* 15643*/    OPC_MoveSibling1,
/* 15644*/    OPC_CheckOpcode, TARGET_VAL(ISD::XOR),
/* 15647*/    OPC_Scope, 15, /*->15664*/ // 2 children in Scope
/* 15649*/     OPC_RecordChild0, // #2 = $v1
/* 15650*/     OPC_CheckChild1Same, 0,
/* 15652*/     OPC_MoveParent,
/* 15653*/     OPC_MoveParent,
/* 15654*/     OPC_CheckType, /*MVT::v4i32*/62, 
/* 15656*/     OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::BITSELECT),
                   /*MVT::v4i32*/62, 3/*#Ops*/, 0, 2, 1, 
               // Src: (xor:{ *:[v4i32] } V128:{ *:[v4i32] }:$v2, (and:{ *:[v4i32] } (xor:{ *:[v4i32] } V128:{ *:[v4i32] }:$c, immAllOnesV:{ *:[v4i32] }), (xor:{ *:[v4i32] } V128:{ *:[v4i32] }:$v1, V128:{ *:[v4i32] }:$v2))) - Complexity = 16
               // Dst: (BITSELECT:{ *:[v4i32] } ?:{ *:[v4i32] }:$v2, ?:{ *:[v4i32] }:$v1, ?:{ *:[v4i32] }:$c)
/* 15664*/    /*Scope*/ 15, /*->15680*/
/* 15665*/     OPC_CheckChild0Same, 0,
/* 15667*/     OPC_RecordChild1, // #2 = $v1
/* 15668*/     OPC_MoveParent,
/* 15669*/     OPC_MoveParent,
/* 15670*/     OPC_CheckType, /*MVT::v4i32*/62, 
/* 15672*/     OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::BITSELECT),
                   /*MVT::v4i32*/62, 3/*#Ops*/, 0, 2, 1, 
               // Src: (xor:{ *:[v4i32] } V128:{ *:[v4i32] }:$v2, (and:{ *:[v4i32] } (xor:{ *:[v4i32] } V128:{ *:[v4i32] }:$c, immAllOnesV:{ *:[v4i32] }), (xor:{ *:[v4i32] } V128:{ *:[v4i32] }:$v2, V128:{ *:[v4i32] }:$v1))) - Complexity = 16
               // Dst: (BITSELECT:{ *:[v4i32] } ?:{ *:[v4i32] }:$v2, ?:{ *:[v4i32] }:$v1, ?:{ *:[v4i32] }:$c)
/* 15680*/    0, /*End of Scope*/
/* 15681*/   0, /*End of Scope*/
/* 15682*/  /*Scope*/ 73, /*->15756*/
/* 15683*/   OPC_MoveChild0,
/* 15684*/   OPC_CheckOpcode, TARGET_VAL(ISD::AND),
/* 15687*/   OPC_MoveChild0,
/* 15688*/   OPC_CheckOpcode, TARGET_VAL(ISD::XOR),
/* 15691*/   OPC_RecordChild0, // #0 = $v2
/* 15692*/   OPC_Scope, 23, /*->15717*/ // 2 children in Scope
/* 15694*/    OPC_RecordChild1, // #1 = $v1
/* 15695*/    OPC_MoveSibling1,
/* 15696*/    OPC_CheckOpcode, TARGET_VAL(ISD::XOR),
/* 15699*/    OPC_RecordChild0, // #2 = $c
/* 15700*/    OPC_MoveChild1,
/* 15701*/    OPC_CheckImmAllOnesV,
/* 15702*/    OPC_MoveParent,
/* 15703*/    OPC_MoveParent,
/* 15704*/    OPC_MoveParent,
/* 15705*/    OPC_CheckChild1Same, 0,
/* 15707*/    OPC_CheckType, /*MVT::v2i64*/81, 
/* 15709*/    OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::BITSELECT),
                  /*MVT::v2i64*/81, 3/*#Ops*/, 0, 1, 2, 
              // Src: (xor:{ *:[v2i64] } (and:{ *:[v2i64] } (xor:{ *:[v2i64] } V128:{ *:[v2i64] }:$v2, V128:{ *:[v2i64] }:$v1), (xor:{ *:[v2i64] } V128:{ *:[v2i64] }:$c, immAllOnesV:{ *:[v2i64] })), V128:{ *:[v2i64] }:$v2) - Complexity = 16
              // Dst: (BITSELECT:{ *:[v2i64] } ?:{ *:[v2i64] }:$v2, ?:{ *:[v2i64] }:$v1, ?:{ *:[v2i64] }:$c)
/* 15717*/   /*Scope*/ 37, /*->15755*/
/* 15718*/    OPC_MoveChild1,
/* 15719*/    OPC_CheckImmAllOnesV,
/* 15720*/    OPC_MoveParent,
/* 15721*/    OPC_MoveSibling1,
/* 15722*/    OPC_CheckOpcode, TARGET_VAL(ISD::XOR),
/* 15725*/    OPC_RecordChild0, // #1 = $v1
/* 15726*/    OPC_RecordChild1, // #2 = $v2
/* 15727*/    OPC_MoveParent,
/* 15728*/    OPC_MoveParent,
/* 15729*/    OPC_CheckType, /*MVT::v2i64*/81, 
/* 15731*/    OPC_Scope, 10, /*->15743*/ // 2 children in Scope
/* 15733*/     OPC_CheckChild1Same, 2,
/* 15735*/     OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::BITSELECT),
                   /*MVT::v2i64*/81, 3/*#Ops*/, 2, 1, 0, 
               // Src: (xor:{ *:[v2i64] } (and:{ *:[v2i64] } (xor:{ *:[v2i64] } V128:{ *:[v2i64] }:$c, immAllOnesV:{ *:[v2i64] }), (xor:{ *:[v2i64] } V128:{ *:[v2i64] }:$v1, V128:{ *:[v2i64] }:$v2)), V128:{ *:[v2i64] }:$v2) - Complexity = 16
               // Dst: (BITSELECT:{ *:[v2i64] } ?:{ *:[v2i64] }:$v2, ?:{ *:[v2i64] }:$v1, ?:{ *:[v2i64] }:$c)
/* 15743*/    /*Scope*/ 10, /*->15754*/
/* 15744*/     OPC_CheckChild1Same, 1,
/* 15746*/     OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::BITSELECT),
                   /*MVT::v2i64*/81, 3/*#Ops*/, 1, 2, 0, 
               // Src: (xor:{ *:[v2i64] } (and:{ *:[v2i64] } (xor:{ *:[v2i64] } V128:{ *:[v2i64] }:$c, immAllOnesV:{ *:[v2i64] }), (xor:{ *:[v2i64] } V128:{ *:[v2i64] }:$v2, V128:{ *:[v2i64] }:$v1)), V128:{ *:[v2i64] }:$v2) - Complexity = 16
               // Dst: (BITSELECT:{ *:[v2i64] } ?:{ *:[v2i64] }:$v2, ?:{ *:[v2i64] }:$v1, ?:{ *:[v2i64] }:$c)
/* 15754*/    0, /*End of Scope*/
/* 15755*/   0, /*End of Scope*/
/* 15756*/  /*Scope*/ 102, /*->15859*/
/* 15757*/   OPC_RecordChild0, // #0 = $v2
/* 15758*/   OPC_MoveChild1,
/* 15759*/   OPC_CheckOpcode, TARGET_VAL(ISD::AND),
/* 15762*/   OPC_MoveChild0,
/* 15763*/   OPC_CheckOpcode, TARGET_VAL(ISD::XOR),
/* 15766*/   OPC_Scope, 23, /*->15791*/ // 3 children in Scope
/* 15768*/    OPC_RecordChild0, // #1 = $v1
/* 15769*/    OPC_CheckChild1Same, 0,
/* 15771*/    OPC_MoveSibling1,
/* 15772*/    OPC_CheckOpcode, TARGET_VAL(ISD::XOR),
/* 15775*/    OPC_RecordChild0, // #2 = $c
/* 15776*/    OPC_MoveChild1,
/* 15777*/    OPC_CheckImmAllOnesV,
/* 15778*/    OPC_MoveParent,
/* 15779*/    OPC_MoveParent,
/* 15780*/    OPC_MoveParent,
/* 15781*/    OPC_CheckType, /*MVT::v2i64*/81, 
/* 15783*/    OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::BITSELECT),
                  /*MVT::v2i64*/81, 3/*#Ops*/, 0, 1, 2, 
              // Src: (xor:{ *:[v2i64] } V128:{ *:[v2i64] }:$v2, (and:{ *:[v2i64] } (xor:{ *:[v2i64] } V128:{ *:[v2i64] }:$v1, V128:{ *:[v2i64] }:$v2), (xor:{ *:[v2i64] } V128:{ *:[v2i64] }:$c, immAllOnesV:{ *:[v2i64] }))) - Complexity = 16
              // Dst: (BITSELECT:{ *:[v2i64] } ?:{ *:[v2i64] }:$v2, ?:{ *:[v2i64] }:$v1, ?:{ *:[v2i64] }:$c)
/* 15791*/   /*Scope*/ 23, /*->15815*/
/* 15792*/    OPC_CheckChild0Same, 0,
/* 15794*/    OPC_RecordChild1, // #1 = $v1
/* 15795*/    OPC_MoveSibling1,
/* 15796*/    OPC_CheckOpcode, TARGET_VAL(ISD::XOR),
/* 15799*/    OPC_RecordChild0, // #2 = $c
/* 15800*/    OPC_MoveChild1,
/* 15801*/    OPC_CheckImmAllOnesV,
/* 15802*/    OPC_MoveParent,
/* 15803*/    OPC_MoveParent,
/* 15804*/    OPC_MoveParent,
/* 15805*/    OPC_CheckType, /*MVT::v2i64*/81, 
/* 15807*/    OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::BITSELECT),
                  /*MVT::v2i64*/81, 3/*#Ops*/, 0, 1, 2, 
              // Src: (xor:{ *:[v2i64] } V128:{ *:[v2i64] }:$v2, (and:{ *:[v2i64] } (xor:{ *:[v2i64] } V128:{ *:[v2i64] }:$v2, V128:{ *:[v2i64] }:$v1), (xor:{ *:[v2i64] } V128:{ *:[v2i64] }:$c, immAllOnesV:{ *:[v2i64] }))) - Complexity = 16
              // Dst: (BITSELECT:{ *:[v2i64] } ?:{ *:[v2i64] }:$v2, ?:{ *:[v2i64] }:$v1, ?:{ *:[v2i64] }:$c)
/* 15815*/   /*Scope*/ 42, /*->15858*/
/* 15816*/    OPC_RecordChild0, // #1 = $c
/* 15817*/    OPC_MoveChild1,
/* 15818*/    OPC_CheckImmAllOnesV,
/* 15819*/    OPC_MoveParent,
/* 15820*/    OPC_MoveSibling1,
/* 15821*/    OPC_CheckOpcode, TARGET_VAL(ISD::XOR),
/* 15824*/    OPC_Scope, 15, /*->15841*/ // 2 children in Scope
/* 15826*/     OPC_RecordChild0, // #2 = $v1
/* 15827*/     OPC_CheckChild1Same, 0,
/* 15829*/     OPC_MoveParent,
/* 15830*/     OPC_MoveParent,
/* 15831*/     OPC_CheckType, /*MVT::v2i64*/81, 
/* 15833*/     OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::BITSELECT),
                   /*MVT::v2i64*/81, 3/*#Ops*/, 0, 2, 1, 
               // Src: (xor:{ *:[v2i64] } V128:{ *:[v2i64] }:$v2, (and:{ *:[v2i64] } (xor:{ *:[v2i64] } V128:{ *:[v2i64] }:$c, immAllOnesV:{ *:[v2i64] }), (xor:{ *:[v2i64] } V128:{ *:[v2i64] }:$v1, V128:{ *:[v2i64] }:$v2))) - Complexity = 16
               // Dst: (BITSELECT:{ *:[v2i64] } ?:{ *:[v2i64] }:$v2, ?:{ *:[v2i64] }:$v1, ?:{ *:[v2i64] }:$c)
/* 15841*/    /*Scope*/ 15, /*->15857*/
/* 15842*/     OPC_CheckChild0Same, 0,
/* 15844*/     OPC_RecordChild1, // #2 = $v1
/* 15845*/     OPC_MoveParent,
/* 15846*/     OPC_MoveParent,
/* 15847*/     OPC_CheckType, /*MVT::v2i64*/81, 
/* 15849*/     OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::BITSELECT),
                   /*MVT::v2i64*/81, 3/*#Ops*/, 0, 2, 1, 
               // Src: (xor:{ *:[v2i64] } V128:{ *:[v2i64] }:$v2, (and:{ *:[v2i64] } (xor:{ *:[v2i64] } V128:{ *:[v2i64] }:$c, immAllOnesV:{ *:[v2i64] }), (xor:{ *:[v2i64] } V128:{ *:[v2i64] }:$v2, V128:{ *:[v2i64] }:$v1))) - Complexity = 16
               // Dst: (BITSELECT:{ *:[v2i64] } ?:{ *:[v2i64] }:$v2, ?:{ *:[v2i64] }:$v1, ?:{ *:[v2i64] }:$c)
/* 15857*/    0, /*End of Scope*/
/* 15858*/   0, /*End of Scope*/
/* 15859*/  /*Scope*/ 112, /*->15972*/
/* 15860*/   OPC_MoveChild0,
/* 15861*/   OPC_CheckOpcode, TARGET_VAL(ISD::AND),
/* 15864*/   OPC_Scope, 69, /*->15935*/ // 2 children in Scope
/* 15866*/    OPC_MoveChild0,
/* 15867*/    OPC_CheckOpcode, TARGET_VAL(ISD::XOR),
/* 15870*/    OPC_RecordChild0, // #0 = $v1
/* 15871*/    OPC_RecordChild1, // #1 = $v2
/* 15872*/    OPC_MoveParent,
/* 15873*/    OPC_RecordChild1, // #2 = $c
/* 15874*/    OPC_MoveParent,
/* 15875*/    OPC_Scope, 44, /*->15921*/ // 2 children in Scope
/* 15877*/     OPC_CheckChild1Same, 1,
/* 15879*/     OPC_SwitchType /*4 cases */, 8, /*MVT::v16i8*/40, // ->15890
/* 15882*/      OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::BITSELECT),
                    /*MVT::v16i8*/40, 3/*#Ops*/, 0, 1, 2, 
                // Src: (xor:{ *:[v16i8] } (and:{ *:[v16i8] } (xor:{ *:[v16i8] } V128:{ *:[v16i8] }:$v1, V128:{ *:[v16i8] }:$v2), V128:{ *:[v16i8] }:$c), V128:{ *:[v16i8] }:$v2) - Complexity = 9
                // Dst: (BITSELECT:{ *:[v16i8] } ?:{ *:[v16i8] }:$v1, ?:{ *:[v16i8] }:$v2, ?:{ *:[v16i8] }:$c)
/* 15890*/     /*SwitchType*/ 8, /*MVT::v8i16*/51, // ->15900
/* 15892*/      OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::BITSELECT),
                    /*MVT::v8i16*/51, 3/*#Ops*/, 0, 1, 2, 
                // Src: (xor:{ *:[v8i16] } (and:{ *:[v8i16] } (xor:{ *:[v8i16] } V128:{ *:[v8i16] }:$v1, V128:{ *:[v8i16] }:$v2), V128:{ *:[v8i16] }:$c), V128:{ *:[v8i16] }:$v2) - Complexity = 9
                // Dst: (BITSELECT:{ *:[v8i16] } ?:{ *:[v8i16] }:$v1, ?:{ *:[v8i16] }:$v2, ?:{ *:[v8i16] }:$c)
/* 15900*/     /*SwitchType*/ 8, /*MVT::v4i32*/62, // ->15910
/* 15902*/      OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::BITSELECT),
                    /*MVT::v4i32*/62, 3/*#Ops*/, 0, 1, 2, 
                // Src: (xor:{ *:[v4i32] } (and:{ *:[v4i32] } (xor:{ *:[v4i32] } V128:{ *:[v4i32] }:$v1, V128:{ *:[v4i32] }:$v2), V128:{ *:[v4i32] }:$c), V128:{ *:[v4i32] }:$v2) - Complexity = 9
                // Dst: (BITSELECT:{ *:[v4i32] } ?:{ *:[v4i32] }:$v1, ?:{ *:[v4i32] }:$v2, ?:{ *:[v4i32] }:$c)
/* 15910*/     /*SwitchType*/ 8, /*MVT::v2i64*/81, // ->15920
/* 15912*/      OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::BITSELECT),
                    /*MVT::v2i64*/81, 3/*#Ops*/, 0, 1, 2, 
                // Src: (xor:{ *:[v2i64] } (and:{ *:[v2i64] } (xor:{ *:[v2i64] } V128:{ *:[v2i64] }:$v1, V128:{ *:[v2i64] }:$v2), V128:{ *:[v2i64] }:$c), V128:{ *:[v2i64] }:$v2) - Complexity = 9
                // Dst: (BITSELECT:{ *:[v2i64] } ?:{ *:[v2i64] }:$v1, ?:{ *:[v2i64] }:$v2, ?:{ *:[v2i64] }:$c)
/* 15920*/     0, // EndSwitchType
/* 15921*/    /*Scope*/ 12, /*->15934*/
/* 15922*/     OPC_CheckChild1Same, 0,
/* 15924*/     OPC_CheckType, /*MVT::v16i8*/40, 
/* 15926*/     OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::BITSELECT),
                   /*MVT::v16i8*/40, 3/*#Ops*/, 1, 0, 2, 
               // Src: (xor:{ *:[v16i8] } (and:{ *:[v16i8] } (xor:{ *:[v16i8] } V128:{ *:[v16i8] }:$v2, V128:{ *:[v16i8] }:$v1), V128:{ *:[v16i8] }:$c), V128:{ *:[v16i8] }:$v2) - Complexity = 9
               // Dst: (BITSELECT:{ *:[v16i8] } ?:{ *:[v16i8] }:$v1, ?:{ *:[v16i8] }:$v2, ?:{ *:[v16i8] }:$c)
/* 15934*/    0, /*End of Scope*/
/* 15935*/   /*Scope*/ 35, /*->15971*/
/* 15936*/    OPC_RecordChild0, // #0 = $c
/* 15937*/    OPC_MoveChild1,
/* 15938*/    OPC_CheckOpcode, TARGET_VAL(ISD::XOR),
/* 15941*/    OPC_RecordChild0, // #1 = $v1
/* 15942*/    OPC_RecordChild1, // #2 = $v2
/* 15943*/    OPC_MoveParent,
/* 15944*/    OPC_MoveParent,
/* 15945*/    OPC_CheckType, /*MVT::v16i8*/40, 
/* 15947*/    OPC_Scope, 10, /*->15959*/ // 2 children in Scope
/* 15949*/     OPC_CheckChild1Same, 2,
/* 15951*/     OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::BITSELECT),
                   /*MVT::v16i8*/40, 3/*#Ops*/, 1, 2, 0, 
               // Src: (xor:{ *:[v16i8] } (and:{ *:[v16i8] } V128:{ *:[v16i8] }:$c, (xor:{ *:[v16i8] } V128:{ *:[v16i8] }:$v1, V128:{ *:[v16i8] }:$v2)), V128:{ *:[v16i8] }:$v2) - Complexity = 9
               // Dst: (BITSELECT:{ *:[v16i8] } ?:{ *:[v16i8] }:$v1, ?:{ *:[v16i8] }:$v2, ?:{ *:[v16i8] }:$c)
/* 15959*/    /*Scope*/ 10, /*->15970*/
/* 15960*/     OPC_CheckChild1Same, 1,
/* 15962*/     OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::BITSELECT),
                   /*MVT::v16i8*/40, 3/*#Ops*/, 2, 1, 0, 
               // Src: (xor:{ *:[v16i8] } (and:{ *:[v16i8] } V128:{ *:[v16i8] }:$c, (xor:{ *:[v16i8] } V128:{ *:[v16i8] }:$v2, V128:{ *:[v16i8] }:$v1)), V128:{ *:[v16i8] }:$v2) - Complexity = 9
               // Dst: (BITSELECT:{ *:[v16i8] } ?:{ *:[v16i8] }:$v1, ?:{ *:[v16i8] }:$v2, ?:{ *:[v16i8] }:$c)
/* 15970*/    0, /*End of Scope*/
/* 15971*/   0, /*End of Scope*/
/* 15972*/  /*Scope*/ 88, /*->16061*/
/* 15973*/   OPC_RecordChild0, // #0 = $v2
/* 15974*/   OPC_MoveChild1,
/* 15975*/   OPC_CheckOpcode, TARGET_VAL(ISD::AND),
/* 15978*/   OPC_Scope, 40, /*->16020*/ // 2 children in Scope
/* 15980*/    OPC_MoveChild0,
/* 15981*/    OPC_CheckOpcode, TARGET_VAL(ISD::XOR),
/* 15984*/    OPC_Scope, 16, /*->16002*/ // 2 children in Scope
/* 15986*/     OPC_RecordChild0, // #1 = $v1
/* 15987*/     OPC_CheckChild1Same, 0,
/* 15989*/     OPC_MoveParent,
/* 15990*/     OPC_RecordChild1, // #2 = $c
/* 15991*/     OPC_MoveParent,
/* 15992*/     OPC_CheckType, /*MVT::v16i8*/40, 
/* 15994*/     OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::BITSELECT),
                   /*MVT::v16i8*/40, 3/*#Ops*/, 1, 0, 2, 
               // Src: (xor:{ *:[v16i8] } V128:{ *:[v16i8] }:$v2, (and:{ *:[v16i8] } (xor:{ *:[v16i8] } V128:{ *:[v16i8] }:$v1, V128:{ *:[v16i8] }:$v2), V128:{ *:[v16i8] }:$c)) - Complexity = 9
               // Dst: (BITSELECT:{ *:[v16i8] } ?:{ *:[v16i8] }:$v1, ?:{ *:[v16i8] }:$v2, ?:{ *:[v16i8] }:$c)
/* 16002*/    /*Scope*/ 16, /*->16019*/
/* 16003*/     OPC_CheckChild0Same, 0,
/* 16005*/     OPC_RecordChild1, // #1 = $v1
/* 16006*/     OPC_MoveParent,
/* 16007*/     OPC_RecordChild1, // #2 = $c
/* 16008*/     OPC_MoveParent,
/* 16009*/     OPC_CheckType, /*MVT::v16i8*/40, 
/* 16011*/     OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::BITSELECT),
                   /*MVT::v16i8*/40, 3/*#Ops*/, 1, 0, 2, 
               // Src: (xor:{ *:[v16i8] } V128:{ *:[v16i8] }:$v2, (and:{ *:[v16i8] } (xor:{ *:[v16i8] } V128:{ *:[v16i8] }:$v2, V128:{ *:[v16i8] }:$v1), V128:{ *:[v16i8] }:$c)) - Complexity = 9
               // Dst: (BITSELECT:{ *:[v16i8] } ?:{ *:[v16i8] }:$v1, ?:{ *:[v16i8] }:$v2, ?:{ *:[v16i8] }:$c)
/* 16019*/    0, /*End of Scope*/
/* 16020*/   /*Scope*/ 39, /*->16060*/
/* 16021*/    OPC_RecordChild0, // #1 = $c
/* 16022*/    OPC_MoveChild1,
/* 16023*/    OPC_CheckOpcode, TARGET_VAL(ISD::XOR),
/* 16026*/    OPC_Scope, 15, /*->16043*/ // 2 children in Scope
/* 16028*/     OPC_RecordChild0, // #2 = $v1
/* 16029*/     OPC_CheckChild1Same, 0,
/* 16031*/     OPC_MoveParent,
/* 16032*/     OPC_MoveParent,
/* 16033*/     OPC_CheckType, /*MVT::v16i8*/40, 
/* 16035*/     OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::BITSELECT),
                   /*MVT::v16i8*/40, 3/*#Ops*/, 2, 0, 1, 
               // Src: (xor:{ *:[v16i8] } V128:{ *:[v16i8] }:$v2, (and:{ *:[v16i8] } V128:{ *:[v16i8] }:$c, (xor:{ *:[v16i8] } V128:{ *:[v16i8] }:$v1, V128:{ *:[v16i8] }:$v2))) - Complexity = 9
               // Dst: (BITSELECT:{ *:[v16i8] } ?:{ *:[v16i8] }:$v1, ?:{ *:[v16i8] }:$v2, ?:{ *:[v16i8] }:$c)
/* 16043*/    /*Scope*/ 15, /*->16059*/
/* 16044*/     OPC_CheckChild0Same, 0,
/* 16046*/     OPC_RecordChild1, // #2 = $v1
/* 16047*/     OPC_MoveParent,
/* 16048*/     OPC_MoveParent,
/* 16049*/     OPC_CheckType, /*MVT::v16i8*/40, 
/* 16051*/     OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::BITSELECT),
                   /*MVT::v16i8*/40, 3/*#Ops*/, 2, 0, 1, 
               // Src: (xor:{ *:[v16i8] } V128:{ *:[v16i8] }:$v2, (and:{ *:[v16i8] } V128:{ *:[v16i8] }:$c, (xor:{ *:[v16i8] } V128:{ *:[v16i8] }:$v2, V128:{ *:[v16i8] }:$v1))) - Complexity = 9
               // Dst: (BITSELECT:{ *:[v16i8] } ?:{ *:[v16i8] }:$v1, ?:{ *:[v16i8] }:$v2, ?:{ *:[v16i8] }:$c)
/* 16059*/    0, /*End of Scope*/
/* 16060*/   0, /*End of Scope*/
/* 16061*/  /*Scope*/ 64, /*->16126*/
/* 16062*/   OPC_MoveChild0,
/* 16063*/   OPC_CheckOpcode, TARGET_VAL(ISD::AND),
/* 16066*/   OPC_Scope, 21, /*->16089*/ // 2 children in Scope
/* 16068*/    OPC_MoveChild0,
/* 16069*/    OPC_CheckOpcode, TARGET_VAL(ISD::XOR),
/* 16072*/    OPC_RecordChild0, // #0 = $v2
/* 16073*/    OPC_RecordChild1, // #1 = $v1
/* 16074*/    OPC_MoveParent,
/* 16075*/    OPC_RecordChild1, // #2 = $c
/* 16076*/    OPC_MoveParent,
/* 16077*/    OPC_CheckChild1Same, 0,
/* 16079*/    OPC_CheckType, /*MVT::v8i16*/51, 
/* 16081*/    OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::BITSELECT),
                  /*MVT::v8i16*/51, 3/*#Ops*/, 1, 0, 2, 
              // Src: (xor:{ *:[v8i16] } (and:{ *:[v8i16] } (xor:{ *:[v8i16] } V128:{ *:[v8i16] }:$v2, V128:{ *:[v8i16] }:$v1), V128:{ *:[v8i16] }:$c), V128:{ *:[v8i16] }:$v2) - Complexity = 9
              // Dst: (BITSELECT:{ *:[v8i16] } ?:{ *:[v8i16] }:$v1, ?:{ *:[v8i16] }:$v2, ?:{ *:[v8i16] }:$c)
/* 16089*/   /*Scope*/ 35, /*->16125*/
/* 16090*/    OPC_RecordChild0, // #0 = $c
/* 16091*/    OPC_MoveChild1,
/* 16092*/    OPC_CheckOpcode, TARGET_VAL(ISD::XOR),
/* 16095*/    OPC_RecordChild0, // #1 = $v1
/* 16096*/    OPC_RecordChild1, // #2 = $v2
/* 16097*/    OPC_MoveParent,
/* 16098*/    OPC_MoveParent,
/* 16099*/    OPC_CheckType, /*MVT::v8i16*/51, 
/* 16101*/    OPC_Scope, 10, /*->16113*/ // 2 children in Scope
/* 16103*/     OPC_CheckChild1Same, 2,
/* 16105*/     OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::BITSELECT),
                   /*MVT::v8i16*/51, 3/*#Ops*/, 1, 2, 0, 
               // Src: (xor:{ *:[v8i16] } (and:{ *:[v8i16] } V128:{ *:[v8i16] }:$c, (xor:{ *:[v8i16] } V128:{ *:[v8i16] }:$v1, V128:{ *:[v8i16] }:$v2)), V128:{ *:[v8i16] }:$v2) - Complexity = 9
               // Dst: (BITSELECT:{ *:[v8i16] } ?:{ *:[v8i16] }:$v1, ?:{ *:[v8i16] }:$v2, ?:{ *:[v8i16] }:$c)
/* 16113*/    /*Scope*/ 10, /*->16124*/
/* 16114*/     OPC_CheckChild1Same, 1,
/* 16116*/     OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::BITSELECT),
                   /*MVT::v8i16*/51, 3/*#Ops*/, 2, 1, 0, 
               // Src: (xor:{ *:[v8i16] } (and:{ *:[v8i16] } V128:{ *:[v8i16] }:$c, (xor:{ *:[v8i16] } V128:{ *:[v8i16] }:$v2, V128:{ *:[v8i16] }:$v1)), V128:{ *:[v8i16] }:$v2) - Complexity = 9
               // Dst: (BITSELECT:{ *:[v8i16] } ?:{ *:[v8i16] }:$v1, ?:{ *:[v8i16] }:$v2, ?:{ *:[v8i16] }:$c)
/* 16124*/    0, /*End of Scope*/
/* 16125*/   0, /*End of Scope*/
/* 16126*/  /*Scope*/ 88, /*->16215*/
/* 16127*/   OPC_RecordChild0, // #0 = $v2
/* 16128*/   OPC_MoveChild1,
/* 16129*/   OPC_CheckOpcode, TARGET_VAL(ISD::AND),
/* 16132*/   OPC_Scope, 40, /*->16174*/ // 2 children in Scope
/* 16134*/    OPC_MoveChild0,
/* 16135*/    OPC_CheckOpcode, TARGET_VAL(ISD::XOR),
/* 16138*/    OPC_Scope, 16, /*->16156*/ // 2 children in Scope
/* 16140*/     OPC_RecordChild0, // #1 = $v1
/* 16141*/     OPC_CheckChild1Same, 0,
/* 16143*/     OPC_MoveParent,
/* 16144*/     OPC_RecordChild1, // #2 = $c
/* 16145*/     OPC_MoveParent,
/* 16146*/     OPC_CheckType, /*MVT::v8i16*/51, 
/* 16148*/     OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::BITSELECT),
                   /*MVT::v8i16*/51, 3/*#Ops*/, 1, 0, 2, 
               // Src: (xor:{ *:[v8i16] } V128:{ *:[v8i16] }:$v2, (and:{ *:[v8i16] } (xor:{ *:[v8i16] } V128:{ *:[v8i16] }:$v1, V128:{ *:[v8i16] }:$v2), V128:{ *:[v8i16] }:$c)) - Complexity = 9
               // Dst: (BITSELECT:{ *:[v8i16] } ?:{ *:[v8i16] }:$v1, ?:{ *:[v8i16] }:$v2, ?:{ *:[v8i16] }:$c)
/* 16156*/    /*Scope*/ 16, /*->16173*/
/* 16157*/     OPC_CheckChild0Same, 0,
/* 16159*/     OPC_RecordChild1, // #1 = $v1
/* 16160*/     OPC_MoveParent,
/* 16161*/     OPC_RecordChild1, // #2 = $c
/* 16162*/     OPC_MoveParent,
/* 16163*/     OPC_CheckType, /*MVT::v8i16*/51, 
/* 16165*/     OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::BITSELECT),
                   /*MVT::v8i16*/51, 3/*#Ops*/, 1, 0, 2, 
               // Src: (xor:{ *:[v8i16] } V128:{ *:[v8i16] }:$v2, (and:{ *:[v8i16] } (xor:{ *:[v8i16] } V128:{ *:[v8i16] }:$v2, V128:{ *:[v8i16] }:$v1), V128:{ *:[v8i16] }:$c)) - Complexity = 9
               // Dst: (BITSELECT:{ *:[v8i16] } ?:{ *:[v8i16] }:$v1, ?:{ *:[v8i16] }:$v2, ?:{ *:[v8i16] }:$c)
/* 16173*/    0, /*End of Scope*/
/* 16174*/   /*Scope*/ 39, /*->16214*/
/* 16175*/    OPC_RecordChild0, // #1 = $c
/* 16176*/    OPC_MoveChild1,
/* 16177*/    OPC_CheckOpcode, TARGET_VAL(ISD::XOR),
/* 16180*/    OPC_Scope, 15, /*->16197*/ // 2 children in Scope
/* 16182*/     OPC_RecordChild0, // #2 = $v1
/* 16183*/     OPC_CheckChild1Same, 0,
/* 16185*/     OPC_MoveParent,
/* 16186*/     OPC_MoveParent,
/* 16187*/     OPC_CheckType, /*MVT::v8i16*/51, 
/* 16189*/     OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::BITSELECT),
                   /*MVT::v8i16*/51, 3/*#Ops*/, 2, 0, 1, 
               // Src: (xor:{ *:[v8i16] } V128:{ *:[v8i16] }:$v2, (and:{ *:[v8i16] } V128:{ *:[v8i16] }:$c, (xor:{ *:[v8i16] } V128:{ *:[v8i16] }:$v1, V128:{ *:[v8i16] }:$v2))) - Complexity = 9
               // Dst: (BITSELECT:{ *:[v8i16] } ?:{ *:[v8i16] }:$v1, ?:{ *:[v8i16] }:$v2, ?:{ *:[v8i16] }:$c)
/* 16197*/    /*Scope*/ 15, /*->16213*/
/* 16198*/     OPC_CheckChild0Same, 0,
/* 16200*/     OPC_RecordChild1, // #2 = $v1
/* 16201*/     OPC_MoveParent,
/* 16202*/     OPC_MoveParent,
/* 16203*/     OPC_CheckType, /*MVT::v8i16*/51, 
/* 16205*/     OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::BITSELECT),
                   /*MVT::v8i16*/51, 3/*#Ops*/, 2, 0, 1, 
               // Src: (xor:{ *:[v8i16] } V128:{ *:[v8i16] }:$v2, (and:{ *:[v8i16] } V128:{ *:[v8i16] }:$c, (xor:{ *:[v8i16] } V128:{ *:[v8i16] }:$v2, V128:{ *:[v8i16] }:$v1))) - Complexity = 9
               // Dst: (BITSELECT:{ *:[v8i16] } ?:{ *:[v8i16] }:$v1, ?:{ *:[v8i16] }:$v2, ?:{ *:[v8i16] }:$c)
/* 16213*/    0, /*End of Scope*/
/* 16214*/   0, /*End of Scope*/
/* 16215*/  /*Scope*/ 64, /*->16280*/
/* 16216*/   OPC_MoveChild0,
/* 16217*/   OPC_CheckOpcode, TARGET_VAL(ISD::AND),
/* 16220*/   OPC_Scope, 21, /*->16243*/ // 2 children in Scope
/* 16222*/    OPC_MoveChild0,
/* 16223*/    OPC_CheckOpcode, TARGET_VAL(ISD::XOR),
/* 16226*/    OPC_RecordChild0, // #0 = $v2
/* 16227*/    OPC_RecordChild1, // #1 = $v1
/* 16228*/    OPC_MoveParent,
/* 16229*/    OPC_RecordChild1, // #2 = $c
/* 16230*/    OPC_MoveParent,
/* 16231*/    OPC_CheckChild1Same, 0,
/* 16233*/    OPC_CheckType, /*MVT::v4i32*/62, 
/* 16235*/    OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::BITSELECT),
                  /*MVT::v4i32*/62, 3/*#Ops*/, 1, 0, 2, 
              // Src: (xor:{ *:[v4i32] } (and:{ *:[v4i32] } (xor:{ *:[v4i32] } V128:{ *:[v4i32] }:$v2, V128:{ *:[v4i32] }:$v1), V128:{ *:[v4i32] }:$c), V128:{ *:[v4i32] }:$v2) - Complexity = 9
              // Dst: (BITSELECT:{ *:[v4i32] } ?:{ *:[v4i32] }:$v1, ?:{ *:[v4i32] }:$v2, ?:{ *:[v4i32] }:$c)
/* 16243*/   /*Scope*/ 35, /*->16279*/
/* 16244*/    OPC_RecordChild0, // #0 = $c
/* 16245*/    OPC_MoveChild1,
/* 16246*/    OPC_CheckOpcode, TARGET_VAL(ISD::XOR),
/* 16249*/    OPC_RecordChild0, // #1 = $v1
/* 16250*/    OPC_RecordChild1, // #2 = $v2
/* 16251*/    OPC_MoveParent,
/* 16252*/    OPC_MoveParent,
/* 16253*/    OPC_CheckType, /*MVT::v4i32*/62, 
/* 16255*/    OPC_Scope, 10, /*->16267*/ // 2 children in Scope
/* 16257*/     OPC_CheckChild1Same, 2,
/* 16259*/     OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::BITSELECT),
                   /*MVT::v4i32*/62, 3/*#Ops*/, 1, 2, 0, 
               // Src: (xor:{ *:[v4i32] } (and:{ *:[v4i32] } V128:{ *:[v4i32] }:$c, (xor:{ *:[v4i32] } V128:{ *:[v4i32] }:$v1, V128:{ *:[v4i32] }:$v2)), V128:{ *:[v4i32] }:$v2) - Complexity = 9
               // Dst: (BITSELECT:{ *:[v4i32] } ?:{ *:[v4i32] }:$v1, ?:{ *:[v4i32] }:$v2, ?:{ *:[v4i32] }:$c)
/* 16267*/    /*Scope*/ 10, /*->16278*/
/* 16268*/     OPC_CheckChild1Same, 1,
/* 16270*/     OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::BITSELECT),
                   /*MVT::v4i32*/62, 3/*#Ops*/, 2, 1, 0, 
               // Src: (xor:{ *:[v4i32] } (and:{ *:[v4i32] } V128:{ *:[v4i32] }:$c, (xor:{ *:[v4i32] } V128:{ *:[v4i32] }:$v2, V128:{ *:[v4i32] }:$v1)), V128:{ *:[v4i32] }:$v2) - Complexity = 9
               // Dst: (BITSELECT:{ *:[v4i32] } ?:{ *:[v4i32] }:$v1, ?:{ *:[v4i32] }:$v2, ?:{ *:[v4i32] }:$c)
/* 16278*/    0, /*End of Scope*/
/* 16279*/   0, /*End of Scope*/
/* 16280*/  /*Scope*/ 88, /*->16369*/
/* 16281*/   OPC_RecordChild0, // #0 = $v2
/* 16282*/   OPC_MoveChild1,
/* 16283*/   OPC_CheckOpcode, TARGET_VAL(ISD::AND),
/* 16286*/   OPC_Scope, 40, /*->16328*/ // 2 children in Scope
/* 16288*/    OPC_MoveChild0,
/* 16289*/    OPC_CheckOpcode, TARGET_VAL(ISD::XOR),
/* 16292*/    OPC_Scope, 16, /*->16310*/ // 2 children in Scope
/* 16294*/     OPC_RecordChild0, // #1 = $v1
/* 16295*/     OPC_CheckChild1Same, 0,
/* 16297*/     OPC_MoveParent,
/* 16298*/     OPC_RecordChild1, // #2 = $c
/* 16299*/     OPC_MoveParent,
/* 16300*/     OPC_CheckType, /*MVT::v4i32*/62, 
/* 16302*/     OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::BITSELECT),
                   /*MVT::v4i32*/62, 3/*#Ops*/, 1, 0, 2, 
               // Src: (xor:{ *:[v4i32] } V128:{ *:[v4i32] }:$v2, (and:{ *:[v4i32] } (xor:{ *:[v4i32] } V128:{ *:[v4i32] }:$v1, V128:{ *:[v4i32] }:$v2), V128:{ *:[v4i32] }:$c)) - Complexity = 9
               // Dst: (BITSELECT:{ *:[v4i32] } ?:{ *:[v4i32] }:$v1, ?:{ *:[v4i32] }:$v2, ?:{ *:[v4i32] }:$c)
/* 16310*/    /*Scope*/ 16, /*->16327*/
/* 16311*/     OPC_CheckChild0Same, 0,
/* 16313*/     OPC_RecordChild1, // #1 = $v1
/* 16314*/     OPC_MoveParent,
/* 16315*/     OPC_RecordChild1, // #2 = $c
/* 16316*/     OPC_MoveParent,
/* 16317*/     OPC_CheckType, /*MVT::v4i32*/62, 
/* 16319*/     OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::BITSELECT),
                   /*MVT::v4i32*/62, 3/*#Ops*/, 1, 0, 2, 
               // Src: (xor:{ *:[v4i32] } V128:{ *:[v4i32] }:$v2, (and:{ *:[v4i32] } (xor:{ *:[v4i32] } V128:{ *:[v4i32] }:$v2, V128:{ *:[v4i32] }:$v1), V128:{ *:[v4i32] }:$c)) - Complexity = 9
               // Dst: (BITSELECT:{ *:[v4i32] } ?:{ *:[v4i32] }:$v1, ?:{ *:[v4i32] }:$v2, ?:{ *:[v4i32] }:$c)
/* 16327*/    0, /*End of Scope*/
/* 16328*/   /*Scope*/ 39, /*->16368*/
/* 16329*/    OPC_RecordChild0, // #1 = $c
/* 16330*/    OPC_MoveChild1,
/* 16331*/    OPC_CheckOpcode, TARGET_VAL(ISD::XOR),
/* 16334*/    OPC_Scope, 15, /*->16351*/ // 2 children in Scope
/* 16336*/     OPC_RecordChild0, // #2 = $v1
/* 16337*/     OPC_CheckChild1Same, 0,
/* 16339*/     OPC_MoveParent,
/* 16340*/     OPC_MoveParent,
/* 16341*/     OPC_CheckType, /*MVT::v4i32*/62, 
/* 16343*/     OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::BITSELECT),
                   /*MVT::v4i32*/62, 3/*#Ops*/, 2, 0, 1, 
               // Src: (xor:{ *:[v4i32] } V128:{ *:[v4i32] }:$v2, (and:{ *:[v4i32] } V128:{ *:[v4i32] }:$c, (xor:{ *:[v4i32] } V128:{ *:[v4i32] }:$v1, V128:{ *:[v4i32] }:$v2))) - Complexity = 9
               // Dst: (BITSELECT:{ *:[v4i32] } ?:{ *:[v4i32] }:$v1, ?:{ *:[v4i32] }:$v2, ?:{ *:[v4i32] }:$c)
/* 16351*/    /*Scope*/ 15, /*->16367*/
/* 16352*/     OPC_CheckChild0Same, 0,
/* 16354*/     OPC_RecordChild1, // #2 = $v1
/* 16355*/     OPC_MoveParent,
/* 16356*/     OPC_MoveParent,
/* 16357*/     OPC_CheckType, /*MVT::v4i32*/62, 
/* 16359*/     OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::BITSELECT),
                   /*MVT::v4i32*/62, 3/*#Ops*/, 2, 0, 1, 
               // Src: (xor:{ *:[v4i32] } V128:{ *:[v4i32] }:$v2, (and:{ *:[v4i32] } V128:{ *:[v4i32] }:$c, (xor:{ *:[v4i32] } V128:{ *:[v4i32] }:$v2, V128:{ *:[v4i32] }:$v1))) - Complexity = 9
               // Dst: (BITSELECT:{ *:[v4i32] } ?:{ *:[v4i32] }:$v1, ?:{ *:[v4i32] }:$v2, ?:{ *:[v4i32] }:$c)
/* 16367*/    0, /*End of Scope*/
/* 16368*/   0, /*End of Scope*/
/* 16369*/  /*Scope*/ 64, /*->16434*/
/* 16370*/   OPC_MoveChild0,
/* 16371*/   OPC_CheckOpcode, TARGET_VAL(ISD::AND),
/* 16374*/   OPC_Scope, 21, /*->16397*/ // 2 children in Scope
/* 16376*/    OPC_MoveChild0,
/* 16377*/    OPC_CheckOpcode, TARGET_VAL(ISD::XOR),
/* 16380*/    OPC_RecordChild0, // #0 = $v2
/* 16381*/    OPC_RecordChild1, // #1 = $v1
/* 16382*/    OPC_MoveParent,
/* 16383*/    OPC_RecordChild1, // #2 = $c
/* 16384*/    OPC_MoveParent,
/* 16385*/    OPC_CheckChild1Same, 0,
/* 16387*/    OPC_CheckType, /*MVT::v2i64*/81, 
/* 16389*/    OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::BITSELECT),
                  /*MVT::v2i64*/81, 3/*#Ops*/, 1, 0, 2, 
              // Src: (xor:{ *:[v2i64] } (and:{ *:[v2i64] } (xor:{ *:[v2i64] } V128:{ *:[v2i64] }:$v2, V128:{ *:[v2i64] }:$v1), V128:{ *:[v2i64] }:$c), V128:{ *:[v2i64] }:$v2) - Complexity = 9
              // Dst: (BITSELECT:{ *:[v2i64] } ?:{ *:[v2i64] }:$v1, ?:{ *:[v2i64] }:$v2, ?:{ *:[v2i64] }:$c)
/* 16397*/   /*Scope*/ 35, /*->16433*/
/* 16398*/    OPC_RecordChild0, // #0 = $c
/* 16399*/    OPC_MoveChild1,
/* 16400*/    OPC_CheckOpcode, TARGET_VAL(ISD::XOR),
/* 16403*/    OPC_RecordChild0, // #1 = $v1
/* 16404*/    OPC_RecordChild1, // #2 = $v2
/* 16405*/    OPC_MoveParent,
/* 16406*/    OPC_MoveParent,
/* 16407*/    OPC_CheckType, /*MVT::v2i64*/81, 
/* 16409*/    OPC_Scope, 10, /*->16421*/ // 2 children in Scope
/* 16411*/     OPC_CheckChild1Same, 2,
/* 16413*/     OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::BITSELECT),
                   /*MVT::v2i64*/81, 3/*#Ops*/, 1, 2, 0, 
               // Src: (xor:{ *:[v2i64] } (and:{ *:[v2i64] } V128:{ *:[v2i64] }:$c, (xor:{ *:[v2i64] } V128:{ *:[v2i64] }:$v1, V128:{ *:[v2i64] }:$v2)), V128:{ *:[v2i64] }:$v2) - Complexity = 9
               // Dst: (BITSELECT:{ *:[v2i64] } ?:{ *:[v2i64] }:$v1, ?:{ *:[v2i64] }:$v2, ?:{ *:[v2i64] }:$c)
/* 16421*/    /*Scope*/ 10, /*->16432*/
/* 16422*/     OPC_CheckChild1Same, 1,
/* 16424*/     OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::BITSELECT),
                   /*MVT::v2i64*/81, 3/*#Ops*/, 2, 1, 0, 
               // Src: (xor:{ *:[v2i64] } (and:{ *:[v2i64] } V128:{ *:[v2i64] }:$c, (xor:{ *:[v2i64] } V128:{ *:[v2i64] }:$v2, V128:{ *:[v2i64] }:$v1)), V128:{ *:[v2i64] }:$v2) - Complexity = 9
               // Dst: (BITSELECT:{ *:[v2i64] } ?:{ *:[v2i64] }:$v1, ?:{ *:[v2i64] }:$v2, ?:{ *:[v2i64] }:$c)
/* 16432*/    0, /*End of Scope*/
/* 16433*/   0, /*End of Scope*/
/* 16434*/  /*Scope*/ 43|128,1/*171*/, /*->16607*/
/* 16436*/   OPC_RecordChild0, // #0 = $v2
/* 16437*/   OPC_Scope, 127, /*->16566*/ // 2 children in Scope
/* 16439*/    OPC_MoveChild1,
/* 16440*/    OPC_Scope, 86, /*->16528*/ // 2 children in Scope
/* 16442*/     OPC_CheckOpcode, TARGET_VAL(ISD::AND),
/* 16445*/     OPC_Scope, 40, /*->16487*/ // 2 children in Scope
/* 16447*/      OPC_MoveChild0,
/* 16448*/      OPC_CheckOpcode, TARGET_VAL(ISD::XOR),
/* 16451*/      OPC_Scope, 16, /*->16469*/ // 2 children in Scope
/* 16453*/       OPC_RecordChild0, // #1 = $v1
/* 16454*/       OPC_CheckChild1Same, 0,
/* 16456*/       OPC_MoveParent,
/* 16457*/       OPC_RecordChild1, // #2 = $c
/* 16458*/       OPC_MoveParent,
/* 16459*/       OPC_CheckType, /*MVT::v2i64*/81, 
/* 16461*/       OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::BITSELECT),
                     /*MVT::v2i64*/81, 3/*#Ops*/, 1, 0, 2, 
                 // Src: (xor:{ *:[v2i64] } V128:{ *:[v2i64] }:$v2, (and:{ *:[v2i64] } (xor:{ *:[v2i64] } V128:{ *:[v2i64] }:$v1, V128:{ *:[v2i64] }:$v2), V128:{ *:[v2i64] }:$c)) - Complexity = 9
                 // Dst: (BITSELECT:{ *:[v2i64] } ?:{ *:[v2i64] }:$v1, ?:{ *:[v2i64] }:$v2, ?:{ *:[v2i64] }:$c)
/* 16469*/      /*Scope*/ 16, /*->16486*/
/* 16470*/       OPC_CheckChild0Same, 0,
/* 16472*/       OPC_RecordChild1, // #1 = $v1
/* 16473*/       OPC_MoveParent,
/* 16474*/       OPC_RecordChild1, // #2 = $c
/* 16475*/       OPC_MoveParent,
/* 16476*/       OPC_CheckType, /*MVT::v2i64*/81, 
/* 16478*/       OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::BITSELECT),
                     /*MVT::v2i64*/81, 3/*#Ops*/, 1, 0, 2, 
                 // Src: (xor:{ *:[v2i64] } V128:{ *:[v2i64] }:$v2, (and:{ *:[v2i64] } (xor:{ *:[v2i64] } V128:{ *:[v2i64] }:$v2, V128:{ *:[v2i64] }:$v1), V128:{ *:[v2i64] }:$c)) - Complexity = 9
                 // Dst: (BITSELECT:{ *:[v2i64] } ?:{ *:[v2i64] }:$v1, ?:{ *:[v2i64] }:$v2, ?:{ *:[v2i64] }:$c)
/* 16486*/      0, /*End of Scope*/
/* 16487*/     /*Scope*/ 39, /*->16527*/
/* 16488*/      OPC_RecordChild0, // #1 = $c
/* 16489*/      OPC_MoveChild1,
/* 16490*/      OPC_CheckOpcode, TARGET_VAL(ISD::XOR),
/* 16493*/      OPC_Scope, 15, /*->16510*/ // 2 children in Scope
/* 16495*/       OPC_RecordChild0, // #2 = $v1
/* 16496*/       OPC_CheckChild1Same, 0,
/* 16498*/       OPC_MoveParent,
/* 16499*/       OPC_MoveParent,
/* 16500*/       OPC_CheckType, /*MVT::v2i64*/81, 
/* 16502*/       OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::BITSELECT),
                     /*MVT::v2i64*/81, 3/*#Ops*/, 2, 0, 1, 
                 // Src: (xor:{ *:[v2i64] } V128:{ *:[v2i64] }:$v2, (and:{ *:[v2i64] } V128:{ *:[v2i64] }:$c, (xor:{ *:[v2i64] } V128:{ *:[v2i64] }:$v1, V128:{ *:[v2i64] }:$v2))) - Complexity = 9
                 // Dst: (BITSELECT:{ *:[v2i64] } ?:{ *:[v2i64] }:$v1, ?:{ *:[v2i64] }:$v2, ?:{ *:[v2i64] }:$c)
/* 16510*/      /*Scope*/ 15, /*->16526*/
/* 16511*/       OPC_CheckChild0Same, 0,
/* 16513*/       OPC_RecordChild1, // #2 = $v1
/* 16514*/       OPC_MoveParent,
/* 16515*/       OPC_MoveParent,
/* 16516*/       OPC_CheckType, /*MVT::v2i64*/81, 
/* 16518*/       OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::BITSELECT),
                     /*MVT::v2i64*/81, 3/*#Ops*/, 2, 0, 1, 
                 // Src: (xor:{ *:[v2i64] } V128:{ *:[v2i64] }:$v2, (and:{ *:[v2i64] } V128:{ *:[v2i64] }:$c, (xor:{ *:[v2i64] } V128:{ *:[v2i64] }:$v2, V128:{ *:[v2i64] }:$v1))) - Complexity = 9
                 // Dst: (BITSELECT:{ *:[v2i64] } ?:{ *:[v2i64] }:$v1, ?:{ *:[v2i64] }:$v2, ?:{ *:[v2i64] }:$c)
/* 16526*/      0, /*End of Scope*/
/* 16527*/     0, /*End of Scope*/
/* 16528*/    /*Scope*/ 36, /*->16565*/
/* 16529*/     OPC_CheckImmAllOnesV,
/* 16530*/     OPC_MoveParent,
/* 16531*/     OPC_SwitchType /*4 cases */, 6, /*MVT::v16i8*/40, // ->16540
/* 16534*/      OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::NOT),
                    /*MVT::v16i8*/40, 1/*#Ops*/, 0, 
                // Src: (xor:{ *:[v16i8] } V128:{ *:[v16i8] }:$v, immAllOnesV:{ *:[v16i8] }) - Complexity = 7
                // Dst: (NOT:{ *:[v16i8] } ?:{ *:[v16i8] }:$v)
/* 16540*/     /*SwitchType*/ 6, /*MVT::v8i16*/51, // ->16548
/* 16542*/      OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::NOT),
                    /*MVT::v8i16*/51, 1/*#Ops*/, 0, 
                // Src: (xor:{ *:[v8i16] } V128:{ *:[v8i16] }:$v, immAllOnesV:{ *:[v8i16] }) - Complexity = 7
                // Dst: (NOT:{ *:[v8i16] } ?:{ *:[v8i16] }:$v)
/* 16548*/     /*SwitchType*/ 6, /*MVT::v4i32*/62, // ->16556
/* 16550*/      OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::NOT),
                    /*MVT::v4i32*/62, 1/*#Ops*/, 0, 
                // Src: (xor:{ *:[v4i32] } V128:{ *:[v4i32] }:$v, immAllOnesV:{ *:[v4i32] }) - Complexity = 7
                // Dst: (NOT:{ *:[v4i32] } ?:{ *:[v4i32] }:$v)
/* 16556*/     /*SwitchType*/ 6, /*MVT::v2i64*/81, // ->16564
/* 16558*/      OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::NOT),
                    /*MVT::v2i64*/81, 1/*#Ops*/, 0, 
                // Src: (xor:{ *:[v2i64] } V128:{ *:[v2i64] }:$v, immAllOnesV:{ *:[v2i64] }) - Complexity = 7
                // Dst: (NOT:{ *:[v2i64] } ?:{ *:[v2i64] }:$v)
/* 16564*/     0, // EndSwitchType
/* 16565*/    0, /*End of Scope*/
/* 16566*/   /*Scope*/ 39, /*->16606*/
/* 16567*/    OPC_RecordChild1, // #1 = $rhs
/* 16568*/    OPC_SwitchType /*4 cases */, 7, /*MVT::v16i8*/40, // ->16578
/* 16571*/     OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::XOR),
                   /*MVT::v16i8*/40, 2/*#Ops*/, 0, 1, 
               // Src: (xor:{ *:[v16i8] } V128:{ *:[v16i8] }:$lhs, V128:{ *:[v16i8] }:$rhs) - Complexity = 3
               // Dst: (XOR:{ *:[v16i8] } ?:{ *:[v16i8] }:$lhs, ?:{ *:[v16i8] }:$rhs)
/* 16578*/    /*SwitchType*/ 7, /*MVT::v8i16*/51, // ->16587
/* 16580*/     OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::XOR),
                   /*MVT::v8i16*/51, 2/*#Ops*/, 0, 1, 
               // Src: (xor:{ *:[v8i16] } V128:{ *:[v8i16] }:$lhs, V128:{ *:[v8i16] }:$rhs) - Complexity = 3
               // Dst: (XOR:{ *:[v8i16] } ?:{ *:[v8i16] }:$lhs, ?:{ *:[v8i16] }:$rhs)
/* 16587*/    /*SwitchType*/ 7, /*MVT::v4i32*/62, // ->16596
/* 16589*/     OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::XOR),
                   /*MVT::v4i32*/62, 2/*#Ops*/, 0, 1, 
               // Src: (xor:{ *:[v4i32] } V128:{ *:[v4i32] }:$lhs, V128:{ *:[v4i32] }:$rhs) - Complexity = 3
               // Dst: (XOR:{ *:[v4i32] } ?:{ *:[v4i32] }:$lhs, ?:{ *:[v4i32] }:$rhs)
/* 16596*/    /*SwitchType*/ 7, /*MVT::v2i64*/81, // ->16605
/* 16598*/     OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::XOR),
                   /*MVT::v2i64*/81, 2/*#Ops*/, 0, 1, 
               // Src: (xor:{ *:[v2i64] } V128:{ *:[v2i64] }:$lhs, V128:{ *:[v2i64] }:$rhs) - Complexity = 3
               // Dst: (XOR:{ *:[v2i64] } ?:{ *:[v2i64] }:$lhs, ?:{ *:[v2i64] }:$rhs)
/* 16605*/    0, // EndSwitchType
/* 16606*/   0, /*End of Scope*/
/* 16607*/  0, /*End of Scope*/
/* 16608*/ /*SwitchOpcode*/ 21, TARGET_VAL(ISD::CTLZ),// ->16632
/* 16611*/  OPC_RecordChild0, // #0 = $src
/* 16612*/  OPC_SwitchType /*2 cases */, 7, /*MVT::i32*/7, // ->16622
/* 16615*/   OPC_CheckChild0TypeI32,
/* 16616*/   OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::CLZ_I32),
                 /*MVT::i32*/7, 1/*#Ops*/, 0, 
             // Src: (ctlz:{ *:[i32] } I32:{ *:[i32] }:$src) - Complexity = 3
             // Dst: (CLZ_I32:{ *:[i32] } I32:{ *:[i32] }:$src)
/* 16622*/  /*SwitchType*/ 7, /*MVT::i64*/8, // ->16631
/* 16624*/   OPC_CheckChild0TypeI64,
/* 16625*/   OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::CLZ_I64),
                 /*MVT::i64*/8, 1/*#Ops*/, 0, 
             // Src: (ctlz:{ *:[i64] } I64:{ *:[i64] }:$src) - Complexity = 3
             // Dst: (CLZ_I64:{ *:[i64] } I64:{ *:[i64] }:$src)
/* 16631*/  0, // EndSwitchType
/* 16632*/ /*SwitchOpcode*/ 21, TARGET_VAL(ISD::CTTZ),// ->16656
/* 16635*/  OPC_RecordChild0, // #0 = $src
/* 16636*/  OPC_SwitchType /*2 cases */, 7, /*MVT::i32*/7, // ->16646
/* 16639*/   OPC_CheckChild0TypeI32,
/* 16640*/   OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::CTZ_I32),
                 /*MVT::i32*/7, 1/*#Ops*/, 0, 
             // Src: (cttz:{ *:[i32] } I32:{ *:[i32] }:$src) - Complexity = 3
             // Dst: (CTZ_I32:{ *:[i32] } I32:{ *:[i32] }:$src)
/* 16646*/  /*SwitchType*/ 7, /*MVT::i64*/8, // ->16655
/* 16648*/   OPC_CheckChild0TypeI64,
/* 16649*/   OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::CTZ_I64),
                 /*MVT::i64*/8, 1/*#Ops*/, 0, 
             // Src: (cttz:{ *:[i64] } I64:{ *:[i64] }:$src) - Complexity = 3
             // Dst: (CTZ_I64:{ *:[i64] } I64:{ *:[i64] }:$src)
/* 16655*/  0, // EndSwitchType
/* 16656*/ /*SwitchOpcode*/ 32, TARGET_VAL(ISD::CTPOP),// ->16691
/* 16659*/  OPC_RecordChild0, // #0 = $src
/* 16660*/  OPC_SwitchType /*3 cases */, 7, /*MVT::i32*/7, // ->16670
/* 16663*/   OPC_CheckChild0TypeI32,
/* 16664*/   OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::POPCNT_I32),
                 /*MVT::i32*/7, 1/*#Ops*/, 0, 
             // Src: (ctpop:{ *:[i32] } I32:{ *:[i32] }:$src) - Complexity = 3
             // Dst: (POPCNT_I32:{ *:[i32] } I32:{ *:[i32] }:$src)
/* 16670*/  /*SwitchType*/ 7, /*MVT::i64*/8, // ->16679
/* 16672*/   OPC_CheckChild0TypeI64,
/* 16673*/   OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::POPCNT_I64),
                 /*MVT::i64*/8, 1/*#Ops*/, 0, 
             // Src: (ctpop:{ *:[i64] } I64:{ *:[i64] }:$src) - Complexity = 3
             // Dst: (POPCNT_I64:{ *:[i64] } I64:{ *:[i64] }:$src)
/* 16679*/  /*SwitchType*/ 9, /*MVT::v16i8*/40, // ->16690
/* 16681*/   OPC_CheckChild0Type, /*MVT::v16i8*/40, 
/* 16683*/   OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/* 16684*/   OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::POPCNT_I8x16),
                 /*MVT::v16i8*/40, 1/*#Ops*/, 0, 
             // Src: (ctpop:{ *:[v16i8] } V128:{ *:[v16i8] }:$v) - Complexity = 3
             // Dst: (POPCNT_I8x16:{ *:[v16i8] } V128:{ *:[v16i8] }:$v)
/* 16690*/  0, // EndSwitchType
/* 16691*/ /*SwitchOpcode*/ 22, TARGET_VAL(WebAssemblyISD::I64_ADD128),// ->16716
/* 16694*/  OPC_RecordChild0, // #0 = $a
/* 16695*/  OPC_CheckChild0TypeI64,
/* 16696*/  OPC_RecordChild1, // #1 = $b
/* 16697*/  OPC_CheckChild1TypeI64,
/* 16698*/  OPC_RecordChild2, // #2 = $c
/* 16699*/  OPC_CheckChild2TypeI64,
/* 16700*/  OPC_RecordChild3, // #3 = $d
/* 16701*/  OPC_CheckChild3TypeI64,
/* 16702*/  OPC_CheckTypeI64,
/* 16703*/  OPC_CheckTypeRes, 1, /*MVT::i64*/8, 
/* 16706*/  OPC_MorphNodeTo2None, TARGET_VAL(WebAssembly::I64_ADD128),
                /*MVT::i64*/8, /*MVT::i64*/8, 4/*#Ops*/, 0, 1, 2, 3, 
            // Src: (wasm_add128:{ *:[i64] }:{ *:[i64] } I64:{ *:[i64] }:$a, I64:{ *:[i64] }:$b, I64:{ *:[i64] }:$c, I64:{ *:[i64] }:$d) - Complexity = 3
            // Dst: (I64_ADD128:{ *:[i64] }:{ *:[i64] } ?:{ *:[i64] }:$a, ?:{ *:[i64] }:$b, ?:{ *:[i64] }:$c, ?:{ *:[i64] }:$d)
/* 16716*/ /*SwitchOpcode*/ 22, TARGET_VAL(WebAssemblyISD::I64_SUB128),// ->16741
/* 16719*/  OPC_RecordChild0, // #0 = $a
/* 16720*/  OPC_CheckChild0TypeI64,
/* 16721*/  OPC_RecordChild1, // #1 = $b
/* 16722*/  OPC_CheckChild1TypeI64,
/* 16723*/  OPC_RecordChild2, // #2 = $c
/* 16724*/  OPC_CheckChild2TypeI64,
/* 16725*/  OPC_RecordChild3, // #3 = $d
/* 16726*/  OPC_CheckChild3TypeI64,
/* 16727*/  OPC_CheckTypeI64,
/* 16728*/  OPC_CheckTypeRes, 1, /*MVT::i64*/8, 
/* 16731*/  OPC_MorphNodeTo2None, TARGET_VAL(WebAssembly::I64_SUB128),
                /*MVT::i64*/8, /*MVT::i64*/8, 4/*#Ops*/, 0, 1, 2, 3, 
            // Src: (wasm_sub128:{ *:[i64] }:{ *:[i64] } I64:{ *:[i64] }:$a, I64:{ *:[i64] }:$b, I64:{ *:[i64] }:$c, I64:{ *:[i64] }:$d) - Complexity = 3
            // Dst: (I64_SUB128:{ *:[i64] }:{ *:[i64] } ?:{ *:[i64] }:$a, ?:{ *:[i64] }:$b, ?:{ *:[i64] }:$c, ?:{ *:[i64] }:$d)
/* 16741*/ /*SwitchOpcode*/ 16, TARGET_VAL(WebAssemblyISD::I64_MUL_WIDE_S),// ->16760
/* 16744*/  OPC_RecordChild0, // #0 = $x
/* 16745*/  OPC_CheckChild0TypeI64,
/* 16746*/  OPC_RecordChild1, // #1 = $y
/* 16747*/  OPC_CheckChild1TypeI64,
/* 16748*/  OPC_CheckTypeI64,
/* 16749*/  OPC_CheckTypeRes, 1, /*MVT::i64*/8, 
/* 16752*/  OPC_MorphNodeTo2None, TARGET_VAL(WebAssembly::I64_MUL_WIDE_S),
                /*MVT::i64*/8, /*MVT::i64*/8, 2/*#Ops*/, 0, 1, 
            // Src: (wasm_mul_wide_s:{ *:[i64] }:{ *:[i64] } I64:{ *:[i64] }:$x, I64:{ *:[i64] }:$y) - Complexity = 3
            // Dst: (I64_MUL_WIDE_S:{ *:[i64] }:{ *:[i64] } ?:{ *:[i64] }:$x, ?:{ *:[i64] }:$y)
/* 16760*/ /*SwitchOpcode*/ 16, TARGET_VAL(WebAssemblyISD::I64_MUL_WIDE_U),// ->16779
/* 16763*/  OPC_RecordChild0, // #0 = $x
/* 16764*/  OPC_CheckChild0TypeI64,
/* 16765*/  OPC_RecordChild1, // #1 = $y
/* 16766*/  OPC_CheckChild1TypeI64,
/* 16767*/  OPC_CheckTypeI64,
/* 16768*/  OPC_CheckTypeRes, 1, /*MVT::i64*/8, 
/* 16771*/  OPC_MorphNodeTo2None, TARGET_VAL(WebAssembly::I64_MUL_WIDE_U),
                /*MVT::i64*/8, /*MVT::i64*/8, 2/*#Ops*/, 0, 1, 
            // Src: (wasm_mul_wide_u:{ *:[i64] }:{ *:[i64] } I64:{ *:[i64] }:$x, I64:{ *:[i64] }:$y) - Complexity = 3
            // Dst: (I64_MUL_WIDE_U:{ *:[i64] }:{ *:[i64] } ?:{ *:[i64] }:$x, ?:{ *:[i64] }:$y)
/* 16779*/ /*SwitchOpcode*/ 7, TARGET_VAL(ISD::TRUNCATE),// ->16789
/* 16782*/  OPC_RecordChild0, // #0 = $src
/* 16783*/  OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::I32_WRAP_I64),
                /*MVT::i32*/7, 1/*#Ops*/, 0, 
            // Src: (trunc:{ *:[i32] } I64:{ *:[i64] }:$src) - Complexity = 3
            // Dst: (I32_WRAP_I64:{ *:[i32] } I64:{ *:[i64] }:$src)
/* 16789*/ /*SwitchOpcode*/ 7, TARGET_VAL(ISD::SIGN_EXTEND),// ->16799
/* 16792*/  OPC_RecordChild0, // #0 = $src
/* 16793*/  OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::I64_EXTEND_S_I32),
                /*MVT::i64*/8, 1/*#Ops*/, 0, 
            // Src: (sext:{ *:[i64] } I32:{ *:[i32] }:$src) - Complexity = 3
            // Dst: (I64_EXTEND_S_I32:{ *:[i64] } I32:{ *:[i32] }:$src)
/* 16799*/ /*SwitchOpcode*/ 121, TARGET_VAL(ISD::FP_TO_SINT),// ->16923
/* 16802*/  OPC_RecordChild0, // #0 = $src
/* 16803*/  OPC_Scope, 48, /*->16853*/ // 4 children in Scope
/* 16805*/   OPC_CheckChild0Type, /*MVT::f32*/12, 
/* 16807*/   OPC_SwitchType /*2 cases */, 20, /*MVT::i32*/7, // ->16830
/* 16810*/    OPC_Scope, 8, /*->16820*/ // 2 children in Scope
/* 16812*/     OPC_CheckPatternPredicate, 9, // (Subtarget->hasNontrappingFPToInt())
/* 16814*/     OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::I32_TRUNC_S_SAT_F32),
                   /*MVT::i32*/7, 1/*#Ops*/, 0, 
               // Src: (fp_to_sint:{ *:[i32] } F32:{ *:[f32] }:$src) - Complexity = 3
               // Dst: (I32_TRUNC_S_SAT_F32:{ *:[i32] } F32:{ *:[f32] }:$src)
/* 16820*/    /*Scope*/ 8, /*->16829*/
/* 16821*/     OPC_CheckPatternPredicate, 10, // (!Subtarget->hasNontrappingFPToInt())
/* 16823*/     OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::FP_TO_SINT_I32_F32),
                   /*MVT::i32*/7, 1/*#Ops*/, 0, 
               // Src: (fp_to_sint:{ *:[i32] } F32:{ *:[f32] }:$src) - Complexity = 3
               // Dst: (FP_TO_SINT_I32_F32:{ *:[i32] } F32:{ *:[f32] }:$src)
/* 16829*/    0, /*End of Scope*/
/* 16830*/   /*SwitchType*/ 20, /*MVT::i64*/8, // ->16852
/* 16832*/    OPC_Scope, 8, /*->16842*/ // 2 children in Scope
/* 16834*/     OPC_CheckPatternPredicate, 9, // (Subtarget->hasNontrappingFPToInt())
/* 16836*/     OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::I64_TRUNC_S_SAT_F32),
                   /*MVT::i64*/8, 1/*#Ops*/, 0, 
               // Src: (fp_to_sint:{ *:[i64] } F32:{ *:[f32] }:$src) - Complexity = 3
               // Dst: (I64_TRUNC_S_SAT_F32:{ *:[i64] } F32:{ *:[f32] }:$src)
/* 16842*/    /*Scope*/ 8, /*->16851*/
/* 16843*/     OPC_CheckPatternPredicate, 10, // (!Subtarget->hasNontrappingFPToInt())
/* 16845*/     OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::FP_TO_SINT_I64_F32),
                   /*MVT::i64*/8, 1/*#Ops*/, 0, 
               // Src: (fp_to_sint:{ *:[i64] } F32:{ *:[f32] }:$src) - Complexity = 3
               // Dst: (FP_TO_SINT_I64_F32:{ *:[i64] } F32:{ *:[f32] }:$src)
/* 16851*/    0, /*End of Scope*/
/* 16852*/   0, // EndSwitchType
/* 16853*/  /*Scope*/ 48, /*->16902*/
/* 16854*/   OPC_CheckChild0Type, /*MVT::f64*/13, 
/* 16856*/   OPC_SwitchType /*2 cases */, 20, /*MVT::i32*/7, // ->16879
/* 16859*/    OPC_Scope, 8, /*->16869*/ // 2 children in Scope
/* 16861*/     OPC_CheckPatternPredicate, 9, // (Subtarget->hasNontrappingFPToInt())
/* 16863*/     OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::I32_TRUNC_S_SAT_F64),
                   /*MVT::i32*/7, 1/*#Ops*/, 0, 
               // Src: (fp_to_sint:{ *:[i32] } F64:{ *:[f64] }:$src) - Complexity = 3
               // Dst: (I32_TRUNC_S_SAT_F64:{ *:[i32] } F64:{ *:[f64] }:$src)
/* 16869*/    /*Scope*/ 8, /*->16878*/
/* 16870*/     OPC_CheckPatternPredicate, 10, // (!Subtarget->hasNontrappingFPToInt())
/* 16872*/     OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::FP_TO_SINT_I32_F64),
                   /*MVT::i32*/7, 1/*#Ops*/, 0, 
               // Src: (fp_to_sint:{ *:[i32] } F64:{ *:[f64] }:$src) - Complexity = 3
               // Dst: (FP_TO_SINT_I32_F64:{ *:[i32] } F64:{ *:[f64] }:$src)
/* 16878*/    0, /*End of Scope*/
/* 16879*/   /*SwitchType*/ 20, /*MVT::i64*/8, // ->16901
/* 16881*/    OPC_Scope, 8, /*->16891*/ // 2 children in Scope
/* 16883*/     OPC_CheckPatternPredicate, 9, // (Subtarget->hasNontrappingFPToInt())
/* 16885*/     OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::I64_TRUNC_S_SAT_F64),
                   /*MVT::i64*/8, 1/*#Ops*/, 0, 
               // Src: (fp_to_sint:{ *:[i64] } F64:{ *:[f64] }:$src) - Complexity = 3
               // Dst: (I64_TRUNC_S_SAT_F64:{ *:[i64] } F64:{ *:[f64] }:$src)
/* 16891*/    /*Scope*/ 8, /*->16900*/
/* 16892*/     OPC_CheckPatternPredicate, 10, // (!Subtarget->hasNontrappingFPToInt())
/* 16894*/     OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::FP_TO_SINT_I64_F64),
                   /*MVT::i64*/8, 1/*#Ops*/, 0, 
               // Src: (fp_to_sint:{ *:[i64] } F64:{ *:[f64] }:$src) - Complexity = 3
               // Dst: (FP_TO_SINT_I64_F64:{ *:[i64] } F64:{ *:[f64] }:$src)
/* 16900*/    0, /*End of Scope*/
/* 16901*/   0, // EndSwitchType
/* 16902*/  /*Scope*/ 9, /*->16912*/
/* 16903*/   OPC_CheckType, /*MVT::v4i32*/62, 
/* 16905*/   OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/* 16906*/   OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::fp_to_sint_I32x4),
                 /*MVT::v4i32*/62, 1/*#Ops*/, 0, 
             // Src: (fp_to_sint:{ *:[v4i32] } V128:{ *:[v4f32] }:$vec) - Complexity = 3
             // Dst: (fp_to_sint_I32x4:{ *:[v4i32] } V128:{ *:[v4f32] }:$vec)
/* 16912*/  /*Scope*/ 9, /*->16922*/
/* 16913*/   OPC_CheckType, /*MVT::v8i16*/51, 
/* 16915*/   OPC_CheckPatternPredicate5, // (Subtarget->hasFP16()) && (Subtarget->hasSIMD128())
/* 16916*/   OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::fp_to_sint_I16x8),
                 /*MVT::v8i16*/51, 1/*#Ops*/, 0, 
             // Src: (fp_to_sint:{ *:[v8i16] } V128:{ *:[v8f16] }:$vec) - Complexity = 3
             // Dst: (fp_to_sint_I16x8:{ *:[v8i16] } V128:{ *:[v8f16] }:$vec)
/* 16922*/  0, /*End of Scope*/
/* 16923*/ /*SwitchOpcode*/ 121, TARGET_VAL(ISD::FP_TO_UINT),// ->17047
/* 16926*/  OPC_RecordChild0, // #0 = $src
/* 16927*/  OPC_Scope, 48, /*->16977*/ // 4 children in Scope
/* 16929*/   OPC_CheckChild0Type, /*MVT::f32*/12, 
/* 16931*/   OPC_SwitchType /*2 cases */, 20, /*MVT::i32*/7, // ->16954
/* 16934*/    OPC_Scope, 8, /*->16944*/ // 2 children in Scope
/* 16936*/     OPC_CheckPatternPredicate, 9, // (Subtarget->hasNontrappingFPToInt())
/* 16938*/     OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::I32_TRUNC_U_SAT_F32),
                   /*MVT::i32*/7, 1/*#Ops*/, 0, 
               // Src: (fp_to_uint:{ *:[i32] } F32:{ *:[f32] }:$src) - Complexity = 3
               // Dst: (I32_TRUNC_U_SAT_F32:{ *:[i32] } F32:{ *:[f32] }:$src)
/* 16944*/    /*Scope*/ 8, /*->16953*/
/* 16945*/     OPC_CheckPatternPredicate, 10, // (!Subtarget->hasNontrappingFPToInt())
/* 16947*/     OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::FP_TO_UINT_I32_F32),
                   /*MVT::i32*/7, 1/*#Ops*/, 0, 
               // Src: (fp_to_uint:{ *:[i32] } F32:{ *:[f32] }:$src) - Complexity = 3
               // Dst: (FP_TO_UINT_I32_F32:{ *:[i32] } F32:{ *:[f32] }:$src)
/* 16953*/    0, /*End of Scope*/
/* 16954*/   /*SwitchType*/ 20, /*MVT::i64*/8, // ->16976
/* 16956*/    OPC_Scope, 8, /*->16966*/ // 2 children in Scope
/* 16958*/     OPC_CheckPatternPredicate, 9, // (Subtarget->hasNontrappingFPToInt())
/* 16960*/     OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::I64_TRUNC_U_SAT_F32),
                   /*MVT::i64*/8, 1/*#Ops*/, 0, 
               // Src: (fp_to_uint:{ *:[i64] } F32:{ *:[f32] }:$src) - Complexity = 3
               // Dst: (I64_TRUNC_U_SAT_F32:{ *:[i64] } F32:{ *:[f32] }:$src)
/* 16966*/    /*Scope*/ 8, /*->16975*/
/* 16967*/     OPC_CheckPatternPredicate, 10, // (!Subtarget->hasNontrappingFPToInt())
/* 16969*/     OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::FP_TO_UINT_I64_F32),
                   /*MVT::i64*/8, 1/*#Ops*/, 0, 
               // Src: (fp_to_uint:{ *:[i64] } F32:{ *:[f32] }:$src) - Complexity = 3
               // Dst: (FP_TO_UINT_I64_F32:{ *:[i64] } F32:{ *:[f32] }:$src)
/* 16975*/    0, /*End of Scope*/
/* 16976*/   0, // EndSwitchType
/* 16977*/  /*Scope*/ 48, /*->17026*/
/* 16978*/   OPC_CheckChild0Type, /*MVT::f64*/13, 
/* 16980*/   OPC_SwitchType /*2 cases */, 20, /*MVT::i32*/7, // ->17003
/* 16983*/    OPC_Scope, 8, /*->16993*/ // 2 children in Scope
/* 16985*/     OPC_CheckPatternPredicate, 9, // (Subtarget->hasNontrappingFPToInt())
/* 16987*/     OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::I32_TRUNC_U_SAT_F64),
                   /*MVT::i32*/7, 1/*#Ops*/, 0, 
               // Src: (fp_to_uint:{ *:[i32] } F64:{ *:[f64] }:$src) - Complexity = 3
               // Dst: (I32_TRUNC_U_SAT_F64:{ *:[i32] } F64:{ *:[f64] }:$src)
/* 16993*/    /*Scope*/ 8, /*->17002*/
/* 16994*/     OPC_CheckPatternPredicate, 10, // (!Subtarget->hasNontrappingFPToInt())
/* 16996*/     OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::FP_TO_UINT_I32_F64),
                   /*MVT::i32*/7, 1/*#Ops*/, 0, 
               // Src: (fp_to_uint:{ *:[i32] } F64:{ *:[f64] }:$src) - Complexity = 3
               // Dst: (FP_TO_UINT_I32_F64:{ *:[i32] } F64:{ *:[f64] }:$src)
/* 17002*/    0, /*End of Scope*/
/* 17003*/   /*SwitchType*/ 20, /*MVT::i64*/8, // ->17025
/* 17005*/    OPC_Scope, 8, /*->17015*/ // 2 children in Scope
/* 17007*/     OPC_CheckPatternPredicate, 9, // (Subtarget->hasNontrappingFPToInt())
/* 17009*/     OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::I64_TRUNC_U_SAT_F64),
                   /*MVT::i64*/8, 1/*#Ops*/, 0, 
               // Src: (fp_to_uint:{ *:[i64] } F64:{ *:[f64] }:$src) - Complexity = 3
               // Dst: (I64_TRUNC_U_SAT_F64:{ *:[i64] } F64:{ *:[f64] }:$src)
/* 17015*/    /*Scope*/ 8, /*->17024*/
/* 17016*/     OPC_CheckPatternPredicate, 10, // (!Subtarget->hasNontrappingFPToInt())
/* 17018*/     OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::FP_TO_UINT_I64_F64),
                   /*MVT::i64*/8, 1/*#Ops*/, 0, 
               // Src: (fp_to_uint:{ *:[i64] } F64:{ *:[f64] }:$src) - Complexity = 3
               // Dst: (FP_TO_UINT_I64_F64:{ *:[i64] } F64:{ *:[f64] }:$src)
/* 17024*/    0, /*End of Scope*/
/* 17025*/   0, // EndSwitchType
/* 17026*/  /*Scope*/ 9, /*->17036*/
/* 17027*/   OPC_CheckType, /*MVT::v4i32*/62, 
/* 17029*/   OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/* 17030*/   OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::fp_to_uint_I32x4),
                 /*MVT::v4i32*/62, 1/*#Ops*/, 0, 
             // Src: (fp_to_uint:{ *:[v4i32] } V128:{ *:[v4f32] }:$vec) - Complexity = 3
             // Dst: (fp_to_uint_I32x4:{ *:[v4i32] } V128:{ *:[v4f32] }:$vec)
/* 17036*/  /*Scope*/ 9, /*->17046*/
/* 17037*/   OPC_CheckType, /*MVT::v8i16*/51, 
/* 17039*/   OPC_CheckPatternPredicate5, // (Subtarget->hasFP16()) && (Subtarget->hasSIMD128())
/* 17040*/   OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::fp_to_uint_I16x8),
                 /*MVT::v8i16*/51, 1/*#Ops*/, 0, 
             // Src: (fp_to_uint:{ *:[v8i16] } V128:{ *:[v8f16] }:$vec) - Complexity = 3
             // Dst: (fp_to_uint_I16x8:{ *:[v8i16] } V128:{ *:[v8f16] }:$vec)
/* 17046*/  0, /*End of Scope*/
/* 17047*/ /*SwitchOpcode*/ 87, TARGET_VAL(ISD::FP_TO_SINT_SAT),// ->17137
/* 17050*/  OPC_RecordChild0, // #0 = $src
/* 17051*/  OPC_Scope, 27, /*->17080*/ // 3 children in Scope
/* 17053*/   OPC_CheckChild0Type, /*MVT::f32*/12, 
/* 17055*/   OPC_MoveChild1,
/* 17056*/   OPC_Scope, 10, /*->17068*/ // 2 children in Scope
/* 17058*/    OPC_CheckValueType, /*MVT::i32*/7, 
/* 17060*/    OPC_MoveParent,
/* 17061*/    OPC_CheckTypeI32,
/* 17062*/    OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::I32_TRUNC_S_SAT_F32),
                  /*MVT::i32*/7, 1/*#Ops*/, 0, 
              // Src: (fp_to_sint_sat:{ *:[i32] } F32:{ *:[f32] }:$src, i32:{ *:[Other] }) - Complexity = 3
              // Dst: (I32_TRUNC_S_SAT_F32:{ *:[i32] } F32:{ *:[f32] }:$src)
/* 17068*/   /*Scope*/ 10, /*->17079*/
/* 17069*/    OPC_CheckValueType, /*MVT::i64*/8, 
/* 17071*/    OPC_MoveParent,
/* 17072*/    OPC_CheckTypeI64,
/* 17073*/    OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::I64_TRUNC_S_SAT_F32),
                  /*MVT::i64*/8, 1/*#Ops*/, 0, 
              // Src: (fp_to_sint_sat:{ *:[i64] } F32:{ *:[f32] }:$src, i64:{ *:[Other] }) - Complexity = 3
              // Dst: (I64_TRUNC_S_SAT_F32:{ *:[i64] } F32:{ *:[f32] }:$src)
/* 17079*/   0, /*End of Scope*/
/* 17080*/  /*Scope*/ 27, /*->17108*/
/* 17081*/   OPC_CheckChild0Type, /*MVT::f64*/13, 
/* 17083*/   OPC_MoveChild1,
/* 17084*/   OPC_Scope, 10, /*->17096*/ // 2 children in Scope
/* 17086*/    OPC_CheckValueType, /*MVT::i32*/7, 
/* 17088*/    OPC_MoveParent,
/* 17089*/    OPC_CheckTypeI32,
/* 17090*/    OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::I32_TRUNC_S_SAT_F64),
                  /*MVT::i32*/7, 1/*#Ops*/, 0, 
              // Src: (fp_to_sint_sat:{ *:[i32] } F64:{ *:[f64] }:$src, i32:{ *:[Other] }) - Complexity = 3
              // Dst: (I32_TRUNC_S_SAT_F64:{ *:[i32] } F64:{ *:[f64] }:$src)
/* 17096*/   /*Scope*/ 10, /*->17107*/
/* 17097*/    OPC_CheckValueType, /*MVT::i64*/8, 
/* 17099*/    OPC_MoveParent,
/* 17100*/    OPC_CheckTypeI64,
/* 17101*/    OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::I64_TRUNC_S_SAT_F64),
                  /*MVT::i64*/8, 1/*#Ops*/, 0, 
              // Src: (fp_to_sint_sat:{ *:[i64] } F64:{ *:[f64] }:$src, i64:{ *:[Other] }) - Complexity = 3
              // Dst: (I64_TRUNC_S_SAT_F64:{ *:[i64] } F64:{ *:[f64] }:$src)
/* 17107*/   0, /*End of Scope*/
/* 17108*/  /*Scope*/ 27, /*->17136*/
/* 17109*/   OPC_MoveChild1,
/* 17110*/   OPC_Scope, 11, /*->17123*/ // 2 children in Scope
/* 17112*/    OPC_CheckValueType, /*MVT::i32*/7, 
/* 17114*/    OPC_MoveParent,
/* 17115*/    OPC_CheckType, /*MVT::v4i32*/62, 
/* 17117*/    OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::fp_to_sint_I32x4),
                  /*MVT::v4i32*/62, 1/*#Ops*/, 0, 
              // Src: (fp_to_sint_sat:{ *:[v4i32] } V128:{ *:[v4f32] }:$src, i32:{ *:[Other] }) - Complexity = 3
              // Dst: (fp_to_sint_I32x4:{ *:[v4i32] } ?:{ *:[v4f32] }:$src)
/* 17123*/   /*Scope*/ 11, /*->17135*/
/* 17124*/    OPC_CheckValueType, /*MVT::i16*/6, 
/* 17126*/    OPC_MoveParent,
/* 17127*/    OPC_CheckType, /*MVT::v8i16*/51, 
/* 17129*/    OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::fp_to_sint_I16x8),
                  /*MVT::v8i16*/51, 1/*#Ops*/, 0, 
              // Src: (fp_to_sint_sat:{ *:[v8i16] } V128:{ *:[v8f16] }:$src, i16:{ *:[Other] }) - Complexity = 3
              // Dst: (fp_to_sint_I16x8:{ *:[v8i16] } ?:{ *:[v8f16] }:$src)
/* 17135*/   0, /*End of Scope*/
/* 17136*/  0, /*End of Scope*/
/* 17137*/ /*SwitchOpcode*/ 87, TARGET_VAL(ISD::FP_TO_UINT_SAT),// ->17227
/* 17140*/  OPC_RecordChild0, // #0 = $src
/* 17141*/  OPC_Scope, 27, /*->17170*/ // 3 children in Scope
/* 17143*/   OPC_CheckChild0Type, /*MVT::f32*/12, 
/* 17145*/   OPC_MoveChild1,
/* 17146*/   OPC_Scope, 10, /*->17158*/ // 2 children in Scope
/* 17148*/    OPC_CheckValueType, /*MVT::i32*/7, 
/* 17150*/    OPC_MoveParent,
/* 17151*/    OPC_CheckTypeI32,
/* 17152*/    OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::I32_TRUNC_U_SAT_F32),
                  /*MVT::i32*/7, 1/*#Ops*/, 0, 
              // Src: (fp_to_uint_sat:{ *:[i32] } F32:{ *:[f32] }:$src, i32:{ *:[Other] }) - Complexity = 3
              // Dst: (I32_TRUNC_U_SAT_F32:{ *:[i32] } F32:{ *:[f32] }:$src)
/* 17158*/   /*Scope*/ 10, /*->17169*/
/* 17159*/    OPC_CheckValueType, /*MVT::i64*/8, 
/* 17161*/    OPC_MoveParent,
/* 17162*/    OPC_CheckTypeI64,
/* 17163*/    OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::I64_TRUNC_U_SAT_F32),
                  /*MVT::i64*/8, 1/*#Ops*/, 0, 
              // Src: (fp_to_uint_sat:{ *:[i64] } F32:{ *:[f32] }:$src, i64:{ *:[Other] }) - Complexity = 3
              // Dst: (I64_TRUNC_U_SAT_F32:{ *:[i64] } F32:{ *:[f32] }:$src)
/* 17169*/   0, /*End of Scope*/
/* 17170*/  /*Scope*/ 27, /*->17198*/
/* 17171*/   OPC_CheckChild0Type, /*MVT::f64*/13, 
/* 17173*/   OPC_MoveChild1,
/* 17174*/   OPC_Scope, 10, /*->17186*/ // 2 children in Scope
/* 17176*/    OPC_CheckValueType, /*MVT::i32*/7, 
/* 17178*/    OPC_MoveParent,
/* 17179*/    OPC_CheckTypeI32,
/* 17180*/    OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::I32_TRUNC_U_SAT_F64),
                  /*MVT::i32*/7, 1/*#Ops*/, 0, 
              // Src: (fp_to_uint_sat:{ *:[i32] } F64:{ *:[f64] }:$src, i32:{ *:[Other] }) - Complexity = 3
              // Dst: (I32_TRUNC_U_SAT_F64:{ *:[i32] } F64:{ *:[f64] }:$src)
/* 17186*/   /*Scope*/ 10, /*->17197*/
/* 17187*/    OPC_CheckValueType, /*MVT::i64*/8, 
/* 17189*/    OPC_MoveParent,
/* 17190*/    OPC_CheckTypeI64,
/* 17191*/    OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::I64_TRUNC_U_SAT_F64),
                  /*MVT::i64*/8, 1/*#Ops*/, 0, 
              // Src: (fp_to_uint_sat:{ *:[i64] } F64:{ *:[f64] }:$src, i64:{ *:[Other] }) - Complexity = 3
              // Dst: (I64_TRUNC_U_SAT_F64:{ *:[i64] } F64:{ *:[f64] }:$src)
/* 17197*/   0, /*End of Scope*/
/* 17198*/  /*Scope*/ 27, /*->17226*/
/* 17199*/   OPC_MoveChild1,
/* 17200*/   OPC_Scope, 11, /*->17213*/ // 2 children in Scope
/* 17202*/    OPC_CheckValueType, /*MVT::i32*/7, 
/* 17204*/    OPC_MoveParent,
/* 17205*/    OPC_CheckType, /*MVT::v4i32*/62, 
/* 17207*/    OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::fp_to_uint_I32x4),
                  /*MVT::v4i32*/62, 1/*#Ops*/, 0, 
              // Src: (fp_to_uint_sat:{ *:[v4i32] } V128:{ *:[v4f32] }:$src, i32:{ *:[Other] }) - Complexity = 3
              // Dst: (fp_to_uint_I32x4:{ *:[v4i32] } ?:{ *:[v4f32] }:$src)
/* 17213*/   /*Scope*/ 11, /*->17225*/
/* 17214*/    OPC_CheckValueType, /*MVT::i16*/6, 
/* 17216*/    OPC_MoveParent,
/* 17217*/    OPC_CheckType, /*MVT::v8i16*/51, 
/* 17219*/    OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::fp_to_uint_I16x8),
                  /*MVT::v8i16*/51, 1/*#Ops*/, 0, 
              // Src: (fp_to_uint_sat:{ *:[v8i16] } V128:{ *:[v8f16] }:$src, i16:{ *:[Other] }) - Complexity = 3
              // Dst: (fp_to_uint_I16x8:{ *:[v8i16] } ?:{ *:[v8f16] }:$src)
/* 17225*/   0, /*End of Scope*/
/* 17226*/  0, /*End of Scope*/
/* 17227*/ /*SwitchOpcode*/ 39|128,2/*295*/, TARGET_VAL(ISD::BITCAST),// ->17526
/* 17231*/  OPC_RecordChild0, // #0 = $src
/* 17232*/  OPC_Scope, 9, /*->17243*/ // 11 children in Scope
/* 17234*/   OPC_CheckChild0Type, /*MVT::f32*/12, 
/* 17236*/   OPC_CheckTypeI32,
/* 17237*/   OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::I32_REINTERPRET_F32),
                 /*MVT::i32*/7, 1/*#Ops*/, 0, 
             // Src: (bitconvert:{ *:[i32] } F32:{ *:[f32] }:$src) - Complexity = 3
             // Dst: (I32_REINTERPRET_F32:{ *:[i32] } F32:{ *:[f32] }:$src)
/* 17243*/  /*Scope*/ 9, /*->17253*/
/* 17244*/   OPC_CheckChild0Type, /*MVT::f64*/13, 
/* 17246*/   OPC_CheckTypeI64,
/* 17247*/   OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::I64_REINTERPRET_F64),
                 /*MVT::i64*/8, 1/*#Ops*/, 0, 
             // Src: (bitconvert:{ *:[i64] } F64:{ *:[f64] }:$src) - Complexity = 3
             // Dst: (I64_REINTERPRET_F64:{ *:[i64] } F64:{ *:[f64] }:$src)
/* 17253*/  /*Scope*/ 9, /*->17263*/
/* 17254*/   OPC_CheckChild0TypeI32,
/* 17255*/   OPC_CheckType, /*MVT::f32*/12, 
/* 17257*/   OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::F32_REINTERPRET_I32),
                 /*MVT::f32*/12, 1/*#Ops*/, 0, 
             // Src: (bitconvert:{ *:[f32] } I32:{ *:[i32] }:$src) - Complexity = 3
             // Dst: (F32_REINTERPRET_I32:{ *:[f32] } I32:{ *:[i32] }:$src)
/* 17263*/  /*Scope*/ 9, /*->17273*/
/* 17264*/   OPC_CheckChild0TypeI64,
/* 17265*/   OPC_CheckType, /*MVT::f64*/13, 
/* 17267*/   OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::F64_REINTERPRET_I64),
                 /*MVT::f64*/13, 1/*#Ops*/, 0, 
             // Src: (bitconvert:{ *:[f64] } I64:{ *:[i64] }:$src) - Complexity = 3
             // Dst: (F64_REINTERPRET_I64:{ *:[f64] } I64:{ *:[i64] }:$src)
/* 17273*/  /*Scope*/ 35, /*->17309*/
/* 17274*/   OPC_CheckChild0Type, /*MVT::v8i16*/51, 
/* 17276*/   OPC_SwitchType /*6 cases */, 3, /*MVT::v16i8*/40, // ->17282
/* 17279*/    OPC_CompleteMatch, 1, 0, 
               // Src: (bitconvert:{ *:[v16i8] } V128:{ *:[v8i16] }:$v) - Complexity = 3
               // Dst: V128:{ *:[v16i8] }:$v
/* 17282*/   /*SwitchType*/ 3, /*MVT::v4i32*/62, // ->17287
/* 17284*/    OPC_CompleteMatch, 1, 0, 
               // Src: (bitconvert:{ *:[v4i32] } V128:{ *:[v8i16] }:$v) - Complexity = 3
               // Dst: V128:{ *:[v4i32] }:$v
/* 17287*/   /*SwitchType*/ 3, /*MVT::v2i64*/81, // ->17292
/* 17289*/    OPC_CompleteMatch, 1, 0, 
               // Src: (bitconvert:{ *:[v2i64] } V128:{ *:[v8i16] }:$v) - Complexity = 3
               // Dst: V128:{ *:[v2i64] }:$v
/* 17292*/   /*SwitchType*/ 3, /*MVT::v4f32*/116, // ->17297
/* 17294*/    OPC_CompleteMatch, 1, 0, 
               // Src: (bitconvert:{ *:[v4f32] } V128:{ *:[v8i16] }:$v) - Complexity = 3
               // Dst: V128:{ *:[v4f32] }:$v
/* 17297*/   /*SwitchType*/ 3, /*MVT::v2f64*/6|128,1/*134*/, // ->17303
/* 17300*/    OPC_CompleteMatch, 1, 0, 
               // Src: (bitconvert:{ *:[v2f64] } V128:{ *:[v8i16] }:$v) - Complexity = 3
               // Dst: V128:{ *:[v2f64] }:$v
/* 17303*/   /*SwitchType*/ 3, /*MVT::v8f16*/95, // ->17308
/* 17305*/    OPC_CompleteMatch, 1, 0, 
               // Src: (bitconvert:{ *:[v8f16] } V128:{ *:[v8i16] }:$v) - Complexity = 3
               // Dst: V128:{ *:[v8f16] }:$v
/* 17308*/   0, // EndSwitchType
/* 17309*/  /*Scope*/ 35, /*->17345*/
/* 17310*/   OPC_CheckChild0Type, /*MVT::v4i32*/62, 
/* 17312*/   OPC_SwitchType /*6 cases */, 3, /*MVT::v16i8*/40, // ->17318
/* 17315*/    OPC_CompleteMatch, 1, 0, 
               // Src: (bitconvert:{ *:[v16i8] } V128:{ *:[v4i32] }:$v) - Complexity = 3
               // Dst: V128:{ *:[v16i8] }:$v
/* 17318*/   /*SwitchType*/ 3, /*MVT::v8i16*/51, // ->17323
/* 17320*/    OPC_CompleteMatch, 1, 0, 
               // Src: (bitconvert:{ *:[v8i16] } V128:{ *:[v4i32] }:$v) - Complexity = 3
               // Dst: V128:{ *:[v8i16] }:$v
/* 17323*/   /*SwitchType*/ 3, /*MVT::v2i64*/81, // ->17328
/* 17325*/    OPC_CompleteMatch, 1, 0, 
               // Src: (bitconvert:{ *:[v2i64] } V128:{ *:[v4i32] }:$v) - Complexity = 3
               // Dst: V128:{ *:[v2i64] }:$v
/* 17328*/   /*SwitchType*/ 3, /*MVT::v4f32*/116, // ->17333
/* 17330*/    OPC_CompleteMatch, 1, 0, 
               // Src: (bitconvert:{ *:[v4f32] } V128:{ *:[v4i32] }:$v) - Complexity = 3
               // Dst: V128:{ *:[v4f32] }:$v
/* 17333*/   /*SwitchType*/ 3, /*MVT::v2f64*/6|128,1/*134*/, // ->17339
/* 17336*/    OPC_CompleteMatch, 1, 0, 
               // Src: (bitconvert:{ *:[v2f64] } V128:{ *:[v4i32] }:$v) - Complexity = 3
               // Dst: V128:{ *:[v2f64] }:$v
/* 17339*/   /*SwitchType*/ 3, /*MVT::v8f16*/95, // ->17344
/* 17341*/    OPC_CompleteMatch, 1, 0, 
               // Src: (bitconvert:{ *:[v8f16] } V128:{ *:[v4i32] }:$v) - Complexity = 3
               // Dst: V128:{ *:[v8f16] }:$v
/* 17344*/   0, // EndSwitchType
/* 17345*/  /*Scope*/ 35, /*->17381*/
/* 17346*/   OPC_CheckChild0Type, /*MVT::v2i64*/81, 
/* 17348*/   OPC_SwitchType /*6 cases */, 3, /*MVT::v16i8*/40, // ->17354
/* 17351*/    OPC_CompleteMatch, 1, 0, 
               // Src: (bitconvert:{ *:[v16i8] } V128:{ *:[v2i64] }:$v) - Complexity = 3
               // Dst: V128:{ *:[v16i8] }:$v
/* 17354*/   /*SwitchType*/ 3, /*MVT::v8i16*/51, // ->17359
/* 17356*/    OPC_CompleteMatch, 1, 0, 
               // Src: (bitconvert:{ *:[v8i16] } V128:{ *:[v2i64] }:$v) - Complexity = 3
               // Dst: V128:{ *:[v8i16] }:$v
/* 17359*/   /*SwitchType*/ 3, /*MVT::v4i32*/62, // ->17364
/* 17361*/    OPC_CompleteMatch, 1, 0, 
               // Src: (bitconvert:{ *:[v4i32] } V128:{ *:[v2i64] }:$v) - Complexity = 3
               // Dst: V128:{ *:[v4i32] }:$v
/* 17364*/   /*SwitchType*/ 3, /*MVT::v4f32*/116, // ->17369
/* 17366*/    OPC_CompleteMatch, 1, 0, 
               // Src: (bitconvert:{ *:[v4f32] } V128:{ *:[v2i64] }:$v) - Complexity = 3
               // Dst: V128:{ *:[v4f32] }:$v
/* 17369*/   /*SwitchType*/ 3, /*MVT::v2f64*/6|128,1/*134*/, // ->17375
/* 17372*/    OPC_CompleteMatch, 1, 0, 
               // Src: (bitconvert:{ *:[v2f64] } V128:{ *:[v2i64] }:$v) - Complexity = 3
               // Dst: V128:{ *:[v2f64] }:$v
/* 17375*/   /*SwitchType*/ 3, /*MVT::v8f16*/95, // ->17380
/* 17377*/    OPC_CompleteMatch, 1, 0, 
               // Src: (bitconvert:{ *:[v8f16] } V128:{ *:[v2i64] }:$v) - Complexity = 3
               // Dst: V128:{ *:[v8f16] }:$v
/* 17380*/   0, // EndSwitchType
/* 17381*/  /*Scope*/ 35, /*->17417*/
/* 17382*/   OPC_CheckChild0Type, /*MVT::v4f32*/116, 
/* 17384*/   OPC_SwitchType /*6 cases */, 3, /*MVT::v16i8*/40, // ->17390
/* 17387*/    OPC_CompleteMatch, 1, 0, 
               // Src: (bitconvert:{ *:[v16i8] } V128:{ *:[v4f32] }:$v) - Complexity = 3
               // Dst: V128:{ *:[v16i8] }:$v
/* 17390*/   /*SwitchType*/ 3, /*MVT::v8i16*/51, // ->17395
/* 17392*/    OPC_CompleteMatch, 1, 0, 
               // Src: (bitconvert:{ *:[v8i16] } V128:{ *:[v4f32] }:$v) - Complexity = 3
               // Dst: V128:{ *:[v8i16] }:$v
/* 17395*/   /*SwitchType*/ 3, /*MVT::v4i32*/62, // ->17400
/* 17397*/    OPC_CompleteMatch, 1, 0, 
               // Src: (bitconvert:{ *:[v4i32] } V128:{ *:[v4f32] }:$v) - Complexity = 3
               // Dst: V128:{ *:[v4i32] }:$v
/* 17400*/   /*SwitchType*/ 3, /*MVT::v2i64*/81, // ->17405
/* 17402*/    OPC_CompleteMatch, 1, 0, 
               // Src: (bitconvert:{ *:[v2i64] } V128:{ *:[v4f32] }:$v) - Complexity = 3
               // Dst: V128:{ *:[v2i64] }:$v
/* 17405*/   /*SwitchType*/ 3, /*MVT::v2f64*/6|128,1/*134*/, // ->17411
/* 17408*/    OPC_CompleteMatch, 1, 0, 
               // Src: (bitconvert:{ *:[v2f64] } V128:{ *:[v4f32] }:$v) - Complexity = 3
               // Dst: V128:{ *:[v2f64] }:$v
/* 17411*/   /*SwitchType*/ 3, /*MVT::v8f16*/95, // ->17416
/* 17413*/    OPC_CompleteMatch, 1, 0, 
               // Src: (bitconvert:{ *:[v8f16] } V128:{ *:[v4f32] }:$v) - Complexity = 3
               // Dst: V128:{ *:[v8f16] }:$v
/* 17416*/   0, // EndSwitchType
/* 17417*/  /*Scope*/ 35, /*->17453*/
/* 17418*/   OPC_CheckChild0Type, /*MVT::v2f64*/6|128,1/*134*/, 
/* 17421*/   OPC_SwitchType /*6 cases */, 3, /*MVT::v16i8*/40, // ->17427
/* 17424*/    OPC_CompleteMatch, 1, 0, 
               // Src: (bitconvert:{ *:[v16i8] } V128:{ *:[v2f64] }:$v) - Complexity = 3
               // Dst: V128:{ *:[v16i8] }:$v
/* 17427*/   /*SwitchType*/ 3, /*MVT::v8i16*/51, // ->17432
/* 17429*/    OPC_CompleteMatch, 1, 0, 
               // Src: (bitconvert:{ *:[v8i16] } V128:{ *:[v2f64] }:$v) - Complexity = 3
               // Dst: V128:{ *:[v8i16] }:$v
/* 17432*/   /*SwitchType*/ 3, /*MVT::v4i32*/62, // ->17437
/* 17434*/    OPC_CompleteMatch, 1, 0, 
               // Src: (bitconvert:{ *:[v4i32] } V128:{ *:[v2f64] }:$v) - Complexity = 3
               // Dst: V128:{ *:[v4i32] }:$v
/* 17437*/   /*SwitchType*/ 3, /*MVT::v2i64*/81, // ->17442
/* 17439*/    OPC_CompleteMatch, 1, 0, 
               // Src: (bitconvert:{ *:[v2i64] } V128:{ *:[v2f64] }:$v) - Complexity = 3
               // Dst: V128:{ *:[v2i64] }:$v
/* 17442*/   /*SwitchType*/ 3, /*MVT::v4f32*/116, // ->17447
/* 17444*/    OPC_CompleteMatch, 1, 0, 
               // Src: (bitconvert:{ *:[v4f32] } V128:{ *:[v2f64] }:$v) - Complexity = 3
               // Dst: V128:{ *:[v4f32] }:$v
/* 17447*/   /*SwitchType*/ 3, /*MVT::v8f16*/95, // ->17452
/* 17449*/    OPC_CompleteMatch, 1, 0, 
               // Src: (bitconvert:{ *:[v8f16] } V128:{ *:[v2f64] }:$v) - Complexity = 3
               // Dst: V128:{ *:[v8f16] }:$v
/* 17452*/   0, // EndSwitchType
/* 17453*/  /*Scope*/ 35, /*->17489*/
/* 17454*/   OPC_CheckChild0Type, /*MVT::v8f16*/95, 
/* 17456*/   OPC_SwitchType /*6 cases */, 3, /*MVT::v16i8*/40, // ->17462
/* 17459*/    OPC_CompleteMatch, 1, 0, 
               // Src: (bitconvert:{ *:[v16i8] } V128:{ *:[v8f16] }:$v) - Complexity = 3
               // Dst: V128:{ *:[v16i8] }:$v
/* 17462*/   /*SwitchType*/ 3, /*MVT::v8i16*/51, // ->17467
/* 17464*/    OPC_CompleteMatch, 1, 0, 
               // Src: (bitconvert:{ *:[v8i16] } V128:{ *:[v8f16] }:$v) - Complexity = 3
               // Dst: V128:{ *:[v8i16] }:$v
/* 17467*/   /*SwitchType*/ 3, /*MVT::v4i32*/62, // ->17472
/* 17469*/    OPC_CompleteMatch, 1, 0, 
               // Src: (bitconvert:{ *:[v4i32] } V128:{ *:[v8f16] }:$v) - Complexity = 3
               // Dst: V128:{ *:[v4i32] }:$v
/* 17472*/   /*SwitchType*/ 3, /*MVT::v2i64*/81, // ->17477
/* 17474*/    OPC_CompleteMatch, 1, 0, 
               // Src: (bitconvert:{ *:[v2i64] } V128:{ *:[v8f16] }:$v) - Complexity = 3
               // Dst: V128:{ *:[v2i64] }:$v
/* 17477*/   /*SwitchType*/ 3, /*MVT::v4f32*/116, // ->17482
/* 17479*/    OPC_CompleteMatch, 1, 0, 
               // Src: (bitconvert:{ *:[v4f32] } V128:{ *:[v8f16] }:$v) - Complexity = 3
               // Dst: V128:{ *:[v4f32] }:$v
/* 17482*/   /*SwitchType*/ 3, /*MVT::v2f64*/6|128,1/*134*/, // ->17488
/* 17485*/    OPC_CompleteMatch, 1, 0, 
               // Src: (bitconvert:{ *:[v2f64] } V128:{ *:[v8f16] }:$v) - Complexity = 3
               // Dst: V128:{ *:[v2f64] }:$v
/* 17488*/   0, // EndSwitchType
/* 17489*/  /*Scope*/ 35, /*->17525*/
/* 17490*/   OPC_CheckChild0Type, /*MVT::v16i8*/40, 
/* 17492*/   OPC_SwitchType /*6 cases */, 3, /*MVT::v8i16*/51, // ->17498
/* 17495*/    OPC_CompleteMatch, 1, 0, 
               // Src: (bitconvert:{ *:[v8i16] } V128:{ *:[v16i8] }:$v) - Complexity = 3
               // Dst: V128:{ *:[v8i16] }:$v
/* 17498*/   /*SwitchType*/ 3, /*MVT::v4i32*/62, // ->17503
/* 17500*/    OPC_CompleteMatch, 1, 0, 
               // Src: (bitconvert:{ *:[v4i32] } V128:{ *:[v16i8] }:$v) - Complexity = 3
               // Dst: V128:{ *:[v4i32] }:$v
/* 17503*/   /*SwitchType*/ 3, /*MVT::v2i64*/81, // ->17508
/* 17505*/    OPC_CompleteMatch, 1, 0, 
               // Src: (bitconvert:{ *:[v2i64] } V128:{ *:[v16i8] }:$v) - Complexity = 3
               // Dst: V128:{ *:[v2i64] }:$v
/* 17508*/   /*SwitchType*/ 3, /*MVT::v4f32*/116, // ->17513
/* 17510*/    OPC_CompleteMatch, 1, 0, 
               // Src: (bitconvert:{ *:[v4f32] } V128:{ *:[v16i8] }:$v) - Complexity = 3
               // Dst: V128:{ *:[v4f32] }:$v
/* 17513*/   /*SwitchType*/ 3, /*MVT::v2f64*/6|128,1/*134*/, // ->17519
/* 17516*/    OPC_CompleteMatch, 1, 0, 
               // Src: (bitconvert:{ *:[v2f64] } V128:{ *:[v16i8] }:$v) - Complexity = 3
               // Dst: V128:{ *:[v2f64] }:$v
/* 17519*/   /*SwitchType*/ 3, /*MVT::v8f16*/95, // ->17524
/* 17521*/    OPC_CompleteMatch, 1, 0, 
               // Src: (bitconvert:{ *:[v8f16] } V128:{ *:[v16i8] }:$v) - Complexity = 3
               // Dst: V128:{ *:[v8f16] }:$v
/* 17524*/   0, // EndSwitchType
/* 17525*/  0, /*End of Scope*/
/* 17526*/ /*SwitchOpcode*/ 21, TARGET_VAL(ISD::ConstantFP),// ->17550
/* 17529*/  OPC_RecordNode, // #0 = $imm
/* 17530*/  OPC_SwitchType /*2 cases */, 7, /*MVT::f32*/12, // ->17540
/* 17533*/   OPC_EmitConvertToTarget0, // #1
/* 17534*/   OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::CONST_F32),
                 /*MVT::f32*/12, 1/*#Ops*/, 1, 
             // Src: (fpimm:{ *:[f32] }):$imm - Complexity = 3
             // Dst: (CONST_F32:{ *:[f32] } (fpimm:{ *:[f32] }):$imm)
/* 17540*/  /*SwitchType*/ 7, /*MVT::f64*/13, // ->17549
/* 17542*/   OPC_EmitConvertToTarget0, // #1
/* 17543*/   OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::CONST_F64),
                 /*MVT::f64*/13, 1/*#Ops*/, 1, 
             // Src: (fpimm:{ *:[f64] }):$imm - Complexity = 3
             // Dst: (CONST_F64:{ *:[f64] } (fpimm:{ *:[f64] }):$imm)
/* 17549*/  0, // EndSwitchType
/* 17550*/ /*SwitchOpcode*/ 63, TARGET_VAL(ISD::SINT_TO_FP),// ->17616
/* 17553*/  OPC_RecordChild0, // #0 = $src
/* 17554*/  OPC_Scope, 19, /*->17575*/ // 4 children in Scope
/* 17556*/   OPC_CheckChild0TypeI32,
/* 17557*/   OPC_SwitchType /*2 cases */, 6, /*MVT::f32*/12, // ->17566
/* 17560*/    OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::F32_CONVERT_S_I32),
                  /*MVT::f32*/12, 1/*#Ops*/, 0, 
              // Src: (sint_to_fp:{ *:[f32] } I32:{ *:[i32] }:$src) - Complexity = 3
              // Dst: (F32_CONVERT_S_I32:{ *:[f32] } I32:{ *:[i32] }:$src)
/* 17566*/   /*SwitchType*/ 6, /*MVT::f64*/13, // ->17574
/* 17568*/    OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::F64_CONVERT_S_I32),
                  /*MVT::f64*/13, 1/*#Ops*/, 0, 
              // Src: (sint_to_fp:{ *:[f64] } I32:{ *:[i32] }:$src) - Complexity = 3
              // Dst: (F64_CONVERT_S_I32:{ *:[f64] } I32:{ *:[i32] }:$src)
/* 17574*/   0, // EndSwitchType
/* 17575*/  /*Scope*/ 19, /*->17595*/
/* 17576*/   OPC_CheckChild0TypeI64,
/* 17577*/   OPC_SwitchType /*2 cases */, 6, /*MVT::f32*/12, // ->17586
/* 17580*/    OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::F32_CONVERT_S_I64),
                  /*MVT::f32*/12, 1/*#Ops*/, 0, 
              // Src: (sint_to_fp:{ *:[f32] } I64:{ *:[i64] }:$src) - Complexity = 3
              // Dst: (F32_CONVERT_S_I64:{ *:[f32] } I64:{ *:[i64] }:$src)
/* 17586*/   /*SwitchType*/ 6, /*MVT::f64*/13, // ->17594
/* 17588*/    OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::F64_CONVERT_S_I64),
                  /*MVT::f64*/13, 1/*#Ops*/, 0, 
              // Src: (sint_to_fp:{ *:[f64] } I64:{ *:[i64] }:$src) - Complexity = 3
              // Dst: (F64_CONVERT_S_I64:{ *:[f64] } I64:{ *:[i64] }:$src)
/* 17594*/   0, // EndSwitchType
/* 17595*/  /*Scope*/ 9, /*->17605*/
/* 17596*/   OPC_CheckType, /*MVT::v4f32*/116, 
/* 17598*/   OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/* 17599*/   OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::sint_to_fp_F32x4),
                 /*MVT::v4f32*/116, 1/*#Ops*/, 0, 
             // Src: (sint_to_fp:{ *:[v4f32] } V128:{ *:[v4i32] }:$vec) - Complexity = 3
             // Dst: (sint_to_fp_F32x4:{ *:[v4f32] } V128:{ *:[v4i32] }:$vec)
/* 17605*/  /*Scope*/ 9, /*->17615*/
/* 17606*/   OPC_CheckType, /*MVT::v8f16*/95, 
/* 17608*/   OPC_CheckPatternPredicate5, // (Subtarget->hasFP16()) && (Subtarget->hasSIMD128())
/* 17609*/   OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::sint_to_fp_F16x8),
                 /*MVT::v8f16*/95, 1/*#Ops*/, 0, 
             // Src: (sint_to_fp:{ *:[v8f16] } V128:{ *:[v8i16] }:$vec) - Complexity = 3
             // Dst: (sint_to_fp_F16x8:{ *:[v8f16] } V128:{ *:[v8i16] }:$vec)
/* 17615*/  0, /*End of Scope*/
/* 17616*/ /*SwitchOpcode*/ 63, TARGET_VAL(ISD::UINT_TO_FP),// ->17682
/* 17619*/  OPC_RecordChild0, // #0 = $src
/* 17620*/  OPC_Scope, 19, /*->17641*/ // 4 children in Scope
/* 17622*/   OPC_CheckChild0TypeI32,
/* 17623*/   OPC_SwitchType /*2 cases */, 6, /*MVT::f32*/12, // ->17632
/* 17626*/    OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::F32_CONVERT_U_I32),
                  /*MVT::f32*/12, 1/*#Ops*/, 0, 
              // Src: (uint_to_fp:{ *:[f32] } I32:{ *:[i32] }:$src) - Complexity = 3
              // Dst: (F32_CONVERT_U_I32:{ *:[f32] } I32:{ *:[i32] }:$src)
/* 17632*/   /*SwitchType*/ 6, /*MVT::f64*/13, // ->17640
/* 17634*/    OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::F64_CONVERT_U_I32),
                  /*MVT::f64*/13, 1/*#Ops*/, 0, 
              // Src: (uint_to_fp:{ *:[f64] } I32:{ *:[i32] }:$src) - Complexity = 3
              // Dst: (F64_CONVERT_U_I32:{ *:[f64] } I32:{ *:[i32] }:$src)
/* 17640*/   0, // EndSwitchType
/* 17641*/  /*Scope*/ 19, /*->17661*/
/* 17642*/   OPC_CheckChild0TypeI64,
/* 17643*/   OPC_SwitchType /*2 cases */, 6, /*MVT::f32*/12, // ->17652
/* 17646*/    OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::F32_CONVERT_U_I64),
                  /*MVT::f32*/12, 1/*#Ops*/, 0, 
              // Src: (uint_to_fp:{ *:[f32] } I64:{ *:[i64] }:$src) - Complexity = 3
              // Dst: (F32_CONVERT_U_I64:{ *:[f32] } I64:{ *:[i64] }:$src)
/* 17652*/   /*SwitchType*/ 6, /*MVT::f64*/13, // ->17660
/* 17654*/    OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::F64_CONVERT_U_I64),
                  /*MVT::f64*/13, 1/*#Ops*/, 0, 
              // Src: (uint_to_fp:{ *:[f64] } I64:{ *:[i64] }:$src) - Complexity = 3
              // Dst: (F64_CONVERT_U_I64:{ *:[f64] } I64:{ *:[i64] }:$src)
/* 17660*/   0, // EndSwitchType
/* 17661*/  /*Scope*/ 9, /*->17671*/
/* 17662*/   OPC_CheckType, /*MVT::v4f32*/116, 
/* 17664*/   OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/* 17665*/   OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::uint_to_fp_F32x4),
                 /*MVT::v4f32*/116, 1/*#Ops*/, 0, 
             // Src: (uint_to_fp:{ *:[v4f32] } V128:{ *:[v4i32] }:$vec) - Complexity = 3
             // Dst: (uint_to_fp_F32x4:{ *:[v4f32] } V128:{ *:[v4i32] }:$vec)
/* 17671*/  /*Scope*/ 9, /*->17681*/
/* 17672*/   OPC_CheckType, /*MVT::v8f16*/95, 
/* 17674*/   OPC_CheckPatternPredicate5, // (Subtarget->hasFP16()) && (Subtarget->hasSIMD128())
/* 17675*/   OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::uint_to_fp_F16x8),
                 /*MVT::v8f16*/95, 1/*#Ops*/, 0, 
             // Src: (uint_to_fp:{ *:[v8f16] } V128:{ *:[v8i16] }:$vec) - Complexity = 3
             // Dst: (uint_to_fp_F16x8:{ *:[v8f16] } V128:{ *:[v8i16] }:$vec)
/* 17681*/  0, /*End of Scope*/
/* 17682*/ /*SwitchOpcode*/ 7, TARGET_VAL(ISD::FP_EXTEND),// ->17692
/* 17685*/  OPC_RecordChild0, // #0 = $src
/* 17686*/  OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::F64_PROMOTE_F32),
                /*MVT::f64*/13, 1/*#Ops*/, 0, 
            // Src: (fpextend:{ *:[f64] } F32:{ *:[f32] }:$src) - Complexity = 3
            // Dst: (F64_PROMOTE_F32:{ *:[f64] } F32:{ *:[f32] }:$src)
/* 17692*/ /*SwitchOpcode*/ 7, TARGET_VAL(ISD::FP_ROUND),// ->17702
/* 17695*/  OPC_RecordChild0, // #0 = $src
/* 17696*/  OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::F32_DEMOTE_F64),
                /*MVT::f32*/12, 1/*#Ops*/, 0, 
            // Src: (fpround:{ *:[f32] } F64:{ *:[f64] }:$src) - Complexity = 3
            // Dst: (F32_DEMOTE_F64:{ *:[f32] } F64:{ *:[f64] }:$src)
/* 17702*/ /*SwitchOpcode*/ 36|128,1/*164*/, TARGET_VAL(ISD::FADD),// ->17870
/* 17706*/  OPC_Scope, 74, /*->17782*/ // 3 children in Scope
/* 17708*/   OPC_RecordChild0, // #0 = $lhs
/* 17709*/   OPC_Scope, 21, /*->17732*/ // 2 children in Scope
/* 17711*/    OPC_RecordChild1, // #1 = $rhs
/* 17712*/    OPC_SwitchType /*2 cases */, 7, /*MVT::f32*/12, // ->17722
/* 17715*/     OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::ADD_F32),
                   /*MVT::f32*/12, 2/*#Ops*/, 0, 1, 
               // Src: (fadd:{ *:[f32] } F32:{ *:[f32] }:$lhs, F32:{ *:[f32] }:$rhs) - Complexity = 3
               // Dst: (ADD_F32:{ *:[f32] } F32:{ *:[f32] }:$lhs, F32:{ *:[f32] }:$rhs)
/* 17722*/    /*SwitchType*/ 7, /*MVT::f64*/13, // ->17731
/* 17724*/     OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::ADD_F64),
                   /*MVT::f64*/13, 2/*#Ops*/, 0, 1, 
               // Src: (fadd:{ *:[f64] } F64:{ *:[f64] }:$lhs, F64:{ *:[f64] }:$rhs) - Complexity = 3
               // Dst: (ADD_F64:{ *:[f64] } F64:{ *:[f64] }:$lhs, F64:{ *:[f64] }:$rhs)
/* 17731*/    0, // EndSwitchType
/* 17732*/   /*Scope*/ 48, /*->17781*/
/* 17733*/    OPC_MoveChild1,
/* 17734*/    OPC_CheckOpcode, TARGET_VAL(ISD::FMUL),
/* 17737*/    OPC_RecordChild0, // #1 = $b
/* 17738*/    OPC_RecordChild1, // #2 = $c
/* 17739*/    OPC_CheckPredicate, 25, // Predicate_fmul_contract
/* 17741*/    OPC_MoveParent,
/* 17742*/    OPC_CheckPredicate, 25, // Predicate_fadd_contract
/* 17744*/    OPC_SwitchType /*3 cases */, 9, /*MVT::v4f32*/116, // ->17756
/* 17747*/     OPC_CheckPatternPredicate7, // (Subtarget->hasRelaxedSIMD())
/* 17748*/     OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::MADD_F32x4),
                   /*MVT::v4f32*/116, 3/*#Ops*/, 0, 1, 2, 
               // Src: (fadd:{ *:[v4f32] } V128:{ *:[v4f32] }:$a, (fmul:{ *:[v4f32] } V128:{ *:[v4f32] }:$b, V128:{ *:[v4f32] }:$c)<<P:Predicate_fmul_contract>>)<<P:Predicate_fadd_contract>> - Complexity = 8
               // Dst: (MADD_F32x4:{ *:[v4f32] } V128:{ *:[v4f32] }:$a, V128:{ *:[v4f32] }:$b, V128:{ *:[v4f32] }:$c)
/* 17756*/    /*SwitchType*/ 10, /*MVT::v2f64*/6|128,1/*134*/, // ->17769
/* 17759*/     OPC_CheckPatternPredicate7, // (Subtarget->hasRelaxedSIMD())
/* 17760*/     OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::MADD_F64x2),
                   /*MVT::v2f64*/6|128,1/*134*/, 3/*#Ops*/, 0, 1, 2, 
               // Src: (fadd:{ *:[v2f64] } V128:{ *:[v2f64] }:$a, (fmul:{ *:[v2f64] } V128:{ *:[v2f64] }:$b, V128:{ *:[v2f64] }:$c)<<P:Predicate_fmul_contract>>)<<P:Predicate_fadd_contract>> - Complexity = 8
               // Dst: (MADD_F64x2:{ *:[v2f64] } V128:{ *:[v2f64] }:$a, V128:{ *:[v2f64] }:$b, V128:{ *:[v2f64] }:$c)
/* 17769*/    /*SwitchType*/ 9, /*MVT::v8f16*/95, // ->17780
/* 17771*/     OPC_CheckPatternPredicate7, // (Subtarget->hasRelaxedSIMD())
/* 17772*/     OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::MADD_F16x8),
                   /*MVT::v8f16*/95, 3/*#Ops*/, 0, 1, 2, 
               // Src: (fadd:{ *:[v8f16] } V128:{ *:[v8f16] }:$a, (fmul:{ *:[v8f16] } V128:{ *:[v8f16] }:$b, V128:{ *:[v8f16] }:$c)<<P:Predicate_fmul_contract>>)<<P:Predicate_fadd_contract>> - Complexity = 8
               // Dst: (MADD_F16x8:{ *:[v8f16] } V128:{ *:[v8f16] }:$a, V128:{ *:[v8f16] }:$b, V128:{ *:[v8f16] }:$c)
/* 17780*/    0, // EndSwitchType
/* 17781*/   0, /*End of Scope*/
/* 17782*/  /*Scope*/ 49, /*->17832*/
/* 17783*/   OPC_MoveChild0,
/* 17784*/   OPC_CheckOpcode, TARGET_VAL(ISD::FMUL),
/* 17787*/   OPC_RecordChild0, // #0 = $b
/* 17788*/   OPC_RecordChild1, // #1 = $c
/* 17789*/   OPC_CheckPredicate, 25, // Predicate_fmul_contract
/* 17791*/   OPC_MoveParent,
/* 17792*/   OPC_RecordChild1, // #2 = $a
/* 17793*/   OPC_CheckPredicate, 25, // Predicate_fadd_contract
/* 17795*/   OPC_SwitchType /*3 cases */, 9, /*MVT::v4f32*/116, // ->17807
/* 17798*/    OPC_CheckPatternPredicate7, // (Subtarget->hasRelaxedSIMD())
/* 17799*/    OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::MADD_F32x4),
                  /*MVT::v4f32*/116, 3/*#Ops*/, 2, 0, 1, 
              // Src: (fadd:{ *:[v4f32] } (fmul:{ *:[v4f32] } V128:{ *:[v4f32] }:$b, V128:{ *:[v4f32] }:$c)<<P:Predicate_fmul_contract>>, V128:{ *:[v4f32] }:$a)<<P:Predicate_fadd_contract>> - Complexity = 8
              // Dst: (MADD_F32x4:{ *:[v4f32] } V128:{ *:[v4f32] }:$a, V128:{ *:[v4f32] }:$b, V128:{ *:[v4f32] }:$c)
/* 17807*/   /*SwitchType*/ 10, /*MVT::v2f64*/6|128,1/*134*/, // ->17820
/* 17810*/    OPC_CheckPatternPredicate7, // (Subtarget->hasRelaxedSIMD())
/* 17811*/    OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::MADD_F64x2),
                  /*MVT::v2f64*/6|128,1/*134*/, 3/*#Ops*/, 2, 0, 1, 
              // Src: (fadd:{ *:[v2f64] } (fmul:{ *:[v2f64] } V128:{ *:[v2f64] }:$b, V128:{ *:[v2f64] }:$c)<<P:Predicate_fmul_contract>>, V128:{ *:[v2f64] }:$a)<<P:Predicate_fadd_contract>> - Complexity = 8
              // Dst: (MADD_F64x2:{ *:[v2f64] } V128:{ *:[v2f64] }:$a, V128:{ *:[v2f64] }:$b, V128:{ *:[v2f64] }:$c)
/* 17820*/   /*SwitchType*/ 9, /*MVT::v8f16*/95, // ->17831
/* 17822*/    OPC_CheckPatternPredicate7, // (Subtarget->hasRelaxedSIMD())
/* 17823*/    OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::MADD_F16x8),
                  /*MVT::v8f16*/95, 3/*#Ops*/, 2, 0, 1, 
              // Src: (fadd:{ *:[v8f16] } (fmul:{ *:[v8f16] } V128:{ *:[v8f16] }:$b, V128:{ *:[v8f16] }:$c)<<P:Predicate_fmul_contract>>, V128:{ *:[v8f16] }:$a)<<P:Predicate_fadd_contract>> - Complexity = 8
              // Dst: (MADD_F16x8:{ *:[v8f16] } V128:{ *:[v8f16] }:$a, V128:{ *:[v8f16] }:$b, V128:{ *:[v8f16] }:$c)
/* 17831*/   0, // EndSwitchType
/* 17832*/  /*Scope*/ 36, /*->17869*/
/* 17833*/   OPC_RecordChild0, // #0 = $lhs
/* 17834*/   OPC_RecordChild1, // #1 = $rhs
/* 17835*/   OPC_SwitchType /*3 cases */, 8, /*MVT::v4f32*/116, // ->17846
/* 17838*/    OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/* 17839*/    OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::ADD_F32x4),
                  /*MVT::v4f32*/116, 2/*#Ops*/, 0, 1, 
              // Src: (fadd:{ *:[v4f32] } V128:{ *:[v4f32] }:$lhs, V128:{ *:[v4f32] }:$rhs) - Complexity = 3
              // Dst: (ADD_F32x4:{ *:[v4f32] } V128:{ *:[v4f32] }:$lhs, V128:{ *:[v4f32] }:$rhs)
/* 17846*/   /*SwitchType*/ 9, /*MVT::v2f64*/6|128,1/*134*/, // ->17858
/* 17849*/    OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/* 17850*/    OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::ADD_F64x2),
                  /*MVT::v2f64*/6|128,1/*134*/, 2/*#Ops*/, 0, 1, 
              // Src: (fadd:{ *:[v2f64] } V128:{ *:[v2f64] }:$lhs, V128:{ *:[v2f64] }:$rhs) - Complexity = 3
              // Dst: (ADD_F64x2:{ *:[v2f64] } V128:{ *:[v2f64] }:$lhs, V128:{ *:[v2f64] }:$rhs)
/* 17858*/   /*SwitchType*/ 8, /*MVT::v8f16*/95, // ->17868
/* 17860*/    OPC_CheckPatternPredicate5, // (Subtarget->hasFP16()) && (Subtarget->hasSIMD128())
/* 17861*/    OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::ADD_F16x8),
                  /*MVT::v8f16*/95, 2/*#Ops*/, 0, 1, 
              // Src: (fadd:{ *:[v8f16] } V128:{ *:[v8f16] }:$lhs, V128:{ *:[v8f16] }:$rhs) - Complexity = 3
              // Dst: (ADD_F16x8:{ *:[v8f16] } V128:{ *:[v8f16] }:$lhs, V128:{ *:[v8f16] }:$rhs)
/* 17868*/   0, // EndSwitchType
/* 17869*/  0, /*End of Scope*/
/* 17870*/ /*SwitchOpcode*/ 54, TARGET_VAL(ISD::FSUB),// ->17927
/* 17873*/  OPC_RecordChild0, // #0 = $lhs
/* 17874*/  OPC_RecordChild1, // #1 = $rhs
/* 17875*/  OPC_SwitchType /*5 cases */, 7, /*MVT::f32*/12, // ->17885
/* 17878*/   OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::SUB_F32),
                 /*MVT::f32*/12, 2/*#Ops*/, 0, 1, 
             // Src: (fsub:{ *:[f32] } F32:{ *:[f32] }:$lhs, F32:{ *:[f32] }:$rhs) - Complexity = 3
             // Dst: (SUB_F32:{ *:[f32] } F32:{ *:[f32] }:$lhs, F32:{ *:[f32] }:$rhs)
/* 17885*/  /*SwitchType*/ 7, /*MVT::f64*/13, // ->17894
/* 17887*/   OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::SUB_F64),
                 /*MVT::f64*/13, 2/*#Ops*/, 0, 1, 
             // Src: (fsub:{ *:[f64] } F64:{ *:[f64] }:$lhs, F64:{ *:[f64] }:$rhs) - Complexity = 3
             // Dst: (SUB_F64:{ *:[f64] } F64:{ *:[f64] }:$lhs, F64:{ *:[f64] }:$rhs)
/* 17894*/  /*SwitchType*/ 8, /*MVT::v4f32*/116, // ->17904
/* 17896*/   OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/* 17897*/   OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::SUB_F32x4),
                 /*MVT::v4f32*/116, 2/*#Ops*/, 0, 1, 
             // Src: (fsub:{ *:[v4f32] } V128:{ *:[v4f32] }:$lhs, V128:{ *:[v4f32] }:$rhs) - Complexity = 3
             // Dst: (SUB_F32x4:{ *:[v4f32] } V128:{ *:[v4f32] }:$lhs, V128:{ *:[v4f32] }:$rhs)
/* 17904*/  /*SwitchType*/ 9, /*MVT::v2f64*/6|128,1/*134*/, // ->17916
/* 17907*/   OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/* 17908*/   OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::SUB_F64x2),
                 /*MVT::v2f64*/6|128,1/*134*/, 2/*#Ops*/, 0, 1, 
             // Src: (fsub:{ *:[v2f64] } V128:{ *:[v2f64] }:$lhs, V128:{ *:[v2f64] }:$rhs) - Complexity = 3
             // Dst: (SUB_F64x2:{ *:[v2f64] } V128:{ *:[v2f64] }:$lhs, V128:{ *:[v2f64] }:$rhs)
/* 17916*/  /*SwitchType*/ 8, /*MVT::v8f16*/95, // ->17926
/* 17918*/   OPC_CheckPatternPredicate5, // (Subtarget->hasFP16()) && (Subtarget->hasSIMD128())
/* 17919*/   OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::SUB_F16x8),
                 /*MVT::v8f16*/95, 2/*#Ops*/, 0, 1, 
             // Src: (fsub:{ *:[v8f16] } V128:{ *:[v8f16] }:$lhs, V128:{ *:[v8f16] }:$rhs) - Complexity = 3
             // Dst: (SUB_F16x8:{ *:[v8f16] } V128:{ *:[v8f16] }:$lhs, V128:{ *:[v8f16] }:$rhs)
/* 17926*/  0, // EndSwitchType
/* 17927*/ /*SwitchOpcode*/ 54, TARGET_VAL(ISD::FMUL),// ->17984
/* 17930*/  OPC_RecordChild0, // #0 = $lhs
/* 17931*/  OPC_RecordChild1, // #1 = $rhs
/* 17932*/  OPC_SwitchType /*5 cases */, 7, /*MVT::f32*/12, // ->17942
/* 17935*/   OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::MUL_F32),
                 /*MVT::f32*/12, 2/*#Ops*/, 0, 1, 
             // Src: (fmul:{ *:[f32] } F32:{ *:[f32] }:$lhs, F32:{ *:[f32] }:$rhs) - Complexity = 3
             // Dst: (MUL_F32:{ *:[f32] } F32:{ *:[f32] }:$lhs, F32:{ *:[f32] }:$rhs)
/* 17942*/  /*SwitchType*/ 7, /*MVT::f64*/13, // ->17951
/* 17944*/   OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::MUL_F64),
                 /*MVT::f64*/13, 2/*#Ops*/, 0, 1, 
             // Src: (fmul:{ *:[f64] } F64:{ *:[f64] }:$lhs, F64:{ *:[f64] }:$rhs) - Complexity = 3
             // Dst: (MUL_F64:{ *:[f64] } F64:{ *:[f64] }:$lhs, F64:{ *:[f64] }:$rhs)
/* 17951*/  /*SwitchType*/ 8, /*MVT::v4f32*/116, // ->17961
/* 17953*/   OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/* 17954*/   OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::MUL_F32x4),
                 /*MVT::v4f32*/116, 2/*#Ops*/, 0, 1, 
             // Src: (fmul:{ *:[v4f32] } V128:{ *:[v4f32] }:$lhs, V128:{ *:[v4f32] }:$rhs) - Complexity = 3
             // Dst: (MUL_F32x4:{ *:[v4f32] } V128:{ *:[v4f32] }:$lhs, V128:{ *:[v4f32] }:$rhs)
/* 17961*/  /*SwitchType*/ 9, /*MVT::v2f64*/6|128,1/*134*/, // ->17973
/* 17964*/   OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/* 17965*/   OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::MUL_F64x2),
                 /*MVT::v2f64*/6|128,1/*134*/, 2/*#Ops*/, 0, 1, 
             // Src: (fmul:{ *:[v2f64] } V128:{ *:[v2f64] }:$lhs, V128:{ *:[v2f64] }:$rhs) - Complexity = 3
             // Dst: (MUL_F64x2:{ *:[v2f64] } V128:{ *:[v2f64] }:$lhs, V128:{ *:[v2f64] }:$rhs)
/* 17973*/  /*SwitchType*/ 8, /*MVT::v8f16*/95, // ->17983
/* 17975*/   OPC_CheckPatternPredicate5, // (Subtarget->hasFP16()) && (Subtarget->hasSIMD128())
/* 17976*/   OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::MUL_F16x8),
                 /*MVT::v8f16*/95, 2/*#Ops*/, 0, 1, 
             // Src: (fmul:{ *:[v8f16] } V128:{ *:[v8f16] }:$lhs, V128:{ *:[v8f16] }:$rhs) - Complexity = 3
             // Dst: (MUL_F16x8:{ *:[v8f16] } V128:{ *:[v8f16] }:$lhs, V128:{ *:[v8f16] }:$rhs)
/* 17983*/  0, // EndSwitchType
/* 17984*/ /*SwitchOpcode*/ 54, TARGET_VAL(ISD::FDIV),// ->18041
/* 17987*/  OPC_RecordChild0, // #0 = $lhs
/* 17988*/  OPC_RecordChild1, // #1 = $rhs
/* 17989*/  OPC_SwitchType /*5 cases */, 7, /*MVT::f32*/12, // ->17999
/* 17992*/   OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::DIV_F32),
                 /*MVT::f32*/12, 2/*#Ops*/, 0, 1, 
             // Src: (fdiv:{ *:[f32] } F32:{ *:[f32] }:$lhs, F32:{ *:[f32] }:$rhs) - Complexity = 3
             // Dst: (DIV_F32:{ *:[f32] } F32:{ *:[f32] }:$lhs, F32:{ *:[f32] }:$rhs)
/* 17999*/  /*SwitchType*/ 7, /*MVT::f64*/13, // ->18008
/* 18001*/   OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::DIV_F64),
                 /*MVT::f64*/13, 2/*#Ops*/, 0, 1, 
             // Src: (fdiv:{ *:[f64] } F64:{ *:[f64] }:$lhs, F64:{ *:[f64] }:$rhs) - Complexity = 3
             // Dst: (DIV_F64:{ *:[f64] } F64:{ *:[f64] }:$lhs, F64:{ *:[f64] }:$rhs)
/* 18008*/  /*SwitchType*/ 8, /*MVT::v4f32*/116, // ->18018
/* 18010*/   OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/* 18011*/   OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::DIV_F32x4),
                 /*MVT::v4f32*/116, 2/*#Ops*/, 0, 1, 
             // Src: (fdiv:{ *:[v4f32] } V128:{ *:[v4f32] }:$lhs, V128:{ *:[v4f32] }:$rhs) - Complexity = 3
             // Dst: (DIV_F32x4:{ *:[v4f32] } V128:{ *:[v4f32] }:$lhs, V128:{ *:[v4f32] }:$rhs)
/* 18018*/  /*SwitchType*/ 9, /*MVT::v2f64*/6|128,1/*134*/, // ->18030
/* 18021*/   OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/* 18022*/   OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::DIV_F64x2),
                 /*MVT::v2f64*/6|128,1/*134*/, 2/*#Ops*/, 0, 1, 
             // Src: (fdiv:{ *:[v2f64] } V128:{ *:[v2f64] }:$lhs, V128:{ *:[v2f64] }:$rhs) - Complexity = 3
             // Dst: (DIV_F64x2:{ *:[v2f64] } V128:{ *:[v2f64] }:$lhs, V128:{ *:[v2f64] }:$rhs)
/* 18030*/  /*SwitchType*/ 8, /*MVT::v8f16*/95, // ->18040
/* 18032*/   OPC_CheckPatternPredicate5, // (Subtarget->hasFP16()) && (Subtarget->hasSIMD128())
/* 18033*/   OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::DIV_F16x8),
                 /*MVT::v8f16*/95, 2/*#Ops*/, 0, 1, 
             // Src: (fdiv:{ *:[v8f16] } V128:{ *:[v8f16] }:$lhs, V128:{ *:[v8f16] }:$rhs) - Complexity = 3
             // Dst: (DIV_F16x8:{ *:[v8f16] } V128:{ *:[v8f16] }:$lhs, V128:{ *:[v8f16] }:$rhs)
/* 18040*/  0, // EndSwitchType
/* 18041*/ /*SwitchOpcode*/ 48, TARGET_VAL(ISD::FSQRT),// ->18092
/* 18044*/  OPC_RecordChild0, // #0 = $src
/* 18045*/  OPC_SwitchType /*5 cases */, 6, /*MVT::f32*/12, // ->18054
/* 18048*/   OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::SQRT_F32),
                 /*MVT::f32*/12, 1/*#Ops*/, 0, 
             // Src: (fsqrt:{ *:[f32] } F32:{ *:[f32] }:$src) - Complexity = 3
             // Dst: (SQRT_F32:{ *:[f32] } F32:{ *:[f32] }:$src)
/* 18054*/  /*SwitchType*/ 6, /*MVT::f64*/13, // ->18062
/* 18056*/   OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::SQRT_F64),
                 /*MVT::f64*/13, 1/*#Ops*/, 0, 
             // Src: (fsqrt:{ *:[f64] } F64:{ *:[f64] }:$src) - Complexity = 3
             // Dst: (SQRT_F64:{ *:[f64] } F64:{ *:[f64] }:$src)
/* 18062*/  /*SwitchType*/ 7, /*MVT::v4f32*/116, // ->18071
/* 18064*/   OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/* 18065*/   OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::SQRT_F32x4),
                 /*MVT::v4f32*/116, 1/*#Ops*/, 0, 
             // Src: (fsqrt:{ *:[v4f32] } V128:{ *:[v4f32] }:$v) - Complexity = 3
             // Dst: (SQRT_F32x4:{ *:[v4f32] } V128:{ *:[v4f32] }:$v)
/* 18071*/  /*SwitchType*/ 8, /*MVT::v2f64*/6|128,1/*134*/, // ->18082
/* 18074*/   OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/* 18075*/   OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::SQRT_F64x2),
                 /*MVT::v2f64*/6|128,1/*134*/, 1/*#Ops*/, 0, 
             // Src: (fsqrt:{ *:[v2f64] } V128:{ *:[v2f64] }:$v) - Complexity = 3
             // Dst: (SQRT_F64x2:{ *:[v2f64] } V128:{ *:[v2f64] }:$v)
/* 18082*/  /*SwitchType*/ 7, /*MVT::v8f16*/95, // ->18091
/* 18084*/   OPC_CheckPatternPredicate5, // (Subtarget->hasFP16()) && (Subtarget->hasSIMD128())
/* 18085*/   OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::SQRT_F16x8),
                 /*MVT::v8f16*/95, 1/*#Ops*/, 0, 
             // Src: (fsqrt:{ *:[v8f16] } V128:{ *:[v8f16] }:$v) - Complexity = 3
             // Dst: (SQRT_F16x8:{ *:[v8f16] } V128:{ *:[v8f16] }:$v)
/* 18091*/  0, // EndSwitchType
/* 18092*/ /*SwitchOpcode*/ 48, TARGET_VAL(ISD::FABS),// ->18143
/* 18095*/  OPC_RecordChild0, // #0 = $src
/* 18096*/  OPC_SwitchType /*5 cases */, 6, /*MVT::f32*/12, // ->18105
/* 18099*/   OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::ABS_F32),
                 /*MVT::f32*/12, 1/*#Ops*/, 0, 
             // Src: (fabs:{ *:[f32] } F32:{ *:[f32] }:$src) - Complexity = 3
             // Dst: (ABS_F32:{ *:[f32] } F32:{ *:[f32] }:$src)
/* 18105*/  /*SwitchType*/ 6, /*MVT::f64*/13, // ->18113
/* 18107*/   OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::ABS_F64),
                 /*MVT::f64*/13, 1/*#Ops*/, 0, 
             // Src: (fabs:{ *:[f64] } F64:{ *:[f64] }:$src) - Complexity = 3
             // Dst: (ABS_F64:{ *:[f64] } F64:{ *:[f64] }:$src)
/* 18113*/  /*SwitchType*/ 7, /*MVT::v4f32*/116, // ->18122
/* 18115*/   OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/* 18116*/   OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::ABS_F32x4),
                 /*MVT::v4f32*/116, 1/*#Ops*/, 0, 
             // Src: (fabs:{ *:[v4f32] } V128:{ *:[v4f32] }:$v) - Complexity = 3
             // Dst: (ABS_F32x4:{ *:[v4f32] } V128:{ *:[v4f32] }:$v)
/* 18122*/  /*SwitchType*/ 8, /*MVT::v2f64*/6|128,1/*134*/, // ->18133
/* 18125*/   OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/* 18126*/   OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::ABS_F64x2),
                 /*MVT::v2f64*/6|128,1/*134*/, 1/*#Ops*/, 0, 
             // Src: (fabs:{ *:[v2f64] } V128:{ *:[v2f64] }:$v) - Complexity = 3
             // Dst: (ABS_F64x2:{ *:[v2f64] } V128:{ *:[v2f64] }:$v)
/* 18133*/  /*SwitchType*/ 7, /*MVT::v8f16*/95, // ->18142
/* 18135*/   OPC_CheckPatternPredicate5, // (Subtarget->hasFP16()) && (Subtarget->hasSIMD128())
/* 18136*/   OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::ABS_F16x8),
                 /*MVT::v8f16*/95, 1/*#Ops*/, 0, 
             // Src: (fabs:{ *:[v8f16] } V128:{ *:[v8f16] }:$v) - Complexity = 3
             // Dst: (ABS_F16x8:{ *:[v8f16] } V128:{ *:[v8f16] }:$v)
/* 18142*/  0, // EndSwitchType
/* 18143*/ /*SwitchOpcode*/ 48, TARGET_VAL(ISD::FNEG),// ->18194
/* 18146*/  OPC_RecordChild0, // #0 = $src
/* 18147*/  OPC_SwitchType /*5 cases */, 6, /*MVT::f32*/12, // ->18156
/* 18150*/   OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::NEG_F32),
                 /*MVT::f32*/12, 1/*#Ops*/, 0, 
             // Src: (fneg:{ *:[f32] } F32:{ *:[f32] }:$src) - Complexity = 3
             // Dst: (NEG_F32:{ *:[f32] } F32:{ *:[f32] }:$src)
/* 18156*/  /*SwitchType*/ 6, /*MVT::f64*/13, // ->18164
/* 18158*/   OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::NEG_F64),
                 /*MVT::f64*/13, 1/*#Ops*/, 0, 
             // Src: (fneg:{ *:[f64] } F64:{ *:[f64] }:$src) - Complexity = 3
             // Dst: (NEG_F64:{ *:[f64] } F64:{ *:[f64] }:$src)
/* 18164*/  /*SwitchType*/ 7, /*MVT::v4f32*/116, // ->18173
/* 18166*/   OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/* 18167*/   OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::NEG_F32x4),
                 /*MVT::v4f32*/116, 1/*#Ops*/, 0, 
             // Src: (fneg:{ *:[v4f32] } V128:{ *:[v4f32] }:$v) - Complexity = 3
             // Dst: (NEG_F32x4:{ *:[v4f32] } V128:{ *:[v4f32] }:$v)
/* 18173*/  /*SwitchType*/ 8, /*MVT::v2f64*/6|128,1/*134*/, // ->18184
/* 18176*/   OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/* 18177*/   OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::NEG_F64x2),
                 /*MVT::v2f64*/6|128,1/*134*/, 1/*#Ops*/, 0, 
             // Src: (fneg:{ *:[v2f64] } V128:{ *:[v2f64] }:$v) - Complexity = 3
             // Dst: (NEG_F64x2:{ *:[v2f64] } V128:{ *:[v2f64] }:$v)
/* 18184*/  /*SwitchType*/ 7, /*MVT::v8f16*/95, // ->18193
/* 18186*/   OPC_CheckPatternPredicate5, // (Subtarget->hasFP16()) && (Subtarget->hasSIMD128())
/* 18187*/   OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::NEG_F16x8),
                 /*MVT::v8f16*/95, 1/*#Ops*/, 0, 
             // Src: (fneg:{ *:[v8f16] } V128:{ *:[v8f16] }:$v) - Complexity = 3
             // Dst: (NEG_F16x8:{ *:[v8f16] } V128:{ *:[v8f16] }:$v)
/* 18193*/  0, // EndSwitchType
/* 18194*/ /*SwitchOpcode*/ 62, TARGET_VAL(ISD::FCOPYSIGN),// ->18259
/* 18197*/  OPC_RecordChild0, // #0 = $lhs
/* 18198*/  OPC_RecordChild1, // #1 = $rhs
/* 18199*/  OPC_Scope, 28, /*->18229*/ // 2 children in Scope
/* 18201*/   OPC_CheckChild1Type, /*MVT::f32*/12, 
/* 18203*/   OPC_SwitchType /*2 cases */, 7, /*MVT::f32*/12, // ->18213
/* 18206*/    OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::COPYSIGN_F32),
                  /*MVT::f32*/12, 2/*#Ops*/, 0, 1, 
              // Src: (fcopysign:{ *:[f32] } F32:{ *:[f32] }:$lhs, F32:{ *:[f32] }:$rhs) - Complexity = 3
              // Dst: (COPYSIGN_F32:{ *:[f32] } F32:{ *:[f32] }:$lhs, F32:{ *:[f32] }:$rhs)
/* 18213*/   /*SwitchType*/ 13, /*MVT::f64*/13, // ->18228
/* 18215*/    OPC_EmitNode1None, TARGET_VAL(WebAssembly::F64_PROMOTE_F32),
                  /*MVT::f64*/13, 1/*#Ops*/, 1,  // Results = #2
/* 18221*/    OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::COPYSIGN_F64),
                  /*MVT::f64*/13, 2/*#Ops*/, 0, 2, 
              // Src: (fcopysign:{ *:[f64] } F64:{ *:[f64] }:$lhs, F32:{ *:[f32] }:$rhs) - Complexity = 3
              // Dst: (COPYSIGN_F64:{ *:[f64] } F64:{ *:[f64] }:$lhs, (F64_PROMOTE_F32:{ *:[f64] } F32:{ *:[f32] }:$rhs))
/* 18228*/   0, // EndSwitchType
/* 18229*/  /*Scope*/ 28, /*->18258*/
/* 18230*/   OPC_CheckChild1Type, /*MVT::f64*/13, 
/* 18232*/   OPC_SwitchType /*2 cases */, 7, /*MVT::f64*/13, // ->18242
/* 18235*/    OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::COPYSIGN_F64),
                  /*MVT::f64*/13, 2/*#Ops*/, 0, 1, 
              // Src: (fcopysign:{ *:[f64] } F64:{ *:[f64] }:$lhs, F64:{ *:[f64] }:$rhs) - Complexity = 3
              // Dst: (COPYSIGN_F64:{ *:[f64] } F64:{ *:[f64] }:$lhs, F64:{ *:[f64] }:$rhs)
/* 18242*/   /*SwitchType*/ 13, /*MVT::f32*/12, // ->18257
/* 18244*/    OPC_EmitNode1None, TARGET_VAL(WebAssembly::F32_DEMOTE_F64),
                  /*MVT::f32*/12, 1/*#Ops*/, 1,  // Results = #2
/* 18250*/    OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::COPYSIGN_F32),
                  /*MVT::f32*/12, 2/*#Ops*/, 0, 2, 
              // Src: (fcopysign:{ *:[f32] } F32:{ *:[f32] }:$lhs, F64:{ *:[f64] }:$rhs) - Complexity = 3
              // Dst: (COPYSIGN_F32:{ *:[f32] } F32:{ *:[f32] }:$lhs, (F32_DEMOTE_F64:{ *:[f32] } F64:{ *:[f64] }:$rhs))
/* 18257*/   0, // EndSwitchType
/* 18258*/  0, /*End of Scope*/
/* 18259*/ /*SwitchOpcode*/ 54, TARGET_VAL(ISD::FMINIMUM),// ->18316
/* 18262*/  OPC_RecordChild0, // #0 = $lhs
/* 18263*/  OPC_RecordChild1, // #1 = $rhs
/* 18264*/  OPC_SwitchType /*5 cases */, 7, /*MVT::f32*/12, // ->18274
/* 18267*/   OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::MIN_F32),
                 /*MVT::f32*/12, 2/*#Ops*/, 0, 1, 
             // Src: (fminimum:{ *:[f32] } F32:{ *:[f32] }:$lhs, F32:{ *:[f32] }:$rhs) - Complexity = 3
             // Dst: (MIN_F32:{ *:[f32] } F32:{ *:[f32] }:$lhs, F32:{ *:[f32] }:$rhs)
/* 18274*/  /*SwitchType*/ 7, /*MVT::f64*/13, // ->18283
/* 18276*/   OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::MIN_F64),
                 /*MVT::f64*/13, 2/*#Ops*/, 0, 1, 
             // Src: (fminimum:{ *:[f64] } F64:{ *:[f64] }:$lhs, F64:{ *:[f64] }:$rhs) - Complexity = 3
             // Dst: (MIN_F64:{ *:[f64] } F64:{ *:[f64] }:$lhs, F64:{ *:[f64] }:$rhs)
/* 18283*/  /*SwitchType*/ 8, /*MVT::v4f32*/116, // ->18293
/* 18285*/   OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/* 18286*/   OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::MIN_F32x4),
                 /*MVT::v4f32*/116, 2/*#Ops*/, 0, 1, 
             // Src: (fminimum:{ *:[v4f32] } V128:{ *:[v4f32] }:$lhs, V128:{ *:[v4f32] }:$rhs) - Complexity = 3
             // Dst: (MIN_F32x4:{ *:[v4f32] } V128:{ *:[v4f32] }:$lhs, V128:{ *:[v4f32] }:$rhs)
/* 18293*/  /*SwitchType*/ 9, /*MVT::v2f64*/6|128,1/*134*/, // ->18305
/* 18296*/   OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/* 18297*/   OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::MIN_F64x2),
                 /*MVT::v2f64*/6|128,1/*134*/, 2/*#Ops*/, 0, 1, 
             // Src: (fminimum:{ *:[v2f64] } V128:{ *:[v2f64] }:$lhs, V128:{ *:[v2f64] }:$rhs) - Complexity = 3
             // Dst: (MIN_F64x2:{ *:[v2f64] } V128:{ *:[v2f64] }:$lhs, V128:{ *:[v2f64] }:$rhs)
/* 18305*/  /*SwitchType*/ 8, /*MVT::v8f16*/95, // ->18315
/* 18307*/   OPC_CheckPatternPredicate5, // (Subtarget->hasFP16()) && (Subtarget->hasSIMD128())
/* 18308*/   OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::MIN_F16x8),
                 /*MVT::v8f16*/95, 2/*#Ops*/, 0, 1, 
             // Src: (fminimum:{ *:[v8f16] } V128:{ *:[v8f16] }:$lhs, V128:{ *:[v8f16] }:$rhs) - Complexity = 3
             // Dst: (MIN_F16x8:{ *:[v8f16] } V128:{ *:[v8f16] }:$lhs, V128:{ *:[v8f16] }:$rhs)
/* 18315*/  0, // EndSwitchType
/* 18316*/ /*SwitchOpcode*/ 54, TARGET_VAL(ISD::FMAXIMUM),// ->18373
/* 18319*/  OPC_RecordChild0, // #0 = $lhs
/* 18320*/  OPC_RecordChild1, // #1 = $rhs
/* 18321*/  OPC_SwitchType /*5 cases */, 7, /*MVT::f32*/12, // ->18331
/* 18324*/   OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::MAX_F32),
                 /*MVT::f32*/12, 2/*#Ops*/, 0, 1, 
             // Src: (fmaximum:{ *:[f32] } F32:{ *:[f32] }:$lhs, F32:{ *:[f32] }:$rhs) - Complexity = 3
             // Dst: (MAX_F32:{ *:[f32] } F32:{ *:[f32] }:$lhs, F32:{ *:[f32] }:$rhs)
/* 18331*/  /*SwitchType*/ 7, /*MVT::f64*/13, // ->18340
/* 18333*/   OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::MAX_F64),
                 /*MVT::f64*/13, 2/*#Ops*/, 0, 1, 
             // Src: (fmaximum:{ *:[f64] } F64:{ *:[f64] }:$lhs, F64:{ *:[f64] }:$rhs) - Complexity = 3
             // Dst: (MAX_F64:{ *:[f64] } F64:{ *:[f64] }:$lhs, F64:{ *:[f64] }:$rhs)
/* 18340*/  /*SwitchType*/ 8, /*MVT::v4f32*/116, // ->18350
/* 18342*/   OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/* 18343*/   OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::MAX_F32x4),
                 /*MVT::v4f32*/116, 2/*#Ops*/, 0, 1, 
             // Src: (fmaximum:{ *:[v4f32] } V128:{ *:[v4f32] }:$lhs, V128:{ *:[v4f32] }:$rhs) - Complexity = 3
             // Dst: (MAX_F32x4:{ *:[v4f32] } V128:{ *:[v4f32] }:$lhs, V128:{ *:[v4f32] }:$rhs)
/* 18350*/  /*SwitchType*/ 9, /*MVT::v2f64*/6|128,1/*134*/, // ->18362
/* 18353*/   OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/* 18354*/   OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::MAX_F64x2),
                 /*MVT::v2f64*/6|128,1/*134*/, 2/*#Ops*/, 0, 1, 
             // Src: (fmaximum:{ *:[v2f64] } V128:{ *:[v2f64] }:$lhs, V128:{ *:[v2f64] }:$rhs) - Complexity = 3
             // Dst: (MAX_F64x2:{ *:[v2f64] } V128:{ *:[v2f64] }:$lhs, V128:{ *:[v2f64] }:$rhs)
/* 18362*/  /*SwitchType*/ 8, /*MVT::v8f16*/95, // ->18372
/* 18364*/   OPC_CheckPatternPredicate5, // (Subtarget->hasFP16()) && (Subtarget->hasSIMD128())
/* 18365*/   OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::MAX_F16x8),
                 /*MVT::v8f16*/95, 2/*#Ops*/, 0, 1, 
             // Src: (fmaximum:{ *:[v8f16] } V128:{ *:[v8f16] }:$lhs, V128:{ *:[v8f16] }:$rhs) - Complexity = 3
             // Dst: (MAX_F16x8:{ *:[v8f16] } V128:{ *:[v8f16] }:$lhs, V128:{ *:[v8f16] }:$rhs)
/* 18372*/  0, // EndSwitchType
/* 18373*/ /*SwitchOpcode*/ 48, TARGET_VAL(ISD::FCEIL),// ->18424
/* 18376*/  OPC_RecordChild0, // #0 = $src
/* 18377*/  OPC_SwitchType /*5 cases */, 6, /*MVT::f32*/12, // ->18386
/* 18380*/   OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::CEIL_F32),
                 /*MVT::f32*/12, 1/*#Ops*/, 0, 
             // Src: (fceil:{ *:[f32] } F32:{ *:[f32] }:$src) - Complexity = 3
             // Dst: (CEIL_F32:{ *:[f32] } F32:{ *:[f32] }:$src)
/* 18386*/  /*SwitchType*/ 6, /*MVT::f64*/13, // ->18394
/* 18388*/   OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::CEIL_F64),
                 /*MVT::f64*/13, 1/*#Ops*/, 0, 
             // Src: (fceil:{ *:[f64] } F64:{ *:[f64] }:$src) - Complexity = 3
             // Dst: (CEIL_F64:{ *:[f64] } F64:{ *:[f64] }:$src)
/* 18394*/  /*SwitchType*/ 7, /*MVT::v4f32*/116, // ->18403
/* 18396*/   OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/* 18397*/   OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::CEIL_F32x4),
                 /*MVT::v4f32*/116, 1/*#Ops*/, 0, 
             // Src: (fceil:{ *:[v4f32] } V128:{ *:[v4f32] }:$v) - Complexity = 3
             // Dst: (CEIL_F32x4:{ *:[v4f32] } V128:{ *:[v4f32] }:$v)
/* 18403*/  /*SwitchType*/ 8, /*MVT::v2f64*/6|128,1/*134*/, // ->18414
/* 18406*/   OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/* 18407*/   OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::CEIL_F64x2),
                 /*MVT::v2f64*/6|128,1/*134*/, 1/*#Ops*/, 0, 
             // Src: (fceil:{ *:[v2f64] } V128:{ *:[v2f64] }:$v) - Complexity = 3
             // Dst: (CEIL_F64x2:{ *:[v2f64] } V128:{ *:[v2f64] }:$v)
/* 18414*/  /*SwitchType*/ 7, /*MVT::v8f16*/95, // ->18423
/* 18416*/   OPC_CheckPatternPredicate5, // (Subtarget->hasFP16()) && (Subtarget->hasSIMD128())
/* 18417*/   OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::CEIL_F16x8),
                 /*MVT::v8f16*/95, 1/*#Ops*/, 0, 
             // Src: (fceil:{ *:[v8f16] } V128:{ *:[v8f16] }:$v) - Complexity = 3
             // Dst: (CEIL_F16x8:{ *:[v8f16] } V128:{ *:[v8f16] }:$v)
/* 18423*/  0, // EndSwitchType
/* 18424*/ /*SwitchOpcode*/ 48, TARGET_VAL(ISD::FFLOOR),// ->18475
/* 18427*/  OPC_RecordChild0, // #0 = $src
/* 18428*/  OPC_SwitchType /*5 cases */, 6, /*MVT::f32*/12, // ->18437
/* 18431*/   OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::FLOOR_F32),
                 /*MVT::f32*/12, 1/*#Ops*/, 0, 
             // Src: (ffloor:{ *:[f32] } F32:{ *:[f32] }:$src) - Complexity = 3
             // Dst: (FLOOR_F32:{ *:[f32] } F32:{ *:[f32] }:$src)
/* 18437*/  /*SwitchType*/ 6, /*MVT::f64*/13, // ->18445
/* 18439*/   OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::FLOOR_F64),
                 /*MVT::f64*/13, 1/*#Ops*/, 0, 
             // Src: (ffloor:{ *:[f64] } F64:{ *:[f64] }:$src) - Complexity = 3
             // Dst: (FLOOR_F64:{ *:[f64] } F64:{ *:[f64] }:$src)
/* 18445*/  /*SwitchType*/ 7, /*MVT::v4f32*/116, // ->18454
/* 18447*/   OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/* 18448*/   OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::FLOOR_F32x4),
                 /*MVT::v4f32*/116, 1/*#Ops*/, 0, 
             // Src: (ffloor:{ *:[v4f32] } V128:{ *:[v4f32] }:$v) - Complexity = 3
             // Dst: (FLOOR_F32x4:{ *:[v4f32] } V128:{ *:[v4f32] }:$v)
/* 18454*/  /*SwitchType*/ 8, /*MVT::v2f64*/6|128,1/*134*/, // ->18465
/* 18457*/   OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/* 18458*/   OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::FLOOR_F64x2),
                 /*MVT::v2f64*/6|128,1/*134*/, 1/*#Ops*/, 0, 
             // Src: (ffloor:{ *:[v2f64] } V128:{ *:[v2f64] }:$v) - Complexity = 3
             // Dst: (FLOOR_F64x2:{ *:[v2f64] } V128:{ *:[v2f64] }:$v)
/* 18465*/  /*SwitchType*/ 7, /*MVT::v8f16*/95, // ->18474
/* 18467*/   OPC_CheckPatternPredicate5, // (Subtarget->hasFP16()) && (Subtarget->hasSIMD128())
/* 18468*/   OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::FLOOR_F16x8),
                 /*MVT::v8f16*/95, 1/*#Ops*/, 0, 
             // Src: (ffloor:{ *:[v8f16] } V128:{ *:[v8f16] }:$v) - Complexity = 3
             // Dst: (FLOOR_F16x8:{ *:[v8f16] } V128:{ *:[v8f16] }:$v)
/* 18474*/  0, // EndSwitchType
/* 18475*/ /*SwitchOpcode*/ 48, TARGET_VAL(ISD::FTRUNC),// ->18526
/* 18478*/  OPC_RecordChild0, // #0 = $src
/* 18479*/  OPC_SwitchType /*5 cases */, 6, /*MVT::f32*/12, // ->18488
/* 18482*/   OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::TRUNC_F32),
                 /*MVT::f32*/12, 1/*#Ops*/, 0, 
             // Src: (ftrunc:{ *:[f32] } F32:{ *:[f32] }:$src) - Complexity = 3
             // Dst: (TRUNC_F32:{ *:[f32] } F32:{ *:[f32] }:$src)
/* 18488*/  /*SwitchType*/ 6, /*MVT::f64*/13, // ->18496
/* 18490*/   OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::TRUNC_F64),
                 /*MVT::f64*/13, 1/*#Ops*/, 0, 
             // Src: (ftrunc:{ *:[f64] } F64:{ *:[f64] }:$src) - Complexity = 3
             // Dst: (TRUNC_F64:{ *:[f64] } F64:{ *:[f64] }:$src)
/* 18496*/  /*SwitchType*/ 7, /*MVT::v4f32*/116, // ->18505
/* 18498*/   OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/* 18499*/   OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::TRUNC_F32x4),
                 /*MVT::v4f32*/116, 1/*#Ops*/, 0, 
             // Src: (ftrunc:{ *:[v4f32] } V128:{ *:[v4f32] }:$v) - Complexity = 3
             // Dst: (TRUNC_F32x4:{ *:[v4f32] } V128:{ *:[v4f32] }:$v)
/* 18505*/  /*SwitchType*/ 8, /*MVT::v2f64*/6|128,1/*134*/, // ->18516
/* 18508*/   OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/* 18509*/   OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::TRUNC_F64x2),
                 /*MVT::v2f64*/6|128,1/*134*/, 1/*#Ops*/, 0, 
             // Src: (ftrunc:{ *:[v2f64] } V128:{ *:[v2f64] }:$v) - Complexity = 3
             // Dst: (TRUNC_F64x2:{ *:[v2f64] } V128:{ *:[v2f64] }:$v)
/* 18516*/  /*SwitchType*/ 7, /*MVT::v8f16*/95, // ->18525
/* 18518*/   OPC_CheckPatternPredicate5, // (Subtarget->hasFP16()) && (Subtarget->hasSIMD128())
/* 18519*/   OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::TRUNC_F16x8),
                 /*MVT::v8f16*/95, 1/*#Ops*/, 0, 
             // Src: (ftrunc:{ *:[v8f16] } V128:{ *:[v8f16] }:$v) - Complexity = 3
             // Dst: (TRUNC_F16x8:{ *:[v8f16] } V128:{ *:[v8f16] }:$v)
/* 18525*/  0, // EndSwitchType
/* 18526*/ /*SwitchOpcode*/ 48, TARGET_VAL(ISD::FNEARBYINT),// ->18577
/* 18529*/  OPC_RecordChild0, // #0 = $src
/* 18530*/  OPC_SwitchType /*5 cases */, 6, /*MVT::f32*/12, // ->18539
/* 18533*/   OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::NEAREST_F32),
                 /*MVT::f32*/12, 1/*#Ops*/, 0, 
             // Src: (fnearbyint:{ *:[f32] } F32:{ *:[f32] }:$src) - Complexity = 3
             // Dst: (NEAREST_F32:{ *:[f32] } F32:{ *:[f32] }:$src)
/* 18539*/  /*SwitchType*/ 6, /*MVT::f64*/13, // ->18547
/* 18541*/   OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::NEAREST_F64),
                 /*MVT::f64*/13, 1/*#Ops*/, 0, 
             // Src: (fnearbyint:{ *:[f64] } F64:{ *:[f64] }:$src) - Complexity = 3
             // Dst: (NEAREST_F64:{ *:[f64] } F64:{ *:[f64] }:$src)
/* 18547*/  /*SwitchType*/ 7, /*MVT::v4f32*/116, // ->18556
/* 18549*/   OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/* 18550*/   OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::NEAREST_F32x4),
                 /*MVT::v4f32*/116, 1/*#Ops*/, 0, 
             // Src: (fnearbyint:{ *:[v4f32] } V128:{ *:[v4f32] }:$v) - Complexity = 3
             // Dst: (NEAREST_F32x4:{ *:[v4f32] } V128:{ *:[v4f32] }:$v)
/* 18556*/  /*SwitchType*/ 8, /*MVT::v2f64*/6|128,1/*134*/, // ->18567
/* 18559*/   OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/* 18560*/   OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::NEAREST_F64x2),
                 /*MVT::v2f64*/6|128,1/*134*/, 1/*#Ops*/, 0, 
             // Src: (fnearbyint:{ *:[v2f64] } V128:{ *:[v2f64] }:$v) - Complexity = 3
             // Dst: (NEAREST_F64x2:{ *:[v2f64] } V128:{ *:[v2f64] }:$v)
/* 18567*/  /*SwitchType*/ 7, /*MVT::v8f16*/95, // ->18576
/* 18569*/   OPC_CheckPatternPredicate5, // (Subtarget->hasFP16()) && (Subtarget->hasSIMD128())
/* 18570*/   OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::NEAREST_F16x8),
                 /*MVT::v8f16*/95, 1/*#Ops*/, 0, 
             // Src: (fnearbyint:{ *:[v8f16] } V128:{ *:[v8f16] }:$v) - Complexity = 3
             // Dst: (NEAREST_F16x8:{ *:[v8f16] } V128:{ *:[v8f16] }:$v)
/* 18576*/  0, // EndSwitchType
/* 18577*/ /*SwitchOpcode*/ 45, TARGET_VAL(ISD::FRINT),// ->18625
/* 18580*/  OPC_RecordChild0, // #0 = $src
/* 18581*/  OPC_SwitchType /*5 cases */, 6, /*MVT::f32*/12, // ->18590
/* 18584*/   OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::NEAREST_F32),
                 /*MVT::f32*/12, 1/*#Ops*/, 0, 
             // Src: (frint:{ *:[f32] } f32:{ *:[f32] }:$src) - Complexity = 3
             // Dst: (NEAREST_F32:{ *:[f32] } f32:{ *:[f32] }:$src)
/* 18590*/  /*SwitchType*/ 6, /*MVT::f64*/13, // ->18598
/* 18592*/   OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::NEAREST_F64),
                 /*MVT::f64*/13, 1/*#Ops*/, 0, 
             // Src: (frint:{ *:[f64] } f64:{ *:[f64] }:$src) - Complexity = 3
             // Dst: (NEAREST_F64:{ *:[f64] } f64:{ *:[f64] }:$src)
/* 18598*/  /*SwitchType*/ 6, /*MVT::v4f32*/116, // ->18606
/* 18600*/   OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::NEAREST_F32x4),
                 /*MVT::v4f32*/116, 1/*#Ops*/, 0, 
             // Src: (frint:{ *:[v4f32] } V128:{ *:[v4f32] }:$src) - Complexity = 3
             // Dst: (NEAREST_F32x4:{ *:[v4f32] } V128:{ *:[v4f32] }:$src)
/* 18606*/  /*SwitchType*/ 7, /*MVT::v2f64*/6|128,1/*134*/, // ->18616
/* 18609*/   OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::NEAREST_F64x2),
                 /*MVT::v2f64*/6|128,1/*134*/, 1/*#Ops*/, 0, 
             // Src: (frint:{ *:[v2f64] } V128:{ *:[v2f64] }:$src) - Complexity = 3
             // Dst: (NEAREST_F64x2:{ *:[v2f64] } V128:{ *:[v2f64] }:$src)
/* 18616*/  /*SwitchType*/ 6, /*MVT::v8f16*/95, // ->18624
/* 18618*/   OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::NEAREST_F16x8),
                 /*MVT::v8f16*/95, 1/*#Ops*/, 0, 
             // Src: (frint:{ *:[v8f16] } V128:{ *:[v8f16] }:$src) - Complexity = 3
             // Dst: (NEAREST_F16x8:{ *:[v8f16] } V128:{ *:[v8f16] }:$src)
/* 18624*/  0, // EndSwitchType
/* 18625*/ /*SwitchOpcode*/ 45, TARGET_VAL(ISD::FROUNDEVEN),// ->18673
/* 18628*/  OPC_RecordChild0, // #0 = $src
/* 18629*/  OPC_SwitchType /*5 cases */, 6, /*MVT::f32*/12, // ->18638
/* 18632*/   OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::NEAREST_F32),
                 /*MVT::f32*/12, 1/*#Ops*/, 0, 
             // Src: (froundeven:{ *:[f32] } f32:{ *:[f32] }:$src) - Complexity = 3
             // Dst: (NEAREST_F32:{ *:[f32] } f32:{ *:[f32] }:$src)
/* 18638*/  /*SwitchType*/ 6, /*MVT::f64*/13, // ->18646
/* 18640*/   OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::NEAREST_F64),
                 /*MVT::f64*/13, 1/*#Ops*/, 0, 
             // Src: (froundeven:{ *:[f64] } f64:{ *:[f64] }:$src) - Complexity = 3
             // Dst: (NEAREST_F64:{ *:[f64] } f64:{ *:[f64] }:$src)
/* 18646*/  /*SwitchType*/ 6, /*MVT::v4f32*/116, // ->18654
/* 18648*/   OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::NEAREST_F32x4),
                 /*MVT::v4f32*/116, 1/*#Ops*/, 0, 
             // Src: (froundeven:{ *:[v4f32] } V128:{ *:[v4f32] }:$src) - Complexity = 3
             // Dst: (NEAREST_F32x4:{ *:[v4f32] } V128:{ *:[v4f32] }:$src)
/* 18654*/  /*SwitchType*/ 7, /*MVT::v2f64*/6|128,1/*134*/, // ->18664
/* 18657*/   OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::NEAREST_F64x2),
                 /*MVT::v2f64*/6|128,1/*134*/, 1/*#Ops*/, 0, 
             // Src: (froundeven:{ *:[v2f64] } V128:{ *:[v2f64] }:$src) - Complexity = 3
             // Dst: (NEAREST_F64x2:{ *:[v2f64] } V128:{ *:[v2f64] }:$src)
/* 18664*/  /*SwitchType*/ 6, /*MVT::v8f16*/95, // ->18672
/* 18666*/   OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::NEAREST_F16x8),
                 /*MVT::v8f16*/95, 1/*#Ops*/, 0, 
             // Src: (froundeven:{ *:[v8f16] } V128:{ *:[v8f16] }:$src) - Complexity = 3
             // Dst: (NEAREST_F16x8:{ *:[v8f16] } V128:{ *:[v8f16] }:$src)
/* 18672*/  0, // EndSwitchType
/* 18673*/ /*SwitchOpcode*/ 22|128,3/*406*/, TARGET_VAL(ISD::BUILD_VECTOR),// ->19083
/* 18677*/  OPC_RecordChild0, // #0 = $i0
/* 18678*/  OPC_MoveChild0,
/* 18679*/  OPC_SwitchOpcode /*2 cases */, 73|128,2/*329*/, TARGET_VAL(ISD::Constant),// ->19013
/* 18684*/   OPC_SwitchType /*2 cases */, 47|128,2/*303*/, /*MVT::i32*/7, // ->18991
/* 18688*/    OPC_Scope, 51|128,1/*179*/, /*->18870*/ // 3 children in Scope
/* 18691*/     OPC_CheckPredicate, 9, // Predicate_ImmI8
/* 18693*/     OPC_MoveSibling1,
/* 18694*/     OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 18697*/     OPC_RecordNode, // #1 = $i1
/* 18698*/     OPC_CheckPredicate, 9, // Predicate_ImmI8
/* 18700*/     OPC_CheckTypeI32,
/* 18701*/     OPC_MoveSibling2,
/* 18702*/     OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 18705*/     OPC_RecordNode, // #2 = $i2
/* 18706*/     OPC_CheckPredicate, 9, // Predicate_ImmI8
/* 18708*/     OPC_CheckTypeI32,
/* 18709*/     OPC_MoveSibling3,
/* 18710*/     OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 18713*/     OPC_RecordNode, // #3 = $i3
/* 18714*/     OPC_CheckPredicate, 9, // Predicate_ImmI8
/* 18716*/     OPC_CheckTypeI32,
/* 18717*/     OPC_MoveSibling4,
/* 18718*/     OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 18721*/     OPC_RecordNode, // #4 = $i4
/* 18722*/     OPC_CheckPredicate, 9, // Predicate_ImmI8
/* 18724*/     OPC_CheckTypeI32,
/* 18725*/     OPC_MoveSibling5,
/* 18726*/     OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 18729*/     OPC_RecordNode, // #5 = $i5
/* 18730*/     OPC_CheckPredicate, 9, // Predicate_ImmI8
/* 18732*/     OPC_CheckTypeI32,
/* 18733*/     OPC_MoveSibling6,
/* 18734*/     OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 18737*/     OPC_RecordNode, // #6 = $i6
/* 18738*/     OPC_CheckPredicate, 9, // Predicate_ImmI8
/* 18740*/     OPC_CheckTypeI32,
/* 18741*/     OPC_MoveSibling7,
/* 18742*/     OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 18745*/     OPC_RecordNode, // #7 = $i7
/* 18746*/     OPC_CheckPredicate, 9, // Predicate_ImmI8
/* 18748*/     OPC_CheckTypeI32,
/* 18749*/     OPC_MoveSibling, 8,
/* 18751*/     OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 18754*/     OPC_RecordNode, // #8 = $i8
/* 18755*/     OPC_CheckPredicate, 9, // Predicate_ImmI8
/* 18757*/     OPC_CheckTypeI32,
/* 18758*/     OPC_MoveSibling, 9,
/* 18760*/     OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 18763*/     OPC_RecordNode, // #9 = $i9
/* 18764*/     OPC_CheckPredicate, 9, // Predicate_ImmI8
/* 18766*/     OPC_CheckTypeI32,
/* 18767*/     OPC_MoveSibling, 10,
/* 18769*/     OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 18772*/     OPC_RecordNode, // #10 = $iA
/* 18773*/     OPC_CheckPredicate, 9, // Predicate_ImmI8
/* 18775*/     OPC_CheckTypeI32,
/* 18776*/     OPC_MoveSibling, 11,
/* 18778*/     OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 18781*/     OPC_RecordNode, // #11 = $iB
/* 18782*/     OPC_CheckPredicate, 9, // Predicate_ImmI8
/* 18784*/     OPC_CheckTypeI32,
/* 18785*/     OPC_MoveSibling, 12,
/* 18787*/     OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 18790*/     OPC_RecordNode, // #12 = $iC
/* 18791*/     OPC_CheckPredicate, 9, // Predicate_ImmI8
/* 18793*/     OPC_CheckTypeI32,
/* 18794*/     OPC_MoveSibling, 13,
/* 18796*/     OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 18799*/     OPC_RecordNode, // #13 = $iD
/* 18800*/     OPC_CheckPredicate, 9, // Predicate_ImmI8
/* 18802*/     OPC_CheckTypeI32,
/* 18803*/     OPC_MoveSibling, 14,
/* 18805*/     OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 18808*/     OPC_RecordNode, // #14 = $iE
/* 18809*/     OPC_CheckPredicate, 9, // Predicate_ImmI8
/* 18811*/     OPC_CheckTypeI32,
/* 18812*/     OPC_MoveSibling, 15,
/* 18814*/     OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 18817*/     OPC_RecordNode, // #15 = $iF
/* 18818*/     OPC_CheckPredicate, 9, // Predicate_ImmI8
/* 18820*/     OPC_CheckTypeI32,
/* 18821*/     OPC_MoveParent,
/* 18822*/     OPC_CheckType, /*MVT::v16i8*/40, 
/* 18824*/     OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/* 18825*/     OPC_EmitConvertToTarget0, // #16
/* 18826*/     OPC_EmitConvertToTarget1, // #17
/* 18827*/     OPC_EmitConvertToTarget2, // #18
/* 18828*/     OPC_EmitConvertToTarget3, // #19
/* 18829*/     OPC_EmitConvertToTarget4, // #20
/* 18830*/     OPC_EmitConvertToTarget5, // #21
/* 18831*/     OPC_EmitConvertToTarget6, // #22
/* 18832*/     OPC_EmitConvertToTarget7, // #23
/* 18833*/     OPC_EmitConvertToTarget, 8, // #24
/* 18835*/     OPC_EmitConvertToTarget, 9, // #25
/* 18837*/     OPC_EmitConvertToTarget, 10, // #26
/* 18839*/     OPC_EmitConvertToTarget, 11, // #27
/* 18841*/     OPC_EmitConvertToTarget, 12, // #28
/* 18843*/     OPC_EmitConvertToTarget, 13, // #29
/* 18845*/     OPC_EmitConvertToTarget, 14, // #30
/* 18847*/     OPC_EmitConvertToTarget, 15, // #31
/* 18849*/     OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::CONST_V128_I8x16),
                   /*MVT::v16i8*/40, 16/*#Ops*/, 16, 17, 18, 19, 20, 21, 22, 23, 24, 25, 26, 27, 28, 29, 30, 31, 
               // Src: (build_vector:{ *:[v16i8] } (imm:{ *:[i32] })<<P:Predicate_ImmI8>>:$i0, (imm:{ *:[i32] })<<P:Predicate_ImmI8>>:$i1, (imm:{ *:[i32] })<<P:Predicate_ImmI8>>:$i2, (imm:{ *:[i32] })<<P:Predicate_ImmI8>>:$i3, (imm:{ *:[i32] })<<P:Predicate_ImmI8>>:$i4, (imm:{ *:[i32] })<<P:Predicate_ImmI8>>:$i5, (imm:{ *:[i32] })<<P:Predicate_ImmI8>>:$i6, (imm:{ *:[i32] })<<P:Predicate_ImmI8>>:$i7, (imm:{ *:[i32] })<<P:Predicate_ImmI8>>:$i8, (imm:{ *:[i32] })<<P:Predicate_ImmI8>>:$i9, (imm:{ *:[i32] })<<P:Predicate_ImmI8>>:$iA, (imm:{ *:[i32] })<<P:Predicate_ImmI8>>:$iB, (imm:{ *:[i32] })<<P:Predicate_ImmI8>>:$iC, (imm:{ *:[i32] })<<P:Predicate_ImmI8>>:$iD, (imm:{ *:[i32] })<<P:Predicate_ImmI8>>:$iE, (imm:{ *:[i32] })<<P:Predicate_ImmI8>>:$iF) - Complexity = 67
               // Dst: (CONST_V128_I8x16:{ *:[v16i8] } (imm:{ *:[i32] }):$i0, (imm:{ *:[i32] }):$i1, (imm:{ *:[i32] }):$i2, (imm:{ *:[i32] }):$i3, (imm:{ *:[i32] }):$i4, (imm:{ *:[i32] }):$i5, (imm:{ *:[i32] }):$i6, (imm:{ *:[i32] }):$i7, (imm:{ *:[i32] }):$i8, (imm:{ *:[i32] }):$i9, (imm:{ *:[i32] }):$iA, (imm:{ *:[i32] }):$iB, (imm:{ *:[i32] }):$iC, (imm:{ *:[i32] }):$iD, (imm:{ *:[i32] }):$iE, (imm:{ *:[i32] }):$iF)
/* 18870*/    /*Scope*/ 83, /*->18954*/
/* 18871*/     OPC_CheckPredicate, 19, // Predicate_ImmI16
/* 18873*/     OPC_MoveSibling1,
/* 18874*/     OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 18877*/     OPC_RecordNode, // #1 = $i1
/* 18878*/     OPC_CheckPredicate, 19, // Predicate_ImmI16
/* 18880*/     OPC_CheckTypeI32,
/* 18881*/     OPC_MoveSibling2,
/* 18882*/     OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 18885*/     OPC_RecordNode, // #2 = $i2
/* 18886*/     OPC_CheckPredicate, 19, // Predicate_ImmI16
/* 18888*/     OPC_CheckTypeI32,
/* 18889*/     OPC_MoveSibling3,
/* 18890*/     OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 18893*/     OPC_RecordNode, // #3 = $i3
/* 18894*/     OPC_CheckPredicate, 19, // Predicate_ImmI16
/* 18896*/     OPC_CheckTypeI32,
/* 18897*/     OPC_MoveSibling4,
/* 18898*/     OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 18901*/     OPC_RecordNode, // #4 = $i4
/* 18902*/     OPC_CheckPredicate, 19, // Predicate_ImmI16
/* 18904*/     OPC_CheckTypeI32,
/* 18905*/     OPC_MoveSibling5,
/* 18906*/     OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 18909*/     OPC_RecordNode, // #5 = $i5
/* 18910*/     OPC_CheckPredicate, 19, // Predicate_ImmI16
/* 18912*/     OPC_CheckTypeI32,
/* 18913*/     OPC_MoveSibling6,
/* 18914*/     OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 18917*/     OPC_RecordNode, // #6 = $i6
/* 18918*/     OPC_CheckPredicate, 19, // Predicate_ImmI16
/* 18920*/     OPC_CheckTypeI32,
/* 18921*/     OPC_MoveSibling7,
/* 18922*/     OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 18925*/     OPC_RecordNode, // #7 = $i7
/* 18926*/     OPC_CheckPredicate, 19, // Predicate_ImmI16
/* 18928*/     OPC_CheckTypeI32,
/* 18929*/     OPC_MoveParent,
/* 18930*/     OPC_CheckType, /*MVT::v8i16*/51, 
/* 18932*/     OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/* 18933*/     OPC_EmitConvertToTarget0, // #8
/* 18934*/     OPC_EmitConvertToTarget1, // #9
/* 18935*/     OPC_EmitConvertToTarget2, // #10
/* 18936*/     OPC_EmitConvertToTarget3, // #11
/* 18937*/     OPC_EmitConvertToTarget4, // #12
/* 18938*/     OPC_EmitConvertToTarget5, // #13
/* 18939*/     OPC_EmitConvertToTarget6, // #14
/* 18940*/     OPC_EmitConvertToTarget7, // #15
/* 18941*/     OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::CONST_V128_I16x8),
                   /*MVT::v8i16*/51, 8/*#Ops*/, 8, 9, 10, 11, 12, 13, 14, 15, 
               // Src: (build_vector:{ *:[v8i16] } (imm:{ *:[i32] })<<P:Predicate_ImmI16>>:$i0, (imm:{ *:[i32] })<<P:Predicate_ImmI16>>:$i1, (imm:{ *:[i32] })<<P:Predicate_ImmI16>>:$i2, (imm:{ *:[i32] })<<P:Predicate_ImmI16>>:$i3, (imm:{ *:[i32] })<<P:Predicate_ImmI16>>:$i4, (imm:{ *:[i32] })<<P:Predicate_ImmI16>>:$i5, (imm:{ *:[i32] })<<P:Predicate_ImmI16>>:$i6, (imm:{ *:[i32] })<<P:Predicate_ImmI16>>:$i7) - Complexity = 35
               // Dst: (CONST_V128_I16x8:{ *:[v8i16] } (imm:{ *:[i32] }):$i0, (imm:{ *:[i32] }):$i1, (imm:{ *:[i32] }):$i2, (imm:{ *:[i32] }):$i3, (imm:{ *:[i32] }):$i4, (imm:{ *:[i32] }):$i5, (imm:{ *:[i32] }):$i6, (imm:{ *:[i32] }):$i7)
/* 18954*/    /*Scope*/ 35, /*->18990*/
/* 18955*/     OPC_MoveSibling1,
/* 18956*/     OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 18959*/     OPC_RecordNode, // #1 = $i1
/* 18960*/     OPC_CheckTypeI32,
/* 18961*/     OPC_MoveSibling2,
/* 18962*/     OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 18965*/     OPC_RecordNode, // #2 = $i2
/* 18966*/     OPC_CheckTypeI32,
/* 18967*/     OPC_MoveSibling3,
/* 18968*/     OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 18971*/     OPC_RecordNode, // #3 = $i3
/* 18972*/     OPC_CheckTypeI32,
/* 18973*/     OPC_MoveParent,
/* 18974*/     OPC_CheckType, /*MVT::v4i32*/62, 
/* 18976*/     OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/* 18977*/     OPC_EmitConvertToTarget0, // #4
/* 18978*/     OPC_EmitConvertToTarget1, // #5
/* 18979*/     OPC_EmitConvertToTarget2, // #6
/* 18980*/     OPC_EmitConvertToTarget3, // #7
/* 18981*/     OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::CONST_V128_I32x4),
                   /*MVT::v4i32*/62, 4/*#Ops*/, 4, 5, 6, 7, 
               // Src: (build_vector:{ *:[v4i32] } (imm:{ *:[i32] }):$i0, (imm:{ *:[i32] }):$i1, (imm:{ *:[i32] }):$i2, (imm:{ *:[i32] }):$i3) - Complexity = 15
               // Dst: (CONST_V128_I32x4:{ *:[v4i32] } (imm:{ *:[i32] }):$i0, (imm:{ *:[i32] }):$i1, (imm:{ *:[i32] }):$i2, (imm:{ *:[i32] }):$i3)
/* 18990*/    0, /*End of Scope*/
/* 18991*/   /*SwitchType*/ 19, /*MVT::i64*/8, // ->19012
/* 18993*/    OPC_MoveSibling1,
/* 18994*/    OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 18997*/    OPC_RecordNode, // #1 = $i1
/* 18998*/    OPC_CheckTypeI64,
/* 18999*/    OPC_MoveParent,
/* 19000*/    OPC_CheckType, /*MVT::v2i64*/81, 
/* 19002*/    OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/* 19003*/    OPC_EmitConvertToTarget0, // #2
/* 19004*/    OPC_EmitConvertToTarget1, // #3
/* 19005*/    OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::CONST_V128_I64x2),
                  /*MVT::v2i64*/81, 2/*#Ops*/, 2, 3, 
              // Src: (build_vector:{ *:[v2i64] } (imm:{ *:[i64] }):$i0, (imm:{ *:[i64] }):$i1) - Complexity = 9
              // Dst: (CONST_V128_I64x2:{ *:[v2i64] } (imm:{ *:[i64] }):$i0, (imm:{ *:[i64] }):$i1)
/* 19012*/   0, // EndSwitchType
/* 19013*/  /*SwitchOpcode*/ 66, TARGET_VAL(ISD::ConstantFP),// ->19082
/* 19016*/   OPC_SwitchType /*2 cases */, 38, /*MVT::f32*/12, // ->19057
/* 19019*/    OPC_MoveSibling1,
/* 19020*/    OPC_CheckOpcode, TARGET_VAL(ISD::ConstantFP),
/* 19023*/    OPC_RecordNode, // #1 = $i1
/* 19024*/    OPC_CheckType, /*MVT::f32*/12, 
/* 19026*/    OPC_MoveSibling2,
/* 19027*/    OPC_CheckOpcode, TARGET_VAL(ISD::ConstantFP),
/* 19030*/    OPC_RecordNode, // #2 = $i2
/* 19031*/    OPC_CheckType, /*MVT::f32*/12, 
/* 19033*/    OPC_MoveSibling3,
/* 19034*/    OPC_CheckOpcode, TARGET_VAL(ISD::ConstantFP),
/* 19037*/    OPC_RecordNode, // #3 = $i3
/* 19038*/    OPC_CheckType, /*MVT::f32*/12, 
/* 19040*/    OPC_MoveParent,
/* 19041*/    OPC_CheckType, /*MVT::v4f32*/116, 
/* 19043*/    OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/* 19044*/    OPC_EmitConvertToTarget0, // #4
/* 19045*/    OPC_EmitConvertToTarget1, // #5
/* 19046*/    OPC_EmitConvertToTarget2, // #6
/* 19047*/    OPC_EmitConvertToTarget3, // #7
/* 19048*/    OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::CONST_V128_F32x4),
                  /*MVT::v4f32*/116, 4/*#Ops*/, 4, 5, 6, 7, 
              // Src: (build_vector:{ *:[v4f32] } (fpimm:{ *:[f32] }):$i0, (fpimm:{ *:[f32] }):$i1, (fpimm:{ *:[f32] }):$i2, (fpimm:{ *:[f32] }):$i3) - Complexity = 15
              // Dst: (CONST_V128_F32x4:{ *:[v4f32] } (fpimm:{ *:[f32] }):$i0, (fpimm:{ *:[f32] }):$i1, (fpimm:{ *:[f32] }):$i2, (fpimm:{ *:[f32] }):$i3)
/* 19057*/   /*SwitchType*/ 22, /*MVT::f64*/13, // ->19081
/* 19059*/    OPC_MoveSibling1,
/* 19060*/    OPC_CheckOpcode, TARGET_VAL(ISD::ConstantFP),
/* 19063*/    OPC_RecordNode, // #1 = $i1
/* 19064*/    OPC_CheckType, /*MVT::f64*/13, 
/* 19066*/    OPC_MoveParent,
/* 19067*/    OPC_CheckType, /*MVT::v2f64*/6|128,1/*134*/, 
/* 19070*/    OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/* 19071*/    OPC_EmitConvertToTarget0, // #2
/* 19072*/    OPC_EmitConvertToTarget1, // #3
/* 19073*/    OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::CONST_V128_F64x2),
                  /*MVT::v2f64*/6|128,1/*134*/, 2/*#Ops*/, 2, 3, 
              // Src: (build_vector:{ *:[v2f64] } (fpimm:{ *:[f64] }):$i0, (fpimm:{ *:[f64] }):$i1) - Complexity = 9
              // Dst: (CONST_V128_F64x2:{ *:[v2f64] } (fpimm:{ *:[f64] }):$i0, (fpimm:{ *:[f64] }):$i1)
/* 19081*/   0, // EndSwitchType
/* 19082*/  0, // EndSwitchOpcode
/* 19083*/ /*SwitchOpcode*/ 92|128,18/*2396*/, TARGET_VAL(WebAssemblyISD::SHUFFLE),// ->21483
/* 19087*/  OPC_RecordChild0, // #0 = $x
/* 19088*/  OPC_Scope, 83|128,2/*339*/, /*->19430*/ // 7 children in Scope
/* 19091*/   OPC_CheckChild0Type, /*MVT::v16i8*/40, 
/* 19093*/   OPC_RecordChild1, // #1 = $y
/* 19094*/   OPC_CheckChild1Type, /*MVT::v16i8*/40, 
/* 19096*/   OPC_RecordChild2, // #2 = $m0
/* 19097*/   OPC_MoveChild2,
/* 19098*/   OPC_SwitchOpcode /*2 cases */, 41|128,1/*169*/, TARGET_VAL(ISD::Constant),// ->19272
/* 19103*/    OPC_CheckPredicate0,  // Predicate_LaneIdx32
/* 19104*/    OPC_CheckTypeI32,
/* 19105*/    OPC_MoveSibling3,
/* 19106*/    OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 19109*/    OPC_RecordNode, // #3 = $m1
/* 19110*/    OPC_CheckPredicate0,  // Predicate_LaneIdx32
/* 19111*/    OPC_CheckTypeI32,
/* 19112*/    OPC_MoveSibling4,
/* 19113*/    OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 19116*/    OPC_RecordNode, // #4 = $m2
/* 19117*/    OPC_CheckPredicate0,  // Predicate_LaneIdx32
/* 19118*/    OPC_CheckTypeI32,
/* 19119*/    OPC_MoveSibling5,
/* 19120*/    OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 19123*/    OPC_RecordNode, // #5 = $m3
/* 19124*/    OPC_CheckPredicate0,  // Predicate_LaneIdx32
/* 19125*/    OPC_CheckTypeI32,
/* 19126*/    OPC_MoveSibling6,
/* 19127*/    OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 19130*/    OPC_RecordNode, // #6 = $m4
/* 19131*/    OPC_CheckPredicate0,  // Predicate_LaneIdx32
/* 19132*/    OPC_CheckTypeI32,
/* 19133*/    OPC_MoveSibling7,
/* 19134*/    OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 19137*/    OPC_RecordNode, // #7 = $m5
/* 19138*/    OPC_CheckPredicate0,  // Predicate_LaneIdx32
/* 19139*/    OPC_CheckTypeI32,
/* 19140*/    OPC_MoveSibling, 8,
/* 19142*/    OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 19145*/    OPC_RecordNode, // #8 = $m6
/* 19146*/    OPC_CheckPredicate0,  // Predicate_LaneIdx32
/* 19147*/    OPC_CheckTypeI32,
/* 19148*/    OPC_MoveSibling, 9,
/* 19150*/    OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 19153*/    OPC_RecordNode, // #9 = $m7
/* 19154*/    OPC_CheckPredicate0,  // Predicate_LaneIdx32
/* 19155*/    OPC_CheckTypeI32,
/* 19156*/    OPC_MoveSibling, 10,
/* 19158*/    OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 19161*/    OPC_RecordNode, // #10 = $m8
/* 19162*/    OPC_CheckPredicate0,  // Predicate_LaneIdx32
/* 19163*/    OPC_CheckTypeI32,
/* 19164*/    OPC_MoveSibling, 11,
/* 19166*/    OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 19169*/    OPC_RecordNode, // #11 = $m9
/* 19170*/    OPC_CheckPredicate0,  // Predicate_LaneIdx32
/* 19171*/    OPC_CheckTypeI32,
/* 19172*/    OPC_MoveSibling, 12,
/* 19174*/    OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 19177*/    OPC_RecordNode, // #12 = $mA
/* 19178*/    OPC_CheckPredicate0,  // Predicate_LaneIdx32
/* 19179*/    OPC_CheckTypeI32,
/* 19180*/    OPC_MoveSibling, 13,
/* 19182*/    OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 19185*/    OPC_RecordNode, // #13 = $mB
/* 19186*/    OPC_CheckPredicate0,  // Predicate_LaneIdx32
/* 19187*/    OPC_CheckTypeI32,
/* 19188*/    OPC_MoveSibling, 14,
/* 19190*/    OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 19193*/    OPC_RecordNode, // #14 = $mC
/* 19194*/    OPC_CheckPredicate0,  // Predicate_LaneIdx32
/* 19195*/    OPC_CheckTypeI32,
/* 19196*/    OPC_MoveSibling, 15,
/* 19198*/    OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 19201*/    OPC_RecordNode, // #15 = $mD
/* 19202*/    OPC_CheckPredicate0,  // Predicate_LaneIdx32
/* 19203*/    OPC_CheckTypeI32,
/* 19204*/    OPC_MoveSibling, 16,
/* 19206*/    OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 19209*/    OPC_RecordNode, // #16 = $mE
/* 19210*/    OPC_CheckPredicate0,  // Predicate_LaneIdx32
/* 19211*/    OPC_CheckTypeI32,
/* 19212*/    OPC_MoveSibling, 17,
/* 19214*/    OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 19217*/    OPC_RecordNode, // #17 = $mF
/* 19218*/    OPC_CheckPredicate0,  // Predicate_LaneIdx32
/* 19219*/    OPC_CheckTypeI32,
/* 19220*/    OPC_MoveParent,
/* 19221*/    OPC_CheckType, /*MVT::v16i8*/40, 
/* 19223*/    OPC_EmitConvertToTarget2, // #18
/* 19224*/    OPC_EmitConvertToTarget3, // #19
/* 19225*/    OPC_EmitConvertToTarget4, // #20
/* 19226*/    OPC_EmitConvertToTarget5, // #21
/* 19227*/    OPC_EmitConvertToTarget6, // #22
/* 19228*/    OPC_EmitConvertToTarget7, // #23
/* 19229*/    OPC_EmitConvertToTarget, 8, // #24
/* 19231*/    OPC_EmitConvertToTarget, 9, // #25
/* 19233*/    OPC_EmitConvertToTarget, 10, // #26
/* 19235*/    OPC_EmitConvertToTarget, 11, // #27
/* 19237*/    OPC_EmitConvertToTarget, 12, // #28
/* 19239*/    OPC_EmitConvertToTarget, 13, // #29
/* 19241*/    OPC_EmitConvertToTarget, 14, // #30
/* 19243*/    OPC_EmitConvertToTarget, 15, // #31
/* 19245*/    OPC_EmitConvertToTarget, 16, // #32
/* 19247*/    OPC_EmitConvertToTarget, 17, // #33
/* 19249*/    OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::SHUFFLE),
                  /*MVT::v16i8*/40, 18/*#Ops*/, 0, 1, 18, 19, 20, 21, 22, 23, 24, 25, 26, 27, 28, 29, 30, 31, 32, 33, 
              // Src: (wasm_shuffle:{ *:[v16i8] } V128:{ *:[v16i8] }:$x, V128:{ *:[v16i8] }:$y, (imm:{ *:[i32] })<<P:Predicate_LaneIdx32>>:$m0, (imm:{ *:[i32] })<<P:Predicate_LaneIdx32>>:$m1, (imm:{ *:[i32] })<<P:Predicate_LaneIdx32>>:$m2, (imm:{ *:[i32] })<<P:Predicate_LaneIdx32>>:$m3, (imm:{ *:[i32] })<<P:Predicate_LaneIdx32>>:$m4, (imm:{ *:[i32] })<<P:Predicate_LaneIdx32>>:$m5, (imm:{ *:[i32] })<<P:Predicate_LaneIdx32>>:$m6, (imm:{ *:[i32] })<<P:Predicate_LaneIdx32>>:$m7, (imm:{ *:[i32] })<<P:Predicate_LaneIdx32>>:$m8, (imm:{ *:[i32] })<<P:Predicate_LaneIdx32>>:$m9, (imm:{ *:[i32] })<<P:Predicate_LaneIdx32>>:$mA, (imm:{ *:[i32] })<<P:Predicate_LaneIdx32>>:$mB, (imm:{ *:[i32] })<<P:Predicate_LaneIdx32>>:$mC, (imm:{ *:[i32] })<<P:Predicate_LaneIdx32>>:$mD, (imm:{ *:[i32] })<<P:Predicate_LaneIdx32>>:$mE, (imm:{ *:[i32] })<<P:Predicate_LaneIdx32>>:$mF) - Complexity = 67
              // Dst: (SHUFFLE:{ *:[v16i8] } ?:{ *:[v16i8] }:$x, ?:{ *:[v16i8] }:$y, (imm:{ *:[i32] }):$m0, (imm:{ *:[i32] }):$m1, (imm:{ *:[i32] }):$m2, (imm:{ *:[i32] }):$m3, (imm:{ *:[i32] }):$m4, (imm:{ *:[i32] }):$m5, (imm:{ *:[i32] }):$m6, (imm:{ *:[i32] }):$m7, (imm:{ *:[i32] }):$m8, (imm:{ *:[i32] }):$m9, (imm:{ *:[i32] }):$mA, (imm:{ *:[i32] }):$mB, (imm:{ *:[i32] }):$mC, (imm:{ *:[i32] }):$mD, (imm:{ *:[i32] }):$mE, (imm:{ *:[i32] }):$mF)
/* 19272*/   /*SwitchOpcode*/ 25|128,1/*153*/, TARGET_VAL(ISD::TargetConstant),// ->19429
/* 19276*/    OPC_CheckTypeI32,
/* 19277*/    OPC_MoveSibling3,
/* 19278*/    OPC_CheckOpcode, TARGET_VAL(ISD::TargetConstant),
/* 19281*/    OPC_RecordNode, // #3 = $m1
/* 19282*/    OPC_CheckTypeI32,
/* 19283*/    OPC_MoveSibling4,
/* 19284*/    OPC_CheckOpcode, TARGET_VAL(ISD::TargetConstant),
/* 19287*/    OPC_RecordNode, // #4 = $m2
/* 19288*/    OPC_CheckTypeI32,
/* 19289*/    OPC_MoveSibling5,
/* 19290*/    OPC_CheckOpcode, TARGET_VAL(ISD::TargetConstant),
/* 19293*/    OPC_RecordNode, // #5 = $m3
/* 19294*/    OPC_CheckTypeI32,
/* 19295*/    OPC_MoveSibling6,
/* 19296*/    OPC_CheckOpcode, TARGET_VAL(ISD::TargetConstant),
/* 19299*/    OPC_RecordNode, // #6 = $m4
/* 19300*/    OPC_CheckTypeI32,
/* 19301*/    OPC_MoveSibling7,
/* 19302*/    OPC_CheckOpcode, TARGET_VAL(ISD::TargetConstant),
/* 19305*/    OPC_RecordNode, // #7 = $m5
/* 19306*/    OPC_CheckTypeI32,
/* 19307*/    OPC_MoveSibling, 8,
/* 19309*/    OPC_CheckOpcode, TARGET_VAL(ISD::TargetConstant),
/* 19312*/    OPC_RecordNode, // #8 = $m6
/* 19313*/    OPC_CheckTypeI32,
/* 19314*/    OPC_MoveSibling, 9,
/* 19316*/    OPC_CheckOpcode, TARGET_VAL(ISD::TargetConstant),
/* 19319*/    OPC_RecordNode, // #9 = $m7
/* 19320*/    OPC_CheckTypeI32,
/* 19321*/    OPC_MoveSibling, 10,
/* 19323*/    OPC_CheckOpcode, TARGET_VAL(ISD::TargetConstant),
/* 19326*/    OPC_RecordNode, // #10 = $m8
/* 19327*/    OPC_CheckTypeI32,
/* 19328*/    OPC_MoveSibling, 11,
/* 19330*/    OPC_CheckOpcode, TARGET_VAL(ISD::TargetConstant),
/* 19333*/    OPC_RecordNode, // #11 = $m9
/* 19334*/    OPC_CheckTypeI32,
/* 19335*/    OPC_MoveSibling, 12,
/* 19337*/    OPC_CheckOpcode, TARGET_VAL(ISD::TargetConstant),
/* 19340*/    OPC_RecordNode, // #12 = $mA
/* 19341*/    OPC_CheckTypeI32,
/* 19342*/    OPC_MoveSibling, 13,
/* 19344*/    OPC_CheckOpcode, TARGET_VAL(ISD::TargetConstant),
/* 19347*/    OPC_RecordNode, // #13 = $mB
/* 19348*/    OPC_CheckTypeI32,
/* 19349*/    OPC_MoveSibling, 14,
/* 19351*/    OPC_CheckOpcode, TARGET_VAL(ISD::TargetConstant),
/* 19354*/    OPC_RecordNode, // #14 = $mC
/* 19355*/    OPC_CheckTypeI32,
/* 19356*/    OPC_MoveSibling, 15,
/* 19358*/    OPC_CheckOpcode, TARGET_VAL(ISD::TargetConstant),
/* 19361*/    OPC_RecordNode, // #15 = $mD
/* 19362*/    OPC_CheckTypeI32,
/* 19363*/    OPC_MoveSibling, 16,
/* 19365*/    OPC_CheckOpcode, TARGET_VAL(ISD::TargetConstant),
/* 19368*/    OPC_RecordNode, // #16 = $mE
/* 19369*/    OPC_CheckTypeI32,
/* 19370*/    OPC_MoveSibling, 17,
/* 19372*/    OPC_CheckOpcode, TARGET_VAL(ISD::TargetConstant),
/* 19375*/    OPC_RecordNode, // #17 = $mF
/* 19376*/    OPC_CheckTypeI32,
/* 19377*/    OPC_MoveParent,
/* 19378*/    OPC_CheckType, /*MVT::v16i8*/40, 
/* 19380*/    OPC_EmitConvertToTarget2, // #18
/* 19381*/    OPC_EmitConvertToTarget3, // #19
/* 19382*/    OPC_EmitConvertToTarget4, // #20
/* 19383*/    OPC_EmitConvertToTarget5, // #21
/* 19384*/    OPC_EmitConvertToTarget6, // #22
/* 19385*/    OPC_EmitConvertToTarget7, // #23
/* 19386*/    OPC_EmitConvertToTarget, 8, // #24
/* 19388*/    OPC_EmitConvertToTarget, 9, // #25
/* 19390*/    OPC_EmitConvertToTarget, 10, // #26
/* 19392*/    OPC_EmitConvertToTarget, 11, // #27
/* 19394*/    OPC_EmitConvertToTarget, 12, // #28
/* 19396*/    OPC_EmitConvertToTarget, 13, // #29
/* 19398*/    OPC_EmitConvertToTarget, 14, // #30
/* 19400*/    OPC_EmitConvertToTarget, 15, // #31
/* 19402*/    OPC_EmitConvertToTarget, 16, // #32
/* 19404*/    OPC_EmitConvertToTarget, 17, // #33
/* 19406*/    OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::SHUFFLE),
                  /*MVT::v16i8*/40, 18/*#Ops*/, 0, 1, 18, 19, 20, 21, 22, 23, 24, 25, 26, 27, 28, 29, 30, 31, 32, 33, 
              // Src: (wasm_shuffle:{ *:[v16i8] } V128:{ *:[v16i8] }:$x, V128:{ *:[v16i8] }:$y, (timm:{ *:[i32] }):$m0, (timm:{ *:[i32] }):$m1, (timm:{ *:[i32] }):$m2, (timm:{ *:[i32] }):$m3, (timm:{ *:[i32] }):$m4, (timm:{ *:[i32] }):$m5, (timm:{ *:[i32] }):$m6, (timm:{ *:[i32] }):$m7, (timm:{ *:[i32] }):$m8, (timm:{ *:[i32] }):$m9, (timm:{ *:[i32] }):$mA, (timm:{ *:[i32] }):$mB, (timm:{ *:[i32] }):$mC, (timm:{ *:[i32] }):$mD, (timm:{ *:[i32] }):$mE, (timm:{ *:[i32] }):$mF) - Complexity = 51
              // Dst: (SHUFFLE:{ *:[v16i8] } ?:{ *:[v16i8] }:$x, ?:{ *:[v16i8] }:$y, (imm:{ *:[i32] }):$m0, (imm:{ *:[i32] }):$m1, (imm:{ *:[i32] }):$m2, (imm:{ *:[i32] }):$m3, (imm:{ *:[i32] }):$m4, (imm:{ *:[i32] }):$m5, (imm:{ *:[i32] }):$m6, (imm:{ *:[i32] }):$m7, (imm:{ *:[i32] }):$m8, (imm:{ *:[i32] }):$m9, (imm:{ *:[i32] }):$mA, (imm:{ *:[i32] }):$mB, (imm:{ *:[i32] }):$mC, (imm:{ *:[i32] }):$mD, (imm:{ *:[i32] }):$mE, (imm:{ *:[i32] }):$mF)
/* 19429*/   0, // EndSwitchOpcode
/* 19430*/  /*Scope*/ 83|128,2/*339*/, /*->19771*/
/* 19432*/   OPC_CheckChild0Type, /*MVT::v8i16*/51, 
/* 19434*/   OPC_RecordChild1, // #1 = $y
/* 19435*/   OPC_CheckChild1Type, /*MVT::v8i16*/51, 
/* 19437*/   OPC_RecordChild2, // #2 = $m0
/* 19438*/   OPC_MoveChild2,
/* 19439*/   OPC_SwitchOpcode /*2 cases */, 41|128,1/*169*/, TARGET_VAL(ISD::Constant),// ->19613
/* 19444*/    OPC_CheckPredicate0,  // Predicate_LaneIdx32
/* 19445*/    OPC_CheckTypeI32,
/* 19446*/    OPC_MoveSibling3,
/* 19447*/    OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 19450*/    OPC_RecordNode, // #3 = $m1
/* 19451*/    OPC_CheckPredicate0,  // Predicate_LaneIdx32
/* 19452*/    OPC_CheckTypeI32,
/* 19453*/    OPC_MoveSibling4,
/* 19454*/    OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 19457*/    OPC_RecordNode, // #4 = $m2
/* 19458*/    OPC_CheckPredicate0,  // Predicate_LaneIdx32
/* 19459*/    OPC_CheckTypeI32,
/* 19460*/    OPC_MoveSibling5,
/* 19461*/    OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 19464*/    OPC_RecordNode, // #5 = $m3
/* 19465*/    OPC_CheckPredicate0,  // Predicate_LaneIdx32
/* 19466*/    OPC_CheckTypeI32,
/* 19467*/    OPC_MoveSibling6,
/* 19468*/    OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 19471*/    OPC_RecordNode, // #6 = $m4
/* 19472*/    OPC_CheckPredicate0,  // Predicate_LaneIdx32
/* 19473*/    OPC_CheckTypeI32,
/* 19474*/    OPC_MoveSibling7,
/* 19475*/    OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 19478*/    OPC_RecordNode, // #7 = $m5
/* 19479*/    OPC_CheckPredicate0,  // Predicate_LaneIdx32
/* 19480*/    OPC_CheckTypeI32,
/* 19481*/    OPC_MoveSibling, 8,
/* 19483*/    OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 19486*/    OPC_RecordNode, // #8 = $m6
/* 19487*/    OPC_CheckPredicate0,  // Predicate_LaneIdx32
/* 19488*/    OPC_CheckTypeI32,
/* 19489*/    OPC_MoveSibling, 9,
/* 19491*/    OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 19494*/    OPC_RecordNode, // #9 = $m7
/* 19495*/    OPC_CheckPredicate0,  // Predicate_LaneIdx32
/* 19496*/    OPC_CheckTypeI32,
/* 19497*/    OPC_MoveSibling, 10,
/* 19499*/    OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 19502*/    OPC_RecordNode, // #10 = $m8
/* 19503*/    OPC_CheckPredicate0,  // Predicate_LaneIdx32
/* 19504*/    OPC_CheckTypeI32,
/* 19505*/    OPC_MoveSibling, 11,
/* 19507*/    OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 19510*/    OPC_RecordNode, // #11 = $m9
/* 19511*/    OPC_CheckPredicate0,  // Predicate_LaneIdx32
/* 19512*/    OPC_CheckTypeI32,
/* 19513*/    OPC_MoveSibling, 12,
/* 19515*/    OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 19518*/    OPC_RecordNode, // #12 = $mA
/* 19519*/    OPC_CheckPredicate0,  // Predicate_LaneIdx32
/* 19520*/    OPC_CheckTypeI32,
/* 19521*/    OPC_MoveSibling, 13,
/* 19523*/    OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 19526*/    OPC_RecordNode, // #13 = $mB
/* 19527*/    OPC_CheckPredicate0,  // Predicate_LaneIdx32
/* 19528*/    OPC_CheckTypeI32,
/* 19529*/    OPC_MoveSibling, 14,
/* 19531*/    OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 19534*/    OPC_RecordNode, // #14 = $mC
/* 19535*/    OPC_CheckPredicate0,  // Predicate_LaneIdx32
/* 19536*/    OPC_CheckTypeI32,
/* 19537*/    OPC_MoveSibling, 15,
/* 19539*/    OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 19542*/    OPC_RecordNode, // #15 = $mD
/* 19543*/    OPC_CheckPredicate0,  // Predicate_LaneIdx32
/* 19544*/    OPC_CheckTypeI32,
/* 19545*/    OPC_MoveSibling, 16,
/* 19547*/    OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 19550*/    OPC_RecordNode, // #16 = $mE
/* 19551*/    OPC_CheckPredicate0,  // Predicate_LaneIdx32
/* 19552*/    OPC_CheckTypeI32,
/* 19553*/    OPC_MoveSibling, 17,
/* 19555*/    OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 19558*/    OPC_RecordNode, // #17 = $mF
/* 19559*/    OPC_CheckPredicate0,  // Predicate_LaneIdx32
/* 19560*/    OPC_CheckTypeI32,
/* 19561*/    OPC_MoveParent,
/* 19562*/    OPC_CheckType, /*MVT::v8i16*/51, 
/* 19564*/    OPC_EmitConvertToTarget2, // #18
/* 19565*/    OPC_EmitConvertToTarget3, // #19
/* 19566*/    OPC_EmitConvertToTarget4, // #20
/* 19567*/    OPC_EmitConvertToTarget5, // #21
/* 19568*/    OPC_EmitConvertToTarget6, // #22
/* 19569*/    OPC_EmitConvertToTarget7, // #23
/* 19570*/    OPC_EmitConvertToTarget, 8, // #24
/* 19572*/    OPC_EmitConvertToTarget, 9, // #25
/* 19574*/    OPC_EmitConvertToTarget, 10, // #26
/* 19576*/    OPC_EmitConvertToTarget, 11, // #27
/* 19578*/    OPC_EmitConvertToTarget, 12, // #28
/* 19580*/    OPC_EmitConvertToTarget, 13, // #29
/* 19582*/    OPC_EmitConvertToTarget, 14, // #30
/* 19584*/    OPC_EmitConvertToTarget, 15, // #31
/* 19586*/    OPC_EmitConvertToTarget, 16, // #32
/* 19588*/    OPC_EmitConvertToTarget, 17, // #33
/* 19590*/    OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::SHUFFLE),
                  /*MVT::v8i16*/51, 18/*#Ops*/, 0, 1, 18, 19, 20, 21, 22, 23, 24, 25, 26, 27, 28, 29, 30, 31, 32, 33, 
              // Src: (wasm_shuffle:{ *:[v8i16] } V128:{ *:[v8i16] }:$x, V128:{ *:[v8i16] }:$y, (imm:{ *:[i32] })<<P:Predicate_LaneIdx32>>:$m0, (imm:{ *:[i32] })<<P:Predicate_LaneIdx32>>:$m1, (imm:{ *:[i32] })<<P:Predicate_LaneIdx32>>:$m2, (imm:{ *:[i32] })<<P:Predicate_LaneIdx32>>:$m3, (imm:{ *:[i32] })<<P:Predicate_LaneIdx32>>:$m4, (imm:{ *:[i32] })<<P:Predicate_LaneIdx32>>:$m5, (imm:{ *:[i32] })<<P:Predicate_LaneIdx32>>:$m6, (imm:{ *:[i32] })<<P:Predicate_LaneIdx32>>:$m7, (imm:{ *:[i32] })<<P:Predicate_LaneIdx32>>:$m8, (imm:{ *:[i32] })<<P:Predicate_LaneIdx32>>:$m9, (imm:{ *:[i32] })<<P:Predicate_LaneIdx32>>:$mA, (imm:{ *:[i32] })<<P:Predicate_LaneIdx32>>:$mB, (imm:{ *:[i32] })<<P:Predicate_LaneIdx32>>:$mC, (imm:{ *:[i32] })<<P:Predicate_LaneIdx32>>:$mD, (imm:{ *:[i32] })<<P:Predicate_LaneIdx32>>:$mE, (imm:{ *:[i32] })<<P:Predicate_LaneIdx32>>:$mF) - Complexity = 67
              // Dst: (SHUFFLE:{ *:[v8i16] } ?:{ *:[v8i16] }:$x, ?:{ *:[v8i16] }:$y, (imm:{ *:[i32] }):$m0, (imm:{ *:[i32] }):$m1, (imm:{ *:[i32] }):$m2, (imm:{ *:[i32] }):$m3, (imm:{ *:[i32] }):$m4, (imm:{ *:[i32] }):$m5, (imm:{ *:[i32] }):$m6, (imm:{ *:[i32] }):$m7, (imm:{ *:[i32] }):$m8, (imm:{ *:[i32] }):$m9, (imm:{ *:[i32] }):$mA, (imm:{ *:[i32] }):$mB, (imm:{ *:[i32] }):$mC, (imm:{ *:[i32] }):$mD, (imm:{ *:[i32] }):$mE, (imm:{ *:[i32] }):$mF)
/* 19613*/   /*SwitchOpcode*/ 25|128,1/*153*/, TARGET_VAL(ISD::TargetConstant),// ->19770
/* 19617*/    OPC_CheckTypeI32,
/* 19618*/    OPC_MoveSibling3,
/* 19619*/    OPC_CheckOpcode, TARGET_VAL(ISD::TargetConstant),
/* 19622*/    OPC_RecordNode, // #3 = $m1
/* 19623*/    OPC_CheckTypeI32,
/* 19624*/    OPC_MoveSibling4,
/* 19625*/    OPC_CheckOpcode, TARGET_VAL(ISD::TargetConstant),
/* 19628*/    OPC_RecordNode, // #4 = $m2
/* 19629*/    OPC_CheckTypeI32,
/* 19630*/    OPC_MoveSibling5,
/* 19631*/    OPC_CheckOpcode, TARGET_VAL(ISD::TargetConstant),
/* 19634*/    OPC_RecordNode, // #5 = $m3
/* 19635*/    OPC_CheckTypeI32,
/* 19636*/    OPC_MoveSibling6,
/* 19637*/    OPC_CheckOpcode, TARGET_VAL(ISD::TargetConstant),
/* 19640*/    OPC_RecordNode, // #6 = $m4
/* 19641*/    OPC_CheckTypeI32,
/* 19642*/    OPC_MoveSibling7,
/* 19643*/    OPC_CheckOpcode, TARGET_VAL(ISD::TargetConstant),
/* 19646*/    OPC_RecordNode, // #7 = $m5
/* 19647*/    OPC_CheckTypeI32,
/* 19648*/    OPC_MoveSibling, 8,
/* 19650*/    OPC_CheckOpcode, TARGET_VAL(ISD::TargetConstant),
/* 19653*/    OPC_RecordNode, // #8 = $m6
/* 19654*/    OPC_CheckTypeI32,
/* 19655*/    OPC_MoveSibling, 9,
/* 19657*/    OPC_CheckOpcode, TARGET_VAL(ISD::TargetConstant),
/* 19660*/    OPC_RecordNode, // #9 = $m7
/* 19661*/    OPC_CheckTypeI32,
/* 19662*/    OPC_MoveSibling, 10,
/* 19664*/    OPC_CheckOpcode, TARGET_VAL(ISD::TargetConstant),
/* 19667*/    OPC_RecordNode, // #10 = $m8
/* 19668*/    OPC_CheckTypeI32,
/* 19669*/    OPC_MoveSibling, 11,
/* 19671*/    OPC_CheckOpcode, TARGET_VAL(ISD::TargetConstant),
/* 19674*/    OPC_RecordNode, // #11 = $m9
/* 19675*/    OPC_CheckTypeI32,
/* 19676*/    OPC_MoveSibling, 12,
/* 19678*/    OPC_CheckOpcode, TARGET_VAL(ISD::TargetConstant),
/* 19681*/    OPC_RecordNode, // #12 = $mA
/* 19682*/    OPC_CheckTypeI32,
/* 19683*/    OPC_MoveSibling, 13,
/* 19685*/    OPC_CheckOpcode, TARGET_VAL(ISD::TargetConstant),
/* 19688*/    OPC_RecordNode, // #13 = $mB
/* 19689*/    OPC_CheckTypeI32,
/* 19690*/    OPC_MoveSibling, 14,
/* 19692*/    OPC_CheckOpcode, TARGET_VAL(ISD::TargetConstant),
/* 19695*/    OPC_RecordNode, // #14 = $mC
/* 19696*/    OPC_CheckTypeI32,
/* 19697*/    OPC_MoveSibling, 15,
/* 19699*/    OPC_CheckOpcode, TARGET_VAL(ISD::TargetConstant),
/* 19702*/    OPC_RecordNode, // #15 = $mD
/* 19703*/    OPC_CheckTypeI32,
/* 19704*/    OPC_MoveSibling, 16,
/* 19706*/    OPC_CheckOpcode, TARGET_VAL(ISD::TargetConstant),
/* 19709*/    OPC_RecordNode, // #16 = $mE
/* 19710*/    OPC_CheckTypeI32,
/* 19711*/    OPC_MoveSibling, 17,
/* 19713*/    OPC_CheckOpcode, TARGET_VAL(ISD::TargetConstant),
/* 19716*/    OPC_RecordNode, // #17 = $mF
/* 19717*/    OPC_CheckTypeI32,
/* 19718*/    OPC_MoveParent,
/* 19719*/    OPC_CheckType, /*MVT::v8i16*/51, 
/* 19721*/    OPC_EmitConvertToTarget2, // #18
/* 19722*/    OPC_EmitConvertToTarget3, // #19
/* 19723*/    OPC_EmitConvertToTarget4, // #20
/* 19724*/    OPC_EmitConvertToTarget5, // #21
/* 19725*/    OPC_EmitConvertToTarget6, // #22
/* 19726*/    OPC_EmitConvertToTarget7, // #23
/* 19727*/    OPC_EmitConvertToTarget, 8, // #24
/* 19729*/    OPC_EmitConvertToTarget, 9, // #25
/* 19731*/    OPC_EmitConvertToTarget, 10, // #26
/* 19733*/    OPC_EmitConvertToTarget, 11, // #27
/* 19735*/    OPC_EmitConvertToTarget, 12, // #28
/* 19737*/    OPC_EmitConvertToTarget, 13, // #29
/* 19739*/    OPC_EmitConvertToTarget, 14, // #30
/* 19741*/    OPC_EmitConvertToTarget, 15, // #31
/* 19743*/    OPC_EmitConvertToTarget, 16, // #32
/* 19745*/    OPC_EmitConvertToTarget, 17, // #33
/* 19747*/    OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::SHUFFLE),
                  /*MVT::v8i16*/51, 18/*#Ops*/, 0, 1, 18, 19, 20, 21, 22, 23, 24, 25, 26, 27, 28, 29, 30, 31, 32, 33, 
              // Src: (wasm_shuffle:{ *:[v8i16] } V128:{ *:[v8i16] }:$x, V128:{ *:[v8i16] }:$y, (timm:{ *:[i32] }):$m0, (timm:{ *:[i32] }):$m1, (timm:{ *:[i32] }):$m2, (timm:{ *:[i32] }):$m3, (timm:{ *:[i32] }):$m4, (timm:{ *:[i32] }):$m5, (timm:{ *:[i32] }):$m6, (timm:{ *:[i32] }):$m7, (timm:{ *:[i32] }):$m8, (timm:{ *:[i32] }):$m9, (timm:{ *:[i32] }):$mA, (timm:{ *:[i32] }):$mB, (timm:{ *:[i32] }):$mC, (timm:{ *:[i32] }):$mD, (timm:{ *:[i32] }):$mE, (timm:{ *:[i32] }):$mF) - Complexity = 51
              // Dst: (SHUFFLE:{ *:[v8i16] } ?:{ *:[v8i16] }:$x, ?:{ *:[v8i16] }:$y, (imm:{ *:[i32] }):$m0, (imm:{ *:[i32] }):$m1, (imm:{ *:[i32] }):$m2, (imm:{ *:[i32] }):$m3, (imm:{ *:[i32] }):$m4, (imm:{ *:[i32] }):$m5, (imm:{ *:[i32] }):$m6, (imm:{ *:[i32] }):$m7, (imm:{ *:[i32] }):$m8, (imm:{ *:[i32] }):$m9, (imm:{ *:[i32] }):$mA, (imm:{ *:[i32] }):$mB, (imm:{ *:[i32] }):$mC, (imm:{ *:[i32] }):$mD, (imm:{ *:[i32] }):$mE, (imm:{ *:[i32] }):$mF)
/* 19770*/   0, // EndSwitchOpcode
/* 19771*/  /*Scope*/ 83|128,2/*339*/, /*->20112*/
/* 19773*/   OPC_CheckChild0Type, /*MVT::v4i32*/62, 
/* 19775*/   OPC_RecordChild1, // #1 = $y
/* 19776*/   OPC_CheckChild1Type, /*MVT::v4i32*/62, 
/* 19778*/   OPC_RecordChild2, // #2 = $m0
/* 19779*/   OPC_MoveChild2,
/* 19780*/   OPC_SwitchOpcode /*2 cases */, 41|128,1/*169*/, TARGET_VAL(ISD::Constant),// ->19954
/* 19785*/    OPC_CheckPredicate0,  // Predicate_LaneIdx32
/* 19786*/    OPC_CheckTypeI32,
/* 19787*/    OPC_MoveSibling3,
/* 19788*/    OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 19791*/    OPC_RecordNode, // #3 = $m1
/* 19792*/    OPC_CheckPredicate0,  // Predicate_LaneIdx32
/* 19793*/    OPC_CheckTypeI32,
/* 19794*/    OPC_MoveSibling4,
/* 19795*/    OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 19798*/    OPC_RecordNode, // #4 = $m2
/* 19799*/    OPC_CheckPredicate0,  // Predicate_LaneIdx32
/* 19800*/    OPC_CheckTypeI32,
/* 19801*/    OPC_MoveSibling5,
/* 19802*/    OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 19805*/    OPC_RecordNode, // #5 = $m3
/* 19806*/    OPC_CheckPredicate0,  // Predicate_LaneIdx32
/* 19807*/    OPC_CheckTypeI32,
/* 19808*/    OPC_MoveSibling6,
/* 19809*/    OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 19812*/    OPC_RecordNode, // #6 = $m4
/* 19813*/    OPC_CheckPredicate0,  // Predicate_LaneIdx32
/* 19814*/    OPC_CheckTypeI32,
/* 19815*/    OPC_MoveSibling7,
/* 19816*/    OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 19819*/    OPC_RecordNode, // #7 = $m5
/* 19820*/    OPC_CheckPredicate0,  // Predicate_LaneIdx32
/* 19821*/    OPC_CheckTypeI32,
/* 19822*/    OPC_MoveSibling, 8,
/* 19824*/    OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 19827*/    OPC_RecordNode, // #8 = $m6
/* 19828*/    OPC_CheckPredicate0,  // Predicate_LaneIdx32
/* 19829*/    OPC_CheckTypeI32,
/* 19830*/    OPC_MoveSibling, 9,
/* 19832*/    OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 19835*/    OPC_RecordNode, // #9 = $m7
/* 19836*/    OPC_CheckPredicate0,  // Predicate_LaneIdx32
/* 19837*/    OPC_CheckTypeI32,
/* 19838*/    OPC_MoveSibling, 10,
/* 19840*/    OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 19843*/    OPC_RecordNode, // #10 = $m8
/* 19844*/    OPC_CheckPredicate0,  // Predicate_LaneIdx32
/* 19845*/    OPC_CheckTypeI32,
/* 19846*/    OPC_MoveSibling, 11,
/* 19848*/    OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 19851*/    OPC_RecordNode, // #11 = $m9
/* 19852*/    OPC_CheckPredicate0,  // Predicate_LaneIdx32
/* 19853*/    OPC_CheckTypeI32,
/* 19854*/    OPC_MoveSibling, 12,
/* 19856*/    OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 19859*/    OPC_RecordNode, // #12 = $mA
/* 19860*/    OPC_CheckPredicate0,  // Predicate_LaneIdx32
/* 19861*/    OPC_CheckTypeI32,
/* 19862*/    OPC_MoveSibling, 13,
/* 19864*/    OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 19867*/    OPC_RecordNode, // #13 = $mB
/* 19868*/    OPC_CheckPredicate0,  // Predicate_LaneIdx32
/* 19869*/    OPC_CheckTypeI32,
/* 19870*/    OPC_MoveSibling, 14,
/* 19872*/    OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 19875*/    OPC_RecordNode, // #14 = $mC
/* 19876*/    OPC_CheckPredicate0,  // Predicate_LaneIdx32
/* 19877*/    OPC_CheckTypeI32,
/* 19878*/    OPC_MoveSibling, 15,
/* 19880*/    OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 19883*/    OPC_RecordNode, // #15 = $mD
/* 19884*/    OPC_CheckPredicate0,  // Predicate_LaneIdx32
/* 19885*/    OPC_CheckTypeI32,
/* 19886*/    OPC_MoveSibling, 16,
/* 19888*/    OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 19891*/    OPC_RecordNode, // #16 = $mE
/* 19892*/    OPC_CheckPredicate0,  // Predicate_LaneIdx32
/* 19893*/    OPC_CheckTypeI32,
/* 19894*/    OPC_MoveSibling, 17,
/* 19896*/    OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 19899*/    OPC_RecordNode, // #17 = $mF
/* 19900*/    OPC_CheckPredicate0,  // Predicate_LaneIdx32
/* 19901*/    OPC_CheckTypeI32,
/* 19902*/    OPC_MoveParent,
/* 19903*/    OPC_CheckType, /*MVT::v4i32*/62, 
/* 19905*/    OPC_EmitConvertToTarget2, // #18
/* 19906*/    OPC_EmitConvertToTarget3, // #19
/* 19907*/    OPC_EmitConvertToTarget4, // #20
/* 19908*/    OPC_EmitConvertToTarget5, // #21
/* 19909*/    OPC_EmitConvertToTarget6, // #22
/* 19910*/    OPC_EmitConvertToTarget7, // #23
/* 19911*/    OPC_EmitConvertToTarget, 8, // #24
/* 19913*/    OPC_EmitConvertToTarget, 9, // #25
/* 19915*/    OPC_EmitConvertToTarget, 10, // #26
/* 19917*/    OPC_EmitConvertToTarget, 11, // #27
/* 19919*/    OPC_EmitConvertToTarget, 12, // #28
/* 19921*/    OPC_EmitConvertToTarget, 13, // #29
/* 19923*/    OPC_EmitConvertToTarget, 14, // #30
/* 19925*/    OPC_EmitConvertToTarget, 15, // #31
/* 19927*/    OPC_EmitConvertToTarget, 16, // #32
/* 19929*/    OPC_EmitConvertToTarget, 17, // #33
/* 19931*/    OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::SHUFFLE),
                  /*MVT::v4i32*/62, 18/*#Ops*/, 0, 1, 18, 19, 20, 21, 22, 23, 24, 25, 26, 27, 28, 29, 30, 31, 32, 33, 
              // Src: (wasm_shuffle:{ *:[v4i32] } V128:{ *:[v4i32] }:$x, V128:{ *:[v4i32] }:$y, (imm:{ *:[i32] })<<P:Predicate_LaneIdx32>>:$m0, (imm:{ *:[i32] })<<P:Predicate_LaneIdx32>>:$m1, (imm:{ *:[i32] })<<P:Predicate_LaneIdx32>>:$m2, (imm:{ *:[i32] })<<P:Predicate_LaneIdx32>>:$m3, (imm:{ *:[i32] })<<P:Predicate_LaneIdx32>>:$m4, (imm:{ *:[i32] })<<P:Predicate_LaneIdx32>>:$m5, (imm:{ *:[i32] })<<P:Predicate_LaneIdx32>>:$m6, (imm:{ *:[i32] })<<P:Predicate_LaneIdx32>>:$m7, (imm:{ *:[i32] })<<P:Predicate_LaneIdx32>>:$m8, (imm:{ *:[i32] })<<P:Predicate_LaneIdx32>>:$m9, (imm:{ *:[i32] })<<P:Predicate_LaneIdx32>>:$mA, (imm:{ *:[i32] })<<P:Predicate_LaneIdx32>>:$mB, (imm:{ *:[i32] })<<P:Predicate_LaneIdx32>>:$mC, (imm:{ *:[i32] })<<P:Predicate_LaneIdx32>>:$mD, (imm:{ *:[i32] })<<P:Predicate_LaneIdx32>>:$mE, (imm:{ *:[i32] })<<P:Predicate_LaneIdx32>>:$mF) - Complexity = 67
              // Dst: (SHUFFLE:{ *:[v4i32] } ?:{ *:[v4i32] }:$x, ?:{ *:[v4i32] }:$y, (imm:{ *:[i32] }):$m0, (imm:{ *:[i32] }):$m1, (imm:{ *:[i32] }):$m2, (imm:{ *:[i32] }):$m3, (imm:{ *:[i32] }):$m4, (imm:{ *:[i32] }):$m5, (imm:{ *:[i32] }):$m6, (imm:{ *:[i32] }):$m7, (imm:{ *:[i32] }):$m8, (imm:{ *:[i32] }):$m9, (imm:{ *:[i32] }):$mA, (imm:{ *:[i32] }):$mB, (imm:{ *:[i32] }):$mC, (imm:{ *:[i32] }):$mD, (imm:{ *:[i32] }):$mE, (imm:{ *:[i32] }):$mF)
/* 19954*/   /*SwitchOpcode*/ 25|128,1/*153*/, TARGET_VAL(ISD::TargetConstant),// ->20111
/* 19958*/    OPC_CheckTypeI32,
/* 19959*/    OPC_MoveSibling3,
/* 19960*/    OPC_CheckOpcode, TARGET_VAL(ISD::TargetConstant),
/* 19963*/    OPC_RecordNode, // #3 = $m1
/* 19964*/    OPC_CheckTypeI32,
/* 19965*/    OPC_MoveSibling4,
/* 19966*/    OPC_CheckOpcode, TARGET_VAL(ISD::TargetConstant),
/* 19969*/    OPC_RecordNode, // #4 = $m2
/* 19970*/    OPC_CheckTypeI32,
/* 19971*/    OPC_MoveSibling5,
/* 19972*/    OPC_CheckOpcode, TARGET_VAL(ISD::TargetConstant),
/* 19975*/    OPC_RecordNode, // #5 = $m3
/* 19976*/    OPC_CheckTypeI32,
/* 19977*/    OPC_MoveSibling6,
/* 19978*/    OPC_CheckOpcode, TARGET_VAL(ISD::TargetConstant),
/* 19981*/    OPC_RecordNode, // #6 = $m4
/* 19982*/    OPC_CheckTypeI32,
/* 19983*/    OPC_MoveSibling7,
/* 19984*/    OPC_CheckOpcode, TARGET_VAL(ISD::TargetConstant),
/* 19987*/    OPC_RecordNode, // #7 = $m5
/* 19988*/    OPC_CheckTypeI32,
/* 19989*/    OPC_MoveSibling, 8,
/* 19991*/    OPC_CheckOpcode, TARGET_VAL(ISD::TargetConstant),
/* 19994*/    OPC_RecordNode, // #8 = $m6
/* 19995*/    OPC_CheckTypeI32,
/* 19996*/    OPC_MoveSibling, 9,
/* 19998*/    OPC_CheckOpcode, TARGET_VAL(ISD::TargetConstant),
/* 20001*/    OPC_RecordNode, // #9 = $m7
/* 20002*/    OPC_CheckTypeI32,
/* 20003*/    OPC_MoveSibling, 10,
/* 20005*/    OPC_CheckOpcode, TARGET_VAL(ISD::TargetConstant),
/* 20008*/    OPC_RecordNode, // #10 = $m8
/* 20009*/    OPC_CheckTypeI32,
/* 20010*/    OPC_MoveSibling, 11,
/* 20012*/    OPC_CheckOpcode, TARGET_VAL(ISD::TargetConstant),
/* 20015*/    OPC_RecordNode, // #11 = $m9
/* 20016*/    OPC_CheckTypeI32,
/* 20017*/    OPC_MoveSibling, 12,
/* 20019*/    OPC_CheckOpcode, TARGET_VAL(ISD::TargetConstant),
/* 20022*/    OPC_RecordNode, // #12 = $mA
/* 20023*/    OPC_CheckTypeI32,
/* 20024*/    OPC_MoveSibling, 13,
/* 20026*/    OPC_CheckOpcode, TARGET_VAL(ISD::TargetConstant),
/* 20029*/    OPC_RecordNode, // #13 = $mB
/* 20030*/    OPC_CheckTypeI32,
/* 20031*/    OPC_MoveSibling, 14,
/* 20033*/    OPC_CheckOpcode, TARGET_VAL(ISD::TargetConstant),
/* 20036*/    OPC_RecordNode, // #14 = $mC
/* 20037*/    OPC_CheckTypeI32,
/* 20038*/    OPC_MoveSibling, 15,
/* 20040*/    OPC_CheckOpcode, TARGET_VAL(ISD::TargetConstant),
/* 20043*/    OPC_RecordNode, // #15 = $mD
/* 20044*/    OPC_CheckTypeI32,
/* 20045*/    OPC_MoveSibling, 16,
/* 20047*/    OPC_CheckOpcode, TARGET_VAL(ISD::TargetConstant),
/* 20050*/    OPC_RecordNode, // #16 = $mE
/* 20051*/    OPC_CheckTypeI32,
/* 20052*/    OPC_MoveSibling, 17,
/* 20054*/    OPC_CheckOpcode, TARGET_VAL(ISD::TargetConstant),
/* 20057*/    OPC_RecordNode, // #17 = $mF
/* 20058*/    OPC_CheckTypeI32,
/* 20059*/    OPC_MoveParent,
/* 20060*/    OPC_CheckType, /*MVT::v4i32*/62, 
/* 20062*/    OPC_EmitConvertToTarget2, // #18
/* 20063*/    OPC_EmitConvertToTarget3, // #19
/* 20064*/    OPC_EmitConvertToTarget4, // #20
/* 20065*/    OPC_EmitConvertToTarget5, // #21
/* 20066*/    OPC_EmitConvertToTarget6, // #22
/* 20067*/    OPC_EmitConvertToTarget7, // #23
/* 20068*/    OPC_EmitConvertToTarget, 8, // #24
/* 20070*/    OPC_EmitConvertToTarget, 9, // #25
/* 20072*/    OPC_EmitConvertToTarget, 10, // #26
/* 20074*/    OPC_EmitConvertToTarget, 11, // #27
/* 20076*/    OPC_EmitConvertToTarget, 12, // #28
/* 20078*/    OPC_EmitConvertToTarget, 13, // #29
/* 20080*/    OPC_EmitConvertToTarget, 14, // #30
/* 20082*/    OPC_EmitConvertToTarget, 15, // #31
/* 20084*/    OPC_EmitConvertToTarget, 16, // #32
/* 20086*/    OPC_EmitConvertToTarget, 17, // #33
/* 20088*/    OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::SHUFFLE),
                  /*MVT::v4i32*/62, 18/*#Ops*/, 0, 1, 18, 19, 20, 21, 22, 23, 24, 25, 26, 27, 28, 29, 30, 31, 32, 33, 
              // Src: (wasm_shuffle:{ *:[v4i32] } V128:{ *:[v4i32] }:$x, V128:{ *:[v4i32] }:$y, (timm:{ *:[i32] }):$m0, (timm:{ *:[i32] }):$m1, (timm:{ *:[i32] }):$m2, (timm:{ *:[i32] }):$m3, (timm:{ *:[i32] }):$m4, (timm:{ *:[i32] }):$m5, (timm:{ *:[i32] }):$m6, (timm:{ *:[i32] }):$m7, (timm:{ *:[i32] }):$m8, (timm:{ *:[i32] }):$m9, (timm:{ *:[i32] }):$mA, (timm:{ *:[i32] }):$mB, (timm:{ *:[i32] }):$mC, (timm:{ *:[i32] }):$mD, (timm:{ *:[i32] }):$mE, (timm:{ *:[i32] }):$mF) - Complexity = 51
              // Dst: (SHUFFLE:{ *:[v4i32] } ?:{ *:[v4i32] }:$x, ?:{ *:[v4i32] }:$y, (imm:{ *:[i32] }):$m0, (imm:{ *:[i32] }):$m1, (imm:{ *:[i32] }):$m2, (imm:{ *:[i32] }):$m3, (imm:{ *:[i32] }):$m4, (imm:{ *:[i32] }):$m5, (imm:{ *:[i32] }):$m6, (imm:{ *:[i32] }):$m7, (imm:{ *:[i32] }):$m8, (imm:{ *:[i32] }):$m9, (imm:{ *:[i32] }):$mA, (imm:{ *:[i32] }):$mB, (imm:{ *:[i32] }):$mC, (imm:{ *:[i32] }):$mD, (imm:{ *:[i32] }):$mE, (imm:{ *:[i32] }):$mF)
/* 20111*/   0, // EndSwitchOpcode
/* 20112*/  /*Scope*/ 83|128,2/*339*/, /*->20453*/
/* 20114*/   OPC_CheckChild0Type, /*MVT::v2i64*/81, 
/* 20116*/   OPC_RecordChild1, // #1 = $y
/* 20117*/   OPC_CheckChild1Type, /*MVT::v2i64*/81, 
/* 20119*/   OPC_RecordChild2, // #2 = $m0
/* 20120*/   OPC_MoveChild2,
/* 20121*/   OPC_SwitchOpcode /*2 cases */, 41|128,1/*169*/, TARGET_VAL(ISD::Constant),// ->20295
/* 20126*/    OPC_CheckPredicate0,  // Predicate_LaneIdx32
/* 20127*/    OPC_CheckTypeI32,
/* 20128*/    OPC_MoveSibling3,
/* 20129*/    OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 20132*/    OPC_RecordNode, // #3 = $m1
/* 20133*/    OPC_CheckPredicate0,  // Predicate_LaneIdx32
/* 20134*/    OPC_CheckTypeI32,
/* 20135*/    OPC_MoveSibling4,
/* 20136*/    OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 20139*/    OPC_RecordNode, // #4 = $m2
/* 20140*/    OPC_CheckPredicate0,  // Predicate_LaneIdx32
/* 20141*/    OPC_CheckTypeI32,
/* 20142*/    OPC_MoveSibling5,
/* 20143*/    OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 20146*/    OPC_RecordNode, // #5 = $m3
/* 20147*/    OPC_CheckPredicate0,  // Predicate_LaneIdx32
/* 20148*/    OPC_CheckTypeI32,
/* 20149*/    OPC_MoveSibling6,
/* 20150*/    OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 20153*/    OPC_RecordNode, // #6 = $m4
/* 20154*/    OPC_CheckPredicate0,  // Predicate_LaneIdx32
/* 20155*/    OPC_CheckTypeI32,
/* 20156*/    OPC_MoveSibling7,
/* 20157*/    OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 20160*/    OPC_RecordNode, // #7 = $m5
/* 20161*/    OPC_CheckPredicate0,  // Predicate_LaneIdx32
/* 20162*/    OPC_CheckTypeI32,
/* 20163*/    OPC_MoveSibling, 8,
/* 20165*/    OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 20168*/    OPC_RecordNode, // #8 = $m6
/* 20169*/    OPC_CheckPredicate0,  // Predicate_LaneIdx32
/* 20170*/    OPC_CheckTypeI32,
/* 20171*/    OPC_MoveSibling, 9,
/* 20173*/    OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 20176*/    OPC_RecordNode, // #9 = $m7
/* 20177*/    OPC_CheckPredicate0,  // Predicate_LaneIdx32
/* 20178*/    OPC_CheckTypeI32,
/* 20179*/    OPC_MoveSibling, 10,
/* 20181*/    OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 20184*/    OPC_RecordNode, // #10 = $m8
/* 20185*/    OPC_CheckPredicate0,  // Predicate_LaneIdx32
/* 20186*/    OPC_CheckTypeI32,
/* 20187*/    OPC_MoveSibling, 11,
/* 20189*/    OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 20192*/    OPC_RecordNode, // #11 = $m9
/* 20193*/    OPC_CheckPredicate0,  // Predicate_LaneIdx32
/* 20194*/    OPC_CheckTypeI32,
/* 20195*/    OPC_MoveSibling, 12,
/* 20197*/    OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 20200*/    OPC_RecordNode, // #12 = $mA
/* 20201*/    OPC_CheckPredicate0,  // Predicate_LaneIdx32
/* 20202*/    OPC_CheckTypeI32,
/* 20203*/    OPC_MoveSibling, 13,
/* 20205*/    OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 20208*/    OPC_RecordNode, // #13 = $mB
/* 20209*/    OPC_CheckPredicate0,  // Predicate_LaneIdx32
/* 20210*/    OPC_CheckTypeI32,
/* 20211*/    OPC_MoveSibling, 14,
/* 20213*/    OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 20216*/    OPC_RecordNode, // #14 = $mC
/* 20217*/    OPC_CheckPredicate0,  // Predicate_LaneIdx32
/* 20218*/    OPC_CheckTypeI32,
/* 20219*/    OPC_MoveSibling, 15,
/* 20221*/    OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 20224*/    OPC_RecordNode, // #15 = $mD
/* 20225*/    OPC_CheckPredicate0,  // Predicate_LaneIdx32
/* 20226*/    OPC_CheckTypeI32,
/* 20227*/    OPC_MoveSibling, 16,
/* 20229*/    OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 20232*/    OPC_RecordNode, // #16 = $mE
/* 20233*/    OPC_CheckPredicate0,  // Predicate_LaneIdx32
/* 20234*/    OPC_CheckTypeI32,
/* 20235*/    OPC_MoveSibling, 17,
/* 20237*/    OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 20240*/    OPC_RecordNode, // #17 = $mF
/* 20241*/    OPC_CheckPredicate0,  // Predicate_LaneIdx32
/* 20242*/    OPC_CheckTypeI32,
/* 20243*/    OPC_MoveParent,
/* 20244*/    OPC_CheckType, /*MVT::v2i64*/81, 
/* 20246*/    OPC_EmitConvertToTarget2, // #18
/* 20247*/    OPC_EmitConvertToTarget3, // #19
/* 20248*/    OPC_EmitConvertToTarget4, // #20
/* 20249*/    OPC_EmitConvertToTarget5, // #21
/* 20250*/    OPC_EmitConvertToTarget6, // #22
/* 20251*/    OPC_EmitConvertToTarget7, // #23
/* 20252*/    OPC_EmitConvertToTarget, 8, // #24
/* 20254*/    OPC_EmitConvertToTarget, 9, // #25
/* 20256*/    OPC_EmitConvertToTarget, 10, // #26
/* 20258*/    OPC_EmitConvertToTarget, 11, // #27
/* 20260*/    OPC_EmitConvertToTarget, 12, // #28
/* 20262*/    OPC_EmitConvertToTarget, 13, // #29
/* 20264*/    OPC_EmitConvertToTarget, 14, // #30
/* 20266*/    OPC_EmitConvertToTarget, 15, // #31
/* 20268*/    OPC_EmitConvertToTarget, 16, // #32
/* 20270*/    OPC_EmitConvertToTarget, 17, // #33
/* 20272*/    OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::SHUFFLE),
                  /*MVT::v2i64*/81, 18/*#Ops*/, 0, 1, 18, 19, 20, 21, 22, 23, 24, 25, 26, 27, 28, 29, 30, 31, 32, 33, 
              // Src: (wasm_shuffle:{ *:[v2i64] } V128:{ *:[v2i64] }:$x, V128:{ *:[v2i64] }:$y, (imm:{ *:[i32] })<<P:Predicate_LaneIdx32>>:$m0, (imm:{ *:[i32] })<<P:Predicate_LaneIdx32>>:$m1, (imm:{ *:[i32] })<<P:Predicate_LaneIdx32>>:$m2, (imm:{ *:[i32] })<<P:Predicate_LaneIdx32>>:$m3, (imm:{ *:[i32] })<<P:Predicate_LaneIdx32>>:$m4, (imm:{ *:[i32] })<<P:Predicate_LaneIdx32>>:$m5, (imm:{ *:[i32] })<<P:Predicate_LaneIdx32>>:$m6, (imm:{ *:[i32] })<<P:Predicate_LaneIdx32>>:$m7, (imm:{ *:[i32] })<<P:Predicate_LaneIdx32>>:$m8, (imm:{ *:[i32] })<<P:Predicate_LaneIdx32>>:$m9, (imm:{ *:[i32] })<<P:Predicate_LaneIdx32>>:$mA, (imm:{ *:[i32] })<<P:Predicate_LaneIdx32>>:$mB, (imm:{ *:[i32] })<<P:Predicate_LaneIdx32>>:$mC, (imm:{ *:[i32] })<<P:Predicate_LaneIdx32>>:$mD, (imm:{ *:[i32] })<<P:Predicate_LaneIdx32>>:$mE, (imm:{ *:[i32] })<<P:Predicate_LaneIdx32>>:$mF) - Complexity = 67
              // Dst: (SHUFFLE:{ *:[v2i64] } ?:{ *:[v2i64] }:$x, ?:{ *:[v2i64] }:$y, (imm:{ *:[i32] }):$m0, (imm:{ *:[i32] }):$m1, (imm:{ *:[i32] }):$m2, (imm:{ *:[i32] }):$m3, (imm:{ *:[i32] }):$m4, (imm:{ *:[i32] }):$m5, (imm:{ *:[i32] }):$m6, (imm:{ *:[i32] }):$m7, (imm:{ *:[i32] }):$m8, (imm:{ *:[i32] }):$m9, (imm:{ *:[i32] }):$mA, (imm:{ *:[i32] }):$mB, (imm:{ *:[i32] }):$mC, (imm:{ *:[i32] }):$mD, (imm:{ *:[i32] }):$mE, (imm:{ *:[i32] }):$mF)
/* 20295*/   /*SwitchOpcode*/ 25|128,1/*153*/, TARGET_VAL(ISD::TargetConstant),// ->20452
/* 20299*/    OPC_CheckTypeI32,
/* 20300*/    OPC_MoveSibling3,
/* 20301*/    OPC_CheckOpcode, TARGET_VAL(ISD::TargetConstant),
/* 20304*/    OPC_RecordNode, // #3 = $m1
/* 20305*/    OPC_CheckTypeI32,
/* 20306*/    OPC_MoveSibling4,
/* 20307*/    OPC_CheckOpcode, TARGET_VAL(ISD::TargetConstant),
/* 20310*/    OPC_RecordNode, // #4 = $m2
/* 20311*/    OPC_CheckTypeI32,
/* 20312*/    OPC_MoveSibling5,
/* 20313*/    OPC_CheckOpcode, TARGET_VAL(ISD::TargetConstant),
/* 20316*/    OPC_RecordNode, // #5 = $m3
/* 20317*/    OPC_CheckTypeI32,
/* 20318*/    OPC_MoveSibling6,
/* 20319*/    OPC_CheckOpcode, TARGET_VAL(ISD::TargetConstant),
/* 20322*/    OPC_RecordNode, // #6 = $m4
/* 20323*/    OPC_CheckTypeI32,
/* 20324*/    OPC_MoveSibling7,
/* 20325*/    OPC_CheckOpcode, TARGET_VAL(ISD::TargetConstant),
/* 20328*/    OPC_RecordNode, // #7 = $m5
/* 20329*/    OPC_CheckTypeI32,
/* 20330*/    OPC_MoveSibling, 8,
/* 20332*/    OPC_CheckOpcode, TARGET_VAL(ISD::TargetConstant),
/* 20335*/    OPC_RecordNode, // #8 = $m6
/* 20336*/    OPC_CheckTypeI32,
/* 20337*/    OPC_MoveSibling, 9,
/* 20339*/    OPC_CheckOpcode, TARGET_VAL(ISD::TargetConstant),
/* 20342*/    OPC_RecordNode, // #9 = $m7
/* 20343*/    OPC_CheckTypeI32,
/* 20344*/    OPC_MoveSibling, 10,
/* 20346*/    OPC_CheckOpcode, TARGET_VAL(ISD::TargetConstant),
/* 20349*/    OPC_RecordNode, // #10 = $m8
/* 20350*/    OPC_CheckTypeI32,
/* 20351*/    OPC_MoveSibling, 11,
/* 20353*/    OPC_CheckOpcode, TARGET_VAL(ISD::TargetConstant),
/* 20356*/    OPC_RecordNode, // #11 = $m9
/* 20357*/    OPC_CheckTypeI32,
/* 20358*/    OPC_MoveSibling, 12,
/* 20360*/    OPC_CheckOpcode, TARGET_VAL(ISD::TargetConstant),
/* 20363*/    OPC_RecordNode, // #12 = $mA
/* 20364*/    OPC_CheckTypeI32,
/* 20365*/    OPC_MoveSibling, 13,
/* 20367*/    OPC_CheckOpcode, TARGET_VAL(ISD::TargetConstant),
/* 20370*/    OPC_RecordNode, // #13 = $mB
/* 20371*/    OPC_CheckTypeI32,
/* 20372*/    OPC_MoveSibling, 14,
/* 20374*/    OPC_CheckOpcode, TARGET_VAL(ISD::TargetConstant),
/* 20377*/    OPC_RecordNode, // #14 = $mC
/* 20378*/    OPC_CheckTypeI32,
/* 20379*/    OPC_MoveSibling, 15,
/* 20381*/    OPC_CheckOpcode, TARGET_VAL(ISD::TargetConstant),
/* 20384*/    OPC_RecordNode, // #15 = $mD
/* 20385*/    OPC_CheckTypeI32,
/* 20386*/    OPC_MoveSibling, 16,
/* 20388*/    OPC_CheckOpcode, TARGET_VAL(ISD::TargetConstant),
/* 20391*/    OPC_RecordNode, // #16 = $mE
/* 20392*/    OPC_CheckTypeI32,
/* 20393*/    OPC_MoveSibling, 17,
/* 20395*/    OPC_CheckOpcode, TARGET_VAL(ISD::TargetConstant),
/* 20398*/    OPC_RecordNode, // #17 = $mF
/* 20399*/    OPC_CheckTypeI32,
/* 20400*/    OPC_MoveParent,
/* 20401*/    OPC_CheckType, /*MVT::v2i64*/81, 
/* 20403*/    OPC_EmitConvertToTarget2, // #18
/* 20404*/    OPC_EmitConvertToTarget3, // #19
/* 20405*/    OPC_EmitConvertToTarget4, // #20
/* 20406*/    OPC_EmitConvertToTarget5, // #21
/* 20407*/    OPC_EmitConvertToTarget6, // #22
/* 20408*/    OPC_EmitConvertToTarget7, // #23
/* 20409*/    OPC_EmitConvertToTarget, 8, // #24
/* 20411*/    OPC_EmitConvertToTarget, 9, // #25
/* 20413*/    OPC_EmitConvertToTarget, 10, // #26
/* 20415*/    OPC_EmitConvertToTarget, 11, // #27
/* 20417*/    OPC_EmitConvertToTarget, 12, // #28
/* 20419*/    OPC_EmitConvertToTarget, 13, // #29
/* 20421*/    OPC_EmitConvertToTarget, 14, // #30
/* 20423*/    OPC_EmitConvertToTarget, 15, // #31
/* 20425*/    OPC_EmitConvertToTarget, 16, // #32
/* 20427*/    OPC_EmitConvertToTarget, 17, // #33
/* 20429*/    OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::SHUFFLE),
                  /*MVT::v2i64*/81, 18/*#Ops*/, 0, 1, 18, 19, 20, 21, 22, 23, 24, 25, 26, 27, 28, 29, 30, 31, 32, 33, 
              // Src: (wasm_shuffle:{ *:[v2i64] } V128:{ *:[v2i64] }:$x, V128:{ *:[v2i64] }:$y, (timm:{ *:[i32] }):$m0, (timm:{ *:[i32] }):$m1, (timm:{ *:[i32] }):$m2, (timm:{ *:[i32] }):$m3, (timm:{ *:[i32] }):$m4, (timm:{ *:[i32] }):$m5, (timm:{ *:[i32] }):$m6, (timm:{ *:[i32] }):$m7, (timm:{ *:[i32] }):$m8, (timm:{ *:[i32] }):$m9, (timm:{ *:[i32] }):$mA, (timm:{ *:[i32] }):$mB, (timm:{ *:[i32] }):$mC, (timm:{ *:[i32] }):$mD, (timm:{ *:[i32] }):$mE, (timm:{ *:[i32] }):$mF) - Complexity = 51
              // Dst: (SHUFFLE:{ *:[v2i64] } ?:{ *:[v2i64] }:$x, ?:{ *:[v2i64] }:$y, (imm:{ *:[i32] }):$m0, (imm:{ *:[i32] }):$m1, (imm:{ *:[i32] }):$m2, (imm:{ *:[i32] }):$m3, (imm:{ *:[i32] }):$m4, (imm:{ *:[i32] }):$m5, (imm:{ *:[i32] }):$m6, (imm:{ *:[i32] }):$m7, (imm:{ *:[i32] }):$m8, (imm:{ *:[i32] }):$m9, (imm:{ *:[i32] }):$mA, (imm:{ *:[i32] }):$mB, (imm:{ *:[i32] }):$mC, (imm:{ *:[i32] }):$mD, (imm:{ *:[i32] }):$mE, (imm:{ *:[i32] }):$mF)
/* 20452*/   0, // EndSwitchOpcode
/* 20453*/  /*Scope*/ 83|128,2/*339*/, /*->20794*/
/* 20455*/   OPC_CheckChild0Type, /*MVT::v4f32*/116, 
/* 20457*/   OPC_RecordChild1, // #1 = $y
/* 20458*/   OPC_CheckChild1Type, /*MVT::v4f32*/116, 
/* 20460*/   OPC_RecordChild2, // #2 = $m0
/* 20461*/   OPC_MoveChild2,
/* 20462*/   OPC_SwitchOpcode /*2 cases */, 41|128,1/*169*/, TARGET_VAL(ISD::Constant),// ->20636
/* 20467*/    OPC_CheckPredicate0,  // Predicate_LaneIdx32
/* 20468*/    OPC_CheckTypeI32,
/* 20469*/    OPC_MoveSibling3,
/* 20470*/    OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 20473*/    OPC_RecordNode, // #3 = $m1
/* 20474*/    OPC_CheckPredicate0,  // Predicate_LaneIdx32
/* 20475*/    OPC_CheckTypeI32,
/* 20476*/    OPC_MoveSibling4,
/* 20477*/    OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 20480*/    OPC_RecordNode, // #4 = $m2
/* 20481*/    OPC_CheckPredicate0,  // Predicate_LaneIdx32
/* 20482*/    OPC_CheckTypeI32,
/* 20483*/    OPC_MoveSibling5,
/* 20484*/    OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 20487*/    OPC_RecordNode, // #5 = $m3
/* 20488*/    OPC_CheckPredicate0,  // Predicate_LaneIdx32
/* 20489*/    OPC_CheckTypeI32,
/* 20490*/    OPC_MoveSibling6,
/* 20491*/    OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 20494*/    OPC_RecordNode, // #6 = $m4
/* 20495*/    OPC_CheckPredicate0,  // Predicate_LaneIdx32
/* 20496*/    OPC_CheckTypeI32,
/* 20497*/    OPC_MoveSibling7,
/* 20498*/    OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 20501*/    OPC_RecordNode, // #7 = $m5
/* 20502*/    OPC_CheckPredicate0,  // Predicate_LaneIdx32
/* 20503*/    OPC_CheckTypeI32,
/* 20504*/    OPC_MoveSibling, 8,
/* 20506*/    OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 20509*/    OPC_RecordNode, // #8 = $m6
/* 20510*/    OPC_CheckPredicate0,  // Predicate_LaneIdx32
/* 20511*/    OPC_CheckTypeI32,
/* 20512*/    OPC_MoveSibling, 9,
/* 20514*/    OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 20517*/    OPC_RecordNode, // #9 = $m7
/* 20518*/    OPC_CheckPredicate0,  // Predicate_LaneIdx32
/* 20519*/    OPC_CheckTypeI32,
/* 20520*/    OPC_MoveSibling, 10,
/* 20522*/    OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 20525*/    OPC_RecordNode, // #10 = $m8
/* 20526*/    OPC_CheckPredicate0,  // Predicate_LaneIdx32
/* 20527*/    OPC_CheckTypeI32,
/* 20528*/    OPC_MoveSibling, 11,
/* 20530*/    OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 20533*/    OPC_RecordNode, // #11 = $m9
/* 20534*/    OPC_CheckPredicate0,  // Predicate_LaneIdx32
/* 20535*/    OPC_CheckTypeI32,
/* 20536*/    OPC_MoveSibling, 12,
/* 20538*/    OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 20541*/    OPC_RecordNode, // #12 = $mA
/* 20542*/    OPC_CheckPredicate0,  // Predicate_LaneIdx32
/* 20543*/    OPC_CheckTypeI32,
/* 20544*/    OPC_MoveSibling, 13,
/* 20546*/    OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 20549*/    OPC_RecordNode, // #13 = $mB
/* 20550*/    OPC_CheckPredicate0,  // Predicate_LaneIdx32
/* 20551*/    OPC_CheckTypeI32,
/* 20552*/    OPC_MoveSibling, 14,
/* 20554*/    OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 20557*/    OPC_RecordNode, // #14 = $mC
/* 20558*/    OPC_CheckPredicate0,  // Predicate_LaneIdx32
/* 20559*/    OPC_CheckTypeI32,
/* 20560*/    OPC_MoveSibling, 15,
/* 20562*/    OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 20565*/    OPC_RecordNode, // #15 = $mD
/* 20566*/    OPC_CheckPredicate0,  // Predicate_LaneIdx32
/* 20567*/    OPC_CheckTypeI32,
/* 20568*/    OPC_MoveSibling, 16,
/* 20570*/    OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 20573*/    OPC_RecordNode, // #16 = $mE
/* 20574*/    OPC_CheckPredicate0,  // Predicate_LaneIdx32
/* 20575*/    OPC_CheckTypeI32,
/* 20576*/    OPC_MoveSibling, 17,
/* 20578*/    OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 20581*/    OPC_RecordNode, // #17 = $mF
/* 20582*/    OPC_CheckPredicate0,  // Predicate_LaneIdx32
/* 20583*/    OPC_CheckTypeI32,
/* 20584*/    OPC_MoveParent,
/* 20585*/    OPC_CheckType, /*MVT::v4f32*/116, 
/* 20587*/    OPC_EmitConvertToTarget2, // #18
/* 20588*/    OPC_EmitConvertToTarget3, // #19
/* 20589*/    OPC_EmitConvertToTarget4, // #20
/* 20590*/    OPC_EmitConvertToTarget5, // #21
/* 20591*/    OPC_EmitConvertToTarget6, // #22
/* 20592*/    OPC_EmitConvertToTarget7, // #23
/* 20593*/    OPC_EmitConvertToTarget, 8, // #24
/* 20595*/    OPC_EmitConvertToTarget, 9, // #25
/* 20597*/    OPC_EmitConvertToTarget, 10, // #26
/* 20599*/    OPC_EmitConvertToTarget, 11, // #27
/* 20601*/    OPC_EmitConvertToTarget, 12, // #28
/* 20603*/    OPC_EmitConvertToTarget, 13, // #29
/* 20605*/    OPC_EmitConvertToTarget, 14, // #30
/* 20607*/    OPC_EmitConvertToTarget, 15, // #31
/* 20609*/    OPC_EmitConvertToTarget, 16, // #32
/* 20611*/    OPC_EmitConvertToTarget, 17, // #33
/* 20613*/    OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::SHUFFLE),
                  /*MVT::v4f32*/116, 18/*#Ops*/, 0, 1, 18, 19, 20, 21, 22, 23, 24, 25, 26, 27, 28, 29, 30, 31, 32, 33, 
              // Src: (wasm_shuffle:{ *:[v4f32] } V128:{ *:[v4f32] }:$x, V128:{ *:[v4f32] }:$y, (imm:{ *:[i32] })<<P:Predicate_LaneIdx32>>:$m0, (imm:{ *:[i32] })<<P:Predicate_LaneIdx32>>:$m1, (imm:{ *:[i32] })<<P:Predicate_LaneIdx32>>:$m2, (imm:{ *:[i32] })<<P:Predicate_LaneIdx32>>:$m3, (imm:{ *:[i32] })<<P:Predicate_LaneIdx32>>:$m4, (imm:{ *:[i32] })<<P:Predicate_LaneIdx32>>:$m5, (imm:{ *:[i32] })<<P:Predicate_LaneIdx32>>:$m6, (imm:{ *:[i32] })<<P:Predicate_LaneIdx32>>:$m7, (imm:{ *:[i32] })<<P:Predicate_LaneIdx32>>:$m8, (imm:{ *:[i32] })<<P:Predicate_LaneIdx32>>:$m9, (imm:{ *:[i32] })<<P:Predicate_LaneIdx32>>:$mA, (imm:{ *:[i32] })<<P:Predicate_LaneIdx32>>:$mB, (imm:{ *:[i32] })<<P:Predicate_LaneIdx32>>:$mC, (imm:{ *:[i32] })<<P:Predicate_LaneIdx32>>:$mD, (imm:{ *:[i32] })<<P:Predicate_LaneIdx32>>:$mE, (imm:{ *:[i32] })<<P:Predicate_LaneIdx32>>:$mF) - Complexity = 67
              // Dst: (SHUFFLE:{ *:[v4f32] } ?:{ *:[v4f32] }:$x, ?:{ *:[v4f32] }:$y, (imm:{ *:[i32] }):$m0, (imm:{ *:[i32] }):$m1, (imm:{ *:[i32] }):$m2, (imm:{ *:[i32] }):$m3, (imm:{ *:[i32] }):$m4, (imm:{ *:[i32] }):$m5, (imm:{ *:[i32] }):$m6, (imm:{ *:[i32] }):$m7, (imm:{ *:[i32] }):$m8, (imm:{ *:[i32] }):$m9, (imm:{ *:[i32] }):$mA, (imm:{ *:[i32] }):$mB, (imm:{ *:[i32] }):$mC, (imm:{ *:[i32] }):$mD, (imm:{ *:[i32] }):$mE, (imm:{ *:[i32] }):$mF)
/* 20636*/   /*SwitchOpcode*/ 25|128,1/*153*/, TARGET_VAL(ISD::TargetConstant),// ->20793
/* 20640*/    OPC_CheckTypeI32,
/* 20641*/    OPC_MoveSibling3,
/* 20642*/    OPC_CheckOpcode, TARGET_VAL(ISD::TargetConstant),
/* 20645*/    OPC_RecordNode, // #3 = $m1
/* 20646*/    OPC_CheckTypeI32,
/* 20647*/    OPC_MoveSibling4,
/* 20648*/    OPC_CheckOpcode, TARGET_VAL(ISD::TargetConstant),
/* 20651*/    OPC_RecordNode, // #4 = $m2
/* 20652*/    OPC_CheckTypeI32,
/* 20653*/    OPC_MoveSibling5,
/* 20654*/    OPC_CheckOpcode, TARGET_VAL(ISD::TargetConstant),
/* 20657*/    OPC_RecordNode, // #5 = $m3
/* 20658*/    OPC_CheckTypeI32,
/* 20659*/    OPC_MoveSibling6,
/* 20660*/    OPC_CheckOpcode, TARGET_VAL(ISD::TargetConstant),
/* 20663*/    OPC_RecordNode, // #6 = $m4
/* 20664*/    OPC_CheckTypeI32,
/* 20665*/    OPC_MoveSibling7,
/* 20666*/    OPC_CheckOpcode, TARGET_VAL(ISD::TargetConstant),
/* 20669*/    OPC_RecordNode, // #7 = $m5
/* 20670*/    OPC_CheckTypeI32,
/* 20671*/    OPC_MoveSibling, 8,
/* 20673*/    OPC_CheckOpcode, TARGET_VAL(ISD::TargetConstant),
/* 20676*/    OPC_RecordNode, // #8 = $m6
/* 20677*/    OPC_CheckTypeI32,
/* 20678*/    OPC_MoveSibling, 9,
/* 20680*/    OPC_CheckOpcode, TARGET_VAL(ISD::TargetConstant),
/* 20683*/    OPC_RecordNode, // #9 = $m7
/* 20684*/    OPC_CheckTypeI32,
/* 20685*/    OPC_MoveSibling, 10,
/* 20687*/    OPC_CheckOpcode, TARGET_VAL(ISD::TargetConstant),
/* 20690*/    OPC_RecordNode, // #10 = $m8
/* 20691*/    OPC_CheckTypeI32,
/* 20692*/    OPC_MoveSibling, 11,
/* 20694*/    OPC_CheckOpcode, TARGET_VAL(ISD::TargetConstant),
/* 20697*/    OPC_RecordNode, // #11 = $m9
/* 20698*/    OPC_CheckTypeI32,
/* 20699*/    OPC_MoveSibling, 12,
/* 20701*/    OPC_CheckOpcode, TARGET_VAL(ISD::TargetConstant),
/* 20704*/    OPC_RecordNode, // #12 = $mA
/* 20705*/    OPC_CheckTypeI32,
/* 20706*/    OPC_MoveSibling, 13,
/* 20708*/    OPC_CheckOpcode, TARGET_VAL(ISD::TargetConstant),
/* 20711*/    OPC_RecordNode, // #13 = $mB
/* 20712*/    OPC_CheckTypeI32,
/* 20713*/    OPC_MoveSibling, 14,
/* 20715*/    OPC_CheckOpcode, TARGET_VAL(ISD::TargetConstant),
/* 20718*/    OPC_RecordNode, // #14 = $mC
/* 20719*/    OPC_CheckTypeI32,
/* 20720*/    OPC_MoveSibling, 15,
/* 20722*/    OPC_CheckOpcode, TARGET_VAL(ISD::TargetConstant),
/* 20725*/    OPC_RecordNode, // #15 = $mD
/* 20726*/    OPC_CheckTypeI32,
/* 20727*/    OPC_MoveSibling, 16,
/* 20729*/    OPC_CheckOpcode, TARGET_VAL(ISD::TargetConstant),
/* 20732*/    OPC_RecordNode, // #16 = $mE
/* 20733*/    OPC_CheckTypeI32,
/* 20734*/    OPC_MoveSibling, 17,
/* 20736*/    OPC_CheckOpcode, TARGET_VAL(ISD::TargetConstant),
/* 20739*/    OPC_RecordNode, // #17 = $mF
/* 20740*/    OPC_CheckTypeI32,
/* 20741*/    OPC_MoveParent,
/* 20742*/    OPC_CheckType, /*MVT::v4f32*/116, 
/* 20744*/    OPC_EmitConvertToTarget2, // #18
/* 20745*/    OPC_EmitConvertToTarget3, // #19
/* 20746*/    OPC_EmitConvertToTarget4, // #20
/* 20747*/    OPC_EmitConvertToTarget5, // #21
/* 20748*/    OPC_EmitConvertToTarget6, // #22
/* 20749*/    OPC_EmitConvertToTarget7, // #23
/* 20750*/    OPC_EmitConvertToTarget, 8, // #24
/* 20752*/    OPC_EmitConvertToTarget, 9, // #25
/* 20754*/    OPC_EmitConvertToTarget, 10, // #26
/* 20756*/    OPC_EmitConvertToTarget, 11, // #27
/* 20758*/    OPC_EmitConvertToTarget, 12, // #28
/* 20760*/    OPC_EmitConvertToTarget, 13, // #29
/* 20762*/    OPC_EmitConvertToTarget, 14, // #30
/* 20764*/    OPC_EmitConvertToTarget, 15, // #31
/* 20766*/    OPC_EmitConvertToTarget, 16, // #32
/* 20768*/    OPC_EmitConvertToTarget, 17, // #33
/* 20770*/    OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::SHUFFLE),
                  /*MVT::v4f32*/116, 18/*#Ops*/, 0, 1, 18, 19, 20, 21, 22, 23, 24, 25, 26, 27, 28, 29, 30, 31, 32, 33, 
              // Src: (wasm_shuffle:{ *:[v4f32] } V128:{ *:[v4f32] }:$x, V128:{ *:[v4f32] }:$y, (timm:{ *:[i32] }):$m0, (timm:{ *:[i32] }):$m1, (timm:{ *:[i32] }):$m2, (timm:{ *:[i32] }):$m3, (timm:{ *:[i32] }):$m4, (timm:{ *:[i32] }):$m5, (timm:{ *:[i32] }):$m6, (timm:{ *:[i32] }):$m7, (timm:{ *:[i32] }):$m8, (timm:{ *:[i32] }):$m9, (timm:{ *:[i32] }):$mA, (timm:{ *:[i32] }):$mB, (timm:{ *:[i32] }):$mC, (timm:{ *:[i32] }):$mD, (timm:{ *:[i32] }):$mE, (timm:{ *:[i32] }):$mF) - Complexity = 51
              // Dst: (SHUFFLE:{ *:[v4f32] } ?:{ *:[v4f32] }:$x, ?:{ *:[v4f32] }:$y, (imm:{ *:[i32] }):$m0, (imm:{ *:[i32] }):$m1, (imm:{ *:[i32] }):$m2, (imm:{ *:[i32] }):$m3, (imm:{ *:[i32] }):$m4, (imm:{ *:[i32] }):$m5, (imm:{ *:[i32] }):$m6, (imm:{ *:[i32] }):$m7, (imm:{ *:[i32] }):$m8, (imm:{ *:[i32] }):$m9, (imm:{ *:[i32] }):$mA, (imm:{ *:[i32] }):$mB, (imm:{ *:[i32] }):$mC, (imm:{ *:[i32] }):$mD, (imm:{ *:[i32] }):$mE, (imm:{ *:[i32] }):$mF)
/* 20793*/   0, // EndSwitchOpcode
/* 20794*/  /*Scope*/ 89|128,2/*345*/, /*->21141*/
/* 20796*/   OPC_CheckChild0Type, /*MVT::v2f64*/6|128,1/*134*/, 
/* 20799*/   OPC_RecordChild1, // #1 = $y
/* 20800*/   OPC_CheckChild1Type, /*MVT::v2f64*/6|128,1/*134*/, 
/* 20803*/   OPC_RecordChild2, // #2 = $m0
/* 20804*/   OPC_MoveChild2,
/* 20805*/   OPC_SwitchOpcode /*2 cases */, 43|128,1/*171*/, TARGET_VAL(ISD::Constant),// ->20981
/* 20810*/    OPC_CheckPredicate0,  // Predicate_LaneIdx32
/* 20811*/    OPC_CheckTypeI32,
/* 20812*/    OPC_MoveSibling3,
/* 20813*/    OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 20816*/    OPC_RecordNode, // #3 = $m1
/* 20817*/    OPC_CheckPredicate0,  // Predicate_LaneIdx32
/* 20818*/    OPC_CheckTypeI32,
/* 20819*/    OPC_MoveSibling4,
/* 20820*/    OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 20823*/    OPC_RecordNode, // #4 = $m2
/* 20824*/    OPC_CheckPredicate0,  // Predicate_LaneIdx32
/* 20825*/    OPC_CheckTypeI32,
/* 20826*/    OPC_MoveSibling5,
/* 20827*/    OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 20830*/    OPC_RecordNode, // #5 = $m3
/* 20831*/    OPC_CheckPredicate0,  // Predicate_LaneIdx32
/* 20832*/    OPC_CheckTypeI32,
/* 20833*/    OPC_MoveSibling6,
/* 20834*/    OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 20837*/    OPC_RecordNode, // #6 = $m4
/* 20838*/    OPC_CheckPredicate0,  // Predicate_LaneIdx32
/* 20839*/    OPC_CheckTypeI32,
/* 20840*/    OPC_MoveSibling7,
/* 20841*/    OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 20844*/    OPC_RecordNode, // #7 = $m5
/* 20845*/    OPC_CheckPredicate0,  // Predicate_LaneIdx32
/* 20846*/    OPC_CheckTypeI32,
/* 20847*/    OPC_MoveSibling, 8,
/* 20849*/    OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 20852*/    OPC_RecordNode, // #8 = $m6
/* 20853*/    OPC_CheckPredicate0,  // Predicate_LaneIdx32
/* 20854*/    OPC_CheckTypeI32,
/* 20855*/    OPC_MoveSibling, 9,
/* 20857*/    OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 20860*/    OPC_RecordNode, // #9 = $m7
/* 20861*/    OPC_CheckPredicate0,  // Predicate_LaneIdx32
/* 20862*/    OPC_CheckTypeI32,
/* 20863*/    OPC_MoveSibling, 10,
/* 20865*/    OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 20868*/    OPC_RecordNode, // #10 = $m8
/* 20869*/    OPC_CheckPredicate0,  // Predicate_LaneIdx32
/* 20870*/    OPC_CheckTypeI32,
/* 20871*/    OPC_MoveSibling, 11,
/* 20873*/    OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 20876*/    OPC_RecordNode, // #11 = $m9
/* 20877*/    OPC_CheckPredicate0,  // Predicate_LaneIdx32
/* 20878*/    OPC_CheckTypeI32,
/* 20879*/    OPC_MoveSibling, 12,
/* 20881*/    OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 20884*/    OPC_RecordNode, // #12 = $mA
/* 20885*/    OPC_CheckPredicate0,  // Predicate_LaneIdx32
/* 20886*/    OPC_CheckTypeI32,
/* 20887*/    OPC_MoveSibling, 13,
/* 20889*/    OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 20892*/    OPC_RecordNode, // #13 = $mB
/* 20893*/    OPC_CheckPredicate0,  // Predicate_LaneIdx32
/* 20894*/    OPC_CheckTypeI32,
/* 20895*/    OPC_MoveSibling, 14,
/* 20897*/    OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 20900*/    OPC_RecordNode, // #14 = $mC
/* 20901*/    OPC_CheckPredicate0,  // Predicate_LaneIdx32
/* 20902*/    OPC_CheckTypeI32,
/* 20903*/    OPC_MoveSibling, 15,
/* 20905*/    OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 20908*/    OPC_RecordNode, // #15 = $mD
/* 20909*/    OPC_CheckPredicate0,  // Predicate_LaneIdx32
/* 20910*/    OPC_CheckTypeI32,
/* 20911*/    OPC_MoveSibling, 16,
/* 20913*/    OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 20916*/    OPC_RecordNode, // #16 = $mE
/* 20917*/    OPC_CheckPredicate0,  // Predicate_LaneIdx32
/* 20918*/    OPC_CheckTypeI32,
/* 20919*/    OPC_MoveSibling, 17,
/* 20921*/    OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 20924*/    OPC_RecordNode, // #17 = $mF
/* 20925*/    OPC_CheckPredicate0,  // Predicate_LaneIdx32
/* 20926*/    OPC_CheckTypeI32,
/* 20927*/    OPC_MoveParent,
/* 20928*/    OPC_CheckType, /*MVT::v2f64*/6|128,1/*134*/, 
/* 20931*/    OPC_EmitConvertToTarget2, // #18
/* 20932*/    OPC_EmitConvertToTarget3, // #19
/* 20933*/    OPC_EmitConvertToTarget4, // #20
/* 20934*/    OPC_EmitConvertToTarget5, // #21
/* 20935*/    OPC_EmitConvertToTarget6, // #22
/* 20936*/    OPC_EmitConvertToTarget7, // #23
/* 20937*/    OPC_EmitConvertToTarget, 8, // #24
/* 20939*/    OPC_EmitConvertToTarget, 9, // #25
/* 20941*/    OPC_EmitConvertToTarget, 10, // #26
/* 20943*/    OPC_EmitConvertToTarget, 11, // #27
/* 20945*/    OPC_EmitConvertToTarget, 12, // #28
/* 20947*/    OPC_EmitConvertToTarget, 13, // #29
/* 20949*/    OPC_EmitConvertToTarget, 14, // #30
/* 20951*/    OPC_EmitConvertToTarget, 15, // #31
/* 20953*/    OPC_EmitConvertToTarget, 16, // #32
/* 20955*/    OPC_EmitConvertToTarget, 17, // #33
/* 20957*/    OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::SHUFFLE),
                  /*MVT::v2f64*/6|128,1/*134*/, 18/*#Ops*/, 0, 1, 18, 19, 20, 21, 22, 23, 24, 25, 26, 27, 28, 29, 30, 31, 32, 33, 
              // Src: (wasm_shuffle:{ *:[v2f64] } V128:{ *:[v2f64] }:$x, V128:{ *:[v2f64] }:$y, (imm:{ *:[i32] })<<P:Predicate_LaneIdx32>>:$m0, (imm:{ *:[i32] })<<P:Predicate_LaneIdx32>>:$m1, (imm:{ *:[i32] })<<P:Predicate_LaneIdx32>>:$m2, (imm:{ *:[i32] })<<P:Predicate_LaneIdx32>>:$m3, (imm:{ *:[i32] })<<P:Predicate_LaneIdx32>>:$m4, (imm:{ *:[i32] })<<P:Predicate_LaneIdx32>>:$m5, (imm:{ *:[i32] })<<P:Predicate_LaneIdx32>>:$m6, (imm:{ *:[i32] })<<P:Predicate_LaneIdx32>>:$m7, (imm:{ *:[i32] })<<P:Predicate_LaneIdx32>>:$m8, (imm:{ *:[i32] })<<P:Predicate_LaneIdx32>>:$m9, (imm:{ *:[i32] })<<P:Predicate_LaneIdx32>>:$mA, (imm:{ *:[i32] })<<P:Predicate_LaneIdx32>>:$mB, (imm:{ *:[i32] })<<P:Predicate_LaneIdx32>>:$mC, (imm:{ *:[i32] })<<P:Predicate_LaneIdx32>>:$mD, (imm:{ *:[i32] })<<P:Predicate_LaneIdx32>>:$mE, (imm:{ *:[i32] })<<P:Predicate_LaneIdx32>>:$mF) - Complexity = 67
              // Dst: (SHUFFLE:{ *:[v2f64] } ?:{ *:[v2f64] }:$x, ?:{ *:[v2f64] }:$y, (imm:{ *:[i32] }):$m0, (imm:{ *:[i32] }):$m1, (imm:{ *:[i32] }):$m2, (imm:{ *:[i32] }):$m3, (imm:{ *:[i32] }):$m4, (imm:{ *:[i32] }):$m5, (imm:{ *:[i32] }):$m6, (imm:{ *:[i32] }):$m7, (imm:{ *:[i32] }):$m8, (imm:{ *:[i32] }):$m9, (imm:{ *:[i32] }):$mA, (imm:{ *:[i32] }):$mB, (imm:{ *:[i32] }):$mC, (imm:{ *:[i32] }):$mD, (imm:{ *:[i32] }):$mE, (imm:{ *:[i32] }):$mF)
/* 20981*/   /*SwitchOpcode*/ 27|128,1/*155*/, TARGET_VAL(ISD::TargetConstant),// ->21140
/* 20985*/    OPC_CheckTypeI32,
/* 20986*/    OPC_MoveSibling3,
/* 20987*/    OPC_CheckOpcode, TARGET_VAL(ISD::TargetConstant),
/* 20990*/    OPC_RecordNode, // #3 = $m1
/* 20991*/    OPC_CheckTypeI32,
/* 20992*/    OPC_MoveSibling4,
/* 20993*/    OPC_CheckOpcode, TARGET_VAL(ISD::TargetConstant),
/* 20996*/    OPC_RecordNode, // #4 = $m2
/* 20997*/    OPC_CheckTypeI32,
/* 20998*/    OPC_MoveSibling5,
/* 20999*/    OPC_CheckOpcode, TARGET_VAL(ISD::TargetConstant),
/* 21002*/    OPC_RecordNode, // #5 = $m3
/* 21003*/    OPC_CheckTypeI32,
/* 21004*/    OPC_MoveSibling6,
/* 21005*/    OPC_CheckOpcode, TARGET_VAL(ISD::TargetConstant),
/* 21008*/    OPC_RecordNode, // #6 = $m4
/* 21009*/    OPC_CheckTypeI32,
/* 21010*/    OPC_MoveSibling7,
/* 21011*/    OPC_CheckOpcode, TARGET_VAL(ISD::TargetConstant),
/* 21014*/    OPC_RecordNode, // #7 = $m5
/* 21015*/    OPC_CheckTypeI32,
/* 21016*/    OPC_MoveSibling, 8,
/* 21018*/    OPC_CheckOpcode, TARGET_VAL(ISD::TargetConstant),
/* 21021*/    OPC_RecordNode, // #8 = $m6
/* 21022*/    OPC_CheckTypeI32,
/* 21023*/    OPC_MoveSibling, 9,
/* 21025*/    OPC_CheckOpcode, TARGET_VAL(ISD::TargetConstant),
/* 21028*/    OPC_RecordNode, // #9 = $m7
/* 21029*/    OPC_CheckTypeI32,
/* 21030*/    OPC_MoveSibling, 10,
/* 21032*/    OPC_CheckOpcode, TARGET_VAL(ISD::TargetConstant),
/* 21035*/    OPC_RecordNode, // #10 = $m8
/* 21036*/    OPC_CheckTypeI32,
/* 21037*/    OPC_MoveSibling, 11,
/* 21039*/    OPC_CheckOpcode, TARGET_VAL(ISD::TargetConstant),
/* 21042*/    OPC_RecordNode, // #11 = $m9
/* 21043*/    OPC_CheckTypeI32,
/* 21044*/    OPC_MoveSibling, 12,
/* 21046*/    OPC_CheckOpcode, TARGET_VAL(ISD::TargetConstant),
/* 21049*/    OPC_RecordNode, // #12 = $mA
/* 21050*/    OPC_CheckTypeI32,
/* 21051*/    OPC_MoveSibling, 13,
/* 21053*/    OPC_CheckOpcode, TARGET_VAL(ISD::TargetConstant),
/* 21056*/    OPC_RecordNode, // #13 = $mB
/* 21057*/    OPC_CheckTypeI32,
/* 21058*/    OPC_MoveSibling, 14,
/* 21060*/    OPC_CheckOpcode, TARGET_VAL(ISD::TargetConstant),
/* 21063*/    OPC_RecordNode, // #14 = $mC
/* 21064*/    OPC_CheckTypeI32,
/* 21065*/    OPC_MoveSibling, 15,
/* 21067*/    OPC_CheckOpcode, TARGET_VAL(ISD::TargetConstant),
/* 21070*/    OPC_RecordNode, // #15 = $mD
/* 21071*/    OPC_CheckTypeI32,
/* 21072*/    OPC_MoveSibling, 16,
/* 21074*/    OPC_CheckOpcode, TARGET_VAL(ISD::TargetConstant),
/* 21077*/    OPC_RecordNode, // #16 = $mE
/* 21078*/    OPC_CheckTypeI32,
/* 21079*/    OPC_MoveSibling, 17,
/* 21081*/    OPC_CheckOpcode, TARGET_VAL(ISD::TargetConstant),
/* 21084*/    OPC_RecordNode, // #17 = $mF
/* 21085*/    OPC_CheckTypeI32,
/* 21086*/    OPC_MoveParent,
/* 21087*/    OPC_CheckType, /*MVT::v2f64*/6|128,1/*134*/, 
/* 21090*/    OPC_EmitConvertToTarget2, // #18
/* 21091*/    OPC_EmitConvertToTarget3, // #19
/* 21092*/    OPC_EmitConvertToTarget4, // #20
/* 21093*/    OPC_EmitConvertToTarget5, // #21
/* 21094*/    OPC_EmitConvertToTarget6, // #22
/* 21095*/    OPC_EmitConvertToTarget7, // #23
/* 21096*/    OPC_EmitConvertToTarget, 8, // #24
/* 21098*/    OPC_EmitConvertToTarget, 9, // #25
/* 21100*/    OPC_EmitConvertToTarget, 10, // #26
/* 21102*/    OPC_EmitConvertToTarget, 11, // #27
/* 21104*/    OPC_EmitConvertToTarget, 12, // #28
/* 21106*/    OPC_EmitConvertToTarget, 13, // #29
/* 21108*/    OPC_EmitConvertToTarget, 14, // #30
/* 21110*/    OPC_EmitConvertToTarget, 15, // #31
/* 21112*/    OPC_EmitConvertToTarget, 16, // #32
/* 21114*/    OPC_EmitConvertToTarget, 17, // #33
/* 21116*/    OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::SHUFFLE),
                  /*MVT::v2f64*/6|128,1/*134*/, 18/*#Ops*/, 0, 1, 18, 19, 20, 21, 22, 23, 24, 25, 26, 27, 28, 29, 30, 31, 32, 33, 
              // Src: (wasm_shuffle:{ *:[v2f64] } V128:{ *:[v2f64] }:$x, V128:{ *:[v2f64] }:$y, (timm:{ *:[i32] }):$m0, (timm:{ *:[i32] }):$m1, (timm:{ *:[i32] }):$m2, (timm:{ *:[i32] }):$m3, (timm:{ *:[i32] }):$m4, (timm:{ *:[i32] }):$m5, (timm:{ *:[i32] }):$m6, (timm:{ *:[i32] }):$m7, (timm:{ *:[i32] }):$m8, (timm:{ *:[i32] }):$m9, (timm:{ *:[i32] }):$mA, (timm:{ *:[i32] }):$mB, (timm:{ *:[i32] }):$mC, (timm:{ *:[i32] }):$mD, (timm:{ *:[i32] }):$mE, (timm:{ *:[i32] }):$mF) - Complexity = 51
              // Dst: (SHUFFLE:{ *:[v2f64] } ?:{ *:[v2f64] }:$x, ?:{ *:[v2f64] }:$y, (imm:{ *:[i32] }):$m0, (imm:{ *:[i32] }):$m1, (imm:{ *:[i32] }):$m2, (imm:{ *:[i32] }):$m3, (imm:{ *:[i32] }):$m4, (imm:{ *:[i32] }):$m5, (imm:{ *:[i32] }):$m6, (imm:{ *:[i32] }):$m7, (imm:{ *:[i32] }):$m8, (imm:{ *:[i32] }):$m9, (imm:{ *:[i32] }):$mA, (imm:{ *:[i32] }):$mB, (imm:{ *:[i32] }):$mC, (imm:{ *:[i32] }):$mD, (imm:{ *:[i32] }):$mE, (imm:{ *:[i32] }):$mF)
/* 21140*/   0, // EndSwitchOpcode
/* 21141*/  /*Scope*/ 83|128,2/*339*/, /*->21482*/
/* 21143*/   OPC_CheckChild0Type, /*MVT::v8f16*/95, 
/* 21145*/   OPC_RecordChild1, // #1 = $y
/* 21146*/   OPC_CheckChild1Type, /*MVT::v8f16*/95, 
/* 21148*/   OPC_RecordChild2, // #2 = $m0
/* 21149*/   OPC_MoveChild2,
/* 21150*/   OPC_SwitchOpcode /*2 cases */, 41|128,1/*169*/, TARGET_VAL(ISD::Constant),// ->21324
/* 21155*/    OPC_CheckPredicate0,  // Predicate_LaneIdx32
/* 21156*/    OPC_CheckTypeI32,
/* 21157*/    OPC_MoveSibling3,
/* 21158*/    OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 21161*/    OPC_RecordNode, // #3 = $m1
/* 21162*/    OPC_CheckPredicate0,  // Predicate_LaneIdx32
/* 21163*/    OPC_CheckTypeI32,
/* 21164*/    OPC_MoveSibling4,
/* 21165*/    OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 21168*/    OPC_RecordNode, // #4 = $m2
/* 21169*/    OPC_CheckPredicate0,  // Predicate_LaneIdx32
/* 21170*/    OPC_CheckTypeI32,
/* 21171*/    OPC_MoveSibling5,
/* 21172*/    OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 21175*/    OPC_RecordNode, // #5 = $m3
/* 21176*/    OPC_CheckPredicate0,  // Predicate_LaneIdx32
/* 21177*/    OPC_CheckTypeI32,
/* 21178*/    OPC_MoveSibling6,
/* 21179*/    OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 21182*/    OPC_RecordNode, // #6 = $m4
/* 21183*/    OPC_CheckPredicate0,  // Predicate_LaneIdx32
/* 21184*/    OPC_CheckTypeI32,
/* 21185*/    OPC_MoveSibling7,
/* 21186*/    OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 21189*/    OPC_RecordNode, // #7 = $m5
/* 21190*/    OPC_CheckPredicate0,  // Predicate_LaneIdx32
/* 21191*/    OPC_CheckTypeI32,
/* 21192*/    OPC_MoveSibling, 8,
/* 21194*/    OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 21197*/    OPC_RecordNode, // #8 = $m6
/* 21198*/    OPC_CheckPredicate0,  // Predicate_LaneIdx32
/* 21199*/    OPC_CheckTypeI32,
/* 21200*/    OPC_MoveSibling, 9,
/* 21202*/    OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 21205*/    OPC_RecordNode, // #9 = $m7
/* 21206*/    OPC_CheckPredicate0,  // Predicate_LaneIdx32
/* 21207*/    OPC_CheckTypeI32,
/* 21208*/    OPC_MoveSibling, 10,
/* 21210*/    OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 21213*/    OPC_RecordNode, // #10 = $m8
/* 21214*/    OPC_CheckPredicate0,  // Predicate_LaneIdx32
/* 21215*/    OPC_CheckTypeI32,
/* 21216*/    OPC_MoveSibling, 11,
/* 21218*/    OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 21221*/    OPC_RecordNode, // #11 = $m9
/* 21222*/    OPC_CheckPredicate0,  // Predicate_LaneIdx32
/* 21223*/    OPC_CheckTypeI32,
/* 21224*/    OPC_MoveSibling, 12,
/* 21226*/    OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 21229*/    OPC_RecordNode, // #12 = $mA
/* 21230*/    OPC_CheckPredicate0,  // Predicate_LaneIdx32
/* 21231*/    OPC_CheckTypeI32,
/* 21232*/    OPC_MoveSibling, 13,
/* 21234*/    OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 21237*/    OPC_RecordNode, // #13 = $mB
/* 21238*/    OPC_CheckPredicate0,  // Predicate_LaneIdx32
/* 21239*/    OPC_CheckTypeI32,
/* 21240*/    OPC_MoveSibling, 14,
/* 21242*/    OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 21245*/    OPC_RecordNode, // #14 = $mC
/* 21246*/    OPC_CheckPredicate0,  // Predicate_LaneIdx32
/* 21247*/    OPC_CheckTypeI32,
/* 21248*/    OPC_MoveSibling, 15,
/* 21250*/    OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 21253*/    OPC_RecordNode, // #15 = $mD
/* 21254*/    OPC_CheckPredicate0,  // Predicate_LaneIdx32
/* 21255*/    OPC_CheckTypeI32,
/* 21256*/    OPC_MoveSibling, 16,
/* 21258*/    OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 21261*/    OPC_RecordNode, // #16 = $mE
/* 21262*/    OPC_CheckPredicate0,  // Predicate_LaneIdx32
/* 21263*/    OPC_CheckTypeI32,
/* 21264*/    OPC_MoveSibling, 17,
/* 21266*/    OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 21269*/    OPC_RecordNode, // #17 = $mF
/* 21270*/    OPC_CheckPredicate0,  // Predicate_LaneIdx32
/* 21271*/    OPC_CheckTypeI32,
/* 21272*/    OPC_MoveParent,
/* 21273*/    OPC_CheckType, /*MVT::v8f16*/95, 
/* 21275*/    OPC_EmitConvertToTarget2, // #18
/* 21276*/    OPC_EmitConvertToTarget3, // #19
/* 21277*/    OPC_EmitConvertToTarget4, // #20
/* 21278*/    OPC_EmitConvertToTarget5, // #21
/* 21279*/    OPC_EmitConvertToTarget6, // #22
/* 21280*/    OPC_EmitConvertToTarget7, // #23
/* 21281*/    OPC_EmitConvertToTarget, 8, // #24
/* 21283*/    OPC_EmitConvertToTarget, 9, // #25
/* 21285*/    OPC_EmitConvertToTarget, 10, // #26
/* 21287*/    OPC_EmitConvertToTarget, 11, // #27
/* 21289*/    OPC_EmitConvertToTarget, 12, // #28
/* 21291*/    OPC_EmitConvertToTarget, 13, // #29
/* 21293*/    OPC_EmitConvertToTarget, 14, // #30
/* 21295*/    OPC_EmitConvertToTarget, 15, // #31
/* 21297*/    OPC_EmitConvertToTarget, 16, // #32
/* 21299*/    OPC_EmitConvertToTarget, 17, // #33
/* 21301*/    OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::SHUFFLE),
                  /*MVT::v8f16*/95, 18/*#Ops*/, 0, 1, 18, 19, 20, 21, 22, 23, 24, 25, 26, 27, 28, 29, 30, 31, 32, 33, 
              // Src: (wasm_shuffle:{ *:[v8f16] } V128:{ *:[v8f16] }:$x, V128:{ *:[v8f16] }:$y, (imm:{ *:[i32] })<<P:Predicate_LaneIdx32>>:$m0, (imm:{ *:[i32] })<<P:Predicate_LaneIdx32>>:$m1, (imm:{ *:[i32] })<<P:Predicate_LaneIdx32>>:$m2, (imm:{ *:[i32] })<<P:Predicate_LaneIdx32>>:$m3, (imm:{ *:[i32] })<<P:Predicate_LaneIdx32>>:$m4, (imm:{ *:[i32] })<<P:Predicate_LaneIdx32>>:$m5, (imm:{ *:[i32] })<<P:Predicate_LaneIdx32>>:$m6, (imm:{ *:[i32] })<<P:Predicate_LaneIdx32>>:$m7, (imm:{ *:[i32] })<<P:Predicate_LaneIdx32>>:$m8, (imm:{ *:[i32] })<<P:Predicate_LaneIdx32>>:$m9, (imm:{ *:[i32] })<<P:Predicate_LaneIdx32>>:$mA, (imm:{ *:[i32] })<<P:Predicate_LaneIdx32>>:$mB, (imm:{ *:[i32] })<<P:Predicate_LaneIdx32>>:$mC, (imm:{ *:[i32] })<<P:Predicate_LaneIdx32>>:$mD, (imm:{ *:[i32] })<<P:Predicate_LaneIdx32>>:$mE, (imm:{ *:[i32] })<<P:Predicate_LaneIdx32>>:$mF) - Complexity = 67
              // Dst: (SHUFFLE:{ *:[v8f16] } ?:{ *:[v8f16] }:$x, ?:{ *:[v8f16] }:$y, (imm:{ *:[i32] }):$m0, (imm:{ *:[i32] }):$m1, (imm:{ *:[i32] }):$m2, (imm:{ *:[i32] }):$m3, (imm:{ *:[i32] }):$m4, (imm:{ *:[i32] }):$m5, (imm:{ *:[i32] }):$m6, (imm:{ *:[i32] }):$m7, (imm:{ *:[i32] }):$m8, (imm:{ *:[i32] }):$m9, (imm:{ *:[i32] }):$mA, (imm:{ *:[i32] }):$mB, (imm:{ *:[i32] }):$mC, (imm:{ *:[i32] }):$mD, (imm:{ *:[i32] }):$mE, (imm:{ *:[i32] }):$mF)
/* 21324*/   /*SwitchOpcode*/ 25|128,1/*153*/, TARGET_VAL(ISD::TargetConstant),// ->21481
/* 21328*/    OPC_CheckTypeI32,
/* 21329*/    OPC_MoveSibling3,
/* 21330*/    OPC_CheckOpcode, TARGET_VAL(ISD::TargetConstant),
/* 21333*/    OPC_RecordNode, // #3 = $m1
/* 21334*/    OPC_CheckTypeI32,
/* 21335*/    OPC_MoveSibling4,
/* 21336*/    OPC_CheckOpcode, TARGET_VAL(ISD::TargetConstant),
/* 21339*/    OPC_RecordNode, // #4 = $m2
/* 21340*/    OPC_CheckTypeI32,
/* 21341*/    OPC_MoveSibling5,
/* 21342*/    OPC_CheckOpcode, TARGET_VAL(ISD::TargetConstant),
/* 21345*/    OPC_RecordNode, // #5 = $m3
/* 21346*/    OPC_CheckTypeI32,
/* 21347*/    OPC_MoveSibling6,
/* 21348*/    OPC_CheckOpcode, TARGET_VAL(ISD::TargetConstant),
/* 21351*/    OPC_RecordNode, // #6 = $m4
/* 21352*/    OPC_CheckTypeI32,
/* 21353*/    OPC_MoveSibling7,
/* 21354*/    OPC_CheckOpcode, TARGET_VAL(ISD::TargetConstant),
/* 21357*/    OPC_RecordNode, // #7 = $m5
/* 21358*/    OPC_CheckTypeI32,
/* 21359*/    OPC_MoveSibling, 8,
/* 21361*/    OPC_CheckOpcode, TARGET_VAL(ISD::TargetConstant),
/* 21364*/    OPC_RecordNode, // #8 = $m6
/* 21365*/    OPC_CheckTypeI32,
/* 21366*/    OPC_MoveSibling, 9,
/* 21368*/    OPC_CheckOpcode, TARGET_VAL(ISD::TargetConstant),
/* 21371*/    OPC_RecordNode, // #9 = $m7
/* 21372*/    OPC_CheckTypeI32,
/* 21373*/    OPC_MoveSibling, 10,
/* 21375*/    OPC_CheckOpcode, TARGET_VAL(ISD::TargetConstant),
/* 21378*/    OPC_RecordNode, // #10 = $m8
/* 21379*/    OPC_CheckTypeI32,
/* 21380*/    OPC_MoveSibling, 11,
/* 21382*/    OPC_CheckOpcode, TARGET_VAL(ISD::TargetConstant),
/* 21385*/    OPC_RecordNode, // #11 = $m9
/* 21386*/    OPC_CheckTypeI32,
/* 21387*/    OPC_MoveSibling, 12,
/* 21389*/    OPC_CheckOpcode, TARGET_VAL(ISD::TargetConstant),
/* 21392*/    OPC_RecordNode, // #12 = $mA
/* 21393*/    OPC_CheckTypeI32,
/* 21394*/    OPC_MoveSibling, 13,
/* 21396*/    OPC_CheckOpcode, TARGET_VAL(ISD::TargetConstant),
/* 21399*/    OPC_RecordNode, // #13 = $mB
/* 21400*/    OPC_CheckTypeI32,
/* 21401*/    OPC_MoveSibling, 14,
/* 21403*/    OPC_CheckOpcode, TARGET_VAL(ISD::TargetConstant),
/* 21406*/    OPC_RecordNode, // #14 = $mC
/* 21407*/    OPC_CheckTypeI32,
/* 21408*/    OPC_MoveSibling, 15,
/* 21410*/    OPC_CheckOpcode, TARGET_VAL(ISD::TargetConstant),
/* 21413*/    OPC_RecordNode, // #15 = $mD
/* 21414*/    OPC_CheckTypeI32,
/* 21415*/    OPC_MoveSibling, 16,
/* 21417*/    OPC_CheckOpcode, TARGET_VAL(ISD::TargetConstant),
/* 21420*/    OPC_RecordNode, // #16 = $mE
/* 21421*/    OPC_CheckTypeI32,
/* 21422*/    OPC_MoveSibling, 17,
/* 21424*/    OPC_CheckOpcode, TARGET_VAL(ISD::TargetConstant),
/* 21427*/    OPC_RecordNode, // #17 = $mF
/* 21428*/    OPC_CheckTypeI32,
/* 21429*/    OPC_MoveParent,
/* 21430*/    OPC_CheckType, /*MVT::v8f16*/95, 
/* 21432*/    OPC_EmitConvertToTarget2, // #18
/* 21433*/    OPC_EmitConvertToTarget3, // #19
/* 21434*/    OPC_EmitConvertToTarget4, // #20
/* 21435*/    OPC_EmitConvertToTarget5, // #21
/* 21436*/    OPC_EmitConvertToTarget6, // #22
/* 21437*/    OPC_EmitConvertToTarget7, // #23
/* 21438*/    OPC_EmitConvertToTarget, 8, // #24
/* 21440*/    OPC_EmitConvertToTarget, 9, // #25
/* 21442*/    OPC_EmitConvertToTarget, 10, // #26
/* 21444*/    OPC_EmitConvertToTarget, 11, // #27
/* 21446*/    OPC_EmitConvertToTarget, 12, // #28
/* 21448*/    OPC_EmitConvertToTarget, 13, // #29
/* 21450*/    OPC_EmitConvertToTarget, 14, // #30
/* 21452*/    OPC_EmitConvertToTarget, 15, // #31
/* 21454*/    OPC_EmitConvertToTarget, 16, // #32
/* 21456*/    OPC_EmitConvertToTarget, 17, // #33
/* 21458*/    OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::SHUFFLE),
                  /*MVT::v8f16*/95, 18/*#Ops*/, 0, 1, 18, 19, 20, 21, 22, 23, 24, 25, 26, 27, 28, 29, 30, 31, 32, 33, 
              // Src: (wasm_shuffle:{ *:[v8f16] } V128:{ *:[v8f16] }:$x, V128:{ *:[v8f16] }:$y, (timm:{ *:[i32] }):$m0, (timm:{ *:[i32] }):$m1, (timm:{ *:[i32] }):$m2, (timm:{ *:[i32] }):$m3, (timm:{ *:[i32] }):$m4, (timm:{ *:[i32] }):$m5, (timm:{ *:[i32] }):$m6, (timm:{ *:[i32] }):$m7, (timm:{ *:[i32] }):$m8, (timm:{ *:[i32] }):$m9, (timm:{ *:[i32] }):$mA, (timm:{ *:[i32] }):$mB, (timm:{ *:[i32] }):$mC, (timm:{ *:[i32] }):$mD, (timm:{ *:[i32] }):$mE, (timm:{ *:[i32] }):$mF) - Complexity = 51
              // Dst: (SHUFFLE:{ *:[v8f16] } ?:{ *:[v8f16] }:$x, ?:{ *:[v8f16] }:$y, (imm:{ *:[i32] }):$m0, (imm:{ *:[i32] }):$m1, (imm:{ *:[i32] }):$m2, (imm:{ *:[i32] }):$m3, (imm:{ *:[i32] }):$m4, (imm:{ *:[i32] }):$m5, (imm:{ *:[i32] }):$m6, (imm:{ *:[i32] }):$m7, (imm:{ *:[i32] }):$m8, (imm:{ *:[i32] }):$m9, (imm:{ *:[i32] }):$mA, (imm:{ *:[i32] }):$mB, (imm:{ *:[i32] }):$mC, (imm:{ *:[i32] }):$mD, (imm:{ *:[i32] }):$mE, (imm:{ *:[i32] }):$mF)
/* 21481*/   0, // EndSwitchOpcode
/* 21482*/  0, /*End of Scope*/
/* 21483*/ /*SwitchOpcode*/ 73|128,8/*1097*/, TARGET_VAL(ISD::INSERT_VECTOR_ELT),// ->22584
/* 21487*/  OPC_Scope, 6|128,1/*134*/, /*->21624*/ // 2 children in Scope
/* 21490*/   OPC_MoveChild0,
/* 21491*/   OPC_CheckOpcode, TARGET_VAL(ISD::SPLAT_VECTOR),
/* 21494*/   OPC_CheckChild0Integer, 0, 
/* 21496*/   OPC_Scope, 62, /*->21560*/ // 2 children in Scope
/* 21498*/    OPC_CheckChild0TypeI32,
/* 21499*/    OPC_MoveSibling1,
/* 21500*/    OPC_CheckOpcode, TARGET_VAL(ISD::LOAD),
/* 21503*/    OPC_RecordMemRef,
/* 21504*/    OPC_RecordNode, // #0 = 'ld' chained node
/* 21505*/    OPC_CheckFoldableChainNode,
/* 21506*/    OPC_RecordChild1, // #1 = $AddrOps32:offset:addr
/* 21507*/    OPC_CheckTypeI32,
/* 21508*/    OPC_Scope, 24, /*->21534*/ // 2 children in Scope
/* 21510*/     OPC_CheckChild1TypeI32,
/* 21511*/     OPC_CheckPredicate, 8, // Predicate_unindexedload
/* 21513*/     OPC_CheckPredicate6,  // Predicate_load
/* 21514*/     OPC_MoveParent,
/* 21515*/     OPC_CheckChild2Integer, 0, 
/* 21517*/     OPC_CheckType, /*MVT::v4i32*/62, 
/* 21519*/     OPC_CheckPatternPredicate1, // (!Subtarget->hasAddr64())
/* 21520*/     OPC_CheckComplexPat0, /*#*/1, // SelectAddrOperands32:$ #2 #3
/* 21522*/     OPC_EmitMergeInputChains1_0,
/* 21523*/     OPC_EmitInteger32, 0,  // 0 #4
/* 21525*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_ZERO_32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                   /*MVT::v4i32*/62, 3/*#Ops*/, 4, 2, 3, 
               // Src: (vector_insert:{ *:[v4i32] } (splat_vector:{ *:[v4i32] } 0:{ *:[i32] }), (ld:{ *:[i32] } (AddrOps32:{ *:[i32] } offset32_op:{ *:[i32] }:$offset, I32:{ *:[i32] }:$addr))<<P:Predicate_unindexedload>><<P:Predicate_load>>, 0:{ *:[iPTR] }) - Complexity = 29
               // Dst: (LOAD_ZERO_32_A32:{ *:[v4i32] } 0:{ *:[i32] }, offset32_op:{ *:[i32] }:$offset, I32:{ *:[i32] }:$addr)
/* 21534*/    /*Scope*/ 24, /*->21559*/
/* 21535*/     OPC_CheckChild1TypeI64,
/* 21536*/     OPC_CheckPredicate, 8, // Predicate_unindexedload
/* 21538*/     OPC_CheckPredicate6,  // Predicate_load
/* 21539*/     OPC_MoveParent,
/* 21540*/     OPC_CheckChild2Integer, 0, 
/* 21542*/     OPC_CheckType, /*MVT::v4i32*/62, 
/* 21544*/     OPC_CheckPatternPredicate2, // (Subtarget->hasAddr64())
/* 21545*/     OPC_CheckComplexPat1, /*#*/1, // SelectAddrOperands64:$ #2 #3
/* 21547*/     OPC_EmitMergeInputChains1_0,
/* 21548*/     OPC_EmitInteger32, 0,  // 0 #4
/* 21550*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_ZERO_32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                   /*MVT::v4i32*/62, 3/*#Ops*/, 4, 2, 3, 
               // Src: (vector_insert:{ *:[v4i32] } (splat_vector:{ *:[v4i32] } 0:{ *:[i32] }), (ld:{ *:[i32] } (AddrOps64:{ *:[i64] } offset64_op:{ *:[i64] }:$offset, I64:{ *:[i64] }:$addr))<<P:Predicate_unindexedload>><<P:Predicate_load>>, 0:{ *:[iPTR] }) - Complexity = 29
               // Dst: (LOAD_ZERO_32_A64:{ *:[v4i32] } 0:{ *:[i32] }, offset64_op:{ *:[i64] }:$offset, I64:{ *:[i64] }:$addr)
/* 21559*/    0, /*End of Scope*/
/* 21560*/   /*Scope*/ 62, /*->21623*/
/* 21561*/    OPC_CheckChild0TypeI64,
/* 21562*/    OPC_MoveSibling1,
/* 21563*/    OPC_CheckOpcode, TARGET_VAL(ISD::LOAD),
/* 21566*/    OPC_RecordMemRef,
/* 21567*/    OPC_RecordNode, // #0 = 'ld' chained node
/* 21568*/    OPC_CheckFoldableChainNode,
/* 21569*/    OPC_RecordChild1, // #1 = $AddrOps32:offset:addr
/* 21570*/    OPC_CheckTypeI64,
/* 21571*/    OPC_Scope, 24, /*->21597*/ // 2 children in Scope
/* 21573*/     OPC_CheckChild1TypeI32,
/* 21574*/     OPC_CheckPredicate, 8, // Predicate_unindexedload
/* 21576*/     OPC_CheckPredicate6,  // Predicate_load
/* 21577*/     OPC_MoveParent,
/* 21578*/     OPC_CheckChild2Integer, 0, 
/* 21580*/     OPC_CheckType, /*MVT::v2i64*/81, 
/* 21582*/     OPC_CheckPatternPredicate1, // (!Subtarget->hasAddr64())
/* 21583*/     OPC_CheckComplexPat0, /*#*/1, // SelectAddrOperands32:$ #2 #3
/* 21585*/     OPC_EmitMergeInputChains1_0,
/* 21586*/     OPC_EmitInteger32, 0,  // 0 #4
/* 21588*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_ZERO_64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                   /*MVT::v2i64*/81, 3/*#Ops*/, 4, 2, 3, 
               // Src: (vector_insert:{ *:[v2i64] } (splat_vector:{ *:[v2i64] } 0:{ *:[i64] }), (ld:{ *:[i64] } (AddrOps32:{ *:[i32] } offset32_op:{ *:[i32] }:$offset, I32:{ *:[i32] }:$addr))<<P:Predicate_unindexedload>><<P:Predicate_load>>, 0:{ *:[iPTR] }) - Complexity = 29
               // Dst: (LOAD_ZERO_64_A32:{ *:[v2i64] } 0:{ *:[i32] }, offset32_op:{ *:[i32] }:$offset, I32:{ *:[i32] }:$addr)
/* 21597*/    /*Scope*/ 24, /*->21622*/
/* 21598*/     OPC_CheckChild1TypeI64,
/* 21599*/     OPC_CheckPredicate, 8, // Predicate_unindexedload
/* 21601*/     OPC_CheckPredicate6,  // Predicate_load
/* 21602*/     OPC_MoveParent,
/* 21603*/     OPC_CheckChild2Integer, 0, 
/* 21605*/     OPC_CheckType, /*MVT::v2i64*/81, 
/* 21607*/     OPC_CheckPatternPredicate2, // (Subtarget->hasAddr64())
/* 21608*/     OPC_CheckComplexPat1, /*#*/1, // SelectAddrOperands64:$ #2 #3
/* 21610*/     OPC_EmitMergeInputChains1_0,
/* 21611*/     OPC_EmitInteger32, 0,  // 0 #4
/* 21613*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_ZERO_64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                   /*MVT::v2i64*/81, 3/*#Ops*/, 4, 2, 3, 
               // Src: (vector_insert:{ *:[v2i64] } (splat_vector:{ *:[v2i64] } 0:{ *:[i64] }), (ld:{ *:[i64] } (AddrOps64:{ *:[i64] } offset64_op:{ *:[i64] }:$offset, I64:{ *:[i64] }:$addr))<<P:Predicate_unindexedload>><<P:Predicate_load>>, 0:{ *:[iPTR] }) - Complexity = 29
               // Dst: (LOAD_ZERO_64_A64:{ *:[v2i64] } 0:{ *:[i32] }, offset64_op:{ *:[i64] }:$offset, I64:{ *:[i64] }:$addr)
/* 21622*/    0, /*End of Scope*/
/* 21623*/   0, /*End of Scope*/
/* 21624*/  /*Scope*/ 61|128,7/*957*/, /*->22583*/
/* 21626*/   OPC_RecordChild0, // #0 = $vec
/* 21627*/   OPC_Scope, 32|128,3/*416*/, /*->22046*/ // 4 children in Scope
/* 21630*/    OPC_MoveChild1,
/* 21631*/    OPC_CheckOpcode, TARGET_VAL(ISD::LOAD),
/* 21634*/    OPC_RecordMemRef,
/* 21635*/    OPC_RecordNode, // #1 = 'ld' chained node
/* 21636*/    OPC_CheckFoldableChainNode,
/* 21637*/    OPC_RecordChild1, // #2 = $addr
/* 21638*/    OPC_Scope, 73|128,1/*201*/, /*->21842*/ // 2 children in Scope
/* 21641*/     OPC_CheckChild1TypeI32,
/* 21642*/     OPC_CheckPredicate, 8, // Predicate_unindexedload
/* 21644*/     OPC_Scope, 67, /*->21713*/ // 2 children in Scope
/* 21646*/      OPC_CheckPredicate, 10, // Predicate_extload
/* 21648*/      OPC_CheckTypeI32,
/* 21649*/      OPC_Scope, 30, /*->21681*/ // 2 children in Scope
/* 21651*/       OPC_CheckPredicate1,  // Predicate_extloadi8
/* 21652*/       OPC_MoveSibling2,
/* 21653*/       OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 21656*/       OPC_RecordNode, // #3 = $idx
/* 21657*/       OPC_CheckPredicate, 20, // Predicate_LaneIdx16
/* 21659*/       OPC_CheckTypeI32,
/* 21660*/       OPC_MoveParent,
/* 21661*/       OPC_CheckType, /*MVT::v16i8*/40, 
/* 21663*/       OPC_CheckPatternPredicate1, // (!Subtarget->hasAddr64())
/* 21664*/       OPC_EmitMergeInputChains1_1,
/* 21665*/       OPC_EmitInteger32, 0,  // 0 #4
/* 21667*/       OPC_EmitInteger32, 0,  // 0 #5
/* 21669*/       OPC_EmitConvertToTarget3, // #6
/* 21670*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_LANE_8_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     /*MVT::v16i8*/40, 5/*#Ops*/, 4, 5, 6, 2, 0, 
                 // Src: (vector_insert:{ *:[v16i8] } V128:{ *:[v16i8] }:$vec, (ld:{ *:[i32] } I32:{ *:[i32] }:$addr)<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi8>>, (imm:{ *:[i32] })<<P:Predicate_LaneIdx16>>:$idx) - Complexity = 11
                 // Dst: (LOAD_LANE_8_A32:{ *:[v16i8] } 0:{ *:[i32] }, 0:{ *:[i32] }, (imm:{ *:[i32] }):$idx, ?:{ *:[i32] }:$addr, ?:{ *:[v16i8] }:$vec)
/* 21681*/      /*Scope*/ 30, /*->21712*/
/* 21682*/       OPC_CheckPredicate2,  // Predicate_extloadi16
/* 21683*/       OPC_MoveSibling2,
/* 21684*/       OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 21687*/       OPC_RecordNode, // #3 = $idx
/* 21688*/       OPC_CheckPredicate, 14, // Predicate_LaneIdx8
/* 21690*/       OPC_CheckTypeI32,
/* 21691*/       OPC_MoveParent,
/* 21692*/       OPC_CheckType, /*MVT::v8i16*/51, 
/* 21694*/       OPC_CheckPatternPredicate1, // (!Subtarget->hasAddr64())
/* 21695*/       OPC_EmitMergeInputChains1_1,
/* 21696*/       OPC_EmitInteger32, 0,  // 0 #4
/* 21698*/       OPC_EmitInteger32, 0,  // 0 #5
/* 21700*/       OPC_EmitConvertToTarget3, // #6
/* 21701*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_LANE_16_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     /*MVT::v8i16*/51, 5/*#Ops*/, 4, 5, 6, 2, 0, 
                 // Src: (vector_insert:{ *:[v8i16] } V128:{ *:[v8i16] }:$vec, (ld:{ *:[i32] } I32:{ *:[i32] }:$addr)<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi16>>, (imm:{ *:[i32] })<<P:Predicate_LaneIdx8>>:$idx) - Complexity = 11
                 // Dst: (LOAD_LANE_16_A32:{ *:[v8i16] } 0:{ *:[i32] }, 0:{ *:[i32] }, (imm:{ *:[i32] }):$idx, ?:{ *:[i32] }:$addr, ?:{ *:[v8i16] }:$vec)
/* 21712*/      0, /*End of Scope*/
/* 21713*/     /*Scope*/ 127, /*->21841*/
/* 21714*/      OPC_CheckPredicate6,  // Predicate_load
/* 21715*/      OPC_SwitchType /*4 cases */, 29, /*MVT::i32*/7, // ->21747
/* 21718*/       OPC_MoveSibling2,
/* 21719*/       OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 21722*/       OPC_RecordNode, // #3 = $idx
/* 21723*/       OPC_CheckPredicate, 11, // Predicate_LaneIdx4
/* 21725*/       OPC_CheckTypeI32,
/* 21726*/       OPC_MoveParent,
/* 21727*/       OPC_CheckType, /*MVT::v4i32*/62, 
/* 21729*/       OPC_CheckPatternPredicate1, // (!Subtarget->hasAddr64())
/* 21730*/       OPC_EmitMergeInputChains1_1,
/* 21731*/       OPC_EmitInteger32, 0,  // 0 #4
/* 21733*/       OPC_EmitInteger32, 0,  // 0 #5
/* 21735*/       OPC_EmitConvertToTarget3, // #6
/* 21736*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_LANE_32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     /*MVT::v4i32*/62, 5/*#Ops*/, 4, 5, 6, 2, 0, 
                 // Src: (vector_insert:{ *:[v4i32] } V128:{ *:[v4i32] }:$vec, (ld:{ *:[i32] } I32:{ *:[i32] }:$addr)<<P:Predicate_unindexedload>><<P:Predicate_load>>, (imm:{ *:[i32] })<<P:Predicate_LaneIdx4>>:$idx) - Complexity = 11
                 // Dst: (LOAD_LANE_32_A32:{ *:[v4i32] } 0:{ *:[i32] }, 0:{ *:[i32] }, (imm:{ *:[i32] }):$idx, ?:{ *:[i32] }:$addr, ?:{ *:[v4i32] }:$vec)
/* 21747*/      /*SwitchType*/ 29, /*MVT::f32*/12, // ->21778
/* 21749*/       OPC_MoveSibling2,
/* 21750*/       OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 21753*/       OPC_RecordNode, // #3 = $idx
/* 21754*/       OPC_CheckPredicate, 11, // Predicate_LaneIdx4
/* 21756*/       OPC_CheckTypeI32,
/* 21757*/       OPC_MoveParent,
/* 21758*/       OPC_CheckType, /*MVT::v4i32*/62, 
/* 21760*/       OPC_CheckPatternPredicate1, // (!Subtarget->hasAddr64())
/* 21761*/       OPC_EmitMergeInputChains1_1,
/* 21762*/       OPC_EmitInteger32, 0,  // 0 #4
/* 21764*/       OPC_EmitInteger32, 0,  // 0 #5
/* 21766*/       OPC_EmitConvertToTarget3, // #6
/* 21767*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_LANE_32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     /*MVT::v4i32*/62, 5/*#Ops*/, 4, 5, 6, 2, 0, 
                 // Src: (vector_insert:{ *:[v4i32] } V128:{ *:[v4i32] }:$vec, (ld:{ *:[f32] } I32:{ *:[i32] }:$addr)<<P:Predicate_unindexedload>><<P:Predicate_load>>, (imm:{ *:[i32] })<<P:Predicate_LaneIdx4>>:$idx) - Complexity = 11
                 // Dst: (LOAD_LANE_32_A32:{ *:[v4i32] } 0:{ *:[i32] }, 0:{ *:[i32] }, (imm:{ *:[i32] }):$idx, ?:{ *:[i32] }:$addr, ?:{ *:[v4i32] }:$vec)
/* 21778*/      /*SwitchType*/ 29, /*MVT::i64*/8, // ->21809
/* 21780*/       OPC_MoveSibling2,
/* 21781*/       OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 21784*/       OPC_RecordNode, // #3 = $idx
/* 21785*/       OPC_CheckPredicate, 12, // Predicate_LaneIdx2
/* 21787*/       OPC_CheckTypeI32,
/* 21788*/       OPC_MoveParent,
/* 21789*/       OPC_CheckType, /*MVT::v2i64*/81, 
/* 21791*/       OPC_CheckPatternPredicate1, // (!Subtarget->hasAddr64())
/* 21792*/       OPC_EmitMergeInputChains1_1,
/* 21793*/       OPC_EmitInteger32, 0,  // 0 #4
/* 21795*/       OPC_EmitInteger32, 0,  // 0 #5
/* 21797*/       OPC_EmitConvertToTarget3, // #6
/* 21798*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_LANE_64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     /*MVT::v2i64*/81, 5/*#Ops*/, 4, 5, 6, 2, 0, 
                 // Src: (vector_insert:{ *:[v2i64] } V128:{ *:[v2i64] }:$vec, (ld:{ *:[i64] } I32:{ *:[i32] }:$addr)<<P:Predicate_unindexedload>><<P:Predicate_load>>, (imm:{ *:[i32] })<<P:Predicate_LaneIdx2>>:$idx) - Complexity = 11
                 // Dst: (LOAD_LANE_64_A32:{ *:[v2i64] } 0:{ *:[i32] }, 0:{ *:[i32] }, (imm:{ *:[i32] }):$idx, ?:{ *:[i32] }:$addr, ?:{ *:[v2i64] }:$vec)
/* 21809*/      /*SwitchType*/ 29, /*MVT::f64*/13, // ->21840
/* 21811*/       OPC_MoveSibling2,
/* 21812*/       OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 21815*/       OPC_RecordNode, // #3 = $idx
/* 21816*/       OPC_CheckPredicate, 12, // Predicate_LaneIdx2
/* 21818*/       OPC_CheckTypeI32,
/* 21819*/       OPC_MoveParent,
/* 21820*/       OPC_CheckType, /*MVT::v2i64*/81, 
/* 21822*/       OPC_CheckPatternPredicate1, // (!Subtarget->hasAddr64())
/* 21823*/       OPC_EmitMergeInputChains1_1,
/* 21824*/       OPC_EmitInteger32, 0,  // 0 #4
/* 21826*/       OPC_EmitInteger32, 0,  // 0 #5
/* 21828*/       OPC_EmitConvertToTarget3, // #6
/* 21829*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_LANE_64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     /*MVT::v2i64*/81, 5/*#Ops*/, 4, 5, 6, 2, 0, 
                 // Src: (vector_insert:{ *:[v2i64] } V128:{ *:[v2i64] }:$vec, (ld:{ *:[f64] } I32:{ *:[i32] }:$addr)<<P:Predicate_unindexedload>><<P:Predicate_load>>, (imm:{ *:[i32] })<<P:Predicate_LaneIdx2>>:$idx) - Complexity = 11
                 // Dst: (LOAD_LANE_64_A32:{ *:[v2i64] } 0:{ *:[i32] }, 0:{ *:[i32] }, (imm:{ *:[i32] }):$idx, ?:{ *:[i32] }:$addr, ?:{ *:[v2i64] }:$vec)
/* 21840*/      0, // EndSwitchType
/* 21841*/     0, /*End of Scope*/
/* 21842*/    /*Scope*/ 73|128,1/*201*/, /*->22045*/
/* 21844*/     OPC_CheckChild1TypeI64,
/* 21845*/     OPC_CheckPredicate, 8, // Predicate_unindexedload
/* 21847*/     OPC_Scope, 67, /*->21916*/ // 2 children in Scope
/* 21849*/      OPC_CheckPredicate, 10, // Predicate_extload
/* 21851*/      OPC_CheckTypeI32,
/* 21852*/      OPC_Scope, 30, /*->21884*/ // 2 children in Scope
/* 21854*/       OPC_CheckPredicate1,  // Predicate_extloadi8
/* 21855*/       OPC_MoveSibling2,
/* 21856*/       OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 21859*/       OPC_RecordNode, // #3 = $idx
/* 21860*/       OPC_CheckPredicate, 20, // Predicate_LaneIdx16
/* 21862*/       OPC_CheckTypeI32,
/* 21863*/       OPC_MoveParent,
/* 21864*/       OPC_CheckType, /*MVT::v16i8*/40, 
/* 21866*/       OPC_CheckPatternPredicate2, // (Subtarget->hasAddr64())
/* 21867*/       OPC_EmitMergeInputChains1_1,
/* 21868*/       OPC_EmitInteger32, 0,  // 0 #4
/* 21870*/       OPC_EmitInteger64, 0,  // 0 #5
/* 21872*/       OPC_EmitConvertToTarget3, // #6
/* 21873*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_LANE_8_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     /*MVT::v16i8*/40, 5/*#Ops*/, 4, 5, 6, 2, 0, 
                 // Src: (vector_insert:{ *:[v16i8] } V128:{ *:[v16i8] }:$vec, (ld:{ *:[i32] } I64:{ *:[i64] }:$addr)<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi8>>, (imm:{ *:[i32] })<<P:Predicate_LaneIdx16>>:$idx) - Complexity = 11
                 // Dst: (LOAD_LANE_8_A64:{ *:[v16i8] } 0:{ *:[i32] }, 0:{ *:[i64] }, (imm:{ *:[i32] }):$idx, ?:{ *:[i64] }:$addr, ?:{ *:[v16i8] }:$vec)
/* 21884*/      /*Scope*/ 30, /*->21915*/
/* 21885*/       OPC_CheckPredicate2,  // Predicate_extloadi16
/* 21886*/       OPC_MoveSibling2,
/* 21887*/       OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 21890*/       OPC_RecordNode, // #3 = $idx
/* 21891*/       OPC_CheckPredicate, 14, // Predicate_LaneIdx8
/* 21893*/       OPC_CheckTypeI32,
/* 21894*/       OPC_MoveParent,
/* 21895*/       OPC_CheckType, /*MVT::v8i16*/51, 
/* 21897*/       OPC_CheckPatternPredicate2, // (Subtarget->hasAddr64())
/* 21898*/       OPC_EmitMergeInputChains1_1,
/* 21899*/       OPC_EmitInteger32, 0,  // 0 #4
/* 21901*/       OPC_EmitInteger64, 0,  // 0 #5
/* 21903*/       OPC_EmitConvertToTarget3, // #6
/* 21904*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_LANE_16_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     /*MVT::v8i16*/51, 5/*#Ops*/, 4, 5, 6, 2, 0, 
                 // Src: (vector_insert:{ *:[v8i16] } V128:{ *:[v8i16] }:$vec, (ld:{ *:[i32] } I64:{ *:[i64] }:$addr)<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi16>>, (imm:{ *:[i32] })<<P:Predicate_LaneIdx8>>:$idx) - Complexity = 11
                 // Dst: (LOAD_LANE_16_A64:{ *:[v8i16] } 0:{ *:[i32] }, 0:{ *:[i64] }, (imm:{ *:[i32] }):$idx, ?:{ *:[i64] }:$addr, ?:{ *:[v8i16] }:$vec)
/* 21915*/      0, /*End of Scope*/
/* 21916*/     /*Scope*/ 127, /*->22044*/
/* 21917*/      OPC_CheckPredicate6,  // Predicate_load
/* 21918*/      OPC_SwitchType /*4 cases */, 29, /*MVT::i32*/7, // ->21950
/* 21921*/       OPC_MoveSibling2,
/* 21922*/       OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 21925*/       OPC_RecordNode, // #3 = $idx
/* 21926*/       OPC_CheckPredicate, 11, // Predicate_LaneIdx4
/* 21928*/       OPC_CheckTypeI32,
/* 21929*/       OPC_MoveParent,
/* 21930*/       OPC_CheckType, /*MVT::v4i32*/62, 
/* 21932*/       OPC_CheckPatternPredicate2, // (Subtarget->hasAddr64())
/* 21933*/       OPC_EmitMergeInputChains1_1,
/* 21934*/       OPC_EmitInteger32, 0,  // 0 #4
/* 21936*/       OPC_EmitInteger64, 0,  // 0 #5
/* 21938*/       OPC_EmitConvertToTarget3, // #6
/* 21939*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_LANE_32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     /*MVT::v4i32*/62, 5/*#Ops*/, 4, 5, 6, 2, 0, 
                 // Src: (vector_insert:{ *:[v4i32] } V128:{ *:[v4i32] }:$vec, (ld:{ *:[i32] } I64:{ *:[i64] }:$addr)<<P:Predicate_unindexedload>><<P:Predicate_load>>, (imm:{ *:[i32] })<<P:Predicate_LaneIdx4>>:$idx) - Complexity = 11
                 // Dst: (LOAD_LANE_32_A64:{ *:[v4i32] } 0:{ *:[i32] }, 0:{ *:[i64] }, (imm:{ *:[i32] }):$idx, ?:{ *:[i64] }:$addr, ?:{ *:[v4i32] }:$vec)
/* 21950*/      /*SwitchType*/ 29, /*MVT::f32*/12, // ->21981
/* 21952*/       OPC_MoveSibling2,
/* 21953*/       OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 21956*/       OPC_RecordNode, // #3 = $idx
/* 21957*/       OPC_CheckPredicate, 11, // Predicate_LaneIdx4
/* 21959*/       OPC_CheckTypeI32,
/* 21960*/       OPC_MoveParent,
/* 21961*/       OPC_CheckType, /*MVT::v4i32*/62, 
/* 21963*/       OPC_CheckPatternPredicate2, // (Subtarget->hasAddr64())
/* 21964*/       OPC_EmitMergeInputChains1_1,
/* 21965*/       OPC_EmitInteger32, 0,  // 0 #4
/* 21967*/       OPC_EmitInteger64, 0,  // 0 #5
/* 21969*/       OPC_EmitConvertToTarget3, // #6
/* 21970*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_LANE_32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     /*MVT::v4i32*/62, 5/*#Ops*/, 4, 5, 6, 2, 0, 
                 // Src: (vector_insert:{ *:[v4i32] } V128:{ *:[v4i32] }:$vec, (ld:{ *:[f32] } I64:{ *:[i64] }:$addr)<<P:Predicate_unindexedload>><<P:Predicate_load>>, (imm:{ *:[i32] })<<P:Predicate_LaneIdx4>>:$idx) - Complexity = 11
                 // Dst: (LOAD_LANE_32_A64:{ *:[v4i32] } 0:{ *:[i32] }, 0:{ *:[i64] }, (imm:{ *:[i32] }):$idx, ?:{ *:[i64] }:$addr, ?:{ *:[v4i32] }:$vec)
/* 21981*/      /*SwitchType*/ 29, /*MVT::i64*/8, // ->22012
/* 21983*/       OPC_MoveSibling2,
/* 21984*/       OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 21987*/       OPC_RecordNode, // #3 = $idx
/* 21988*/       OPC_CheckPredicate, 12, // Predicate_LaneIdx2
/* 21990*/       OPC_CheckTypeI32,
/* 21991*/       OPC_MoveParent,
/* 21992*/       OPC_CheckType, /*MVT::v2i64*/81, 
/* 21994*/       OPC_CheckPatternPredicate2, // (Subtarget->hasAddr64())
/* 21995*/       OPC_EmitMergeInputChains1_1,
/* 21996*/       OPC_EmitInteger32, 0,  // 0 #4
/* 21998*/       OPC_EmitInteger64, 0,  // 0 #5
/* 22000*/       OPC_EmitConvertToTarget3, // #6
/* 22001*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_LANE_64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     /*MVT::v2i64*/81, 5/*#Ops*/, 4, 5, 6, 2, 0, 
                 // Src: (vector_insert:{ *:[v2i64] } V128:{ *:[v2i64] }:$vec, (ld:{ *:[i64] } I64:{ *:[i64] }:$addr)<<P:Predicate_unindexedload>><<P:Predicate_load>>, (imm:{ *:[i32] })<<P:Predicate_LaneIdx2>>:$idx) - Complexity = 11
                 // Dst: (LOAD_LANE_64_A64:{ *:[v2i64] } 0:{ *:[i32] }, 0:{ *:[i64] }, (imm:{ *:[i32] }):$idx, ?:{ *:[i64] }:$addr, ?:{ *:[v2i64] }:$vec)
/* 22012*/      /*SwitchType*/ 29, /*MVT::f64*/13, // ->22043
/* 22014*/       OPC_MoveSibling2,
/* 22015*/       OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 22018*/       OPC_RecordNode, // #3 = $idx
/* 22019*/       OPC_CheckPredicate, 12, // Predicate_LaneIdx2
/* 22021*/       OPC_CheckTypeI32,
/* 22022*/       OPC_MoveParent,
/* 22023*/       OPC_CheckType, /*MVT::v2i64*/81, 
/* 22025*/       OPC_CheckPatternPredicate2, // (Subtarget->hasAddr64())
/* 22026*/       OPC_EmitMergeInputChains1_1,
/* 22027*/       OPC_EmitInteger32, 0,  // 0 #4
/* 22029*/       OPC_EmitInteger64, 0,  // 0 #5
/* 22031*/       OPC_EmitConvertToTarget3, // #6
/* 22032*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_LANE_64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     /*MVT::v2i64*/81, 5/*#Ops*/, 4, 5, 6, 2, 0, 
                 // Src: (vector_insert:{ *:[v2i64] } V128:{ *:[v2i64] }:$vec, (ld:{ *:[f64] } I64:{ *:[i64] }:$addr)<<P:Predicate_unindexedload>><<P:Predicate_load>>, (imm:{ *:[i32] })<<P:Predicate_LaneIdx2>>:$idx) - Complexity = 11
                 // Dst: (LOAD_LANE_64_A64:{ *:[v2i64] } 0:{ *:[i32] }, 0:{ *:[i64] }, (imm:{ *:[i32] }):$idx, ?:{ *:[i64] }:$addr, ?:{ *:[v2i64] }:$vec)
/* 22043*/      0, // EndSwitchType
/* 22044*/     0, /*End of Scope*/
/* 22045*/    0, /*End of Scope*/
/* 22046*/   /*Scope*/ 24|128,1/*152*/, /*->22200*/
/* 22048*/    OPC_RecordChild1, // #1 = $x
/* 22049*/    OPC_Scope, 104, /*->22155*/ // 2 children in Scope
/* 22051*/     OPC_CheckChild1TypeI32,
/* 22052*/     OPC_Scope, 56, /*->22110*/ // 2 children in Scope
/* 22054*/      OPC_RecordChild2, // #2 = $idx
/* 22055*/      OPC_MoveChild2,
/* 22056*/      OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 22059*/      OPC_CheckTypeI32,
/* 22060*/      OPC_Scope, 15, /*->22077*/ // 3 children in Scope
/* 22062*/       OPC_CheckPredicate, 20, // Predicate_LaneIdx16
/* 22064*/       OPC_MoveParent,
/* 22065*/       OPC_CheckType, /*MVT::v16i8*/40, 
/* 22067*/       OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/* 22068*/       OPC_EmitConvertToTarget2, // #3
/* 22069*/       OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::REPLACE_LANE_I8x16),
                     /*MVT::v16i8*/40, 3/*#Ops*/, 0, 3, 1, 
                 // Src: (vector_insert:{ *:[v16i8] } V128:{ *:[v16i8] }:$vec, I32:{ *:[i32] }:$x, (imm:{ *:[i32] })<<P:Predicate_LaneIdx16>>:$idx) - Complexity = 7
                 // Dst: (REPLACE_LANE_I8x16:{ *:[v16i8] } V128:{ *:[v16i8] }:$vec, (imm:{ *:[i32] }):$idx, I32:{ *:[i32] }:$x)
/* 22077*/      /*Scope*/ 15, /*->22093*/
/* 22078*/       OPC_CheckPredicate, 14, // Predicate_LaneIdx8
/* 22080*/       OPC_MoveParent,
/* 22081*/       OPC_CheckType, /*MVT::v8i16*/51, 
/* 22083*/       OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/* 22084*/       OPC_EmitConvertToTarget2, // #3
/* 22085*/       OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::REPLACE_LANE_I16x8),
                     /*MVT::v8i16*/51, 3/*#Ops*/, 0, 3, 1, 
                 // Src: (vector_insert:{ *:[v8i16] } V128:{ *:[v8i16] }:$vec, I32:{ *:[i32] }:$x, (imm:{ *:[i32] })<<P:Predicate_LaneIdx8>>:$idx) - Complexity = 7
                 // Dst: (REPLACE_LANE_I16x8:{ *:[v8i16] } V128:{ *:[v8i16] }:$vec, (imm:{ *:[i32] }):$idx, I32:{ *:[i32] }:$x)
/* 22093*/      /*Scope*/ 15, /*->22109*/
/* 22094*/       OPC_CheckPredicate, 11, // Predicate_LaneIdx4
/* 22096*/       OPC_MoveParent,
/* 22097*/       OPC_CheckType, /*MVT::v4i32*/62, 
/* 22099*/       OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/* 22100*/       OPC_EmitConvertToTarget2, // #3
/* 22101*/       OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::REPLACE_LANE_I32x4),
                     /*MVT::v4i32*/62, 3/*#Ops*/, 0, 3, 1, 
                 // Src: (vector_insert:{ *:[v4i32] } V128:{ *:[v4i32] }:$vec, I32:{ *:[i32] }:$x, (imm:{ *:[i32] })<<P:Predicate_LaneIdx4>>:$idx) - Complexity = 7
                 // Dst: (REPLACE_LANE_I32x4:{ *:[v4i32] } V128:{ *:[v4i32] }:$vec, (imm:{ *:[i32] }):$idx, I32:{ *:[i32] }:$x)
/* 22109*/      0, /*End of Scope*/
/* 22110*/     /*Scope*/ 43, /*->22154*/
/* 22111*/      OPC_MoveChild2,
/* 22112*/      OPC_CheckOpcode, TARGET_VAL(ISD::UNDEF),
/* 22115*/      OPC_MoveParent,
/* 22116*/      OPC_SwitchType /*3 cases */, 10, /*MVT::v16i8*/40, // ->22129
/* 22119*/       OPC_EmitInteger32, 0,  // 0 #2
/* 22121*/       OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::REPLACE_LANE_I8x16),
                     /*MVT::v16i8*/40, 3/*#Ops*/, 0, 2, 1, 
                 // Src: (vector_insert:{ *:[v16i8] } V128:{ *:[v16i8] }:$vec, I32:{ *:[i32] }:$x, (undef:{ *:[iPTR] })) - Complexity = 6
                 // Dst: (REPLACE_LANE_I8x16:{ *:[v16i8] } ?:{ *:[v16i8] }:$vec, 0:{ *:[i32] }, ?:{ *:[i32] }:$x)
/* 22129*/      /*SwitchType*/ 10, /*MVT::v8i16*/51, // ->22141
/* 22131*/       OPC_EmitInteger32, 0,  // 0 #2
/* 22133*/       OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::REPLACE_LANE_I16x8),
                     /*MVT::v8i16*/51, 3/*#Ops*/, 0, 2, 1, 
                 // Src: (vector_insert:{ *:[v8i16] } V128:{ *:[v8i16] }:$vec, I32:{ *:[i32] }:$x, (undef:{ *:[iPTR] })) - Complexity = 6
                 // Dst: (REPLACE_LANE_I16x8:{ *:[v8i16] } ?:{ *:[v8i16] }:$vec, 0:{ *:[i32] }, ?:{ *:[i32] }:$x)
/* 22141*/      /*SwitchType*/ 10, /*MVT::v4i32*/62, // ->22153
/* 22143*/       OPC_EmitInteger32, 0,  // 0 #2
/* 22145*/       OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::REPLACE_LANE_I32x4),
                     /*MVT::v4i32*/62, 3/*#Ops*/, 0, 2, 1, 
                 // Src: (vector_insert:{ *:[v4i32] } V128:{ *:[v4i32] }:$vec, I32:{ *:[i32] }:$x, (undef:{ *:[iPTR] })) - Complexity = 6
                 // Dst: (REPLACE_LANE_I32x4:{ *:[v4i32] } ?:{ *:[v4i32] }:$vec, 0:{ *:[i32] }, ?:{ *:[i32] }:$x)
/* 22153*/      0, // EndSwitchType
/* 22154*/     0, /*End of Scope*/
/* 22155*/    /*Scope*/ 43, /*->22199*/
/* 22156*/     OPC_CheckChild1TypeI64,
/* 22157*/     OPC_Scope, 21, /*->22180*/ // 2 children in Scope
/* 22159*/      OPC_RecordChild2, // #2 = $idx
/* 22160*/      OPC_MoveChild2,
/* 22161*/      OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 22164*/      OPC_CheckPredicate, 12, // Predicate_LaneIdx2
/* 22166*/      OPC_CheckTypeI32,
/* 22167*/      OPC_MoveParent,
/* 22168*/      OPC_CheckType, /*MVT::v2i64*/81, 
/* 22170*/      OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/* 22171*/      OPC_EmitConvertToTarget2, // #3
/* 22172*/      OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::REPLACE_LANE_I64x2),
                    /*MVT::v2i64*/81, 3/*#Ops*/, 0, 3, 1, 
                // Src: (vector_insert:{ *:[v2i64] } V128:{ *:[v2i64] }:$vec, I64:{ *:[i64] }:$x, (imm:{ *:[i32] })<<P:Predicate_LaneIdx2>>:$idx) - Complexity = 7
                // Dst: (REPLACE_LANE_I64x2:{ *:[v2i64] } V128:{ *:[v2i64] }:$vec, (imm:{ *:[i32] }):$idx, I64:{ *:[i64] }:$x)
/* 22180*/     /*Scope*/ 17, /*->22198*/
/* 22181*/      OPC_MoveChild2,
/* 22182*/      OPC_CheckOpcode, TARGET_VAL(ISD::UNDEF),
/* 22185*/      OPC_MoveParent,
/* 22186*/      OPC_CheckType, /*MVT::v2i64*/81, 
/* 22188*/      OPC_EmitInteger32, 0,  // 0 #2
/* 22190*/      OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::REPLACE_LANE_I64x2),
                    /*MVT::v2i64*/81, 3/*#Ops*/, 0, 2, 1, 
                // Src: (vector_insert:{ *:[v2i64] } V128:{ *:[v2i64] }:$vec, I64:{ *:[i64] }:$x, (undef:{ *:[iPTR] })) - Complexity = 6
                // Dst: (REPLACE_LANE_I64x2:{ *:[v2i64] } ?:{ *:[v2i64] }:$vec, 0:{ *:[i32] }, ?:{ *:[i64] }:$x)
/* 22198*/     0, /*End of Scope*/
/* 22199*/    0, /*End of Scope*/
/* 22200*/   /*Scope*/ 26|128,2/*282*/, /*->22484*/
/* 22202*/    OPC_MoveChild1,
/* 22203*/    OPC_CheckOpcode, TARGET_VAL(ISD::LOAD),
/* 22206*/    OPC_RecordMemRef,
/* 22207*/    OPC_RecordNode, // #1 = 'ld' chained node
/* 22208*/    OPC_CheckFoldableChainNode,
/* 22209*/    OPC_RecordChild1, // #2 = $addr
/* 22210*/    OPC_Scope, 6|128,1/*134*/, /*->22347*/ // 2 children in Scope
/* 22213*/     OPC_CheckChild1TypeI32,
/* 22214*/     OPC_CheckPredicate, 8, // Predicate_unindexedload
/* 22216*/     OPC_CheckPredicate6,  // Predicate_load
/* 22217*/     OPC_SwitchType /*4 cases */, 29, /*MVT::i32*/7, // ->22249
/* 22220*/      OPC_MoveSibling2,
/* 22221*/      OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 22224*/      OPC_RecordNode, // #3 = $idx
/* 22225*/      OPC_CheckPredicate, 11, // Predicate_LaneIdx4
/* 22227*/      OPC_CheckTypeI32,
/* 22228*/      OPC_MoveParent,
/* 22229*/      OPC_CheckType, /*MVT::v4f32*/116, 
/* 22231*/      OPC_CheckPatternPredicate1, // (!Subtarget->hasAddr64())
/* 22232*/      OPC_EmitMergeInputChains1_1,
/* 22233*/      OPC_EmitInteger32, 0,  // 0 #4
/* 22235*/      OPC_EmitInteger32, 0,  // 0 #5
/* 22237*/      OPC_EmitConvertToTarget3, // #6
/* 22238*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_LANE_32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    /*MVT::v4f32*/116, 5/*#Ops*/, 4, 5, 6, 2, 0, 
                // Src: (vector_insert:{ *:[v4f32] } V128:{ *:[v4f32] }:$vec, (ld:{ *:[i32] } I32:{ *:[i32] }:$addr)<<P:Predicate_unindexedload>><<P:Predicate_load>>, (imm:{ *:[i32] })<<P:Predicate_LaneIdx4>>:$idx) - Complexity = 11
                // Dst: (LOAD_LANE_32_A32:{ *:[v4f32] } 0:{ *:[i32] }, 0:{ *:[i32] }, (imm:{ *:[i32] }):$idx, ?:{ *:[i32] }:$addr, ?:{ *:[v4f32] }:$vec)
/* 22249*/     /*SwitchType*/ 29, /*MVT::f32*/12, // ->22280
/* 22251*/      OPC_MoveSibling2,
/* 22252*/      OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 22255*/      OPC_RecordNode, // #3 = $idx
/* 22256*/      OPC_CheckPredicate, 11, // Predicate_LaneIdx4
/* 22258*/      OPC_CheckTypeI32,
/* 22259*/      OPC_MoveParent,
/* 22260*/      OPC_CheckType, /*MVT::v4f32*/116, 
/* 22262*/      OPC_CheckPatternPredicate1, // (!Subtarget->hasAddr64())
/* 22263*/      OPC_EmitMergeInputChains1_1,
/* 22264*/      OPC_EmitInteger32, 0,  // 0 #4
/* 22266*/      OPC_EmitInteger32, 0,  // 0 #5
/* 22268*/      OPC_EmitConvertToTarget3, // #6
/* 22269*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_LANE_32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    /*MVT::v4f32*/116, 5/*#Ops*/, 4, 5, 6, 2, 0, 
                // Src: (vector_insert:{ *:[v4f32] } V128:{ *:[v4f32] }:$vec, (ld:{ *:[f32] } I32:{ *:[i32] }:$addr)<<P:Predicate_unindexedload>><<P:Predicate_load>>, (imm:{ *:[i32] })<<P:Predicate_LaneIdx4>>:$idx) - Complexity = 11
                // Dst: (LOAD_LANE_32_A32:{ *:[v4f32] } 0:{ *:[i32] }, 0:{ *:[i32] }, (imm:{ *:[i32] }):$idx, ?:{ *:[i32] }:$addr, ?:{ *:[v4f32] }:$vec)
/* 22280*/     /*SwitchType*/ 31, /*MVT::i64*/8, // ->22313
/* 22282*/      OPC_MoveSibling2,
/* 22283*/      OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 22286*/      OPC_RecordNode, // #3 = $idx
/* 22287*/      OPC_CheckPredicate, 12, // Predicate_LaneIdx2
/* 22289*/      OPC_CheckTypeI32,
/* 22290*/      OPC_MoveParent,
/* 22291*/      OPC_CheckType, /*MVT::v2f64*/6|128,1/*134*/, 
/* 22294*/      OPC_CheckPatternPredicate1, // (!Subtarget->hasAddr64())
/* 22295*/      OPC_EmitMergeInputChains1_1,
/* 22296*/      OPC_EmitInteger32, 0,  // 0 #4
/* 22298*/      OPC_EmitInteger32, 0,  // 0 #5
/* 22300*/      OPC_EmitConvertToTarget3, // #6
/* 22301*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_LANE_64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    /*MVT::v2f64*/6|128,1/*134*/, 5/*#Ops*/, 4, 5, 6, 2, 0, 
                // Src: (vector_insert:{ *:[v2f64] } V128:{ *:[v2f64] }:$vec, (ld:{ *:[i64] } I32:{ *:[i32] }:$addr)<<P:Predicate_unindexedload>><<P:Predicate_load>>, (imm:{ *:[i32] })<<P:Predicate_LaneIdx2>>:$idx) - Complexity = 11
                // Dst: (LOAD_LANE_64_A32:{ *:[v2f64] } 0:{ *:[i32] }, 0:{ *:[i32] }, (imm:{ *:[i32] }):$idx, ?:{ *:[i32] }:$addr, ?:{ *:[v2f64] }:$vec)
/* 22313*/     /*SwitchType*/ 31, /*MVT::f64*/13, // ->22346
/* 22315*/      OPC_MoveSibling2,
/* 22316*/      OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 22319*/      OPC_RecordNode, // #3 = $idx
/* 22320*/      OPC_CheckPredicate, 12, // Predicate_LaneIdx2
/* 22322*/      OPC_CheckTypeI32,
/* 22323*/      OPC_MoveParent,
/* 22324*/      OPC_CheckType, /*MVT::v2f64*/6|128,1/*134*/, 
/* 22327*/      OPC_CheckPatternPredicate1, // (!Subtarget->hasAddr64())
/* 22328*/      OPC_EmitMergeInputChains1_1,
/* 22329*/      OPC_EmitInteger32, 0,  // 0 #4
/* 22331*/      OPC_EmitInteger32, 0,  // 0 #5
/* 22333*/      OPC_EmitConvertToTarget3, // #6
/* 22334*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_LANE_64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    /*MVT::v2f64*/6|128,1/*134*/, 5/*#Ops*/, 4, 5, 6, 2, 0, 
                // Src: (vector_insert:{ *:[v2f64] } V128:{ *:[v2f64] }:$vec, (ld:{ *:[f64] } I32:{ *:[i32] }:$addr)<<P:Predicate_unindexedload>><<P:Predicate_load>>, (imm:{ *:[i32] })<<P:Predicate_LaneIdx2>>:$idx) - Complexity = 11
                // Dst: (LOAD_LANE_64_A32:{ *:[v2f64] } 0:{ *:[i32] }, 0:{ *:[i32] }, (imm:{ *:[i32] }):$idx, ?:{ *:[i32] }:$addr, ?:{ *:[v2f64] }:$vec)
/* 22346*/     0, // EndSwitchType
/* 22347*/    /*Scope*/ 6|128,1/*134*/, /*->22483*/
/* 22349*/     OPC_CheckChild1TypeI64,
/* 22350*/     OPC_CheckPredicate, 8, // Predicate_unindexedload
/* 22352*/     OPC_CheckPredicate6,  // Predicate_load
/* 22353*/     OPC_SwitchType /*4 cases */, 29, /*MVT::i32*/7, // ->22385
/* 22356*/      OPC_MoveSibling2,
/* 22357*/      OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 22360*/      OPC_RecordNode, // #3 = $idx
/* 22361*/      OPC_CheckPredicate, 11, // Predicate_LaneIdx4
/* 22363*/      OPC_CheckTypeI32,
/* 22364*/      OPC_MoveParent,
/* 22365*/      OPC_CheckType, /*MVT::v4f32*/116, 
/* 22367*/      OPC_CheckPatternPredicate2, // (Subtarget->hasAddr64())
/* 22368*/      OPC_EmitMergeInputChains1_1,
/* 22369*/      OPC_EmitInteger32, 0,  // 0 #4
/* 22371*/      OPC_EmitInteger64, 0,  // 0 #5
/* 22373*/      OPC_EmitConvertToTarget3, // #6
/* 22374*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_LANE_32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    /*MVT::v4f32*/116, 5/*#Ops*/, 4, 5, 6, 2, 0, 
                // Src: (vector_insert:{ *:[v4f32] } V128:{ *:[v4f32] }:$vec, (ld:{ *:[i32] } I64:{ *:[i64] }:$addr)<<P:Predicate_unindexedload>><<P:Predicate_load>>, (imm:{ *:[i32] })<<P:Predicate_LaneIdx4>>:$idx) - Complexity = 11
                // Dst: (LOAD_LANE_32_A64:{ *:[v4f32] } 0:{ *:[i32] }, 0:{ *:[i64] }, (imm:{ *:[i32] }):$idx, ?:{ *:[i64] }:$addr, ?:{ *:[v4f32] }:$vec)
/* 22385*/     /*SwitchType*/ 29, /*MVT::f32*/12, // ->22416
/* 22387*/      OPC_MoveSibling2,
/* 22388*/      OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 22391*/      OPC_RecordNode, // #3 = $idx
/* 22392*/      OPC_CheckPredicate, 11, // Predicate_LaneIdx4
/* 22394*/      OPC_CheckTypeI32,
/* 22395*/      OPC_MoveParent,
/* 22396*/      OPC_CheckType, /*MVT::v4f32*/116, 
/* 22398*/      OPC_CheckPatternPredicate2, // (Subtarget->hasAddr64())
/* 22399*/      OPC_EmitMergeInputChains1_1,
/* 22400*/      OPC_EmitInteger32, 0,  // 0 #4
/* 22402*/      OPC_EmitInteger64, 0,  // 0 #5
/* 22404*/      OPC_EmitConvertToTarget3, // #6
/* 22405*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_LANE_32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    /*MVT::v4f32*/116, 5/*#Ops*/, 4, 5, 6, 2, 0, 
                // Src: (vector_insert:{ *:[v4f32] } V128:{ *:[v4f32] }:$vec, (ld:{ *:[f32] } I64:{ *:[i64] }:$addr)<<P:Predicate_unindexedload>><<P:Predicate_load>>, (imm:{ *:[i32] })<<P:Predicate_LaneIdx4>>:$idx) - Complexity = 11
                // Dst: (LOAD_LANE_32_A64:{ *:[v4f32] } 0:{ *:[i32] }, 0:{ *:[i64] }, (imm:{ *:[i32] }):$idx, ?:{ *:[i64] }:$addr, ?:{ *:[v4f32] }:$vec)
/* 22416*/     /*SwitchType*/ 31, /*MVT::i64*/8, // ->22449
/* 22418*/      OPC_MoveSibling2,
/* 22419*/      OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 22422*/      OPC_RecordNode, // #3 = $idx
/* 22423*/      OPC_CheckPredicate, 12, // Predicate_LaneIdx2
/* 22425*/      OPC_CheckTypeI32,
/* 22426*/      OPC_MoveParent,
/* 22427*/      OPC_CheckType, /*MVT::v2f64*/6|128,1/*134*/, 
/* 22430*/      OPC_CheckPatternPredicate2, // (Subtarget->hasAddr64())
/* 22431*/      OPC_EmitMergeInputChains1_1,
/* 22432*/      OPC_EmitInteger32, 0,  // 0 #4
/* 22434*/      OPC_EmitInteger64, 0,  // 0 #5
/* 22436*/      OPC_EmitConvertToTarget3, // #6
/* 22437*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_LANE_64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    /*MVT::v2f64*/6|128,1/*134*/, 5/*#Ops*/, 4, 5, 6, 2, 0, 
                // Src: (vector_insert:{ *:[v2f64] } V128:{ *:[v2f64] }:$vec, (ld:{ *:[i64] } I64:{ *:[i64] }:$addr)<<P:Predicate_unindexedload>><<P:Predicate_load>>, (imm:{ *:[i32] })<<P:Predicate_LaneIdx2>>:$idx) - Complexity = 11
                // Dst: (LOAD_LANE_64_A64:{ *:[v2f64] } 0:{ *:[i32] }, 0:{ *:[i64] }, (imm:{ *:[i32] }):$idx, ?:{ *:[i64] }:$addr, ?:{ *:[v2f64] }:$vec)
/* 22449*/     /*SwitchType*/ 31, /*MVT::f64*/13, // ->22482
/* 22451*/      OPC_MoveSibling2,
/* 22452*/      OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 22455*/      OPC_RecordNode, // #3 = $idx
/* 22456*/      OPC_CheckPredicate, 12, // Predicate_LaneIdx2
/* 22458*/      OPC_CheckTypeI32,
/* 22459*/      OPC_MoveParent,
/* 22460*/      OPC_CheckType, /*MVT::v2f64*/6|128,1/*134*/, 
/* 22463*/      OPC_CheckPatternPredicate2, // (Subtarget->hasAddr64())
/* 22464*/      OPC_EmitMergeInputChains1_1,
/* 22465*/      OPC_EmitInteger32, 0,  // 0 #4
/* 22467*/      OPC_EmitInteger64, 0,  // 0 #5
/* 22469*/      OPC_EmitConvertToTarget3, // #6
/* 22470*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_LANE_64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    /*MVT::v2f64*/6|128,1/*134*/, 5/*#Ops*/, 4, 5, 6, 2, 0, 
                // Src: (vector_insert:{ *:[v2f64] } V128:{ *:[v2f64] }:$vec, (ld:{ *:[f64] } I64:{ *:[i64] }:$addr)<<P:Predicate_unindexedload>><<P:Predicate_load>>, (imm:{ *:[i32] })<<P:Predicate_LaneIdx2>>:$idx) - Complexity = 11
                // Dst: (LOAD_LANE_64_A64:{ *:[v2f64] } 0:{ *:[i32] }, 0:{ *:[i64] }, (imm:{ *:[i32] }):$idx, ?:{ *:[i64] }:$addr, ?:{ *:[v2f64] }:$vec)
/* 22482*/     0, // EndSwitchType
/* 22483*/    0, /*End of Scope*/
/* 22484*/   /*Scope*/ 97, /*->22582*/
/* 22485*/    OPC_RecordChild1, // #1 = $x
/* 22486*/    OPC_Scope, 44, /*->22532*/ // 2 children in Scope
/* 22488*/     OPC_CheckChild1Type, /*MVT::f32*/12, 
/* 22490*/     OPC_Scope, 21, /*->22513*/ // 2 children in Scope
/* 22492*/      OPC_RecordChild2, // #2 = $idx
/* 22493*/      OPC_MoveChild2,
/* 22494*/      OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 22497*/      OPC_CheckPredicate, 11, // Predicate_LaneIdx4
/* 22499*/      OPC_CheckTypeI32,
/* 22500*/      OPC_MoveParent,
/* 22501*/      OPC_CheckType, /*MVT::v4f32*/116, 
/* 22503*/      OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/* 22504*/      OPC_EmitConvertToTarget2, // #3
/* 22505*/      OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::REPLACE_LANE_F32x4),
                    /*MVT::v4f32*/116, 3/*#Ops*/, 0, 3, 1, 
                // Src: (vector_insert:{ *:[v4f32] } V128:{ *:[v4f32] }:$vec, F32:{ *:[f32] }:$x, (imm:{ *:[i32] })<<P:Predicate_LaneIdx4>>:$idx) - Complexity = 7
                // Dst: (REPLACE_LANE_F32x4:{ *:[v4f32] } V128:{ *:[v4f32] }:$vec, (imm:{ *:[i32] }):$idx, F32:{ *:[f32] }:$x)
/* 22513*/     /*Scope*/ 17, /*->22531*/
/* 22514*/      OPC_MoveChild2,
/* 22515*/      OPC_CheckOpcode, TARGET_VAL(ISD::UNDEF),
/* 22518*/      OPC_MoveParent,
/* 22519*/      OPC_CheckType, /*MVT::v4f32*/116, 
/* 22521*/      OPC_EmitInteger32, 0,  // 0 #2
/* 22523*/      OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::REPLACE_LANE_F32x4),
                    /*MVT::v4f32*/116, 3/*#Ops*/, 0, 2, 1, 
                // Src: (vector_insert:{ *:[v4f32] } V128:{ *:[v4f32] }:$vec, F32:{ *:[f32] }:$x, (undef:{ *:[iPTR] })) - Complexity = 6
                // Dst: (REPLACE_LANE_F32x4:{ *:[v4f32] } ?:{ *:[v4f32] }:$vec, 0:{ *:[i32] }, ?:{ *:[f32] }:$x)
/* 22531*/     0, /*End of Scope*/
/* 22532*/    /*Scope*/ 48, /*->22581*/
/* 22533*/     OPC_CheckChild1Type, /*MVT::f64*/13, 
/* 22535*/     OPC_Scope, 23, /*->22560*/ // 2 children in Scope
/* 22537*/      OPC_RecordChild2, // #2 = $idx
/* 22538*/      OPC_MoveChild2,
/* 22539*/      OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 22542*/      OPC_CheckPredicate, 12, // Predicate_LaneIdx2
/* 22544*/      OPC_CheckTypeI32,
/* 22545*/      OPC_MoveParent,
/* 22546*/      OPC_CheckType, /*MVT::v2f64*/6|128,1/*134*/, 
/* 22549*/      OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/* 22550*/      OPC_EmitConvertToTarget2, // #3
/* 22551*/      OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::REPLACE_LANE_F64x2),
                    /*MVT::v2f64*/6|128,1/*134*/, 3/*#Ops*/, 0, 3, 1, 
                // Src: (vector_insert:{ *:[v2f64] } V128:{ *:[v2f64] }:$vec, F64:{ *:[f64] }:$x, (imm:{ *:[i32] })<<P:Predicate_LaneIdx2>>:$idx) - Complexity = 7
                // Dst: (REPLACE_LANE_F64x2:{ *:[v2f64] } V128:{ *:[v2f64] }:$vec, (imm:{ *:[i32] }):$idx, F64:{ *:[f64] }:$x)
/* 22560*/     /*Scope*/ 19, /*->22580*/
/* 22561*/      OPC_MoveChild2,
/* 22562*/      OPC_CheckOpcode, TARGET_VAL(ISD::UNDEF),
/* 22565*/      OPC_MoveParent,
/* 22566*/      OPC_CheckType, /*MVT::v2f64*/6|128,1/*134*/, 
/* 22569*/      OPC_EmitInteger32, 0,  // 0 #2
/* 22571*/      OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::REPLACE_LANE_F64x2),
                    /*MVT::v2f64*/6|128,1/*134*/, 3/*#Ops*/, 0, 2, 1, 
                // Src: (vector_insert:{ *:[v2f64] } V128:{ *:[v2f64] }:$vec, F64:{ *:[f64] }:$x, (undef:{ *:[iPTR] })) - Complexity = 6
                // Dst: (REPLACE_LANE_F64x2:{ *:[v2f64] } ?:{ *:[v2f64] }:$vec, 0:{ *:[i32] }, ?:{ *:[f64] }:$x)
/* 22580*/     0, /*End of Scope*/
/* 22581*/    0, /*End of Scope*/
/* 22582*/   0, /*End of Scope*/
/* 22583*/  0, /*End of Scope*/
/* 22584*/ /*SwitchOpcode*/ 96|128,1/*224*/, TARGET_VAL(WebAssemblyISD::VEC_SHR_U),// ->22812
/* 22588*/  OPC_Scope, 87, /*->22677*/ // 2 children in Scope
/* 22590*/   OPC_MoveChild0,
/* 22591*/   OPC_CheckOpcode, TARGET_VAL(ISD::ADD),
/* 22594*/   OPC_MoveChild0,
/* 22595*/   OPC_SwitchOpcode /*2 cases */, 37, TARGET_VAL(ISD::ADD),// ->22636
/* 22599*/    OPC_RecordChild0, // #0 = $lhs
/* 22600*/    OPC_RecordChild1, // #1 = $rhs
/* 22601*/    OPC_CheckPredicate, 26, // Predicate_add_nuw
/* 22603*/    OPC_MoveSibling1,
/* 22604*/    OPC_CheckOpcode, TARGET_VAL(ISD::SPLAT_VECTOR),
/* 22607*/    OPC_CheckChild0Integer, 2, 
/* 22609*/    OPC_CheckChild0TypeI32,
/* 22610*/    OPC_MoveParent,
/* 22611*/    OPC_CheckPredicate, 26, // Predicate_add_nuw
/* 22613*/    OPC_MoveParent,
/* 22614*/    OPC_CheckChild1Integer, 2, 
/* 22616*/    OPC_SwitchType /*2 cases */, 7, /*MVT::v16i8*/40, // ->22626
/* 22619*/     OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::AVGR_U_I8x16),
                   /*MVT::v16i8*/40, 2/*#Ops*/, 0, 1, 
               // Src: (wasm_shr_u:{ *:[v16i8] } (add:{ *:[v16i8] } (add:{ *:[v16i8] } V128:{ *:[v16i8] }:$lhs, V128:{ *:[v16i8] }:$rhs)<<P:Predicate_add_nuw>>, (splat_vector:{ *:[v16i8] } 1:{ *:[i32] }))<<P:Predicate_add_nuw>>, 1:{ *:[i32] }) - Complexity = 24
               // Dst: (AVGR_U_I8x16:{ *:[v16i8] } ?:{ *:[v16i8] }:$lhs, ?:{ *:[v16i8] }:$rhs)
/* 22626*/    /*SwitchType*/ 7, /*MVT::v8i16*/51, // ->22635
/* 22628*/     OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::AVGR_U_I16x8),
                   /*MVT::v8i16*/51, 2/*#Ops*/, 0, 1, 
               // Src: (wasm_shr_u:{ *:[v8i16] } (add:{ *:[v8i16] } (add:{ *:[v8i16] } V128:{ *:[v8i16] }:$lhs, V128:{ *:[v8i16] }:$rhs)<<P:Predicate_add_nuw>>, (splat_vector:{ *:[v8i16] } 1:{ *:[i32] }))<<P:Predicate_add_nuw>>, 1:{ *:[i32] }) - Complexity = 24
               // Dst: (AVGR_U_I16x8:{ *:[v8i16] } ?:{ *:[v8i16] }:$lhs, ?:{ *:[v8i16] }:$rhs)
/* 22635*/    0, // EndSwitchType
/* 22636*/   /*SwitchOpcode*/ 37, TARGET_VAL(ISD::SPLAT_VECTOR),// ->22676
/* 22639*/    OPC_CheckChild0Integer, 2, 
/* 22641*/    OPC_CheckChild0TypeI32,
/* 22642*/    OPC_MoveSibling1,
/* 22643*/    OPC_CheckOpcode, TARGET_VAL(ISD::ADD),
/* 22646*/    OPC_RecordChild0, // #0 = $lhs
/* 22647*/    OPC_RecordChild1, // #1 = $rhs
/* 22648*/    OPC_CheckPredicate, 26, // Predicate_add_nuw
/* 22650*/    OPC_MoveParent,
/* 22651*/    OPC_CheckPredicate, 26, // Predicate_add_nuw
/* 22653*/    OPC_MoveParent,
/* 22654*/    OPC_CheckChild1Integer, 2, 
/* 22656*/    OPC_SwitchType /*2 cases */, 7, /*MVT::v16i8*/40, // ->22666
/* 22659*/     OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::AVGR_U_I8x16),
                   /*MVT::v16i8*/40, 2/*#Ops*/, 0, 1, 
               // Src: (wasm_shr_u:{ *:[v16i8] } (add:{ *:[v16i8] } (splat_vector:{ *:[v16i8] } 1:{ *:[i32] }), (add:{ *:[v16i8] } V128:{ *:[v16i8] }:$lhs, V128:{ *:[v16i8] }:$rhs)<<P:Predicate_add_nuw>>)<<P:Predicate_add_nuw>>, 1:{ *:[i32] }) - Complexity = 24
               // Dst: (AVGR_U_I8x16:{ *:[v16i8] } ?:{ *:[v16i8] }:$lhs, ?:{ *:[v16i8] }:$rhs)
/* 22666*/    /*SwitchType*/ 7, /*MVT::v8i16*/51, // ->22675
/* 22668*/     OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::AVGR_U_I16x8),
                   /*MVT::v8i16*/51, 2/*#Ops*/, 0, 1, 
               // Src: (wasm_shr_u:{ *:[v8i16] } (add:{ *:[v8i16] } (splat_vector:{ *:[v8i16] } 1:{ *:[i32] }), (add:{ *:[v8i16] } V128:{ *:[v8i16] }:$lhs, V128:{ *:[v8i16] }:$rhs)<<P:Predicate_add_nuw>>)<<P:Predicate_add_nuw>>, 1:{ *:[i32] }) - Complexity = 24
               // Dst: (AVGR_U_I16x8:{ *:[v8i16] } ?:{ *:[v8i16] }:$lhs, ?:{ *:[v8i16] }:$rhs)
/* 22675*/    0, // EndSwitchType
/* 22676*/   0, // EndSwitchOpcode
/* 22677*/  /*Scope*/ 4|128,1/*132*/, /*->22811*/
/* 22679*/   OPC_RecordChild0, // #0 = $lhs
/* 22680*/   OPC_Scope, 84, /*->22766*/ // 2 children in Scope
/* 22682*/    OPC_MoveChild1,
/* 22683*/    OPC_Scope, 24, /*->22709*/ // 5 children in Scope
/* 22685*/     OPC_CheckOpcode, TARGET_VAL(ISD::TRUNCATE),
/* 22688*/     OPC_MoveChild0,
/* 22689*/     OPC_CheckAndImm, 63, 
/* 22691*/     OPC_RecordChild0, // #1 = $rhs
/* 22692*/     OPC_MoveParent,
/* 22693*/     OPC_MoveParent,
/* 22694*/     OPC_CheckType, /*MVT::v2i64*/81, 
/* 22696*/     OPC_EmitNode1None, TARGET_VAL(WebAssembly::I32_WRAP_I64),
                   /*MVT::i32*/7, 1/*#Ops*/, 1,  // Results = #2
/* 22702*/     OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::SHR_U_I64x2),
                   /*MVT::v2i64*/81, 2/*#Ops*/, 0, 2, 
               // Src: (wasm_shr_u:{ *:[v2i64] } V128:{ *:[v2i64] }:$lhs, (trunc:{ *:[i32] } (and:{ *:[i64] } I64:{ *:[i64] }:$rhs, 63:{ *:[i64] }))) - Complexity = 14
               // Dst: (SHR_U_I64x2:{ *:[v2i64] } V128:{ *:[v2i64] }:$lhs, (I32_WRAP_I64:{ *:[i32] } I64:{ *:[i64] }:$rhs))
/* 22709*/    /*Scope*/ 13, /*->22723*/
/* 22710*/     OPC_CheckAndImm, 7, 
/* 22712*/     OPC_RecordChild0, // #1 = $rhs
/* 22713*/     OPC_MoveParent,
/* 22714*/     OPC_CheckType, /*MVT::v16i8*/40, 
/* 22716*/     OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::SHR_U_I8x16),
                   /*MVT::v16i8*/40, 2/*#Ops*/, 0, 1, 
               // Src: (wasm_shr_u:{ *:[v16i8] } V128:{ *:[v16i8] }:$lhs, (and:{ *:[i32] } I32:{ *:[i32] }:$rhs, 7:{ *:[i32] })) - Complexity = 11
               // Dst: (SHR_U_I8x16:{ *:[v16i8] } V128:{ *:[v16i8] }:$lhs, I32:{ *:[i32] }:$rhs)
/* 22723*/    /*Scope*/ 13, /*->22737*/
/* 22724*/     OPC_CheckAndImm, 15, 
/* 22726*/     OPC_RecordChild0, // #1 = $rhs
/* 22727*/     OPC_MoveParent,
/* 22728*/     OPC_CheckType, /*MVT::v8i16*/51, 
/* 22730*/     OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::SHR_U_I16x8),
                   /*MVT::v8i16*/51, 2/*#Ops*/, 0, 1, 
               // Src: (wasm_shr_u:{ *:[v8i16] } V128:{ *:[v8i16] }:$lhs, (and:{ *:[i32] } I32:{ *:[i32] }:$rhs, 15:{ *:[i32] })) - Complexity = 11
               // Dst: (SHR_U_I16x8:{ *:[v8i16] } V128:{ *:[v8i16] }:$lhs, I32:{ *:[i32] }:$rhs)
/* 22737*/    /*Scope*/ 13, /*->22751*/
/* 22738*/     OPC_CheckAndImm, 31, 
/* 22740*/     OPC_RecordChild0, // #1 = $rhs
/* 22741*/     OPC_MoveParent,
/* 22742*/     OPC_CheckType, /*MVT::v4i32*/62, 
/* 22744*/     OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::SHR_U_I32x4),
                   /*MVT::v4i32*/62, 2/*#Ops*/, 0, 1, 
               // Src: (wasm_shr_u:{ *:[v4i32] } V128:{ *:[v4i32] }:$lhs, (and:{ *:[i32] } I32:{ *:[i32] }:$rhs, 31:{ *:[i32] })) - Complexity = 11
               // Dst: (SHR_U_I32x4:{ *:[v4i32] } V128:{ *:[v4i32] }:$lhs, I32:{ *:[i32] }:$rhs)
/* 22751*/    /*Scope*/ 13, /*->22765*/
/* 22752*/     OPC_CheckAndImm, 63, 
/* 22754*/     OPC_RecordChild0, // #1 = $rhs
/* 22755*/     OPC_MoveParent,
/* 22756*/     OPC_CheckType, /*MVT::v2i64*/81, 
/* 22758*/     OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::SHR_U_I64x2),
                   /*MVT::v2i64*/81, 2/*#Ops*/, 0, 1, 
               // Src: (wasm_shr_u:{ *:[v2i64] } V128:{ *:[v2i64] }:$lhs, (and:{ *:[i32] } I32:{ *:[i32] }:$rhs, 63:{ *:[i32] })) - Complexity = 11
               // Dst: (SHR_U_I64x2:{ *:[v2i64] } V128:{ *:[v2i64] }:$lhs, I32:{ *:[i32] }:$rhs)
/* 22765*/    0, /*End of Scope*/
/* 22766*/   /*Scope*/ 43, /*->22810*/
/* 22767*/    OPC_RecordChild1, // #1 = $x
/* 22768*/    OPC_SwitchType /*4 cases */, 8, /*MVT::v16i8*/40, // ->22779
/* 22771*/     OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/* 22772*/     OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::SHR_U_I8x16),
                   /*MVT::v16i8*/40, 2/*#Ops*/, 0, 1, 
               // Src: (wasm_shr_u:{ *:[v16i8] } V128:{ *:[v16i8] }:$vec, I32:{ *:[i32] }:$x) - Complexity = 3
               // Dst: (SHR_U_I8x16:{ *:[v16i8] } V128:{ *:[v16i8] }:$vec, I32:{ *:[i32] }:$x)
/* 22779*/    /*SwitchType*/ 8, /*MVT::v8i16*/51, // ->22789
/* 22781*/     OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/* 22782*/     OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::SHR_U_I16x8),
                   /*MVT::v8i16*/51, 2/*#Ops*/, 0, 1, 
               // Src: (wasm_shr_u:{ *:[v8i16] } V128:{ *:[v8i16] }:$vec, I32:{ *:[i32] }:$x) - Complexity = 3
               // Dst: (SHR_U_I16x8:{ *:[v8i16] } V128:{ *:[v8i16] }:$vec, I32:{ *:[i32] }:$x)
/* 22789*/    /*SwitchType*/ 8, /*MVT::v4i32*/62, // ->22799
/* 22791*/     OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/* 22792*/     OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::SHR_U_I32x4),
                   /*MVT::v4i32*/62, 2/*#Ops*/, 0, 1, 
               // Src: (wasm_shr_u:{ *:[v4i32] } V128:{ *:[v4i32] }:$vec, I32:{ *:[i32] }:$x) - Complexity = 3
               // Dst: (SHR_U_I32x4:{ *:[v4i32] } V128:{ *:[v4i32] }:$vec, I32:{ *:[i32] }:$x)
/* 22799*/    /*SwitchType*/ 8, /*MVT::v2i64*/81, // ->22809
/* 22801*/     OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/* 22802*/     OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::SHR_U_I64x2),
                   /*MVT::v2i64*/81, 2/*#Ops*/, 0, 1, 
               // Src: (wasm_shr_u:{ *:[v2i64] } V128:{ *:[v2i64] }:$vec, I32:{ *:[i32] }:$x) - Complexity = 3
               // Dst: (SHR_U_I64x2:{ *:[v2i64] } V128:{ *:[v2i64] }:$vec, I32:{ *:[i32] }:$x)
/* 22809*/    0, // EndSwitchType
/* 22810*/   0, /*End of Scope*/
/* 22811*/  0, /*End of Scope*/
/* 22812*/ /*SwitchOpcode*/ 22|128,4/*534*/, TARGET_VAL(ISD::SPLAT_VECTOR),// ->23350
/* 22816*/  OPC_Scope, 73|128,1/*201*/, /*->23020*/ // 4 children in Scope
/* 22819*/   OPC_MoveChild0,
/* 22820*/   OPC_CheckOpcode, TARGET_VAL(ISD::LOAD),
/* 22823*/   OPC_RecordMemRef,
/* 22824*/   OPC_RecordNode, // #0 = 'ld' chained node
/* 22825*/   OPC_RecordChild1, // #1 = $AddrOps32:offset:addr
/* 22826*/   OPC_Scope, 95, /*->22923*/ // 2 children in Scope
/* 22828*/    OPC_CheckChild1TypeI32,
/* 22829*/    OPC_CheckPredicate, 8, // Predicate_unindexedload
/* 22831*/    OPC_Scope, 45, /*->22878*/ // 2 children in Scope
/* 22833*/     OPC_CheckPredicate, 10, // Predicate_extload
/* 22835*/     OPC_CheckTypeI32,
/* 22836*/     OPC_Scope, 19, /*->22857*/ // 2 children in Scope
/* 22838*/      OPC_CheckPredicate1,  // Predicate_extloadi8
/* 22839*/      OPC_MoveParent,
/* 22840*/      OPC_CheckType, /*MVT::v16i8*/40, 
/* 22842*/      OPC_CheckPatternPredicate1, // (!Subtarget->hasAddr64())
/* 22843*/      OPC_CheckComplexPat0, /*#*/1, // SelectAddrOperands32:$ #2 #3
/* 22845*/      OPC_EmitMergeInputChains1_0,
/* 22846*/      OPC_EmitInteger32, 0,  // 0 #4
/* 22848*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD8_SPLAT_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    /*MVT::v16i8*/40, 3/*#Ops*/, 4, 2, 3, 
                // Src: (splat_vector:{ *:[v16i8] } (ld:{ *:[i32] } (AddrOps32:{ *:[i32] } offset32_op:{ *:[i32] }:$offset, I32:{ *:[i32] }:$addr))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi8>>) - Complexity = 16
                // Dst: (LOAD8_SPLAT_A32:{ *:[v16i8] } 0:{ *:[i32] }, offset32_op:{ *:[i32] }:$offset, I32:{ *:[i32] }:$addr)
/* 22857*/     /*Scope*/ 19, /*->22877*/
/* 22858*/      OPC_CheckPredicate2,  // Predicate_extloadi16
/* 22859*/      OPC_MoveParent,
/* 22860*/      OPC_CheckType, /*MVT::v8i16*/51, 
/* 22862*/      OPC_CheckPatternPredicate1, // (!Subtarget->hasAddr64())
/* 22863*/      OPC_CheckComplexPat0, /*#*/1, // SelectAddrOperands32:$ #2 #3
/* 22865*/      OPC_EmitMergeInputChains1_0,
/* 22866*/      OPC_EmitInteger32, 0,  // 0 #4
/* 22868*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD16_SPLAT_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    /*MVT::v8i16*/51, 3/*#Ops*/, 4, 2, 3, 
                // Src: (splat_vector:{ *:[v8i16] } (ld:{ *:[i32] } (AddrOps32:{ *:[i32] } offset32_op:{ *:[i32] }:$offset, I32:{ *:[i32] }:$addr))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi16>>) - Complexity = 16
                // Dst: (LOAD16_SPLAT_A32:{ *:[v8i16] } 0:{ *:[i32] }, offset32_op:{ *:[i32] }:$offset, I32:{ *:[i32] }:$addr)
/* 22877*/     0, /*End of Scope*/
/* 22878*/    /*Scope*/ 43, /*->22922*/
/* 22879*/     OPC_CheckPredicate6,  // Predicate_load
/* 22880*/     OPC_SwitchType /*2 cases */, 18, /*MVT::i32*/7, // ->22901
/* 22883*/      OPC_MoveParent,
/* 22884*/      OPC_CheckType, /*MVT::v4i32*/62, 
/* 22886*/      OPC_CheckPatternPredicate1, // (!Subtarget->hasAddr64())
/* 22887*/      OPC_CheckComplexPat0, /*#*/1, // SelectAddrOperands32:$ #2 #3
/* 22889*/      OPC_EmitMergeInputChains1_0,
/* 22890*/      OPC_EmitInteger32, 0,  // 0 #4
/* 22892*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD32_SPLAT_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    /*MVT::v4i32*/62, 3/*#Ops*/, 4, 2, 3, 
                // Src: (splat_vector:{ *:[v4i32] } (ld:{ *:[i32] } (AddrOps32:{ *:[i32] } offset32_op:{ *:[i32] }:$offset, I32:{ *:[i32] }:$addr))<<P:Predicate_unindexedload>><<P:Predicate_load>>) - Complexity = 16
                // Dst: (LOAD32_SPLAT_A32:{ *:[v4i32] } 0:{ *:[i32] }, offset32_op:{ *:[i32] }:$offset, I32:{ *:[i32] }:$addr)
/* 22901*/     /*SwitchType*/ 18, /*MVT::i64*/8, // ->22921
/* 22903*/      OPC_MoveParent,
/* 22904*/      OPC_CheckType, /*MVT::v2i64*/81, 
/* 22906*/      OPC_CheckPatternPredicate1, // (!Subtarget->hasAddr64())
/* 22907*/      OPC_CheckComplexPat0, /*#*/1, // SelectAddrOperands32:$ #2 #3
/* 22909*/      OPC_EmitMergeInputChains1_0,
/* 22910*/      OPC_EmitInteger32, 0,  // 0 #4
/* 22912*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD64_SPLAT_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    /*MVT::v2i64*/81, 3/*#Ops*/, 4, 2, 3, 
                // Src: (splat_vector:{ *:[v2i64] } (ld:{ *:[i64] } (AddrOps32:{ *:[i32] } offset32_op:{ *:[i32] }:$offset, I32:{ *:[i32] }:$addr))<<P:Predicate_unindexedload>><<P:Predicate_load>>) - Complexity = 16
                // Dst: (LOAD64_SPLAT_A32:{ *:[v2i64] } 0:{ *:[i32] }, offset32_op:{ *:[i32] }:$offset, I32:{ *:[i32] }:$addr)
/* 22921*/     0, // EndSwitchType
/* 22922*/    0, /*End of Scope*/
/* 22923*/   /*Scope*/ 95, /*->23019*/
/* 22924*/    OPC_CheckChild1TypeI64,
/* 22925*/    OPC_CheckPredicate, 8, // Predicate_unindexedload
/* 22927*/    OPC_Scope, 45, /*->22974*/ // 2 children in Scope
/* 22929*/     OPC_CheckPredicate, 10, // Predicate_extload
/* 22931*/     OPC_CheckTypeI32,
/* 22932*/     OPC_Scope, 19, /*->22953*/ // 2 children in Scope
/* 22934*/      OPC_CheckPredicate1,  // Predicate_extloadi8
/* 22935*/      OPC_MoveParent,
/* 22936*/      OPC_CheckType, /*MVT::v16i8*/40, 
/* 22938*/      OPC_CheckPatternPredicate2, // (Subtarget->hasAddr64())
/* 22939*/      OPC_CheckComplexPat1, /*#*/1, // SelectAddrOperands64:$ #2 #3
/* 22941*/      OPC_EmitMergeInputChains1_0,
/* 22942*/      OPC_EmitInteger32, 0,  // 0 #4
/* 22944*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD8_SPLAT_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    /*MVT::v16i8*/40, 3/*#Ops*/, 4, 2, 3, 
                // Src: (splat_vector:{ *:[v16i8] } (ld:{ *:[i32] } (AddrOps64:{ *:[i64] } offset64_op:{ *:[i64] }:$offset, I64:{ *:[i64] }:$addr))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi8>>) - Complexity = 16
                // Dst: (LOAD8_SPLAT_A64:{ *:[v16i8] } 0:{ *:[i32] }, offset64_op:{ *:[i64] }:$offset, I64:{ *:[i64] }:$addr)
/* 22953*/     /*Scope*/ 19, /*->22973*/
/* 22954*/      OPC_CheckPredicate2,  // Predicate_extloadi16
/* 22955*/      OPC_MoveParent,
/* 22956*/      OPC_CheckType, /*MVT::v8i16*/51, 
/* 22958*/      OPC_CheckPatternPredicate2, // (Subtarget->hasAddr64())
/* 22959*/      OPC_CheckComplexPat1, /*#*/1, // SelectAddrOperands64:$ #2 #3
/* 22961*/      OPC_EmitMergeInputChains1_0,
/* 22962*/      OPC_EmitInteger32, 0,  // 0 #4
/* 22964*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD16_SPLAT_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    /*MVT::v8i16*/51, 3/*#Ops*/, 4, 2, 3, 
                // Src: (splat_vector:{ *:[v8i16] } (ld:{ *:[i32] } (AddrOps64:{ *:[i64] } offset64_op:{ *:[i64] }:$offset, I64:{ *:[i64] }:$addr))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi16>>) - Complexity = 16
                // Dst: (LOAD16_SPLAT_A64:{ *:[v8i16] } 0:{ *:[i32] }, offset64_op:{ *:[i64] }:$offset, I64:{ *:[i64] }:$addr)
/* 22973*/     0, /*End of Scope*/
/* 22974*/    /*Scope*/ 43, /*->23018*/
/* 22975*/     OPC_CheckPredicate6,  // Predicate_load
/* 22976*/     OPC_SwitchType /*2 cases */, 18, /*MVT::i32*/7, // ->22997
/* 22979*/      OPC_MoveParent,
/* 22980*/      OPC_CheckType, /*MVT::v4i32*/62, 
/* 22982*/      OPC_CheckPatternPredicate2, // (Subtarget->hasAddr64())
/* 22983*/      OPC_CheckComplexPat1, /*#*/1, // SelectAddrOperands64:$ #2 #3
/* 22985*/      OPC_EmitMergeInputChains1_0,
/* 22986*/      OPC_EmitInteger32, 0,  // 0 #4
/* 22988*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD32_SPLAT_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    /*MVT::v4i32*/62, 3/*#Ops*/, 4, 2, 3, 
                // Src: (splat_vector:{ *:[v4i32] } (ld:{ *:[i32] } (AddrOps64:{ *:[i64] } offset64_op:{ *:[i64] }:$offset, I64:{ *:[i64] }:$addr))<<P:Predicate_unindexedload>><<P:Predicate_load>>) - Complexity = 16
                // Dst: (LOAD32_SPLAT_A64:{ *:[v4i32] } 0:{ *:[i32] }, offset64_op:{ *:[i64] }:$offset, I64:{ *:[i64] }:$addr)
/* 22997*/     /*SwitchType*/ 18, /*MVT::i64*/8, // ->23017
/* 22999*/      OPC_MoveParent,
/* 23000*/      OPC_CheckType, /*MVT::v2i64*/81, 
/* 23002*/      OPC_CheckPatternPredicate2, // (Subtarget->hasAddr64())
/* 23003*/      OPC_CheckComplexPat1, /*#*/1, // SelectAddrOperands64:$ #2 #3
/* 23005*/      OPC_EmitMergeInputChains1_0,
/* 23006*/      OPC_EmitInteger32, 0,  // 0 #4
/* 23008*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD64_SPLAT_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    /*MVT::v2i64*/81, 3/*#Ops*/, 4, 2, 3, 
                // Src: (splat_vector:{ *:[v2i64] } (ld:{ *:[i64] } (AddrOps64:{ *:[i64] } offset64_op:{ *:[i64] }:$offset, I64:{ *:[i64] }:$addr))<<P:Predicate_unindexedload>><<P:Predicate_load>>) - Complexity = 16
                // Dst: (LOAD64_SPLAT_A64:{ *:[v2i64] } 0:{ *:[i32] }, offset64_op:{ *:[i64] }:$offset, I64:{ *:[i64] }:$addr)
/* 23017*/     0, // EndSwitchType
/* 23018*/    0, /*End of Scope*/
/* 23019*/   0, /*End of Scope*/
/* 23020*/  /*Scope*/ 20|128,1/*148*/, /*->23170*/
/* 23022*/   OPC_RecordChild0, // #0 = $x
/* 23023*/   OPC_Scope, 102, /*->23127*/ // 3 children in Scope
/* 23025*/    OPC_MoveChild0,
/* 23026*/    OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 23029*/    OPC_SwitchType /*2 cases */, 80, /*MVT::i32*/7, // ->23112
/* 23032*/     OPC_MoveParent,
/* 23033*/     OPC_SwitchType /*3 cases */, 37, /*MVT::v16i8*/40, // ->23073
/* 23036*/      OPC_EmitConvertToTarget0, // #1
/* 23037*/      OPC_EmitConvertToTarget0, // #2
/* 23038*/      OPC_EmitConvertToTarget0, // #3
/* 23039*/      OPC_EmitConvertToTarget0, // #4
/* 23040*/      OPC_EmitConvertToTarget0, // #5
/* 23041*/      OPC_EmitConvertToTarget0, // #6
/* 23042*/      OPC_EmitConvertToTarget0, // #7
/* 23043*/      OPC_EmitConvertToTarget0, // #8
/* 23044*/      OPC_EmitConvertToTarget0, // #9
/* 23045*/      OPC_EmitConvertToTarget0, // #10
/* 23046*/      OPC_EmitConvertToTarget0, // #11
/* 23047*/      OPC_EmitConvertToTarget0, // #12
/* 23048*/      OPC_EmitConvertToTarget0, // #13
/* 23049*/      OPC_EmitConvertToTarget0, // #14
/* 23050*/      OPC_EmitConvertToTarget0, // #15
/* 23051*/      OPC_EmitConvertToTarget0, // #16
/* 23052*/      OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::CONST_V128_I8x16),
                    /*MVT::v16i8*/40, 16/*#Ops*/, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 
                // Src: (splat_vector:{ *:[v16i8] } (imm:{ *:[i32] }):$x) - Complexity = 6
                // Dst: (CONST_V128_I8x16:{ *:[v16i8] } (imm:{ *:[i32] }):$x, (imm:{ *:[i32] }):$x, (imm:{ *:[i32] }):$x, (imm:{ *:[i32] }):$x, (imm:{ *:[i32] }):$x, (imm:{ *:[i32] }):$x, (imm:{ *:[i32] }):$x, (imm:{ *:[i32] }):$x, (imm:{ *:[i32] }):$x, (imm:{ *:[i32] }):$x, (imm:{ *:[i32] }):$x, (imm:{ *:[i32] }):$x, (imm:{ *:[i32] }):$x, (imm:{ *:[i32] }):$x, (imm:{ *:[i32] }):$x, (imm:{ *:[i32] }):$x)
/* 23073*/     /*SwitchType*/ 21, /*MVT::v8i16*/51, // ->23096
/* 23075*/      OPC_EmitConvertToTarget0, // #1
/* 23076*/      OPC_EmitConvertToTarget0, // #2
/* 23077*/      OPC_EmitConvertToTarget0, // #3
/* 23078*/      OPC_EmitConvertToTarget0, // #4
/* 23079*/      OPC_EmitConvertToTarget0, // #5
/* 23080*/      OPC_EmitConvertToTarget0, // #6
/* 23081*/      OPC_EmitConvertToTarget0, // #7
/* 23082*/      OPC_EmitConvertToTarget0, // #8
/* 23083*/      OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::CONST_V128_I16x8),
                    /*MVT::v8i16*/51, 8/*#Ops*/, 1, 2, 3, 4, 5, 6, 7, 8, 
                // Src: (splat_vector:{ *:[v8i16] } (imm:{ *:[i32] }):$x) - Complexity = 6
                // Dst: (CONST_V128_I16x8:{ *:[v8i16] } (imm:{ *:[i32] }):$x, (imm:{ *:[i32] }):$x, (imm:{ *:[i32] }):$x, (imm:{ *:[i32] }):$x, (imm:{ *:[i32] }):$x, (imm:{ *:[i32] }):$x, (imm:{ *:[i32] }):$x, (imm:{ *:[i32] }):$x)
/* 23096*/     /*SwitchType*/ 13, /*MVT::v4i32*/62, // ->23111
/* 23098*/      OPC_EmitConvertToTarget0, // #1
/* 23099*/      OPC_EmitConvertToTarget0, // #2
/* 23100*/      OPC_EmitConvertToTarget0, // #3
/* 23101*/      OPC_EmitConvertToTarget0, // #4
/* 23102*/      OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::CONST_V128_I32x4),
                    /*MVT::v4i32*/62, 4/*#Ops*/, 1, 2, 3, 4, 
                // Src: (splat_vector:{ *:[v4i32] } (imm:{ *:[i32] }):$x) - Complexity = 6
                // Dst: (CONST_V128_I32x4:{ *:[v4i32] } (imm:{ *:[i32] }):$x, (imm:{ *:[i32] }):$x, (imm:{ *:[i32] }):$x, (imm:{ *:[i32] }):$x)
/* 23111*/     0, // EndSwitchType
/* 23112*/    /*SwitchType*/ 12, /*MVT::i64*/8, // ->23126
/* 23114*/     OPC_MoveParent,
/* 23115*/     OPC_CheckType, /*MVT::v2i64*/81, 
/* 23117*/     OPC_EmitConvertToTarget0, // #1
/* 23118*/     OPC_EmitConvertToTarget0, // #2
/* 23119*/     OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::CONST_V128_I64x2),
                   /*MVT::v2i64*/81, 2/*#Ops*/, 1, 2, 
               // Src: (splat_vector:{ *:[v2i64] } (imm:{ *:[i64] }):$x) - Complexity = 6
               // Dst: (CONST_V128_I64x2:{ *:[v2i64] } (imm:{ *:[i64] }):$x, (imm:{ *:[i64] }):$x)
/* 23126*/    0, // EndSwitchType
/* 23127*/   /*Scope*/ 30, /*->23158*/
/* 23128*/    OPC_CheckChild0TypeI32,
/* 23129*/    OPC_SwitchType /*3 cases */, 7, /*MVT::v16i8*/40, // ->23139
/* 23132*/     OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/* 23133*/     OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::SPLAT_I8x16),
                   /*MVT::v16i8*/40, 1/*#Ops*/, 0, 
               // Src: (splat_vector:{ *:[v16i8] } I32:{ *:[i32] }:$x) - Complexity = 3
               // Dst: (SPLAT_I8x16:{ *:[v16i8] } I32:{ *:[i32] }:$x)
/* 23139*/    /*SwitchType*/ 7, /*MVT::v8i16*/51, // ->23148
/* 23141*/     OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/* 23142*/     OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::SPLAT_I16x8),
                   /*MVT::v8i16*/51, 1/*#Ops*/, 0, 
               // Src: (splat_vector:{ *:[v8i16] } I32:{ *:[i32] }:$x) - Complexity = 3
               // Dst: (SPLAT_I16x8:{ *:[v8i16] } I32:{ *:[i32] }:$x)
/* 23148*/    /*SwitchType*/ 7, /*MVT::v4i32*/62, // ->23157
/* 23150*/     OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/* 23151*/     OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::SPLAT_I32x4),
                   /*MVT::v4i32*/62, 1/*#Ops*/, 0, 
               // Src: (splat_vector:{ *:[v4i32] } I32:{ *:[i32] }:$x) - Complexity = 3
               // Dst: (SPLAT_I32x4:{ *:[v4i32] } I32:{ *:[i32] }:$x)
/* 23157*/    0, // EndSwitchType
/* 23158*/   /*Scope*/ 10, /*->23169*/
/* 23159*/    OPC_CheckChild0TypeI64,
/* 23160*/    OPC_CheckType, /*MVT::v2i64*/81, 
/* 23162*/    OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/* 23163*/    OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::SPLAT_I64x2),
                  /*MVT::v2i64*/81, 1/*#Ops*/, 0, 
              // Src: (splat_vector:{ *:[v2i64] } I64:{ *:[i64] }:$x) - Complexity = 3
              // Dst: (SPLAT_I64x2:{ *:[v2i64] } I64:{ *:[i64] }:$x)
/* 23169*/   0, /*End of Scope*/
/* 23170*/  /*Scope*/ 107, /*->23278*/
/* 23171*/   OPC_MoveChild0,
/* 23172*/   OPC_CheckOpcode, TARGET_VAL(ISD::LOAD),
/* 23175*/   OPC_RecordMemRef,
/* 23176*/   OPC_RecordNode, // #0 = 'ld' chained node
/* 23177*/   OPC_RecordChild1, // #1 = $AddrOps32:offset:addr
/* 23178*/   OPC_Scope, 48, /*->23228*/ // 2 children in Scope
/* 23180*/    OPC_CheckChild1TypeI32,
/* 23181*/    OPC_CheckPredicate, 8, // Predicate_unindexedload
/* 23183*/    OPC_CheckPredicate6,  // Predicate_load
/* 23184*/    OPC_SwitchType /*2 cases */, 18, /*MVT::f32*/12, // ->23205
/* 23187*/     OPC_MoveParent,
/* 23188*/     OPC_CheckType, /*MVT::v4f32*/116, 
/* 23190*/     OPC_CheckPatternPredicate1, // (!Subtarget->hasAddr64())
/* 23191*/     OPC_CheckComplexPat0, /*#*/1, // SelectAddrOperands32:$ #2 #3
/* 23193*/     OPC_EmitMergeInputChains1_0,
/* 23194*/     OPC_EmitInteger32, 0,  // 0 #4
/* 23196*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD32_SPLAT_A32), 0|OPFL_Chain|OPFL_MemRefs,
                   /*MVT::v4f32*/116, 3/*#Ops*/, 4, 2, 3, 
               // Src: (splat_vector:{ *:[v4f32] } (ld:{ *:[f32] } (AddrOps32:{ *:[i32] } offset32_op:{ *:[i32] }:$offset, I32:{ *:[i32] }:$addr))<<P:Predicate_unindexedload>><<P:Predicate_load>>) - Complexity = 16
               // Dst: (LOAD32_SPLAT_A32:{ *:[v4f32] } 0:{ *:[i32] }, offset32_op:{ *:[i32] }:$offset, I32:{ *:[i32] }:$addr)
/* 23205*/    /*SwitchType*/ 20, /*MVT::f64*/13, // ->23227
/* 23207*/     OPC_MoveParent,
/* 23208*/     OPC_CheckType, /*MVT::v2f64*/6|128,1/*134*/, 
/* 23211*/     OPC_CheckPatternPredicate1, // (!Subtarget->hasAddr64())
/* 23212*/     OPC_CheckComplexPat0, /*#*/1, // SelectAddrOperands32:$ #2 #3
/* 23214*/     OPC_EmitMergeInputChains1_0,
/* 23215*/     OPC_EmitInteger32, 0,  // 0 #4
/* 23217*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD64_SPLAT_A32), 0|OPFL_Chain|OPFL_MemRefs,
                   /*MVT::v2f64*/6|128,1/*134*/, 3/*#Ops*/, 4, 2, 3, 
               // Src: (splat_vector:{ *:[v2f64] } (ld:{ *:[f64] } (AddrOps32:{ *:[i32] } offset32_op:{ *:[i32] }:$offset, I32:{ *:[i32] }:$addr))<<P:Predicate_unindexedload>><<P:Predicate_load>>) - Complexity = 16
               // Dst: (LOAD64_SPLAT_A32:{ *:[v2f64] } 0:{ *:[i32] }, offset32_op:{ *:[i32] }:$offset, I32:{ *:[i32] }:$addr)
/* 23227*/    0, // EndSwitchType
/* 23228*/   /*Scope*/ 48, /*->23277*/
/* 23229*/    OPC_CheckChild1TypeI64,
/* 23230*/    OPC_CheckPredicate, 8, // Predicate_unindexedload
/* 23232*/    OPC_CheckPredicate6,  // Predicate_load
/* 23233*/    OPC_SwitchType /*2 cases */, 18, /*MVT::f32*/12, // ->23254
/* 23236*/     OPC_MoveParent,
/* 23237*/     OPC_CheckType, /*MVT::v4f32*/116, 
/* 23239*/     OPC_CheckPatternPredicate2, // (Subtarget->hasAddr64())
/* 23240*/     OPC_CheckComplexPat1, /*#*/1, // SelectAddrOperands64:$ #2 #3
/* 23242*/     OPC_EmitMergeInputChains1_0,
/* 23243*/     OPC_EmitInteger32, 0,  // 0 #4
/* 23245*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD32_SPLAT_A64), 0|OPFL_Chain|OPFL_MemRefs,
                   /*MVT::v4f32*/116, 3/*#Ops*/, 4, 2, 3, 
               // Src: (splat_vector:{ *:[v4f32] } (ld:{ *:[f32] } (AddrOps64:{ *:[i64] } offset64_op:{ *:[i64] }:$offset, I64:{ *:[i64] }:$addr))<<P:Predicate_unindexedload>><<P:Predicate_load>>) - Complexity = 16
               // Dst: (LOAD32_SPLAT_A64:{ *:[v4f32] } 0:{ *:[i32] }, offset64_op:{ *:[i64] }:$offset, I64:{ *:[i64] }:$addr)
/* 23254*/    /*SwitchType*/ 20, /*MVT::f64*/13, // ->23276
/* 23256*/     OPC_MoveParent,
/* 23257*/     OPC_CheckType, /*MVT::v2f64*/6|128,1/*134*/, 
/* 23260*/     OPC_CheckPatternPredicate2, // (Subtarget->hasAddr64())
/* 23261*/     OPC_CheckComplexPat1, /*#*/1, // SelectAddrOperands64:$ #2 #3
/* 23263*/     OPC_EmitMergeInputChains1_0,
/* 23264*/     OPC_EmitInteger32, 0,  // 0 #4
/* 23266*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD64_SPLAT_A64), 0|OPFL_Chain|OPFL_MemRefs,
                   /*MVT::v2f64*/6|128,1/*134*/, 3/*#Ops*/, 4, 2, 3, 
               // Src: (splat_vector:{ *:[v2f64] } (ld:{ *:[f64] } (AddrOps64:{ *:[i64] } offset64_op:{ *:[i64] }:$offset, I64:{ *:[i64] }:$addr))<<P:Predicate_unindexedload>><<P:Predicate_load>>) - Complexity = 16
               // Dst: (LOAD64_SPLAT_A64:{ *:[v2f64] } 0:{ *:[i32] }, offset64_op:{ *:[i64] }:$offset, I64:{ *:[i64] }:$addr)
/* 23276*/    0, // EndSwitchType
/* 23277*/   0, /*End of Scope*/
/* 23278*/  /*Scope*/ 70, /*->23349*/
/* 23279*/   OPC_RecordChild0, // #0 = $x
/* 23280*/   OPC_Scope, 40, /*->23322*/ // 3 children in Scope
/* 23282*/    OPC_MoveChild0,
/* 23283*/    OPC_CheckOpcode, TARGET_VAL(ISD::ConstantFP),
/* 23286*/    OPC_SwitchType /*2 cases */, 16, /*MVT::f32*/12, // ->23305
/* 23289*/     OPC_MoveParent,
/* 23290*/     OPC_CheckType, /*MVT::v4f32*/116, 
/* 23292*/     OPC_EmitConvertToTarget0, // #1
/* 23293*/     OPC_EmitConvertToTarget0, // #2
/* 23294*/     OPC_EmitConvertToTarget0, // #3
/* 23295*/     OPC_EmitConvertToTarget0, // #4
/* 23296*/     OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::CONST_V128_F32x4),
                   /*MVT::v4f32*/116, 4/*#Ops*/, 1, 2, 3, 4, 
               // Src: (splat_vector:{ *:[v4f32] } (fpimm:{ *:[f32] }):$x) - Complexity = 6
               // Dst: (CONST_V128_F32x4:{ *:[v4f32] } (fpimm:{ *:[f32] }):$x, (fpimm:{ *:[f32] }):$x, (fpimm:{ *:[f32] }):$x, (fpimm:{ *:[f32] }):$x)
/* 23305*/    /*SwitchType*/ 14, /*MVT::f64*/13, // ->23321
/* 23307*/     OPC_MoveParent,
/* 23308*/     OPC_CheckType, /*MVT::v2f64*/6|128,1/*134*/, 
/* 23311*/     OPC_EmitConvertToTarget0, // #1
/* 23312*/     OPC_EmitConvertToTarget0, // #2
/* 23313*/     OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::CONST_V128_F64x2),
                   /*MVT::v2f64*/6|128,1/*134*/, 2/*#Ops*/, 1, 2, 
               // Src: (splat_vector:{ *:[v2f64] } (fpimm:{ *:[f64] }):$x) - Complexity = 6
               // Dst: (CONST_V128_F64x2:{ *:[v2f64] } (fpimm:{ *:[f64] }):$x, (fpimm:{ *:[f64] }):$x)
/* 23321*/    0, // EndSwitchType
/* 23322*/   /*Scope*/ 11, /*->23334*/
/* 23323*/    OPC_CheckChild0Type, /*MVT::f32*/12, 
/* 23325*/    OPC_CheckType, /*MVT::v4f32*/116, 
/* 23327*/    OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/* 23328*/    OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::SPLAT_F32x4),
                  /*MVT::v4f32*/116, 1/*#Ops*/, 0, 
              // Src: (splat_vector:{ *:[v4f32] } F32:{ *:[f32] }:$x) - Complexity = 3
              // Dst: (SPLAT_F32x4:{ *:[v4f32] } F32:{ *:[f32] }:$x)
/* 23334*/   /*Scope*/ 13, /*->23348*/
/* 23335*/    OPC_CheckChild0Type, /*MVT::f64*/13, 
/* 23337*/    OPC_CheckType, /*MVT::v2f64*/6|128,1/*134*/, 
/* 23340*/    OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/* 23341*/    OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::SPLAT_F64x2),
                  /*MVT::v2f64*/6|128,1/*134*/, 1/*#Ops*/, 0, 
              // Src: (splat_vector:{ *:[v2f64] } F64:{ *:[f64] }:$x) - Complexity = 3
              // Dst: (SPLAT_F64x2:{ *:[v2f64] } F64:{ *:[f64] }:$x)
/* 23348*/   0, /*End of Scope*/
/* 23349*/  0, /*End of Scope*/
/* 23350*/ /*SwitchOpcode*/ 26|128,2/*282*/, TARGET_VAL(ISD::SCALAR_TO_VECTOR),// ->23636
/* 23354*/  OPC_Scope, 103, /*->23459*/ // 4 children in Scope
/* 23356*/   OPC_MoveChild0,
/* 23357*/   OPC_CheckOpcode, TARGET_VAL(ISD::LOAD),
/* 23360*/   OPC_RecordMemRef,
/* 23361*/   OPC_RecordNode, // #0 = 'ld' chained node
/* 23362*/   OPC_RecordChild1, // #1 = $AddrOps32:offset:addr
/* 23363*/   OPC_Scope, 46, /*->23411*/ // 2 children in Scope
/* 23365*/    OPC_CheckChild1TypeI32,
/* 23366*/    OPC_CheckPredicate, 8, // Predicate_unindexedload
/* 23368*/    OPC_CheckPredicate6,  // Predicate_load
/* 23369*/    OPC_SwitchType /*2 cases */, 18, /*MVT::i32*/7, // ->23390
/* 23372*/     OPC_MoveParent,
/* 23373*/     OPC_CheckType, /*MVT::v4i32*/62, 
/* 23375*/     OPC_CheckPatternPredicate1, // (!Subtarget->hasAddr64())
/* 23376*/     OPC_CheckComplexPat0, /*#*/1, // SelectAddrOperands32:$ #2 #3
/* 23378*/     OPC_EmitMergeInputChains1_0,
/* 23379*/     OPC_EmitInteger32, 0,  // 0 #4
/* 23381*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_ZERO_32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                   /*MVT::v4i32*/62, 3/*#Ops*/, 4, 2, 3, 
               // Src: (scalar_to_vector:{ *:[v4i32] } (ld:{ *:[i32] } (AddrOps32:{ *:[i32] } offset32_op:{ *:[i32] }:$offset, I32:{ *:[i32] }:$addr))<<P:Predicate_unindexedload>><<P:Predicate_load>>) - Complexity = 16
               // Dst: (LOAD_ZERO_32_A32:{ *:[v4i32] } 0:{ *:[i32] }, offset32_op:{ *:[i32] }:$offset, I32:{ *:[i32] }:$addr)
/* 23390*/    /*SwitchType*/ 18, /*MVT::i64*/8, // ->23410
/* 23392*/     OPC_MoveParent,
/* 23393*/     OPC_CheckType, /*MVT::v2i64*/81, 
/* 23395*/     OPC_CheckPatternPredicate1, // (!Subtarget->hasAddr64())
/* 23396*/     OPC_CheckComplexPat0, /*#*/1, // SelectAddrOperands32:$ #2 #3
/* 23398*/     OPC_EmitMergeInputChains1_0,
/* 23399*/     OPC_EmitInteger32, 0,  // 0 #4
/* 23401*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_ZERO_64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                   /*MVT::v2i64*/81, 3/*#Ops*/, 4, 2, 3, 
               // Src: (scalar_to_vector:{ *:[v2i64] } (ld:{ *:[i64] } (AddrOps32:{ *:[i32] } offset32_op:{ *:[i32] }:$offset, I32:{ *:[i32] }:$addr))<<P:Predicate_unindexedload>><<P:Predicate_load>>) - Complexity = 16
               // Dst: (LOAD_ZERO_64_A32:{ *:[v2i64] } 0:{ *:[i32] }, offset32_op:{ *:[i32] }:$offset, I32:{ *:[i32] }:$addr)
/* 23410*/    0, // EndSwitchType
/* 23411*/   /*Scope*/ 46, /*->23458*/
/* 23412*/    OPC_CheckChild1TypeI64,
/* 23413*/    OPC_CheckPredicate, 8, // Predicate_unindexedload
/* 23415*/    OPC_CheckPredicate6,  // Predicate_load
/* 23416*/    OPC_SwitchType /*2 cases */, 18, /*MVT::i32*/7, // ->23437
/* 23419*/     OPC_MoveParent,
/* 23420*/     OPC_CheckType, /*MVT::v4i32*/62, 
/* 23422*/     OPC_CheckPatternPredicate2, // (Subtarget->hasAddr64())
/* 23423*/     OPC_CheckComplexPat1, /*#*/1, // SelectAddrOperands64:$ #2 #3
/* 23425*/     OPC_EmitMergeInputChains1_0,
/* 23426*/     OPC_EmitInteger32, 0,  // 0 #4
/* 23428*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_ZERO_32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                   /*MVT::v4i32*/62, 3/*#Ops*/, 4, 2, 3, 
               // Src: (scalar_to_vector:{ *:[v4i32] } (ld:{ *:[i32] } (AddrOps64:{ *:[i64] } offset64_op:{ *:[i64] }:$offset, I64:{ *:[i64] }:$addr))<<P:Predicate_unindexedload>><<P:Predicate_load>>) - Complexity = 16
               // Dst: (LOAD_ZERO_32_A64:{ *:[v4i32] } 0:{ *:[i32] }, offset64_op:{ *:[i64] }:$offset, I64:{ *:[i64] }:$addr)
/* 23437*/    /*SwitchType*/ 18, /*MVT::i64*/8, // ->23457
/* 23439*/     OPC_MoveParent,
/* 23440*/     OPC_CheckType, /*MVT::v2i64*/81, 
/* 23442*/     OPC_CheckPatternPredicate2, // (Subtarget->hasAddr64())
/* 23443*/     OPC_CheckComplexPat1, /*#*/1, // SelectAddrOperands64:$ #2 #3
/* 23445*/     OPC_EmitMergeInputChains1_0,
/* 23446*/     OPC_EmitInteger32, 0,  // 0 #4
/* 23448*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_ZERO_64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                   /*MVT::v2i64*/81, 3/*#Ops*/, 4, 2, 3, 
               // Src: (scalar_to_vector:{ *:[v2i64] } (ld:{ *:[i64] } (AddrOps64:{ *:[i64] } offset64_op:{ *:[i64] }:$offset, I64:{ *:[i64] }:$addr))<<P:Predicate_unindexedload>><<P:Predicate_load>>) - Complexity = 16
               // Dst: (LOAD_ZERO_64_A64:{ *:[v2i64] } 0:{ *:[i32] }, offset64_op:{ *:[i64] }:$offset, I64:{ *:[i64] }:$addr)
/* 23457*/    0, // EndSwitchType
/* 23458*/   0, /*End of Scope*/
/* 23459*/  /*Scope*/ 41, /*->23501*/
/* 23460*/   OPC_RecordChild0, // #0 = $x
/* 23461*/   OPC_Scope, 27, /*->23490*/ // 2 children in Scope
/* 23463*/    OPC_CheckChild0TypeI32,
/* 23464*/    OPC_SwitchType /*3 cases */, 6, /*MVT::v16i8*/40, // ->23473
/* 23467*/     OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::SPLAT_I8x16),
                   /*MVT::v16i8*/40, 1/*#Ops*/, 0, 
               // Src: (scalar_to_vector:{ *:[v16i8] } I32:{ *:[i32] }:$x) - Complexity = 3
               // Dst: (SPLAT_I8x16:{ *:[v16i8] } ?:{ *:[i32] }:$x)
/* 23473*/    /*SwitchType*/ 6, /*MVT::v8i16*/51, // ->23481
/* 23475*/     OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::SPLAT_I16x8),
                   /*MVT::v8i16*/51, 1/*#Ops*/, 0, 
               // Src: (scalar_to_vector:{ *:[v8i16] } I32:{ *:[i32] }:$x) - Complexity = 3
               // Dst: (SPLAT_I16x8:{ *:[v8i16] } ?:{ *:[i32] }:$x)
/* 23481*/    /*SwitchType*/ 6, /*MVT::v4i32*/62, // ->23489
/* 23483*/     OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::SPLAT_I32x4),
                   /*MVT::v4i32*/62, 1/*#Ops*/, 0, 
               // Src: (scalar_to_vector:{ *:[v4i32] } I32:{ *:[i32] }:$x) - Complexity = 3
               // Dst: (SPLAT_I32x4:{ *:[v4i32] } ?:{ *:[i32] }:$x)
/* 23489*/    0, // EndSwitchType
/* 23490*/   /*Scope*/ 9, /*->23500*/
/* 23491*/    OPC_CheckChild0TypeI64,
/* 23492*/    OPC_CheckType, /*MVT::v2i64*/81, 
/* 23494*/    OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::SPLAT_I64x2),
                  /*MVT::v2i64*/81, 1/*#Ops*/, 0, 
              // Src: (scalar_to_vector:{ *:[v2i64] } I64:{ *:[i64] }:$x) - Complexity = 3
              // Dst: (SPLAT_I64x2:{ *:[v2i64] } ?:{ *:[i64] }:$x)
/* 23500*/   0, /*End of Scope*/
/* 23501*/  /*Scope*/ 107, /*->23609*/
/* 23502*/   OPC_MoveChild0,
/* 23503*/   OPC_CheckOpcode, TARGET_VAL(ISD::LOAD),
/* 23506*/   OPC_RecordMemRef,
/* 23507*/   OPC_RecordNode, // #0 = 'ld' chained node
/* 23508*/   OPC_RecordChild1, // #1 = $AddrOps32:offset:addr
/* 23509*/   OPC_Scope, 48, /*->23559*/ // 2 children in Scope
/* 23511*/    OPC_CheckChild1TypeI32,
/* 23512*/    OPC_CheckPredicate, 8, // Predicate_unindexedload
/* 23514*/    OPC_CheckPredicate6,  // Predicate_load
/* 23515*/    OPC_SwitchType /*2 cases */, 18, /*MVT::f32*/12, // ->23536
/* 23518*/     OPC_MoveParent,
/* 23519*/     OPC_CheckType, /*MVT::v4f32*/116, 
/* 23521*/     OPC_CheckPatternPredicate1, // (!Subtarget->hasAddr64())
/* 23522*/     OPC_CheckComplexPat0, /*#*/1, // SelectAddrOperands32:$ #2 #3
/* 23524*/     OPC_EmitMergeInputChains1_0,
/* 23525*/     OPC_EmitInteger32, 0,  // 0 #4
/* 23527*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_ZERO_32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                   /*MVT::v4f32*/116, 3/*#Ops*/, 4, 2, 3, 
               // Src: (scalar_to_vector:{ *:[v4f32] } (ld:{ *:[f32] } (AddrOps32:{ *:[i32] } offset32_op:{ *:[i32] }:$offset, I32:{ *:[i32] }:$addr))<<P:Predicate_unindexedload>><<P:Predicate_load>>) - Complexity = 16
               // Dst: (LOAD_ZERO_32_A32:{ *:[v4f32] } 0:{ *:[i32] }, offset32_op:{ *:[i32] }:$offset, I32:{ *:[i32] }:$addr)
/* 23536*/    /*SwitchType*/ 20, /*MVT::f64*/13, // ->23558
/* 23538*/     OPC_MoveParent,
/* 23539*/     OPC_CheckType, /*MVT::v2f64*/6|128,1/*134*/, 
/* 23542*/     OPC_CheckPatternPredicate1, // (!Subtarget->hasAddr64())
/* 23543*/     OPC_CheckComplexPat0, /*#*/1, // SelectAddrOperands32:$ #2 #3
/* 23545*/     OPC_EmitMergeInputChains1_0,
/* 23546*/     OPC_EmitInteger32, 0,  // 0 #4
/* 23548*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_ZERO_64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                   /*MVT::v2f64*/6|128,1/*134*/, 3/*#Ops*/, 4, 2, 3, 
               // Src: (scalar_to_vector:{ *:[v2f64] } (ld:{ *:[f64] } (AddrOps32:{ *:[i32] } offset32_op:{ *:[i32] }:$offset, I32:{ *:[i32] }:$addr))<<P:Predicate_unindexedload>><<P:Predicate_load>>) - Complexity = 16
               // Dst: (LOAD_ZERO_64_A32:{ *:[v2f64] } 0:{ *:[i32] }, offset32_op:{ *:[i32] }:$offset, I32:{ *:[i32] }:$addr)
/* 23558*/    0, // EndSwitchType
/* 23559*/   /*Scope*/ 48, /*->23608*/
/* 23560*/    OPC_CheckChild1TypeI64,
/* 23561*/    OPC_CheckPredicate, 8, // Predicate_unindexedload
/* 23563*/    OPC_CheckPredicate6,  // Predicate_load
/* 23564*/    OPC_SwitchType /*2 cases */, 18, /*MVT::f32*/12, // ->23585
/* 23567*/     OPC_MoveParent,
/* 23568*/     OPC_CheckType, /*MVT::v4f32*/116, 
/* 23570*/     OPC_CheckPatternPredicate2, // (Subtarget->hasAddr64())
/* 23571*/     OPC_CheckComplexPat1, /*#*/1, // SelectAddrOperands64:$ #2 #3
/* 23573*/     OPC_EmitMergeInputChains1_0,
/* 23574*/     OPC_EmitInteger32, 0,  // 0 #4
/* 23576*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_ZERO_32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                   /*MVT::v4f32*/116, 3/*#Ops*/, 4, 2, 3, 
               // Src: (scalar_to_vector:{ *:[v4f32] } (ld:{ *:[f32] } (AddrOps64:{ *:[i64] } offset64_op:{ *:[i64] }:$offset, I64:{ *:[i64] }:$addr))<<P:Predicate_unindexedload>><<P:Predicate_load>>) - Complexity = 16
               // Dst: (LOAD_ZERO_32_A64:{ *:[v4f32] } 0:{ *:[i32] }, offset64_op:{ *:[i64] }:$offset, I64:{ *:[i64] }:$addr)
/* 23585*/    /*SwitchType*/ 20, /*MVT::f64*/13, // ->23607
/* 23587*/     OPC_MoveParent,
/* 23588*/     OPC_CheckType, /*MVT::v2f64*/6|128,1/*134*/, 
/* 23591*/     OPC_CheckPatternPredicate2, // (Subtarget->hasAddr64())
/* 23592*/     OPC_CheckComplexPat1, /*#*/1, // SelectAddrOperands64:$ #2 #3
/* 23594*/     OPC_EmitMergeInputChains1_0,
/* 23595*/     OPC_EmitInteger32, 0,  // 0 #4
/* 23597*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_ZERO_64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                   /*MVT::v2f64*/6|128,1/*134*/, 3/*#Ops*/, 4, 2, 3, 
               // Src: (scalar_to_vector:{ *:[v2f64] } (ld:{ *:[f64] } (AddrOps64:{ *:[i64] } offset64_op:{ *:[i64] }:$offset, I64:{ *:[i64] }:$addr))<<P:Predicate_unindexedload>><<P:Predicate_load>>) - Complexity = 16
               // Dst: (LOAD_ZERO_64_A64:{ *:[v2f64] } 0:{ *:[i32] }, offset64_op:{ *:[i64] }:$offset, I64:{ *:[i64] }:$addr)
/* 23607*/    0, // EndSwitchType
/* 23608*/   0, /*End of Scope*/
/* 23609*/  /*Scope*/ 25, /*->23635*/
/* 23610*/   OPC_RecordChild0, // #0 = $x
/* 23611*/   OPC_SwitchType /*2 cases */, 8, /*MVT::v4f32*/116, // ->23622
/* 23614*/    OPC_CheckChild0Type, /*MVT::f32*/12, 
/* 23616*/    OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::SPLAT_F32x4),
                  /*MVT::v4f32*/116, 1/*#Ops*/, 0, 
              // Src: (scalar_to_vector:{ *:[v4f32] } F32:{ *:[f32] }:$x) - Complexity = 3
              // Dst: (SPLAT_F32x4:{ *:[v4f32] } ?:{ *:[f32] }:$x)
/* 23622*/   /*SwitchType*/ 9, /*MVT::v2f64*/6|128,1/*134*/, // ->23634
/* 23625*/    OPC_CheckChild0Type, /*MVT::f64*/13, 
/* 23627*/    OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::SPLAT_F64x2),
                  /*MVT::v2f64*/6|128,1/*134*/, 1/*#Ops*/, 0, 
              // Src: (scalar_to_vector:{ *:[v2f64] } F64:{ *:[f64] }:$x) - Complexity = 3
              // Dst: (SPLAT_F64x2:{ *:[v2f64] } ?:{ *:[f64] }:$x)
/* 23634*/   0, // EndSwitchType
/* 23635*/  0, /*End of Scope*/
/* 23636*/ /*SwitchOpcode*/ 4|128,1/*132*/, TARGET_VAL(WebAssemblyISD::VEC_SHL),// ->23772
/* 23640*/  OPC_RecordChild0, // #0 = $lhs
/* 23641*/  OPC_Scope, 84, /*->23727*/ // 2 children in Scope
/* 23643*/   OPC_MoveChild1,
/* 23644*/   OPC_Scope, 24, /*->23670*/ // 5 children in Scope
/* 23646*/    OPC_CheckOpcode, TARGET_VAL(ISD::TRUNCATE),
/* 23649*/    OPC_MoveChild0,
/* 23650*/    OPC_CheckAndImm, 63, 
/* 23652*/    OPC_RecordChild0, // #1 = $rhs
/* 23653*/    OPC_MoveParent,
/* 23654*/    OPC_MoveParent,
/* 23655*/    OPC_CheckType, /*MVT::v2i64*/81, 
/* 23657*/    OPC_EmitNode1None, TARGET_VAL(WebAssembly::I32_WRAP_I64),
                  /*MVT::i32*/7, 1/*#Ops*/, 1,  // Results = #2
/* 23663*/    OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::SHL_I64x2),
                  /*MVT::v2i64*/81, 2/*#Ops*/, 0, 2, 
              // Src: (wasm_shl:{ *:[v2i64] } V128:{ *:[v2i64] }:$lhs, (trunc:{ *:[i32] } (and:{ *:[i64] } I64:{ *:[i64] }:$rhs, 63:{ *:[i64] }))) - Complexity = 14
              // Dst: (SHL_I64x2:{ *:[v2i64] } V128:{ *:[v2i64] }:$lhs, (I32_WRAP_I64:{ *:[i32] } I64:{ *:[i64] }:$rhs))
/* 23670*/   /*Scope*/ 13, /*->23684*/
/* 23671*/    OPC_CheckAndImm, 7, 
/* 23673*/    OPC_RecordChild0, // #1 = $rhs
/* 23674*/    OPC_MoveParent,
/* 23675*/    OPC_CheckType, /*MVT::v16i8*/40, 
/* 23677*/    OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::SHL_I8x16),
                  /*MVT::v16i8*/40, 2/*#Ops*/, 0, 1, 
              // Src: (wasm_shl:{ *:[v16i8] } V128:{ *:[v16i8] }:$lhs, (and:{ *:[i32] } I32:{ *:[i32] }:$rhs, 7:{ *:[i32] })) - Complexity = 11
              // Dst: (SHL_I8x16:{ *:[v16i8] } V128:{ *:[v16i8] }:$lhs, I32:{ *:[i32] }:$rhs)
/* 23684*/   /*Scope*/ 13, /*->23698*/
/* 23685*/    OPC_CheckAndImm, 15, 
/* 23687*/    OPC_RecordChild0, // #1 = $rhs
/* 23688*/    OPC_MoveParent,
/* 23689*/    OPC_CheckType, /*MVT::v8i16*/51, 
/* 23691*/    OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::SHL_I16x8),
                  /*MVT::v8i16*/51, 2/*#Ops*/, 0, 1, 
              // Src: (wasm_shl:{ *:[v8i16] } V128:{ *:[v8i16] }:$lhs, (and:{ *:[i32] } I32:{ *:[i32] }:$rhs, 15:{ *:[i32] })) - Complexity = 11
              // Dst: (SHL_I16x8:{ *:[v8i16] } V128:{ *:[v8i16] }:$lhs, I32:{ *:[i32] }:$rhs)
/* 23698*/   /*Scope*/ 13, /*->23712*/
/* 23699*/    OPC_CheckAndImm, 31, 
/* 23701*/    OPC_RecordChild0, // #1 = $rhs
/* 23702*/    OPC_MoveParent,
/* 23703*/    OPC_CheckType, /*MVT::v4i32*/62, 
/* 23705*/    OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::SHL_I32x4),
                  /*MVT::v4i32*/62, 2/*#Ops*/, 0, 1, 
              // Src: (wasm_shl:{ *:[v4i32] } V128:{ *:[v4i32] }:$lhs, (and:{ *:[i32] } I32:{ *:[i32] }:$rhs, 31:{ *:[i32] })) - Complexity = 11
              // Dst: (SHL_I32x4:{ *:[v4i32] } V128:{ *:[v4i32] }:$lhs, I32:{ *:[i32] }:$rhs)
/* 23712*/   /*Scope*/ 13, /*->23726*/
/* 23713*/    OPC_CheckAndImm, 63, 
/* 23715*/    OPC_RecordChild0, // #1 = $rhs
/* 23716*/    OPC_MoveParent,
/* 23717*/    OPC_CheckType, /*MVT::v2i64*/81, 
/* 23719*/    OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::SHL_I64x2),
                  /*MVT::v2i64*/81, 2/*#Ops*/, 0, 1, 
              // Src: (wasm_shl:{ *:[v2i64] } V128:{ *:[v2i64] }:$lhs, (and:{ *:[i32] } I32:{ *:[i32] }:$rhs, 63:{ *:[i32] })) - Complexity = 11
              // Dst: (SHL_I64x2:{ *:[v2i64] } V128:{ *:[v2i64] }:$lhs, I32:{ *:[i32] }:$rhs)
/* 23726*/   0, /*End of Scope*/
/* 23727*/  /*Scope*/ 43, /*->23771*/
/* 23728*/   OPC_RecordChild1, // #1 = $x
/* 23729*/   OPC_SwitchType /*4 cases */, 8, /*MVT::v16i8*/40, // ->23740
/* 23732*/    OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/* 23733*/    OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::SHL_I8x16),
                  /*MVT::v16i8*/40, 2/*#Ops*/, 0, 1, 
              // Src: (wasm_shl:{ *:[v16i8] } V128:{ *:[v16i8] }:$vec, I32:{ *:[i32] }:$x) - Complexity = 3
              // Dst: (SHL_I8x16:{ *:[v16i8] } V128:{ *:[v16i8] }:$vec, I32:{ *:[i32] }:$x)
/* 23740*/   /*SwitchType*/ 8, /*MVT::v8i16*/51, // ->23750
/* 23742*/    OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/* 23743*/    OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::SHL_I16x8),
                  /*MVT::v8i16*/51, 2/*#Ops*/, 0, 1, 
              // Src: (wasm_shl:{ *:[v8i16] } V128:{ *:[v8i16] }:$vec, I32:{ *:[i32] }:$x) - Complexity = 3
              // Dst: (SHL_I16x8:{ *:[v8i16] } V128:{ *:[v8i16] }:$vec, I32:{ *:[i32] }:$x)
/* 23750*/   /*SwitchType*/ 8, /*MVT::v4i32*/62, // ->23760
/* 23752*/    OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/* 23753*/    OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::SHL_I32x4),
                  /*MVT::v4i32*/62, 2/*#Ops*/, 0, 1, 
              // Src: (wasm_shl:{ *:[v4i32] } V128:{ *:[v4i32] }:$vec, I32:{ *:[i32] }:$x) - Complexity = 3
              // Dst: (SHL_I32x4:{ *:[v4i32] } V128:{ *:[v4i32] }:$vec, I32:{ *:[i32] }:$x)
/* 23760*/   /*SwitchType*/ 8, /*MVT::v2i64*/81, // ->23770
/* 23762*/    OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/* 23763*/    OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::SHL_I64x2),
                  /*MVT::v2i64*/81, 2/*#Ops*/, 0, 1, 
              // Src: (wasm_shl:{ *:[v2i64] } V128:{ *:[v2i64] }:$vec, I32:{ *:[i32] }:$x) - Complexity = 3
              // Dst: (SHL_I64x2:{ *:[v2i64] } V128:{ *:[v2i64] }:$vec, I32:{ *:[i32] }:$x)
/* 23770*/   0, // EndSwitchType
/* 23771*/  0, /*End of Scope*/
/* 23772*/ /*SwitchOpcode*/ 4|128,1/*132*/, TARGET_VAL(WebAssemblyISD::VEC_SHR_S),// ->23908
/* 23776*/  OPC_RecordChild0, // #0 = $lhs
/* 23777*/  OPC_Scope, 84, /*->23863*/ // 2 children in Scope
/* 23779*/   OPC_MoveChild1,
/* 23780*/   OPC_Scope, 24, /*->23806*/ // 5 children in Scope
/* 23782*/    OPC_CheckOpcode, TARGET_VAL(ISD::TRUNCATE),
/* 23785*/    OPC_MoveChild0,
/* 23786*/    OPC_CheckAndImm, 63, 
/* 23788*/    OPC_RecordChild0, // #1 = $rhs
/* 23789*/    OPC_MoveParent,
/* 23790*/    OPC_MoveParent,
/* 23791*/    OPC_CheckType, /*MVT::v2i64*/81, 
/* 23793*/    OPC_EmitNode1None, TARGET_VAL(WebAssembly::I32_WRAP_I64),
                  /*MVT::i32*/7, 1/*#Ops*/, 1,  // Results = #2
/* 23799*/    OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::SHR_S_I64x2),
                  /*MVT::v2i64*/81, 2/*#Ops*/, 0, 2, 
              // Src: (wasm_shr_s:{ *:[v2i64] } V128:{ *:[v2i64] }:$lhs, (trunc:{ *:[i32] } (and:{ *:[i64] } I64:{ *:[i64] }:$rhs, 63:{ *:[i64] }))) - Complexity = 14
              // Dst: (SHR_S_I64x2:{ *:[v2i64] } V128:{ *:[v2i64] }:$lhs, (I32_WRAP_I64:{ *:[i32] } I64:{ *:[i64] }:$rhs))
/* 23806*/   /*Scope*/ 13, /*->23820*/
/* 23807*/    OPC_CheckAndImm, 7, 
/* 23809*/    OPC_RecordChild0, // #1 = $rhs
/* 23810*/    OPC_MoveParent,
/* 23811*/    OPC_CheckType, /*MVT::v16i8*/40, 
/* 23813*/    OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::SHR_S_I8x16),
                  /*MVT::v16i8*/40, 2/*#Ops*/, 0, 1, 
              // Src: (wasm_shr_s:{ *:[v16i8] } V128:{ *:[v16i8] }:$lhs, (and:{ *:[i32] } I32:{ *:[i32] }:$rhs, 7:{ *:[i32] })) - Complexity = 11
              // Dst: (SHR_S_I8x16:{ *:[v16i8] } V128:{ *:[v16i8] }:$lhs, I32:{ *:[i32] }:$rhs)
/* 23820*/   /*Scope*/ 13, /*->23834*/
/* 23821*/    OPC_CheckAndImm, 15, 
/* 23823*/    OPC_RecordChild0, // #1 = $rhs
/* 23824*/    OPC_MoveParent,
/* 23825*/    OPC_CheckType, /*MVT::v8i16*/51, 
/* 23827*/    OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::SHR_S_I16x8),
                  /*MVT::v8i16*/51, 2/*#Ops*/, 0, 1, 
              // Src: (wasm_shr_s:{ *:[v8i16] } V128:{ *:[v8i16] }:$lhs, (and:{ *:[i32] } I32:{ *:[i32] }:$rhs, 15:{ *:[i32] })) - Complexity = 11
              // Dst: (SHR_S_I16x8:{ *:[v8i16] } V128:{ *:[v8i16] }:$lhs, I32:{ *:[i32] }:$rhs)
/* 23834*/   /*Scope*/ 13, /*->23848*/
/* 23835*/    OPC_CheckAndImm, 31, 
/* 23837*/    OPC_RecordChild0, // #1 = $rhs
/* 23838*/    OPC_MoveParent,
/* 23839*/    OPC_CheckType, /*MVT::v4i32*/62, 
/* 23841*/    OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::SHR_S_I32x4),
                  /*MVT::v4i32*/62, 2/*#Ops*/, 0, 1, 
              // Src: (wasm_shr_s:{ *:[v4i32] } V128:{ *:[v4i32] }:$lhs, (and:{ *:[i32] } I32:{ *:[i32] }:$rhs, 31:{ *:[i32] })) - Complexity = 11
              // Dst: (SHR_S_I32x4:{ *:[v4i32] } V128:{ *:[v4i32] }:$lhs, I32:{ *:[i32] }:$rhs)
/* 23848*/   /*Scope*/ 13, /*->23862*/
/* 23849*/    OPC_CheckAndImm, 63, 
/* 23851*/    OPC_RecordChild0, // #1 = $rhs
/* 23852*/    OPC_MoveParent,
/* 23853*/    OPC_CheckType, /*MVT::v2i64*/81, 
/* 23855*/    OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::SHR_S_I64x2),
                  /*MVT::v2i64*/81, 2/*#Ops*/, 0, 1, 
              // Src: (wasm_shr_s:{ *:[v2i64] } V128:{ *:[v2i64] }:$lhs, (and:{ *:[i32] } I32:{ *:[i32] }:$rhs, 63:{ *:[i32] })) - Complexity = 11
              // Dst: (SHR_S_I64x2:{ *:[v2i64] } V128:{ *:[v2i64] }:$lhs, I32:{ *:[i32] }:$rhs)
/* 23862*/   0, /*End of Scope*/
/* 23863*/  /*Scope*/ 43, /*->23907*/
/* 23864*/   OPC_RecordChild1, // #1 = $x
/* 23865*/   OPC_SwitchType /*4 cases */, 8, /*MVT::v16i8*/40, // ->23876
/* 23868*/    OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/* 23869*/    OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::SHR_S_I8x16),
                  /*MVT::v16i8*/40, 2/*#Ops*/, 0, 1, 
              // Src: (wasm_shr_s:{ *:[v16i8] } V128:{ *:[v16i8] }:$vec, I32:{ *:[i32] }:$x) - Complexity = 3
              // Dst: (SHR_S_I8x16:{ *:[v16i8] } V128:{ *:[v16i8] }:$vec, I32:{ *:[i32] }:$x)
/* 23876*/   /*SwitchType*/ 8, /*MVT::v8i16*/51, // ->23886
/* 23878*/    OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/* 23879*/    OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::SHR_S_I16x8),
                  /*MVT::v8i16*/51, 2/*#Ops*/, 0, 1, 
              // Src: (wasm_shr_s:{ *:[v8i16] } V128:{ *:[v8i16] }:$vec, I32:{ *:[i32] }:$x) - Complexity = 3
              // Dst: (SHR_S_I16x8:{ *:[v8i16] } V128:{ *:[v8i16] }:$vec, I32:{ *:[i32] }:$x)
/* 23886*/   /*SwitchType*/ 8, /*MVT::v4i32*/62, // ->23896
/* 23888*/    OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/* 23889*/    OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::SHR_S_I32x4),
                  /*MVT::v4i32*/62, 2/*#Ops*/, 0, 1, 
              // Src: (wasm_shr_s:{ *:[v4i32] } V128:{ *:[v4i32] }:$vec, I32:{ *:[i32] }:$x) - Complexity = 3
              // Dst: (SHR_S_I32x4:{ *:[v4i32] } V128:{ *:[v4i32] }:$vec, I32:{ *:[i32] }:$x)
/* 23896*/   /*SwitchType*/ 8, /*MVT::v2i64*/81, // ->23906
/* 23898*/    OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/* 23899*/    OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::SHR_S_I64x2),
                  /*MVT::v2i64*/81, 2/*#Ops*/, 0, 1, 
              // Src: (wasm_shr_s:{ *:[v2i64] } V128:{ *:[v2i64] }:$vec, I32:{ *:[i32] }:$x) - Complexity = 3
              // Dst: (SHR_S_I64x2:{ *:[v2i64] } V128:{ *:[v2i64] }:$vec, I32:{ *:[i32] }:$x)
/* 23906*/   0, // EndSwitchType
/* 23907*/  0, /*End of Scope*/
/* 23908*/ /*SwitchOpcode*/ 66|128,8/*1090*/, TARGET_VAL(ISD::VSELECT),// ->25002
/* 23912*/  OPC_Scope, 13|128,1/*141*/, /*->24056*/ // 4 children in Scope
/* 23915*/   OPC_MoveChild0,
/* 23916*/   OPC_CheckOpcode, TARGET_VAL(ISD::SETCC),
/* 23919*/   OPC_MoveChild0,
/* 23920*/   OPC_CheckOpcode, TARGET_VAL(ISD::BITCAST),
/* 23923*/   OPC_RecordChild0, // #0 = $rhs
/* 23924*/   OPC_SwitchType /*3 cases */, 41, /*MVT::v4f32*/116, // ->23968
/* 23927*/    OPC_CheckChild0Type, /*MVT::v4i32*/62, 
/* 23929*/    OPC_MoveSibling1,
/* 23930*/    OPC_CheckOpcode, TARGET_VAL(ISD::BITCAST),
/* 23933*/    OPC_RecordChild0, // #1 = $lhs
/* 23934*/    OPC_CheckChild0Type, /*MVT::v4i32*/62, 
/* 23936*/    OPC_MoveParent,
/* 23937*/    OPC_CheckChild2CondCode, ISD::SETOLT,
/* 23939*/    OPC_MoveParent,
/* 23940*/    OPC_CheckType, /*MVT::v4i32*/62, 
/* 23942*/    OPC_Scope, 11, /*->23955*/ // 2 children in Scope
/* 23944*/     OPC_CheckChild1Same, 0,
/* 23946*/     OPC_CheckChild2Same, 1,
/* 23948*/     OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::PMIN_F32x4),
                   /*MVT::v4i32*/62, 2/*#Ops*/, 1, 0, 
               // Src: (vselect:{ *:[v4i32] } (setcc:{ *:[v4i32] } (bitconvert:{ *:[v4f32] } V128:{ *:[v4i32] }:$rhs), (bitconvert:{ *:[v4f32] } V128:{ *:[v4i32] }:$lhs), SETOLT:{ *:[Other] }), V128:{ *:[v4i32] }:$rhs, V128:{ *:[v4i32] }:$lhs) - Complexity = 12
               // Dst: (PMIN_F32x4:{ *:[v4i32] } ?:{ *:[v4i32] }:$lhs, ?:{ *:[v4i32] }:$rhs)
/* 23955*/    /*Scope*/ 11, /*->23967*/
/* 23956*/     OPC_CheckChild1Same, 1,
/* 23958*/     OPC_CheckChild2Same, 0,
/* 23960*/     OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::PMAX_F32x4),
                   /*MVT::v4i32*/62, 2/*#Ops*/, 0, 1, 
               // Src: (vselect:{ *:[v4i32] } (setcc:{ *:[v4i32] } (bitconvert:{ *:[v4f32] } V128:{ *:[v4i32] }:$lhs), (bitconvert:{ *:[v4f32] } V128:{ *:[v4i32] }:$rhs), SETOLT:{ *:[Other] }), V128:{ *:[v4i32] }:$rhs, V128:{ *:[v4i32] }:$lhs) - Complexity = 12
               // Dst: (PMAX_F32x4:{ *:[v4i32] } ?:{ *:[v4i32] }:$lhs, ?:{ *:[v4i32] }:$rhs)
/* 23967*/    0, /*End of Scope*/
/* 23968*/   /*SwitchType*/ 41, /*MVT::v2f64*/6|128,1/*134*/, // ->24012
/* 23971*/    OPC_CheckChild0Type, /*MVT::v2i64*/81, 
/* 23973*/    OPC_MoveSibling1,
/* 23974*/    OPC_CheckOpcode, TARGET_VAL(ISD::BITCAST),
/* 23977*/    OPC_RecordChild0, // #1 = $lhs
/* 23978*/    OPC_CheckChild0Type, /*MVT::v2i64*/81, 
/* 23980*/    OPC_MoveParent,
/* 23981*/    OPC_CheckChild2CondCode, ISD::SETOLT,
/* 23983*/    OPC_MoveParent,
/* 23984*/    OPC_CheckType, /*MVT::v2i64*/81, 
/* 23986*/    OPC_Scope, 11, /*->23999*/ // 2 children in Scope
/* 23988*/     OPC_CheckChild1Same, 0,
/* 23990*/     OPC_CheckChild2Same, 1,
/* 23992*/     OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::PMIN_F64x2),
                   /*MVT::v2i64*/81, 2/*#Ops*/, 1, 0, 
               // Src: (vselect:{ *:[v2i64] } (setcc:{ *:[v2i64] } (bitconvert:{ *:[v2f64] } V128:{ *:[v2i64] }:$rhs), (bitconvert:{ *:[v2f64] } V128:{ *:[v2i64] }:$lhs), SETOLT:{ *:[Other] }), V128:{ *:[v2i64] }:$rhs, V128:{ *:[v2i64] }:$lhs) - Complexity = 12
               // Dst: (PMIN_F64x2:{ *:[v2i64] } ?:{ *:[v2i64] }:$lhs, ?:{ *:[v2i64] }:$rhs)
/* 23999*/    /*Scope*/ 11, /*->24011*/
/* 24000*/     OPC_CheckChild1Same, 1,
/* 24002*/     OPC_CheckChild2Same, 0,
/* 24004*/     OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::PMAX_F64x2),
                   /*MVT::v2i64*/81, 2/*#Ops*/, 0, 1, 
               // Src: (vselect:{ *:[v2i64] } (setcc:{ *:[v2i64] } (bitconvert:{ *:[v2f64] } V128:{ *:[v2i64] }:$lhs), (bitconvert:{ *:[v2f64] } V128:{ *:[v2i64] }:$rhs), SETOLT:{ *:[Other] }), V128:{ *:[v2i64] }:$rhs, V128:{ *:[v2i64] }:$lhs) - Complexity = 12
               // Dst: (PMAX_F64x2:{ *:[v2i64] } ?:{ *:[v2i64] }:$lhs, ?:{ *:[v2i64] }:$rhs)
/* 24011*/    0, /*End of Scope*/
/* 24012*/   /*SwitchType*/ 41, /*MVT::v8f16*/95, // ->24055
/* 24014*/    OPC_CheckChild0Type, /*MVT::v8i16*/51, 
/* 24016*/    OPC_MoveSibling1,
/* 24017*/    OPC_CheckOpcode, TARGET_VAL(ISD::BITCAST),
/* 24020*/    OPC_RecordChild0, // #1 = $lhs
/* 24021*/    OPC_CheckChild0Type, /*MVT::v8i16*/51, 
/* 24023*/    OPC_MoveParent,
/* 24024*/    OPC_CheckChild2CondCode, ISD::SETOLT,
/* 24026*/    OPC_MoveParent,
/* 24027*/    OPC_CheckType, /*MVT::v8i16*/51, 
/* 24029*/    OPC_Scope, 11, /*->24042*/ // 2 children in Scope
/* 24031*/     OPC_CheckChild1Same, 0,
/* 24033*/     OPC_CheckChild2Same, 1,
/* 24035*/     OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::PMIN_F16x8),
                   /*MVT::v8i16*/51, 2/*#Ops*/, 1, 0, 
               // Src: (vselect:{ *:[v8i16] } (setcc:{ *:[v8i16] } (bitconvert:{ *:[v8f16] } V128:{ *:[v8i16] }:$rhs), (bitconvert:{ *:[v8f16] } V128:{ *:[v8i16] }:$lhs), SETOLT:{ *:[Other] }), V128:{ *:[v8i16] }:$rhs, V128:{ *:[v8i16] }:$lhs) - Complexity = 12
               // Dst: (PMIN_F16x8:{ *:[v8i16] } ?:{ *:[v8i16] }:$lhs, ?:{ *:[v8i16] }:$rhs)
/* 24042*/    /*Scope*/ 11, /*->24054*/
/* 24043*/     OPC_CheckChild1Same, 1,
/* 24045*/     OPC_CheckChild2Same, 0,
/* 24047*/     OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::PMAX_F16x8),
                   /*MVT::v8i16*/51, 2/*#Ops*/, 0, 1, 
               // Src: (vselect:{ *:[v8i16] } (setcc:{ *:[v8i16] } (bitconvert:{ *:[v8f16] } V128:{ *:[v8i16] }:$lhs), (bitconvert:{ *:[v8f16] } V128:{ *:[v8i16] }:$rhs), SETOLT:{ *:[Other] }), V128:{ *:[v8i16] }:$rhs, V128:{ *:[v8i16] }:$lhs) - Complexity = 12
               // Dst: (PMAX_F16x8:{ *:[v8i16] } ?:{ *:[v8i16] }:$lhs, ?:{ *:[v8i16] }:$rhs)
/* 24054*/    0, /*End of Scope*/
/* 24055*/   0, // EndSwitchType
/* 24056*/  /*Scope*/ 45, /*->24102*/
/* 24057*/   OPC_RecordChild0, // #0 = $c
/* 24058*/   OPC_RecordChild1, // #1 = $v1
/* 24059*/   OPC_RecordChild2, // #2 = $v2
/* 24060*/   OPC_SwitchType /*4 cases */, 8, /*MVT::v16i8*/40, // ->24071
/* 24063*/    OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::BITSELECT),
                  /*MVT::v16i8*/40, 3/*#Ops*/, 1, 2, 0, 
              // Src: (vselect:{ *:[v16i8] } V128:{ *:[v16i8] }:$c, V128:{ *:[v16i8] }:$v1, V128:{ *:[v16i8] }:$v2) - Complexity = 3
              // Dst: (BITSELECT:{ *:[v16i8] } ?:{ *:[v16i8] }:$v1, ?:{ *:[v16i8] }:$v2, ?:{ *:[v16i8] }:$c)
/* 24071*/   /*SwitchType*/ 8, /*MVT::v8i16*/51, // ->24081
/* 24073*/    OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::BITSELECT),
                  /*MVT::v8i16*/51, 3/*#Ops*/, 1, 2, 0, 
              // Src: (vselect:{ *:[v8i16] } V128:{ *:[v8i16] }:$c, V128:{ *:[v8i16] }:$v1, V128:{ *:[v8i16] }:$v2) - Complexity = 3
              // Dst: (BITSELECT:{ *:[v8i16] } ?:{ *:[v8i16] }:$v1, ?:{ *:[v8i16] }:$v2, ?:{ *:[v8i16] }:$c)
/* 24081*/   /*SwitchType*/ 8, /*MVT::v4i32*/62, // ->24091
/* 24083*/    OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::BITSELECT),
                  /*MVT::v4i32*/62, 3/*#Ops*/, 1, 2, 0, 
              // Src: (vselect:{ *:[v4i32] } V128:{ *:[v4i32] }:$c, V128:{ *:[v4i32] }:$v1, V128:{ *:[v4i32] }:$v2) - Complexity = 3
              // Dst: (BITSELECT:{ *:[v4i32] } ?:{ *:[v4i32] }:$v1, ?:{ *:[v4i32] }:$v2, ?:{ *:[v4i32] }:$c)
/* 24091*/   /*SwitchType*/ 8, /*MVT::v2i64*/81, // ->24101
/* 24093*/    OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::BITSELECT),
                  /*MVT::v2i64*/81, 3/*#Ops*/, 1, 2, 0, 
              // Src: (vselect:{ *:[v2i64] } V128:{ *:[v2i64] }:$c, V128:{ *:[v2i64] }:$v1, V128:{ *:[v2i64] }:$v2) - Complexity = 3
              // Dst: (BITSELECT:{ *:[v2i64] } ?:{ *:[v2i64] }:$v1, ?:{ *:[v2i64] }:$v2, ?:{ *:[v2i64] }:$c)
/* 24101*/   0, // EndSwitchType
/* 24102*/  /*Scope*/ 101|128,6/*869*/, /*->24973*/
/* 24104*/   OPC_MoveChild0,
/* 24105*/   OPC_CheckOpcode, TARGET_VAL(ISD::SETCC),
/* 24108*/   OPC_RecordChild0, // #0 = $rhs
/* 24109*/   OPC_Scope, 21|128,2/*277*/, /*->24389*/ // 3 children in Scope
/* 24112*/    OPC_CheckChild0Type, /*MVT::v4f32*/116, 
/* 24114*/    OPC_RecordChild1, // #1 = $lhs
/* 24115*/    OPC_Scope, 33, /*->24150*/ // 8 children in Scope
/* 24117*/     OPC_CheckChild2CondCode, ISD::SETOLT,
/* 24119*/     OPC_MoveParent,
/* 24120*/     OPC_CheckType, /*MVT::v4f32*/116, 
/* 24122*/     OPC_Scope, 12, /*->24136*/ // 2 children in Scope
/* 24124*/      OPC_CheckChild1Same, 0,
/* 24126*/      OPC_CheckChild2Same, 1,
/* 24128*/      OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/* 24129*/      OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::PMIN_F32x4),
                    /*MVT::v4f32*/116, 2/*#Ops*/, 1, 0, 
                // Src: (vselect:{ *:[v4f32] } (setcc:{ *:[v4i32] } V128:{ *:[v4f32] }:$rhs, V128:{ *:[v4f32] }:$lhs, SETOLT:{ *:[Other] }), V128:{ *:[v4f32] }:$rhs, V128:{ *:[v4f32] }:$lhs) - Complexity = 6
                // Dst: (PMIN_F32x4:{ *:[v4f32] } V128:{ *:[v4f32] }:$lhs, V128:{ *:[v4f32] }:$rhs)
/* 24136*/     /*Scope*/ 12, /*->24149*/
/* 24137*/      OPC_CheckChild1Same, 1,
/* 24139*/      OPC_CheckChild2Same, 0,
/* 24141*/      OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/* 24142*/      OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::PMAX_F32x4),
                    /*MVT::v4f32*/116, 2/*#Ops*/, 0, 1, 
                // Src: (vselect:{ *:[v4f32] } (setcc:{ *:[v4i32] } V128:{ *:[v4f32] }:$lhs, V128:{ *:[v4f32] }:$rhs, SETOLT:{ *:[Other] }), V128:{ *:[v4f32] }:$rhs, V128:{ *:[v4f32] }:$lhs) - Complexity = 6
                // Dst: (PMAX_F32x4:{ *:[v4f32] } V128:{ *:[v4f32] }:$lhs, V128:{ *:[v4f32] }:$rhs)
/* 24149*/     0, /*End of Scope*/
/* 24150*/    /*Scope*/ 33, /*->24184*/
/* 24151*/     OPC_CheckChild2CondCode, ISD::SETOLE,
/* 24153*/     OPC_MoveParent,
/* 24154*/     OPC_CheckType, /*MVT::v4f32*/116, 
/* 24156*/     OPC_Scope, 12, /*->24170*/ // 2 children in Scope
/* 24158*/      OPC_CheckChild1Same, 0,
/* 24160*/      OPC_CheckChild2Same, 1,
/* 24162*/      OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/* 24163*/      OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::PMIN_F32x4),
                    /*MVT::v4f32*/116, 2/*#Ops*/, 1, 0, 
                // Src: (vselect:{ *:[v4f32] } (setcc:{ *:[v4i32] } V128:{ *:[v4f32] }:$rhs, V128:{ *:[v4f32] }:$lhs, SETOLE:{ *:[Other] }), V128:{ *:[v4f32] }:$rhs, V128:{ *:[v4f32] }:$lhs) - Complexity = 6
                // Dst: (PMIN_F32x4:{ *:[v4f32] } V128:{ *:[v4f32] }:$lhs, V128:{ *:[v4f32] }:$rhs)
/* 24170*/     /*Scope*/ 12, /*->24183*/
/* 24171*/      OPC_CheckChild1Same, 1,
/* 24173*/      OPC_CheckChild2Same, 0,
/* 24175*/      OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/* 24176*/      OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::PMAX_F32x4),
                    /*MVT::v4f32*/116, 2/*#Ops*/, 0, 1, 
                // Src: (vselect:{ *:[v4f32] } (setcc:{ *:[v4i32] } V128:{ *:[v4f32] }:$lhs, V128:{ *:[v4f32] }:$rhs, SETOLE:{ *:[Other] }), V128:{ *:[v4f32] }:$rhs, V128:{ *:[v4f32] }:$lhs) - Complexity = 6
                // Dst: (PMAX_F32x4:{ *:[v4f32] } V128:{ *:[v4f32] }:$lhs, V128:{ *:[v4f32] }:$rhs)
/* 24183*/     0, /*End of Scope*/
/* 24184*/    /*Scope*/ 33, /*->24218*/
/* 24185*/     OPC_CheckChild2CondCode, ISD::SETOGT,
/* 24187*/     OPC_MoveParent,
/* 24188*/     OPC_CheckType, /*MVT::v4f32*/116, 
/* 24190*/     OPC_Scope, 12, /*->24204*/ // 2 children in Scope
/* 24192*/      OPC_CheckChild1Same, 1,
/* 24194*/      OPC_CheckChild2Same, 0,
/* 24196*/      OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/* 24197*/      OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::PMIN_F32x4),
                    /*MVT::v4f32*/116, 2/*#Ops*/, 0, 1, 
                // Src: (vselect:{ *:[v4f32] } (setcc:{ *:[v4i32] } V128:{ *:[v4f32] }:$lhs, V128:{ *:[v4f32] }:$rhs, SETOGT:{ *:[Other] }), V128:{ *:[v4f32] }:$rhs, V128:{ *:[v4f32] }:$lhs) - Complexity = 6
                // Dst: (PMIN_F32x4:{ *:[v4f32] } V128:{ *:[v4f32] }:$lhs, V128:{ *:[v4f32] }:$rhs)
/* 24204*/     /*Scope*/ 12, /*->24217*/
/* 24205*/      OPC_CheckChild1Same, 0,
/* 24207*/      OPC_CheckChild2Same, 1,
/* 24209*/      OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/* 24210*/      OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::PMAX_F32x4),
                    /*MVT::v4f32*/116, 2/*#Ops*/, 1, 0, 
                // Src: (vselect:{ *:[v4f32] } (setcc:{ *:[v4i32] } V128:{ *:[v4f32] }:$rhs, V128:{ *:[v4f32] }:$lhs, SETOGT:{ *:[Other] }), V128:{ *:[v4f32] }:$rhs, V128:{ *:[v4f32] }:$lhs) - Complexity = 6
                // Dst: (PMAX_F32x4:{ *:[v4f32] } V128:{ *:[v4f32] }:$lhs, V128:{ *:[v4f32] }:$rhs)
/* 24217*/     0, /*End of Scope*/
/* 24218*/    /*Scope*/ 33, /*->24252*/
/* 24219*/     OPC_CheckChild2CondCode, ISD::SETOGE,
/* 24221*/     OPC_MoveParent,
/* 24222*/     OPC_CheckType, /*MVT::v4f32*/116, 
/* 24224*/     OPC_Scope, 12, /*->24238*/ // 2 children in Scope
/* 24226*/      OPC_CheckChild1Same, 1,
/* 24228*/      OPC_CheckChild2Same, 0,
/* 24230*/      OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/* 24231*/      OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::PMIN_F32x4),
                    /*MVT::v4f32*/116, 2/*#Ops*/, 0, 1, 
                // Src: (vselect:{ *:[v4f32] } (setcc:{ *:[v4i32] } V128:{ *:[v4f32] }:$lhs, V128:{ *:[v4f32] }:$rhs, SETOGE:{ *:[Other] }), V128:{ *:[v4f32] }:$rhs, V128:{ *:[v4f32] }:$lhs) - Complexity = 6
                // Dst: (PMIN_F32x4:{ *:[v4f32] } V128:{ *:[v4f32] }:$lhs, V128:{ *:[v4f32] }:$rhs)
/* 24238*/     /*Scope*/ 12, /*->24251*/
/* 24239*/      OPC_CheckChild1Same, 0,
/* 24241*/      OPC_CheckChild2Same, 1,
/* 24243*/      OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/* 24244*/      OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::PMAX_F32x4),
                    /*MVT::v4f32*/116, 2/*#Ops*/, 1, 0, 
                // Src: (vselect:{ *:[v4f32] } (setcc:{ *:[v4i32] } V128:{ *:[v4f32] }:$rhs, V128:{ *:[v4f32] }:$lhs, SETOGE:{ *:[Other] }), V128:{ *:[v4f32] }:$rhs, V128:{ *:[v4f32] }:$lhs) - Complexity = 6
                // Dst: (PMAX_F32x4:{ *:[v4f32] } V128:{ *:[v4f32] }:$lhs, V128:{ *:[v4f32] }:$rhs)
/* 24251*/     0, /*End of Scope*/
/* 24252*/    /*Scope*/ 33, /*->24286*/
/* 24253*/     OPC_CheckChild2CondCode, ISD::SETLT,
/* 24255*/     OPC_MoveParent,
/* 24256*/     OPC_CheckType, /*MVT::v4f32*/116, 
/* 24258*/     OPC_Scope, 12, /*->24272*/ // 2 children in Scope
/* 24260*/      OPC_CheckChild1Same, 0,
/* 24262*/      OPC_CheckChild2Same, 1,
/* 24264*/      OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/* 24265*/      OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::PMIN_F32x4),
                    /*MVT::v4f32*/116, 2/*#Ops*/, 0, 1, 
                // Src: (vselect:{ *:[v4f32] } (setcc:{ *:[v4i32] } V128:{ *:[v4f32] }:$lhs, V128:{ *:[v4f32] }:$rhs, SETLT:{ *:[Other] }), V128:{ *:[v4f32] }:$lhs, V128:{ *:[v4f32] }:$rhs) - Complexity = 6
                // Dst: (PMIN_F32x4:{ *:[v4f32] } V128:{ *:[v4f32] }:$lhs, V128:{ *:[v4f32] }:$rhs)
/* 24272*/     /*Scope*/ 12, /*->24285*/
/* 24273*/      OPC_CheckChild1Same, 1,
/* 24275*/      OPC_CheckChild2Same, 0,
/* 24277*/      OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/* 24278*/      OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::PMAX_F32x4),
                    /*MVT::v4f32*/116, 2/*#Ops*/, 0, 1, 
                // Src: (vselect:{ *:[v4f32] } (setcc:{ *:[v4i32] } V128:{ *:[v4f32] }:$lhs, V128:{ *:[v4f32] }:$rhs, SETLT:{ *:[Other] }), V128:{ *:[v4f32] }:$rhs, V128:{ *:[v4f32] }:$lhs) - Complexity = 6
                // Dst: (PMAX_F32x4:{ *:[v4f32] } V128:{ *:[v4f32] }:$lhs, V128:{ *:[v4f32] }:$rhs)
/* 24285*/     0, /*End of Scope*/
/* 24286*/    /*Scope*/ 33, /*->24320*/
/* 24287*/     OPC_CheckChild2CondCode, ISD::SETLE,
/* 24289*/     OPC_MoveParent,
/* 24290*/     OPC_CheckType, /*MVT::v4f32*/116, 
/* 24292*/     OPC_Scope, 12, /*->24306*/ // 2 children in Scope
/* 24294*/      OPC_CheckChild1Same, 0,
/* 24296*/      OPC_CheckChild2Same, 1,
/* 24298*/      OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/* 24299*/      OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::PMIN_F32x4),
                    /*MVT::v4f32*/116, 2/*#Ops*/, 0, 1, 
                // Src: (vselect:{ *:[v4f32] } (setcc:{ *:[v4i32] } V128:{ *:[v4f32] }:$lhs, V128:{ *:[v4f32] }:$rhs, SETLE:{ *:[Other] }), V128:{ *:[v4f32] }:$lhs, V128:{ *:[v4f32] }:$rhs) - Complexity = 6
                // Dst: (PMIN_F32x4:{ *:[v4f32] } V128:{ *:[v4f32] }:$lhs, V128:{ *:[v4f32] }:$rhs)
/* 24306*/     /*Scope*/ 12, /*->24319*/
/* 24307*/      OPC_CheckChild1Same, 1,
/* 24309*/      OPC_CheckChild2Same, 0,
/* 24311*/      OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/* 24312*/      OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::PMAX_F32x4),
                    /*MVT::v4f32*/116, 2/*#Ops*/, 0, 1, 
                // Src: (vselect:{ *:[v4f32] } (setcc:{ *:[v4i32] } V128:{ *:[v4f32] }:$lhs, V128:{ *:[v4f32] }:$rhs, SETLE:{ *:[Other] }), V128:{ *:[v4f32] }:$rhs, V128:{ *:[v4f32] }:$lhs) - Complexity = 6
                // Dst: (PMAX_F32x4:{ *:[v4f32] } V128:{ *:[v4f32] }:$lhs, V128:{ *:[v4f32] }:$rhs)
/* 24319*/     0, /*End of Scope*/
/* 24320*/    /*Scope*/ 33, /*->24354*/
/* 24321*/     OPC_CheckChild2CondCode, ISD::SETGT,
/* 24323*/     OPC_MoveParent,
/* 24324*/     OPC_CheckType, /*MVT::v4f32*/116, 
/* 24326*/     OPC_Scope, 12, /*->24340*/ // 2 children in Scope
/* 24328*/      OPC_CheckChild1Same, 1,
/* 24330*/      OPC_CheckChild2Same, 0,
/* 24332*/      OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/* 24333*/      OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::PMIN_F32x4),
                    /*MVT::v4f32*/116, 2/*#Ops*/, 0, 1, 
                // Src: (vselect:{ *:[v4f32] } (setcc:{ *:[v4i32] } V128:{ *:[v4f32] }:$lhs, V128:{ *:[v4f32] }:$rhs, SETGT:{ *:[Other] }), V128:{ *:[v4f32] }:$rhs, V128:{ *:[v4f32] }:$lhs) - Complexity = 6
                // Dst: (PMIN_F32x4:{ *:[v4f32] } V128:{ *:[v4f32] }:$lhs, V128:{ *:[v4f32] }:$rhs)
/* 24340*/     /*Scope*/ 12, /*->24353*/
/* 24341*/      OPC_CheckChild1Same, 0,
/* 24343*/      OPC_CheckChild2Same, 1,
/* 24345*/      OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/* 24346*/      OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::PMAX_F32x4),
                    /*MVT::v4f32*/116, 2/*#Ops*/, 0, 1, 
                // Src: (vselect:{ *:[v4f32] } (setcc:{ *:[v4i32] } V128:{ *:[v4f32] }:$lhs, V128:{ *:[v4f32] }:$rhs, SETGT:{ *:[Other] }), V128:{ *:[v4f32] }:$lhs, V128:{ *:[v4f32] }:$rhs) - Complexity = 6
                // Dst: (PMAX_F32x4:{ *:[v4f32] } V128:{ *:[v4f32] }:$lhs, V128:{ *:[v4f32] }:$rhs)
/* 24353*/     0, /*End of Scope*/
/* 24354*/    /*Scope*/ 33, /*->24388*/
/* 24355*/     OPC_CheckChild2CondCode, ISD::SETGE,
/* 24357*/     OPC_MoveParent,
/* 24358*/     OPC_CheckType, /*MVT::v4f32*/116, 
/* 24360*/     OPC_Scope, 12, /*->24374*/ // 2 children in Scope
/* 24362*/      OPC_CheckChild1Same, 1,
/* 24364*/      OPC_CheckChild2Same, 0,
/* 24366*/      OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/* 24367*/      OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::PMIN_F32x4),
                    /*MVT::v4f32*/116, 2/*#Ops*/, 0, 1, 
                // Src: (vselect:{ *:[v4f32] } (setcc:{ *:[v4i32] } V128:{ *:[v4f32] }:$lhs, V128:{ *:[v4f32] }:$rhs, SETGE:{ *:[Other] }), V128:{ *:[v4f32] }:$rhs, V128:{ *:[v4f32] }:$lhs) - Complexity = 6
                // Dst: (PMIN_F32x4:{ *:[v4f32] } V128:{ *:[v4f32] }:$lhs, V128:{ *:[v4f32] }:$rhs)
/* 24374*/     /*Scope*/ 12, /*->24387*/
/* 24375*/      OPC_CheckChild1Same, 0,
/* 24377*/      OPC_CheckChild2Same, 1,
/* 24379*/      OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/* 24380*/      OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::PMAX_F32x4),
                    /*MVT::v4f32*/116, 2/*#Ops*/, 0, 1, 
                // Src: (vselect:{ *:[v4f32] } (setcc:{ *:[v4i32] } V128:{ *:[v4f32] }:$lhs, V128:{ *:[v4f32] }:$rhs, SETGE:{ *:[Other] }), V128:{ *:[v4f32] }:$lhs, V128:{ *:[v4f32] }:$rhs) - Complexity = 6
                // Dst: (PMAX_F32x4:{ *:[v4f32] } V128:{ *:[v4f32] }:$lhs, V128:{ *:[v4f32] }:$rhs)
/* 24387*/     0, /*End of Scope*/
/* 24388*/    0, /*End of Scope*/
/* 24389*/   /*Scope*/ 46|128,2/*302*/, /*->24693*/
/* 24391*/    OPC_CheckChild0Type, /*MVT::v2f64*/6|128,1/*134*/, 
/* 24394*/    OPC_RecordChild1, // #1 = $lhs
/* 24395*/    OPC_Scope, 36, /*->24433*/ // 8 children in Scope
/* 24397*/     OPC_CheckChild2CondCode, ISD::SETOLT,
/* 24399*/     OPC_MoveParent,
/* 24400*/     OPC_CheckType, /*MVT::v2f64*/6|128,1/*134*/, 
/* 24403*/     OPC_Scope, 13, /*->24418*/ // 2 children in Scope
/* 24405*/      OPC_CheckChild1Same, 0,
/* 24407*/      OPC_CheckChild2Same, 1,
/* 24409*/      OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/* 24410*/      OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::PMIN_F64x2),
                    /*MVT::v2f64*/6|128,1/*134*/, 2/*#Ops*/, 1, 0, 
                // Src: (vselect:{ *:[v2f64] } (setcc:{ *:[v2i64] } V128:{ *:[v2f64] }:$rhs, V128:{ *:[v2f64] }:$lhs, SETOLT:{ *:[Other] }), V128:{ *:[v2f64] }:$rhs, V128:{ *:[v2f64] }:$lhs) - Complexity = 6
                // Dst: (PMIN_F64x2:{ *:[v2f64] } V128:{ *:[v2f64] }:$lhs, V128:{ *:[v2f64] }:$rhs)
/* 24418*/     /*Scope*/ 13, /*->24432*/
/* 24419*/      OPC_CheckChild1Same, 1,
/* 24421*/      OPC_CheckChild2Same, 0,
/* 24423*/      OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/* 24424*/      OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::PMAX_F64x2),
                    /*MVT::v2f64*/6|128,1/*134*/, 2/*#Ops*/, 0, 1, 
                // Src: (vselect:{ *:[v2f64] } (setcc:{ *:[v2i64] } V128:{ *:[v2f64] }:$lhs, V128:{ *:[v2f64] }:$rhs, SETOLT:{ *:[Other] }), V128:{ *:[v2f64] }:$rhs, V128:{ *:[v2f64] }:$lhs) - Complexity = 6
                // Dst: (PMAX_F64x2:{ *:[v2f64] } V128:{ *:[v2f64] }:$lhs, V128:{ *:[v2f64] }:$rhs)
/* 24432*/     0, /*End of Scope*/
/* 24433*/    /*Scope*/ 36, /*->24470*/
/* 24434*/     OPC_CheckChild2CondCode, ISD::SETOLE,
/* 24436*/     OPC_MoveParent,
/* 24437*/     OPC_CheckType, /*MVT::v2f64*/6|128,1/*134*/, 
/* 24440*/     OPC_Scope, 13, /*->24455*/ // 2 children in Scope
/* 24442*/      OPC_CheckChild1Same, 0,
/* 24444*/      OPC_CheckChild2Same, 1,
/* 24446*/      OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/* 24447*/      OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::PMIN_F64x2),
                    /*MVT::v2f64*/6|128,1/*134*/, 2/*#Ops*/, 1, 0, 
                // Src: (vselect:{ *:[v2f64] } (setcc:{ *:[v2i64] } V128:{ *:[v2f64] }:$rhs, V128:{ *:[v2f64] }:$lhs, SETOLE:{ *:[Other] }), V128:{ *:[v2f64] }:$rhs, V128:{ *:[v2f64] }:$lhs) - Complexity = 6
                // Dst: (PMIN_F64x2:{ *:[v2f64] } V128:{ *:[v2f64] }:$lhs, V128:{ *:[v2f64] }:$rhs)
/* 24455*/     /*Scope*/ 13, /*->24469*/
/* 24456*/      OPC_CheckChild1Same, 1,
/* 24458*/      OPC_CheckChild2Same, 0,
/* 24460*/      OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/* 24461*/      OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::PMAX_F64x2),
                    /*MVT::v2f64*/6|128,1/*134*/, 2/*#Ops*/, 0, 1, 
                // Src: (vselect:{ *:[v2f64] } (setcc:{ *:[v2i64] } V128:{ *:[v2f64] }:$lhs, V128:{ *:[v2f64] }:$rhs, SETOLE:{ *:[Other] }), V128:{ *:[v2f64] }:$rhs, V128:{ *:[v2f64] }:$lhs) - Complexity = 6
                // Dst: (PMAX_F64x2:{ *:[v2f64] } V128:{ *:[v2f64] }:$lhs, V128:{ *:[v2f64] }:$rhs)
/* 24469*/     0, /*End of Scope*/
/* 24470*/    /*Scope*/ 36, /*->24507*/
/* 24471*/     OPC_CheckChild2CondCode, ISD::SETOGT,
/* 24473*/     OPC_MoveParent,
/* 24474*/     OPC_CheckType, /*MVT::v2f64*/6|128,1/*134*/, 
/* 24477*/     OPC_Scope, 13, /*->24492*/ // 2 children in Scope
/* 24479*/      OPC_CheckChild1Same, 1,
/* 24481*/      OPC_CheckChild2Same, 0,
/* 24483*/      OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/* 24484*/      OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::PMIN_F64x2),
                    /*MVT::v2f64*/6|128,1/*134*/, 2/*#Ops*/, 0, 1, 
                // Src: (vselect:{ *:[v2f64] } (setcc:{ *:[v2i64] } V128:{ *:[v2f64] }:$lhs, V128:{ *:[v2f64] }:$rhs, SETOGT:{ *:[Other] }), V128:{ *:[v2f64] }:$rhs, V128:{ *:[v2f64] }:$lhs) - Complexity = 6
                // Dst: (PMIN_F64x2:{ *:[v2f64] } V128:{ *:[v2f64] }:$lhs, V128:{ *:[v2f64] }:$rhs)
/* 24492*/     /*Scope*/ 13, /*->24506*/
/* 24493*/      OPC_CheckChild1Same, 0,
/* 24495*/      OPC_CheckChild2Same, 1,
/* 24497*/      OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/* 24498*/      OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::PMAX_F64x2),
                    /*MVT::v2f64*/6|128,1/*134*/, 2/*#Ops*/, 1, 0, 
                // Src: (vselect:{ *:[v2f64] } (setcc:{ *:[v2i64] } V128:{ *:[v2f64] }:$rhs, V128:{ *:[v2f64] }:$lhs, SETOGT:{ *:[Other] }), V128:{ *:[v2f64] }:$rhs, V128:{ *:[v2f64] }:$lhs) - Complexity = 6
                // Dst: (PMAX_F64x2:{ *:[v2f64] } V128:{ *:[v2f64] }:$lhs, V128:{ *:[v2f64] }:$rhs)
/* 24506*/     0, /*End of Scope*/
/* 24507*/    /*Scope*/ 36, /*->24544*/
/* 24508*/     OPC_CheckChild2CondCode, ISD::SETOGE,
/* 24510*/     OPC_MoveParent,
/* 24511*/     OPC_CheckType, /*MVT::v2f64*/6|128,1/*134*/, 
/* 24514*/     OPC_Scope, 13, /*->24529*/ // 2 children in Scope
/* 24516*/      OPC_CheckChild1Same, 1,
/* 24518*/      OPC_CheckChild2Same, 0,
/* 24520*/      OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/* 24521*/      OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::PMIN_F64x2),
                    /*MVT::v2f64*/6|128,1/*134*/, 2/*#Ops*/, 0, 1, 
                // Src: (vselect:{ *:[v2f64] } (setcc:{ *:[v2i64] } V128:{ *:[v2f64] }:$lhs, V128:{ *:[v2f64] }:$rhs, SETOGE:{ *:[Other] }), V128:{ *:[v2f64] }:$rhs, V128:{ *:[v2f64] }:$lhs) - Complexity = 6
                // Dst: (PMIN_F64x2:{ *:[v2f64] } V128:{ *:[v2f64] }:$lhs, V128:{ *:[v2f64] }:$rhs)
/* 24529*/     /*Scope*/ 13, /*->24543*/
/* 24530*/      OPC_CheckChild1Same, 0,
/* 24532*/      OPC_CheckChild2Same, 1,
/* 24534*/      OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/* 24535*/      OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::PMAX_F64x2),
                    /*MVT::v2f64*/6|128,1/*134*/, 2/*#Ops*/, 1, 0, 
                // Src: (vselect:{ *:[v2f64] } (setcc:{ *:[v2i64] } V128:{ *:[v2f64] }:$rhs, V128:{ *:[v2f64] }:$lhs, SETOGE:{ *:[Other] }), V128:{ *:[v2f64] }:$rhs, V128:{ *:[v2f64] }:$lhs) - Complexity = 6
                // Dst: (PMAX_F64x2:{ *:[v2f64] } V128:{ *:[v2f64] }:$lhs, V128:{ *:[v2f64] }:$rhs)
/* 24543*/     0, /*End of Scope*/
/* 24544*/    /*Scope*/ 36, /*->24581*/
/* 24545*/     OPC_CheckChild2CondCode, ISD::SETLT,
/* 24547*/     OPC_MoveParent,
/* 24548*/     OPC_CheckType, /*MVT::v2f64*/6|128,1/*134*/, 
/* 24551*/     OPC_Scope, 13, /*->24566*/ // 2 children in Scope
/* 24553*/      OPC_CheckChild1Same, 0,
/* 24555*/      OPC_CheckChild2Same, 1,
/* 24557*/      OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/* 24558*/      OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::PMIN_F64x2),
                    /*MVT::v2f64*/6|128,1/*134*/, 2/*#Ops*/, 0, 1, 
                // Src: (vselect:{ *:[v2f64] } (setcc:{ *:[v2i64] } V128:{ *:[v2f64] }:$lhs, V128:{ *:[v2f64] }:$rhs, SETLT:{ *:[Other] }), V128:{ *:[v2f64] }:$lhs, V128:{ *:[v2f64] }:$rhs) - Complexity = 6
                // Dst: (PMIN_F64x2:{ *:[v2f64] } V128:{ *:[v2f64] }:$lhs, V128:{ *:[v2f64] }:$rhs)
/* 24566*/     /*Scope*/ 13, /*->24580*/
/* 24567*/      OPC_CheckChild1Same, 1,
/* 24569*/      OPC_CheckChild2Same, 0,
/* 24571*/      OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/* 24572*/      OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::PMAX_F64x2),
                    /*MVT::v2f64*/6|128,1/*134*/, 2/*#Ops*/, 0, 1, 
                // Src: (vselect:{ *:[v2f64] } (setcc:{ *:[v2i64] } V128:{ *:[v2f64] }:$lhs, V128:{ *:[v2f64] }:$rhs, SETLT:{ *:[Other] }), V128:{ *:[v2f64] }:$rhs, V128:{ *:[v2f64] }:$lhs) - Complexity = 6
                // Dst: (PMAX_F64x2:{ *:[v2f64] } V128:{ *:[v2f64] }:$lhs, V128:{ *:[v2f64] }:$rhs)
/* 24580*/     0, /*End of Scope*/
/* 24581*/    /*Scope*/ 36, /*->24618*/
/* 24582*/     OPC_CheckChild2CondCode, ISD::SETLE,
/* 24584*/     OPC_MoveParent,
/* 24585*/     OPC_CheckType, /*MVT::v2f64*/6|128,1/*134*/, 
/* 24588*/     OPC_Scope, 13, /*->24603*/ // 2 children in Scope
/* 24590*/      OPC_CheckChild1Same, 0,
/* 24592*/      OPC_CheckChild2Same, 1,
/* 24594*/      OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/* 24595*/      OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::PMIN_F64x2),
                    /*MVT::v2f64*/6|128,1/*134*/, 2/*#Ops*/, 0, 1, 
                // Src: (vselect:{ *:[v2f64] } (setcc:{ *:[v2i64] } V128:{ *:[v2f64] }:$lhs, V128:{ *:[v2f64] }:$rhs, SETLE:{ *:[Other] }), V128:{ *:[v2f64] }:$lhs, V128:{ *:[v2f64] }:$rhs) - Complexity = 6
                // Dst: (PMIN_F64x2:{ *:[v2f64] } V128:{ *:[v2f64] }:$lhs, V128:{ *:[v2f64] }:$rhs)
/* 24603*/     /*Scope*/ 13, /*->24617*/
/* 24604*/      OPC_CheckChild1Same, 1,
/* 24606*/      OPC_CheckChild2Same, 0,
/* 24608*/      OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/* 24609*/      OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::PMAX_F64x2),
                    /*MVT::v2f64*/6|128,1/*134*/, 2/*#Ops*/, 0, 1, 
                // Src: (vselect:{ *:[v2f64] } (setcc:{ *:[v2i64] } V128:{ *:[v2f64] }:$lhs, V128:{ *:[v2f64] }:$rhs, SETLE:{ *:[Other] }), V128:{ *:[v2f64] }:$rhs, V128:{ *:[v2f64] }:$lhs) - Complexity = 6
                // Dst: (PMAX_F64x2:{ *:[v2f64] } V128:{ *:[v2f64] }:$lhs, V128:{ *:[v2f64] }:$rhs)
/* 24617*/     0, /*End of Scope*/
/* 24618*/    /*Scope*/ 36, /*->24655*/
/* 24619*/     OPC_CheckChild2CondCode, ISD::SETGT,
/* 24621*/     OPC_MoveParent,
/* 24622*/     OPC_CheckType, /*MVT::v2f64*/6|128,1/*134*/, 
/* 24625*/     OPC_Scope, 13, /*->24640*/ // 2 children in Scope
/* 24627*/      OPC_CheckChild1Same, 1,
/* 24629*/      OPC_CheckChild2Same, 0,
/* 24631*/      OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/* 24632*/      OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::PMIN_F64x2),
                    /*MVT::v2f64*/6|128,1/*134*/, 2/*#Ops*/, 0, 1, 
                // Src: (vselect:{ *:[v2f64] } (setcc:{ *:[v2i64] } V128:{ *:[v2f64] }:$lhs, V128:{ *:[v2f64] }:$rhs, SETGT:{ *:[Other] }), V128:{ *:[v2f64] }:$rhs, V128:{ *:[v2f64] }:$lhs) - Complexity = 6
                // Dst: (PMIN_F64x2:{ *:[v2f64] } V128:{ *:[v2f64] }:$lhs, V128:{ *:[v2f64] }:$rhs)
/* 24640*/     /*Scope*/ 13, /*->24654*/
/* 24641*/      OPC_CheckChild1Same, 0,
/* 24643*/      OPC_CheckChild2Same, 1,
/* 24645*/      OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/* 24646*/      OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::PMAX_F64x2),
                    /*MVT::v2f64*/6|128,1/*134*/, 2/*#Ops*/, 0, 1, 
                // Src: (vselect:{ *:[v2f64] } (setcc:{ *:[v2i64] } V128:{ *:[v2f64] }:$lhs, V128:{ *:[v2f64] }:$rhs, SETGT:{ *:[Other] }), V128:{ *:[v2f64] }:$lhs, V128:{ *:[v2f64] }:$rhs) - Complexity = 6
                // Dst: (PMAX_F64x2:{ *:[v2f64] } V128:{ *:[v2f64] }:$lhs, V128:{ *:[v2f64] }:$rhs)
/* 24654*/     0, /*End of Scope*/
/* 24655*/    /*Scope*/ 36, /*->24692*/
/* 24656*/     OPC_CheckChild2CondCode, ISD::SETGE,
/* 24658*/     OPC_MoveParent,
/* 24659*/     OPC_CheckType, /*MVT::v2f64*/6|128,1/*134*/, 
/* 24662*/     OPC_Scope, 13, /*->24677*/ // 2 children in Scope
/* 24664*/      OPC_CheckChild1Same, 1,
/* 24666*/      OPC_CheckChild2Same, 0,
/* 24668*/      OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/* 24669*/      OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::PMIN_F64x2),
                    /*MVT::v2f64*/6|128,1/*134*/, 2/*#Ops*/, 0, 1, 
                // Src: (vselect:{ *:[v2f64] } (setcc:{ *:[v2i64] } V128:{ *:[v2f64] }:$lhs, V128:{ *:[v2f64] }:$rhs, SETGE:{ *:[Other] }), V128:{ *:[v2f64] }:$rhs, V128:{ *:[v2f64] }:$lhs) - Complexity = 6
                // Dst: (PMIN_F64x2:{ *:[v2f64] } V128:{ *:[v2f64] }:$lhs, V128:{ *:[v2f64] }:$rhs)
/* 24677*/     /*Scope*/ 13, /*->24691*/
/* 24678*/      OPC_CheckChild1Same, 0,
/* 24680*/      OPC_CheckChild2Same, 1,
/* 24682*/      OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/* 24683*/      OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::PMAX_F64x2),
                    /*MVT::v2f64*/6|128,1/*134*/, 2/*#Ops*/, 0, 1, 
                // Src: (vselect:{ *:[v2f64] } (setcc:{ *:[v2i64] } V128:{ *:[v2f64] }:$lhs, V128:{ *:[v2f64] }:$rhs, SETGE:{ *:[Other] }), V128:{ *:[v2f64] }:$lhs, V128:{ *:[v2f64] }:$rhs) - Complexity = 6
                // Dst: (PMAX_F64x2:{ *:[v2f64] } V128:{ *:[v2f64] }:$lhs, V128:{ *:[v2f64] }:$rhs)
/* 24691*/     0, /*End of Scope*/
/* 24692*/    0, /*End of Scope*/
/* 24693*/   /*Scope*/ 21|128,2/*277*/, /*->24972*/
/* 24695*/    OPC_CheckChild0Type, /*MVT::v8f16*/95, 
/* 24697*/    OPC_RecordChild1, // #1 = $lhs
/* 24698*/    OPC_Scope, 33, /*->24733*/ // 8 children in Scope
/* 24700*/     OPC_CheckChild2CondCode, ISD::SETOLT,
/* 24702*/     OPC_MoveParent,
/* 24703*/     OPC_CheckType, /*MVT::v8f16*/95, 
/* 24705*/     OPC_Scope, 12, /*->24719*/ // 2 children in Scope
/* 24707*/      OPC_CheckChild1Same, 0,
/* 24709*/      OPC_CheckChild2Same, 1,
/* 24711*/      OPC_CheckPatternPredicate5, // (Subtarget->hasFP16()) && (Subtarget->hasSIMD128())
/* 24712*/      OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::PMIN_F16x8),
                    /*MVT::v8f16*/95, 2/*#Ops*/, 1, 0, 
                // Src: (vselect:{ *:[v8f16] } (setcc:{ *:[v8i16] } V128:{ *:[v8f16] }:$rhs, V128:{ *:[v8f16] }:$lhs, SETOLT:{ *:[Other] }), V128:{ *:[v8f16] }:$rhs, V128:{ *:[v8f16] }:$lhs) - Complexity = 6
                // Dst: (PMIN_F16x8:{ *:[v8f16] } V128:{ *:[v8f16] }:$lhs, V128:{ *:[v8f16] }:$rhs)
/* 24719*/     /*Scope*/ 12, /*->24732*/
/* 24720*/      OPC_CheckChild1Same, 1,
/* 24722*/      OPC_CheckChild2Same, 0,
/* 24724*/      OPC_CheckPatternPredicate5, // (Subtarget->hasFP16()) && (Subtarget->hasSIMD128())
/* 24725*/      OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::PMAX_F16x8),
                    /*MVT::v8f16*/95, 2/*#Ops*/, 0, 1, 
                // Src: (vselect:{ *:[v8f16] } (setcc:{ *:[v8i16] } V128:{ *:[v8f16] }:$lhs, V128:{ *:[v8f16] }:$rhs, SETOLT:{ *:[Other] }), V128:{ *:[v8f16] }:$rhs, V128:{ *:[v8f16] }:$lhs) - Complexity = 6
                // Dst: (PMAX_F16x8:{ *:[v8f16] } V128:{ *:[v8f16] }:$lhs, V128:{ *:[v8f16] }:$rhs)
/* 24732*/     0, /*End of Scope*/
/* 24733*/    /*Scope*/ 33, /*->24767*/
/* 24734*/     OPC_CheckChild2CondCode, ISD::SETOLE,
/* 24736*/     OPC_MoveParent,
/* 24737*/     OPC_CheckType, /*MVT::v8f16*/95, 
/* 24739*/     OPC_Scope, 12, /*->24753*/ // 2 children in Scope
/* 24741*/      OPC_CheckChild1Same, 0,
/* 24743*/      OPC_CheckChild2Same, 1,
/* 24745*/      OPC_CheckPatternPredicate5, // (Subtarget->hasFP16()) && (Subtarget->hasSIMD128())
/* 24746*/      OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::PMIN_F16x8),
                    /*MVT::v8f16*/95, 2/*#Ops*/, 1, 0, 
                // Src: (vselect:{ *:[v8f16] } (setcc:{ *:[v8i16] } V128:{ *:[v8f16] }:$rhs, V128:{ *:[v8f16] }:$lhs, SETOLE:{ *:[Other] }), V128:{ *:[v8f16] }:$rhs, V128:{ *:[v8f16] }:$lhs) - Complexity = 6
                // Dst: (PMIN_F16x8:{ *:[v8f16] } V128:{ *:[v8f16] }:$lhs, V128:{ *:[v8f16] }:$rhs)
/* 24753*/     /*Scope*/ 12, /*->24766*/
/* 24754*/      OPC_CheckChild1Same, 1,
/* 24756*/      OPC_CheckChild2Same, 0,
/* 24758*/      OPC_CheckPatternPredicate5, // (Subtarget->hasFP16()) && (Subtarget->hasSIMD128())
/* 24759*/      OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::PMAX_F16x8),
                    /*MVT::v8f16*/95, 2/*#Ops*/, 0, 1, 
                // Src: (vselect:{ *:[v8f16] } (setcc:{ *:[v8i16] } V128:{ *:[v8f16] }:$lhs, V128:{ *:[v8f16] }:$rhs, SETOLE:{ *:[Other] }), V128:{ *:[v8f16] }:$rhs, V128:{ *:[v8f16] }:$lhs) - Complexity = 6
                // Dst: (PMAX_F16x8:{ *:[v8f16] } V128:{ *:[v8f16] }:$lhs, V128:{ *:[v8f16] }:$rhs)
/* 24766*/     0, /*End of Scope*/
/* 24767*/    /*Scope*/ 33, /*->24801*/
/* 24768*/     OPC_CheckChild2CondCode, ISD::SETOGT,
/* 24770*/     OPC_MoveParent,
/* 24771*/     OPC_CheckType, /*MVT::v8f16*/95, 
/* 24773*/     OPC_Scope, 12, /*->24787*/ // 2 children in Scope
/* 24775*/      OPC_CheckChild1Same, 1,
/* 24777*/      OPC_CheckChild2Same, 0,
/* 24779*/      OPC_CheckPatternPredicate5, // (Subtarget->hasFP16()) && (Subtarget->hasSIMD128())
/* 24780*/      OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::PMIN_F16x8),
                    /*MVT::v8f16*/95, 2/*#Ops*/, 0, 1, 
                // Src: (vselect:{ *:[v8f16] } (setcc:{ *:[v8i16] } V128:{ *:[v8f16] }:$lhs, V128:{ *:[v8f16] }:$rhs, SETOGT:{ *:[Other] }), V128:{ *:[v8f16] }:$rhs, V128:{ *:[v8f16] }:$lhs) - Complexity = 6
                // Dst: (PMIN_F16x8:{ *:[v8f16] } V128:{ *:[v8f16] }:$lhs, V128:{ *:[v8f16] }:$rhs)
/* 24787*/     /*Scope*/ 12, /*->24800*/
/* 24788*/      OPC_CheckChild1Same, 0,
/* 24790*/      OPC_CheckChild2Same, 1,
/* 24792*/      OPC_CheckPatternPredicate5, // (Subtarget->hasFP16()) && (Subtarget->hasSIMD128())
/* 24793*/      OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::PMAX_F16x8),
                    /*MVT::v8f16*/95, 2/*#Ops*/, 1, 0, 
                // Src: (vselect:{ *:[v8f16] } (setcc:{ *:[v8i16] } V128:{ *:[v8f16] }:$rhs, V128:{ *:[v8f16] }:$lhs, SETOGT:{ *:[Other] }), V128:{ *:[v8f16] }:$rhs, V128:{ *:[v8f16] }:$lhs) - Complexity = 6
                // Dst: (PMAX_F16x8:{ *:[v8f16] } V128:{ *:[v8f16] }:$lhs, V128:{ *:[v8f16] }:$rhs)
/* 24800*/     0, /*End of Scope*/
/* 24801*/    /*Scope*/ 33, /*->24835*/
/* 24802*/     OPC_CheckChild2CondCode, ISD::SETOGE,
/* 24804*/     OPC_MoveParent,
/* 24805*/     OPC_CheckType, /*MVT::v8f16*/95, 
/* 24807*/     OPC_Scope, 12, /*->24821*/ // 2 children in Scope
/* 24809*/      OPC_CheckChild1Same, 1,
/* 24811*/      OPC_CheckChild2Same, 0,
/* 24813*/      OPC_CheckPatternPredicate5, // (Subtarget->hasFP16()) && (Subtarget->hasSIMD128())
/* 24814*/      OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::PMIN_F16x8),
                    /*MVT::v8f16*/95, 2/*#Ops*/, 0, 1, 
                // Src: (vselect:{ *:[v8f16] } (setcc:{ *:[v8i16] } V128:{ *:[v8f16] }:$lhs, V128:{ *:[v8f16] }:$rhs, SETOGE:{ *:[Other] }), V128:{ *:[v8f16] }:$rhs, V128:{ *:[v8f16] }:$lhs) - Complexity = 6
                // Dst: (PMIN_F16x8:{ *:[v8f16] } V128:{ *:[v8f16] }:$lhs, V128:{ *:[v8f16] }:$rhs)
/* 24821*/     /*Scope*/ 12, /*->24834*/
/* 24822*/      OPC_CheckChild1Same, 0,
/* 24824*/      OPC_CheckChild2Same, 1,
/* 24826*/      OPC_CheckPatternPredicate5, // (Subtarget->hasFP16()) && (Subtarget->hasSIMD128())
/* 24827*/      OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::PMAX_F16x8),
                    /*MVT::v8f16*/95, 2/*#Ops*/, 1, 0, 
                // Src: (vselect:{ *:[v8f16] } (setcc:{ *:[v8i16] } V128:{ *:[v8f16] }:$rhs, V128:{ *:[v8f16] }:$lhs, SETOGE:{ *:[Other] }), V128:{ *:[v8f16] }:$rhs, V128:{ *:[v8f16] }:$lhs) - Complexity = 6
                // Dst: (PMAX_F16x8:{ *:[v8f16] } V128:{ *:[v8f16] }:$lhs, V128:{ *:[v8f16] }:$rhs)
/* 24834*/     0, /*End of Scope*/
/* 24835*/    /*Scope*/ 33, /*->24869*/
/* 24836*/     OPC_CheckChild2CondCode, ISD::SETLT,
/* 24838*/     OPC_MoveParent,
/* 24839*/     OPC_CheckType, /*MVT::v8f16*/95, 
/* 24841*/     OPC_Scope, 12, /*->24855*/ // 2 children in Scope
/* 24843*/      OPC_CheckChild1Same, 0,
/* 24845*/      OPC_CheckChild2Same, 1,
/* 24847*/      OPC_CheckPatternPredicate5, // (Subtarget->hasFP16()) && (Subtarget->hasSIMD128())
/* 24848*/      OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::PMIN_F16x8),
                    /*MVT::v8f16*/95, 2/*#Ops*/, 0, 1, 
                // Src: (vselect:{ *:[v8f16] } (setcc:{ *:[v8i16] } V128:{ *:[v8f16] }:$lhs, V128:{ *:[v8f16] }:$rhs, SETLT:{ *:[Other] }), V128:{ *:[v8f16] }:$lhs, V128:{ *:[v8f16] }:$rhs) - Complexity = 6
                // Dst: (PMIN_F16x8:{ *:[v8f16] } V128:{ *:[v8f16] }:$lhs, V128:{ *:[v8f16] }:$rhs)
/* 24855*/     /*Scope*/ 12, /*->24868*/
/* 24856*/      OPC_CheckChild1Same, 1,
/* 24858*/      OPC_CheckChild2Same, 0,
/* 24860*/      OPC_CheckPatternPredicate5, // (Subtarget->hasFP16()) && (Subtarget->hasSIMD128())
/* 24861*/      OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::PMAX_F16x8),
                    /*MVT::v8f16*/95, 2/*#Ops*/, 0, 1, 
                // Src: (vselect:{ *:[v8f16] } (setcc:{ *:[v8i16] } V128:{ *:[v8f16] }:$lhs, V128:{ *:[v8f16] }:$rhs, SETLT:{ *:[Other] }), V128:{ *:[v8f16] }:$rhs, V128:{ *:[v8f16] }:$lhs) - Complexity = 6
                // Dst: (PMAX_F16x8:{ *:[v8f16] } V128:{ *:[v8f16] }:$lhs, V128:{ *:[v8f16] }:$rhs)
/* 24868*/     0, /*End of Scope*/
/* 24869*/    /*Scope*/ 33, /*->24903*/
/* 24870*/     OPC_CheckChild2CondCode, ISD::SETLE,
/* 24872*/     OPC_MoveParent,
/* 24873*/     OPC_CheckType, /*MVT::v8f16*/95, 
/* 24875*/     OPC_Scope, 12, /*->24889*/ // 2 children in Scope
/* 24877*/      OPC_CheckChild1Same, 0,
/* 24879*/      OPC_CheckChild2Same, 1,
/* 24881*/      OPC_CheckPatternPredicate5, // (Subtarget->hasFP16()) && (Subtarget->hasSIMD128())
/* 24882*/      OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::PMIN_F16x8),
                    /*MVT::v8f16*/95, 2/*#Ops*/, 0, 1, 
                // Src: (vselect:{ *:[v8f16] } (setcc:{ *:[v8i16] } V128:{ *:[v8f16] }:$lhs, V128:{ *:[v8f16] }:$rhs, SETLE:{ *:[Other] }), V128:{ *:[v8f16] }:$lhs, V128:{ *:[v8f16] }:$rhs) - Complexity = 6
                // Dst: (PMIN_F16x8:{ *:[v8f16] } V128:{ *:[v8f16] }:$lhs, V128:{ *:[v8f16] }:$rhs)
/* 24889*/     /*Scope*/ 12, /*->24902*/
/* 24890*/      OPC_CheckChild1Same, 1,
/* 24892*/      OPC_CheckChild2Same, 0,
/* 24894*/      OPC_CheckPatternPredicate5, // (Subtarget->hasFP16()) && (Subtarget->hasSIMD128())
/* 24895*/      OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::PMAX_F16x8),
                    /*MVT::v8f16*/95, 2/*#Ops*/, 0, 1, 
                // Src: (vselect:{ *:[v8f16] } (setcc:{ *:[v8i16] } V128:{ *:[v8f16] }:$lhs, V128:{ *:[v8f16] }:$rhs, SETLE:{ *:[Other] }), V128:{ *:[v8f16] }:$rhs, V128:{ *:[v8f16] }:$lhs) - Complexity = 6
                // Dst: (PMAX_F16x8:{ *:[v8f16] } V128:{ *:[v8f16] }:$lhs, V128:{ *:[v8f16] }:$rhs)
/* 24902*/     0, /*End of Scope*/
/* 24903*/    /*Scope*/ 33, /*->24937*/
/* 24904*/     OPC_CheckChild2CondCode, ISD::SETGT,
/* 24906*/     OPC_MoveParent,
/* 24907*/     OPC_CheckType, /*MVT::v8f16*/95, 
/* 24909*/     OPC_Scope, 12, /*->24923*/ // 2 children in Scope
/* 24911*/      OPC_CheckChild1Same, 1,
/* 24913*/      OPC_CheckChild2Same, 0,
/* 24915*/      OPC_CheckPatternPredicate5, // (Subtarget->hasFP16()) && (Subtarget->hasSIMD128())
/* 24916*/      OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::PMIN_F16x8),
                    /*MVT::v8f16*/95, 2/*#Ops*/, 0, 1, 
                // Src: (vselect:{ *:[v8f16] } (setcc:{ *:[v8i16] } V128:{ *:[v8f16] }:$lhs, V128:{ *:[v8f16] }:$rhs, SETGT:{ *:[Other] }), V128:{ *:[v8f16] }:$rhs, V128:{ *:[v8f16] }:$lhs) - Complexity = 6
                // Dst: (PMIN_F16x8:{ *:[v8f16] } V128:{ *:[v8f16] }:$lhs, V128:{ *:[v8f16] }:$rhs)
/* 24923*/     /*Scope*/ 12, /*->24936*/
/* 24924*/      OPC_CheckChild1Same, 0,
/* 24926*/      OPC_CheckChild2Same, 1,
/* 24928*/      OPC_CheckPatternPredicate5, // (Subtarget->hasFP16()) && (Subtarget->hasSIMD128())
/* 24929*/      OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::PMAX_F16x8),
                    /*MVT::v8f16*/95, 2/*#Ops*/, 0, 1, 
                // Src: (vselect:{ *:[v8f16] } (setcc:{ *:[v8i16] } V128:{ *:[v8f16] }:$lhs, V128:{ *:[v8f16] }:$rhs, SETGT:{ *:[Other] }), V128:{ *:[v8f16] }:$lhs, V128:{ *:[v8f16] }:$rhs) - Complexity = 6
                // Dst: (PMAX_F16x8:{ *:[v8f16] } V128:{ *:[v8f16] }:$lhs, V128:{ *:[v8f16] }:$rhs)
/* 24936*/     0, /*End of Scope*/
/* 24937*/    /*Scope*/ 33, /*->24971*/
/* 24938*/     OPC_CheckChild2CondCode, ISD::SETGE,
/* 24940*/     OPC_MoveParent,
/* 24941*/     OPC_CheckType, /*MVT::v8f16*/95, 
/* 24943*/     OPC_Scope, 12, /*->24957*/ // 2 children in Scope
/* 24945*/      OPC_CheckChild1Same, 1,
/* 24947*/      OPC_CheckChild2Same, 0,
/* 24949*/      OPC_CheckPatternPredicate5, // (Subtarget->hasFP16()) && (Subtarget->hasSIMD128())
/* 24950*/      OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::PMIN_F16x8),
                    /*MVT::v8f16*/95, 2/*#Ops*/, 0, 1, 
                // Src: (vselect:{ *:[v8f16] } (setcc:{ *:[v8i16] } V128:{ *:[v8f16] }:$lhs, V128:{ *:[v8f16] }:$rhs, SETGE:{ *:[Other] }), V128:{ *:[v8f16] }:$rhs, V128:{ *:[v8f16] }:$lhs) - Complexity = 6
                // Dst: (PMIN_F16x8:{ *:[v8f16] } V128:{ *:[v8f16] }:$lhs, V128:{ *:[v8f16] }:$rhs)
/* 24957*/     /*Scope*/ 12, /*->24970*/
/* 24958*/      OPC_CheckChild1Same, 0,
/* 24960*/      OPC_CheckChild2Same, 1,
/* 24962*/      OPC_CheckPatternPredicate5, // (Subtarget->hasFP16()) && (Subtarget->hasSIMD128())
/* 24963*/      OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::PMAX_F16x8),
                    /*MVT::v8f16*/95, 2/*#Ops*/, 0, 1, 
                // Src: (vselect:{ *:[v8f16] } (setcc:{ *:[v8i16] } V128:{ *:[v8f16] }:$lhs, V128:{ *:[v8f16] }:$rhs, SETGE:{ *:[Other] }), V128:{ *:[v8f16] }:$lhs, V128:{ *:[v8f16] }:$rhs) - Complexity = 6
                // Dst: (PMAX_F16x8:{ *:[v8f16] } V128:{ *:[v8f16] }:$lhs, V128:{ *:[v8f16] }:$rhs)
/* 24970*/     0, /*End of Scope*/
/* 24971*/    0, /*End of Scope*/
/* 24972*/   0, /*End of Scope*/
/* 24973*/  /*Scope*/ 27, /*->25001*/
/* 24974*/   OPC_RecordChild0, // #0 = $c
/* 24975*/   OPC_RecordChild1, // #1 = $v1
/* 24976*/   OPC_RecordChild2, // #2 = $v2
/* 24977*/   OPC_SwitchType /*2 cases */, 8, /*MVT::v4f32*/116, // ->24988
/* 24980*/    OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::BITSELECT),
                  /*MVT::v4f32*/116, 3/*#Ops*/, 1, 2, 0, 
              // Src: (vselect:{ *:[v4f32] } V128:{ *:[v4i32] }:$c, V128:{ *:[v4f32] }:$v1, V128:{ *:[v4f32] }:$v2) - Complexity = 3
              // Dst: (BITSELECT:{ *:[v4f32] } ?:{ *:[v4f32] }:$v1, ?:{ *:[v4f32] }:$v2, ?:{ *:[v4i32] }:$c)
/* 24988*/   /*SwitchType*/ 9, /*MVT::v2f64*/6|128,1/*134*/, // ->25000
/* 24991*/    OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::BITSELECT),
                  /*MVT::v2f64*/6|128,1/*134*/, 3/*#Ops*/, 1, 2, 0, 
              // Src: (vselect:{ *:[v2f64] } V128:{ *:[v2i64] }:$c, V128:{ *:[v2f64] }:$v1, V128:{ *:[v2f64] }:$v2) - Complexity = 3
              // Dst: (BITSELECT:{ *:[v2f64] } ?:{ *:[v2f64] }:$v1, ?:{ *:[v2f64] }:$v2, ?:{ *:[v2i64] }:$c)
/* 25000*/   0, // EndSwitchType
/* 25001*/  0, /*End of Scope*/
/* 25002*/ /*SwitchOpcode*/ 16, TARGET_VAL(WebAssemblyISD::SWIZZLE),// ->25021
/* 25005*/  OPC_RecordChild0, // #0 = $src
/* 25006*/  OPC_CheckChild0Type, /*MVT::v16i8*/40, 
/* 25008*/  OPC_RecordChild1, // #1 = $mask
/* 25009*/  OPC_CheckChild1Type, /*MVT::v16i8*/40, 
/* 25011*/  OPC_CheckType, /*MVT::v16i8*/40, 
/* 25013*/  OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/* 25014*/  OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::SWIZZLE),
                /*MVT::v16i8*/40, 2/*#Ops*/, 0, 1, 
            // Src: (wasm_swizzle:{ *:[v16i8] } V128:{ *:[v16i8] }:$src, V128:{ *:[v16i8] }:$mask) - Complexity = 3
            // Dst: (SWIZZLE:{ *:[v16i8] } V128:{ *:[v16i8] }:$src, V128:{ *:[v16i8] }:$mask)
/* 25021*/ /*SwitchOpcode*/ 39, TARGET_VAL(ISD::ABS),// ->25063
/* 25024*/  OPC_RecordChild0, // #0 = $v
/* 25025*/  OPC_SwitchType /*4 cases */, 7, /*MVT::v16i8*/40, // ->25035
/* 25028*/   OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/* 25029*/   OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::ABS_I8x16),
                 /*MVT::v16i8*/40, 1/*#Ops*/, 0, 
             // Src: (abs:{ *:[v16i8] } V128:{ *:[v16i8] }:$v) - Complexity = 3
             // Dst: (ABS_I8x16:{ *:[v16i8] } V128:{ *:[v16i8] }:$v)
/* 25035*/  /*SwitchType*/ 7, /*MVT::v8i16*/51, // ->25044
/* 25037*/   OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/* 25038*/   OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::ABS_I16x8),
                 /*MVT::v8i16*/51, 1/*#Ops*/, 0, 
             // Src: (abs:{ *:[v8i16] } V128:{ *:[v8i16] }:$v) - Complexity = 3
             // Dst: (ABS_I16x8:{ *:[v8i16] } V128:{ *:[v8i16] }:$v)
/* 25044*/  /*SwitchType*/ 7, /*MVT::v4i32*/62, // ->25053
/* 25046*/   OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/* 25047*/   OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::ABS_I32x4),
                 /*MVT::v4i32*/62, 1/*#Ops*/, 0, 
             // Src: (abs:{ *:[v4i32] } V128:{ *:[v4i32] }:$v) - Complexity = 3
             // Dst: (ABS_I32x4:{ *:[v4i32] } V128:{ *:[v4i32] }:$v)
/* 25053*/  /*SwitchType*/ 7, /*MVT::v2i64*/81, // ->25062
/* 25055*/   OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/* 25056*/   OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::ABS_I64x2),
                 /*MVT::v2i64*/81, 1/*#Ops*/, 0, 
             // Src: (abs:{ *:[v2i64] } V128:{ *:[v2i64] }:$v) - Complexity = 3
             // Dst: (ABS_I64x2:{ *:[v2i64] } V128:{ *:[v2i64] }:$v)
/* 25062*/  0, // EndSwitchType
/* 25063*/ /*SwitchOpcode*/ 24, TARGET_VAL(ISD::SADDSAT),// ->25090
/* 25066*/  OPC_RecordChild0, // #0 = $lhs
/* 25067*/  OPC_RecordChild1, // #1 = $rhs
/* 25068*/  OPC_SwitchType /*2 cases */, 8, /*MVT::v16i8*/40, // ->25079
/* 25071*/   OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/* 25072*/   OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::ADD_SAT_S_I8x16),
                 /*MVT::v16i8*/40, 2/*#Ops*/, 0, 1, 
             // Src: (saddsat:{ *:[v16i8] } V128:{ *:[v16i8] }:$lhs, V128:{ *:[v16i8] }:$rhs) - Complexity = 3
             // Dst: (ADD_SAT_S_I8x16:{ *:[v16i8] } V128:{ *:[v16i8] }:$lhs, V128:{ *:[v16i8] }:$rhs)
/* 25079*/  /*SwitchType*/ 8, /*MVT::v8i16*/51, // ->25089
/* 25081*/   OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/* 25082*/   OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::ADD_SAT_S_I16x8),
                 /*MVT::v8i16*/51, 2/*#Ops*/, 0, 1, 
             // Src: (saddsat:{ *:[v8i16] } V128:{ *:[v8i16] }:$lhs, V128:{ *:[v8i16] }:$rhs) - Complexity = 3
             // Dst: (ADD_SAT_S_I16x8:{ *:[v8i16] } V128:{ *:[v8i16] }:$lhs, V128:{ *:[v8i16] }:$rhs)
/* 25089*/  0, // EndSwitchType
/* 25090*/ /*SwitchOpcode*/ 24, TARGET_VAL(ISD::UADDSAT),// ->25117
/* 25093*/  OPC_RecordChild0, // #0 = $lhs
/* 25094*/  OPC_RecordChild1, // #1 = $rhs
/* 25095*/  OPC_SwitchType /*2 cases */, 8, /*MVT::v16i8*/40, // ->25106
/* 25098*/   OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/* 25099*/   OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::ADD_SAT_U_I8x16),
                 /*MVT::v16i8*/40, 2/*#Ops*/, 0, 1, 
             // Src: (uaddsat:{ *:[v16i8] } V128:{ *:[v16i8] }:$lhs, V128:{ *:[v16i8] }:$rhs) - Complexity = 3
             // Dst: (ADD_SAT_U_I8x16:{ *:[v16i8] } V128:{ *:[v16i8] }:$lhs, V128:{ *:[v16i8] }:$rhs)
/* 25106*/  /*SwitchType*/ 8, /*MVT::v8i16*/51, // ->25116
/* 25108*/   OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/* 25109*/   OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::ADD_SAT_U_I16x8),
                 /*MVT::v8i16*/51, 2/*#Ops*/, 0, 1, 
             // Src: (uaddsat:{ *:[v8i16] } V128:{ *:[v8i16] }:$lhs, V128:{ *:[v8i16] }:$rhs) - Complexity = 3
             // Dst: (ADD_SAT_U_I16x8:{ *:[v8i16] } V128:{ *:[v8i16] }:$lhs, V128:{ *:[v8i16] }:$rhs)
/* 25116*/  0, // EndSwitchType
/* 25117*/ /*SwitchOpcode*/ 24, TARGET_VAL(ISD::SSUBSAT),// ->25144
/* 25120*/  OPC_RecordChild0, // #0 = $lhs
/* 25121*/  OPC_RecordChild1, // #1 = $rhs
/* 25122*/  OPC_SwitchType /*2 cases */, 8, /*MVT::v16i8*/40, // ->25133
/* 25125*/   OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/* 25126*/   OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::SUB_SAT_S_I8x16),
                 /*MVT::v16i8*/40, 2/*#Ops*/, 0, 1, 
             // Src: (ssubsat:{ *:[v16i8] } V128:{ *:[v16i8] }:$lhs, V128:{ *:[v16i8] }:$rhs) - Complexity = 3
             // Dst: (SUB_SAT_S_I8x16:{ *:[v16i8] } V128:{ *:[v16i8] }:$lhs, V128:{ *:[v16i8] }:$rhs)
/* 25133*/  /*SwitchType*/ 8, /*MVT::v8i16*/51, // ->25143
/* 25135*/   OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/* 25136*/   OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::SUB_SAT_S_I16x8),
                 /*MVT::v8i16*/51, 2/*#Ops*/, 0, 1, 
             // Src: (ssubsat:{ *:[v8i16] } V128:{ *:[v8i16] }:$lhs, V128:{ *:[v8i16] }:$rhs) - Complexity = 3
             // Dst: (SUB_SAT_S_I16x8:{ *:[v8i16] } V128:{ *:[v8i16] }:$lhs, V128:{ *:[v8i16] }:$rhs)
/* 25143*/  0, // EndSwitchType
/* 25144*/ /*SwitchOpcode*/ 24, TARGET_VAL(ISD::USUBSAT),// ->25171
/* 25147*/  OPC_RecordChild0, // #0 = $lhs
/* 25148*/  OPC_RecordChild1, // #1 = $rhs
/* 25149*/  OPC_SwitchType /*2 cases */, 8, /*MVT::v16i8*/40, // ->25160
/* 25152*/   OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/* 25153*/   OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::SUB_SAT_U_I8x16),
                 /*MVT::v16i8*/40, 2/*#Ops*/, 0, 1, 
             // Src: (usubsat:{ *:[v16i8] } V128:{ *:[v16i8] }:$lhs, V128:{ *:[v16i8] }:$rhs) - Complexity = 3
             // Dst: (SUB_SAT_U_I8x16:{ *:[v16i8] } V128:{ *:[v16i8] }:$lhs, V128:{ *:[v16i8] }:$rhs)
/* 25160*/  /*SwitchType*/ 8, /*MVT::v8i16*/51, // ->25170
/* 25162*/   OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/* 25163*/   OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::SUB_SAT_U_I16x8),
                 /*MVT::v8i16*/51, 2/*#Ops*/, 0, 1, 
             // Src: (usubsat:{ *:[v8i16] } V128:{ *:[v8i16] }:$lhs, V128:{ *:[v8i16] }:$rhs) - Complexity = 3
             // Dst: (SUB_SAT_U_I16x8:{ *:[v8i16] } V128:{ *:[v8i16] }:$lhs, V128:{ *:[v8i16] }:$rhs)
/* 25170*/  0, // EndSwitchType
/* 25171*/ /*SwitchOpcode*/ 34, TARGET_VAL(ISD::SMIN),// ->25208
/* 25174*/  OPC_RecordChild0, // #0 = $lhs
/* 25175*/  OPC_RecordChild1, // #1 = $rhs
/* 25176*/  OPC_SwitchType /*3 cases */, 8, /*MVT::v16i8*/40, // ->25187
/* 25179*/   OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/* 25180*/   OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::MIN_S_I8x16),
                 /*MVT::v16i8*/40, 2/*#Ops*/, 0, 1, 
             // Src: (smin:{ *:[v16i8] } V128:{ *:[v16i8] }:$lhs, V128:{ *:[v16i8] }:$rhs) - Complexity = 3
             // Dst: (MIN_S_I8x16:{ *:[v16i8] } V128:{ *:[v16i8] }:$lhs, V128:{ *:[v16i8] }:$rhs)
/* 25187*/  /*SwitchType*/ 8, /*MVT::v8i16*/51, // ->25197
/* 25189*/   OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/* 25190*/   OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::MIN_S_I16x8),
                 /*MVT::v8i16*/51, 2/*#Ops*/, 0, 1, 
             // Src: (smin:{ *:[v8i16] } V128:{ *:[v8i16] }:$lhs, V128:{ *:[v8i16] }:$rhs) - Complexity = 3
             // Dst: (MIN_S_I16x8:{ *:[v8i16] } V128:{ *:[v8i16] }:$lhs, V128:{ *:[v8i16] }:$rhs)
/* 25197*/  /*SwitchType*/ 8, /*MVT::v4i32*/62, // ->25207
/* 25199*/   OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/* 25200*/   OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::MIN_S_I32x4),
                 /*MVT::v4i32*/62, 2/*#Ops*/, 0, 1, 
             // Src: (smin:{ *:[v4i32] } V128:{ *:[v4i32] }:$lhs, V128:{ *:[v4i32] }:$rhs) - Complexity = 3
             // Dst: (MIN_S_I32x4:{ *:[v4i32] } V128:{ *:[v4i32] }:$lhs, V128:{ *:[v4i32] }:$rhs)
/* 25207*/  0, // EndSwitchType
/* 25208*/ /*SwitchOpcode*/ 34, TARGET_VAL(ISD::UMIN),// ->25245
/* 25211*/  OPC_RecordChild0, // #0 = $lhs
/* 25212*/  OPC_RecordChild1, // #1 = $rhs
/* 25213*/  OPC_SwitchType /*3 cases */, 8, /*MVT::v16i8*/40, // ->25224
/* 25216*/   OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/* 25217*/   OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::MIN_U_I8x16),
                 /*MVT::v16i8*/40, 2/*#Ops*/, 0, 1, 
             // Src: (umin:{ *:[v16i8] } V128:{ *:[v16i8] }:$lhs, V128:{ *:[v16i8] }:$rhs) - Complexity = 3
             // Dst: (MIN_U_I8x16:{ *:[v16i8] } V128:{ *:[v16i8] }:$lhs, V128:{ *:[v16i8] }:$rhs)
/* 25224*/  /*SwitchType*/ 8, /*MVT::v8i16*/51, // ->25234
/* 25226*/   OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/* 25227*/   OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::MIN_U_I16x8),
                 /*MVT::v8i16*/51, 2/*#Ops*/, 0, 1, 
             // Src: (umin:{ *:[v8i16] } V128:{ *:[v8i16] }:$lhs, V128:{ *:[v8i16] }:$rhs) - Complexity = 3
             // Dst: (MIN_U_I16x8:{ *:[v8i16] } V128:{ *:[v8i16] }:$lhs, V128:{ *:[v8i16] }:$rhs)
/* 25234*/  /*SwitchType*/ 8, /*MVT::v4i32*/62, // ->25244
/* 25236*/   OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/* 25237*/   OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::MIN_U_I32x4),
                 /*MVT::v4i32*/62, 2/*#Ops*/, 0, 1, 
             // Src: (umin:{ *:[v4i32] } V128:{ *:[v4i32] }:$lhs, V128:{ *:[v4i32] }:$rhs) - Complexity = 3
             // Dst: (MIN_U_I32x4:{ *:[v4i32] } V128:{ *:[v4i32] }:$lhs, V128:{ *:[v4i32] }:$rhs)
/* 25244*/  0, // EndSwitchType
/* 25245*/ /*SwitchOpcode*/ 34, TARGET_VAL(ISD::SMAX),// ->25282
/* 25248*/  OPC_RecordChild0, // #0 = $lhs
/* 25249*/  OPC_RecordChild1, // #1 = $rhs
/* 25250*/  OPC_SwitchType /*3 cases */, 8, /*MVT::v16i8*/40, // ->25261
/* 25253*/   OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/* 25254*/   OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::MAX_S_I8x16),
                 /*MVT::v16i8*/40, 2/*#Ops*/, 0, 1, 
             // Src: (smax:{ *:[v16i8] } V128:{ *:[v16i8] }:$lhs, V128:{ *:[v16i8] }:$rhs) - Complexity = 3
             // Dst: (MAX_S_I8x16:{ *:[v16i8] } V128:{ *:[v16i8] }:$lhs, V128:{ *:[v16i8] }:$rhs)
/* 25261*/  /*SwitchType*/ 8, /*MVT::v8i16*/51, // ->25271
/* 25263*/   OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/* 25264*/   OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::MAX_S_I16x8),
                 /*MVT::v8i16*/51, 2/*#Ops*/, 0, 1, 
             // Src: (smax:{ *:[v8i16] } V128:{ *:[v8i16] }:$lhs, V128:{ *:[v8i16] }:$rhs) - Complexity = 3
             // Dst: (MAX_S_I16x8:{ *:[v8i16] } V128:{ *:[v8i16] }:$lhs, V128:{ *:[v8i16] }:$rhs)
/* 25271*/  /*SwitchType*/ 8, /*MVT::v4i32*/62, // ->25281
/* 25273*/   OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/* 25274*/   OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::MAX_S_I32x4),
                 /*MVT::v4i32*/62, 2/*#Ops*/, 0, 1, 
             // Src: (smax:{ *:[v4i32] } V128:{ *:[v4i32] }:$lhs, V128:{ *:[v4i32] }:$rhs) - Complexity = 3
             // Dst: (MAX_S_I32x4:{ *:[v4i32] } V128:{ *:[v4i32] }:$lhs, V128:{ *:[v4i32] }:$rhs)
/* 25281*/  0, // EndSwitchType
/* 25282*/ /*SwitchOpcode*/ 34, TARGET_VAL(ISD::UMAX),// ->25319
/* 25285*/  OPC_RecordChild0, // #0 = $lhs
/* 25286*/  OPC_RecordChild1, // #1 = $rhs
/* 25287*/  OPC_SwitchType /*3 cases */, 8, /*MVT::v16i8*/40, // ->25298
/* 25290*/   OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/* 25291*/   OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::MAX_U_I8x16),
                 /*MVT::v16i8*/40, 2/*#Ops*/, 0, 1, 
             // Src: (umax:{ *:[v16i8] } V128:{ *:[v16i8] }:$lhs, V128:{ *:[v16i8] }:$rhs) - Complexity = 3
             // Dst: (MAX_U_I8x16:{ *:[v16i8] } V128:{ *:[v16i8] }:$lhs, V128:{ *:[v16i8] }:$rhs)
/* 25298*/  /*SwitchType*/ 8, /*MVT::v8i16*/51, // ->25308
/* 25300*/   OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/* 25301*/   OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::MAX_U_I16x8),
                 /*MVT::v8i16*/51, 2/*#Ops*/, 0, 1, 
             // Src: (umax:{ *:[v8i16] } V128:{ *:[v8i16] }:$lhs, V128:{ *:[v8i16] }:$rhs) - Complexity = 3
             // Dst: (MAX_U_I16x8:{ *:[v8i16] } V128:{ *:[v8i16] }:$lhs, V128:{ *:[v8i16] }:$rhs)
/* 25308*/  /*SwitchType*/ 8, /*MVT::v4i32*/62, // ->25318
/* 25310*/   OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/* 25311*/   OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::MAX_U_I32x4),
                 /*MVT::v4i32*/62, 2/*#Ops*/, 0, 1, 
             // Src: (umax:{ *:[v4i32] } V128:{ *:[v4i32] }:$lhs, V128:{ *:[v4i32] }:$rhs) - Complexity = 3
             // Dst: (MAX_U_I32x4:{ *:[v4i32] } V128:{ *:[v4i32] }:$lhs, V128:{ *:[v4i32] }:$rhs)
/* 25318*/  0, // EndSwitchType
/* 25319*/ /*SwitchOpcode*/ 9, TARGET_VAL(WebAssemblyISD::DOT),// ->25331
/* 25322*/  OPC_RecordChild0, // #0 = $lhs
/* 25323*/  OPC_RecordChild1, // #1 = $rhs
/* 25324*/  OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::DOT),
                /*MVT::v4i32*/62, 2/*#Ops*/, 0, 1, 
            // Src: (wasm_dot:{ *:[v4i32] } V128:{ *:[v8i16] }:$lhs, V128:{ *:[v8i16] }:$rhs) - Complexity = 3
            // Dst: (DOT:{ *:[v4i32] } ?:{ *:[v8i16] }:$lhs, ?:{ *:[v8i16] }:$rhs)
/* 25331*/ /*SwitchOpcode*/ 13, TARGET_VAL(WebAssemblyISD::TRUNC_SAT_ZERO_S),// ->25347
/* 25334*/  OPC_RecordChild0, // #0 = $vec
/* 25335*/  OPC_CheckChild0Type, /*MVT::v2f64*/6|128,1/*134*/, 
/* 25338*/  OPC_CheckType, /*MVT::v4i32*/62, 
/* 25340*/  OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/* 25341*/  OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::trunc_sat_zero_s_I32x4),
                /*MVT::v4i32*/62, 1/*#Ops*/, 0, 
            // Src: (trunc_sat_zero_s:{ *:[v4i32] } V128:{ *:[v2f64] }:$vec) - Complexity = 3
            // Dst: (trunc_sat_zero_s_I32x4:{ *:[v4i32] } V128:{ *:[v2f64] }:$vec)
/* 25347*/ /*SwitchOpcode*/ 13, TARGET_VAL(WebAssemblyISD::TRUNC_SAT_ZERO_U),// ->25363
/* 25350*/  OPC_RecordChild0, // #0 = $vec
/* 25351*/  OPC_CheckChild0Type, /*MVT::v2f64*/6|128,1/*134*/, 
/* 25354*/  OPC_CheckType, /*MVT::v4i32*/62, 
/* 25356*/  OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/* 25357*/  OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::trunc_sat_zero_u_I32x4),
                /*MVT::v4i32*/62, 1/*#Ops*/, 0, 
            // Src: (trunc_sat_zero_u:{ *:[v4i32] } V128:{ *:[v2f64] }:$vec) - Complexity = 3
            // Dst: (trunc_sat_zero_u_I32x4:{ *:[v4i32] } V128:{ *:[v2f64] }:$vec)
/* 25363*/ /*SwitchOpcode*/ 36, TARGET_VAL(WebAssemblyISD::EXTEND_LOW_S),// ->25402
/* 25366*/  OPC_RecordChild0, // #0 = $vec
/* 25367*/  OPC_SwitchType /*3 cases */, 9, /*MVT::v8i16*/51, // ->25379
/* 25370*/   OPC_CheckChild0Type, /*MVT::v16i8*/40, 
/* 25372*/   OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/* 25373*/   OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::extend_low_s_I16x8),
                 /*MVT::v8i16*/51, 1/*#Ops*/, 0, 
             // Src: (extend_low_s:{ *:[v8i16] } V128:{ *:[v16i8] }:$vec) - Complexity = 3
             // Dst: (extend_low_s_I16x8:{ *:[v8i16] } V128:{ *:[v16i8] }:$vec)
/* 25379*/  /*SwitchType*/ 9, /*MVT::v4i32*/62, // ->25390
/* 25381*/   OPC_CheckChild0Type, /*MVT::v8i16*/51, 
/* 25383*/   OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/* 25384*/   OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::extend_low_s_I32x4),
                 /*MVT::v4i32*/62, 1/*#Ops*/, 0, 
             // Src: (extend_low_s:{ *:[v4i32] } V128:{ *:[v8i16] }:$vec) - Complexity = 3
             // Dst: (extend_low_s_I32x4:{ *:[v4i32] } V128:{ *:[v8i16] }:$vec)
/* 25390*/  /*SwitchType*/ 9, /*MVT::v2i64*/81, // ->25401
/* 25392*/   OPC_CheckChild0Type, /*MVT::v4i32*/62, 
/* 25394*/   OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/* 25395*/   OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::extend_low_s_I64x2),
                 /*MVT::v2i64*/81, 1/*#Ops*/, 0, 
             // Src: (extend_low_s:{ *:[v2i64] } V128:{ *:[v4i32] }:$vec) - Complexity = 3
             // Dst: (extend_low_s_I64x2:{ *:[v2i64] } V128:{ *:[v4i32] }:$vec)
/* 25401*/  0, // EndSwitchType
/* 25402*/ /*SwitchOpcode*/ 36, TARGET_VAL(WebAssemblyISD::EXTEND_HIGH_S),// ->25441
/* 25405*/  OPC_RecordChild0, // #0 = $vec
/* 25406*/  OPC_SwitchType /*3 cases */, 9, /*MVT::v8i16*/51, // ->25418
/* 25409*/   OPC_CheckChild0Type, /*MVT::v16i8*/40, 
/* 25411*/   OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/* 25412*/   OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::extend_high_s_I16x8),
                 /*MVT::v8i16*/51, 1/*#Ops*/, 0, 
             // Src: (extend_high_s:{ *:[v8i16] } V128:{ *:[v16i8] }:$vec) - Complexity = 3
             // Dst: (extend_high_s_I16x8:{ *:[v8i16] } V128:{ *:[v16i8] }:$vec)
/* 25418*/  /*SwitchType*/ 9, /*MVT::v4i32*/62, // ->25429
/* 25420*/   OPC_CheckChild0Type, /*MVT::v8i16*/51, 
/* 25422*/   OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/* 25423*/   OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::extend_high_s_I32x4),
                 /*MVT::v4i32*/62, 1/*#Ops*/, 0, 
             // Src: (extend_high_s:{ *:[v4i32] } V128:{ *:[v8i16] }:$vec) - Complexity = 3
             // Dst: (extend_high_s_I32x4:{ *:[v4i32] } V128:{ *:[v8i16] }:$vec)
/* 25429*/  /*SwitchType*/ 9, /*MVT::v2i64*/81, // ->25440
/* 25431*/   OPC_CheckChild0Type, /*MVT::v4i32*/62, 
/* 25433*/   OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/* 25434*/   OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::extend_high_s_I64x2),
                 /*MVT::v2i64*/81, 1/*#Ops*/, 0, 
             // Src: (extend_high_s:{ *:[v2i64] } V128:{ *:[v4i32] }:$vec) - Complexity = 3
             // Dst: (extend_high_s_I64x2:{ *:[v2i64] } V128:{ *:[v4i32] }:$vec)
/* 25440*/  0, // EndSwitchType
/* 25441*/ /*SwitchOpcode*/ 36, TARGET_VAL(WebAssemblyISD::EXTEND_LOW_U),// ->25480
/* 25444*/  OPC_RecordChild0, // #0 = $vec
/* 25445*/  OPC_SwitchType /*3 cases */, 9, /*MVT::v8i16*/51, // ->25457
/* 25448*/   OPC_CheckChild0Type, /*MVT::v16i8*/40, 
/* 25450*/   OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/* 25451*/   OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::extend_low_u_I16x8),
                 /*MVT::v8i16*/51, 1/*#Ops*/, 0, 
             // Src: (extend_low_u:{ *:[v8i16] } V128:{ *:[v16i8] }:$vec) - Complexity = 3
             // Dst: (extend_low_u_I16x8:{ *:[v8i16] } V128:{ *:[v16i8] }:$vec)
/* 25457*/  /*SwitchType*/ 9, /*MVT::v4i32*/62, // ->25468
/* 25459*/   OPC_CheckChild0Type, /*MVT::v8i16*/51, 
/* 25461*/   OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/* 25462*/   OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::extend_low_u_I32x4),
                 /*MVT::v4i32*/62, 1/*#Ops*/, 0, 
             // Src: (extend_low_u:{ *:[v4i32] } V128:{ *:[v8i16] }:$vec) - Complexity = 3
             // Dst: (extend_low_u_I32x4:{ *:[v4i32] } V128:{ *:[v8i16] }:$vec)
/* 25468*/  /*SwitchType*/ 9, /*MVT::v2i64*/81, // ->25479
/* 25470*/   OPC_CheckChild0Type, /*MVT::v4i32*/62, 
/* 25472*/   OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/* 25473*/   OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::extend_low_u_I64x2),
                 /*MVT::v2i64*/81, 1/*#Ops*/, 0, 
             // Src: (extend_low_u:{ *:[v2i64] } V128:{ *:[v4i32] }:$vec) - Complexity = 3
             // Dst: (extend_low_u_I64x2:{ *:[v2i64] } V128:{ *:[v4i32] }:$vec)
/* 25479*/  0, // EndSwitchType
/* 25480*/ /*SwitchOpcode*/ 36, TARGET_VAL(WebAssemblyISD::EXTEND_HIGH_U),// ->25519
/* 25483*/  OPC_RecordChild0, // #0 = $vec
/* 25484*/  OPC_SwitchType /*3 cases */, 9, /*MVT::v8i16*/51, // ->25496
/* 25487*/   OPC_CheckChild0Type, /*MVT::v16i8*/40, 
/* 25489*/   OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/* 25490*/   OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::extend_high_u_I16x8),
                 /*MVT::v8i16*/51, 1/*#Ops*/, 0, 
             // Src: (extend_high_u:{ *:[v8i16] } V128:{ *:[v16i8] }:$vec) - Complexity = 3
             // Dst: (extend_high_u_I16x8:{ *:[v8i16] } V128:{ *:[v16i8] }:$vec)
/* 25496*/  /*SwitchType*/ 9, /*MVT::v4i32*/62, // ->25507
/* 25498*/   OPC_CheckChild0Type, /*MVT::v8i16*/51, 
/* 25500*/   OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/* 25501*/   OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::extend_high_u_I32x4),
                 /*MVT::v4i32*/62, 1/*#Ops*/, 0, 
             // Src: (extend_high_u:{ *:[v4i32] } V128:{ *:[v8i16] }:$vec) - Complexity = 3
             // Dst: (extend_high_u_I32x4:{ *:[v4i32] } V128:{ *:[v8i16] }:$vec)
/* 25507*/  /*SwitchType*/ 9, /*MVT::v2i64*/81, // ->25518
/* 25509*/   OPC_CheckChild0Type, /*MVT::v4i32*/62, 
/* 25511*/   OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/* 25512*/   OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::extend_high_u_I64x2),
                 /*MVT::v2i64*/81, 1/*#Ops*/, 0, 
             // Src: (extend_high_u:{ *:[v2i64] } V128:{ *:[v4i32] }:$vec) - Complexity = 3
             // Dst: (extend_high_u_I64x2:{ *:[v2i64] } V128:{ *:[v4i32] }:$vec)
/* 25518*/  0, // EndSwitchType
/* 25519*/ /*SwitchOpcode*/ 31, TARGET_VAL(WebAssemblyISD::NARROW_U),// ->25553
/* 25522*/  OPC_RecordChild0, // #0 = $left
/* 25523*/  OPC_SwitchType /*2 cases */, 12, /*MVT::v16i8*/40, // ->25538
/* 25526*/   OPC_CheckChild0Type, /*MVT::v8i16*/51, 
/* 25528*/   OPC_RecordChild1, // #1 = $right
/* 25529*/   OPC_CheckChild1Type, /*MVT::v8i16*/51, 
/* 25531*/   OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::NARROW_U_I8x16),
                 /*MVT::v16i8*/40, 2/*#Ops*/, 0, 1, 
             // Src: (wasm_narrow_u:{ *:[v16i8] } V128:{ *:[v8i16] }:$left, V128:{ *:[v8i16] }:$right) - Complexity = 3
             // Dst: (NARROW_U_I8x16:{ *:[v16i8] } ?:{ *:[v8i16] }:$left, ?:{ *:[v8i16] }:$right)
/* 25538*/  /*SwitchType*/ 12, /*MVT::v8i16*/51, // ->25552
/* 25540*/   OPC_CheckChild0Type, /*MVT::v4i32*/62, 
/* 25542*/   OPC_RecordChild1, // #1 = $right
/* 25543*/   OPC_CheckChild1Type, /*MVT::v4i32*/62, 
/* 25545*/   OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::NARROW_U_I16x8),
                 /*MVT::v8i16*/51, 2/*#Ops*/, 0, 1, 
             // Src: (wasm_narrow_u:{ *:[v8i16] } V128:{ *:[v4i32] }:$left, V128:{ *:[v4i32] }:$right) - Complexity = 3
             // Dst: (NARROW_U_I16x8:{ *:[v8i16] } ?:{ *:[v4i32] }:$left, ?:{ *:[v4i32] }:$right)
/* 25552*/  0, // EndSwitchType
/* 25553*/ /*SwitchOpcode*/ 14, TARGET_VAL(WebAssemblyISD::CONVERT_LOW_S),// ->25570
/* 25556*/  OPC_RecordChild0, // #0 = $vec
/* 25557*/  OPC_CheckChild0Type, /*MVT::v4i32*/62, 
/* 25559*/  OPC_CheckType, /*MVT::v2f64*/6|128,1/*134*/, 
/* 25562*/  OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/* 25563*/  OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::convert_low_s_F64x2),
                /*MVT::v2f64*/6|128,1/*134*/, 1/*#Ops*/, 0, 
            // Src: (convert_low_s:{ *:[v2f64] } V128:{ *:[v4i32] }:$vec) - Complexity = 3
            // Dst: (convert_low_s_F64x2:{ *:[v2f64] } V128:{ *:[v4i32] }:$vec)
/* 25570*/ /*SwitchOpcode*/ 14, TARGET_VAL(WebAssemblyISD::CONVERT_LOW_U),// ->25587
/* 25573*/  OPC_RecordChild0, // #0 = $vec
/* 25574*/  OPC_CheckChild0Type, /*MVT::v4i32*/62, 
/* 25576*/  OPC_CheckType, /*MVT::v2f64*/6|128,1/*134*/, 
/* 25579*/  OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/* 25580*/  OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::convert_low_u_F64x2),
                /*MVT::v2f64*/6|128,1/*134*/, 1/*#Ops*/, 0, 
            // Src: (convert_low_u:{ *:[v2f64] } V128:{ *:[v4i32] }:$vec) - Complexity = 3
            // Dst: (convert_low_u_F64x2:{ *:[v2f64] } V128:{ *:[v4i32] }:$vec)
/* 25587*/ /*SwitchOpcode*/ 13, TARGET_VAL(WebAssemblyISD::DEMOTE_ZERO),// ->25603
/* 25590*/  OPC_RecordChild0, // #0 = $vec
/* 25591*/  OPC_CheckChild0Type, /*MVT::v2f64*/6|128,1/*134*/, 
/* 25594*/  OPC_CheckType, /*MVT::v4f32*/116, 
/* 25596*/  OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/* 25597*/  OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::demote_zero_F32x4),
                /*MVT::v4f32*/116, 1/*#Ops*/, 0, 
            // Src: (demote_zero:{ *:[v4f32] } V128:{ *:[v2f64] }:$vec) - Complexity = 3
            // Dst: (demote_zero_F32x4:{ *:[v4f32] } V128:{ *:[v2f64] }:$vec)
/* 25603*/ /*SwitchOpcode*/ 14, TARGET_VAL(WebAssemblyISD::PROMOTE_LOW),// ->25620
/* 25606*/  OPC_RecordChild0, // #0 = $vec
/* 25607*/  OPC_CheckChild0Type, /*MVT::v4f32*/116, 
/* 25609*/  OPC_CheckType, /*MVT::v2f64*/6|128,1/*134*/, 
/* 25612*/  OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/* 25613*/  OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::promote_low_F64x2),
                /*MVT::v2f64*/6|128,1/*134*/, 1/*#Ops*/, 0, 
            // Src: (promote_low:{ *:[v2f64] } V128:{ *:[v4f32] }:$vec) - Complexity = 3
            // Dst: (promote_low_F64x2:{ *:[v2f64] } V128:{ *:[v4f32] }:$vec)
/* 25620*/ 0, // EndSwitchOpcode
    0
  }; // Total Array size is 25622 bytes

  // Opcode Histogram:
  // #OPC_Scope                                = 364
  // #OPC_RecordNode                           = 329
  // #OPC_RecordChild                          = 770
  // #OPC_RecordMemRef                         = 43
  // #OPC_CaptureGlueInput                     = 1
  // #OPC_MoveChild                            = 301
  // #OPC_MoveSibling                          = 327
  // #OPC_MoveParent                           = 624
  // #OPC_CheckSame                            = 0
  // #OPC_CheckChildSame                       = 195
  // #OPC_CheckPatternPredicate                = 775
  // #OPC_CheckPredicate                       = 607
  // #OPC_CheckOpcode                          = 551
  // #OPC_SwitchOpcode                         = 16
  // #OPC_CheckType                            = 610
  // #OPC_SwitchType                           = 187
  // #OPC_CheckChildType                       = 470
  // #OPC_CheckInteger                         = 0
  // #OPC_CheckChildInteger                    = 105
  // #OPC_CheckCondCode                        = 0
  // #OPC_CheckChild2CondCode                  = 165
  // #OPC_CheckValueType                       = 17
  // #OPC_CheckComplexPat                      = 338
  // #OPC_CheckAndImm                          = 27
  // #OPC_CheckOrImm                           = 0
  // #OPC_CheckImmAllOnesV                     = 44
  // #OPC_CheckImmAllZerosV                    = 1
  // #OPC_CheckFoldableChainNode               = 6
  // #OPC_EmitInteger                          = 388
  // #OPC_EmitStringInteger                    = 0
  // #OPC_EmitRegister                         = 0
  // #OPC_EmitConvertToTarget                  = 356
  // #OPC_EmitMergeInputChains                 = 459
  // #OPC_EmitCopyToReg                        = 0
  // #OPC_EmitNode                             = 9
  // #OPC_EmitNodeXForm                        = 0
  // #OPC_CompleteMatch                        = 44
  // #OPC_MorphNodeTo                          = 1282

  #undef COVERAGE_IDX_VAL
  #undef TARGET_VAL
  SelectCodeCommon(N, MatcherTable, sizeof(MatcherTable));
}
#endif // GET_DAGISEL_BODY

#ifdef GET_DAGISEL_DECL
bool CheckPatternPredicate(unsigned PredNo) const override;
#endif
#if defined(GET_DAGISEL_BODY) || DAGISEL_INLINE
bool DAGISEL_CLASS_COLONCOLON CheckPatternPredicate(unsigned PredNo) const
#if DAGISEL_INLINE
  override
#endif
{
  switch (PredNo) {
  default: llvm_unreachable("Invalid predicate in table?");
  case 0: return (Subtarget->hasSIMD128());
  case 1: return (!Subtarget->hasAddr64());
  case 2: return (Subtarget->hasAddr64());
  case 3: return (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics());
  case 4: return (Subtarget->hasAddr64()) && (Subtarget->hasAtomics());
  case 5: return (Subtarget->hasFP16()) && (Subtarget->hasSIMD128());
  case 6: return (Subtarget->hasReferenceTypes());
  case 7: return (Subtarget->hasRelaxedSIMD());
  case 8: return (Subtarget->hasExceptionHandling()) && (Subtarget->hasReferenceTypes());
  case 9: return (Subtarget->hasNontrappingFPToInt());
  case 10: return (!Subtarget->hasNontrappingFPToInt());
  case 11: return (Subtarget->hasSignExt());
  case 12: return (Subtarget->hasBulkMemoryOpt());
  case 13: return (Subtarget->hasRelaxedSIMD()) && (Subtarget->hasSIMD128());
  case 14: return (!Subtarget->hasAddr64()) && (TM.isPositionIndependent());
  case 15: return (Subtarget->hasAddr64()) && (TM.isPositionIndependent());
  case 16: return (Subtarget->hasFP16());
  case 17: return (!Subtarget->hasAddr64()) && (!TM.isPositionIndependent());
  case 18: return (Subtarget->hasAddr64()) && (!TM.isPositionIndependent());
  case 19: return (Subtarget->hasExceptionHandling());
  }
}
#endif // GET_DAGISEL_BODY

#ifdef GET_DAGISEL_DECL
bool CheckNodePredicate(SDValue Op, unsigned PredNo) const override;
#endif
#if defined(GET_DAGISEL_BODY) || DAGISEL_INLINE
bool DAGISEL_CLASS_COLONCOLON CheckNodePredicate(SDValue Op, unsigned PredNo) const
#if DAGISEL_INLINE
  override
#endif
{
  switch (PredNo) {
  default: llvm_unreachable("Invalid predicate in table?");
  case 0: {
    // Predicate_LaneIdx32
    int64_t Imm = cast<ConstantSDNode>(Op.getNode())->getSExtValue();
return 0 <= Imm && Imm < 32;
  }
  case 1: {
    // Predicate_atomic_cmp_swap_i8
    // Predicate_atomic_load_add_i8
    // Predicate_atomic_load_aext_8
    // Predicate_atomic_load_and_i8
    // Predicate_atomic_load_or_i8
    // Predicate_atomic_load_sub_i8
    // Predicate_atomic_load_xor_i8
    // Predicate_atomic_load_zext_8
    // Predicate_atomic_store_8
    // Predicate_atomic_swap_i8
    // Predicate_extloadi8
    // Predicate_sextloadi8
    // Predicate_truncstorei8
    // Predicate_zextloadi8
    SDNode *N = Op.getNode();
    (void)N;
if (cast<MemSDNode>(N)->getMemoryVT() != MVT::i8) return false;
return true;

  }
  case 2: {
    // Predicate_atomic_cmp_swap_i16
    // Predicate_atomic_load_add_i16
    // Predicate_atomic_load_aext_16
    // Predicate_atomic_load_and_i16
    // Predicate_atomic_load_or_i16
    // Predicate_atomic_load_sub_i16
    // Predicate_atomic_load_xor_i16
    // Predicate_atomic_load_zext_16
    // Predicate_atomic_store_16
    // Predicate_atomic_swap_i16
    // Predicate_extloadi16
    // Predicate_sextloadi16
    // Predicate_truncstorei16
    // Predicate_zextloadi16
    SDNode *N = Op.getNode();
    (void)N;
if (cast<MemSDNode>(N)->getMemoryVT() != MVT::i16) return false;
return true;

  }
  case 3: {
    // Predicate_atomic_cmp_swap_i32
    // Predicate_atomic_load_add_i32
    // Predicate_atomic_load_and_i32
    // Predicate_atomic_load_nonext_32
    // Predicate_atomic_load_or_i32
    // Predicate_atomic_load_sub_i32
    // Predicate_atomic_load_xor_i32
    // Predicate_atomic_store_32
    // Predicate_atomic_swap_i32
    // Predicate_extloadi32
    // Predicate_sextloadi32
    // Predicate_truncstorei32
    // Predicate_zextloadi32
    SDNode *N = Op.getNode();
    (void)N;
if (cast<MemSDNode>(N)->getMemoryVT() != MVT::i32) return false;
return true;

  }
  case 4: {
    // Predicate_unindexedstore
    SDNode *N = Op.getNode();
    (void)N;
if (cast<StoreSDNode>(N)->getAddressingMode() != ISD::UNINDEXED) return false;
return true;

  }
  case 5: {
    // Predicate_store
    SDNode *N = Op.getNode();
    (void)N;
 if (cast<StoreSDNode>(N)->isTruncatingStore()) return false;
return true;

  }
  case 6: {
    // Predicate_load
    SDNode *N = Op.getNode();
    (void)N;
if (cast<LoadSDNode>(N)->getExtensionType() != ISD::NON_EXTLOAD) return false;
return true;

  }
  case 7: {
    // Predicate_atomic_cmp_swap_i64
    // Predicate_atomic_load_add_i64
    // Predicate_atomic_load_and_i64
    // Predicate_atomic_load_nonext_64
    // Predicate_atomic_load_or_i64
    // Predicate_atomic_load_sub_i64
    // Predicate_atomic_load_xor_i64
    // Predicate_atomic_store_64
    // Predicate_atomic_swap_i64
    SDNode *N = Op.getNode();
    (void)N;
if (cast<MemSDNode>(N)->getMemoryVT() != MVT::i64) return false;
return true;

  }
  case 8: {
    // Predicate_unindexedload
    SDNode *N = Op.getNode();
    (void)N;
if (cast<LoadSDNode>(N)->getAddressingMode() != ISD::UNINDEXED) return false;
return true;

  }
  case 9: {
    // Predicate_ImmI8
    int64_t Imm = cast<ConstantSDNode>(Op.getNode())->getSExtValue();
return -(1 << (8 - 1)) <= Imm && Imm < (1 << 8);
  }
  case 10: {
    // Predicate_extload
    SDNode *N = Op.getNode();
    (void)N;
if (cast<LoadSDNode>(N)->getExtensionType() != ISD::EXTLOAD) return false;
return true;

  }
  case 11: {
    // Predicate_LaneIdx4
    int64_t Imm = cast<ConstantSDNode>(Op.getNode())->getSExtValue();
return 0 <= Imm && Imm < 4;
  }
  case 12: {
    // Predicate_LaneIdx2
    int64_t Imm = cast<ConstantSDNode>(Op.getNode())->getSExtValue();
return 0 <= Imm && Imm < 2;
  }
  case 13: {
    // Predicate_atomic_load_zext
    SDNode *N = Op.getNode();
    (void)N;
if (cast<AtomicSDNode>(N)->getExtensionType() != ISD::ZEXTLOAD) return false;
return true;

  }
  case 14: {
    // Predicate_LaneIdx8
    int64_t Imm = cast<ConstantSDNode>(Op.getNode())->getSExtValue();
return 0 <= Imm && Imm < 8;
  }
  case 15: {
    // Predicate_atomic_load_aext
    SDNode *N = Op.getNode();
    (void)N;
if (cast<AtomicSDNode>(N)->getExtensionType() != ISD::EXTLOAD) return false;
return true;

  }
  case 16: {
    // Predicate_truncstore
    SDNode *N = Op.getNode();
    (void)N;
 if (!cast<StoreSDNode>(N)->isTruncatingStore()) return false;
return true;

  }
  case 17: {
    // Predicate_sextload
    SDNode *N = Op.getNode();
    (void)N;
if (cast<LoadSDNode>(N)->getExtensionType() != ISD::SEXTLOAD) return false;
return true;

  }
  case 18: {
    // Predicate_zextload
    SDNode *N = Op.getNode();
    (void)N;
if (cast<LoadSDNode>(N)->getExtensionType() != ISD::ZEXTLOAD) return false;
return true;

  }
  case 19: {
    // Predicate_ImmI16
    int64_t Imm = cast<ConstantSDNode>(Op.getNode())->getSExtValue();
return -(1 << (16 - 1)) <= Imm && Imm < (1 << 16);
  }
  case 20: {
    // Predicate_LaneIdx16
    int64_t Imm = cast<ConstantSDNode>(Op.getNode())->getSExtValue();
return 0 <= Imm && Imm < 16;
  }
  case 21: {
    // Predicate_extloadvi8
    // Predicate_sextloadvi8
    // Predicate_zextloadvi8
    SDNode *N = Op.getNode();
    (void)N;
if (cast<LoadSDNode>(N)->getMemoryVT().getScalarType() != MVT::i8) return false;
return true;

  }
  case 22: {
    // Predicate_extloadvi16
    // Predicate_sextloadvi16
    // Predicate_zextloadvi16
    SDNode *N = Op.getNode();
    (void)N;
if (cast<LoadSDNode>(N)->getMemoryVT().getScalarType() != MVT::i16) return false;
return true;

  }
  case 23: {
    // Predicate_extloadvi32
    // Predicate_sextloadvi32
    // Predicate_zextloadvi32
    SDNode *N = Op.getNode();
    (void)N;
if (cast<LoadSDNode>(N)->getMemoryVT().getScalarType() != MVT::i32) return false;
return true;

  }
  case 24: {
    // Predicate_atomic_load_nonext
    SDNode *N = Op.getNode();
    (void)N;
if (cast<AtomicSDNode>(N)->getExtensionType() != ISD::NON_EXTLOAD) return false;
return true;

  }
  case 25: {
    // Predicate_fadd_contract
    // Predicate_fmul_contract
    SDNode *N = Op.getNode();
    (void)N;

  return N->getFlags().hasAllowContract();

  }
  case 26: {
    // Predicate_add_nuw
    SDNode *N = Op.getNode();
    (void)N;
return N->getFlags().hasNoUnsignedWrap();
  }
  case 27: {
    // Predicate_bool_node
    SDNode *N = Op.getNode();
    (void)N;

  return CurDAG->computeKnownBits(Op).countMinLeadingZeros() == 31;

  }
  }
}
#endif // GET_DAGISEL_BODY

#ifdef GET_DAGISEL_DECL
bool CheckComplexPattern(SDNode *Root, SDNode *Parent,
      SDValue N, unsigned PatternNo,
      SmallVectorImpl<std::pair<SDValue, SDNode *>> &Result) override;
#endif
#if defined(GET_DAGISEL_BODY) || DAGISEL_INLINE
bool DAGISEL_CLASS_COLONCOLON CheckComplexPattern(SDNode *Root, SDNode *Parent,
      SDValue N, unsigned PatternNo,
      SmallVectorImpl<std::pair<SDValue, SDNode *>> &Result)
#if DAGISEL_INLINE
  override
#endif
{
  unsigned NextRes = Result.size();
  switch (PatternNo) {
  default: llvm_unreachable("Invalid pattern # in table?");
  case 0:
    Result.resize(NextRes+2);
  return SelectAddrOperands32(N, Result[NextRes+0].first, Result[NextRes+1].first);
  case 1:
    Result.resize(NextRes+2);
  return SelectAddrOperands64(N, Result[NextRes+0].first, Result[NextRes+1].first);
  }
}
#endif // GET_DAGISEL_BODY


#ifdef DAGISEL_INLINE
#undef DAGISEL_INLINE
#endif
#ifdef DAGISEL_CLASS_COLONCOLON
#undef DAGISEL_CLASS_COLONCOLON
#endif
#ifdef GET_DAGISEL_DECL
#undef GET_DAGISEL_DECL
#endif
#ifdef GET_DAGISEL_BODY
#undef GET_DAGISEL_BODY
#endif
